######################################################################
#
# 5014_cp932x_by_cp00930_RT_DBCS.t
#
# Copyright (c) 2018, 2019 INABA Hitoshi <ina@cpan.org> in a CPAN
######################################################################

use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";

BEGIN {
    use vars qw(@test);
    @test = (
        ["\x40\x40",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x40"],
        ["\x81\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x40\x40"],

        ["\x43\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x41"],
        ["\x81\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x44"],

        ["\x43\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x42"],
        ["\x81\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x41"],

        ["\x42\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x43"],
        ["\x81\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x6B"],

        ["\x42\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x44"],
        ["\x81\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x4B"],

        ["\x43\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x45"],
        ["\x81\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x45"],

        ["\x42\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x46"],
        ["\x81\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x7A"],

        ["\x42\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x47"],
        ["\x81\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x5E"],

        ["\x42\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x48"],
        ["\x81\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x6F"],

        ["\x42\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x49"],
        ["\x81\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x5A"],

        ["\x43\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x4A"],
        ["\x81\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xBE"],

        ["\x43\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x4B"],
        ["\x81\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xBF"],

        ["\x44\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x4C"],
        ["\x81\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x50"],

        ["\x42\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x4D"],
        ["\x81\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x79"],

        ["\x44\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x4E"],
        ["\x81\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x60"],

        ["\x44\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x4F"],
        ["\x81\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x70"],

        ["\x42\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x50"],
        ["\x81\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA1"],

        ["\x42\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x51"],
        ["\x81\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x6D"],

        ["\x43\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x52"],
        ["\x81\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDC"],

        ["\x43\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x53"],
        ["\x81\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDD"],

        ["\x44\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x54"],
        ["\x81\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xDC"],

        ["\x44\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x55"],
        ["\x81\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xDD"],

        ["\x44\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x56"],
        ["\x81\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x5B"],

        ["\x44\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x57"],
        ["\x81\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x5C"],

        ["\x44\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x58"],
        ["\x81\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x5D"],

        ["\x44\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x59"],
        ["\x81\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x5E"],

        ["\x44\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x5A"],
        ["\x81\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x5F"],

        ["\x43\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x5B"],
        ["\x81\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x58"],

        ["\xDD\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x5C"],
        ["\x81\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xB7"],

        ["\x44\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x5D"],
        ["\x81\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x5A"],

        ["\x42\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x5E"],
        ["\x81\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x61"],

        ["\x43\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x5F"],
        ["\x81\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE0"],

        ["\x43\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x60"],
        ["\x81\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xA1"],

        ["\xDF\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x61"],
        ["\x81\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xE5"],

        ["\x42\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x62"],
        ["\x81\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x4F"],

        ["\x44\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x63"],
        ["\x81\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x7F"],

        ["\x44\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x64"],
        ["\x81\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x7E"],

        ["\x44\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x65"],
        ["\x81\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x61"],

        ["\x44\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x66"],
        ["\x81\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x71"],

        ["\x44\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x67"],
        ["\x81\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x62"],

        ["\x44\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x68"],
        ["\x81\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x72"],

        ["\x42\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x69"],
        ["\x81\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x4D"],

        ["\x42\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x6A"],
        ["\x81\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x5D"],

        ["\x44\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x6B"],
        ["\x81\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x63"],

        ["\x44\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x6C"],
        ["\x81\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x73"],

        ["\x44\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x6D"],
        ["\x81\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x44"],

        ["\x44\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x6E"],
        ["\x81\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x45"],

        ["\x42\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x6F"],
        ["\x81\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC0"],

        ["\x42\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x70"],
        ["\x81\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD0"],

        ["\x44\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x71"],
        ["\x81\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x64"],

        ["\x44\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x72"],
        ["\x81\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x74"],

        ["\x44\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x73"],
        ["\x81\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x65"],

        ["\x44\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x74"],
        ["\x81\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x75"],

        ["\x43\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x75"],
        ["\x81\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x42"],

        ["\x43\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x76"],
        ["\x81\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x43"],

        ["\x44\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x77"],
        ["\x81\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x42"],

        ["\x44\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x78"],
        ["\x81\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x43"],

        ["\x44\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x79"],
        ["\x81\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x66"],

        ["\x44\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x7A"],
        ["\x81\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x76"],

        ["\x42\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x7B"],
        ["\x81\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x4E"],

        ["\xE9\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x7C"],
        ["\x81\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],

        ["\x44\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x7D"],
        ["\x81\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x4B"],

        ["\x44\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x7E"],
        ["\x81\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x7A"],

        ["\x44\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x80"],
        ["\x81\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x7B"],

        ["\x42\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x81"],
        ["\x81\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x7E"],

        ["\x44\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x82"],
        ["\x81\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x4C"],

        ["\x42\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x83"],
        ["\x81\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x4C"],

        ["\x42\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x84"],
        ["\x81\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x6E"],

        ["\x44\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x85"],
        ["\x81\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x67"],

        ["\x44\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x86"],
        ["\x81\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x77"],

        ["\x44\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x87"],
        ["\x81\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x4D"],

        ["\x44\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x88"],
        ["\x81\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x68"],

        ["\x44\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x89"],
        ["\x81\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x69"],

        ["\x44\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x8A"],
        ["\x81\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x79"],

        ["\x44\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x8B"],
        ["\x81\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xED"],

        ["\x44\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x8C"],
        ["\x81\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xEE"],

        ["\x44\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x8D"],
        ["\x81\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xEF"],

        ["\x44\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x8E"],
        ["\x81\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x4E"],

        ["\x42\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x8F"],
        ["\x81\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x5B"],

        ["\x42\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x90"],
        ["\x81\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE0"],

        ["\x43\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x91"],
        ["\x81\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x4A"],

        ["\x42\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x92"],
        ["\x81\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x4A"],

        ["\x42\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x93"],
        ["\x81\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x6C"],

        ["\x42\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x94"],
        ["\x81\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x7B"],

        ["\x42\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x95"],
        ["\x81\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x50"],

        ["\x42\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x96"],
        ["\x81\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x5C"],

        ["\x42\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x97"],
        ["\x81\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x7C"],

        ["\x44\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x98"],
        ["\x81\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x6A"],

        ["\x44\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x99"],
        ["\x81\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE5"],

        ["\x44\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x9A"],
        ["\x81\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE6"],

        ["\x44\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x9B"],
        ["\x81\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE0"],

        ["\x44\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x9C"],
        ["\x81\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE1"],

        ["\x44\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x9D"],
        ["\x81\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE4"],

        ["\x44\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x9E"],
        ["\x81\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE7"],

        ["\x44\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\x9F"],
        ["\x81\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE8"],

        ["\x44\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA0"],
        ["\x81\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE9"],

        ["\x44\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA1"],
        ["\x81\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xEA"],

        ["\x44\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA2"],
        ["\x81\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE2"],

        ["\x44\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA3"],
        ["\x81\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xE3"],

        ["\x44\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA4"],
        ["\x81\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xEB"],

        ["\x44\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA5"],
        ["\x81\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xEC"],

        ["\x44\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA6"],
        ["\x81\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x6B"],

        ["\x44\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA7"],
        ["\x81\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x6C"],

        ["\x44\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA8"],
        ["\x81\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xF0"],

        ["\x44\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xA9"],
        ["\x81\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xF1"],

        ["\x44\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xAA"],
        ["\x81\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xF2"],

        ["\x44\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xAB"],
        ["\x81\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xF3"],

        ["\x44\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xAC"],
        ["\x81\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x7D"],

        ["\x43\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xB8"],
        ["\x81\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x64"],

        ["\x43\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xB9"],
        ["\x81\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x65"],

        ["\x43\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xBA"],
        ["\x81\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x66"],

        ["\x43\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xBB"],
        ["\x81\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x67"],

        ["\x43\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xBC"],
        ["\x81\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x68"],

        ["\x43\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xBD"],
        ["\x81\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x69"],

        ["\x43\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xBE"],
        ["\x81\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x6A"],

        ["\x43\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xBF"],
        ["\x81\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x6B"],

        ["\x43\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xC8"],
        ["\x81\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x6C"],

        ["\x43\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xC9"],
        ["\x81\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x6D"],

        ["\x42\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xCA"],
        ["\x81\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x5F"],

        ["\x43\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xCB"],
        ["\x81\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x6E"],

        ["\x43\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xCC"],
        ["\x81\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x6F"],

        ["\x43\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xCD"],
        ["\x81\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x70"],

        ["\x43\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xCE"],
        ["\x81\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x71"],

        ["\x43\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xDA"],
        ["\x81\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x4B"],

        ["\x43\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xDB"],
        ["\x81\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x4C"],

        ["\x43\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xDC"],
        ["\x81\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x4D"],

        ["\x43\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xDD"],
        ["\x81\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x4E"],

        ["\x43\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xDE"],
        ["\x81\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x4F"],

        ["\x43\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xDF"],
        ["\x81\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x5B"],

        ["\x43\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xE0"],
        ["\x81\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x5C"],

        ["\x43\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xE1"],
        ["\x81\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x5D"],

        ["\x43\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xE2"],
        ["\x81\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x5E"],

        ["\x43\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xE3"],
        ["\x81\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x5F"],

        ["\x43\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xE4"],
        ["\x81\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x60"],

        ["\x43\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xE5"],
        ["\x81\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x61"],

        ["\x44\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xE6"],
        ["\x81\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x78"],

        ["\x43\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xE7"],
        ["\x81\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x62"],

        ["\x43\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xE8"],
        ["\x81\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x63"],

        ["\x43\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xF0"],
        ["\x81\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x72"],

        ["\x43\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xF1"],
        ["\x81\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x73"],

        ["\x43\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xF2"],
        ["\x81\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x74"],

        ["\x43\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xF3"],
        ["\x81\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x75"],

        ["\x43\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xF4"],
        ["\x81\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x76"],

        ["\x43\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xF5"],
        ["\x81\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x77"],

        ["\x43\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xF6"],
        ["\x81\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x78"],

        ["\x43\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xF7"],
        ["\x81\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x79"],

        ["\x43\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x81\xFC"],
        ["\x81\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x7A"],

        ["\x42\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x4F"],
        ["\x82\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF0"],

        ["\x42\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x50"],
        ["\x82\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF1"],

        ["\x42\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x51"],
        ["\x82\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF2"],

        ["\x42\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x52"],
        ["\x82\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF3"],

        ["\x42\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x53"],
        ["\x82\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF4"],

        ["\x42\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x54"],
        ["\x82\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF5"],

        ["\x42\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x55"],
        ["\x82\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF6"],

        ["\x42\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x56"],
        ["\x82\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF7"],

        ["\x42\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x57"],
        ["\x82\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF8"],

        ["\x42\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x58"],
        ["\x82\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xF9"],

        ["\x42\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x60"],
        ["\x82\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC1"],

        ["\x42\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x61"],
        ["\x82\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC2"],

        ["\x42\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x62"],
        ["\x82\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC3"],

        ["\x42\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x63"],
        ["\x82\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC4"],

        ["\x42\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x64"],
        ["\x82\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC5"],

        ["\x42\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x65"],
        ["\x82\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC6"],

        ["\x42\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x66"],
        ["\x82\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC7"],

        ["\x42\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x67"],
        ["\x82\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC8"],

        ["\x42\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x68"],
        ["\x82\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xC9"],

        ["\x42\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x69"],
        ["\x82\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD1"],

        ["\x42\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x6A"],
        ["\x82\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD2"],

        ["\x42\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x6B"],
        ["\x82\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD3"],

        ["\x42\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x6C"],
        ["\x82\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD4"],

        ["\x42\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x6D"],
        ["\x82\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD5"],

        ["\x42\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x6E"],
        ["\x82\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD6"],

        ["\x42\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x6F"],
        ["\x82\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD7"],

        ["\x42\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x70"],
        ["\x82\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD8"],

        ["\x42\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x71"],
        ["\x82\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xD9"],

        ["\x42\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x72"],
        ["\x82\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE2"],

        ["\x42\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x73"],
        ["\x82\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE3"],

        ["\x42\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x74"],
        ["\x82\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE4"],

        ["\x42\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x75"],
        ["\x82\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE5"],

        ["\x42\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x76"],
        ["\x82\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE6"],

        ["\x42\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x77"],
        ["\x82\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE7"],

        ["\x42\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x78"],
        ["\x82\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE8"],

        ["\x42\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x79"],
        ["\x82\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE9"],

        ["\x42\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x81"],
        ["\x82\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x81"],

        ["\x42\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x82"],
        ["\x82\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x82"],

        ["\x42\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x83"],
        ["\x82\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x83"],

        ["\x42\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x84"],
        ["\x82\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x84"],

        ["\x42\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x85"],
        ["\x82\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x85"],

        ["\x42\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x86"],
        ["\x82\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x86"],

        ["\x42\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x87"],
        ["\x82\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x87"],

        ["\x42\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x88"],
        ["\x82\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x88"],

        ["\x42\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x89"],
        ["\x82\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x89"],

        ["\x42\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x8A"],
        ["\x82\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x91"],

        ["\x42\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x8B"],
        ["\x82\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x92"],

        ["\x42\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x8C"],
        ["\x82\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x93"],

        ["\x42\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x8D"],
        ["\x82\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x94"],

        ["\x42\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x8E"],
        ["\x82\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x95"],

        ["\x42\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x8F"],
        ["\x82\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x96"],

        ["\x42\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x90"],
        ["\x82\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x97"],

        ["\x42\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x91"],
        ["\x82\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x98"],

        ["\x42\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x92"],
        ["\x82\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x99"],

        ["\x42\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x93"],
        ["\x82\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA2"],

        ["\x42\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x94"],
        ["\x82\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA3"],

        ["\x42\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x95"],
        ["\x82\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA4"],

        ["\x42\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x96"],
        ["\x82\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA5"],

        ["\x42\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x97"],
        ["\x82\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA6"],

        ["\x42\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x98"],
        ["\x82\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA7"],

        ["\x42\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x99"],
        ["\x82\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA8"],

        ["\x42\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x9A"],
        ["\x82\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA9"],

        ["\x44\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\x9F"],
        ["\x82\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x47"],

        ["\x44\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA0"],
        ["\x82\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x81"],

        ["\x44\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA1"],
        ["\x82\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x48"],

        ["\x44\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA2"],
        ["\x82\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x82"],

        ["\x44\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA3"],
        ["\x82\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x49"],

        ["\x44\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA4"],
        ["\x82\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x83"],

        ["\x44\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA5"],
        ["\x82\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x51"],

        ["\x44\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA6"],
        ["\x82\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x84"],

        ["\x44\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA7"],
        ["\x82\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x52"],

        ["\x44\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA8"],
        ["\x82\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x85"],

        ["\x44\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xA9"],
        ["\x82\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x86"],

        ["\x44\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xAA"],
        ["\x82\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC0"],

        ["\x44\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xAB"],
        ["\x82\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x87"],

        ["\x44\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xAC"],
        ["\x82\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC1"],

        ["\x44\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xAD"],
        ["\x82\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x88"],

        ["\x44\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xAE"],
        ["\x82\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC2"],

        ["\x44\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xAF"],
        ["\x82\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x89"],

        ["\x44\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB0"],
        ["\x82\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC3"],

        ["\x44\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB1"],
        ["\x82\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x8A"],

        ["\x44\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB2"],
        ["\x82\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC4"],

        ["\x44\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB3"],
        ["\x82\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x8C"],

        ["\x44\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB4"],
        ["\x82\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC5"],

        ["\x44\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB5"],
        ["\x82\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x8D"],

        ["\x44\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB6"],
        ["\x82\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC6"],

        ["\x44\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB7"],
        ["\x82\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x8E"],

        ["\x44\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB8"],
        ["\x82\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC7"],

        ["\x44\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xB9"],
        ["\x82\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x8F"],

        ["\x44\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xBA"],
        ["\x82\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC8"],

        ["\x44\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xBB"],
        ["\x82\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x90"],

        ["\x44\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xBC"],
        ["\x82\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xC9"],

        ["\x44\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xBD"],
        ["\x82\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x91"],

        ["\x44\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xBE"],
        ["\x82\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xCA"],

        ["\x44\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xBF"],
        ["\x82\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x92"],

        ["\x44\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC0"],
        ["\x82\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xCB"],

        ["\x44\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC1"],
        ["\x82\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x56"],

        ["\x44\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC2"],
        ["\x82\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x93"],

        ["\x44\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC3"],
        ["\x82\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xCC"],

        ["\x44\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC4"],
        ["\x82\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x94"],

        ["\x44\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC5"],
        ["\x82\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xCD"],

        ["\x44\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC6"],
        ["\x82\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x95"],

        ["\x44\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC7"],
        ["\x82\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xCE"],

        ["\x44\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC8"],
        ["\x82\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x96"],

        ["\x44\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xC9"],
        ["\x82\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x97"],

        ["\x44\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xCA"],
        ["\x82\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x98"],

        ["\x44\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xCB"],
        ["\x82\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x99"],

        ["\x44\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xCC"],
        ["\x82\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x9A"],

        ["\x44\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xCD"],
        ["\x82\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x9D"],

        ["\x44\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xCE"],
        ["\x82\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xCF"],

        ["\x44\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xCF"],
        ["\x82\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xD5"],

        ["\x44\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD0"],
        ["\x82\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x9E"],

        ["\x44\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD1"],
        ["\x82\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xD0"],

        ["\x44\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD2"],
        ["\x82\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xD6"],

        ["\x44\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD3"],
        ["\x82\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x9F"],

        ["\x44\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD4"],
        ["\x82\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xD1"],

        ["\x44\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD5"],
        ["\x82\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xD7"],

        ["\x44\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD6"],
        ["\x82\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xA2"],

        ["\x44\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD7"],
        ["\x82\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xD2"],

        ["\x44\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD8"],
        ["\x82\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xD8"],

        ["\x44\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xD9"],
        ["\x82\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xA3"],

        ["\x44\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xDA"],
        ["\x82\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xD3"],

        ["\x44\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xDB"],
        ["\x82\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xD9"],

        ["\x44\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xDC"],
        ["\x82\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xA4"],

        ["\x44\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xDD"],
        ["\x82\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xA5"],

        ["\x44\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xDE"],
        ["\x82\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xA6"],

        ["\x44\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xDF"],
        ["\x82\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xA7"],

        ["\x44\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE0"],
        ["\x82\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xA8"],

        ["\x44\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE1"],
        ["\x82\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x53"],

        ["\x44\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE2"],
        ["\x82\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xA9"],

        ["\x44\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE3"],
        ["\x82\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x54"],

        ["\x44\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE4"],
        ["\x82\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xAA"],

        ["\x44\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE5"],
        ["\x82\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x55"],

        ["\x44\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE6"],
        ["\x82\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xAC"],

        ["\x44\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE7"],
        ["\x82\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xAD"],

        ["\x44\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE8"],
        ["\x82\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xAE"],

        ["\x44\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xE9"],
        ["\x82\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xAF"],

        ["\x44\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xEA"],
        ["\x82\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xBA"],

        ["\x44\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xEB"],
        ["\x82\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xBB"],

        ["\x44\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xEC"],
        ["\x82\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x57"],

        ["\x44\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xED"],
        ["\x82\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xBC"],

        ["\x44\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xEE"],
        ["\x82\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xDA"],

        ["\x44\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xEF"],
        ["\x82\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xDB"],

        ["\x44\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xF0"],
        ["\x82\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x46"],

        ["\x44\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x82\xF1"],
        ["\x82\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xBD"],

        ["\x43\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x40"],
        ["\x83\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x47"],

        ["\x43\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x41"],
        ["\x83\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x81"],

        ["\x43\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x42"],
        ["\x83\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x48"],

        ["\x43\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x43"],
        ["\x83\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x82"],

        ["\x43\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x44"],
        ["\x83\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x49"],

        ["\x43\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x45"],
        ["\x83\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x83"],

        ["\x43\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x46"],
        ["\x83\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x51"],

        ["\x43\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x47"],
        ["\x83\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x84"],

        ["\x43\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x48"],
        ["\x83\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x52"],

        ["\x43\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x49"],
        ["\x83\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x85"],

        ["\x43\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x4A"],
        ["\x83\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x86"],

        ["\x43\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x4B"],
        ["\x83\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC0"],

        ["\x43\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x4C"],
        ["\x83\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x87"],

        ["\x43\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x4D"],
        ["\x83\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC1"],

        ["\x43\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x4E"],
        ["\x83\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x88"],

        ["\x43\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x4F"],
        ["\x83\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC2"],

        ["\x43\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x50"],
        ["\x83\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x89"],

        ["\x43\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x51"],
        ["\x83\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC3"],

        ["\x43\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x52"],
        ["\x83\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x8A"],

        ["\x43\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x53"],
        ["\x83\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC4"],

        ["\x43\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x54"],
        ["\x83\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x8C"],

        ["\x43\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x55"],
        ["\x83\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC5"],

        ["\x43\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x56"],
        ["\x83\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x8D"],

        ["\x43\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x57"],
        ["\x83\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC6"],

        ["\x43\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x58"],
        ["\x83\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x8E"],

        ["\x43\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x59"],
        ["\x83\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC7"],

        ["\x43\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x5A"],
        ["\x83\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x8F"],

        ["\x43\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x5B"],
        ["\x83\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC8"],

        ["\x43\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x5C"],
        ["\x83\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x90"],

        ["\x43\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x5D"],
        ["\x83\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xC9"],

        ["\x43\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x5E"],
        ["\x83\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x91"],

        ["\x43\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x5F"],
        ["\x83\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xCA"],

        ["\x43\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x60"],
        ["\x83\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x92"],

        ["\x43\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x61"],
        ["\x83\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xCB"],

        ["\x43\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x62"],
        ["\x83\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x56"],

        ["\x43\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x63"],
        ["\x83\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x93"],

        ["\x43\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x64"],
        ["\x83\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xCC"],

        ["\x43\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x65"],
        ["\x83\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x94"],

        ["\x43\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x66"],
        ["\x83\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xCD"],

        ["\x43\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x67"],
        ["\x83\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x95"],

        ["\x43\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x68"],
        ["\x83\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xCE"],

        ["\x43\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x69"],
        ["\x83\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x96"],

        ["\x43\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x6A"],
        ["\x83\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x97"],

        ["\x43\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x6B"],
        ["\x83\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x98"],

        ["\x43\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x6C"],
        ["\x83\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x99"],

        ["\x43\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x6D"],
        ["\x83\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x9A"],

        ["\x43\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x6E"],
        ["\x83\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x9D"],

        ["\x43\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x6F"],
        ["\x83\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xCF"],

        ["\x43\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x70"],
        ["\x83\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD5"],

        ["\x43\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x71"],
        ["\x83\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x9E"],

        ["\x43\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x72"],
        ["\x83\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD0"],

        ["\x43\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x73"],
        ["\x83\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD6"],

        ["\x43\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x74"],
        ["\x83\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x9F"],

        ["\x43\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x75"],
        ["\x83\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD1"],

        ["\x43\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x76"],
        ["\x83\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD7"],

        ["\x43\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x77"],
        ["\x83\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xA2"],

        ["\x43\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x78"],
        ["\x83\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD2"],

        ["\x43\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x79"],
        ["\x83\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD8"],

        ["\x43\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x7A"],
        ["\x83\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xA3"],

        ["\x43\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x7B"],
        ["\x83\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD3"],

        ["\x43\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x7C"],
        ["\x83\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD9"],

        ["\x43\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x7D"],
        ["\x83\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xA4"],

        ["\x43\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x7E"],
        ["\x83\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xA5"],

        ["\x43\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x80"],
        ["\x83\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xA6"],

        ["\x43\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x81"],
        ["\x83\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xA7"],

        ["\x43\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x82"],
        ["\x83\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xA8"],

        ["\x43\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x83"],
        ["\x83\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x53"],

        ["\x43\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x84"],
        ["\x83\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xA9"],

        ["\x43\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x85"],
        ["\x83\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x54"],

        ["\x43\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x86"],
        ["\x83\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xAA"],

        ["\x43\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x87"],
        ["\x83\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x55"],

        ["\x43\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x88"],
        ["\x83\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xAC"],

        ["\x43\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x89"],
        ["\x83\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xAD"],

        ["\x43\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x8A"],
        ["\x83\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xAE"],

        ["\x43\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x8B"],
        ["\x83\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xAF"],

        ["\x43\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x8C"],
        ["\x83\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xBA"],

        ["\x43\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x8D"],
        ["\x83\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xBB"],

        ["\x43\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x8E"],
        ["\x83\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x57"],

        ["\x43\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x8F"],
        ["\x83\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xBC"],

        ["\x43\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x90"],
        ["\x83\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDA"],

        ["\x43\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x91"],
        ["\x83\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDB"],

        ["\x43\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x92"],
        ["\x83\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x46"],

        ["\x43\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x93"],
        ["\x83\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xBD"],

        ["\x43\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x94"],
        ["\x83\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xD4"],

        ["\x43\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x95"],
        ["\x83\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x59"],

        ["\x43\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x96"],
        ["\x83\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x5A"],

        ["\x41\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\x9F"],
        ["\x83\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x61"],

        ["\x41\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA0"],
        ["\x83\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x62"],

        ["\x41\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA1"],
        ["\x83\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x63"],

        ["\x41\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA2"],
        ["\x83\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x64"],

        ["\x41\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA3"],
        ["\x83\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x65"],

        ["\x41\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA4"],
        ["\x83\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x66"],

        ["\x41\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA5"],
        ["\x83\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x67"],

        ["\x41\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA6"],
        ["\x83\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x68"],

        ["\x41\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA7"],
        ["\x83\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x69"],

        ["\x41\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA8"],
        ["\x83\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x6A"],

        ["\x41\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xA9"],
        ["\x83\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x6B"],

        ["\x41\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xAA"],
        ["\x83\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x6C"],

        ["\x41\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xAB"],
        ["\x83\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x6D"],

        ["\x41\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xAC"],
        ["\x83\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x6E"],

        ["\x41\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xAD"],
        ["\x83\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x6F"],

        ["\x41\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xAE"],
        ["\x83\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x70"],

        ["\x41\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xAF"],
        ["\x83\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x71"],

        ["\x41\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xB0"],
        ["\x83\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x72"],

        ["\x41\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xB1"],
        ["\x83\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x73"],

        ["\x41\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xB2"],
        ["\x83\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x74"],

        ["\x41\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xB3"],
        ["\x83\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x75"],

        ["\x41\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xB4"],
        ["\x83\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x76"],

        ["\x41\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xB5"],
        ["\x83\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x77"],

        ["\x41\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xB6"],
        ["\x83\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x78"],

        ["\x41\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xBF"],
        ["\x83\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x41"],

        ["\x41\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC0"],
        ["\x83\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x42"],

        ["\x41\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC1"],
        ["\x83\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x43"],

        ["\x41\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC2"],
        ["\x83\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x44"],

        ["\x41\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC3"],
        ["\x83\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x45"],

        ["\x41\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC4"],
        ["\x83\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x46"],

        ["\x41\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC5"],
        ["\x83\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x47"],

        ["\x41\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC6"],
        ["\x83\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x48"],

        ["\x41\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC7"],
        ["\x83\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x49"],

        ["\x41\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC8"],
        ["\x83\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x4A"],

        ["\x41\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xC9"],
        ["\x83\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x4B"],

        ["\x41\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xCA"],
        ["\x83\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x4C"],

        ["\x41\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xCB"],
        ["\x83\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x4D"],

        ["\x41\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xCC"],
        ["\x83\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x4E"],

        ["\x41\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xCD"],
        ["\x83\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x4F"],

        ["\x41\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xCE"],
        ["\x83\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x50"],

        ["\x41\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xCF"],
        ["\x83\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x51"],

        ["\x41\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xD0"],
        ["\x83\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x52"],

        ["\x41\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xD1"],
        ["\x83\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x53"],

        ["\x41\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xD2"],
        ["\x83\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x54"],

        ["\x41\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xD3"],
        ["\x83\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x55"],

        ["\x41\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xD4"],
        ["\x83\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x56"],

        ["\x41\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xD5"],
        ["\x83\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x57"],

        ["\x41\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x83\xD6"],
        ["\x83\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x58"],

        ["\x41\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x40"],
        ["\x84\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC0"],

        ["\x41\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x41"],
        ["\x84\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC1"],

        ["\x41\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x42"],
        ["\x84\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC2"],

        ["\x41\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x43"],
        ["\x84\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC3"],

        ["\x41\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x44"],
        ["\x84\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC4"],

        ["\x41\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x45"],
        ["\x84\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC5"],

        ["\x41\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x46"],
        ["\x84\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC6"],

        ["\x41\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x47"],
        ["\x84\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC7"],

        ["\x41\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x48"],
        ["\x84\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC8"],

        ["\x41\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x49"],
        ["\x84\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xC9"],

        ["\x41\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x4A"],
        ["\x84\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCA"],

        ["\x41\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x4B"],
        ["\x84\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCB"],

        ["\x41\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x4C"],
        ["\x84\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCC"],

        ["\x41\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x4D"],
        ["\x84\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCD"],

        ["\x41\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x4E"],
        ["\x84\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCE"],

        ["\x41\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x4F"],
        ["\x84\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCF"],

        ["\x41\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x50"],
        ["\x84\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD0"],

        ["\x41\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x51"],
        ["\x84\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD1"],

        ["\x41\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x52"],
        ["\x84\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD2"],

        ["\x41\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x53"],
        ["\x84\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD3"],

        ["\x41\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x54"],
        ["\x84\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD4"],

        ["\x41\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x55"],
        ["\x84\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD5"],

        ["\x41\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x56"],
        ["\x84\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD6"],

        ["\x41\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x57"],
        ["\x84\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD7"],

        ["\x41\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x58"],
        ["\x84\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD8"],

        ["\x41\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x59"],
        ["\x84\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xD9"],

        ["\x41\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x5A"],
        ["\x84\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDA"],

        ["\x41\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x5B"],
        ["\x84\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDB"],

        ["\x41\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x5C"],
        ["\x84\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDC"],

        ["\x41\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x5D"],
        ["\x84\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDD"],

        ["\x41\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x5E"],
        ["\x84\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDE"],

        ["\x41\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x5F"],
        ["\x84\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDF"],

        ["\x41\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x60"],
        ["\x84\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xE0"],

        ["\x41\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x70"],
        ["\x84\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x80"],

        ["\x41\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x71"],
        ["\x84\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x81"],

        ["\x41\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x72"],
        ["\x84\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x82"],

        ["\x41\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x73"],
        ["\x84\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x83"],

        ["\x41\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x74"],
        ["\x84\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x84"],

        ["\x41\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x75"],
        ["\x84\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x85"],

        ["\x41\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x76"],
        ["\x84\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x86"],

        ["\x41\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x77"],
        ["\x84\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x87"],

        ["\x41\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x78"],
        ["\x84\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x88"],

        ["\x41\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x79"],
        ["\x84\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x89"],

        ["\x41\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x7A"],
        ["\x84\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x8A"],

        ["\x41\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x7B"],
        ["\x84\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x8B"],

        ["\x41\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x7C"],
        ["\x84\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x8C"],

        ["\x41\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x7D"],
        ["\x84\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x8D"],

        ["\x41\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x7E"],
        ["\x84\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x8E"],

        ["\x41\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x80"],
        ["\x84\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x8F"],

        ["\x41\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x81"],
        ["\x84\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x90"],

        ["\x41\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x82"],
        ["\x84\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x91"],

        ["\x41\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x83"],
        ["\x84\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x92"],

        ["\x41\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x84"],
        ["\x84\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x93"],

        ["\x41\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x85"],
        ["\x84\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x94"],

        ["\x41\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x86"],
        ["\x84\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x95"],

        ["\x41\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x87"],
        ["\x84\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x96"],

        ["\x41\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x88"],
        ["\x84\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x97"],

        ["\x41\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x89"],
        ["\x84\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x98"],

        ["\x41\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x8A"],
        ["\x84\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x99"],

        ["\x41\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x8B"],
        ["\x84\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x9A"],

        ["\x41\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x8C"],
        ["\x84\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x9B"],

        ["\x41\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x8D"],
        ["\x84\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x9C"],

        ["\x41\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x8E"],
        ["\x84\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x9D"],

        ["\x41\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x8F"],
        ["\x84\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x9E"],

        ["\x41\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x90"],
        ["\x84\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\x9F"],

        ["\x41\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x91"],
        ["\x84\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xA0"],

        ["\x43\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\x9F"],
        ["\x84\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x7C"],

        ["\x43\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA0"],
        ["\x84\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x7D"],

        ["\x43\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA1"],
        ["\x84\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x7E"],

        ["\x43\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA2"],
        ["\x84\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\x7F"],

        ["\x43\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA3"],
        ["\x84\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB0"],

        ["\x43\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA4"],
        ["\x84\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB1"],

        ["\x43\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA5"],
        ["\x84\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB2"],

        ["\x43\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA6"],
        ["\x84\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB3"],

        ["\x43\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA7"],
        ["\x84\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB4"],

        ["\x43\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA8"],
        ["\x84\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB5"],

        ["\x43\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xA9"],
        ["\x84\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB6"],

        ["\x43\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xAA"],
        ["\x84\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB7"],

        ["\x43\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xAB"],
        ["\x84\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB8"],

        ["\x43\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xAC"],
        ["\x84\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB9"],

        ["\x43\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xAD"],
        ["\x84\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE1"],

        ["\x43\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xAE"],
        ["\x84\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE2"],

        ["\x43\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xAF"],
        ["\x84\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE3"],

        ["\x43\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB0"],
        ["\x84\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE4"],

        ["\x43\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB1"],
        ["\x84\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE5"],

        ["\x43\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB2"],
        ["\x84\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE6"],

        ["\x43\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB3"],
        ["\x84\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE7"],

        ["\x43\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB4"],
        ["\x84\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE8"],

        ["\x43\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB5"],
        ["\x84\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xE9"],

        ["\x43\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB6"],
        ["\x84\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEA"],

        ["\x43\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB7"],
        ["\x84\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEB"],

        ["\x43\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB8"],
        ["\x84\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEC"],

        ["\x43\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xB9"],
        ["\x84\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xED"],

        ["\x43\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xBA"],
        ["\x84\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEE"],

        ["\x43\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xBB"],
        ["\x84\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEF"],

        ["\x43\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xBC"],
        ["\x84\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xF0"],

        ["\x43\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xBD"],
        ["\x84\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xF1"],

        ["\x43\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x84\xBE"],
        ["\x84\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xF2"],

        ["\xE2\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x40"],
        ["\x87\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x70"],

        ["\xE2\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x41"],
        ["\x87\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x71"],

        ["\xE2\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x42"],
        ["\x87\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x72"],

        ["\xE2\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x43"],
        ["\x87\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x73"],

        ["\xE2\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x44"],
        ["\x87\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x74"],

        ["\xE2\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x45"],
        ["\x87\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x75"],

        ["\xE2\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x46"],
        ["\x87\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x76"],

        ["\xE2\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x47"],
        ["\x87\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x77"],

        ["\xE2\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x48"],
        ["\x87\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x78"],

        ["\xE2\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x49"],
        ["\x87\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x79"],

        ["\xE2\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x4A"],
        ["\x87\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7A"],

        ["\xE2\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x4B"],
        ["\x87\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7B"],

        ["\xE2\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x4C"],
        ["\x87\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7C"],

        ["\xE2\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x4D"],
        ["\x87\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7D"],

        ["\xE2\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x4E"],
        ["\x87\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7E"],

        ["\xE2\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x4F"],
        ["\x87\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7F"],

        ["\xE2\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x50"],
        ["\x87\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x80"],

        ["\xE2\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x51"],
        ["\x87\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x81"],

        ["\xE2\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x52"],
        ["\x87\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x82"],

        ["\xE2\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x53"],
        ["\x87\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x83"],

        ["\x41\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x54"],
        ["\x87\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xF1"],

        ["\x41\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x55"],
        ["\x87\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xF2"],

        ["\x41\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x56"],
        ["\x87\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xF3"],

        ["\x41\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x57"],
        ["\x87\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xF4"],

        ["\x41\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x58"],
        ["\x87\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xF5"],

        ["\x41\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x59"],
        ["\x87\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xF6"],

        ["\x41\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x5A"],
        ["\x87\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xF7"],

        ["\x41\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x5B"],
        ["\x87\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xF8"],

        ["\x41\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x5C"],
        ["\x87\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xF9"],

        ["\x41\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x5D"],
        ["\x87\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xFA"],

        ["\xE8\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x5F"],
        ["\x87\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],

        ["\xE8\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x60"],
        ["\x87\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x75"],

        ["\xE8\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x61"],
        ["\x87\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x83"],

        ["\xE8\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x62"],
        ["\x87\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],

        ["\xE8\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x63"],
        ["\x87\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x79"],

        ["\xE8\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x64"],
        ["\x87\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x88"],

        ["\xE8\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x65"],
        ["\x87\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x64"],

        ["\xE8\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x66"],
        ["\x87\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x97"],

        ["\xE8\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x67"],
        ["\x87\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],

        ["\xE8\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x68"],
        ["\x87\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],

        ["\xE8\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x69"],
        ["\x87\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x6E"],

        ["\xE8\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x6A"],
        ["\x87\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x87"],

        ["\xE8\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x6B"],
        ["\x87\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x84"],

        ["\xE8\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x6C"],
        ["\x87\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C"],

        ["\xE8\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x6D"],
        ["\x87\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],

        ["\xE8\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x6E"],
        ["\x87\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C"],

        ["\xE8\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x6F"],
        ["\x87\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],

        ["\xE8\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x70"],
        ["\x87\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],

        ["\xE8\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x71"],
        ["\x87\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],

        ["\xE8\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x72"],
        ["\x87\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],

        ["\xE8\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x73"],
        ["\x87\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],

        ["\xE9\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x74"],
        ["\x87\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x63"],

        ["\xE8\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x75"],
        ["\x87\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xFE"],

        ["\xE8\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x7E"],
        ["\x87\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],

        ["\xE6\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x80"],
        ["\x87\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],

        ["\xE6\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x81"],
        ["\x87\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],

        ["\x44\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x82"],
        ["\x87\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x6E"],

        ["\xE9\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x83"],
        ["\x87\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x6C"],

        ["\x44\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x84"],
        ["\x87\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x6F"],

        ["\xE7\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x85"],
        ["\x87\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x67"],

        ["\xE7\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x86"],
        ["\x87\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x68"],

        ["\xE7\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x87"],
        ["\x87\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x69"],

        ["\xE7\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x88"],
        ["\x87\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x6A"],

        ["\xE7\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x89"],
        ["\x87\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x6B"],

        ["\x44\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x8A"],
        ["\x87\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x6D"],

        ["\xE6\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x8B"],
        ["\x87\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],

        ["\xE6\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x8C"],
        ["\x87\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],

        ["\xE8\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x8D"],
        ["\x87\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],

        ["\xE8\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x8E"],
        ["\x87\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],

        ["\xE8\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x8F"],
        ["\x87\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],

        ["\xDF\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x93"],
        ["\x87\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xE8"],

        ["\xDF\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x94"],
        ["\x87\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xD6"],

        ["\xDF\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x98"],
        ["\x87\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xE0"],

        ["\xE0\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x87\x99"],
        ["\x87\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],

        ["\x48\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\x9F"],
        ["\x88\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x67"],

        ["\x54\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA0"],
        ["\x88\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD4"],

        ["\x55\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA1"],
        ["\x88\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x7A"],

        ["\x46\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA2"],
        ["\x88\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xAE"],

        ["\x4E\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA3"],
        ["\x88\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF9"],

        ["\x45\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA4"],
        ["\x88\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC6"],

        ["\x4F\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA5"],
        ["\x88\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x81"],

        ["\x51\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA6"],
        ["\x88\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x79"],

        ["\x4D\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA7"],
        ["\x88\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xCE"],

        ["\x50\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA8"],
        ["\x88\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD9"],

        ["\x50\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xA9"],
        ["\x88\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE2"],

        ["\x50\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xAA"],
        ["\x88\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x9B"],

        ["\x49\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xAB"],
        ["\x88\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x65"],

        ["\x4D\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xAC"],
        ["\x88\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x60"],

        ["\x4E\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xAD"],
        ["\x88\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x43"],

        ["\x47\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xAE"],
        ["\x88\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xEC"],

        ["\x4E\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xAF"],
        ["\x88\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x72"],

        ["\x4A\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB0"],
        ["\x88\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xDD"],

        ["\x67\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB1"],
        ["\x88\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xAA"],

        ["\x50\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB2"],
        ["\x88\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xDA"],

        ["\x47\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB3"],
        ["\x88\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x82"],

        ["\x55\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB4"],
        ["\x88\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x81"],

        ["\x4C\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB5"],
        ["\x88\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x69"],

        ["\x50\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB6"],
        ["\x88\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xAB"],

        ["\x54\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB7"],
        ["\x88\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x9C"],

        ["\x51\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB8"],
        ["\x88\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x44"],

        ["\x52\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xB9"],
        ["\x88\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x45"],

        ["\x4E\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xBA"],
        ["\x88\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF7"],

        ["\x49\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xBB"],
        ["\x88\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xDC"],

        ["\x4F\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xBC"],
        ["\x88\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x8E"],

        ["\x4D\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xBD"],
        ["\x88\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x7F"],

        ["\x4B\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xBE"],
        ["\x88\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xFB"],

        ["\x54\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xBF"],
        ["\x88\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x48"],

        ["\x45\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC0"],
        ["\x88\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA8"],

        ["\x4E\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC1"],
        ["\x88\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xEB"],

        ["\x54\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC2"],
        ["\x88\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x89"],

        ["\x4B\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC3"],
        ["\x88\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE2"],

        ["\x48\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC4"],
        ["\x88\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF1"],

        ["\x53\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC5"],
        ["\x88\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x64"],

        ["\x50\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC6"],
        ["\x88\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4C"],

        ["\x50\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC7"],
        ["\x88\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD0"],

        ["\x46\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC8"],
        ["\x88\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF6"],

        ["\x45\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xC9"],
        ["\x88\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB2"],

        ["\x47\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xCA"],
        ["\x88\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC8"],

        ["\x4A\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xCB"],
        ["\x88\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x9E"],

        ["\x4D\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xCC"],
        ["\x88\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xFB"],

        ["\x4A\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xCD"],
        ["\x88\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xFA"],

        ["\x51\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xCE"],
        ["\x88\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x47"],

        ["\x48\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xCF"],
        ["\x88\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x4F"],

        ["\x4C\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD0"],
        ["\x88\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x65"],

        ["\x51\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD1"],
        ["\x88\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x89"],

        ["\x4F\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD2"],
        ["\x88\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE0"],

        ["\x47\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD3"],
        ["\x88\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x63"],

        ["\x4F\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD4"],
        ["\x88\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xAD"],

        ["\x47\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD5"],
        ["\x88\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE9"],

        ["\x4F\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD6"],
        ["\x88\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF7"],

        ["\x49\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD7"],
        ["\x88\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD7"],

        ["\x55\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD8"],
        ["\x88\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x8F"],

        ["\x4A\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xD9"],
        ["\x88\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA9"],

        ["\x49\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xDA"],
        ["\x88\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x75"],

        ["\x48\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xDB"],
        ["\x88\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x80"],

        ["\x4E\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xDC"],
        ["\x88\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x9A"],

        ["\x4D\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xDD"],
        ["\x88\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF6"],

        ["\x54\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xDE"],
        ["\x88\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x82"],

        ["\x4A\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xDF"],
        ["\x88\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xEA"],

        ["\x55\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE0"],
        ["\x88\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x73"],

        ["\x49\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE1"],
        ["\x88\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xBC"],

        ["\x4C\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE2"],
        ["\x88\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xDA"],

        ["\x4A\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE3"],
        ["\x88\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x87"],

        ["\x45\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE4"],
        ["\x88\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x6D"],

        ["\x4F\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE5"],
        ["\x88\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7F"],

        ["\x48\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE6"],
        ["\x88\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE9"],

        ["\x48\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE7"],
        ["\x88\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xAC"],

        ["\x49\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE8"],
        ["\x88\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB3"],

        ["\x48\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xE9"],
        ["\x88\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xAA"],

        ["\x45\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xEA"],
        ["\x88\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x41"],

        ["\x4E\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xEB"],
        ["\x88\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB0"],

        ["\x52\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xEC"],
        ["\x88\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x71"],

        ["\x4A\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xED"],
        ["\x88\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD6"],

        ["\x47\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xEE"],
        ["\x88\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x6A"],

        ["\x47\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xEF"],
        ["\x88\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x4C"],

        ["\x51\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF0"],
        ["\x88\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x9A"],

        ["\x55\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF1"],
        ["\x88\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC8"],

        ["\x4C\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF2"],
        ["\x88\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x91"],

        ["\x47\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF3"],
        ["\x88\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x99"],

        ["\x52\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF4"],
        ["\x88\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB1"],

        ["\x46\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF5"],
        ["\x88\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xCB"],

        ["\x4A\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF6"],
        ["\x88\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x49"],

        ["\x52\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF7"],
        ["\x88\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB9"],

        ["\x46\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF8"],
        ["\x88\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xDA"],

        ["\x4B\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xF9"],
        ["\x88\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA3"],

        ["\x55\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xFA"],
        ["\x88\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x4E"],

        ["\x4E\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xFB"],
        ["\x88\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE9"],

        ["\x4E\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x88\xFC"],
        ["\x88\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x8B"],

        ["\x49\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x40"],
        ["\x89\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD8"],

        ["\x4C\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x41"],
        ["\x89\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD2"],

        ["\x4E\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x42"],
        ["\x89\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xAE"],

        ["\x55\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x43"],
        ["\x89\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x77"],

        ["\x55\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x44"],
        ["\x89\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xBC"],

        ["\x48\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x45"],
        ["\x89\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x5A"],

        ["\x46\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x46"],
        ["\x89\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD5"],

        ["\x50\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x47"],
        ["\x89\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x99"],

        ["\x47\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x48"],
        ["\x89\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x8F"],

        ["\x55\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x49"],
        ["\x89\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xDF"],

        ["\x49\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x4A"],
        ["\x89\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xDD"],

        ["\x4C\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x4B"],
        ["\x89\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x82"],

        ["\x4B\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x4C"],
        ["\x89\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE7"],

        ["\x55\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x4D"],
        ["\x89\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x9E"],

        ["\x4D\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x4E"],
        ["\x89\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xEC"],

        ["\x4F\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x4F"],
        ["\x89\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB1"],

        ["\x4A\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x50"],
        ["\x89\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x89"],

        ["\x51\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x51"],
        ["\x89\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA0"],

        ["\x50\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x52"],
        ["\x89\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF3"],

        ["\x4C\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x53"],
        ["\x89\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xDB"],

        ["\x55\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x54"],
        ["\x89\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF7"],

        ["\x54\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x55"],
        ["\x89\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x9A"],

        ["\x54\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x56"],
        ["\x89\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xAB"],

        ["\x52\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x57"],
        ["\x89\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x55"],

        ["\x53\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x58"],
        ["\x89\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x67"],

        ["\x46\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x59"],
        ["\x89\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x6B"],

        ["\x4E\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x5A"],
        ["\x89\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x64"],

        ["\x54\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x5B"],
        ["\x89\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x5F"],

        ["\x52\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x5C"],
        ["\x89\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x9B"],

        ["\x49\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x5D"],
        ["\x89\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x9D"],

        ["\x46\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x5E"],
        ["\x89\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xAB"],

        ["\x4A\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x5F"],
        ["\x89\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xBC"],

        ["\x51\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x60"],
        ["\x89\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x5F"],

        ["\x50\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x61"],
        ["\x89\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA7"],

        ["\x51\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x62"],
        ["\x89\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x94"],

        ["\x48\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x63"],
        ["\x89\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD3"],

        ["\x55\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x64"],
        ["\x89\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE8"],

        ["\x49\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x65"],
        ["\x89\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x5E"],

        ["\x47\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x66"],
        ["\x89\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xAC"],

        ["\x4E\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x67"],
        ["\x89\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xBC"],

        ["\x45\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x68"],
        ["\x89\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xFA"],

        ["\x45\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x69"],
        ["\x89\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xFB"],

        ["\x4F\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x6A"],
        ["\x89\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x57"],

        ["\x50\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x6B"],
        ["\x89\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB7"],

        ["\x4F\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x6C"],
        ["\x89\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x52"],

        ["\x51\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x6D"],
        ["\x89\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB5"],

        ["\x52\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x6E"],
        ["\x89\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x54"],

        ["\x55\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x6F"],
        ["\x89\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x76"],

        ["\x45\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x70"],
        ["\x89\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xEE"],

        ["\x47\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x71"],
        ["\x89\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x80"],

        ["\x51\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x72"],
        ["\x89\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC1"],

        ["\x4D\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x73"],
        ["\x89\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x6F"],

        ["\x4A\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x74"],
        ["\x89\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x45"],

        ["\x50\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x75"],
        ["\x89\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xCE"],

        ["\x47\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x76"],
        ["\x89\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x74"],

        ["\x49\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x77"],
        ["\x89\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xAC"],

        ["\x48\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x78"],
        ["\x89\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x73"],

        ["\x54\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x79"],
        ["\x89\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE5"],

        ["\x46\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x7A"],
        ["\x89\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xDF"],

        ["\x51\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x7B"],
        ["\x89\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x77"],

        ["\x49\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x7C"],
        ["\x89\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xEB"],

        ["\x53\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x7D"],
        ["\x89\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB7"],

        ["\x46\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x7E"],
        ["\x89\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x45"],

        ["\x47\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x80"],
        ["\x89\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE1"],

        ["\x50\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x81"],
        ["\x89\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA4"],

        ["\x52\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x82"],
        ["\x89\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF2"],

        ["\x50\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x83"],
        ["\x89\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x78"],

        ["\x47\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x84"],
        ["\x89\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD0"],

        ["\x54\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x85"],
        ["\x89\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xDE"],

        ["\x55\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x86"],
        ["\x89\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD0"],

        ["\x4A\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x87"],
        ["\x89\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD5"],

        ["\x4E\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x88"],
        ["\x89\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x6F"],

        ["\x49\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x89"],
        ["\x89\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xED"],

        ["\x4D\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x8A"],
        ["\x89\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xAD"],

        ["\x53\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x8B"],
        ["\x89\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xEE"],

        ["\x4B\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x8C"],
        ["\x89\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xDD"],

        ["\x50\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x8D"],
        ["\x89\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x47"],

        ["\x4C\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x8E"],
        ["\x89\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5A"],

        ["\x4B\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x8F"],
        ["\x89\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xAA"],

        ["\x4D\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x90"],
        ["\x89\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x54"],

        ["\x50\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x91"],
        ["\x89\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4B"],

        ["\x4C\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x92"],
        ["\x89\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xEC"],

        ["\x46\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x93"],
        ["\x89\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE3"],

        ["\x49\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x94"],
        ["\x89\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD4"],

        ["\x52\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x95"],
        ["\x89\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC3"],

        ["\x47\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x96"],
        ["\x89\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x43"],

        ["\x4D\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x97"],
        ["\x89\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA4"],

        ["\x4E\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x98"],
        ["\x89\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x82"],

        ["\x55\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x99"],
        ["\x89\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD7"],

        ["\x50\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x9A"],
        ["\x89\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE6"],

        ["\x47\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x9B"],
        ["\x89\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x92"],

        ["\x46\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x9C"],
        ["\x89\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE5"],

        ["\x4C\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x9D"],
        ["\x89\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xEA"],

        ["\x48\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x9E"],
        ["\x89\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x95"],

        ["\x49\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\x9F"],
        ["\x89\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE1"],

        ["\x4F\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA0"],
        ["\x89\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA3"],

        ["\x45\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA1"],
        ["\x89\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF2"],

        ["\x4A\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA2"],
        ["\x89\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA0"],

        ["\x54\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA3"],
        ["\x89\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x59"],

        ["\x49\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA4"],
        ["\x89\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB1"],

        ["\x4F\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA5"],
        ["\x89\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xFB"],

        ["\x54\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA6"],
        ["\x89\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x6C"],

        ["\x67\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA7"],
        ["\x89\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD0"],

        ["\x54\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA8"],
        ["\x89\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x64"],

        ["\x4A\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xA9"],
        ["\x89\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC6"],

        ["\x45\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xAA"],
        ["\x89\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x72"],

        ["\x47\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xAB"],
        ["\x89\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xFD"],

        ["\x49\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xAC"],
        ["\x89\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE0"],

        ["\x45\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xAD"],
        ["\x89\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x4E"],

        ["\x45\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xAE"],
        ["\x89\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE9"],

        ["\x4E\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xAF"],
        ["\x89\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x6C"],

        ["\x54\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB0"],
        ["\x89\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x74"],

        ["\x4E\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB1"],
        ["\x89\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x77"],

        ["\x50\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB2"],
        ["\x89\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x9A"],

        ["\x4B\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB3"],
        ["\x89\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xBD"],

        ["\x4E\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB4"],
        ["\x89\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x67"],

        ["\x4E\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB5"],
        ["\x89\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x79"],

        ["\x4C\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB6"],
        ["\x89\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x81"],

        ["\x49\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB7"],
        ["\x89\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x50"],

        ["\x50\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB8"],
        ["\x89\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB8"],

        ["\x48\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xB9"],
        ["\x89\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x4D"],

        ["\x45\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xBA"],
        ["\x89\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x5F"],

        ["\x45\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xBB"],
        ["\x89\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x90"],

        ["\x4D\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xBC"],
        ["\x89\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x71"],

        ["\x47\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xBD"],
        ["\x89\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x70"],

        ["\x54\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xBE"],
        ["\x89\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x61"],

        ["\x47\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xBF"],
        ["\x89\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x5A"],

        ["\x48\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC0"],
        ["\x89\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x76"],

        ["\x45\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC1"],
        ["\x89\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x9F"],

        ["\x47\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC2"],
        ["\x89\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC6"],

        ["\x47\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC3"],
        ["\x89\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x7E"],

        ["\x49\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC4"],
        ["\x89\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x7E"],

        ["\x4E\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC5"],
        ["\x89\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x89"],

        ["\x46\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC6"],
        ["\x89\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x86"],

        ["\x52\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC7"],
        ["\x89\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB8"],

        ["\x48\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC8"],
        ["\x89\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xED"],

        ["\x4F\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xC9"],
        ["\x89\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x46"],

        ["\x47\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xCA"],
        ["\x89\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB9"],

        ["\x4E\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xCB"],
        ["\x89\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE8"],

        ["\x46\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xCC"],
        ["\x89\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF7"],

        ["\x46\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xCD"],
        ["\x89\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x5A"],

        ["\x47\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xCE"],
        ["\x89\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x85"],

        ["\x4C\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xCF"],
        ["\x89\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x9A"],

        ["\x52\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD0"],
        ["\x89\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x86"],

        ["\x54\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD1"],
        ["\x89\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x63"],

        ["\x4D\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD2"],
        ["\x89\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xBE"],

        ["\x4F\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD3"],
        ["\x89\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x51"],

        ["\x46\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD4"],
        ["\x89\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD9"],

        ["\x53\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD5"],
        ["\x89\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x77"],

        ["\x54\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD6"],
        ["\x89\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x7A"],

        ["\x4B\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD7"],
        ["\x89\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA1"],

        ["\x4B\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD8"],
        ["\x89\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x6C"],

        ["\x4C\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xD9"],
        ["\x89\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x51"],

        ["\x51\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xDA"],
        ["\x89\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC3"],

        ["\x49\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xDB"],
        ["\x89\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD6"],

        ["\x52\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xDC"],
        ["\x89\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xCA"],

        ["\x4A\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xDD"],
        ["\x89\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xEB"],

        ["\x53\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xDE"],
        ["\x89\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x5D"],

        ["\x48\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xDF"],
        ["\x89\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x8D"],

        ["\x4E\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE0"],
        ["\x89\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE4"],

        ["\x4F\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE1"],
        ["\x89\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xAA"],

        ["\x54\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE2"],
        ["\x89\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC7"],

        ["\x4F\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE3"],
        ["\x89\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x9D"],

        ["\x49\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE4"],
        ["\x89\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xDE"],

        ["\x53\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE5"],
        ["\x89\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xFC"],

        ["\x46\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE6"],
        ["\x89\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x77"],

        ["\x53\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE7"],
        ["\x89\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x8A"],

        ["\x4E\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE8"],
        ["\x89\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xBA"],

        ["\x55\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xE9"],
        ["\x89\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x99"],

        ["\x46\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xEA"],
        ["\x89\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x41"],

        ["\x47\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xEB"],
        ["\x89\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x45"],

        ["\x55\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xEC"],
        ["\x89\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x4B"],

        ["\x53\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xED"],
        ["\x89\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xBE"],

        ["\x48\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xEE"],
        ["\x89\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x4B"],

        ["\x45\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xEF"],
        ["\x89\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xBD"],

        ["\x47\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF0"],
        ["\x89\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB7"],

        ["\x46\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF1"],
        ["\x89\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA9"],

        ["\x50\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF2"],
        ["\x89\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x53"],

        ["\x4E\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF3"],
        ["\x89\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC8"],

        ["\x4B\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF4"],
        ["\x89\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xAF"],

        ["\x4C\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF5"],
        ["\x89\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x60"],

        ["\x4E\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF6"],
        ["\x89\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x71"],

        ["\x50\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF7"],
        ["\x89\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x91"],

        ["\x55\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF8"],
        ["\x89\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x94"],

        ["\x4E\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xF9"],
        ["\x89\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF2"],

        ["\x4D\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xFA"],
        ["\x89\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA0"],

        ["\x53\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xFB"],
        ["\x89\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA2"],

        ["\x48\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x89\xFC"],
        ["\x89\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x8F"],

        ["\x52\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x40"],
        ["\x8A\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xCB"],

        ["\x55\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x41"],
        ["\x8A\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x6D"],

        ["\x46\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x42"],
        ["\x8A\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x82"],

        ["\x45\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x43"],
        ["\x8A\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA7"],

        ["\x4A\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x44"],
        ["\x8A\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF5"],

        ["\x47\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x45"],
        ["\x8A\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xAE"],

        ["\x4A\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x46"],
        ["\x8A\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB0"],

        ["\x4A\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x47"],
        ["\x8A\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE4"],

        ["\x4F\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x48"],
        ["\x8A\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7B"],

        ["\x50\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x49"],
        ["\x8A\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x90"],

        ["\x46\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x4A"],
        ["\x8A\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xCD"],

        ["\x49\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x4B"],
        ["\x8A\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA9"],

        ["\x49\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x4C"],
        ["\x8A\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xEA"],

        ["\x51\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x4D"],
        ["\x8A\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xAC"],

        ["\x55\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x4E"],
        ["\x8A\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x6A"],

        ["\x46\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x4F"],
        ["\x8A\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x94"],

        ["\x53\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x50"],
        ["\x8A\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE9"],

        ["\x49\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x51"],
        ["\x8A\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x68"],

        ["\x50\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x52"],
        ["\x8A\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x74"],

        ["\x52\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x53"],
        ["\x8A\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x8A"],

        ["\x4C\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x54"],
        ["\x8A\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x42"],

        ["\x4F\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x55"],
        ["\x8A\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x91"],

        ["\x53\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x56"],
        ["\x8A\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x56"],

        ["\x4F\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x57"],
        ["\x8A\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6D"],

        ["\x4B\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x58"],
        ["\x8A\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA5"],

        ["\x4D\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x59"],
        ["\x8A\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x8D"],

        ["\x54\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x5A"],
        ["\x8A\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x6D"],

        ["\x55\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x5B"],
        ["\x8A\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x9C"],

        ["\x55\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x5C"],
        ["\x8A\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xCC"],

        ["\x4B\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x5D"],
        ["\x8A\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x85"],

        ["\x55\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x5E"],
        ["\x8A\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xBB"],

        ["\x47\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x5F"],
        ["\x8A\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xCE"],

        ["\x4A\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x60"],
        ["\x8A\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC1"],

        ["\x62\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x61"],
        ["\x8A\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE1"],

        ["\x53\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x62"],
        ["\x8A\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x8F"],

        ["\x55\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x63"],
        ["\x8A\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD6"],

        ["\x55\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x64"],
        ["\x8A\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD8"],

        ["\x47\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x65"],
        ["\x8A\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xBA"],

        ["\x54\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x66"],
        ["\x8A\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xAD"],

        ["\x48\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x67"],
        ["\x8A\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE5"],

        ["\x5B\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x68"],
        ["\x8A\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x52"],

        ["\x47\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x69"],
        ["\x8A\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xDE"],

        ["\x4B\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x6A"],
        ["\x8A\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x9E"],

        ["\x50\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x6B"],
        ["\x8A\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC0"],

        ["\x4D\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x6C"],
        ["\x8A\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x61"],

        ["\x48\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x6D"],
        ["\x8A\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x7A"],

        ["\x4F\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x6E"],
        ["\x8A\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5C"],

        ["\x4A\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x6F"],
        ["\x8A\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4C"],

        ["\x47\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x70"],
        ["\x8A\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x7D"],

        ["\x53\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x71"],
        ["\x8A\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xCC"],

        ["\x4A\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x72"],
        ["\x8A\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5A"],

        ["\x51\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x73"],
        ["\x8A\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x62"],

        ["\x4A\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x74"],
        ["\x8A\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE9"],

        ["\x50\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x75"],
        ["\x8A\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x5A"],

        ["\x4A\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x76"],
        ["\x8A\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA3"],

        ["\x45\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x77"],
        ["\x8A\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xBE"],

        ["\x4D\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x78"],
        ["\x8A\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x46"],

        ["\x47\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x79"],
        ["\x8A\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x61"],

        ["\x47\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x7A"],
        ["\x8A\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF1"],

        ["\x54\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x7B"],
        ["\x8A\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x8E"],

        ["\x4A\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x7C"],
        ["\x8A\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE3"],

        ["\x47\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x7D"],
        ["\x8A\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE0"],

        ["\x4B\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x7E"],
        ["\x8A\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x6F"],

        ["\x4F\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x80"],
        ["\x8A\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB2"],

        ["\x49\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x81"],
        ["\x8A\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xAD"],

        ["\x55\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x82"],
        ["\x8A\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x71"],

        ["\x46\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x83"],
        ["\x8A\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC2"],

        ["\x47\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x84"],
        ["\x8A\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD6"],

        ["\x54\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x85"],
        ["\x8A\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x75"],

        ["\x53\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x86"],
        ["\x8A\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x84"],

        ["\x4F\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x87"],
        ["\x8A\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC5"],

        ["\x47\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x88"],
        ["\x8A\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB4"],

        ["\x54\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x89"],
        ["\x8A\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x41"],

        ["\x4B\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x8A"],
        ["\x8A\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA2"],

        ["\x48\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x8B"],
        ["\x8A\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xDF"],

        ["\x54\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x8C"],
        ["\x8A\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x5E"],

        ["\x50\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x8D"],
        ["\x8A\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xFE"],

        ["\x4F\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x8E"],
        ["\x8A\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x97"],

        ["\x53\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x8F"],
        ["\x8A\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD5"],

        ["\x4F\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x90"],
        ["\x8A\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x59"],

        ["\x51\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x91"],
        ["\x8A\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x63"],

        ["\x4E\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x92"],
        ["\x8A\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x69"],

        ["\x54\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x93"],
        ["\x8A\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x45"],

        ["\x48\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x94"],
        ["\x8A\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x56"],

        ["\x51\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x95"],
        ["\x8A\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xBE"],

        ["\x60\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x96"],
        ["\x8A\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x46"],

        ["\x49\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x97"],
        ["\x8A\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB2"],

        ["\x4A\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x98"],
        ["\x8A\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xCC"],

        ["\x49\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x99"],
        ["\x8A\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x62"],

        ["\x54\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x9A"],
        ["\x8A\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x7D"],

        ["\x4C\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x9B"],
        ["\x8A\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x54"],

        ["\x52\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x9C"],
        ["\x8A\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x42"],

        ["\x4B\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x9D"],
        ["\x8A\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD3"],

        ["\x4F\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x9E"],
        ["\x8A\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7C"],

        ["\x52\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\x9F"],
        ["\x8A\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xAB"],

        ["\x4B\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA0"],
        ["\x8A\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x9B"],

        ["\x4E\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA1"],
        ["\x8A\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x5D"],

        ["\x49\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA2"],
        ["\x8A\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC2"],

        ["\x49\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA3"],
        ["\x8A\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x70"],

        ["\x4F\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA4"],
        ["\x8A\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x98"],

        ["\x4E\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA5"],
        ["\x8A\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x7B"],

        ["\x4B\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA6"],
        ["\x8A\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x81"],

        ["\x4C\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA7"],
        ["\x8A\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD7"],

        ["\x4B\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA8"],
        ["\x8A\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x9A"],

        ["\x4C\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xA9"],
        ["\x8A\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7E"],

        ["\x48\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xAA"],
        ["\x8A\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x93"],

        ["\x52\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xAB"],
        ["\x8A\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB5"],

        ["\x4F\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xAC"],
        ["\x8A\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xAC"],

        ["\x55\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xAD"],
        ["\x8A\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xDE"],

        ["\x48\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xAE"],
        ["\x8A\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC5"],

        ["\x49\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xAF"],
        ["\x8A\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA2"],

        ["\x47\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB0"],
        ["\x8A\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF8"],

        ["\x4A\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB1"],
        ["\x8A\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6F"],

        ["\x48\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB2"],
        ["\x8A\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xDA"],

        ["\x4D\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB3"],
        ["\x8A\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xEB"],

        ["\x47\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB4"],
        ["\x8A\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF7"],

        ["\x4D\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB5"],
        ["\x8A\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD3"],

        ["\x51\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB6"],
        ["\x8A\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA5"],

        ["\x49\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB7"],
        ["\x8A\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xAA"],

        ["\x4F\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB8"],
        ["\x8A\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xCF"],

        ["\x4E\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xB9"],
        ["\x8A\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC1"],

        ["\x53\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xBA"],
        ["\x8A\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x6D"],

        ["\x55\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xBB"],
        ["\x8A\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB6"],

        ["\x4E\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xBC"],
        ["\x8A\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xFB"],

        ["\x4D\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xBD"],
        ["\x8A\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x4E"],

        ["\x4E\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xBE"],
        ["\x8A\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC4"],

        ["\x4F\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xBF"],
        ["\x8A\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x58"],

        ["\x54\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC0"],
        ["\x8A\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xBA"],

        ["\x5D\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC1"],
        ["\x8A\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xAA"],

        ["\x4A\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC2"],
        ["\x8A\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB9"],

        ["\x4B\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC3"],
        ["\x8A\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x55"],

        ["\x49\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC4"],
        ["\x8A\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE3"],

        ["\x4D\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC5"],
        ["\x8A\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA2"],

        ["\x52\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC6"],
        ["\x8A\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x87"],

        ["\x46\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC7"],
        ["\x8A\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF2"],

        ["\x4B\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC8"],
        ["\x8A\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xEC"],

        ["\x4C\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xC9"],
        ["\x8A\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xFC"],

        ["\x50\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xCA"],
        ["\x8A\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x84"],

        ["\x54\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xCB"],
        ["\x8A\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB6"],

        ["\x4C\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xCC"],
        ["\x8A\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x8C"],

        ["\x4C\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xCD"],
        ["\x8A\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4A"],

        ["\x51\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xCE"],
        ["\x8A\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xEE"],

        ["\x48\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xCF"],
        ["\x8A\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x7E"],

        ["\x63\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD0"],
        ["\x8A\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE0"],

        ["\x49\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD1"],
        ["\x8A\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA1"],

        ["\x4D\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD2"],
        ["\x8A\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA9"],

        ["\x4E\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD3"],
        ["\x8A\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x4E"],

        ["\x45\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD4"],
        ["\x8A\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC1"],

        ["\x4D\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD5"],
        ["\x8A\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD9"],

        ["\x45\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD6"],
        ["\x8A\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC5"],

        ["\x4F\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD7"],
        ["\x8A\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xFE"],

        ["\x4E\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD8"],
        ["\x8A\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x75"],

        ["\x48\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xD9"],
        ["\x8A\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x62"],

        ["\x4C\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xDA"],
        ["\x8A\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xAA"],

        ["\x46\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xDB"],
        ["\x8A\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x7A"],

        ["\x49\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xDC"],
        ["\x8A\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xCB"],

        ["\x47\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xDD"],
        ["\x8A\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x48"],

        ["\x49\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xDE"],
        ["\x8A\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xCF"],

        ["\x4E\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xDF"],
        ["\x8A\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x4C"],

        ["\x54\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE0"],
        ["\x8A\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x47"],

        ["\x49\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE1"],
        ["\x8A\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA5"],

        ["\x45\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE2"],
        ["\x8A\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xBF"],

        ["\x55\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE3"],
        ["\x8A\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x8B"],

        ["\x55\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE4"],
        ["\x8A\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x84"],

        ["\x51\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE5"],
        ["\x8A\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA4"],

        ["\x53\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE6"],
        ["\x8A\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x9D"],

        ["\x48\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE7"],
        ["\x8A\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB8"],

        ["\x4C\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE8"],
        ["\x8A\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x57"],

        ["\x47\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xE9"],
        ["\x8A\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD2"],

        ["\x4E\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xEA"],
        ["\x8A\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x9F"],

        ["\x4B\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xEB"],
        ["\x8A\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x91"],

        ["\x45\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xEC"],
        ["\x8A\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD1"],

        ["\x45\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xED"],
        ["\x8A\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xFC"],

        ["\x46\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xEE"],
        ["\x8A\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF1"],

        ["\x4D\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xEF"],
        ["\x8A\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x69"],

        ["\x4F\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF0"],
        ["\x8A\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x8B"],

        ["\x49\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF1"],
        ["\x8A\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xDF"],

        ["\x47\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF2"],
        ["\x8A\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x4A"],

        ["\x4A\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF3"],
        ["\x8A\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB5"],

        ["\x4B\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF4"],
        ["\x8A\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x57"],

        ["\x50\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF5"],
        ["\x8A\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x97"],

        ["\x4B\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF6"],
        ["\x8A\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF2"],

        ["\x4D\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF7"],
        ["\x8A\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x96"],

        ["\x4D\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF8"],
        ["\x8A\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xAB"],

        ["\x4B\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xF9"],
        ["\x8A\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x77"],

        ["\x46\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xFA"],
        ["\x8A\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x8B"],

        ["\x4E\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xFB"],
        ["\x8A\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF1"],

        ["\x4E\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8A\xFC"],
        ["\x8A\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB1"],

        ["\x45\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x40"],
        ["\x8B\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x79"],

        ["\x49\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x41"],
        ["\x8B\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x82"],

        ["\x4A\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x42"],
        ["\x8B\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5B"],

        ["\x45\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x43"],
        ["\x8B\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB9"],

        ["\x49\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x44"],
        ["\x8B\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x4C"],

        ["\x50\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x45"],
        ["\x8B\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD4"],

        ["\x4E\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x46"],
        ["\x8B\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD8"],

        ["\x4A\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x47"],
        ["\x8B\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xEC"],

        ["\x52\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x48"],
        ["\x8B\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x64"],

        ["\x46\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x49"],
        ["\x8B\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xDB"],

        ["\x55\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x4A"],
        ["\x8B\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE0"],

        ["\x46\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x4B"],
        ["\x8B\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFB"],

        ["\x47\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x4C"],
        ["\x8B\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x94"],

        ["\x48\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x4D"],
        ["\x8B\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x7F"],

        ["\x48\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x4E"],
        ["\x8B\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD0"],

        ["\x4D\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x4F"],
        ["\x8B\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xAA"],

        ["\x47\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x50"],
        ["\x8B\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x87"],

        ["\x53\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x51"],
        ["\x8B\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xCE"],

        ["\x50\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x52"],
        ["\x8B\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x58"],

        ["\x4A\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x53"],
        ["\x8B\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC8"],

        ["\x47\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x54"],
        ["\x8B\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC0"],

        ["\x50\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x55"],
        ["\x8B\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x59"],

        ["\x49\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x56"],
        ["\x8B\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xCA"],

        ["\x53\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x57"],
        ["\x8B\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x95"],

        ["\x4D\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x58"],
        ["\x8B\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x8B"],

        ["\x4F\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x59"],
        ["\x8B\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x92"],

        ["\x48\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x5A"],
        ["\x8B\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF7"],

        ["\x4F\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x5B"],
        ["\x8B\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xCD"],

        ["\x51\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x5C"],
        ["\x8B\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x7D"],

        ["\x4F\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x5D"],
        ["\x8B\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xDC"],

        ["\x4C\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x5E"],
        ["\x8B\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB4"],

        ["\x51\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x5F"],
        ["\x8B\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x92"],

        ["\x45\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x60"],
        ["\x8B\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x98"],

        ["\x51\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x61"],
        ["\x8B\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC6"],

        ["\x52\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x62"],
        ["\x8B\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x65"],

        ["\x47\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x63"],
        ["\x8B\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x81"],

        ["\x55\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x64"],
        ["\x8B\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x41"],

        ["\x46\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x65"],
        ["\x8B\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD7"],

        ["\x51\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x66"],
        ["\x8B\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xED"],

        ["\x45\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x67"],
        ["\x8B\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x7E"],

        ["\x55\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x68"],
        ["\x8B\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xEA"],

        ["\x4D\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x69"],
        ["\x8B\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x6D"],

        ["\x53\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x6A"],
        ["\x8B\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x4B"],

        ["\x4B\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x6B"],
        ["\x8B\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC2"],

        ["\x4B\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x6C"],
        ["\x8B\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x5F"],

        ["\x52\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x6D"],
        ["\x8B\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x48"],

        ["\x4A\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x6E"],
        ["\x8B\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA6"],

        ["\x55\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x6F"],
        ["\x8B\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xAE"],

        ["\x4A\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x70"],
        ["\x8B\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA4"],

        ["\x4A\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x71"],
        ["\x8B\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xDE"],

        ["\x4D\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x72"],
        ["\x8B\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x5C"],

        ["\x52\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x73"],
        ["\x8B\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x60"],

        ["\x4B\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x74"],
        ["\x8B\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xFC"],

        ["\x4D\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x75"],
        ["\x8B\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x56"],

        ["\x45\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x76"],
        ["\x8B\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8A"],

        ["\x50\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x77"],
        ["\x8B\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x85"],

        ["\x4A\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x78"],
        ["\x8B\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x81"],

        ["\x48\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x79"],
        ["\x8B\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x5C"],

        ["\x4B\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x7A"],
        ["\x8B\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x98"],

        ["\x45\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x7B"],
        ["\x8B\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x92"],

        ["\x4B\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x7C"],
        ["\x8B\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x63"],

        ["\x47\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x7D"],
        ["\x8B\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xCC"],

        ["\x4C\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x7E"],
        ["\x8B\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5C"],

        ["\x50\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x80"],
        ["\x8B\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF0"],

        ["\x49\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x81"],
        ["\x8B\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA0"],

        ["\x50\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x82"],
        ["\x8B\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC8"],

        ["\x4D\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x83"],
        ["\x8B\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x4B"],

        ["\x54\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x84"],
        ["\x8B\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x73"],

        ["\x48\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x85"],
        ["\x8B\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xDB"],

        ["\x49\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x86"],
        ["\x8B\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x86"],

        ["\x50\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x87"],
        ["\x8B\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xAA"],

        ["\x51\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x88"],
        ["\x8B\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xCF"],

        ["\x49\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x89"],
        ["\x8B\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF3"],

        ["\x51\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x8A"],
        ["\x8B\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xFE"],

        ["\x47\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x8B"],
        ["\x8B\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x57"],

        ["\x4C\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x8C"],
        ["\x8B\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7B"],

        ["\x49\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x8D"],
        ["\x8B\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x73"],

        ["\x4A\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x8E"],
        ["\x8B\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xCA"],

        ["\x48\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x8F"],
        ["\x8B\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x5E"],

        ["\x4A\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x90"],
        ["\x8B\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x52"],

        ["\x4F\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x91"],
        ["\x8B\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x61"],

        ["\x4D\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x92"],
        ["\x8B\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x77"],

        ["\x4B\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x93"],
        ["\x8B\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x82"],

        ["\x52\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x94"],
        ["\x8B\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x7A"],

        ["\x4F\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x95"],
        ["\x8B\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x72"],

        ["\x4A\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x96"],
        ["\x8B\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x9A"],

        ["\x4D\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x97"],
        ["\x8B\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC2"],

        ["\x51\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x98"],
        ["\x8B\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE7"],

        ["\x4B\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x99"],
        ["\x8B\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x78"],

        ["\x55\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x9A"],
        ["\x8B\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xAA"],

        ["\x48\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x9B"],
        ["\x8B\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xEE"],

        ["\x4B\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x9C"],
        ["\x8B\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xAC"],

        ["\x4B\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x9D"],
        ["\x8B\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x73"],

        ["\x45\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x9E"],
        ["\x8B\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x75"],

        ["\x48\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\x9F"],
        ["\x8B\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xBC"],

        ["\x52\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA0"],
        ["\x8B\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xEC"],

        ["\x55\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA1"],
        ["\x8B\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xAD"],

        ["\x55\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA2"],
        ["\x8B\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x5A"],

        ["\x49\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA3"],
        ["\x8B\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x71"],

        ["\x47\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA4"],
        ["\x8B\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB3"],

        ["\x51\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA5"],
        ["\x8B\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xEC"],

        ["\x47\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA6"],
        ["\x8B\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD7"],

        ["\x4D\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA7"],
        ["\x8B\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x4D"],

        ["\x53\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA8"],
        ["\x8B\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE2"],

        ["\x4D\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xA9"],
        ["\x8B\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD5"],

        ["\x4C\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xAA"],
        ["\x8B\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5F"],

        ["\x4A\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xAB"],
        ["\x8B\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x95"],

        ["\x51\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xAC"],
        ["\x8B\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB3"],

        ["\x46\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xAD"],
        ["\x8B\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD2"],

        ["\x53\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xAE"],
        ["\x8B\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x85"],

        ["\x55\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xAF"],
        ["\x8B\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x42"],

        ["\x4B\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB0"],
        ["\x8B\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD5"],

        ["\x49\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB1"],
        ["\x8B\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x4E"],

        ["\x55\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB2"],
        ["\x8B\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB1"],

        ["\x47\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB3"],
        ["\x8B\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA5"],

        ["\x45\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB4"],
        ["\x8B\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x89"],

        ["\x4A\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB5"],
        ["\x8B\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x58"],

        ["\x4E\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB6"],
        ["\x8B\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x5A"],

        ["\x4C\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB7"],
        ["\x8B\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x9E"],

        ["\x51\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB8"],
        ["\x8B\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xBB"],

        ["\x4B\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xB9"],
        ["\x8B\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE3"],

        ["\x50\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xBA"],
        ["\x8B\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x51"],

        ["\x46\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xBB"],
        ["\x8B\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x6A"],

        ["\x55\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xBC"],
        ["\x8B\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x65"],

        ["\x49\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xBD"],
        ["\x8B\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x95"],

        ["\x4A\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xBE"],
        ["\x8B\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x8D"],

        ["\x4A\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xBF"],
        ["\x8B\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5C"],

        ["\x51\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC0"],
        ["\x8B\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD5"],

        ["\x4C\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC1"],
        ["\x8B\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD5"],

        ["\x4D\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC2"],
        ["\x8B\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xED"],

        ["\x4E\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC3"],
        ["\x8B\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD9"],

        ["\x68\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC4"],
        ["\x8B\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x80"],

        ["\x4C\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC5"],
        ["\x8B\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x83"],

        ["\x45\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC6"],
        ["\x8B\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x6B"],

        ["\x48\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC7"],
        ["\x8B\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x8B"],

        ["\x49\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC8"],
        ["\x8B\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB6"],

        ["\x49\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xC9"],
        ["\x8B\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB7"],

        ["\x45\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xCA"],
        ["\x8B\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xFD"],

        ["\x49\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xCB"],
        ["\x8B\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC0"],

        ["\x55\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xCC"],
        ["\x8B\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE7"],

        ["\x4F\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xCD"],
        ["\x8B\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC9"],

        ["\x49\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xCE"],
        ["\x8B\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x9F"],

        ["\x49\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xCF"],
        ["\x8B\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xAE"],

        ["\x4A\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD0"],
        ["\x8B\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7D"],

        ["\x4B\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD1"],
        ["\x8B\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x8E"],

        ["\x54\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD2"],
        ["\x8B\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xCF"],

        ["\x4B\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD3"],
        ["\x8B\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x9D"],

        ["\x4C\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD4"],
        ["\x8B\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF8"],

        ["\x4C\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD5"],
        ["\x8B\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD8"],

        ["\x4D\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD6"],
        ["\x8B\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x75"],

        ["\x55\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD7"],
        ["\x8B\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x5D"],

        ["\x4B\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD8"],
        ["\x8B\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x8F"],

        ["\x4B\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xD9"],
        ["\x8B\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x97"],

        ["\x4D\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xDA"],
        ["\x8B\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD0"],

        ["\x4C\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xDB"],
        ["\x8B\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x73"],

        ["\x4A\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xDC"],
        ["\x8B\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA7"],

        ["\x54\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xDD"],
        ["\x8B\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xAF"],

        ["\x4D\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xDE"],
        ["\x8B\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x87"],

        ["\x46\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xDF"],
        ["\x8B\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x73"],

        ["\x45\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE0"],
        ["\x8B\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x86"],

        ["\x50\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE1"],
        ["\x8B\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x7A"],

        ["\x47\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE2"],
        ["\x8B\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x8C"],

        ["\x45\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE3"],
        ["\x8B\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x49"],

        ["\x4F\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE4"],
        ["\x8B\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x63"],

        ["\x4C\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE5"],
        ["\x8B\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x8B"],

        ["\x45\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE6"],
        ["\x8B\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x54"],

        ["\x52\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE7"],
        ["\x8B\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x74"],

        ["\x4D\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE8"],
        ["\x8B\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE9"],

        ["\x4E\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xE9"],
        ["\x8B\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x4D"],

        ["\x4A\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xEA"],
        ["\x8B\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5F"],

        ["\x53\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xEB"],
        ["\x8B\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x53"],

        ["\x4C\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xEC"],
        ["\x8B\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xFE"],

        ["\x4F\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xED"],
        ["\x8B\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x85"],

        ["\x49\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xEE"],
        ["\x8B\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xFC"],

        ["\x47\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xEF"],
        ["\x8B\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xAF"],

        ["\x52\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF0"],
        ["\x8B\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB2"],

        ["\x55\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF1"],
        ["\x8B\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x88"],

        ["\x4E\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF2"],
        ["\x8B\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB9"],

        ["\x47\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF3"],
        ["\x8B\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x8D"],

        ["\x50\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF4"],
        ["\x8B\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC3"],

        ["\x55\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF5"],
        ["\x8B\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF4"],

        ["\x49\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF6"],
        ["\x8B\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xEC"],

        ["\x4B\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF7"],
        ["\x8B\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB9"],

        ["\x4C\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF8"],
        ["\x8B\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB8"],

        ["\x4D\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xF9"],
        ["\x8B\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA6"],

        ["\x4B\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xFA"],
        ["\x8B\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF0"],

        ["\x54\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xFB"],
        ["\x8B\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB2"],

        ["\x4D\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8B\xFC"],
        ["\x8B\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x94"],

        ["\x4D\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x40"],
        ["\x8C\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x44"],

        ["\x50\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x41"],
        ["\x8C\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA6"],

        ["\x4F\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x42"],
        ["\x8C\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF8"],

        ["\x4D\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x43"],
        ["\x8C\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF1"],

        ["\x52\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x44"],
        ["\x8C\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE1"],

        ["\x4A\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x45"],
        ["\x8C\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x65"],

        ["\x46\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x46"],
        ["\x8C\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x7F"],

        ["\x4C\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x47"],
        ["\x8C\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE5"],

        ["\x4E\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x48"],
        ["\x8C\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x85"],

        ["\x47\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x49"],
        ["\x8C\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x9B"],

        ["\x4B\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x4A"],
        ["\x8C\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x69"],

        ["\x48\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x4B"],
        ["\x8C\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x79"],

        ["\x4F\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x4C"],
        ["\x8C\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x70"],

        ["\x49\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x4D"],
        ["\x8C\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x7A"],

        ["\x47\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x4E"],
        ["\x8C\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xCF"],

        ["\x49\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x4F"],
        ["\x8C\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x98"],

        ["\x4B\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x50"],
        ["\x8C\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC8"],

        ["\x47\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x51"],
        ["\x8C\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB1"],

        ["\x48\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x52"],
        ["\x8C\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x97"],

        ["\x49\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x53"],
        ["\x8C\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x9E"],

        ["\x53\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x54"],
        ["\x8C\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xDB"],

        ["\x4F\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x55"],
        ["\x8C\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6A"],

        ["\x53\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x56"],
        ["\x8C\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD2"],

        ["\x48\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x57"],
        ["\x8C\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x51"],

        ["\x4A\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x58"],
        ["\x8C\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x43"],

        ["\x4C\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x59"],
        ["\x8C\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x52"],

        ["\x4B\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x5A"],
        ["\x8C\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE8"],

        ["\x47\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x5B"],
        ["\x8C\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE4"],

        ["\x49\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x5C"],
        ["\x8C\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE6"],

        ["\x4C\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x5D"],
        ["\x8C\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB9"],

        ["\x46\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x5E"],
        ["\x8C\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE6"],

        ["\x4C\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x5F"],
        ["\x8C\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x64"],

        ["\x46\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x60"],
        ["\x8C\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x90"],

        ["\x4E\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x61"],
        ["\x8C\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x60"],

        ["\x46\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x62"],
        ["\x8C\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x43"],

        ["\x48\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x63"],
        ["\x8C\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA8"],

        ["\x4E\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x64"],
        ["\x8C\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB6"],

        ["\x51\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x65"],
        ["\x8C\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x75"],

        ["\x4D\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x66"],
        ["\x8C\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC1"],

        ["\x4E\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x67"],
        ["\x8C\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x49"],

        ["\x47\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x68"],
        ["\x8C\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB0"],

        ["\x49\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x69"],
        ["\x8C\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x93"],

        ["\x49\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x6A"],
        ["\x8C\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xAB"],

        ["\x51\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x6B"],
        ["\x8C\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x98"],

        ["\x51\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x6C"],
        ["\x8C\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB4"],

        ["\x4F\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x6D"],
        ["\x8C\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC7"],

        ["\x48\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x6E"],
        ["\x8C\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xFA"],

        ["\x46\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x6F"],
        ["\x8C\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x88"],

        ["\x4A\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x70"],
        ["\x8C\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4A"],

        ["\x53\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x71"],
        ["\x8C\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x73"],

        ["\x55\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x72"],
        ["\x8C\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xEF"],

        ["\x4E\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x73"],
        ["\x8C\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC9"],

        ["\x53\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x74"],
        ["\x8C\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB3"],

        ["\x4D\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x75"],
        ["\x8C\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF9"],

        ["\x45\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x76"],
        ["\x8C\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC9"],

        ["\x54\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x77"],
        ["\x8C\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xFB"],

        ["\x4A\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x78"],
        ["\x8C\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD7"],

        ["\x48\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x79"],
        ["\x8C\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA6"],

        ["\x66\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x7A"],
        ["\x8C\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC4"],

        ["\x4D\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x7B"],
        ["\x8C\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x8E"],

        ["\x49\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x7C"],
        ["\x8C\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x53"],

        ["\x4B\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x7D"],
        ["\x8C\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA9"],

        ["\x4D\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x7E"],
        ["\x8C\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x78"],

        ["\x49\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x80"],
        ["\x8C\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF0"],

        ["\x54\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x81"],
        ["\x8C\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD9"],

        ["\x4A\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x82"],
        ["\x8C\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x74"],

        ["\x4B\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x83"],
        ["\x8C\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD0"],

        ["\x53\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x84"],
        ["\x8C\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC3"],

        ["\x50\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x85"],
        ["\x8C\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD6"],

        ["\x4F\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x86"],
        ["\x8C\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC3"],

        ["\x4C\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x87"],
        ["\x8C\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB5"],

        ["\x47\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x88"],
        ["\x8C\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA4"],

        ["\x4A\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x89"],
        ["\x8C\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC2"],

        ["\x4B\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x8A"],
        ["\x8C\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x86"],

        ["\x46\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x8B"],
        ["\x8C\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xBF"],

        ["\x4B\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x8C"],
        ["\x8C\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x43"],

        ["\x54\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x8D"],
        ["\x8C\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xCC"],

        ["\x45\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x8E"],
        ["\x8C\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x61"],

        ["\x48\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x8F"],
        ["\x8C\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB2"],

        ["\x52\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x90"],
        ["\x8C\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xFA"],

        ["\x52\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x91"],
        ["\x8C\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF1"],

        ["\x46\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x92"],
        ["\x8C\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x81"],

        ["\x48\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x93"],
        ["\x8C\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF4"],

        ["\x4B\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x94"],
        ["\x8C\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x6B"],

        ["\x4C\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x95"],
        ["\x8C\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD3"],

        ["\x4F\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x96"],
        ["\x8C\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD3"],

        ["\x4F\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x97"],
        ["\x8C\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x49"],

        ["\x4A\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x98"],
        ["\x8C\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE7"],

        ["\x4E\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x99"],
        ["\x8C\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC3"],

        ["\x46\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x9A"],
        ["\x8C\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x66"],

        ["\x47\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x9B"],
        ["\x8C\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xBE"],

        ["\x4D\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x9C"],
        ["\x8C\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC6"],

        ["\x50\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x9D"],
        ["\x8C\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x8D"],

        ["\x54\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x9E"],
        ["\x8C\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x93"],

        ["\x48\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\x9F"],
        ["\x8C\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x6D"],

        ["\x48\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA0"],
        ["\x8C\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xDC"],

        ["\x54\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA1"],
        ["\x8C\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x8A"],

        ["\x4A\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA2"],
        ["\x8C\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC5"],

        ["\x4F\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA3"],
        ["\x8C\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x45"],

        ["\x46\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA4"],
        ["\x8C\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD3"],

        ["\x53\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA5"],
        ["\x8C\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x69"],

        ["\x49\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA6"],
        ["\x8C\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF6"],

        ["\x45\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA7"],
        ["\x8C\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x52"],

        ["\x4B\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA8"],
        ["\x8C\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x79"],

        ["\x45\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xA9"],
        ["\x8C\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xBB"],

        ["\x49\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xAA"],
        ["\x8C\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x7C"],

        ["\x47\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xAB"],
        ["\x8C\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE5"],

        ["\x4E\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xAC"],
        ["\x8C\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x55"],

        ["\x4E\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xAD"],
        ["\x8C\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC2"],

        ["\x4E\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xAE"],
        ["\x8C\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x45"],

        ["\x4A\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xAF"],
        ["\x8C\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6C"],

        ["\x4A\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB0"],
        ["\x8C\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE5"],

        ["\x48\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB1"],
        ["\x8C\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB4"],

        ["\x4C\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB2"],
        ["\x8C\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7D"],

        ["\x46\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB3"],
        ["\x8C\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x95"],

        ["\x45\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB4"],
        ["\x8C\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x74"],

        ["\x4C\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB5"],
        ["\x8C\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x8E"],

        ["\x50\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB6"],
        ["\x8C\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA2"],

        ["\x4E\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB7"],
        ["\x8C\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x42"],

        ["\x47\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB8"],
        ["\x8C\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x8A"],

        ["\x47\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xB9"],
        ["\x8C\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xFC"],

        ["\x4C\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xBA"],
        ["\x8C\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6E"],

        ["\x46\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xBB"],
        ["\x8C\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB7"],

        ["\x55\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xBC"],
        ["\x8C\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x63"],

        ["\x53\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xBD"],
        ["\x8C\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xAC"],

        ["\x47\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xBE"],
        ["\x8C\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x9A"],

        ["\x55\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xBF"],
        ["\x8C\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xAB"],

        ["\x48\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC0"],
        ["\x8C\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xAD"],

        ["\x54\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC1"],
        ["\x8C\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA5"],

        ["\x49\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC2"],
        ["\x8C\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xFA"],

        ["\x45\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC3"],
        ["\x8C\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD4"],

        ["\x4A\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC4"],
        ["\x8C\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF6"],

        ["\x4A\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC5"],
        ["\x8C\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x94"],

        ["\x53\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC6"],
        ["\x8C\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF2"],

        ["\x4E\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC7"],
        ["\x8C\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xAF"],

        ["\x47\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC8"],
        ["\x8C\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xAD"],

        ["\x45\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xC9"],
        ["\x8C\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF8"],

        ["\x53\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xCA"],
        ["\x8C\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x6B"],

        ["\x45\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xCB"],
        ["\x8C\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCF"],

        ["\x4A\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xCC"],
        ["\x8C\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF7"],

        ["\x50\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xCD"],
        ["\x8C\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x61"],

        ["\x4D\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xCE"],
        ["\x8C\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x52"],

        ["\x51\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xCF"],
        ["\x8C\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xDB"],

        ["\x54\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD0"],
        ["\x8C\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x71"],

        ["\x4F\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD1"],
        ["\x8C\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5A"],

        ["\x4C\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD2"],
        ["\x8C\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC5"],

        ["\x4D\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD3"],
        ["\x8C\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x63"],

        ["\x51\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD4"],
        ["\x8C\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x6D"],

        ["\x4A\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD5"],
        ["\x8C\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xAB"],

        ["\x4E\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD6"],
        ["\x8C\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB4"],

        ["\x55\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD7"],
        ["\x8C\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xCB"],

        ["\x55\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD8"],
        ["\x8C\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xBF"],

        ["\x4C\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xD9"],
        ["\x8C\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4D"],

        ["\x4E\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xDA"],
        ["\x8C\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xEE"],

        ["\x4F\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xDB"],
        ["\x8C\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xAF"],

        ["\x45\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xDC"],
        ["\x8C\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x45"],

        ["\x4B\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xDD"],
        ["\x8C\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x74"],

        ["\x4D\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xDE"],
        ["\x8C\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x99"],

        ["\x45\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xDF"],
        ["\x8C\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDF"],

        ["\x4A\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE0"],
        ["\x8C\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xEE"],

        ["\x47\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE1"],
        ["\x8C\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF6"],

        ["\x50\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE2"],
        ["\x8C\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB5"],

        ["\x45\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE3"],
        ["\x8C\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE5"],

        ["\x46\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE4"],
        ["\x8C\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x98"],

        ["\x4A\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE5"],
        ["\x8C\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB1"],

        ["\x52\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE6"],
        ["\x8C\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD3"],

        ["\x55\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE7"],
        ["\x8C\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xEE"],

        ["\x53\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE8"],
        ["\x8C\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF1"],

        ["\x4F\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xE9"],
        ["\x8C\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4E"],

        ["\x48\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xEA"],
        ["\x8C\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE7"],

        ["\x4D\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xEB"],
        ["\x8C\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x91"],

        ["\x49\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xEC"],
        ["\x8C\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xDB"],

        ["\x51\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xED"],
        ["\x8C\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x70"],

        ["\x4E\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xEE"],
        ["\x8C\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB5"],

        ["\x4F\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xEF"],
        ["\x8C\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC6"],

        ["\x47\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF0"],
        ["\x8C\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x8E"],

        ["\x54\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF1"],
        ["\x8C\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x62"],

        ["\x53\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF2"],
        ["\x8C\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE3"],

        ["\x4C\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF3"],
        ["\x8C\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xAE"],

        ["\x53\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF4"],
        ["\x8C\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x43"],

        ["\x45\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF5"],
        ["\x8C\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x9E"],

        ["\x46\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF6"],
        ["\x8C\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xBB"],

        ["\x48\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF7"],
        ["\x8C\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x70"],

        ["\x49\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF8"],
        ["\x8C\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x78"],

        ["\x51\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xF9"],
        ["\x8C\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE9"],

        ["\x49\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xFA"],
        ["\x8C\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x42"],

        ["\x45\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xFB"],
        ["\x8C\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x88"],

        ["\x46\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8C\xFC"],
        ["\x8C\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA5"],

        ["\x51\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x40"],
        ["\x8D\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xAF"],

        ["\x52\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x41"],
        ["\x8D\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x53"],

        ["\x4E\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x42"],
        ["\x8D\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF3"],

        ["\x54\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x43"],
        ["\x8D\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x66"],

        ["\x46\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x44"],
        ["\x8D\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x9E"],

        ["\x4B\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x45"],
        ["\x8D\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD9"],

        ["\x45\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x46"],
        ["\x8D\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF4"],

        ["\x46\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x47"],
        ["\x8D\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC8"],

        ["\x45\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x48"],
        ["\x8D\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x6A"],

        ["\x4C\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x49"],
        ["\x8D\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA3"],

        ["\x53\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x4A"],
        ["\x8D\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xCB"],

        ["\x45\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x4B"],
        ["\x8D\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA9"],

        ["\x45\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x4C"],
        ["\x8D\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB7"],

        ["\x51\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x4D"],
        ["\x8D\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x5A"],

        ["\x46\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x4E"],
        ["\x8D\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x9A"],

        ["\x45\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x4F"],
        ["\x8D\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD3"],

        ["\x47\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x50"],
        ["\x8D\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC7"],

        ["\x53\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x51"],
        ["\x8D\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x8E"],

        ["\x4A\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x52"],
        ["\x8D\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x67"],

        ["\x50\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x53"],
        ["\x8D\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x45"],

        ["\x4C\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x54"],
        ["\x8D\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xAC"],

        ["\x4B\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x55"],
        ["\x8D\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC5"],

        ["\x5B\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x56"],
        ["\x8D\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x99"],

        ["\x48\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x57"],
        ["\x8D\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB0"],

        ["\x4A\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x58"],
        ["\x8D\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6D"],

        ["\x50\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x59"],
        ["\x8D\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x8B"],

        ["\x48\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x5A"],
        ["\x8D\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xBF"],

        ["\x52\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x5B"],
        ["\x8D\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xCC"],

        ["\x47\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x5C"],
        ["\x8D\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x96"],

        ["\x45\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x5D"],
        ["\x8D\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xAD"],

        ["\x4F\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x5E"],
        ["\x8D\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD4"],

        ["\x46\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x5F"],
        ["\x8D\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEB"],

        ["\x48\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x60"],
        ["\x8D\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC6"],

        ["\x4A\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x61"],
        ["\x8D\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4D"],

        ["\x48\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x62"],
        ["\x8D\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA0"],

        ["\x4C\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x63"],
        ["\x8D\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xBB"],

        ["\x4A\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x64"],
        ["\x8D\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xEF"],

        ["\x4F\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x65"],
        ["\x8D\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD5"],

        ["\x51\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x66"],
        ["\x8D\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x4B"],

        ["\x4B\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x67"],
        ["\x8D\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x67"],

        ["\x4C\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x68"],
        ["\x8D\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x78"],

        ["\x50\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x69"],
        ["\x8D\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x6D"],

        ["\x48\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x6A"],
        ["\x8D\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xCB"],

        ["\x49\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x6B"],
        ["\x8D\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x9A"],

        ["\x47\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x6C"],
        ["\x8D\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x60"],

        ["\x50\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x6D"],
        ["\x8D\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xEB"],

        ["\x52\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x6E"],
        ["\x8D\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD5"],

        ["\x52\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x6F"],
        ["\x8D\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x47"],

        ["\x51\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x70"],
        ["\x8D\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD8"],

        ["\x48\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x71"],
        ["\x8D\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x9F"],

        ["\x46\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x72"],
        ["\x8D\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xDC"],

        ["\x45\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x73"],
        ["\x8D\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA4"],

        ["\x4B\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x74"],
        ["\x8D\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xED"],

        ["\x4A\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x75"],
        ["\x8D\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6E"],

        ["\x4A\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x76"],
        ["\x8D\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF1"],

        ["\x4E\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x77"],
        ["\x8D\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x8F"],

        ["\x50\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x78"],
        ["\x8D\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x52"],

        ["\x4D\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x79"],
        ["\x8D\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x86"],

        ["\x48\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x7A"],
        ["\x8D\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x63"],

        ["\x5F\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x7B"],
        ["\x8D\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xAF"],

        ["\x46\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x7C"],
        ["\x8D\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA1"],

        ["\x54\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x7D"],
        ["\x8D\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x9B"],

        ["\x49\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x7E"],
        ["\x8D\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE5"],

        ["\x4A\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x80"],
        ["\x8D\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x97"],

        ["\x46\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x81"],
        ["\x8D\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xBD"],

        ["\x45\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x82"],
        ["\x8D\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x71"],

        ["\x4D\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x83"],
        ["\x8D\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD6"],

        ["\x49\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x84"],
        ["\x8D\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC7"],

        ["\x54\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x85"],
        ["\x8D\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC6"],

        ["\x48\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x86"],
        ["\x8D\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE2"],

        ["\x45\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x87"],
        ["\x8D\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA0"],

        ["\x55\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x88"],
        ["\x8D\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB9"],

        ["\x55\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x89"],
        ["\x8D\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB5"],

        ["\x53\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x8A"],
        ["\x8D\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x80"],

        ["\x4C\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x8B"],
        ["\x8D\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x68"],

        ["\x50\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x8C"],
        ["\x8D\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA9"],

        ["\x52\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x8D"],
        ["\x8D\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x61"],

        ["\x47\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x8E"],
        ["\x8D\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x9E"],

        ["\x4B\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x8F"],
        ["\x8D\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF5"],

        ["\x49\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x90"],
        ["\x8D\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x54"],

        ["\x45\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x91"],
        ["\x8D\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8F"],

        ["\x4E\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x92"],
        ["\x8D\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x94"],

        ["\x51\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x93"],
        ["\x8D\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xEB"],

        ["\x50\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x94"],
        ["\x8D\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xFD"],

        ["\x46\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x95"],
        ["\x8D\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x79"],

        ["\x4E\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x96"],
        ["\x8D\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x95"],

        ["\x54\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x97"],
        ["\x8D\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD0"],

        ["\x4B\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x98"],
        ["\x8D\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA4"],

        ["\x54\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x99"],
        ["\x8D\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x95"],

        ["\x50\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x9A"],
        ["\x8D\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x56"],

        ["\x54\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x9B"],
        ["\x8D\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x9D"],

        ["\x4A\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x9C"],
        ["\x8D\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA5"],

        ["\x50\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x9D"],
        ["\x8D\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xDC"],

        ["\x48\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x9E"],
        ["\x8D\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x41"],

        ["\x4D\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\x9F"],
        ["\x8D\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x4C"],

        ["\x49\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA0"],
        ["\x8D\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x46"],

        ["\x45\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA1"],
        ["\x8D\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE0"],

        ["\x4B\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA2"],
        ["\x8D\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x44"],

        ["\x53\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA3"],
        ["\x8D\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA6"],

        ["\x54\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA4"],
        ["\x8D\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x88"],

        ["\x4A\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA5"],
        ["\x8D\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x77"],

        ["\x53\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA6"],
        ["\x8D\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB8"],

        ["\x4E\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA7"],
        ["\x8D\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA4"],

        ["\x54\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA8"],
        ["\x8D\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE8"],

        ["\x4F\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xA9"],
        ["\x8D\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE7"],

        ["\x46\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xAA"],
        ["\x8D\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x67"],

        ["\x53\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xAB"],
        ["\x8D\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x59"],

        ["\x4B\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xAC"],
        ["\x8D\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x46"],

        ["\x53\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xAD"],
        ["\x8D\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xFD"],

        ["\x4C\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xAE"],
        ["\x8D\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xBD"],

        ["\x55\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xAF"],
        ["\x8D\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB4"],

        ["\x50\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB0"],
        ["\x8D\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA8"],

        ["\x55\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB1"],
        ["\x8D\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xDC"],

        ["\x45\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB2"],
        ["\x8D\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x76"],

        ["\x50\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB3"],
        ["\x8D\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA5"],

        ["\x51\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB4"],
        ["\x8D\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB8"],

        ["\x4E\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB5"],
        ["\x8D\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD3"],

        ["\x48\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB6"],
        ["\x8D\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x5B"],

        ["\x49\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB7"],
        ["\x8D\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x8B"],

        ["\x47\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB8"],
        ["\x8D\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x73"],

        ["\x4E\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xB9"],
        ["\x8D\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xAD"],

        ["\x51\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xBA"],
        ["\x8D\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x88"],

        ["\x49\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xBB"],
        ["\x8D\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x5B"],

        ["\x51\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xBC"],
        ["\x8D\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x76"],

        ["\x4D\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xBD"],
        ["\x8D\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x70"],

        ["\x4F\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xBE"],
        ["\x8D\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x8A"],

        ["\x4E\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xBF"],
        ["\x8D\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x8D"],

        ["\x48\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC0"],
        ["\x8D\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB1"],

        ["\x54\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC1"],
        ["\x8D\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x8F"],

        ["\x4B\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC2"],
        ["\x8D\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x58"],

        ["\x4C\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC3"],
        ["\x8D\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x43"],

        ["\x48\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC4"],
        ["\x8D\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xEB"],

        ["\x46\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC5"],
        ["\x8D\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF5"],

        ["\x4A\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC6"],
        ["\x8D\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6B"],

        ["\x53\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC7"],
        ["\x8D\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC1"],

        ["\x49\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC8"],
        ["\x8D\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA3"],

        ["\x4E\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xC9"],
        ["\x8D\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD4"],

        ["\x4D\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xCA"],
        ["\x8D\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xCD"],

        ["\x49\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xCB"],
        ["\x8D\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF1"],

        ["\x4B\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xCC"],
        ["\x8D\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x4F"],

        ["\x4D\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xCD"],
        ["\x8D\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE0"],

        ["\x48\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xCE"],
        ["\x8D\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE4"],

        ["\x47\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xCF"],
        ["\x8D\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x69"],

        ["\x4C\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD0"],
        ["\x8D\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xBC"],

        ["\x53\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD1"],
        ["\x8D\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xBF"],

        ["\x53\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD2"],
        ["\x8D\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x54"],

        ["\x4C\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD3"],
        ["\x8D\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC3"],

        ["\x54\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD4"],
        ["\x8D\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB4"],

        ["\x4C\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD5"],
        ["\x8D\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x71"],

        ["\x47\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD6"],
        ["\x8D\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xDB"],

        ["\x47\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD7"],
        ["\x8D\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x68"],

        ["\x4B\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD8"],
        ["\x8D\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA8"],

        ["\x49\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xD9"],
        ["\x8D\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xBD"],

        ["\x4D\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xDA"],
        ["\x8D\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x6E"],

        ["\x47\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xDB"],
        ["\x8D\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x97"],

        ["\x47\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xDC"],
        ["\x8D\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x66"],

        ["\x47\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xDD"],
        ["\x8D\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xCD"],

        ["\x46\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xDE"],
        ["\x8D\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xBC"],

        ["\x4C\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xDF"],
        ["\x8D\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4E"],

        ["\x49\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE0"],
        ["\x8D\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xAF"],

        ["\x50\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE1"],
        ["\x8D\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC9"],

        ["\x45\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE2"],
        ["\x8D\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xEC"],

        ["\x45\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE3"],
        ["\x8D\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x91"],

        ["\x4A\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE4"],
        ["\x8D\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7C"],

        ["\x4B\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE5"],
        ["\x8D\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x52"],

        ["\x54\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE6"],
        ["\x8D\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x51"],

        ["\x4C\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE7"],
        ["\x8D\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xDE"],

        ["\x45\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE8"],
        ["\x8D\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x7F"],

        ["\x46\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xE9"],
        ["\x8D\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA3"],

        ["\x52\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xEA"],
        ["\x8D\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD2"],

        ["\x50\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xEB"],
        ["\x8D\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xAF"],

        ["\x45\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xEC"],
        ["\x8D\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x94"],

        ["\x4A\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xED"],
        ["\x8D\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x90"],

        ["\x4F\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xEE"],
        ["\x8D\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x50"],

        ["\x50\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xEF"],
        ["\x8D\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA3"],

        ["\x48\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF0"],
        ["\x8D\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE8"],

        ["\x4F\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF1"],
        ["\x8D\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA4"],

        ["\x51\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF2"],
        ["\x8D\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF1"],

        ["\x54\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF3"],
        ["\x8D\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x99"],

        ["\x46\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF4"],
        ["\x8D\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC9"],

        ["\x4C\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF5"],
        ["\x8D\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF4"],

        ["\x50\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF6"],
        ["\x8D\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB1"],

        ["\x47\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF7"],
        ["\x8D\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x71"],

        ["\x53\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF8"],
        ["\x8D\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x91"],

        ["\x49\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xF9"],
        ["\x8D\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x6E"],

        ["\x54\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xFA"],
        ["\x8D\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x57"],

        ["\x4E\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xFB"],
        ["\x8D\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA1"],

        ["\x48\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8D\xFC"],
        ["\x8D\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xCF"],

        ["\x4B\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x40"],
        ["\x8E\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x93"],

        ["\x4F\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x41"],
        ["\x8E\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x9E"],

        ["\x4C\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x42"],
        ["\x8E\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x77"],

        ["\x4F\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x43"],
        ["\x8E\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD6"],

        ["\x48\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x44"],
        ["\x8E\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF9"],

        ["\x49\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x45"],
        ["\x8E\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE9"],

        ["\x4C\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x46"],
        ["\x8E\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF1"],

        ["\x4A\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x47"],
        ["\x8E\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x8A"],

        ["\x52\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x48"],
        ["\x8E\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA4"],

        ["\x4F\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x49"],
        ["\x8E\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE4"],

        ["\x55\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x4A"],
        ["\x8E\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x7D"],

        ["\x55\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x4B"],
        ["\x8E\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD2"],

        ["\x4E\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x4C"],
        ["\x8E\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB7"],

        ["\x4D\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x4D"],
        ["\x8E\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC7"],

        ["\x54\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x4E"],
        ["\x8E\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC3"],

        ["\x45\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x4F"],
        ["\x8E\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x43"],

        ["\x50\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x50"],
        ["\x8E\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x9C"],

        ["\x48\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x51"],
        ["\x8E\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD2"],

        ["\x45\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x52"],
        ["\x8E\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x65"],

        ["\x50\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x53"],
        ["\x8E\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x6E"],

        ["\x53\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x54"],
        ["\x8E\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xDE"],

        ["\x4A\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x55"],
        ["\x8E\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC9"],

        ["\x51\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x56"],
        ["\x8E\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF3"],

        ["\x54\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x57"],
        ["\x8E\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xCE"],

        ["\x53\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x58"],
        ["\x8E\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x99"],

        ["\x45\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x59"],
        ["\x8E\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC0"],

        ["\x48\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x5A"],
        ["\x8E\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x43"],

        ["\x55\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x5B"],
        ["\x8E\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xEB"],

        ["\x4F\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x5C"],
        ["\x8E\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5D"],

        ["\x51\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x5D"],
        ["\x8E\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x6B"],

        ["\x4D\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x5E"],
        ["\x8E\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xEE"],

        ["\x48\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x5F"],
        ["\x8E\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x99"],

        ["\x55\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x60"],
        ["\x8E\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB3"],

        ["\x4E\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x61"],
        ["\x8E\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xFC"],

        ["\x50\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x62"],
        ["\x8E\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x93"],

        ["\x49\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x63"],
        ["\x8E\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x92"],

        ["\x48\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x64"],
        ["\x8E\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB5"],

        ["\x54\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x65"],
        ["\x8E\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x65"],

        ["\x50\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x66"],
        ["\x8E\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x8A"],

        ["\x48\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x67"],
        ["\x8E\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB6"],

        ["\x4B\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x68"],
        ["\x8E\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC0"],

        ["\x45\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x69"],
        ["\x8E\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF0"],

        ["\x47\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x6A"],
        ["\x8E\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD9"],

        ["\x4B\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x6B"],
        ["\x8E\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x5E"],

        ["\x45\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x6C"],
        ["\x8E\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x44"],

        ["\x46\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x6D"],
        ["\x8E\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x7D"],

        ["\x49\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x6E"],
        ["\x8E\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x90"],

        ["\x4C\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x6F"],
        ["\x8E\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC1"],

        ["\x4B\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x70"],
        ["\x8E\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x42"],

        ["\x45\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x71"],
        ["\x8E\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x64"],

        ["\x55\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x72"],
        ["\x8E\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xBA"],

        ["\x45\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x73"],
        ["\x8E\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x53"],

        ["\x4A\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x74"],
        ["\x8E\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x44"],

        ["\x46\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x75"],
        ["\x8E\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x61"],

        ["\x46\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x76"],
        ["\x8E\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xAD"],

        ["\x47\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x77"],
        ["\x8E\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB6"],

        ["\x47\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x78"],
        ["\x8E\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x7B"],

        ["\x4F\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x79"],
        ["\x8E\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF2"],

        ["\x4E\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x7A"],
        ["\x8E\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA5"],

        ["\x48\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x7B"],
        ["\x8E\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x88"],

        ["\x4D\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x7C"],
        ["\x8E\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x6A"],

        ["\x46\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x7D"],
        ["\x8E\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x72"],

        ["\x48\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x7E"],
        ["\x8E\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD8"],

        ["\x49\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x80"],
        ["\x8E\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x99"],

        ["\x48\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x81"],
        ["\x8E\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x8E"],

        ["\x51\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x82"],
        ["\x8E\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x9F"],

        ["\x4F\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x83"],
        ["\x8E\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xEB"],

        ["\x46\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x84"],
        ["\x8E\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC3"],

        ["\x46\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x85"],
        ["\x8E\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC7"],

        ["\x46\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x86"],
        ["\x8E\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x80"],

        ["\x4A\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x87"],
        ["\x8E\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF0"],

        ["\x53\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x88"],
        ["\x8E\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x82"],

        ["\x48\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x89"],
        ["\x8E\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x74"],

        ["\x4A\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x8A"],
        ["\x8E\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x48"],

        ["\x4A\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x8B"],
        ["\x8E\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x50"],

        ["\x4E\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x8C"],
        ["\x8E\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x90"],

        ["\x4C\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x8D"],
        ["\x8E\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB0"],

        ["\x49\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x8E"],
        ["\x8E\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x48"],

        ["\x4B\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x8F"],
        ["\x8E\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x76"],

        ["\x4F\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x90"],
        ["\x8E\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x9C"],

        ["\x46\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x91"],
        ["\x8E\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x50"],

        ["\x4F\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x92"],
        ["\x8E\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x94"],

        ["\x52\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x93"],
        ["\x8E\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB7"],

        ["\x4A\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x94"],
        ["\x8E\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x8F"],

        ["\x4A\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x95"],
        ["\x8E\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x9F"],

        ["\x45\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x96"],
        ["\x8E\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCE"],

        ["\x4B\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x97"],
        ["\x8E\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xBC"],

        ["\x4F\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x98"],
        ["\x8E\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC2"],

        ["\x46\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x99"],
        ["\x8E\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x9F"],

        ["\x48\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x9A"],
        ["\x8E\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF2"],

        ["\x46\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x9B"],
        ["\x8E\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA0"],

        ["\x4C\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x9C"],
        ["\x8E\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xBE"],

        ["\x46\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x9D"],
        ["\x8E\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD8"],

        ["\x46\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x9E"],
        ["\x8E\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x51"],

        ["\x45\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\x9F"],
        ["\x8E\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x97"],

        ["\x48\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA0"],
        ["\x8E\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x57"],

        ["\x45\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA1"],
        ["\x8E\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x84"],

        ["\x4C\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA2"],
        ["\x8E\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x79"],

        ["\x52\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA3"],
        ["\x8E\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x49"],

        ["\x51\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA4"],
        ["\x8E\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x82"],

        ["\x4A\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA5"],
        ["\x8E\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x62"],

        ["\x48\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA6"],
        ["\x8E\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x53"],

        ["\x51\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA7"],
        ["\x8E\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE6"],

        ["\x4C\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA8"],
        ["\x8E\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xAB"],

        ["\x45\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xA9"],
        ["\x8E\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC3"],

        ["\x4F\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xAA"],
        ["\x8E\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE3"],

        ["\x4D\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xAB"],
        ["\x8E\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x74"],

        ["\x50\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xAC"],
        ["\x8E\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x6A"],

        ["\x46\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xAD"],
        ["\x8E\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x97"],

        ["\x46\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xAE"],
        ["\x8E\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x8F"],

        ["\x4A\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xAF"],
        ["\x8E\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x75"],

        ["\x50\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB0"],
        ["\x8E\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xBA"],

        ["\x54\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB1"],
        ["\x8E\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x5C"],

        ["\x4B\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB2"],
        ["\x8E\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA6"],

        ["\x4C\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB3"],
        ["\x8E\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x75"],

        ["\x52\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB4"],
        ["\x8E\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA5"],

        ["\x45\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB5"],
        ["\x8E\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x47"],

        ["\x50\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB6"],
        ["\x8E\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x42"],

        ["\x4D\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB7"],
        ["\x8E\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x57"],

        ["\x49\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB8"],
        ["\x8E\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x41"],

        ["\x53\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xB9"],
        ["\x8E\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE0"],

        ["\x47\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xBA"],
        ["\x8E\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB8"],

        ["\x54\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xBB"],
        ["\x8E\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x69"],

        ["\x4C\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xBC"],
        ["\x8E\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x90"],

        ["\x4D\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xBD"],
        ["\x8E\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xAE"],

        ["\x51\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xBE"],
        ["\x8E\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x42"],

        ["\x46\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xBF"],
        ["\x8E\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEC"],

        ["\x45\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC0"],
        ["\x8E\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xED"],

        ["\x52\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC1"],
        ["\x8E\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xBD"],

        ["\x48\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC2"],
        ["\x8E\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x75"],

        ["\x54\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC3"],
        ["\x8E\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD2"],

        ["\x47\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC4"],
        ["\x8E\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA7"],

        ["\x49\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC5"],
        ["\x8E\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x72"],

        ["\x55\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC6"],
        ["\x8E\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC0"],

        ["\x62\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC7"],
        ["\x8E\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA6"],

        ["\x4F\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC8"],
        ["\x8E\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6B"],

        ["\x4C\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xC9"],
        ["\x8E\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x58"],

        ["\x48\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xCA"],
        ["\x8E\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC4"],

        ["\x49\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xCB"],
        ["\x8E\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x8A"],

        ["\x4B\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xCC"],
        ["\x8E\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB3"],

        ["\x51\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xCD"],
        ["\x8E\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x51"],

        ["\x4B\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xCE"],
        ["\x8E\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD1"],

        ["\x4C\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xCF"],
        ["\x8E\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4C"],

        ["\x46\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD0"],
        ["\x8E\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x63"],

        ["\x4F\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD1"],
        ["\x8E\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x47"],

        ["\x46\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD2"],
        ["\x8E\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x70"],

        ["\x4D\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD3"],
        ["\x8E\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xBB"],

        ["\x46\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD4"],
        ["\x8E\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x53"],

        ["\x54\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD5"],
        ["\x8E\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x58"],

        ["\x4F\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD6"],
        ["\x8E\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xEA"],

        ["\x4E\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD7"],
        ["\x8E\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB8"],

        ["\x4A\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD8"],
        ["\x8E\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD0"],

        ["\x54\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xD9"],
        ["\x8E\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x70"],

        ["\x4C\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xDA"],
        ["\x8E\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6B"],

        ["\x54\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xDB"],
        ["\x8E\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC1"],

        ["\x54\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xDC"],
        ["\x8E\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x6A"],

        ["\x53\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xDD"],
        ["\x8E\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA9"],

        ["\x52\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xDE"],
        ["\x8E\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xBB"],

        ["\x4D\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xDF"],
        ["\x8E\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x79"],

        ["\x52\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE0"],
        ["\x8E\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x57"],

        ["\x46\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE1"],
        ["\x8E\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD6"],

        ["\x4F\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE2"],
        ["\x8E\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE9"],

        ["\x4B\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE3"],
        ["\x8E\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x6E"],

        ["\x54\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE4"],
        ["\x8E\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x72"],

        ["\x47\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE5"],
        ["\x8E\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x62"],

        ["\x46\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE6"],
        ["\x8E\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA6"],

        ["\x46\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE7"],
        ["\x8E\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF0"],

        ["\x45\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE8"],
        ["\x8E\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCB"],

        ["\x4D\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xE9"],
        ["\x8E\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x42"],

        ["\x48\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xEA"],
        ["\x8E\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x65"],

        ["\x4A\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xEB"],
        ["\x8E\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7B"],

        ["\x4B\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xEC"],
        ["\x8E\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x99"],

        ["\x46\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xED"],
        ["\x8E\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x92"],

        ["\x51\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xEE"],
        ["\x8E\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xCE"],

        ["\x4C\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xEF"],
        ["\x8E\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xED"],

        ["\x47\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF0"],
        ["\x8E\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x58"],

        ["\x49\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF1"],
        ["\x8E\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xBE"],

        ["\x54\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF2"],
        ["\x8E\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x6F"],

        ["\x48\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF3"],
        ["\x8E\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x4C"],

        ["\x54\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF4"],
        ["\x8E\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x8D"],

        ["\x46\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF5"],
        ["\x8E\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB2"],

        ["\x4C\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF6"],
        ["\x8E\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x61"],

        ["\x46\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF7"],
        ["\x8E\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xCF"],

        ["\x51\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF8"],
        ["\x8E\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA3"],

        ["\x47\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xF9"],
        ["\x8E\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xFB"],

        ["\x50\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xFA"],
        ["\x8E\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x65"],

        ["\x47\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xFB"],
        ["\x8E\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x91"],

        ["\x48\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8E\xFC"],
        ["\x8E\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA1"],

        ["\x47\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x40"],
        ["\x8F\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xDD"],

        ["\x4B\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x41"],
        ["\x8F\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xEE"],

        ["\x47\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x42"],
        ["\x8F\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x41"],

        ["\x46\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x43"],
        ["\x8F\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xDE"],

        ["\x52\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x44"],
        ["\x8F\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x82"],

        ["\x4D\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x45"],
        ["\x8F\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD7"],

        ["\x4B\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x46"],
        ["\x8F\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x72"],

        ["\x45\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x47"],
        ["\x8F\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF1"],

        ["\x46\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x48"],
        ["\x8F\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x58"],

        ["\x49\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x49"],
        ["\x8F\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF4"],

        ["\x52\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x4A"],
        ["\x8F\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xDA"],

        ["\x4A\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x4B"],
        ["\x8F\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x69"],

        ["\x4D\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x4C"],
        ["\x8F\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB3"],

        ["\x4B\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x4D"],
        ["\x8F\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB8"],

        ["\x4F\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x4E"],
        ["\x8F\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x93"],

        ["\x4B\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x4F"],
        ["\x8F\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x88"],

        ["\x4D\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x50"],
        ["\x8F\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xDF"],

        ["\x53\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x51"],
        ["\x8F\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xFE"],

        ["\x52\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x52"],
        ["\x8F\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF6"],

        ["\x55\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x53"],
        ["\x8F\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA6"],

        ["\x4A\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x54"],
        ["\x8F\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD3"],

        ["\x55\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x55"],
        ["\x8F\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x48"],

        ["\x51\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x56"],
        ["\x8F\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x49"],

        ["\x47\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x57"],
        ["\x8F\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA0"],

        ["\x53\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x58"],
        ["\x8F\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x6F"],

        ["\x53\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x59"],
        ["\x8F\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD9"],

        ["\x46\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x5A"],
        ["\x8F\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE0"],

        ["\x48\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x5B"],
        ["\x8F\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC9"],

        ["\x45\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x5C"],
        ["\x8F\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x4A"],

        ["\x48\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x5D"],
        ["\x8F\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xFB"],

        ["\x51\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x5E"],
        ["\x8F\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x7F"],

        ["\x4D\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x5F"],
        ["\x8F\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xEA"],

        ["\x4D\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x60"],
        ["\x8F\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x84"],

        ["\x48\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x61"],
        ["\x8F\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x92"],

        ["\x4F\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x62"],
        ["\x8F\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x65"],

        ["\x4E\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x63"],
        ["\x8F\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x93"],

        ["\x45\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x64"],
        ["\x8F\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA3"],

        ["\x4C\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x65"],
        ["\x8F\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE2"],

        ["\x4F\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x66"],
        ["\x8F\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA5"],

        ["\x54\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x67"],
        ["\x8F\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xDD"],

        ["\x48\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x68"],
        ["\x8F\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x82"],

        ["\x4A\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x69"],
        ["\x8F\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xBF"],

        ["\x4C\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x6A"],
        ["\x8F\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xEB"],

        ["\x49\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x6B"],
        ["\x8F\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF7"],

        ["\x4F\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x6C"],
        ["\x8F\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC8"],

        ["\x52\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x6D"],
        ["\x8F\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x79"],

        ["\x4E\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x6E"],
        ["\x8F\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xBF"],

        ["\x45\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x6F"],
        ["\x8F\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x9B"],

        ["\x48\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x70"],
        ["\x8F\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x6C"],

        ["\x4A\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x71"],
        ["\x8F\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x9C"],

        ["\x46\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x72"],
        ["\x8F\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x60"],

        ["\x50\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x73"],
        ["\x8F\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x72"],

        ["\x46\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x74"],
        ["\x8F\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x62"],

        ["\x4D\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x75"],
        ["\x8F\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB0"],

        ["\x54\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x76"],
        ["\x8F\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x6B"],

        ["\x4F\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x77"],
        ["\x8F\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB8"],

        ["\x4C\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x78"],
        ["\x8F\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC0"],

        ["\x4F\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x79"],
        ["\x8F\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x80"],

        ["\x4E\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x7A"],
        ["\x8F\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF5"],

        ["\x4D\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x7B"],
        ["\x8F\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x67"],

        ["\x4F\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x7C"],
        ["\x8F\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xAE"],

        ["\x53\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x7D"],
        ["\x8F\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA4"],

        ["\x48\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x7E"],
        ["\x8F\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x94"],

        ["\x46\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x80"],
        ["\x8F\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xCE"],

        ["\x4A\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x81"],
        ["\x8F\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD2"],

        ["\x50\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x82"],
        ["\x8F\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x82"],

        ["\x47\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x83"],
        ["\x8F\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA6"],

        ["\x4D\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x84"],
        ["\x8F\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x47"],

        ["\x52\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x85"],
        ["\x8F\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x6E"],

        ["\x51\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x86"],
        ["\x8F\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA9"],

        ["\x47\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x87"],
        ["\x8F\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB2"],

        ["\x48\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x88"],
        ["\x8F\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE6"],

        ["\x47\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x89"],
        ["\x8F\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x4B"],

        ["\x45\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x8A"],
        ["\x8F\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8C"],

        ["\x4F\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x8B"],
        ["\x8F\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xBE"],

        ["\x51\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x8C"],
        ["\x8F\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x52"],

        ["\x50\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x8D"],
        ["\x8F\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE4"],

        ["\x50\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x8E"],
        ["\x8F\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC1"],

        ["\x4A\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x8F"],
        ["\x8F\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x9B"],

        ["\x4C\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x90"],
        ["\x8F\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x99"],

        ["\x47\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x91"],
        ["\x8F\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x9D"],

        ["\x53\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x92"],
        ["\x8F\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF9"],

        ["\x55\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x93"],
        ["\x8F\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE2"],

        ["\x47\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x94"],
        ["\x8F\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE2"],

        ["\x46\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x95"],
        ["\x8F\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x71"],

        ["\x50\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x96"],
        ["\x8F\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF5"],

        ["\x46\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x97"],
        ["\x8F\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x99"],

        ["\x4D\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x98"],
        ["\x8F\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x4F"],

        ["\x50\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x99"],
        ["\x8F\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB3"],

        ["\x52\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x9A"],
        ["\x8F\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x98"],

        ["\x52\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x9B"],
        ["\x8F\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC0"],

        ["\x49\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x9C"],
        ["\x8F\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x6D"],

        ["\x4C\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x9D"],
        ["\x8F\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5B"],

        ["\x4A\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x9E"],
        ["\x8F\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA2"],

        ["\x45\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\x9F"],
        ["\x8F\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB5"],

        ["\x4E\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA0"],
        ["\x8F\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x6B"],

        ["\x4E\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA1"],
        ["\x8F\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x47"],

        ["\x4F\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA2"],
        ["\x8F\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x86"],

        ["\x55\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA3"],
        ["\x8F\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x68"],

        ["\x46\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA4"],
        ["\x8F\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xBE"],

        ["\x4D\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA5"],
        ["\x8F\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x43"],

        ["\x54\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA6"],
        ["\x8F\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xEC"],

        ["\x4E\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA7"],
        ["\x8F\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xCA"],

        ["\x53\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA8"],
        ["\x8F\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xAF"],

        ["\x54\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xA9"],
        ["\x8F\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x98"],

        ["\x52\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xAA"],
        ["\x8F\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xEF"],

        ["\x49\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xAB"],
        ["\x8F\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x59"],

        ["\x45\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xAC"],
        ["\x8F\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x5D"],

        ["\x48\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xAD"],
        ["\x8F\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x4A"],

        ["\x48\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xAE"],
        ["\x8F\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x71"],

        ["\x48\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xAF"],
        ["\x8F\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x50"],

        ["\x4A\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB0"],
        ["\x8F\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xED"],

        ["\x55\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB1"],
        ["\x8F\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x62"],

        ["\x49\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB2"],
        ["\x8F\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x64"],

        ["\x4C\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB3"],
        ["\x8F\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x48"],

        ["\x4E\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB4"],
        ["\x8F\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC0"],

        ["\x4B\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB5"],
        ["\x8F\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xFD"],

        ["\x4E\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB6"],
        ["\x8F\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xEC"],

        ["\x4D\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB7"],
        ["\x8F\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x8F"],

        ["\x46\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB8"],
        ["\x8F\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFE"],

        ["\x46\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xB9"],
        ["\x8F\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD1"],

        ["\x45\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xBA"],
        ["\x8F\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB3"],

        ["\x4A\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xBB"],
        ["\x8F\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF8"],

        ["\x45\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xBC"],
        ["\x8F\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x78"],

        ["\x50\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xBD"],
        ["\x8F\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xAC"],

        ["\x53\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xBE"],
        ["\x8F\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x9B"],

        ["\x55\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xBF"],
        ["\x8F\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x85"],

        ["\x46\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC0"],
        ["\x8F\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC6"],

        ["\x48\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC1"],
        ["\x8F\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x6B"],

        ["\x4A\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC2"],
        ["\x8F\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC0"],

        ["\x51\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC3"],
        ["\x8F\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x55"],

        ["\x49\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC4"],
        ["\x8F\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x83"],

        ["\x4D\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC5"],
        ["\x8F\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE6"],

        ["\x47\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC6"],
        ["\x8F\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x42"],

        ["\x4E\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC7"],
        ["\x8F\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x4A"],

        ["\x48\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC8"],
        ["\x8F\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x47"],

        ["\x49\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xC9"],
        ["\x8F\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x76"],

        ["\x51\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xCA"],
        ["\x8F\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB0"],

        ["\x49\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xCB"],
        ["\x8F\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF9"],

        ["\x4B\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xCC"],
        ["\x8F\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xDF"],

        ["\x47\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xCD"],
        ["\x8F\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x6E"],

        ["\x49\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xCE"],
        ["\x8F\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB5"],

        ["\x4B\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xCF"],
        ["\x8F\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD4"],

        ["\x4C\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD0"],
        ["\x8F\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE4"],

        ["\x52\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD1"],
        ["\x8F\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x67"],

        ["\x51\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD2"],
        ["\x8F\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x80"],

        ["\x53\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD3"],
        ["\x8F\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF8"],

        ["\x53\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD4"],
        ["\x8F\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA8"],

        ["\x4D\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD5"],
        ["\x8F\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA5"],

        ["\x4F\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD6"],
        ["\x8F\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA8"],

        ["\x50\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD7"],
        ["\x8F\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xEF"],

        ["\x49\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD8"],
        ["\x8F\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xBA"],

        ["\x4F\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xD9"],
        ["\x8F\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x88"],

        ["\x4D\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xDA"],
        ["\x8F\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE7"],

        ["\x49\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xDB"],
        ["\x8F\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x94"],

        ["\x4A\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xDC"],
        ["\x8F\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xAD"],

        ["\x50\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xDD"],
        ["\x8F\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x7F"],

        ["\x4F\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xDE"],
        ["\x8F\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB4"],

        ["\x53\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xDF"],
        ["\x8F\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xBD"],

        ["\x4C\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE0"],
        ["\x8F\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC8"],

        ["\x4B\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE1"],
        ["\x8F\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF9"],

        ["\x52\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE2"],
        ["\x8F\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE7"],

        ["\x45\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE3"],
        ["\x8F\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x5E"],

        ["\x49\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE4"],
        ["\x8F\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD3"],

        ["\x4F\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE5"],
        ["\x8F\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x62"],

        ["\x49\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE6"],
        ["\x8F\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x47"],

        ["\x52\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE7"],
        ["\x8F\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x7E"],

        ["\x4D\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE8"],
        ["\x8F\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x85"],

        ["\x45\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xE9"],
        ["\x8F\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDB"],

        ["\x45\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xEA"],
        ["\x8F\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD9"],

        ["\x51\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xEB"],
        ["\x8F\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x96"],

        ["\x4D\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xEC"],
        ["\x8F\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE4"],

        ["\x46\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xED"],
        ["\x8F\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEF"],

        ["\x48\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xEE"],
        ["\x8F\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x5F"],

        ["\x55\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xEF"],
        ["\x8F\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF6"],

        ["\x47\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF0"],
        ["\x8F\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x5E"],

        ["\x50\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF1"],
        ["\x8F\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF4"],

        ["\x4C\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF2"],
        ["\x8F\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC9"],

        ["\x48\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF3"],
        ["\x8F\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x52"],

        ["\x4E\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF4"],
        ["\x8F\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x54"],

        ["\x4E\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF5"],
        ["\x8F\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x98"],

        ["\x4A\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF6"],
        ["\x8F\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xBA"],

        ["\x4B\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF7"],
        ["\x8F\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x7B"],

        ["\x50\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF8"],
        ["\x8F\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC2"],

        ["\x4E\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xF9"],
        ["\x8F\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x57"],

        ["\x50\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xFA"],
        ["\x8F\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xCA"],

        ["\x4F\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xFB"],
        ["\x8F\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x48"],

        ["\x49\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x8F\xFC"],
        ["\x8F\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x57"],

        ["\x4E\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x40"],
        ["\x90\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE5"],

        ["\x47\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x41"],
        ["\x90\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC5"],

        ["\x4E\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x42"],
        ["\x90\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x73"],

        ["\x54\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x43"],
        ["\x90\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE6"],

        ["\x48\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x44"],
        ["\x90\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x9A"],

        ["\x48\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x45"],
        ["\x90\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD7"],

        ["\x47\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x46"],
        ["\x90\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC3"],

        ["\x4C\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x47"],
        ["\x90\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD1"],

        ["\x46\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x48"],
        ["\x90\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB8"],

        ["\x53\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x49"],
        ["\x90\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x47"],

        ["\x52\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x4A"],
        ["\x90\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE5"],

        ["\x49\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x4B"],
        ["\x90\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xCE"],

        ["\x46\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x4C"],
        ["\x90\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF4"],

        ["\x45\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x4D"],
        ["\x90\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA5"],

        ["\x4F\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x4E"],
        ["\x90\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x8C"],

        ["\x4F\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x4F"],
        ["\x90\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x76"],

        ["\x52\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x50"],
        ["\x90\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x4C"],

        ["\x4B\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x51"],
        ["\x90\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x59"],

        ["\x49\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x52"],
        ["\x90\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x87"],

        ["\x46\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x53"],
        ["\x90\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE7"],

        ["\x4A\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x54"],
        ["\x90\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x76"],

        ["\x48\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x55"],
        ["\x90\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF6"],

        ["\x45\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x56"],
        ["\x90\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x87"],

        ["\x4B\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x57"],
        ["\x90\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB2"],

        ["\x45\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x58"],
        ["\x90\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x9D"],

        ["\x4D\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x59"],
        ["\x90\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x7E"],

        ["\x4D\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x5A"],
        ["\x90\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x41"],

        ["\x47\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x5B"],
        ["\x90\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x77"],

        ["\x49\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x5C"],
        ["\x90\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x67"],

        ["\x54\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x5D"],
        ["\x90\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE1"],

        ["\x46\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x5E"],
        ["\x90\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x42"],

        ["\x45\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x5F"],
        ["\x90\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA1"],

        ["\x4C\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x60"],
        ["\x90\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x8A"],

        ["\x4E\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x61"],
        ["\x90\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x59"],

        ["\x4A\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x62"],
        ["\x90\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x47"],

        ["\x4F\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x63"],
        ["\x90\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE5"],

        ["\x54\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x64"],
        ["\x90\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x5A"],

        ["\x48\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x65"],
        ["\x90\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x85"],

        ["\x4D\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x66"],
        ["\x90\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x68"],

        ["\x47\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x67"],
        ["\x90\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x9C"],

        ["\x4D\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x68"],
        ["\x90\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x5E"],

        ["\x46\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x69"],
        ["\x90\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x69"],

        ["\x49\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x6A"],
        ["\x90\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x88"],

        ["\x4D\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x6B"],
        ["\x90\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xDE"],

        ["\x45\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x6C"],
        ["\x90\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x93"],

        ["\x47\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x6D"],
        ["\x90\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x76"],

        ["\x4F\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x6E"],
        ["\x90\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x44"],

        ["\x4D\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x6F"],
        ["\x90\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x89"],

        ["\x51\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x70"],
        ["\x90\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x4F"],

        ["\x4D\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x71"],
        ["\x90\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x5F"],

        ["\x4B\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x72"],
        ["\x90\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x66"],

        ["\x4F\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x73"],
        ["\x90\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB9"],

        ["\x52\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x74"],
        ["\x90\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC4"],

        ["\x50\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x75"],
        ["\x90\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF2"],

        ["\x50\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x76"],
        ["\x90\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x68"],

        ["\x4C\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x77"],
        ["\x90\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x84"],

        ["\x66\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x78"],
        ["\x90\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xAB"],

        ["\x52\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x79"],
        ["\x90\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF4"],

        ["\x4B\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x7A"],
        ["\x90\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC1"],

        ["\x46\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x7B"],
        ["\x90\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB0"],

        ["\x4B\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x7C"],
        ["\x90\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xAE"],

        ["\x47\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x7D"],
        ["\x90\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC1"],

        ["\x51\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x7E"],
        ["\x90\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x78"],

        ["\x4F\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x80"],
        ["\x90\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB3"],

        ["\x49\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x81"],
        ["\x90\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC4"],

        ["\x4B\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x82"],
        ["\x90\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC9"],

        ["\x52\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x83"],
        ["\x90\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xAF"],

        ["\x48\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x84"],
        ["\x90\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD5"],

        ["\x45\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x85"],
        ["\x90\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x9C"],

        ["\x4F\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x86"],
        ["\x90\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xCB"],

        ["\x52\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x87"],
        ["\x90\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x6C"],

        ["\x4F\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x88"],
        ["\x90\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xCC"],

        ["\x4F\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x89"],
        ["\x90\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x69"],

        ["\x4F\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x8A"],
        ["\x90\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x54"],

        ["\x4C\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x8B"],
        ["\x90\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF7"],

        ["\x4E\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x8C"],
        ["\x90\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x7C"],

        ["\x53\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x8D"],
        ["\x90\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x90"],

        ["\x54\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x8E"],
        ["\x90\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xEF"],

        ["\x4E\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x8F"],
        ["\x90\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x76"],

        ["\x4B\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x90"],
        ["\x90\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x5B"],

        ["\x52\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x91"],
        ["\x90\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC5"],

        ["\x4C\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x92"],
        ["\x90\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7F"],

        ["\x50\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x93"],
        ["\x90\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x9E"],

        ["\x46\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x94"],
        ["\x90\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xCC"],

        ["\x52\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x95"],
        ["\x90\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD0"],

        ["\x55\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x96"],
        ["\x90\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x61"],

        ["\x51\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x97"],
        ["\x90\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xFB"],

        ["\x4E\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x98"],
        ["\x90\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD6"],

        ["\x46\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x99"],
        ["\x90\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x68"],

        ["\x4F\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x9A"],
        ["\x90\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xED"],

        ["\x47\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x9B"],
        ["\x90\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x53"],

        ["\x55\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x9C"],
        ["\x90\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE4"],

        ["\x4F\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x9D"],
        ["\x90\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x64"],

        ["\x4C\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x9E"],
        ["\x90\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x8D"],

        ["\x48\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\x9F"],
        ["\x90\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x87"],

        ["\x51\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA0"],
        ["\x90\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xEF"],

        ["\x4B\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA1"],
        ["\x90\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x60"],

        ["\x46\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA2"],
        ["\x90\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x9B"],

        ["\x46\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA3"],
        ["\x90\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x5B"],

        ["\x50\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA4"],
        ["\x90\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x86"],

        ["\x4B\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA5"],
        ["\x90\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xBB"],

        ["\x52\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA6"],
        ["\x90\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xDC"],

        ["\x46\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA7"],
        ["\x90\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC4"],

        ["\x47\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA8"],
        ["\x90\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xEE"],

        ["\x4F\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xA9"],
        ["\x90\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF1"],

        ["\x4A\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xAA"],
        ["\x90\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x61"],

        ["\x46\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xAB"],
        ["\x90\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x6E"],

        ["\x45\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xAC"],
        ["\x90\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xBA"],

        ["\x45\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xAD"],
        ["\x90\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC7"],

        ["\x47\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xAE"],
        ["\x90\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x7C"],

        ["\x47\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xAF"],
        ["\x90\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA9"],

        ["\x47\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB0"],
        ["\x90\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x95"],

        ["\x53\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB1"],
        ["\x90\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x75"],

        ["\x4D\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB2"],
        ["\x90\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xCC"],

        ["\x45\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB3"],
        ["\x90\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x77"],

        ["\x45\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB4"],
        ["\x90\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x96"],

        ["\x51\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB5"],
        ["\x90\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x58"],

        ["\x45\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB6"],
        ["\x90\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x99"],

        ["\x48\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB7"],
        ["\x90\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x44"],

        ["\x46\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB8"],
        ["\x90\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x6C"],

        ["\x4B\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xB9"],
        ["\x90\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB5"],

        ["\x49\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xBA"],
        ["\x90\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x6C"],

        ["\x45\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xBB"],
        ["\x90\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x7B"],

        ["\x45\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xBC"],
        ["\x90\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x58"],

        ["\x46\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xBD"],
        ["\x90\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFD"],

        ["\x4F\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xBE"],
        ["\x90\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA0"],

        ["\x4A\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xBF"],
        ["\x90\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE8"],

        ["\x53\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC0"],
        ["\x90\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB1"],

        ["\x53\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC1"],
        ["\x90\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x78"],

        ["\x46\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC2"],
        ["\x90\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x4C"],

        ["\x46\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC3"],
        ["\x90\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x44"],

        ["\x46\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC4"],
        ["\x90\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x8E"],

        ["\x47\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC5"],
        ["\x90\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC4"],

        ["\x55\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC6"],
        ["\x90\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xEC"],

        ["\x4F\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC7"],
        ["\x90\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xDA"],

        ["\x4B\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC8"],
        ["\x90\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x53"],

        ["\x4E\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xC9"],
        ["\x90\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD7"],

        ["\x55\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xCA"],
        ["\x90\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x95"],

        ["\x51\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xCB"],
        ["\x90\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x41"],

        ["\x4C\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xCC"],
        ["\x90\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x59"],

        ["\x4A\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xCD"],
        ["\x90\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE2"],

        ["\x45\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xCE"],
        ["\x90\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x80"],

        ["\x48\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xCF"],
        ["\x90\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x91"],

        ["\x4D\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD0"],
        ["\x90\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xFE"],

        ["\x48\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD1"],
        ["\x90\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x66"],

        ["\x53\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD2"],
        ["\x90\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x5E"],

        ["\x4B\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD3"],
        ["\x90\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD2"],

        ["\x46\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD4"],
        ["\x90\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF9"],

        ["\x4C\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD5"],
        ["\x90\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xCD"],

        ["\x53\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD6"],
        ["\x90\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x68"],

        ["\x50\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD7"],
        ["\x90\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x7D"],

        ["\x47\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD8"],
        ["\x90\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x65"],

        ["\x52\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xD9"],
        ["\x90\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x5C"],

        ["\x47\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xDA"],
        ["\x90\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA8"],

        ["\x4E\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xDB"],
        ["\x90\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x8C"],

        ["\x49\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xDC"],
        ["\x90\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x8D"],

        ["\x45\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xDD"],
        ["\x90\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE2"],

        ["\x51\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xDE"],
        ["\x90\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x69"],

        ["\x47\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xDF"],
        ["\x90\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA1"],

        ["\x49\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE0"],
        ["\x90\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x52"],

        ["\x49\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE1"],
        ["\x90\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xBB"],

        ["\x4A\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE2"],
        ["\x90\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF3"],

        ["\x50\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE3"],
        ["\x90\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x94"],

        ["\x53\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE4"],
        ["\x90\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE8"],

        ["\x48\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE5"],
        ["\x90\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA2"],

        ["\x47\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE6"],
        ["\x90\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA2"],

        ["\x45\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE7"],
        ["\x90\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x4C"],

        ["\x49\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE8"],
        ["\x90\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xEE"],

        ["\x49\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xE9"],
        ["\x90\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x8F"],

        ["\x49\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xEA"],
        ["\x90\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xFB"],

        ["\x53\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xEB"],
        ["\x90\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC0"],

        ["\x45\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xEC"],
        ["\x90\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x67"],

        ["\x47\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xED"],
        ["\x90\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x64"],

        ["\x4D\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xEE"],
        ["\x90\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xCA"],

        ["\x53\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xEF"],
        ["\x90\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x72"],

        ["\x50\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF0"],
        ["\x90\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE3"],

        ["\x55\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF1"],
        ["\x90\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xDA"],

        ["\x46\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF2"],
        ["\x90\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEE"],

        ["\x46\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF3"],
        ["\x90\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x8D"],

        ["\x4A\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF4"],
        ["\x90\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4E"],

        ["\x48\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF5"],
        ["\x90\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x9B"],

        ["\x4D\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF6"],
        ["\x90\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC0"],

        ["\x54\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF7"],
        ["\x90\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x90"],

        ["\x55\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF8"],
        ["\x90\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x90"],

        ["\x4D\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xF9"],
        ["\x90\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x7B"],

        ["\x4E\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xFA"],
        ["\x90\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x91"],

        ["\x51\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xFB"],
        ["\x90\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x8D"],

        ["\x46\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x90\xFC"],
        ["\x90\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x87"],

        ["\x48\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x40"],
        ["\x91\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x68"],

        ["\x55\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x41"],
        ["\x91\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x96"],

        ["\x52\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x42"],
        ["\x91\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x6F"],

        ["\x4F\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x43"],
        ["\x91\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC1"],

        ["\x46\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x44"],
        ["\x91\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x7B"],

        ["\x4F\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x45"],
        ["\x91\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xBF"],

        ["\x51\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x46"],
        ["\x91\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x8E"],

        ["\x64\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x47"],
        ["\x91\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x78"],

        ["\x50\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x48"],
        ["\x91\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD1"],

        ["\x48\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x49"],
        ["\x91\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x5D"],

        ["\x53\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x4A"],
        ["\x91\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x5B"],

        ["\x4D\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x4B"],
        ["\x91\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x48"],

        ["\x4C\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x4C"],
        ["\x91\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xAD"],

        ["\x51\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x4D"],
        ["\x91\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x9C"],

        ["\x4C\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x4E"],
        ["\x91\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE9"],

        ["\x45\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x4F"],
        ["\x91\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xAF"],

        ["\x46\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x50"],
        ["\x91\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB3"],

        ["\x4D\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x51"],
        ["\x91\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x73"],

        ["\x47\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x52"],
        ["\x91\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xEF"],

        ["\x46\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x53"],
        ["\x91\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB1"],

        ["\x4F\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x54"],
        ["\x91\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x87"],

        ["\x51\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x55"],
        ["\x91\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD4"],

        ["\x50\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x56"],
        ["\x91\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x76"],

        ["\x51\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x57"],
        ["\x91\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x60"],

        ["\x50\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x58"],
        ["\x91\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x62"],

        ["\x4E\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x59"],
        ["\x91\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC6"],

        ["\x54\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x5A"],
        ["\x91\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB9"],

        ["\x4A\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x5B"],
        ["\x91\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x60"],

        ["\x51\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x5C"],
        ["\x91\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x66"],

        ["\x49\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x5D"],
        ["\x91\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x5F"],

        ["\x53\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x5E"],
        ["\x91\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x4C"],

        ["\x4E\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x5F"],
        ["\x91\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xCF"],

        ["\x55\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x60"],
        ["\x91\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB0"],

        ["\x51\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x61"],
        ["\x91\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x71"],

        ["\x4C\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x62"],
        ["\x91\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x9C"],

        ["\x4C\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x63"],
        ["\x91\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xDC"],

        ["\x4D\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x64"],
        ["\x91\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x83"],

        ["\x4D\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x65"],
        ["\x91\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x59"],

        ["\x47\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x66"],
        ["\x91\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x9F"],

        ["\x46\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x67"],
        ["\x91\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB9"],

        ["\x4C\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x68"],
        ["\x91\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xBF"],

        ["\x4C\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x69"],
        ["\x91\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xDF"],

        ["\x4F\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x6A"],
        ["\x91\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xEF"],

        ["\x54\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x6B"],
        ["\x91\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x4C"],

        ["\x50\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x6C"],
        ["\x91\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xCB"],

        ["\x4E\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x6D"],
        ["\x91\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x84"],

        ["\x4B\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x6E"],
        ["\x91\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE1"],

        ["\x4B\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x6F"],
        ["\x91\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x71"],

        ["\x53\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x70"],
        ["\x91\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF5"],

        ["\x45\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x71"],
        ["\x91\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD6"],

        ["\x51\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x72"],
        ["\x91\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x68"],

        ["\x4C\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x73"],
        ["\x91\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x9F"],

        ["\x4C\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x74"],
        ["\x91\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x53"],

        ["\x52\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x75"],
        ["\x91\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xDD"],

        ["\x52\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x76"],
        ["\x91\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x4D"],

        ["\x4A\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x77"],
        ["\x91\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x8E"],

        ["\x51\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x78"],
        ["\x91\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB7"],

        ["\x4B\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x79"],
        ["\x91\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x68"],

        ["\x48\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x7A"],
        ["\x91\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB3"],

        ["\x4D\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x7B"],
        ["\x91\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xDD"],

        ["\x4D\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x7C"],
        ["\x91\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC3"],

        ["\x55\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x7D"],
        ["\x91\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x55"],

        ["\x54\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x7E"],
        ["\x91\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA3"],

        ["\x49\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x80"],
        ["\x91\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x9B"],

        ["\x46\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x81"],
        ["\x91\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE9"],

        ["\x4E\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x82"],
        ["\x91\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD2"],

        ["\x4C\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x83"],
        ["\x91\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x67"],

        ["\x52\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x84"],
        ["\x91\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xDB"],

        ["\x4D\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x85"],
        ["\x91\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB7"],

        ["\x54\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x86"],
        ["\x91\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA1"],

        ["\x4C\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x87"],
        ["\x91\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x66"],

        ["\x48\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x88"],
        ["\x91\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x96"],

        ["\x54\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x89"],
        ["\x91\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA4"],

        ["\x46\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x8A"],
        ["\x91\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x78"],

        ["\x4B\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x8B"],
        ["\x91\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE9"],

        ["\x51\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x8C"],
        ["\x91\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x8C"],

        ["\x47\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x8D"],
        ["\x91\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x93"],

        ["\x50\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x8E"],
        ["\x91\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x70"],

        ["\x4B\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x8F"],
        ["\x91\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x89"],

        ["\x48\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x90"],
        ["\x91\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x42"],

        ["\x4B\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x91"],
        ["\x91\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x62"],

        ["\x4F\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x92"],
        ["\x91\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x79"],

        ["\x50\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x93"],
        ["\x91\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB9"],

        ["\x50\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x94"],
        ["\x91\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x5F"],

        ["\x48\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x95"],
        ["\x91\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x98"],

        ["\x4A\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x96"],
        ["\x91\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xAA"],

        ["\x47\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x97"],
        ["\x91\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x44"],

        ["\x51\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x98"],
        ["\x91\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x43"],

        ["\x51\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x99"],
        ["\x91\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x97"],

        ["\x4D\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x9A"],
        ["\x91\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE8"],

        ["\x4D\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x9B"],
        ["\x91\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD2"],

        ["\x4B\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x9C"],
        ["\x91\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xBA"],

        ["\x46\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x9D"],
        ["\x91\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x4D"],

        ["\x4F\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x9E"],
        ["\x91\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4A"],

        ["\x4D\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\x9F"],
        ["\x91\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xBD"],

        ["\x46\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA0"],
        ["\x91\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x5E"],

        ["\x4C\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA1"],
        ["\x91\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7C"],

        ["\x45\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA2"],
        ["\x91\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB8"],

        ["\x4A\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA3"],
        ["\x91\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6A"],

        ["\x49\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA4"],
        ["\x91\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x43"],

        ["\x47\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA5"],
        ["\x91\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x4D"],

        ["\x4B\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA6"],
        ["\x91\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x6D"],

        ["\x4B\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA7"],
        ["\x91\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB0"],

        ["\x53\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA8"],
        ["\x91\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA0"],

        ["\x4B\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xA9"],
        ["\x91\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x4B"],

        ["\x49\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xAA"],
        ["\x91\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x45"],

        ["\x46\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xAB"],
        ["\x91\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFA"],

        ["\x48\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xAC"],
        ["\x91\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xCD"],

        ["\x4E\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xAD"],
        ["\x91\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x97"],

        ["\x47\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xAE"],
        ["\x91\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x6D"],

        ["\x4F\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xAF"],
        ["\x91\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xFD"],

        ["\x4A\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB0"],
        ["\x91\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xDC"],

        ["\x47\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB1"],
        ["\x91\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xCB"],

        ["\x4A\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB2"],
        ["\x91\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF2"],

        ["\x4A\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB3"],
        ["\x91\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x57"],

        ["\x4F\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB4"],
        ["\x91\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x67"],

        ["\x4E\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB5"],
        ["\x91\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xFD"],

        ["\x4A\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB6"],
        ["\x91\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x41"],

        ["\x4C\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB7"],
        ["\x91\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5E"],

        ["\x4C\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB8"],
        ["\x91\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xEF"],

        ["\x4B\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xB9"],
        ["\x91\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD8"],

        ["\x45\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xBA"],
        ["\x91\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x56"],

        ["\x54\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xBB"],
        ["\x91\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x55"],

        ["\x47\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xBC"],
        ["\x91\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x55"],

        ["\x45\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xBD"],
        ["\x91\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xFE"],

        ["\x45\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xBE"],
        ["\x91\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xAB"],

        ["\x50\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xBF"],
        ["\x91\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD2"],

        ["\x55\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC0"],
        ["\x91\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE3"],

        ["\x54\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC1"],
        ["\x91\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x78"],

        ["\x53\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC2"],
        ["\x91\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB0"],

        ["\x4D\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC3"],
        ["\x91\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x9E"],

        ["\x54\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC4"],
        ["\x91\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB8"],

        ["\x47\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC5"],
        ["\x91\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xEA"],

        ["\x55\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC6"],
        ["\x91\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xCD"],

        ["\x54\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC7"],
        ["\x91\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xDB"],

        ["\x55\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC8"],
        ["\x91\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC5"],

        ["\x4F\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xC9"],
        ["\x91\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE8"],

        ["\x4D\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xCA"],
        ["\x91\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE5"],

        ["\x53\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xCB"],
        ["\x91\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xDA"],

        ["\x46\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xCC"],
        ["\x91\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x96"],

        ["\x53\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xCD"],
        ["\x91\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x71"],

        ["\x46\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xCE"],
        ["\x91\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x56"],

        ["\x49\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xCF"],
        ["\x91\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x8E"],

        ["\x52\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD0"],
        ["\x91\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x62"],

        ["\x49\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD1"],
        ["\x91\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x60"],

        ["\x48\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD2"],
        ["\x91\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA3"],

        ["\x50\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD3"],
        ["\x91\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x81"],

        ["\x48\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD4"],
        ["\x91\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xFD"],

        ["\x50\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD5"],
        ["\x91\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x92"],

        ["\x4B\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD6"],
        ["\x91\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC3"],

        ["\x46\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD7"],
        ["\x91\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF3"],

        ["\x4D\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD8"],
        ["\x91\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA1"],

        ["\x52\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xD9"],
        ["\x91\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x63"],

        ["\x52\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xDA"],
        ["\x91\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x9A"],

        ["\x52\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xDB"],
        ["\x91\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD7"],

        ["\x4A\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xDC"],
        ["\x91\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x54"],

        ["\x4A\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xDD"],
        ["\x91\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF4"],

        ["\x4B\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xDE"],
        ["\x91\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x49"],

        ["\x4F\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xDF"],
        ["\x91\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x77"],

        ["\x4A\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE0"],
        ["\x91\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x93"],

        ["\x51\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE1"],
        ["\x91\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xDD"],

        ["\x50\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE2"],
        ["\x91\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD8"],

        ["\x45\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE3"],
        ["\x91\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x9A"],

        ["\x47\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE4"],
        ["\x91\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x78"],

        ["\x45\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE5"],
        ["\x91\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x5B"],

        ["\x46\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE6"],
        ["\x91\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x7E"],

        ["\x51\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE7"],
        ["\x91\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x6F"],

        ["\x47\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE8"],
        ["\x91\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xFE"],

        ["\x4B\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xE9"],
        ["\x91\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x7A"],

        ["\x47\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xEA"],
        ["\x91\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xA3"],

        ["\x52\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xEB"],
        ["\x91\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xAE"],

        ["\x49\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xEC"],
        ["\x91\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x96"],

        ["\x53\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xED"],
        ["\x91\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x83"],

        ["\x48\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xEE"],
        ["\x91\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x6F"],

        ["\x55\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xEF"],
        ["\x91\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD5"],

        ["\x4E\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF0"],
        ["\x91\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x7E"],

        ["\x4B\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF1"],
        ["\x91\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xDB"],

        ["\x45\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF2"],
        ["\x91\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x85"],

        ["\x4D\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF3"],
        ["\x91\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD4"],

        ["\x4E\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF4"],
        ["\x91\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x5C"],

        ["\x4A\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF5"],
        ["\x91\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB6"],

        ["\x53\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF6"],
        ["\x91\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x88"],

        ["\x50\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF7"],
        ["\x91\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xBE"],

        ["\x4F\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF8"],
        ["\x91\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE1"],

        ["\x4D\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xF9"],
        ["\x91\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF7"],

        ["\x55\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xFA"],
        ["\x91\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x8A"],

        ["\x52\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xFB"],
        ["\x91\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x4E"],

        ["\x4E\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x91\xFC"],
        ["\x91\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x41"],

        ["\x4F\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x40"],
        ["\x92\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x71"],

        ["\x4E\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x41"],
        ["\x92\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xFE"],

        ["\x46\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x42"],
        ["\x92\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA4"],

        ["\x47\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x43"],
        ["\x92\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xDF"],

        ["\x4E\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x44"],
        ["\x92\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xBB"],

        ["\x4A\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x45"],
        ["\x92\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB4"],

        ["\x4E\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x46"],
        ["\x92\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x46"],

        ["\x51\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x47"],
        ["\x92\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC8"],

        ["\x54\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x48"],
        ["\x92\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x7E"],

        ["\x4B\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x49"],
        ["\x92\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xEF"],

        ["\x45\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x4A"],
        ["\x92\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x81"],

        ["\x52\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x4B"],
        ["\x92\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xFE"],

        ["\x55\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x4C"],
        ["\x92\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x60"],

        ["\x4B\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x4D"],
        ["\x92\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xBE"],

        ["\x4B\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x4E"],
        ["\x92\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x83"],

        ["\x48\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x4F"],
        ["\x92\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xAB"],

        ["\x48\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x50"],
        ["\x92\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE3"],

        ["\x50\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x51"],
        ["\x92\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x63"],

        ["\x51\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x52"],
        ["\x92\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC4"],

        ["\x4A\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x53"],
        ["\x92\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA1"],

        ["\x4B\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x54"],
        ["\x92\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x7F"],

        ["\x4D\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x55"],
        ["\x92\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x9D"],

        ["\x54\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x56"],
        ["\x92\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x87"],

        ["\x4C\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x57"],
        ["\x92\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA5"],

        ["\x53\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x58"],
        ["\x92\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF3"],

        ["\x48\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x59"],
        ["\x92\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x61"],

        ["\x4A\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x5A"],
        ["\x92\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x82"],

        ["\x48\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x5B"],
        ["\x92\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xEF"],

        ["\x54\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x5C"],
        ["\x92\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xCA"],

        ["\x54\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x5D"],
        ["\x92\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA6"],

        ["\x55\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x5E"],
        ["\x92\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB8"],

        ["\x4E\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x5F"],
        ["\x92\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x9B"],

        ["\x53\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x60"],
        ["\x92\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD8"],

        ["\x4F\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x61"],
        ["\x92\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA2"],

        ["\x48\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x62"],
        ["\x92\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC7"],

        ["\x47\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x63"],
        ["\x92\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF0"],

        ["\x4E\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x64"],
        ["\x92\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x8E"],

        ["\x4A\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x65"],
        ["\x92\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD4"],

        ["\x49\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x66"],
        ["\x92\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x89"],

        ["\x4D\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x67"],
        ["\x92\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x6C"],

        ["\x4F\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x68"],
        ["\x92\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF5"],

        ["\x47\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x69"],
        ["\x92\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xED"],

        ["\x45\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x6A"],
        ["\x92\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x7C"],

        ["\x49\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x6B"],
        ["\x92\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x63"],

        ["\x48\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x6C"],
        ["\x92\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x7D"],

        ["\x45\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x6D"],
        ["\x92\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB0"],

        ["\x45\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x6E"],
        ["\x92\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC2"],

        ["\x55\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x6F"],
        ["\x92\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x97"],

        ["\x4E\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x70"],
        ["\x92\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xCE"],

        ["\x46\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x71"],
        ["\x92\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA8"],

        ["\x45\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x72"],
        ["\x92\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE8"],

        ["\x50\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x73"],
        ["\x92\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x89"],

        ["\x4D\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x74"],
        ["\x92\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xCF"],

        ["\x46\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x75"],
        ["\x92\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x8C"],

        ["\x4C\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x76"],
        ["\x92\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6A"],

        ["\x54\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x77"],
        ["\x92\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xDC"],

        ["\x4C\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x78"],
        ["\x92\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6D"],

        ["\x52\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x79"],
        ["\x92\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xDF"],

        ["\x49\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x7A"],
        ["\x92\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA8"],

        ["\x4D\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x7B"],
        ["\x92\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x72"],

        ["\x45\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x7C"],
        ["\x92\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF5"],

        ["\x4B\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x7D"],
        ["\x92\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x45"],

        ["\x4C\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x7E"],
        ["\x92\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x94"],

        ["\x50\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x80"],
        ["\x92\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xBB"],

        ["\x4D\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x81"],
        ["\x92\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x9F"],

        ["\x4F\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x82"],
        ["\x92\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB0"],

        ["\x49\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x83"],
        ["\x92\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x77"],

        ["\x55\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x84"],
        ["\x92\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x67"],

        ["\x47\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x85"],
        ["\x92\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xAA"],

        ["\x45\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x86"],
        ["\x92\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x5C"],

        ["\x48\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x87"],
        ["\x92\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x69"],

        ["\x4D\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x88"],
        ["\x92\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x64"],

        ["\x46\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x89"],
        ["\x92\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x4F"],

        ["\x4D\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x8A"],
        ["\x92\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x53"],

        ["\x4C\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x8B"],
        ["\x92\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x98"],

        ["\x4B\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x8C"],
        ["\x92\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xEA"],

        ["\x49\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x8D"],
        ["\x92\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x44"],

        ["\x4B\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x8E"],
        ["\x92\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xCB"],

        ["\x52\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x8F"],
        ["\x92\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE9"],

        ["\x4F\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x90"],
        ["\x92\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x66"],

        ["\x55\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x91"],
        ["\x92\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x91"],

        ["\x48\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x92"],
        ["\x92\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC1"],

        ["\x4D\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x93"],
        ["\x92\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF5"],

        ["\x53\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x94"],
        ["\x92\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x8B"],

        ["\x4F\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x95"],
        ["\x92\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xDE"],

        ["\x49\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x96"],
        ["\x92\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC5"],

        ["\x54\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x97"],
        ["\x92\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB0"],

        ["\x4A\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x98"],
        ["\x92\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x59"],

        ["\x4C\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x99"],
        ["\x92\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x62"],

        ["\x4B\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x9A"],
        ["\x92\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xCE"],

        ["\x4D\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x9B"],
        ["\x92\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF3"],

        ["\x55\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x9C"],
        ["\x92\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF9"],

        ["\x55\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x9D"],
        ["\x92\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x58"],

        ["\x55\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x9E"],
        ["\x92\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x56"],

        ["\x51\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\x9F"],
        ["\x92\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC7"],

        ["\x4D\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA0"],
        ["\x92\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC5"],

        ["\x4B\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA1"],
        ["\x92\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x92"],

        ["\x51\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA2"],
        ["\x92\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE5"],

        ["\x48\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA3"],
        ["\x92\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xBA"],

        ["\x4E\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA4"],
        ["\x92\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x86"],

        ["\x4C\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA5"],
        ["\x92\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x74"],

        ["\x51\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA6"],
        ["\x92\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x53"],

        ["\x4F\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA7"],
        ["\x92\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xDB"],

        ["\x4C\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA8"],
        ["\x92\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC7"],

        ["\x47\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xA9"],
        ["\x92\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x5C"],

        ["\x4C\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xAA"],
        ["\x92\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x93"],

        ["\x55\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xAB"],
        ["\x92\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xDD"],

        ["\x45\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xAC"],
        ["\x92\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x55"],

        ["\x4E\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xAD"],
        ["\x92\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x5F"],

        ["\x4D\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xAE"],
        ["\x92\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA8"],

        ["\x55\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xAF"],
        ["\x92\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE9"],

        ["\x4D\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB0"],
        ["\x92\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB6"],

        ["\x4E\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB1"],
        ["\x92\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x6E"],

        ["\x46\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB2"],
        ["\x92\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x89"],

        ["\x55\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB3"],
        ["\x92\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x70"],

        ["\x4A\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB4"],
        ["\x92\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x78"],

        ["\x50\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB5"],
        ["\x92\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB4"],

        ["\x4E\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB6"],
        ["\x92\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x80"],

        ["\x45\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB7"],
        ["\x92\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x83"],

        ["\x4D\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB8"],
        ["\x92\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x5B"],

        ["\x47\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xB9"],
        ["\x92\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x79"],

        ["\x4E\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xBA"],
        ["\x92\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xEF"],

        ["\x55\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xBB"],
        ["\x92\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x46"],

        ["\x46\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xBC"],
        ["\x92\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x74"],

        ["\x55\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xBD"],
        ["\x92\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF3"],

        ["\x4C\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xBE"],
        ["\x92\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x8F"],

        ["\x4D\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xBF"],
        ["\x92\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x5D"],

        ["\x4B\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC0"],
        ["\x92\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x4D"],

        ["\x4C\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC1"],
        ["\x92\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x89"],

        ["\x4E\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC2"],
        ["\x92\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x61"],

        ["\x45\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC3"],
        ["\x92\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDC"],

        ["\x51\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC4"],
        ["\x92\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x50"],

        ["\x4B\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC5"],
        ["\x92\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA0"],

        ["\x4E\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC6"],
        ["\x92\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xFA"],

        ["\x49\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC7"],
        ["\x92\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD1"],

        ["\x54\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC8"],
        ["\x92\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xFE"],

        ["\x4C\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xC9"],
        ["\x92\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x47"],

        ["\x45\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xCA"],
        ["\x92\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE3"],

        ["\x46\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xCB"],
        ["\x92\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x57"],

        ["\x52\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xCC"],
        ["\x92\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD1"],

        ["\x54\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xCD"],
        ["\x92\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xCD"],

        ["\x4B\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xCE"],
        ["\x92\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x5C"],

        ["\x4E\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xCF"],
        ["\x92\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xDF"],

        ["\x4E\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD0"],
        ["\x92\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x8A"],

        ["\x4F\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD1"],
        ["\x92\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD8"],

        ["\x47\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD2"],
        ["\x92\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF5"],

        ["\x4F\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD3"],
        ["\x92\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA1"],

        ["\x4D\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD4"],
        ["\x92\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC9"],

        ["\x54\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD5"],
        ["\x92\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xAA"],

        ["\x4C\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD6"],
        ["\x92\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xBA"],

        ["\x54\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD7"],
        ["\x92\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x46"],

        ["\x49\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD8"],
        ["\x92\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x49"],

        ["\x58\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xD9"],
        ["\x92\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x9B"],

        ["\x52\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xDA"],
        ["\x92\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xEA"],

        ["\x55\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xDB"],
        ["\x92\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x92"],

        ["\x4C\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xDC"],
        ["\x92\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x87"],

        ["\x53\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xDD"],
        ["\x92\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD3"],

        ["\x4C\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xDE"],
        ["\x92\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE3"],

        ["\x47\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xDF"],
        ["\x92\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x7A"],

        ["\x4E\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE0"],
        ["\x92\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x52"],

        ["\x48\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE1"],
        ["\x92\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA4"],

        ["\x4E\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE2"],
        ["\x92\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x70"],

        ["\x4F\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE3"],
        ["\x92\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x95"],

        ["\x53\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE4"],
        ["\x92\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x79"],

        ["\x46\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE5"],
        ["\x92\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB6"],

        ["\x4F\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE6"],
        ["\x92\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x56"],

        ["\x4B\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE7"],
        ["\x92\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x61"],

        ["\x45\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE8"],
        ["\x92\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE7"],

        ["\x48\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xE9"],
        ["\x92\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x9C"],

        ["\x4B\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xEA"],
        ["\x92\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x64"],

        ["\x48\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xEB"],
        ["\x92\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE0"],

        ["\x50\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xEC"],
        ["\x92\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x5B"],

        ["\x4C\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xED"],
        ["\x92\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x9B"],

        ["\x4D\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xEE"],
        ["\x92\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE3"],

        ["\x4B\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xEF"],
        ["\x92\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x90"],

        ["\x53\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF0"],
        ["\x92\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x87"],

        ["\x49\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF1"],
        ["\x92\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB9"],

        ["\x51\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF2"],
        ["\x92\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE4"],

        ["\x53\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF3"],
        ["\x92\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x4D"],

        ["\x51\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF4"],
        ["\x92\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x95"],

        ["\x4B\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF5"],
        ["\x92\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xA7"],

        ["\x47\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF6"],
        ["\x92\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF4"],

        ["\x4A\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF7"],
        ["\x92\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x80"],

        ["\x4D\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF8"],
        ["\x92\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xFC"],

        ["\x4F\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xF9"],
        ["\x92\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC4"],

        ["\x52\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xFA"],
        ["\x92\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x46"],

        ["\x55\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xFB"],
        ["\x92\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA7"],

        ["\x51\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x92\xFC"],
        ["\x92\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x5E"],

        ["\x4D\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x40"],
        ["\x93\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x81"],

        ["\x51\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x41"],
        ["\x93\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x54"],

        ["\x4F\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x42"],
        ["\x93\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF4"],

        ["\x51\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x43"],
        ["\x93\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xAA"],

        ["\x4E\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x44"],
        ["\x93\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x56"],

        ["\x4D\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x45"],
        ["\x93\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xCB"],

        ["\x55\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x46"],
        ["\x93\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x43"],

        ["\x4B\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x47"],
        ["\x93\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF3"],

        ["\x4F\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x48"],
        ["\x93\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB7"],

        ["\x45\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x49"],
        ["\x93\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xEF"],

        ["\x4F\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x4A"],
        ["\x93\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x41"],

        ["\x49\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x4B"],
        ["\x93\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xCC"],

        ["\x50\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x4C"],
        ["\x93\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x41"],

        ["\x54\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x4D"],
        ["\x93\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x97"],

        ["\x47\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x4E"],
        ["\x93\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x47"],

        ["\x48\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x4F"],
        ["\x93\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF8"],

        ["\x4E\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x50"],
        ["\x93\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x7A"],

        ["\x54\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x51"],
        ["\x93\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xEE"],

        ["\x53\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x52"],
        ["\x93\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xDF"],

        ["\x45\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x53"],
        ["\x93\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD7"],

        ["\x47\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x54"],
        ["\x93\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC9"],

        ["\x4F\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x55"],
        ["\x93\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5E"],

        ["\x46\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x56"],
        ["\x93\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x8A"],

        ["\x48\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x57"],
        ["\x93\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xDD"],

        ["\x48\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x58"],
        ["\x93\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x54"],

        ["\x4A\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x59"],
        ["\x93\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x91"],

        ["\x55\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x5A"],
        ["\x93\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xFA"],

        ["\x52\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x5B"],
        ["\x93\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA7"],

        ["\x50\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x5C"],
        ["\x93\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x7B"],

        ["\x47\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x5D"],
        ["\x93\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x52"],

        ["\x55\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x5E"],
        ["\x93\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC1"],

        ["\x47\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x5F"],
        ["\x93\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x88"],

        ["\x48\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x60"],
        ["\x93\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD9"],

        ["\x48\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x61"],
        ["\x93\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x49"],

        ["\x55\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x62"],
        ["\x93\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x89"],

        ["\x45\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x63"],
        ["\x93\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x63"],

        ["\x45\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x64"],
        ["\x93\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x82"],

        ["\x50\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x65"],
        ["\x93\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x50"],

        ["\x4E\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x66"],
        ["\x93\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB2"],

        ["\x54\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x67"],
        ["\x93\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF6"],

        ["\x48\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x68"],
        ["\x93\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x6A"],

        ["\x53\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x69"],
        ["\x93\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x7F"],

        ["\x53\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x6A"],
        ["\x93\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xFB"],

        ["\x4C\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x6B"],
        ["\x93\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6C"],

        ["\x4E\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x6C"],
        ["\x93\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x83"],

        ["\x52\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x6D"],
        ["\x93\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x5D"],

        ["\x45\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x6E"],
        ["\x93\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD2"],

        ["\x46\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x6F"],
        ["\x93\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE8"],

        ["\x53\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x70"],
        ["\x93\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD4"],

        ["\x52\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x71"],
        ["\x93\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC1"],

        ["\x48\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x72"],
        ["\x93\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF0"],

        ["\x45\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x73"],
        ["\x93\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x4F"],

        ["\x55\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x74"],
        ["\x93\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD3"],

        ["\x4D\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x75"],
        ["\x93\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x45"],

        ["\x50\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x76"],
        ["\x93\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xDF"],

        ["\x4A\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x77"],
        ["\x93\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x64"],

        ["\x45\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x78"],
        ["\x93\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDE"],

        ["\x46\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x79"],
        ["\x93\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x84"],

        ["\x4D\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x7A"],
        ["\x93\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x90"],

        ["\x4C\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x7B"],
        ["\x93\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD6"],

        ["\x4B\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x7C"],
        ["\x93\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x6A"],

        ["\x49\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x7D"],
        ["\x93\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x4B"],

        ["\x4B\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x7E"],
        ["\x93\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xDE"],

        ["\x4B\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x80"],
        ["\x93\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE6"],

        ["\x4C\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x81"],
        ["\x93\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x50"],

        ["\x4B\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x82"],
        ["\x93\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xAB"],

        ["\x4C\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x83"],
        ["\x93\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xCB"],

        ["\x52\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x84"],
        ["\x93\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF8"],

        ["\x55\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x85"],
        ["\x93\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x83"],

        ["\x51\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x86"],
        ["\x93\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x5C"],

        ["\x45\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x87"],
        ["\x93\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x6F"],

        ["\x47\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x88"],
        ["\x93\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD1"],

        ["\x51\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x89"],
        ["\x93\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x45"],

        ["\x47\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x8A"],
        ["\x93\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x51"],

        ["\x52\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x8B"],
        ["\x93\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x8F"],

        ["\x45\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x8C"],
        ["\x93\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x57"],

        ["\x4A\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x8D"],
        ["\x93\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xDA"],

        ["\x5C\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x8E"],
        ["\x93\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x49"],

        ["\x4E\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x8F"],
        ["\x93\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA9"],

        ["\x4D\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x90"],
        ["\x93\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x65"],

        ["\x55\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x91"],
        ["\x93\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE1"],

        ["\x48\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x92"],
        ["\x93\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xBD"],

        ["\x5D\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x93"],
        ["\x93\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x69"],

        ["\x4B\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x94"],
        ["\x93\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x65"],

        ["\x4E\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x95"],
        ["\x93\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF8"],

        ["\x46\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x96"],
        ["\x93\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x5F"],

        ["\x55\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x97"],
        ["\x93\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x49"],

        ["\x55\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x98"],
        ["\x93\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x53"],

        ["\x46\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x99"],
        ["\x93\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA7"],

        ["\x49\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x9A"],
        ["\x93\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD0"],

        ["\x4B\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x9B"],
        ["\x93\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x7C"],

        ["\x48\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x9C"],
        ["\x93\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x84"],

        ["\x48\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x9D"],
        ["\x93\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x81"],

        ["\x4C\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x9E"],
        ["\x93\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xDD"],

        ["\x50\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\x9F"],
        ["\x93\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x71"],

        ["\x54\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA0"],
        ["\x93\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF0"],

        ["\x45\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA1"],
        ["\x93\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x68"],

        ["\x49\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA2"],
        ["\x93\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD2"],

        ["\x4F\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA3"],
        ["\x93\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE2"],

        ["\x4A\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA4"],
        ["\x93\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x99"],

        ["\x4D\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA5"],
        ["\x93\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x7C"],

        ["\x4C\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA6"],
        ["\x93\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x72"],

        ["\x4B\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA7"],
        ["\x93\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xDA"],

        ["\x52\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA8"],
        ["\x93\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xCF"],

        ["\x4A\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xA9"],
        ["\x93\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB7"],

        ["\x47\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xAA"],
        ["\x93\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xEB"],

        ["\x4E\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xAB"],
        ["\x93\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x5E"],

        ["\x4B\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xAC"],
        ["\x93\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xCC"],

        ["\x48\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xAD"],
        ["\x93\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xEC"],

        ["\x45\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xAE"],
        ["\x93\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE4"],

        ["\x46\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xAF"],
        ["\x93\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x6D"],

        ["\x49\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB0"],
        ["\x93\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x7F"],

        ["\x48\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB1"],
        ["\x93\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xAE"],

        ["\x53\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB2"],
        ["\x93\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC2"],

        ["\x55\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB3"],
        ["\x93\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xDB"],

        ["\x4D\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB4"],
        ["\x93\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x98"],

        ["\x4F\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB5"],
        ["\x93\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x9B"],

        ["\x4D\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB6"],
        ["\x93\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x50"],

        ["\x4E\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB7"],
        ["\x93\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xAB"],

        ["\x54\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB8"],
        ["\x93\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF7"],

        ["\x45\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xB9"],
        ["\x93\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x50"],

        ["\x48\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xBA"],
        ["\x93\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC0"],

        ["\x4F\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xBB"],
        ["\x93\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x96"],

        ["\x51\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xBC"],
        ["\x93\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA1"],

        ["\x50\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xBD"],
        ["\x93\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF1"],

        ["\x47\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xBE"],
        ["\x93\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE8"],

        ["\x46\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xBF"],
        ["\x93\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x54"],

        ["\x55\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC0"],
        ["\x93\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x50"],

        ["\x46\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC1"],
        ["\x93\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xA2"],

        ["\x4A\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC2"],
        ["\x93\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x73"],

        ["\x53\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC3"],
        ["\x93\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD0"],

        ["\x4A\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC4"],
        ["\x93\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD8"],

        ["\x4C\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC5"],
        ["\x93\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x97"],

        ["\x4A\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC6"],
        ["\x93\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xDB"],

        ["\x4A\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC7"],
        ["\x93\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4F"],

        ["\x47\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC8"],
        ["\x93\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD3"],

        ["\x55\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xC9"],
        ["\x93\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD4"],

        ["\x50\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xCA"],
        ["\x93\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xCF"],

        ["\x4A\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xCB"],
        ["\x93\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xFD"],

        ["\x54\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xCC"],
        ["\x93\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA7"],

        ["\x4D\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xCD"],
        ["\x93\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA7"],

        ["\x54\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xCE"],
        ["\x93\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC4"],

        ["\x4D\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xCF"],
        ["\x93\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x5A"],

        ["\x4A\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD0"],
        ["\x93\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x84"],

        ["\x4F\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD1"],
        ["\x93\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x73"],

        ["\x53\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD2"],
        ["\x93\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x5C"],

        ["\x55\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD3"],
        ["\x93\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF1"],

        ["\x4F\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD4"],
        ["\x93\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xDD"],

        ["\x4E\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD5"],
        ["\x93\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x65"],

        ["\x49\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD6"],
        ["\x93\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF2"],

        ["\x55\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD7"],
        ["\x93\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x98"],

        ["\x4C\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD8"],
        ["\x93\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xCF"],

        ["\x54\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xD9"],
        ["\x93\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF8"],

        ["\x51\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xDA"],
        ["\x93\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x7A"],

        ["\x50\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xDB"],
        ["\x93\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB0"],

        ["\x4C\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xDC"],
        ["\x93\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x56"],

        ["\x4E\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xDD"],
        ["\x93\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x63"],

        ["\x45\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xDE"],
        ["\x93\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE6"],

        ["\x48\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xDF"],
        ["\x93\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x46"],

        ["\x45\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE0"],
        ["\x93\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8E"],

        ["\x55\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE1"],
        ["\x93\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA9"],

        ["\x54\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE2"],
        ["\x93\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x9E"],

        ["\x51\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE3"],
        ["\x93\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xAD"],

        ["\x52\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE4"],
        ["\x93\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF9"],

        ["\x4B\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE5"],
        ["\x93\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x96"],

        ["\x4F\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE6"],
        ["\x93\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC0"],

        ["\x4B\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE7"],
        ["\x93\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x48"],

        ["\x4D\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE8"],
        ["\x93\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x93"],

        ["\x50\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xE9"],
        ["\x93\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA1"],

        ["\x48\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xEA"],
        ["\x93\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x59"],

        ["\x50\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xEB"],
        ["\x93\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xDD"],

        ["\x45\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xEC"],
        ["\x93\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x59"],

        ["\x4A\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xED"],
        ["\x93\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xDF"],

        ["\x4C\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xEE"],
        ["\x93\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB1"],

        ["\x49\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xEF"],
        ["\x93\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x5A"],

        ["\x55\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF0"],
        ["\x93\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x5E"],

        ["\x45\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF1"],
        ["\x93\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x42"],

        ["\x4A\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF2"],
        ["\x93\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x86"],

        ["\x50\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF3"],
        ["\x93\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE1"],

        ["\x64\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF4"],
        ["\x93\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF6"],

        ["\x4E\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF5"],
        ["\x93\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xCB"],

        ["\x53\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF6"],
        ["\x93\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x9E"],

        ["\x4A\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF7"],
        ["\x93\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x42"],

        ["\x51\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF8"],
        ["\x93\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB6"],

        ["\x51\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xF9"],
        ["\x93\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD9"],

        ["\x45\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xFA"],
        ["\x93\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x62"],

        ["\x4A\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xFB"],
        ["\x93\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x98"],

        ["\x46\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x93\xFC"],
        ["\x93\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x65"],

        ["\x4B\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x40"],
        ["\x94\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF8"],

        ["\x4C\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x41"],
        ["\x94\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC6"],

        ["\x4F\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x42"],
        ["\x94\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xDF"],

        ["\x4A\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x43"],
        ["\x94\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x55"],

        ["\x50\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x44"],
        ["\x94\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x43"],

        ["\x4B\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x45"],
        ["\x94\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD7"],

        ["\x4A\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x46"],
        ["\x94\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7E"],

        ["\x50\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x47"],
        ["\x94\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x7E"],

        ["\x50\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x48"],
        ["\x94\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xFA"],

        ["\x4F\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x49"],
        ["\x94\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x89"],

        ["\x4F\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x4A"],
        ["\x94\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA9"],

        ["\x54\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x4B"],
        ["\x94\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x4E"],

        ["\x4F\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x4C"],
        ["\x94\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD0"],

        ["\x47\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x4D"],
        ["\x94\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD5"],

        ["\x45\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x4E"],
        ["\x94\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x60"],

        ["\x4A\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x4F"],
        ["\x94\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xAE"],

        ["\x54\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x50"],
        ["\x94\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC0"],

        ["\x53\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x51"],
        ["\x94\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x48"],

        ["\x49\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x52"],
        ["\x94\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD5"],

        ["\x4B\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x53"],
        ["\x94\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF7"],

        ["\x4B\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x54"],
        ["\x94\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x9F"],

        ["\x55\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x55"],
        ["\x94\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x64"],

        ["\x45\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x56"],
        ["\x94\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD8"],

        ["\x4D\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x57"],
        ["\x94\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF4"],

        ["\x51\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x58"],
        ["\x94\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x90"],

        ["\x4B\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x59"],
        ["\x94\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xCD"],

        ["\x4A\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x5A"],
        ["\x94\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xCE"],

        ["\x49\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x5B"],
        ["\x94\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE2"],

        ["\x47\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x5C"],
        ["\x94\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x4F"],

        ["\x4C\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x5D"],
        ["\x94\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB3"],

        ["\x53\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x5E"],
        ["\x94\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x5F"],

        ["\x48\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x5F"],
        ["\x94\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x45"],

        ["\x53\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x60"],
        ["\x94\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xEB"],

        ["\x55\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x61"],
        ["\x94\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA2"],

        ["\x4E\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x62"],
        ["\x94\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x7D"],

        ["\x4E\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x63"],
        ["\x94\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE3"],

        ["\x4E\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x64"],
        ["\x94\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x62"],

        ["\x4B\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x65"],
        ["\x94\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xFA"],

        ["\x52\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x66"],
        ["\x94\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x80"],

        ["\x46\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x67"],
        ["\x94\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xCA"],

        ["\x4A\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x68"],
        ["\x94\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x72"],

        ["\x52\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x69"],
        ["\x94\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x9F"],

        ["\x4A\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x6A"],
        ["\x94\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xBE"],

        ["\x4E\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x6B"],
        ["\x94\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xCC"],

        ["\x55\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x6C"],
        ["\x94\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x79"],

        ["\x54\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x6D"],
        ["\x94\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x42"],

        ["\x46\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x6E"],
        ["\x94\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x64"],

        ["\x4C\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x6F"],
        ["\x94\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE1"],

        ["\x4B\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x70"],
        ["\x94\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC7"],

        ["\x4E\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x71"],
        ["\x94\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE2"],

        ["\x4C\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x72"],
        ["\x94\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xFA"],

        ["\x4B\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x73"],
        ["\x94\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x8A"],

        ["\x4C\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x74"],
        ["\x94\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x63"],

        ["\x53\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x75"],
        ["\x94\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xBA"],

        ["\x55\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x76"],
        ["\x94\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x6F"],

        ["\x4A\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x77"],
        ["\x94\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB2"],

        ["\x50\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x78"],
        ["\x94\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4E"],

        ["\x4E\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x79"],
        ["\x94\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF4"],

        ["\x47\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x7A"],
        ["\x94\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF3"],

        ["\x4A\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x7B"],
        ["\x94\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC4"],

        ["\x4D\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x7C"],
        ["\x94\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xAC"],

        ["\x4D\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x7D"],
        ["\x94\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x80"],

        ["\x47\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x7E"],
        ["\x94\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x98"],

        ["\x52\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x80"],
        ["\x94\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB3"],

        ["\x54\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x81"],
        ["\x94\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xEA"],

        ["\x54\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x82"],
        ["\x94\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD6"],

        ["\x49\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x83"],
        ["\x94\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x74"],

        ["\x47\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x84"],
        ["\x94\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x75"],

        ["\x4F\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x85"],
        ["\x94\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4F"],

        ["\x55\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x86"],
        ["\x94\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC3"],

        ["\x4F\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x87"],
        ["\x94\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xCA"],

        ["\x63\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x88"],
        ["\x94\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4B"],

        ["\x50\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x89"],
        ["\x94\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x8F"],

        ["\x55\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x8A"],
        ["\x94\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC9"],

        ["\x49\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x8B"],
        ["\x94\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x4A"],

        ["\x49\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x8C"],
        ["\x94\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA6"],

        ["\x54\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x8D"],
        ["\x94\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x81"],

        ["\x45\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x8E"],
        ["\x94\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF6"],

        ["\x4F\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x8F"],
        ["\x94\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xBA"],

        ["\x49\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x90"],
        ["\x94\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x80"],

        ["\x4D\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x91"],
        ["\x94\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB8"],

        ["\x46\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x92"],
        ["\x94\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x59"],

        ["\x4E\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x93"],
        ["\x94\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE0"],

        ["\x4C\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x94"],
        ["\x94\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4B"],

        ["\x4B\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x95"],
        ["\x94\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x87"],

        ["\x4A\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x96"],
        ["\x94\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x92"],

        ["\x49\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x97"],
        ["\x94\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xEF"],

        ["\x52\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x98"],
        ["\x94\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA6"],

        ["\x50\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x99"],
        ["\x94\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x8E"],

        ["\x4A\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x9A"],
        ["\x94\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD9"],

        ["\x52\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x9B"],
        ["\x94\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE6"],

        ["\x54\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x9C"],
        ["\x94\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB3"],

        ["\x55\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x9D"],
        ["\x94\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE5"],

        ["\x4A\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x9E"],
        ["\x94\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE0"],

        ["\x4B\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\x9F"],
        ["\x94\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB6"],

        ["\x4A\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA0"],
        ["\x94\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xFB"],

        ["\x52\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA1"],
        ["\x94\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xBF"],

        ["\x50\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA2"],
        ["\x94\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x5C"],

        ["\x4B\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA3"],
        ["\x94\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x41"],

        ["\x4D\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA4"],
        ["\x94\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x9B"],

        ["\x51\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA5"],
        ["\x94\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC5"],

        ["\x48\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA6"],
        ["\x94\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xDE"],

        ["\x4E\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA7"],
        ["\x94\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x50"],

        ["\x47\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA8"],
        ["\x94\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x8B"],

        ["\x49\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xA9"],
        ["\x94\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xFE"],

        ["\x45\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xAA"],
        ["\x94\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x48"],

        ["\x4E\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xAB"],
        ["\x94\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA8"],

        ["\x54\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xAC"],
        ["\x94\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xFA"],

        ["\x46\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xAD"],
        ["\x94\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x4B"],

        ["\x51\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xAE"],
        ["\x94\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xFA"],

        ["\x4C\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xAF"],
        ["\x94\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF6"],

        ["\x50\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB0"],
        ["\x94\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF6"],

        ["\x4F\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB1"],
        ["\x94\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x82"],

        ["\x4A\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB2"],
        ["\x94\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x85"],

        ["\x52\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB3"],
        ["\x94\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF5"],

        ["\x51\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB4"],
        ["\x94\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x72"],

        ["\x4D\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB5"],
        ["\x94\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x95"],

        ["\x55\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB6"],
        ["\x94\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x82"],

        ["\x4F\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB7"],
        ["\x94\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6F"],

        ["\x55\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB8"],
        ["\x94\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC2"],

        ["\x4E\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xB9"],
        ["\x94\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD5"],

        ["\x49\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xBA"],
        ["\x94\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC9"],

        ["\x49\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xBB"],
        ["\x94\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x5C"],

        ["\x47\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xBC"],
        ["\x94\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x90"],

        ["\x47\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xBD"],
        ["\x94\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF9"],

        ["\x55\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xBE"],
        ["\x94\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB2"],

        ["\x4F\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xBF"],
        ["\x94\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x75"],

        ["\x4D\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC0"],
        ["\x94\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC8"],

        ["\x52\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC1"],
        ["\x94\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE4"],

        ["\x46\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC2"],
        ["\x94\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB4"],

        ["\x55\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC3"],
        ["\x94\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x6E"],

        ["\x50\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC4"],
        ["\x94\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x5E"],

        ["\x4A\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC5"],
        ["\x94\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xBD"],

        ["\x4C\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC6"],
        ["\x94\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA7"],

        ["\x50\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC7"],
        ["\x94\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x66"],

        ["\x4E\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC8"],
        ["\x94\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xDC"],

        ["\x47\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xC9"],
        ["\x94\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x59"],

        ["\x49\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xCA"],
        ["\x94\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x56"],

        ["\x4F\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xCB"],
        ["\x94\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF6"],

        ["\x4A\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xCC"],
        ["\x94\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5D"],

        ["\x49\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xCD"],
        ["\x94\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE8"],

        ["\x53\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xCE"],
        ["\x94\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x46"],

        ["\x54\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xCF"],
        ["\x94\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA0"],

        ["\x55\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD0"],
        ["\x94\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x57"],

        ["\x46\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD1"],
        ["\x94\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xB5"],

        ["\x52\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD2"],
        ["\x94\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA8"],

        ["\x4C\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD3"],
        ["\x94\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB6"],

        ["\x48\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD4"],
        ["\x94\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB9"],

        ["\x48\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD5"],
        ["\x94\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x90"],

        ["\x4B\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD6"],
        ["\x94\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x9C"],

        ["\x52\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD7"],
        ["\x94\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF7"],

        ["\x53\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD8"],
        ["\x94\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA5"],

        ["\x55\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xD9"],
        ["\x94\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xED"],

        ["\x53\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xDA"],
        ["\x94\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xAD"],

        ["\x4C\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xDB"],
        ["\x94\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4F"],

        ["\x51\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xDC"],
        ["\x94\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA2"],

        ["\x55\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xDD"],
        ["\x94\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x8D"],

        ["\x47\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xDE"],
        ["\x94\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x72"],

        ["\x4C\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xDF"],
        ["\x94\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x9D"],

        ["\x50\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE0"],
        ["\x94\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xAD"],

        ["\x4C\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE1"],
        ["\x94\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x76"],

        ["\x4F\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE2"],
        ["\x94\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA6"],

        ["\x4B\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE3"],
        ["\x94\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x80"],

        ["\x47\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE4"],
        ["\x94\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x4E"],

        ["\x51\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE5"],
        ["\x94\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xFD"],

        ["\x4D\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE6"],
        ["\x94\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x97"],

        ["\x49\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE7"],
        ["\x94\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xDA"],

        ["\x51\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE8"],
        ["\x94\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x7B"],

        ["\x4C\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xE9"],
        ["\x94\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x70"],

        ["\x53\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xEA"],
        ["\x94\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x7D"],

        ["\x55\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xEB"],
        ["\x94\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA5"],

        ["\x49\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xEC"],
        ["\x94\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x7B"],

        ["\x4B\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xED"],
        ["\x94\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x8D"],

        ["\x55\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xEE"],
        ["\x94\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF2"],

        ["\x46\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xEF"],
        ["\x94\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD0"],

        ["\x4C\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF0"],
        ["\x94\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC4"],

        ["\x48\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF1"],
        ["\x94\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xE1"],

        ["\x48\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF2"],
        ["\x94\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x8A"],

        ["\x49\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF3"],
        ["\x94\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x4F"],

        ["\x51\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF4"],
        ["\x94\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xAB"],

        ["\x46\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF5"],
        ["\x94\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xAC"],

        ["\x45\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF6"],
        ["\x94\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC8"],

        ["\x4B\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF7"],
        ["\x94\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x5D"],

        ["\x52\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF8"],
        ["\x94\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x5E"],

        ["\x53\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xF9"],
        ["\x94\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD7"],

        ["\x52\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xFA"],
        ["\x94\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA3"],

        ["\x52\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xFB"],
        ["\x94\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xBC"],

        ["\x45\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x94\xFC"],
        ["\x94\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x7D"],

        ["\x4C\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x40"],
        ["\x95\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xFD"],

        ["\x52\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x41"],
        ["\x95\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD9"],

        ["\x50\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x42"],
        ["\x95\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x87"],

        ["\x4F\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x43"],
        ["\x95\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD1"],

        ["\x4E\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x44"],
        ["\x95\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA0"],

        ["\x50\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x45"],
        ["\x95\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x9D"],

        ["\x45\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x46"],
        ["\x95\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xE1"],

        ["\x50\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x47"],
        ["\x95\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x60"],

        ["\x48\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x48"],
        ["\x95\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xCC"],

        ["\x52\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x49"],
        ["\x95\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x6A"],

        ["\x52\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x4A"],
        ["\x95\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE0"],

        ["\x47\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x4B"],
        ["\x95\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xCA"],

        ["\x55\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x4C"],
        ["\x95\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x9A"],

        ["\x4A\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x4D"],
        ["\x95\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC7"],

        ["\x55\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x4E"],
        ["\x95\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xAC"],

        ["\x50\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x4F"],
        ["\x95\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x46"],

        ["\x4A\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x50"],
        ["\x95\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB3"],

        ["\x48\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x51"],
        ["\x95\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x55"],

        ["\x4F\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x52"],
        ["\x95\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB5"],

        ["\x45\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x53"],
        ["\x95\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x4B"],

        ["\x55\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x54"],
        ["\x95\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA1"],

        ["\x4D\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x55"],
        ["\x95\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB1"],

        ["\x51\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x56"],
        ["\x95\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x59"],

        ["\x49\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x57"],
        ["\x95\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x66"],

        ["\x4C\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x58"],
        ["\x95\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA4"],

        ["\x4F\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x59"],
        ["\x95\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xBC"],

        ["\x54\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x5A"],
        ["\x95\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x52"],

        ["\x4D\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x5B"],
        ["\x95\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xBF"],

        ["\x46\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x5C"],
        ["\x95\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC0"],

        ["\x49\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x5D"],
        ["\x95\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xFD"],

        ["\x55\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x5E"],
        ["\x95\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x93"],

        ["\x55\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x5F"],
        ["\x95\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xAF"],

        ["\x4B\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x60"],
        ["\x95\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xCF"],

        ["\x49\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x61"],
        ["\x95\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xBF"],

        ["\x4D\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x62"],
        ["\x95\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xBA"],

        ["\x4A\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x63"],
        ["\x95\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB8"],

        ["\x53\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x64"],
        ["\x95\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF0"],

        ["\x55\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x65"],
        ["\x95\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xBE"],

        ["\x52\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x66"],
        ["\x95\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x59"],

        ["\x4E\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x67"],
        ["\x95\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x66"],

        ["\x54\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x68"],
        ["\x95\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x6E"],

        ["\x45\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x69"],
        ["\x95\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD0"],

        ["\x4E\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x6A"],
        ["\x95\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x88"],

        ["\x51\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x6B"],
        ["\x95\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x9D"],

        ["\x45\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x6C"],
        ["\x95\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xEA"],

        ["\x55\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x6D"],
        ["\x95\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD1"],

        ["\x4D\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x6E"],
        ["\x95\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xA3"],

        ["\x50\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x6F"],
        ["\x95\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD7"],

        ["\x53\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x70"],
        ["\x95\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xAB"],

        ["\x46\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x71"],
        ["\x95\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x47"],

        ["\x4C\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x72"],
        ["\x95\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD4"],

        ["\x46\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x73"],
        ["\x95\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xAF"],

        ["\x47\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x74"],
        ["\x95\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x5D"],

        ["\x51\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x75"],
        ["\x95\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x7E"],

        ["\x45\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x76"],
        ["\x95\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x73"],

        ["\x49\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x77"],
        ["\x95\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x6F"],

        ["\x45\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x78"],
        ["\x95\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xAC"],

        ["\x48\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x79"],
        ["\x95\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x78"],

        ["\x47\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x7A"],
        ["\x95\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x6B"],

        ["\x45\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x7B"],
        ["\x95\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x51"],

        ["\x4E\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x7C"],
        ["\x95\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF0"],

        ["\x4D\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x7D"],
        ["\x95\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x7A"],

        ["\x49\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x7E"],
        ["\x95\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x51"],

        ["\x51\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x80"],
        ["\x95\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC2"],

        ["\x49\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x81"],
        ["\x95\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF8"],

        ["\x4A\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x82"],
        ["\x95\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x8C"],

        ["\x45\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x83"],
        ["\x95\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCC"],

        ["\x4F\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x84"],
        ["\x95\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD9"],

        ["\x4D\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x85"],
        ["\x95\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x62"],

        ["\x51\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x86"],
        ["\x95\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x91"],

        ["\x4E\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x87"],
        ["\x95\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xBD"],

        ["\x4E\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x88"],
        ["\x95\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x4F"],

        ["\x49\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x89"],
        ["\x95\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC8"],

        ["\x4F\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x8A"],
        ["\x95\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA7"],

        ["\x50\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x8B"],
        ["\x95\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xEE"],

        ["\x47\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x8C"],
        ["\x95\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x86"],

        ["\x4B\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x8D"],
        ["\x95\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x8C"],

        ["\x53\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x8E"],
        ["\x95\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB9"],

        ["\x51\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x8F"],
        ["\x95\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE1"],

        ["\x45\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x90"],
        ["\x95\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB1"],

        ["\x4A\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x91"],
        ["\x95\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x63"],

        ["\x55\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x92"],
        ["\x95\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x47"],

        ["\x51\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x93"],
        ["\x95\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD3"],

        ["\x45\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x94"],
        ["\x95\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x95"],

        ["\x4D\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x95"],
        ["\x95\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x76"],

        ["\x52\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x96"],
        ["\x95\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x95"],

        ["\x47\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x97"],
        ["\x95\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE7"],

        ["\x50\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x98"],
        ["\x95\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE0"],

        ["\x54\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x99"],
        ["\x95\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x91"],

        ["\x4A\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x9A"],
        ["\x95\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x83"],

        ["\x4B\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x9B"],
        ["\x95\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x4E"],

        ["\x4A\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x9C"],
        ["\x95\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x70"],

        ["\x4A\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x9D"],
        ["\x95\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5E"],

        ["\x47\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x9E"],
        ["\x95\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD4"],

        ["\x45\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\x9F"],
        ["\x95\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8B"],

        ["\x4C\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA0"],
        ["\x95\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA0"],

        ["\x4B\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA1"],
        ["\x95\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x51"],

        ["\x4D\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA2"],
        ["\x95\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF2"],

        ["\x48\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA3"],
        ["\x95\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xEA"],

        ["\x54\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA4"],
        ["\x95\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xAC"],

        ["\x49\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA5"],
        ["\x95\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x81"],

        ["\x4E\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA6"],
        ["\x95\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xAA"],

        ["\x4B\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA7"],
        ["\x95\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE5"],

        ["\x46\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA8"],
        ["\x95\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x52"],

        ["\x52\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xA9"],
        ["\x95\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x8D"],

        ["\x45\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xAA"],
        ["\x95\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB4"],

        ["\x53\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xAB"],
        ["\x95\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE5"],

        ["\x4E\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xAC"],
        ["\x95\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x6D"],

        ["\x52\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xAD"],
        ["\x95\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x89"],

        ["\x4F\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xAE"],
        ["\x95\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xFC"],

        ["\x54\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xAF"],
        ["\x95\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB7"],

        ["\x54\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB0"],
        ["\x95\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x4F"],

        ["\x4E\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB1"],
        ["\x95\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xDD"],

        ["\x48\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB2"],
        ["\x95\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x9E"],

        ["\x54\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB3"],
        ["\x95\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x92"],

        ["\x4F\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB4"],
        ["\x95\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF3"],

        ["\x4F\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB5"],
        ["\x95\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x90"],

        ["\x45\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB6"],
        ["\x95\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCA"],

        ["\x48\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB7"],
        ["\x95\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xBB"],

        ["\x50\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB8"],
        ["\x95\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC5"],

        ["\x4B\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xB9"],
        ["\x95\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x94"],

        ["\x46\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xBA"],
        ["\x95\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x49"],

        ["\x53\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xBB"],
        ["\x95\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x9F"],

        ["\x4E\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xBC"],
        ["\x95\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x7F"],

        ["\x45\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xBD"],
        ["\x95\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8D"],

        ["\x50\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xBE"],
        ["\x95\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xCD"],

        ["\x4A\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xBF"],
        ["\x95\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7F"],

        ["\x48\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC0"],
        ["\x95\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x7C"],

        ["\x54\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC1"],
        ["\x95\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD1"],

        ["\x4B\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC2"],
        ["\x95\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x7D"],

        ["\x51\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC3"],
        ["\x95\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x57"],

        ["\x46\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC4"],
        ["\x95\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x6F"],

        ["\x4C\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC5"],
        ["\x95\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD9"],

        ["\x55\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC6"],
        ["\x95\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x78"],

        ["\x4B\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC7"],
        ["\x95\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x95"],

        ["\x53\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC8"],
        ["\x95\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x7E"],

        ["\x4D\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xC9"],
        ["\x95\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF8"],

        ["\x46\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xCA"],
        ["\x95\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xDD"],

        ["\x55\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xCB"],
        ["\x95\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x72"],

        ["\x55\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xCC"],
        ["\x95\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x6C"],

        ["\x55\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xCD"],
        ["\x95\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x9B"],

        ["\x50\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xCE"],
        ["\x95\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x49"],

        ["\x47\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xCF"],
        ["\x95\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x6F"],

        ["\x47\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD0"],
        ["\x95\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x67"],

        ["\x4F\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD1"],
        ["\x95\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB6"],

        ["\x48\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD2"],
        ["\x95\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x4E"],

        ["\x45\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD3"],
        ["\x95\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xD5"],

        ["\x48\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD4"],
        ["\x95\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD6"],

        ["\x50\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD5"],
        ["\x95\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x5D"],

        ["\x4B\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD6"],
        ["\x95\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x4C"],

        ["\x48\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD7"],
        ["\x95\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xCE"],

        ["\x54\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD8"],
        ["\x95\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x9F"],

        ["\x4B\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xD9"],
        ["\x95\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x47"],

        ["\x54\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xDA"],
        ["\x95\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x8B"],

        ["\x45\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xDB"],
        ["\x95\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xAA"],

        ["\x4E\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xDC"],
        ["\x95\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x5B"],

        ["\x53\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xDD"],
        ["\x95\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x63"],

        ["\x53\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xDE"],
        ["\x95\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xCF"],

        ["\x4C\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xDF"],
        ["\x95\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x41"],

        ["\x47\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE0"],
        ["\x95\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xD8"],

        ["\x4D\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE1"],
        ["\x95\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x58"],

        ["\x49\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE2"],
        ["\x95\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x6A"],

        ["\x4A\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE3"],
        ["\x95\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x68"],

        ["\x48\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE4"],
        ["\x95\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD4"],

        ["\x4A\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE5"],
        ["\x95\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE1"],

        ["\x4E\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE6"],
        ["\x95\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xBE"],

        ["\x52\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE7"],
        ["\x95\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE3"],

        ["\x51\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE8"],
        ["\x95\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x61"],

        ["\x4A\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xE9"],
        ["\x95\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xFE"],

        ["\x49\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xEA"],
        ["\x95\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x69"],

        ["\x4F\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xEB"],
        ["\x95\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4C"],

        ["\x51\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xEC"],
        ["\x95\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x6A"],

        ["\x55\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xED"],
        ["\x95\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x69"],

        ["\x50\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xEE"],
        ["\x95\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF9"],

        ["\x4A\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xEF"],
        ["\x95\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA8"],

        ["\x50\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF0"],
        ["\x95\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x73"],

        ["\x49\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF1"],
        ["\x95\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB8"],

        ["\x4D\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF2"],
        ["\x95\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB2"],

        ["\x49\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF3"],
        ["\x95\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x4D"],

        ["\x48\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF4"],
        ["\x95\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xFE"],

        ["\x4A\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF5"],
        ["\x95\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xAC"],

        ["\x4F\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF6"],
        ["\x95\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5F"],

        ["\x55\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF7"],
        ["\x95\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x4F"],

        ["\x4C\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF8"],
        ["\x95\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x86"],

        ["\x52\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xF9"],
        ["\x95\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x85"],

        ["\x48\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xFA"],
        ["\x95\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xAF"],

        ["\x45\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xFB"],
        ["\x95\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCD"],

        ["\x4B\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x95\xFC"],
        ["\x95\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC4"],

        ["\x46\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x40"],
        ["\x96\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x4A"],

        ["\x4E\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x41"],
        ["\x96\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x87"],

        ["\x55\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x42"],
        ["\x96\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x87"],

        ["\x4C\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x43"],
        ["\x96\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC2"],

        ["\x49\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x44"],
        ["\x96\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE4"],

        ["\x50\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x45"],
        ["\x96\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB6"],

        ["\x46\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x46"],
        ["\x96\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x83"],

        ["\x50\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x47"],
        ["\x96\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xDB"],

        ["\x50\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x48"],
        ["\x96\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x88"],

        ["\x4E\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x49"],
        ["\x96\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xCD"],

        ["\x51\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x4A"],
        ["\x96\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xBA"],

        ["\x4A\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x4B"],
        ["\x96\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x71"],

        ["\x46\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x4C"],
        ["\x96\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x48"],

        ["\x46\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x4D"],
        ["\x96\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC5"],

        ["\x54\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x4E"],
        ["\x96\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x49"],

        ["\x4D\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x4F"],
        ["\x96\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x49"],

        ["\x4E\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x50"],
        ["\x96\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA6"],

        ["\x51\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x51"],
        ["\x96\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x8A"],

        ["\x4F\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x52"],
        ["\x96\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6C"],

        ["\x4C\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x53"],
        ["\x96\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xCE"],

        ["\x4E\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x54"],
        ["\x96\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE7"],

        ["\x51\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x55"],
        ["\x96\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x99"],

        ["\x4C\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x56"],
        ["\x96\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x55"],

        ["\x50\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x57"],
        ["\x96\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xEC"],

        ["\x4C\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x58"],
        ["\x96\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x85"],

        ["\x4C\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x59"],
        ["\x96\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x45"],

        ["\x4E\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x5A"],
        ["\x96\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA3"],

        ["\x47\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x5B"],
        ["\x96\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xDC"],

        ["\x4C\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x5C"],
        ["\x96\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB2"],

        ["\x47\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x5D"],
        ["\x96\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xBB"],

        ["\x50\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x5E"],
        ["\x96\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4A"],

        ["\x4B\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x5F"],
        ["\x96\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x5A"],

        ["\x4F\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x60"],
        ["\x96\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x8F"],

        ["\x48\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x61"],
        ["\x96\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x77"],

        ["\x4C\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x62"],
        ["\x96\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xFB"],

        ["\x4E\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x63"],
        ["\x96\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xF6"],

        ["\x4F\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x64"],
        ["\x96\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4D"],

        ["\x50\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x65"],
        ["\x96\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x64"],

        ["\x48\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x66"],
        ["\x96\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x72"],

        ["\x51\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x67"],
        ["\x96\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x83"],

        ["\x47\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x68"],
        ["\x96\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xBC"],

        ["\x53\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x69"],
        ["\x96\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE1"],

        ["\x4E\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x6A"],
        ["\x96\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xB3"],

        ["\x45\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x6B"],
        ["\x96\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x5A"],

        ["\x4A\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x6C"],
        ["\x96\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xBB"],

        ["\x51\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x6D"],
        ["\x96\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC0"],

        ["\x4A\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x6E"],
        ["\x96\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xFC"],

        ["\x4E\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x6F"],
        ["\x96\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC7"],

        ["\x4E\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x70"],
        ["\x96\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA2"],

        ["\x48\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x71"],
        ["\x96\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x7B"],

        ["\x4A\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x72"],
        ["\x96\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x96"],

        ["\x52\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x73"],
        ["\x96\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xBE"],

        ["\x53\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x74"],
        ["\x96\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x4A"],

        ["\x54\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x75"],
        ["\x96\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB1"],

        ["\x50\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x76"],
        ["\x96\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x75"],

        ["\x4F\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x77"],
        ["\x96\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x42"],

        ["\x46\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x78"],
        ["\x96\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x9D"],

        ["\x49\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x79"],
        ["\x96\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x6B"],

        ["\x52\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x7A"],
        ["\x96\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x84"],

        ["\x45\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x7B"],
        ["\x96\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x66"],

        ["\x51\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x7C"],
        ["\x96\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF6"],

        ["\x4D\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x7D"],
        ["\x96\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE1"],

        ["\x50\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x7E"],
        ["\x96\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x57"],

        ["\x48\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x80"],
        ["\x96\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xD1"],

        ["\x49\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x81"],
        ["\x96\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB4"],

        ["\x4D\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x82"],
        ["\x96\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xE2"],

        ["\x48\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x83"],
        ["\x96\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA7"],

        ["\x4E\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x84"],
        ["\x96\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xAC"],

        ["\x4B\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x85"],
        ["\x96\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xDC"],

        ["\x55\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x86"],
        ["\x96\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x9D"],

        ["\x49\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x87"],
        ["\x96\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xD9"],

        ["\x49\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x88"],
        ["\x96\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xF5"],

        ["\x55\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x89"],
        ["\x96\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF0"],

        ["\x68\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x8A"],
        ["\x96\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x81"],

        ["\x4C\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x8B"],
        ["\x96\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xCA"],

        ["\x4D\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x8C"],
        ["\x96\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x8A"],

        ["\x4F\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x8D"],
        ["\x96\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x78"],

        ["\x55\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x8E"],
        ["\x96\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xCE"],

        ["\x50\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x8F"],
        ["\x96\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x54"],

        ["\x53\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x90"],
        ["\x96\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC6"],

        ["\x4D\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x91"],
        ["\x96\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x88"],

        ["\x4F\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x92"],
        ["\x96\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xFA"],

        ["\x4B\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x93"],
        ["\x96\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x4A"],

        ["\x48\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x94"],
        ["\x96\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF5"],

        ["\x51\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x95"],
        ["\x96\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE0"],

        ["\x47\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x96"],
        ["\x96\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x46"],

        ["\x53\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x97"],
        ["\x96\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xEC"],

        ["\x49\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x98"],
        ["\x96\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xCD"],

        ["\x56\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x99"],
        ["\x96\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x75"],

        ["\x4D\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x9A"],
        ["\x96\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x9A"],

        ["\x4E\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x9B"],
        ["\x96\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xEA"],

        ["\x45\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x9C"],
        ["\x96\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x4D"],

        ["\x4D\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x9D"],
        ["\x96\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xDB"],

        ["\x47\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x9E"],
        ["\x96\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x5B"],

        ["\x4F\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\x9F"],
        ["\x96\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6E"],

        ["\x55\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA0"],
        ["\x96\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x7B"],

        ["\x47\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA1"],
        ["\x96\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x7F"],

        ["\x49\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA2"],
        ["\x96\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC6"],

        ["\x4D\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA3"],
        ["\x96\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB4"],

        ["\x4A\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA4"],
        ["\x96\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE6"],

        ["\x4C\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA5"],
        ["\x96\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xCC"],

        ["\x50\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA6"],
        ["\x96\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD5"],

        ["\x4A\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA7"],
        ["\x96\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x56"],

        ["\x53\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA8"],
        ["\x96\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA1"],

        ["\x4C\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xA9"],
        ["\x96\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x88"],

        ["\x4F\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xAA"],
        ["\x96\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x9A"],

        ["\x47\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xAB"],
        ["\x96\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xFA"],

        ["\x50\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xAC"],
        ["\x96\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x79"],

        ["\x4A\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xAD"],
        ["\x96\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x66"],

        ["\x53\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xAE"],
        ["\x96\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC9"],

        ["\x47\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xAF"],
        ["\x96\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x56"],

        ["\x4E\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB0"],
        ["\x96\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x6A"],

        ["\x46\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB1"],
        ["\x96\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xED"],

        ["\x4B\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB2"],
        ["\x96\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x8B"],

        ["\x47\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB3"],
        ["\x96\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x5F"],

        ["\x4A\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB4"],
        ["\x96\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xAF"],

        ["\x50\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB5"],
        ["\x96\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xED"],

        ["\x4E\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB6"],
        ["\x96\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x48"],

        ["\x55\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB7"],
        ["\x96\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x7E"],

        ["\x4D\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB8"],
        ["\x96\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xFD"],

        ["\x54\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xB9"],
        ["\x96\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x54"],

        ["\x4B\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xBA"],
        ["\x96\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x54"],

        ["\x54\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xBB"],
        ["\x96\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x67"],

        ["\x45\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xBC"],
        ["\x96\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF3"],

        ["\x49\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xBD"],
        ["\x96\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xB0"],

        ["\x45\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xBE"],
        ["\x96\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA6"],

        ["\x4B\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xBF"],
        ["\x96\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x84"],

        ["\x4E\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC0"],
        ["\x96\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x58"],

        ["\x4D\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC1"],
        ["\x96\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xDC"],

        ["\x4B\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC2"],
        ["\x96\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x70"],

        ["\x55\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC3"],
        ["\x96\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x8C"],

        ["\x55\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC4"],
        ["\x96\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xB7"],

        ["\x4E\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC5"],
        ["\x96\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE6"],

        ["\x4B\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC6"],
        ["\x96\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x56"],

        ["\x55\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC7"],
        ["\x96\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xCA"],

        ["\x48\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC8"],
        ["\x96\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x9D"],

        ["\x55\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xC9"],
        ["\x96\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x6B"],

        ["\x46\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xCA"],
        ["\x96\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x91"],

        ["\x55\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xCB"],
        ["\x96\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x5F"],

        ["\x55\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xCC"],
        ["\x96\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF5"],

        ["\x48\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xCD"],
        ["\x96\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x64"],

        ["\x46\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xCE"],
        ["\x96\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x46"],

        ["\x55\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xCF"],
        ["\x96\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x4D"],

        ["\x4F\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD0"],
        ["\x96\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x83"],

        ["\x46\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD1"],
        ["\x96\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE2"],

        ["\x4A\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD2"],
        ["\x96\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x51"],

        ["\x50\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD3"],
        ["\x96\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x80"],

        ["\x4A\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD4"],
        ["\x96\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x53"],

        ["\x4F\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD5"],
        ["\x96\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xEC"],

        ["\x50\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD6"],
        ["\x96\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x95"],

        ["\x54\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD7"],
        ["\x96\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xBD"],

        ["\x45\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD8"],
        ["\x96\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x6C"],

        ["\x4D\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xD9"],
        ["\x96\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xBC"],

        ["\x46\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xDA"],
        ["\x96\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x75"],

        ["\x51\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xDB"],
        ["\x96\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA6"],

        ["\x52\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xDC"],
        ["\x96\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x97"],

        ["\x50\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xDD"],
        ["\x96\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xBF"],

        ["\x53\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xDE"],
        ["\x96\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xAE"],

        ["\x4C\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xDF"],
        ["\x96\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x44"],

        ["\x4F\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE0"],
        ["\x96\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF0"],

        ["\x4D\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE1"],
        ["\x96\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xEF"],

        ["\x46\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE2"],
        ["\x96\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE4"],

        ["\x55\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE3"],
        ["\x96\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x54"],

        ["\x4C\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE4"],
        ["\x96\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF9"],

        ["\x46\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE5"],
        ["\x96\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xAA"],

        ["\x4F\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE6"],
        ["\x96\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5B"],

        ["\x47\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE7"],
        ["\x96\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x49"],

        ["\x51\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE8"],
        ["\x96\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x46"],

        ["\x48\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xE9"],
        ["\x96\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC8"],

        ["\x50\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xEA"],
        ["\x96\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x96"],

        ["\x4E\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xEB"],
        ["\x96\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x99"],

        ["\x45\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xEC"],
        ["\x96\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x69"],

        ["\x47\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xED"],
        ["\x96\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE6"],

        ["\x46\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xEE"],
        ["\x96\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xC1"],

        ["\x53\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xEF"],
        ["\x96\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x52"],

        ["\x49\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF0"],
        ["\x96\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x5D"],

        ["\x47\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF1"],
        ["\x96\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xBD"],

        ["\x46\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF2"],
        ["\x96\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xE1"],

        ["\x4B\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF3"],
        ["\x96\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xAD"],

        ["\x4C\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF4"],
        ["\x96\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA1"],

        ["\x48\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF5"],
        ["\x96\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC3"],

        ["\x46\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF6"],
        ["\x96\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEA"],

        ["\x62\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF7"],
        ["\x96\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB3"],

        ["\x52\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF8"],
        ["\x96\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x41"],

        ["\x50\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xF9"],
        ["\x96\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x98"],

        ["\x53\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xFA"],
        ["\x96\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC8"],

        ["\x46\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xFB"],
        ["\x96\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x5C"],

        ["\x53\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x96\xFC"],
        ["\x96\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xAA"],

        ["\x4E\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x40"],
        ["\x97\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x9C"],

        ["\x46\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x41"],
        ["\x97\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x93"],

        ["\x4B\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x42"],
        ["\x97\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE0"],

        ["\x4C\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x43"],
        ["\x97\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE6"],

        ["\x47\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x44"],
        ["\x97\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xDA"],

        ["\x46\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x45"],
        ["\x97\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x9C"],

        ["\x46\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x46"],
        ["\x97\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xD4"],

        ["\x4F\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x47"],
        ["\x97\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7A"],

        ["\x52\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x48"],
        ["\x97\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x5F"],

        ["\x4D\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x49"],
        ["\x97\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD8"],

        ["\x50\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x4A"],
        ["\x97\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x7C"],

        ["\x4C\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x4B"],
        ["\x97\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF2"],

        ["\x46\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x4C"],
        ["\x97\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x85"],

        ["\x4E\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x4D"],
        ["\x97\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xE1"],

        ["\x4F\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x4E"],
        ["\x97\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xBD"],

        ["\x4F\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x4F"],
        ["\x97\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7D"],

        ["\x50\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x50"],
        ["\x97\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4F"],

        ["\x53\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x51"],
        ["\x97\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xDD"],

        ["\x46\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x52"],
        ["\x97\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x7C"],

        ["\x48\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x53"],
        ["\x97\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x8C"],

        ["\x46\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x54"],
        ["\x97\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xF8"],

        ["\x4A\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x55"],
        ["\x97\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xCB"],

        ["\x4A\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x56"],
        ["\x97\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x8B"],

        ["\x4C\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x57"],
        ["\x97\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x92"],

        ["\x4C\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x58"],
        ["\x97\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB7"],

        ["\x45\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x59"],
        ["\x97\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x70"],

        ["\x48\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x5A"],
        ["\x97\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xC2"],

        ["\x4A\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x5B"],
        ["\x97\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC3"],

        ["\x47\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x5C"],
        ["\x97\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xC2"],

        ["\x49\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x5D"],
        ["\x97\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC1"],

        ["\x47\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x5E"],
        ["\x97\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x89"],

        ["\x4D\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x5F"],
        ["\x97\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x8C"],

        ["\x50\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x60"],
        ["\x97\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x6C"],

        ["\x4D\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x61"],
        ["\x97\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x4A"],

        ["\x54\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x62"],
        ["\x97\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xDA"],

        ["\x4D\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x63"],
        ["\x97\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xAF"],

        ["\x53\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x64"],
        ["\x97\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD1"],

        ["\x48\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x65"],
        ["\x97\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x89"],

        ["\x4C\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x66"],
        ["\x97\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5D"],

        ["\x4C\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x67"],
        ["\x97\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x46"],

        ["\x4F\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x68"],
        ["\x97\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7E"],

        ["\x51\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x69"],
        ["\x97\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x4E"],

        ["\x4B\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x6A"],
        ["\x97\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xFE"],

        ["\x51\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x6B"],
        ["\x97\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD7"],

        ["\x48\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x6C"],
        ["\x97\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x48"],

        ["\x45\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x6D"],
        ["\x97\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDA"],

        ["\x48\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x6E"],
        ["\x97\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xBE"],

        ["\x52\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x6F"],
        ["\x97\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x9D"],

        ["\x45\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x70"],
        ["\x97\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB6"],

        ["\x49\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x71"],
        ["\x97\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA7"],

        ["\x4A\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x72"],
        ["\x97\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD1"],

        ["\x52\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x73"],
        ["\x97\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA0"],

        ["\x45\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x74"],
        ["\x97\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF9"],

        ["\x50\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x75"],
        ["\x97\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x83"],

        ["\x46\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x76"],
        ["\x97\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x55"],

        ["\x4D\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x77"],
        ["\x97\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x7D"],

        ["\x4C\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x78"],
        ["\x97\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA8"],

        ["\x68\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x79"],
        ["\x97\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x82"],

        ["\x47\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x7A"],
        ["\x97\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xBF"],

        ["\x49\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x7B"],
        ["\x97\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x79"],

        ["\x53\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x7C"],
        ["\x97\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF4"],

        ["\x4D\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x7D"],
        ["\x97\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x66"],

        ["\x4B\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x7E"],
        ["\x97\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF6"],

        ["\x55\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x80"],
        ["\x97\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xD9"],

        ["\x4B\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x81"],
        ["\x97\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x7E"],

        ["\x4D\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x82"],
        ["\x97\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x9C"],

        ["\x4D\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x83"],
        ["\x97\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB5"],

        ["\x4A\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x84"],
        ["\x97\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x88"],

        ["\x4D\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x85"],
        ["\x97\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xFA"],

        ["\x51\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x86"],
        ["\x97\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD6"],

        ["\x4F\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x87"],
        ["\x97\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x43"],

        ["\x46\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x88"],
        ["\x97\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x76"],

        ["\x52\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x89"],
        ["\x97\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC9"],

        ["\x4A\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x8A"],
        ["\x97\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7A"],

        ["\x4B\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x8B"],
        ["\x97\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xD6"],

        ["\x54\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x8C"],
        ["\x97\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x50"],

        ["\x4C\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x8D"],
        ["\x97\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE7"],

        ["\x47\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x8E"],
        ["\x97\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xF2"],

        ["\x50\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x8F"],
        ["\x97\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xBD"],

        ["\x4B\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x90"],
        ["\x97\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xBF"],

        ["\x4C\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x91"],
        ["\x97\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF5"],

        ["\x49\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x92"],
        ["\x97\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x8C"],

        ["\x4E\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x93"],
        ["\x97\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xDE"],

        ["\x55\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x94"],
        ["\x97\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA3"],

        ["\x4E\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x95"],
        ["\x97\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xED"],

        ["\x4C\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x96"],
        ["\x97\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA6"],

        ["\x4E\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x97"],
        ["\x97\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD0"],

        ["\x45\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x98"],
        ["\x97\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xBC"],

        ["\x50\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x99"],
        ["\x97\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC6"],

        ["\x4C\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x9A"],
        ["\x97\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA2"],

        ["\x4E\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x9B"],
        ["\x97\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x51"],

        ["\x48\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x9C"],
        ["\x97\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x58"],

        ["\x45\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x9D"],
        ["\x97\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xEB"],

        ["\x52\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x9E"],
        ["\x97\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x8C"],

        ["\x51\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\x9F"],
        ["\x97\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x74"],

        ["\x49\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA0"],
        ["\x97\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xA4"],

        ["\x54\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA1"],
        ["\x97\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x4D"],

        ["\x47\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA2"],
        ["\x97\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x6C"],

        ["\x49\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA3"],
        ["\x97\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x97"],

        ["\x49\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA4"],
        ["\x97\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x61"],

        ["\x49\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA5"],
        ["\x97\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x91"],

        ["\x47\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA6"],
        ["\x97\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x83"],

        ["\x45\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA7"],
        ["\x97\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDD"],

        ["\x55\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA8"],
        ["\x97\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x9F"],

        ["\x55\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xA9"],
        ["\x97\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xE6"],

        ["\x4C\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xAA"],
        ["\x97\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF0"],

        ["\x51\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xAB"],
        ["\x97\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x85"],

        ["\x46\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xAC"],
        ["\x97\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFC"],

        ["\x4D\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xAD"],
        ["\x97\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xC4"],

        ["\x50\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xAE"],
        ["\x97\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF7"],

        ["\x47\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xAF"],
        ["\x97\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xAB"],

        ["\x49\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB0"],
        ["\x97\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x84"],

        ["\x4C\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB1"],
        ["\x97\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA9"],

        ["\x46\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB2"],
        ["\x97\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x5D"],

        ["\x49\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB3"],
        ["\x97\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xE7"],

        ["\x48\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB4"],
        ["\x97\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xCA"],

        ["\x55\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB5"],
        ["\x97\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x7C"],

        ["\x4C\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB6"],
        ["\x97\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x49"],

        ["\x4A\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB7"],
        ["\x97\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xCF"],

        ["\x52\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB8"],
        ["\x97\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x50"],

        ["\x4B\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xB9"],
        ["\x97\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB1"],

        ["\x49\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xBA"],
        ["\x97\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x9C"],

        ["\x4D\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xBB"],
        ["\x97\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x82"],

        ["\x48\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xBC"],
        ["\x97\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x83"],

        ["\x53\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xBD"],
        ["\x97\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x44"],

        ["\x4C\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xBE"],
        ["\x97\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7A"],

        ["\x46\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xBF"],
        ["\x97\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\x4E"],

        ["\x4E\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC0"],
        ["\x97\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x44"],

        ["\x4E\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC1"],
        ["\x97\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x74"],

        ["\x4E\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC2"],
        ["\x97\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x9D"],

        ["\x4B\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC3"],
        ["\x97\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB7"],

        ["\x52\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC4"],
        ["\x97\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x7D"],

        ["\x52\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC5"],
        ["\x97\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x96"],

        ["\x4E\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC6"],
        ["\x97\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xC5"],

        ["\x45\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC7"],
        ["\x97\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xC4"],

        ["\x51\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC8"],
        ["\x97\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x81"],

        ["\x52\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xC9"],
        ["\x97\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x6B"],

        ["\x47\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xCA"],
        ["\x97\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xB5"],

        ["\x50\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xCB"],
        ["\x97\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC7"],

        ["\x4A\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xCC"],
        ["\x97\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xCD"],

        ["\x45\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xCD"],
        ["\x97\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xF7"],

        ["\x48\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xCE"],
        ["\x97\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA5"],

        ["\x4D\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xCF"],
        ["\x97\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x51"],

        ["\x4F\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD0"],
        ["\x97\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x55"],

        ["\x45\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD1"],
        ["\x97\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA2"],

        ["\x52\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD2"],
        ["\x97\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC7"],

        ["\x4A\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD3"],
        ["\x97\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x79"],

        ["\x54\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD4"],
        ["\x97\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x53"],

        ["\x4C\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD5"],
        ["\x97\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD0"],

        ["\x48\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD6"],
        ["\x97\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xB7"],

        ["\x4C\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD7"],
        ["\x97\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE0"],

        ["\x55\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD8"],
        ["\x97\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x4C"],

        ["\x51\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xD9"],
        ["\x97\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x9B"],

        ["\x50\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xDA"],
        ["\x97\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x8C"],

        ["\x4B\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xDB"],
        ["\x97\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xEB"],

        ["\x4D\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xDC"],
        ["\x97\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xDA"],

        ["\x51\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xDD"],
        ["\x97\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x48"],

        ["\x46\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xDE"],
        ["\x97\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xBA"],

        ["\x49\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xDF"],
        ["\x97\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\xC3"],

        ["\x54\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE0"],
        ["\x97\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x4A"],

        ["\x4A\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE1"],
        ["\x97\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x46"],

        ["\x48\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE2"],
        ["\x97\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xFC"],

        ["\x4D\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE3"],
        ["\x97\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x92"],

        ["\x4C\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE4"],
        ["\x97\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE8"],

        ["\x50\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE5"],
        ["\x97\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x9F"],

        ["\x4A\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE6"],
        ["\x97\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF9"],

        ["\x49\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE7"],
        ["\x97\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x58"],

        ["\x55\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE8"],
        ["\x97\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x59"],

        ["\x45\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xE9"],
        ["\x97\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xAE"],

        ["\x55\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xEA"],
        ["\x97\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x45"],

        ["\x50\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xEB"],
        ["\x97\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x69"],

        ["\x4F\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xEC"],
        ["\x97\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4B"],

        ["\x4C\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xED"],
        ["\x97\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF3"],

        ["\x4C\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xEE"],
        ["\x97\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x80"],

        ["\x50\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xEF"],
        ["\x97\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xCC"],

        ["\x49\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF0"],
        ["\x97\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x55"],

        ["\x4B\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF1"],
        ["\x97\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xB4"],

        ["\x4E\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF2"],
        ["\x97\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x68"],

        ["\x4D\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF3"],
        ["\x97\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xD1"],

        ["\x4F\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF4"],
        ["\x97\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x60"],

        ["\x4E\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF5"],
        ["\x97\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xDB"],

        ["\x4B\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF6"],
        ["\x97\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xCA"],

        ["\x55\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF7"],
        ["\x97\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x5B"],

        ["\x54\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF8"],
        ["\x97\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE0"],

        ["\x4C\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xF9"],
        ["\x97\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6F"],

        ["\x52\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xFA"],
        ["\x97\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x70"],

        ["\x48\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xFB"],
        ["\x97\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x60"],

        ["\x53\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x97\xFC"],
        ["\x97\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xCA"],

        ["\x4B\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x40"],
        ["\x98\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF4"],

        ["\x47\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x41"],
        ["\x98\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x54"],

        ["\x4F\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x42"],
        ["\x98\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE6"],

        ["\x4B\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x43"],
        ["\x98\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x50"],

        ["\x51\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x44"],
        ["\x98\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF4"],

        ["\x55\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x45"],
        ["\x98\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x86"],

        ["\x49\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x46"],
        ["\x98\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x7D"],

        ["\x55\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x47"],
        ["\x98\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xF8"],

        ["\x47\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x48"],
        ["\x98\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x84"],

        ["\x4B\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x49"],
        ["\x98\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xC6"],

        ["\x48\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x4A"],
        ["\x98\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xA9"],

        ["\x50\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x4B"],
        ["\x98\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF8"],

        ["\x4E\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x4C"],
        ["\x98\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xA7"],

        ["\x54\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x4D"],
        ["\x98\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xBF"],

        ["\x48\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x4E"],
        ["\x98\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x6E"],

        ["\x52\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x4F"],
        ["\x98\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xBA"],

        ["\x55\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x50"],
        ["\x98\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC7"],

        ["\x4A\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x51"],
        ["\x98\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x9D"],

        ["\x50\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x52"],
        ["\x98\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC4"],

        ["\x55\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x53"],
        ["\x98\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC4"],

        ["\x50\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x54"],
        ["\x98\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x6F"],

        ["\x54\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x55"],
        ["\x98\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x44"],

        ["\x49\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x56"],
        ["\x98\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x49\x85"],

        ["\x53\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x57"],
        ["\x98\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE4"],

        ["\x52\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x58"],
        ["\x98\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA1"],

        ["\x45\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x59"],
        ["\x98\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x6E"],

        ["\x45\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x5A"],
        ["\x98\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x46"],

        ["\x51\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x5B"],
        ["\x98\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x9E"],

        ["\x50\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x5C"],
        ["\x98\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xAE"],

        ["\x55\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x5D"],
        ["\x98\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x7F"],

        ["\x48\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x5E"],
        ["\x98\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\x86"],

        ["\x48\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x5F"],
        ["\x98\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x48\xF3"],

        ["\x4F\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x60"],
        ["\x98\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF9"],

        ["\x45\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x61"],
        ["\x98\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x7A"],

        ["\x47\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x62"],
        ["\x98\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\x50"],

        ["\x55\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x63"],
        ["\x98\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x8E"],

        ["\x50\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x64"],
        ["\x98\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x67"],

        ["\x47\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x65"],
        ["\x98\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x47\xE3"],

        ["\x4E\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x66"],
        ["\x98\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x78"],

        ["\x4F\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x67"],
        ["\x98\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD2"],

        ["\x4B\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x68"],
        ["\x98\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xF1"],

        ["\x50\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x69"],
        ["\x98\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE8"],

        ["\x4B\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x6A"],
        ["\x98\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\xE4"],

        ["\x52\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x6B"],
        ["\x98\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x93"],

        ["\x50\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x6C"],
        ["\x98\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD3"],

        ["\x4F\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x6D"],
        ["\x98\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xBB"],

        ["\x50\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x6E"],
        ["\x98\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xDE"],

        ["\x54\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x6F"],
        ["\x98\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x68"],

        ["\x4D\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x70"],
        ["\x98\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x6B"],

        ["\x54\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x71"],
        ["\x98\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x5B"],

        ["\x4C\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x72"],
        ["\x98\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xAF"],

        ["\x56\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\x9F"],
        ["\x98\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x41"],

        ["\x56\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA0"],
        ["\x98\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x42"],

        ["\x56\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA1"],
        ["\x98\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x43"],

        ["\x56\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA2"],
        ["\x98\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x45"],

        ["\x56\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA3"],
        ["\x98\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x46"],

        ["\x56\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA4"],
        ["\x98\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x47"],

        ["\x54\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA5"],
        ["\x98\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC8"],

        ["\x56\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA6"],
        ["\x98\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x48"],

        ["\x56\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA7"],
        ["\x98\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x49"],

        ["\x56\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA8"],
        ["\x98\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x4A"],

        ["\x56\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xA9"],
        ["\x98\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x4B"],

        ["\x56\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xAA"],
        ["\x98\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x4D"],

        ["\x56\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xAB"],
        ["\x98\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x4E"],

        ["\x53\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xAC"],
        ["\x98\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x55"],

        ["\x56\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xAD"],
        ["\x98\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x4F"],

        ["\x61\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xAE"],
        ["\x98\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xDB"],

        ["\x56\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xAF"],
        ["\x98\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x51"],

        ["\x56\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB0"],
        ["\x98\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x50"],

        ["\x56\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB1"],
        ["\x98\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x52"],

        ["\x51\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB2"],
        ["\x98\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x67"],

        ["\x56\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB3"],
        ["\x98\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x53"],

        ["\x56\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB4"],
        ["\x98\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x54"],

        ["\x56\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB5"],
        ["\x98\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x55"],

        ["\x56\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB6"],
        ["\x98\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x56"],

        ["\x56\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB7"],
        ["\x98\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x57"],

        ["\x56\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB8"],
        ["\x98\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x58"],

        ["\x56\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xB9"],
        ["\x98\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x59"],

        ["\x56\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xBA"],
        ["\x98\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x5A"],

        ["\x56\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xBB"],
        ["\x98\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x5B"],

        ["\x56\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xBC"],
        ["\x98\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x5C"],

        ["\x56\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xBD"],
        ["\x98\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x5E"],

        ["\x56\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xBE"],
        ["\x98\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x5F"],

        ["\x56\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xBF"],
        ["\x98\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x60"],

        ["\x56\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC0"],
        ["\x98\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x61"],

        ["\x53\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC1"],
        ["\x98\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x41"],

        ["\x56\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC2"],
        ["\x98\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x63"],

        ["\x56\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC3"],
        ["\x98\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x67"],

        ["\x56\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC4"],
        ["\x98\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x68"],

        ["\x56\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC5"],
        ["\x98\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x6F"],

        ["\x56\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC6"],
        ["\x98\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x69"],

        ["\x56\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC7"],
        ["\x98\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x6B"],

        ["\x56\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC8"],
        ["\x98\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x6C"],

        ["\x51\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xC9"],
        ["\x98\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE2"],

        ["\x56\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xCA"],
        ["\x98\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x72"],

        ["\x56\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xCB"],
        ["\x98\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x73"],

        ["\x56\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xCC"],
        ["\x98\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x76"],

        ["\x56\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xCD"],
        ["\x98\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x77"],

        ["\x56\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xCE"],
        ["\x98\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x79"],

        ["\x56\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xCF"],
        ["\x98\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x7A"],

        ["\x4F\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD0"],
        ["\x98\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x8D"],

        ["\x56\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD1"],
        ["\x98\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x7C"],

        ["\x56\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD2"],
        ["\x98\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x7D"],

        ["\x56\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD3"],
        ["\x98\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x7E"],

        ["\x52\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD4"],
        ["\x98\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x90"],

        ["\x56\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD5"],
        ["\x98\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x7F"],

        ["\x53\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD6"],
        ["\x98\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC4"],

        ["\x56\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD7"],
        ["\x98\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x80"],

        ["\x56\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD8"],
        ["\x98\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x81"],

        ["\x56\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xD9"],
        ["\x98\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x82"],

        ["\x56\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xDA"],
        ["\x98\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x83"],

        ["\x56\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xDB"],
        ["\x98\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x84"],

        ["\x56\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xDC"],
        ["\x98\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x85"],

        ["\x56\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xDD"],
        ["\x98\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x87"],

        ["\x56\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xDE"],
        ["\x98\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x88"],

        ["\x56\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xDF"],
        ["\x98\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x89"],

        ["\x56\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE0"],
        ["\x98\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x8B"],

        ["\x56\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE1"],
        ["\x98\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x8C"],

        ["\x56\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE2"],
        ["\x98\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x8D"],

        ["\x56\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE3"],
        ["\x98\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x8E"],

        ["\x56\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE4"],
        ["\x98\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x8F"],

        ["\x56\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE5"],
        ["\x98\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x64"],

        ["\x51\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE6"],
        ["\x98\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF8"],

        ["\x56\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE7"],
        ["\x98\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x90"],

        ["\x56\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE8"],
        ["\x98\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x92"],

        ["\x56\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xE9"],
        ["\x98\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x93"],

        ["\x56\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xEA"],
        ["\x98\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x95"],

        ["\x56\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xEB"],
        ["\x98\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x96"],

        ["\x56\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xEC"],
        ["\x98\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x97"],

        ["\x56\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xED"],
        ["\x98\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x99"],

        ["\x56\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xEE"],
        ["\x98\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x9A"],

        ["\x56\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xEF"],
        ["\x98\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x9B"],

        ["\x56\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF0"],
        ["\x98\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xAC"],

        ["\x56\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF1"],
        ["\x98\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x9C"],

        ["\x56\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF2"],
        ["\x98\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x9D"],

        ["\x56\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF3"],
        ["\x98\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x9E"],

        ["\x56\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF4"],
        ["\x98\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x9F"],

        ["\x56\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF5"],
        ["\x98\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA0"],

        ["\x56\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF6"],
        ["\x98\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA5"],

        ["\x56\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF7"],
        ["\x98\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA6"],

        ["\x56\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF8"],
        ["\x98\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA7"],

        ["\x56\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xF9"],
        ["\x98\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA9"],

        ["\x56\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xFA"],
        ["\x98\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xAA"],

        ["\x56\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xFB"],
        ["\x98\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xAB"],

        ["\x56\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x98\xFC"],
        ["\x98\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xAD"],

        ["\x56\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x40"],
        ["\x99\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xAE"],

        ["\x56\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x41"],
        ["\x99\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xAF"],

        ["\x56\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x42"],
        ["\x99\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB0"],

        ["\x56\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x43"],
        ["\x99\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB1"],

        ["\x52\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x44"],
        ["\x99\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD4"],

        ["\x56\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x45"],
        ["\x99\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB3"],

        ["\x56\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x46"],
        ["\x99\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB4"],

        ["\x56\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x47"],
        ["\x99\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB6"],

        ["\x56\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x48"],
        ["\x99\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB7"],

        ["\x56\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x49"],
        ["\x99\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB8"],

        ["\x56\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x4A"],
        ["\x99\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB9"],

        ["\x56\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x4B"],
        ["\x99\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xBA"],

        ["\x56\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x4C"],
        ["\x99\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xBB"],

        ["\x56\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x4D"],
        ["\x99\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xBC"],

        ["\x56\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x4E"],
        ["\x99\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xBD"],

        ["\x56\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x4F"],
        ["\x99\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC1"],

        ["\x56\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x50"],
        ["\x99\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xBF"],

        ["\x56\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x51"],
        ["\x99\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC0"],

        ["\x56\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x52"],
        ["\x99\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xBE"],

        ["\x56\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x53"],
        ["\x99\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC2"],

        ["\x56\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x54"],
        ["\x99\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC3"],

        ["\x56\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x55"],
        ["\x99\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC4"],

        ["\x56\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x56"],
        ["\x99\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC5"],

        ["\x56\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x57"],
        ["\x99\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC6"],

        ["\x56\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x58"],
        ["\x99\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC7"],

        ["\x56\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x59"],
        ["\x99\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC8"],

        ["\x56\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x5A"],
        ["\x99\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xCB"],

        ["\x56\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x5B"],
        ["\x99\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xCA"],

        ["\x56\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x5C"],
        ["\x99\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xCC"],

        ["\x56\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x5D"],
        ["\x99\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xCD"],

        ["\x60\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x5E"],
        ["\x99\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x5D"],

        ["\x56\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x5F"],
        ["\x99\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xCF"],

        ["\x56\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x60"],
        ["\x99\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD0"],

        ["\x56\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x61"],
        ["\x99\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD1"],

        ["\x56\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x62"],
        ["\x99\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD2"],

        ["\x56\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x63"],
        ["\x99\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD3"],

        ["\x56\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x64"],
        ["\x99\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD4"],

        ["\x56\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x65"],
        ["\x99\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD5"],

        ["\x56\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x66"],
        ["\x99\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD6"],

        ["\x56\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x67"],
        ["\x99\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD7"],

        ["\x56\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x68"],
        ["\x99\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD8"],

        ["\x56\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x69"],
        ["\x99\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xD9"],

        ["\x56\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x6A"],
        ["\x99\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xDA"],

        ["\x56\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x6B"],
        ["\x99\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xDB"],

        ["\x56\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x6C"],
        ["\x99\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xDD"],

        ["\x56\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x6D"],
        ["\x99\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xDE"],

        ["\x56\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x6E"],
        ["\x99\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xDF"],

        ["\x56\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x6F"],
        ["\x99\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE0"],

        ["\x56\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x70"],
        ["\x99\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE1"],

        ["\x56\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x71"],
        ["\x99\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE2"],

        ["\x56\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x72"],
        ["\x99\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE3"],

        ["\x56\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x73"],
        ["\x99\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE4"],

        ["\x56\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x74"],
        ["\x99\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE5"],

        ["\x56\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x75"],
        ["\x99\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE6"],

        ["\x56\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x76"],
        ["\x99\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE7"],

        ["\x56\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x77"],
        ["\x99\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE9"],

        ["\x56\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x78"],
        ["\x99\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xEA"],

        ["\x56\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x79"],
        ["\x99\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xEB"],

        ["\x56\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x7A"],
        ["\x99\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xEC"],

        ["\x56\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x7B"],
        ["\x99\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xED"],

        ["\x62\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x7C"],
        ["\x99\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD1"],

        ["\x56\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x7D"],
        ["\x99\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xEE"],

        ["\x56\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x7E"],
        ["\x99\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF0"],

        ["\x56\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x80"],
        ["\x99\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF1"],

        ["\x56\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x81"],
        ["\x99\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF2"],

        ["\x56\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x82"],
        ["\x99\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF3"],

        ["\x56\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x83"],
        ["\x99\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF4"],

        ["\x56\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x84"],
        ["\x99\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF5"],

        ["\x56\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x85"],
        ["\x99\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF6"],

        ["\x54\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x86"],
        ["\x99\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE3"],

        ["\x56\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x87"],
        ["\x99\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF8"],

        ["\x56\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x88"],
        ["\x99\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF9"],

        ["\x56\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x89"],
        ["\x99\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xFA"],

        ["\x56\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x8A"],
        ["\x99\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xFB"],

        ["\x56\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x8B"],
        ["\x99\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xFC"],

        ["\x57\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x8C"],
        ["\x99\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x41"],

        ["\x56\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x8D"],
        ["\x99\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xFD"],

        ["\x56\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x8E"],
        ["\x99\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xFE"],

        ["\x51\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x8F"],
        ["\x99\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xAE"],

        ["\x57\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x90"],
        ["\x99\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x42"],

        ["\x57\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x91"],
        ["\x99\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x43"],

        ["\x57\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x92"],
        ["\x99\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x45"],

        ["\x57\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x93"],
        ["\x99\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x47"],

        ["\x57\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x94"],
        ["\x99\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x48"],

        ["\x57\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x95"],
        ["\x99\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x46"],

        ["\x57\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x96"],
        ["\x99\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x49"],

        ["\x57\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x97"],
        ["\x99\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4A"],

        ["\x57\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x98"],
        ["\x99\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4B"],

        ["\x55\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x99"],
        ["\x99\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x80"],

        ["\x57\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x9A"],
        ["\x99\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4D"],

        ["\x57\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x9B"],
        ["\x99\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x44"],

        ["\x57\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x9C"],
        ["\x99\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4C"],

        ["\x57\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x9D"],
        ["\x99\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4E"],

        ["\x64\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x9E"],
        ["\x99\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xEC"],

        ["\x64\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\x9F"],
        ["\x99\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xED"],

        ["\x57\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA0"],
        ["\x99\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x51"],

        ["\x57\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA1"],
        ["\x99\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x52"],

        ["\x57\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA2"],
        ["\x99\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x53"],

        ["\x57\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA3"],
        ["\x99\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x54"],

        ["\x57\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA4"],
        ["\x99\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x55"],

        ["\x57\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA5"],
        ["\x99\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x57"],

        ["\x53\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA6"],
        ["\x99\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x92"],

        ["\x57\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA7"],
        ["\x99\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x59"],

        ["\x57\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA8"],
        ["\x99\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5A"],

        ["\x57\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xA9"],
        ["\x99\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5B"],

        ["\x66\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xAA"],
        ["\x99\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xDB"],

        ["\x57\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xAB"],
        ["\x99\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5C"],

        ["\x57\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xAC"],
        ["\x99\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5D"],

        ["\x57\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xAD"],
        ["\x99\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5E"],

        ["\x57\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xAE"],
        ["\x99\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5F"],

        ["\x57\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xAF"],
        ["\x99\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x60"],

        ["\x57\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB0"],
        ["\x99\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x62"],

        ["\x57\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB1"],
        ["\x99\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x64"],

        ["\x57\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB2"],
        ["\x99\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x65"],

        ["\x57\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB3"],
        ["\x99\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x66"],

        ["\x57\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB4"],
        ["\x99\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x67"],

        ["\x57\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB5"],
        ["\x99\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x68"],

        ["\x57\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB6"],
        ["\x99\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x69"],

        ["\x57\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB7"],
        ["\x99\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6A"],

        ["\x57\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB8"],
        ["\x99\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6C"],

        ["\x57\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xB9"],
        ["\x99\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6D"],

        ["\x57\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xBA"],
        ["\x99\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6E"],

        ["\x57\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xBB"],
        ["\x99\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6F"],

        ["\x57\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xBC"],
        ["\x99\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x70"],

        ["\x57\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xBD"],
        ["\x99\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x71"],

        ["\x57\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xBE"],
        ["\x99\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x73"],

        ["\x57\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xBF"],
        ["\x99\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x72"],

        ["\x57\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC0"],
        ["\x99\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x75"],

        ["\x57\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC1"],
        ["\x99\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x74"],

        ["\x57\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC2"],
        ["\x99\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x76"],

        ["\x57\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC3"],
        ["\x99\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x77"],

        ["\x57\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC4"],
        ["\x99\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x79"],

        ["\x57\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC5"],
        ["\x99\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7A"],

        ["\x57\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC6"],
        ["\x99\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7B"],

        ["\x52\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC7"],
        ["\x99\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC8"],

        ["\x57\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC8"],
        ["\x99\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7E"],

        ["\x57\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xC9"],
        ["\x99\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7D"],

        ["\x57\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xCA"],
        ["\x99\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7F"],

        ["\x57\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xCB"],
        ["\x99\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x81"],

        ["\x57\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xCC"],
        ["\x99\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x82"],

        ["\x57\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xCD"],
        ["\x99\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x83"],

        ["\x57\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xCE"],
        ["\x99\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x84"],

        ["\x57\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xCF"],
        ["\x99\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x85"],

        ["\x57\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD0"],
        ["\x99\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x86"],

        ["\x57\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD1"],
        ["\x99\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x88"],

        ["\x57\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD2"],
        ["\x99\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x89"],

        ["\x57\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD3"],
        ["\x99\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x8A"],

        ["\x66\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD4"],
        ["\x99\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x88"],

        ["\x57\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD5"],
        ["\x99\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x8C"],

        ["\x57\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD6"],
        ["\x99\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x8D"],

        ["\x57\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD7"],
        ["\x99\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x8F"],

        ["\x57\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD8"],
        ["\x99\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x90"],

        ["\x57\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xD9"],
        ["\x99\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x91"],

        ["\x57\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xDA"],
        ["\x99\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x92"],

        ["\x57\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xDB"],
        ["\x99\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x93"],

        ["\x57\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xDC"],
        ["\x99\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x94"],

        ["\x57\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xDD"],
        ["\x99\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x95"],

        ["\x57\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xDE"],
        ["\x99\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x96"],

        ["\x57\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xDF"],
        ["\x99\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x97"],

        ["\x57\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE0"],
        ["\x99\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x98"],

        ["\x57\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE1"],
        ["\x99\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x99"],

        ["\x57\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE2"],
        ["\x99\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x9A"],

        ["\x57\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE3"],
        ["\x99\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x9B"],

        ["\x57\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE4"],
        ["\x99\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x9C"],

        ["\x57\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE5"],
        ["\x99\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x9D"],

        ["\x57\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE6"],
        ["\x99\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x9E"],

        ["\x57\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE7"],
        ["\x99\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x9F"],

        ["\x57\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE8"],
        ["\x99\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA0"],

        ["\x57\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xE9"],
        ["\x99\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA1"],

        ["\x57\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xEA"],
        ["\x99\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA2"],

        ["\x57\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xEB"],
        ["\x99\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA3"],

        ["\x57\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xEC"],
        ["\x99\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA4"],

        ["\x57\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xED"],
        ["\x99\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA5"],

        ["\x57\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xEE"],
        ["\x99\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA6"],

        ["\x57\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xEF"],
        ["\x99\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA7"],

        ["\x57\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF0"],
        ["\x99\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA8"],

        ["\x57\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF1"],
        ["\x99\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xAA"],

        ["\x57\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF2"],
        ["\x99\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xAB"],

        ["\x57\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF3"],
        ["\x99\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xAC"],

        ["\x57\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF4"],
        ["\x99\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xAD"],

        ["\x57\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF5"],
        ["\x99\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xAF"],

        ["\x57\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF6"],
        ["\x99\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB2"],

        ["\x57\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF7"],
        ["\x99\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB3"],

        ["\x57\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF8"],
        ["\x99\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB4"],

        ["\x57\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xF9"],
        ["\x99\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB5"],

        ["\x57\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xFA"],
        ["\x99\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB6"],

        ["\x57\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xFB"],
        ["\x99\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB8"],

        ["\x57\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x99\xFC"],
        ["\x99\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB9"],

        ["\x57\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x40"],
        ["\x9A\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xBA"],

        ["\x57\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x41"],
        ["\x9A\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xBB"],

        ["\x57\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x42"],
        ["\x9A\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xBC"],

        ["\x57\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x43"],
        ["\x9A\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xBE"],

        ["\x57\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x44"],
        ["\x9A\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB0"],

        ["\x57\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x45"],
        ["\x9A\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB7"],

        ["\x57\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x46"],
        ["\x9A\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xBF"],

        ["\x57\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x47"],
        ["\x9A\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC1"],

        ["\x57\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x48"],
        ["\x9A\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC2"],

        ["\x57\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x49"],
        ["\x9A\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC3"],

        ["\x57\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x4A"],
        ["\x9A\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC4"],

        ["\x57\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x4B"],
        ["\x9A\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC5"],

        ["\x57\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x4C"],
        ["\x9A\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC6"],

        ["\x54\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x4D"],
        ["\x9A\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x7C"],

        ["\x57\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x4E"],
        ["\x9A\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC7"],

        ["\x57\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x4F"],
        ["\x9A\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC8"],

        ["\x57\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x50"],
        ["\x9A\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC9"],

        ["\x57\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x51"],
        ["\x9A\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xCA"],

        ["\x57\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x52"],
        ["\x9A\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xCB"],

        ["\x57\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x53"],
        ["\x9A\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xCC"],

        ["\x57\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x54"],
        ["\x9A\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xCD"],

        ["\x57\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x55"],
        ["\x9A\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xCE"],

        ["\x57\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x56"],
        ["\x9A\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xCF"],

        ["\x57\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x57"],
        ["\x9A\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD0"],

        ["\x57\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x58"],
        ["\x9A\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD1"],

        ["\x57\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x59"],
        ["\x9A\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD2"],

        ["\x57\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x5A"],
        ["\x9A\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD3"],

        ["\x57\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x5B"],
        ["\x9A\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD4"],

        ["\x57\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x5C"],
        ["\x9A\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD5"],

        ["\x57\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x5D"],
        ["\x9A\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB1"],

        ["\x57\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x5E"],
        ["\x9A\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD6"],

        ["\x57\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x5F"],
        ["\x9A\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD7"],

        ["\x57\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x60"],
        ["\x9A\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD8"],

        ["\x57\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x61"],
        ["\x9A\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD9"],

        ["\x57\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x62"],
        ["\x9A\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xDA"],

        ["\x57\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x63"],
        ["\x9A\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xDB"],

        ["\x57\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x64"],
        ["\x9A\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xDC"],

        ["\x57\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x65"],
        ["\x9A\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xDD"],

        ["\x57\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x66"],
        ["\x9A\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xDF"],

        ["\x57\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x67"],
        ["\x9A\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE0"],

        ["\x57\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x68"],
        ["\x9A\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE1"],

        ["\x57\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x69"],
        ["\x9A\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE2"],

        ["\x52\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x6A"],
        ["\x9A\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA2"],

        ["\x57\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x6B"],
        ["\x9A\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE3"],

        ["\x57\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x6C"],
        ["\x9A\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE4"],

        ["\x57\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x6D"],
        ["\x9A\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE5"],

        ["\x57\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x6E"],
        ["\x9A\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE6"],

        ["\x57\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x6F"],
        ["\x9A\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE7"],

        ["\x57\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x70"],
        ["\x9A\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE8"],

        ["\x57\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x71"],
        ["\x9A\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xEA"],

        ["\x57\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x72"],
        ["\x9A\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xEB"],

        ["\x57\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x73"],
        ["\x9A\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xEC"],

        ["\x57\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x74"],
        ["\x9A\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xED"],

        ["\x57\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x75"],
        ["\x9A\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xEE"],

        ["\x57\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x76"],
        ["\x9A\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xEF"],

        ["\x57\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x77"],
        ["\x9A\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE9"],

        ["\x57\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x78"],
        ["\x9A\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF0"],

        ["\x57\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x79"],
        ["\x9A\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF1"],

        ["\x57\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x7A"],
        ["\x9A\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xFB"],

        ["\x54\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x7B"],
        ["\x9A\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x7F"],

        ["\x57\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x7C"],
        ["\x9A\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF2"],

        ["\x57\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x7D"],
        ["\x9A\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF3"],

        ["\x57\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x7E"],
        ["\x9A\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF4"],

        ["\x57\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x80"],
        ["\x9A\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF5"],

        ["\x57\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x81"],
        ["\x9A\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF6"],

        ["\x57\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x82"],
        ["\x9A\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF8"],

        ["\x57\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x83"],
        ["\x9A\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF9"],

        ["\x57\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x84"],
        ["\x9A\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xFA"],

        ["\x57\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x85"],
        ["\x9A\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF7"],

        ["\x57\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x86"],
        ["\x9A\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xFE"],

        ["\x58\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x87"],
        ["\x9A\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x41"],

        ["\x58\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x88"],
        ["\x9A\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x42"],

        ["\x57\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x89"],
        ["\x9A\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xFC"],

        ["\x57\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x8A"],
        ["\x9A\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xFD"],

        ["\x58\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x8B"],
        ["\x9A\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x43"],

        ["\x58\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x8C"],
        ["\x9A\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x44"],

        ["\x58\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x8D"],
        ["\x9A\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x45"],

        ["\x58\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x8E"],
        ["\x9A\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x46"],

        ["\x58\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x8F"],
        ["\x9A\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x48"],

        ["\x58\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x90"],
        ["\x9A\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x49"],

        ["\x58\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x91"],
        ["\x9A\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x4A"],

        ["\x58\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x92"],
        ["\x9A\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x4B"],

        ["\x58\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x93"],
        ["\x9A\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x4C"],

        ["\x58\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x94"],
        ["\x9A\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x47"],

        ["\x58\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x95"],
        ["\x9A\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x4D"],

        ["\x58\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x96"],
        ["\x9A\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x4F"],

        ["\x58\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x97"],
        ["\x9A\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x4E"],

        ["\x58\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x98"],
        ["\x9A\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x50"],

        ["\x58\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x99"],
        ["\x9A\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x51"],

        ["\x58\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x9A"],
        ["\x9A\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x52"],

        ["\x52\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x9B"],
        ["\x9A\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x66"],

        ["\x58\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x9C"],
        ["\x9A\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x53"],

        ["\x58\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x9D"],
        ["\x9A\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x54"],

        ["\x58\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x9E"],
        ["\x9A\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x55"],

        ["\x58\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\x9F"],
        ["\x9A\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x56"],

        ["\x51\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA0"],
        ["\x9A\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xBD"],

        ["\x58\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA1"],
        ["\x9A\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x57"],

        ["\x54\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA2"],
        ["\x9A\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE7"],

        ["\x58\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA3"],
        ["\x9A\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x59"],

        ["\x58\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA4"],
        ["\x9A\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x5A"],

        ["\x58\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA5"],
        ["\x9A\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x58"],

        ["\x58\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA6"],
        ["\x9A\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x5B"],

        ["\x58\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA7"],
        ["\x9A\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x5C"],

        ["\x51\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA8"],
        ["\x9A\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD1"],

        ["\x58\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xA9"],
        ["\x9A\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x5D"],

        ["\x58\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xAA"],
        ["\x9A\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x5E"],

        ["\x58\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xAB"],
        ["\x9A\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x5F"],

        ["\x58\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xAC"],
        ["\x9A\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x61"],

        ["\x58\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xAD"],
        ["\x9A\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x62"],

        ["\x53\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xAE"],
        ["\x9A\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x98"],

        ["\x58\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xAF"],
        ["\x9A\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x71"],

        ["\x58\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB0"],
        ["\x9A\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x64"],

        ["\x58\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB1"],
        ["\x9A\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x65"],

        ["\x58\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB2"],
        ["\x9A\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x66"],

        ["\x58\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB3"],
        ["\x9A\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x67"],

        ["\x58\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB4"],
        ["\x9A\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x68"],

        ["\x58\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB5"],
        ["\x9A\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x69"],

        ["\x58\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB6"],
        ["\x9A\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x6B"],

        ["\x58\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB7"],
        ["\x9A\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x6A"],

        ["\x58\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB8"],
        ["\x9A\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x6D"],

        ["\x53\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xB9"],
        ["\x9A\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xCD"],

        ["\x58\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xBA"],
        ["\x9A\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x6E"],

        ["\x58\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xBB"],
        ["\x9A\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x6F"],

        ["\x58\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xBC"],
        ["\x9A\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x72"],

        ["\x58\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xBD"],
        ["\x9A\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x74"],

        ["\x58\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xBE"],
        ["\x9A\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x75"],

        ["\x58\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xBF"],
        ["\x9A\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x78"],

        ["\x58\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC0"],
        ["\x9A\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x76"],

        ["\x58\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC1"],
        ["\x9A\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x79"],

        ["\x58\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC2"],
        ["\x9A\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x7A"],

        ["\x58\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC3"],
        ["\x9A\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x7B"],

        ["\x53\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC4"],
        ["\x9A\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA7"],

        ["\x58\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC5"],
        ["\x9A\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x86"],

        ["\x58\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC6"],
        ["\x9A\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x7C"],

        ["\x58\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC7"],
        ["\x9A\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x7E"],

        ["\x58\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC8"],
        ["\x9A\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x7D"],

        ["\x58\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xC9"],
        ["\x9A\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x83"],

        ["\x58\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xCA"],
        ["\x9A\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x7F"],

        ["\x58\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xCB"],
        ["\x9A\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x81"],

        ["\x58\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xCC"],
        ["\x9A\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x80"],

        ["\x58\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xCD"],
        ["\x9A\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x84"],

        ["\x58\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xCE"],
        ["\x9A\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x85"],

        ["\x58\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xCF"],
        ["\x9A\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x8D"],

        ["\x58\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD0"],
        ["\x9A\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x87"],

        ["\x58\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD1"],
        ["\x9A\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x88"],

        ["\x58\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD2"],
        ["\x9A\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x8E"],

        ["\x58\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD3"],
        ["\x9A\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x95"],

        ["\x55\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD4"],
        ["\x9A\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x52"],

        ["\x58\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD5"],
        ["\x9A\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x89"],

        ["\x58\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD6"],
        ["\x9A\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x8B"],

        ["\x58\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD7"],
        ["\x9A\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x8F"],

        ["\x58\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD8"],
        ["\x9A\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x90"],

        ["\x58\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xD9"],
        ["\x9A\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x91"],

        ["\x58\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xDA"],
        ["\x9A\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x92"],

        ["\x58\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xDB"],
        ["\x9A\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x93"],

        ["\x58\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xDC"],
        ["\x9A\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x94"],

        ["\x58\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xDD"],
        ["\x9A\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x99"],

        ["\x58\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xDE"],
        ["\x9A\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x96"],

        ["\x58\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xDF"],
        ["\x9A\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x98"],

        ["\x58\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE0"],
        ["\x9A\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x97"],

        ["\x58\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE1"],
        ["\x9A\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x9A"],

        ["\x50\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE2"],
        ["\x9A\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x77"],

        ["\x58\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE3"],
        ["\x9A\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x9C"],

        ["\x58\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE4"],
        ["\x9A\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x9D"],

        ["\x58\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE5"],
        ["\x9A\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x9E"],

        ["\x52\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE6"],
        ["\x9A\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x75"],

        ["\x58\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE7"],
        ["\x9A\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x9F"],

        ["\x58\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE8"],
        ["\x9A\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA0"],

        ["\x58\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xE9"],
        ["\x9A\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA2"],

        ["\x58\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xEA"],
        ["\x9A\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA3"],

        ["\x58\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xEB"],
        ["\x9A\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA4"],

        ["\x58\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xEC"],
        ["\x9A\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA5"],

        ["\x58\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xED"],
        ["\x9A\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA6"],

        ["\x58\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xEE"],
        ["\x9A\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA7"],

        ["\x58\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xEF"],
        ["\x9A\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA8"],

        ["\x58\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF0"],
        ["\x9A\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA9"],

        ["\x58\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF1"],
        ["\x9A\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xAA"],

        ["\x60\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF2"],
        ["\x9A\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4E"],

        ["\x58\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF3"],
        ["\x9A\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xAB"],

        ["\x58\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF4"],
        ["\x9A\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xAC"],

        ["\x51\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF5"],
        ["\x9A\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x8F"],

        ["\x58\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF6"],
        ["\x9A\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xAE"],

        ["\x58\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF7"],
        ["\x9A\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xAF"],

        ["\x58\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF8"],
        ["\x9A\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB3"],

        ["\x58\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xF9"],
        ["\x9A\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB4"],

        ["\x58\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xFA"],
        ["\x9A\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB5"],

        ["\x58\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xFB"],
        ["\x9A\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB6"],

        ["\x58\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9A\xFC"],
        ["\x9A\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB7"],

        ["\x58\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x40"],
        ["\x9B\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB8"],

        ["\x58\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x41"],
        ["\x9B\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB9"],

        ["\x58\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x42"],
        ["\x9B\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xBC"],

        ["\x56\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x43"],
        ["\x9B\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x6D"],

        ["\x56\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x44"],
        ["\x9B\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x78"],

        ["\x58\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x45"],
        ["\x9B\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xBD"],

        ["\x58\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x46"],
        ["\x9B\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xBF"],

        ["\x58\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x47"],
        ["\x9B\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC1"],

        ["\x58\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x48"],
        ["\x9B\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC2"],

        ["\x51\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x49"],
        ["\x9B\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x84"],

        ["\x58\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x4A"],
        ["\x9B\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xBA"],

        ["\x58\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x4B"],
        ["\x9B\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC3"],

        ["\x58\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x4C"],
        ["\x9B\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC4"],

        ["\x58\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x4D"],
        ["\x9B\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC5"],

        ["\x58\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x4E"],
        ["\x9B\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC6"],

        ["\x58\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x4F"],
        ["\x9B\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC7"],

        ["\x58\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x50"],
        ["\x9B\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC8"],

        ["\x58\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x51"],
        ["\x9B\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xCA"],

        ["\x58\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x52"],
        ["\x9B\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC9"],

        ["\x58\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x53"],
        ["\x9B\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xCB"],

        ["\x58\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x54"],
        ["\x9B\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xCC"],

        ["\x58\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x55"],
        ["\x9B\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xCD"],

        ["\x58\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x56"],
        ["\x9B\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xCE"],

        ["\x58\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x57"],
        ["\x9B\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xCF"],

        ["\x58\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x58"],
        ["\x9B\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD0"],

        ["\x58\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x59"],
        ["\x9B\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD1"],

        ["\x58\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x5A"],
        ["\x9B\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD2"],

        ["\x58\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x5B"],
        ["\x9B\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD3"],

        ["\x58\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x5C"],
        ["\x9B\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD4"],

        ["\x58\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x5D"],
        ["\x9B\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD6"],

        ["\x58\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x5E"],
        ["\x9B\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD7"],

        ["\x58\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x5F"],
        ["\x9B\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD8"],

        ["\x58\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x60"],
        ["\x9B\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD9"],

        ["\x58\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x61"],
        ["\x9B\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xDA"],

        ["\x58\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x62"],
        ["\x9B\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xDB"],

        ["\x58\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x63"],
        ["\x9B\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xDC"],

        ["\x58\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x64"],
        ["\x9B\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xDD"],

        ["\x58\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x65"],
        ["\x9B\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xDE"],

        ["\x58\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x66"],
        ["\x9B\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xDF"],

        ["\x58\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x67"],
        ["\x9B\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE0"],

        ["\x58\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x68"],
        ["\x9B\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE1"],

        ["\x58\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x69"],
        ["\x9B\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE2"],

        ["\x58\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x6A"],
        ["\x9B\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE3"],

        ["\x58\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x6B"],
        ["\x9B\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xD5"],

        ["\x58\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x6C"],
        ["\x9B\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE4"],

        ["\x58\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x6D"],
        ["\x9B\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE5"],

        ["\x58\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x6E"],
        ["\x9B\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE6"],

        ["\x58\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x6F"],
        ["\x9B\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE7"],

        ["\x58\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x70"],
        ["\x9B\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE8"],

        ["\x58\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x71"],
        ["\x9B\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xE9"],

        ["\x58\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x72"],
        ["\x9B\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xEA"],

        ["\x58\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x73"],
        ["\x9B\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xEB"],

        ["\x52\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x74"],
        ["\x9B\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x58"],

        ["\x58\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x75"],
        ["\x9B\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xEE"],

        ["\x58\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x76"],
        ["\x9B\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xEF"],

        ["\x58\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x77"],
        ["\x9B\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF0"],

        ["\x58\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x78"],
        ["\x9B\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF1"],

        ["\x58\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x79"],
        ["\x9B\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF2"],

        ["\x58\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x7A"],
        ["\x9B\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF3"],

        ["\x58\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x7B"],
        ["\x9B\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF4"],

        ["\x58\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x7C"],
        ["\x9B\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xED"],

        ["\x58\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x7D"],
        ["\x9B\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF5"],

        ["\x58\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x7E"],
        ["\x9B\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF6"],

        ["\x58\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x80"],
        ["\x9B\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF7"],

        ["\x58\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x81"],
        ["\x9B\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF8"],

        ["\x58\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x82"],
        ["\x9B\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xF9"],

        ["\x58\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x83"],
        ["\x9B\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xFA"],

        ["\x58\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x84"],
        ["\x9B\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xFB"],

        ["\x58\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x85"],
        ["\x9B\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xFD"],

        ["\x52\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x86"],
        ["\x9B\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x44"],

        ["\x59\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x87"],
        ["\x9B\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x41"],

        ["\x59\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x88"],
        ["\x9B\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x45"],

        ["\x51\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x89"],
        ["\x9B\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xFC"],

        ["\x59\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x8A"],
        ["\x9B\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x46"],

        ["\x59\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x8B"],
        ["\x9B\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x43"],

        ["\x59\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x8C"],
        ["\x9B\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x47"],

        ["\x59\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x8D"],
        ["\x9B\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x48"],

        ["\x59\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x8E"],
        ["\x9B\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x49"],

        ["\x59\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x8F"],
        ["\x9B\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4B"],

        ["\x59\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x90"],
        ["\x9B\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4A"],

        ["\x59\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x91"],
        ["\x9B\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4C"],

        ["\x59\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x92"],
        ["\x9B\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4D"],

        ["\x59\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x93"],
        ["\x9B\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4E"],

        ["\x59\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x94"],
        ["\x9B\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4F"],

        ["\x59\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x95"],
        ["\x9B\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x50"],

        ["\x59\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x96"],
        ["\x9B\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x52"],

        ["\x59\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x97"],
        ["\x9B\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x53"],

        ["\x59\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x98"],
        ["\x9B\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x54"],

        ["\x59\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x99"],
        ["\x9B\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x55"],

        ["\x51\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x9A"],
        ["\x9B\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x5D"],

        ["\x59\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x9B"],
        ["\x9B\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x56"],

        ["\x59\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x9C"],
        ["\x9B\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x57"],

        ["\x59\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x9D"],
        ["\x9B\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x58"],

        ["\x59\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x9E"],
        ["\x9B\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x59"],

        ["\x59\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\x9F"],
        ["\x9B\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5A"],

        ["\x54\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA0"],
        ["\x9B\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x43"],

        ["\x59\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA1"],
        ["\x9B\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5B"],

        ["\x59\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA2"],
        ["\x9B\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5C"],

        ["\x59\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA3"],
        ["\x9B\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5D"],

        ["\x56\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA4"],
        ["\x9B\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x4C"],

        ["\x59\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA5"],
        ["\x9B\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5E"],

        ["\x59\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA6"],
        ["\x9B\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5F"],

        ["\x59\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA7"],
        ["\x9B\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x60"],

        ["\x52\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA8"],
        ["\x9B\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x5A"],

        ["\x59\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xA9"],
        ["\x9B\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x61"],

        ["\x58\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xAA"],
        ["\x9B\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xBB"],

        ["\x59\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xAB"],
        ["\x9B\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x63"],

        ["\x59\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xAC"],
        ["\x9B\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x64"],

        ["\x59\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xAD"],
        ["\x9B\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x65"],

        ["\x59\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xAE"],
        ["\x9B\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6A"],

        ["\x59\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xAF"],
        ["\x9B\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x66"],

        ["\x59\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB0"],
        ["\x9B\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x69"],

        ["\x59\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB1"],
        ["\x9B\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x62"],

        ["\x59\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB2"],
        ["\x9B\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6B"],

        ["\x59\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB3"],
        ["\x9B\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6C"],

        ["\x59\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB4"],
        ["\x9B\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6D"],

        ["\x59\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB5"],
        ["\x9B\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6E"],

        ["\x59\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB6"],
        ["\x9B\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6F"],

        ["\x59\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB7"],
        ["\x9B\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x71"],

        ["\x59\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB8"],
        ["\x9B\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x8C"],

        ["\x59\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xB9"],
        ["\x9B\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x72"],

        ["\x59\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xBA"],
        ["\x9B\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x73"],

        ["\x59\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xBB"],
        ["\x9B\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x74"],

        ["\x54\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xBC"],
        ["\x9B\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF1"],

        ["\x59\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xBD"],
        ["\x9B\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x81"],

        ["\x59\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xBE"],
        ["\x9B\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x75"],

        ["\x59\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xBF"],
        ["\x9B\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x76"],

        ["\x59\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC0"],
        ["\x9B\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x77"],

        ["\x51\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC1"],
        ["\x9B\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x4D"],

        ["\x59\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC2"],
        ["\x9B\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x79"],

        ["\x59\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC3"],
        ["\x9B\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7A"],

        ["\x59\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC4"],
        ["\x9B\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7B"],

        ["\x59\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC5"],
        ["\x9B\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7C"],

        ["\x59\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC6"],
        ["\x9B\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7D"],

        ["\x59\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC7"],
        ["\x9B\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7E"],

        ["\x59\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC8"],
        ["\x9B\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x82"],

        ["\x59\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xC9"],
        ["\x9B\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x83"],

        ["\x59\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xCA"],
        ["\x9B\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x85"],

        ["\x59\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xCB"],
        ["\x9B\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x86"],

        ["\x59\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xCC"],
        ["\x9B\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x88"],

        ["\x59\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xCD"],
        ["\x9B\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x89"],

        ["\x59\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xCE"],
        ["\x9B\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x8A"],

        ["\x59\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xCF"],
        ["\x9B\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x8B"],

        ["\x59\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD0"],
        ["\x9B\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x8D"],

        ["\x59\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD1"],
        ["\x9B\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x8E"],

        ["\x59\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD2"],
        ["\x9B\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x90"],

        ["\x59\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD3"],
        ["\x9B\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x91"],

        ["\x4F\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD4"],
        ["\x9B\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x84"],

        ["\x59\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD5"],
        ["\x9B\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x8F"],

        ["\x59\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD6"],
        ["\x9B\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x92"],

        ["\x59\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD7"],
        ["\x9B\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x94"],

        ["\x59\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD8"],
        ["\x9B\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x96"],

        ["\x52\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xD9"],
        ["\x9B\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x81"],

        ["\x59\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xDA"],
        ["\x9B\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x98"],

        ["\x59\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xDB"],
        ["\x9B\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x99"],

        ["\x51\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xDC"],
        ["\x9B\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xDF"],

        ["\x59\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xDD"],
        ["\x9B\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x9A"],

        ["\x59\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xDE"],
        ["\x9B\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x9B"],

        ["\x4A\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xDF"],
        ["\x9B\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4B"],

        ["\x59\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE0"],
        ["\x9B\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x9C"],

        ["\x59\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE1"],
        ["\x9B\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x9D"],

        ["\x59\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE2"],
        ["\x9B\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x9E"],

        ["\x59\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE3"],
        ["\x9B\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x9F"],

        ["\x59\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE4"],
        ["\x9B\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA0"],

        ["\x59\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE5"],
        ["\x9B\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA1"],

        ["\x59\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE6"],
        ["\x9B\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA2"],

        ["\x54\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE7"],
        ["\x9B\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xBE"],

        ["\x59\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE8"],
        ["\x9B\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA3"],

        ["\x59\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xE9"],
        ["\x9B\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA4"],

        ["\x59\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xEA"],
        ["\x9B\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA5"],

        ["\x59\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xEB"],
        ["\x9B\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA7"],

        ["\x59\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xEC"],
        ["\x9B\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA8"],

        ["\x59\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xED"],
        ["\x9B\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA9"],

        ["\x54\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xEE"],
        ["\x9B\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x83"],

        ["\x59\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xEF"],
        ["\x9B\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xAA"],

        ["\x59\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF0"],
        ["\x9B\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xAB"],

        ["\x59\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF1"],
        ["\x9B\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA6"],

        ["\x59\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF2"],
        ["\x9B\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xAC"],

        ["\x59\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF3"],
        ["\x9B\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xAD"],

        ["\x59\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF4"],
        ["\x9B\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xAE"],

        ["\x68\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF5"],
        ["\x9B\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x50"],

        ["\x59\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF6"],
        ["\x9B\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xAF"],

        ["\x59\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF7"],
        ["\x9B\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB0"],

        ["\x59\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF8"],
        ["\x9B\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB1"],

        ["\x59\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xF9"],
        ["\x9B\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB2"],

        ["\x59\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xFA"],
        ["\x9B\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB3"],

        ["\x59\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xFB"],
        ["\x9B\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB4"],

        ["\x59\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9B\xFC"],
        ["\x9B\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB5"],

        ["\x53\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x40"],
        ["\x9C\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x6C"],

        ["\x50\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x41"],
        ["\x9C\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE9"],

        ["\x59\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x42"],
        ["\x9C\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB6"],

        ["\x59\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x43"],
        ["\x9C\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB7"],

        ["\x59\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x44"],
        ["\x9C\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB8"],

        ["\x59\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x45"],
        ["\x9C\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB9"],

        ["\x59\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x46"],
        ["\x9C\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xBA"],

        ["\x59\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x47"],
        ["\x9C\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xBB"],

        ["\x59\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x48"],
        ["\x9C\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xBC"],

        ["\x59\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x49"],
        ["\x9C\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xBD"],

        ["\x59\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x4A"],
        ["\x9C\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xBF"],

        ["\x59\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x4B"],
        ["\x9C\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC0"],

        ["\x59\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x4C"],
        ["\x9C\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xBE"],

        ["\x59\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x4D"],
        ["\x9C\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC1"],

        ["\x52\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x4E"],
        ["\x9C\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD6"],

        ["\x54\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x4F"],
        ["\x9C\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x4B"],

        ["\x59\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x50"],
        ["\x9C\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC2"],

        ["\x59\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x51"],
        ["\x9C\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC3"],

        ["\x59\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x52"],
        ["\x9C\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD6"],

        ["\x59\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x53"],
        ["\x9C\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD5"],

        ["\x59\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x54"],
        ["\x9C\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC4"],

        ["\x59\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x55"],
        ["\x9C\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC5"],

        ["\x59\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x56"],
        ["\x9C\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC6"],

        ["\x59\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x57"],
        ["\x9C\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC8"],

        ["\x59\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x58"],
        ["\x9C\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC9"],

        ["\x59\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x59"],
        ["\x9C\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xCC"],

        ["\x59\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5B"],
        ["\x9C\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xCE"],

        ["\x59\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5C"],
        ["\x9C\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xCF"],

        ["\x59\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5D"],
        ["\x9C\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD0"],

        ["\x59\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5E"],
        ["\x9C\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xCA"],

        ["\x59\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5F"],
        ["\x9C\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD1"],

        ["\x59\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x60"],
        ["\x9C\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD2"],

        ["\x59\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x61"],
        ["\x9C\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD3"],

        ["\x59\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x62"],
        ["\x9C\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD4"],

        ["\x59\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x63"],
        ["\x9C\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD7"],

        ["\x52\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x64"],
        ["\x9C\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x9C"],

        ["\x59\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x65"],
        ["\x9C\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD9"],

        ["\x59\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x66"],
        ["\x9C\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xDA"],

        ["\x59\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x67"],
        ["\x9C\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xDB"],

        ["\x59\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x68"],
        ["\x9C\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xDC"],

        ["\x59\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x69"],
        ["\x9C\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xDD"],

        ["\x59\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x6A"],
        ["\x9C\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xDE"],

        ["\x59\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x6B"],
        ["\x9C\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xDF"],

        ["\x59\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x6C"],
        ["\x9C\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE1"],

        ["\x59\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x6D"],
        ["\x9C\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE0"],

        ["\x59\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x6E"],
        ["\x9C\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE3"],

        ["\x59\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x6F"],
        ["\x9C\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE2"],

        ["\x59\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x70"],
        ["\x9C\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE4"],

        ["\x59\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x71"],
        ["\x9C\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE5"],

        ["\x59\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x72"],
        ["\x9C\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE6"],

        ["\x59\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x73"],
        ["\x9C\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE7"],

        ["\x59\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x74"],
        ["\x9C\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE9"],

        ["\x59\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x75"],
        ["\x9C\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xEA"],

        ["\x59\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x76"],
        ["\x9C\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xEB"],

        ["\x59\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x77"],
        ["\x9C\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xEC"],

        ["\x59\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x78"],
        ["\x9C\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xED"],

        ["\x59\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x79"],
        ["\x9C\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xEE"],

        ["\x59\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x7A"],
        ["\x9C\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF0"],

        ["\x52\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x7B"],
        ["\x9C\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x76"],

        ["\x59\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x7C"],
        ["\x9C\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF2"],

        ["\x59\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x7D"],
        ["\x9C\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF3"],

        ["\x5A\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x7E"],
        ["\x9C\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x43"],

        ["\x59\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x80"],
        ["\x9C\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF4"],

        ["\x59\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x81"],
        ["\x9C\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF5"],

        ["\x59\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x82"],
        ["\x9C\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF6"],

        ["\x59\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x83"],
        ["\x9C\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF7"],

        ["\x59\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x84"],
        ["\x9C\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF8"],

        ["\x59\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x85"],
        ["\x9C\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF9"],

        ["\x59\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x86"],
        ["\x9C\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xFA"],

        ["\x59\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x87"],
        ["\x9C\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xFB"],

        ["\x59\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x88"],
        ["\x9C\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xFC"],

        ["\x59\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x89"],
        ["\x9C\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xFD"],

        ["\x59\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x8A"],
        ["\x9C\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xFE"],

        ["\x5A\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x8B"],
        ["\x9C\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x41"],

        ["\x5A\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x8C"],
        ["\x9C\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x42"],

        ["\x5A\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x8D"],
        ["\x9C\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x45"],

        ["\x5A\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x8E"],
        ["\x9C\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x46"],

        ["\x5A\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x8F"],
        ["\x9C\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x47"],

        ["\x5A\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x90"],
        ["\x9C\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x48"],

        ["\x5A\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x91"],
        ["\x9C\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x49"],

        ["\x5A\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x92"],
        ["\x9C\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4A"],

        ["\x5A\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x93"],
        ["\x9C\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4B"],

        ["\x5A\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x94"],
        ["\x9C\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4C"],

        ["\x5A\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x95"],
        ["\x9C\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4D"],

        ["\x52\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x96"],
        ["\x9C\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x56"],

        ["\x5A\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x97"],
        ["\x9C\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4E"],

        ["\x5A\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x98"],
        ["\x9C\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4F"],

        ["\x5A\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x99"],
        ["\x9C\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x50"],

        ["\x5A\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x9A"],
        ["\x9C\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x52"],

        ["\x55\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x9B"],
        ["\x9C\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x44"],

        ["\x55\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x9C"],
        ["\x9C\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x4A"],

        ["\x5A\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x9D"],
        ["\x9C\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x53"],

        ["\x5A\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x9E"],
        ["\x9C\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x54"],

        ["\x5A\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x9F"],
        ["\x9C\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x55"],

        ["\x5A\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA0"],
        ["\x9C\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x56"],

        ["\x5A\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA1"],
        ["\x9C\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x58"],

        ["\x5A\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA2"],
        ["\x9C\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x59"],

        ["\x5A\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA3"],
        ["\x9C\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5A"],

        ["\x5A\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA4"],
        ["\x9C\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5B"],

        ["\x5A\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA5"],
        ["\x9C\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5C"],

        ["\x5A\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA6"],
        ["\x9C\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5D"],

        ["\x5A\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA7"],
        ["\x9C\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5E"],

        ["\x5A\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA8"],
        ["\x9C\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x60"],

        ["\x5A\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xA9"],
        ["\x9C\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x61"],

        ["\x53\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xAA"],
        ["\x9C\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xA3"],

        ["\x59\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xAB"],
        ["\x9C\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xEF"],

        ["\x5A\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xAC"],
        ["\x9C\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x62"],

        ["\x5A\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xAD"],
        ["\x9C\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x63"],

        ["\x5A\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xAE"],
        ["\x9C\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x64"],

        ["\x5A\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xAF"],
        ["\x9C\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x66"],

        ["\x5A\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB0"],
        ["\x9C\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x78"],

        ["\x5A\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB1"],
        ["\x9C\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x69"],

        ["\x5A\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB2"],
        ["\x9C\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6A"],

        ["\x5A\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB3"],
        ["\x9C\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6B"],

        ["\x5A\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB4"],
        ["\x9C\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6C"],

        ["\x5A\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB5"],
        ["\x9C\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6D"],

        ["\x5A\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB6"],
        ["\x9C\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6E"],

        ["\x5A\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB7"],
        ["\x9C\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6F"],

        ["\x5A\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB8"],
        ["\x9C\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x70"],

        ["\x5A\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xB9"],
        ["\x9C\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x71"],

        ["\x5A\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xBA"],
        ["\x9C\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x72"],

        ["\x5A\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xBB"],
        ["\x9C\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x73"],

        ["\x5A\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xBC"],
        ["\x9C\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x74"],

        ["\x5A\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xBD"],
        ["\x9C\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x75"],

        ["\x5A\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xBE"],
        ["\x9C\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x77"],

        ["\x5A\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xBF"],
        ["\x9C\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7C"],

        ["\x5A\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC0"],
        ["\x9C\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7A"],

        ["\x5A\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC1"],
        ["\x9C\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7B"],

        ["\x5A\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC2"],
        ["\x9C\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7D"],

        ["\x51\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC3"],
        ["\x9C\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE3"],

        ["\x5A\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC4"],
        ["\x9C\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7F"],

        ["\x5A\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC5"],
        ["\x9C\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x80"],

        ["\x5A\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC6"],
        ["\x9C\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x81"],

        ["\x5A\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC7"],
        ["\x9C\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x84"],

        ["\x5A\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC8"],
        ["\x9C\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x85"],

        ["\x5A\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xC9"],
        ["\x9C\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x86"],

        ["\x5A\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xCA"],
        ["\x9C\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x87"],

        ["\x5A\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xCB"],
        ["\x9C\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x89"],

        ["\x5A\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xCC"],
        ["\x9C\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x8A"],

        ["\x5A\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xCD"],
        ["\x9C\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x8B"],

        ["\x5A\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xCE"],
        ["\x9C\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x8C"],

        ["\x5A\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xCF"],
        ["\x9C\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x8D"],

        ["\x5A\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD0"],
        ["\x9C\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x8E"],

        ["\x5A\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD1"],
        ["\x9C\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x8F"],

        ["\x5A\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD2"],
        ["\x9C\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x82"],

        ["\x5A\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD3"],
        ["\x9C\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x90"],

        ["\x5A\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD4"],
        ["\x9C\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x91"],

        ["\x5A\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD5"],
        ["\x9C\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x83"],

        ["\x5A\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD6"],
        ["\x9C\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x92"],

        ["\x5A\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD7"],
        ["\x9C\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x93"],

        ["\x5A\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD8"],
        ["\x9C\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x95"],

        ["\x5A\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xD9"],
        ["\x9C\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x96"],

        ["\x5A\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xDA"],
        ["\x9C\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x88"],

        ["\x5A\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xDB"],
        ["\x9C\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x97"],

        ["\x5A\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xDC"],
        ["\x9C\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x98"],

        ["\x55\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xDD"],
        ["\x9C\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xCF"],

        ["\x5A\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xDE"],
        ["\x9C\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x99"],

        ["\x5A\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xDF"],
        ["\x9C\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x9A"],

        ["\x5A\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE0"],
        ["\x9C\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x9B"],

        ["\x5A\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE1"],
        ["\x9C\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x9C"],

        ["\x5A\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE2"],
        ["\x9C\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x9D"],

        ["\x5A\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE3"],
        ["\x9C\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x9E"],

        ["\x5A\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE4"],
        ["\x9C\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x9F"],

        ["\x5A\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE5"],
        ["\x9C\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xAA"],

        ["\x5A\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE6"],
        ["\x9C\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA0"],

        ["\x5A\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE7"],
        ["\x9C\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA1"],

        ["\x5A\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE8"],
        ["\x9C\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA2"],

        ["\x5A\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xE9"],
        ["\x9C\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA3"],

        ["\x5A\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xEA"],
        ["\x9C\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA4"],

        ["\x5A\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xEB"],
        ["\x9C\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA5"],

        ["\x5A\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xEC"],
        ["\x9C\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA6"],

        ["\x5A\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xED"],
        ["\x9C\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA7"],

        ["\x5A\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xEE"],
        ["\x9C\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA8"],

        ["\x5A\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xEF"],
        ["\x9C\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xAB"],

        ["\x5A\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF0"],
        ["\x9C\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xAD"],

        ["\x5A\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF1"],
        ["\x9C\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA9"],

        ["\x5A\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF2"],
        ["\x9C\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xAE"],

        ["\x5A\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF3"],
        ["\x9C\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xAC"],

        ["\x5A\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF4"],
        ["\x9C\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xAF"],

        ["\x5A\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF5"],
        ["\x9C\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB0"],

        ["\x5A\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF6"],
        ["\x9C\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB1"],

        ["\x5A\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF7"],
        ["\x9C\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB2"],

        ["\x5A\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF8"],
        ["\x9C\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB3"],

        ["\x5A\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xF9"],
        ["\x9C\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB4"],

        ["\x54\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xFA"],
        ["\x9C\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x60"],

        ["\x5A\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xFB"],
        ["\x9C\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB6"],

        ["\x5A\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\xFC"],
        ["\x9C\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB7"],

        ["\x5A\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x40"],
        ["\x9D\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB8"],

        ["\x5A\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x41"],
        ["\x9D\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB9"],

        ["\x5A\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x42"],
        ["\x9D\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xBA"],

        ["\x5A\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x43"],
        ["\x9D\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xBB"],

        ["\x5A\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x44"],
        ["\x9D\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xBC"],

        ["\x5A\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x45"],
        ["\x9D\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xBD"],

        ["\x5A\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x46"],
        ["\x9D\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xBE"],

        ["\x5A\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x47"],
        ["\x9D\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xBF"],

        ["\x5A\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x48"],
        ["\x9D\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC0"],

        ["\x5A\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x49"],
        ["\x9D\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC1"],

        ["\x5A\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x4A"],
        ["\x9D\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC2"],

        ["\x5A\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x4B"],
        ["\x9D\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC3"],

        ["\x5A\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x4C"],
        ["\x9D\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC4"],

        ["\x5A\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x4D"],
        ["\x9D\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC5"],

        ["\x5A\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x4E"],
        ["\x9D\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC6"],

        ["\x5A\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x4F"],
        ["\x9D\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC7"],

        ["\x5A\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x50"],
        ["\x9D\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC8"],

        ["\x5A\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x51"],
        ["\x9D\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xCA"],

        ["\x5A\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x52"],
        ["\x9D\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC9"],

        ["\x5A\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x53"],
        ["\x9D\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xCB"],

        ["\x5A\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x54"],
        ["\x9D\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xCC"],

        ["\x5A\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x55"],
        ["\x9D\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD7"],

        ["\x5A\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x56"],
        ["\x9D\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xCD"],

        ["\x5A\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x57"],
        ["\x9D\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xCE"],

        ["\x5A\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x58"],
        ["\x9D\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xCF"],

        ["\x5A\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x59"],
        ["\x9D\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD0"],

        ["\x5A\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x5A"],
        ["\x9D\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD1"],

        ["\x5A\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x5B"],
        ["\x9D\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD2"],

        ["\x5A\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x5C"],
        ["\x9D\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE6"],

        ["\x5A\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x5D"],
        ["\x9D\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD4"],

        ["\x5B\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x5E"],
        ["\x9D\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x60"],

        ["\x5A\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x5F"],
        ["\x9D\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD5"],

        ["\x5A\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x60"],
        ["\x9D\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD6"],

        ["\x53\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x61"],
        ["\x9D\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x45"],

        ["\x5A\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x62"],
        ["\x9D\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD8"],

        ["\x5A\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x63"],
        ["\x9D\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD9"],

        ["\x5A\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x64"],
        ["\x9D\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xDB"],

        ["\x5A\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x65"],
        ["\x9D\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xDC"],

        ["\x5A\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x66"],
        ["\x9D\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xDD"],

        ["\x5A\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x67"],
        ["\x9D\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xDE"],

        ["\x5A\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x68"],
        ["\x9D\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xDF"],

        ["\x5A\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x69"],
        ["\x9D\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE0"],

        ["\x5A\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x6A"],
        ["\x9D\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE1"],

        ["\x5A\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x6B"],
        ["\x9D\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE2"],

        ["\x5A\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x6C"],
        ["\x9D\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE3"],

        ["\x5A\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x6D"],
        ["\x9D\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE4"],

        ["\x5A\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x6E"],
        ["\x9D\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE5"],

        ["\x5A\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x6F"],
        ["\x9D\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE7"],

        ["\x5A\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x70"],
        ["\x9D\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE9"],

        ["\x5A\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x71"],
        ["\x9D\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE8"],

        ["\x5B\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x72"],
        ["\x9D\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x48"],

        ["\x5A\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x73"],
        ["\x9D\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xEA"],

        ["\x5A\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x74"],
        ["\x9D\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xEB"],

        ["\x5A\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x75"],
        ["\x9D\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xEC"],

        ["\x5A\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x76"],
        ["\x9D\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xED"],

        ["\x5A\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x77"],
        ["\x9D\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xEE"],

        ["\x5A\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x78"],
        ["\x9D\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xEF"],

        ["\x5A\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x79"],
        ["\x9D\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF0"],

        ["\x5A\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x7A"],
        ["\x9D\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF1"],

        ["\x5A\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x7B"],
        ["\x9D\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF2"],

        ["\x5A\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x7C"],
        ["\x9D\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF3"],

        ["\x5A\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x7D"],
        ["\x9D\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF6"],

        ["\x5A\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x7E"],
        ["\x9D\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF4"],

        ["\x5A\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x80"],
        ["\x9D\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF5"],

        ["\x5A\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x81"],
        ["\x9D\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF7"],

        ["\x5A\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x82"],
        ["\x9D\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF8"],

        ["\x5A\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x83"],
        ["\x9D\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF9"],

        ["\x5A\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x84"],
        ["\x9D\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xFA"],

        ["\x5A\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x85"],
        ["\x9D\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xFC"],

        ["\x5A\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x86"],
        ["\x9D\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xFD"],

        ["\x5A\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x87"],
        ["\x9D\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xFE"],

        ["\x5B\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x88"],
        ["\x9D\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x41"],

        ["\x5B\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x89"],
        ["\x9D\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x42"],

        ["\x5B\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x8A"],
        ["\x9D\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4C"],

        ["\x5B\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x8B"],
        ["\x9D\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x43"],

        ["\x5B\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x8C"],
        ["\x9D\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x44"],

        ["\x5B\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x8D"],
        ["\x9D\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x45"],

        ["\x5B\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x8E"],
        ["\x9D\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x46"],

        ["\x5B\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x8F"],
        ["\x9D\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x47"],

        ["\x5B\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x90"],
        ["\x9D\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x71"],

        ["\x5B\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x91"],
        ["\x9D\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x49"],

        ["\x5B\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x92"],
        ["\x9D\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4A"],

        ["\x5B\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x93"],
        ["\x9D\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4B"],

        ["\x5B\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x94"],
        ["\x9D\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4E"],

        ["\x5B\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x95"],
        ["\x9D\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4F"],

        ["\x5B\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x96"],
        ["\x9D\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x51"],

        ["\x5B\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x97"],
        ["\x9D\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4D"],

        ["\x52\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x98"],
        ["\x9D\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x7F"],

        ["\x5B\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x99"],
        ["\x9D\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x55"],

        ["\x5B\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x9A"],
        ["\x9D\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x57"],

        ["\x5B\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x9B"],
        ["\x9D\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x58"],

        ["\x5B\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x9C"],
        ["\x9D\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x59"],

        ["\x5B\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x9D"],
        ["\x9D\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5A"],

        ["\x5B\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x9E"],
        ["\x9D\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5B"],

        ["\x5B\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\x9F"],
        ["\x9D\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5C"],

        ["\x5B\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA0"],
        ["\x9D\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5D"],

        ["\x5B\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA1"],
        ["\x9D\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5E"],

        ["\x5B\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA2"],
        ["\x9D\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5F"],

        ["\x5B\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA3"],
        ["\x9D\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x56"],

        ["\x5B\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA4"],
        ["\x9D\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x61"],

        ["\x5B\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA5"],
        ["\x9D\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x62"],

        ["\x5B\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA6"],
        ["\x9D\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x63"],

        ["\x5B\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA7"],
        ["\x9D\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x64"],

        ["\x57\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA8"],
        ["\x9D\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x78"],

        ["\x5B\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xA9"],
        ["\x9D\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x65"],

        ["\x5B\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xAA"],
        ["\x9D\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x66"],

        ["\x5A\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xAB"],
        ["\x9D\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD3"],

        ["\x5B\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xAC"],
        ["\x9D\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x67"],

        ["\x5B\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xAD"],
        ["\x9D\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x68"],

        ["\x5B\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xAE"],
        ["\x9D\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x76"],

        ["\x5B\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xAF"],
        ["\x9D\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6A"],

        ["\x5B\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB0"],
        ["\x9D\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x69"],

        ["\x5B\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB1"],
        ["\x9D\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6B"],

        ["\x5B\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB2"],
        ["\x9D\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6C"],

        ["\x5B\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB3"],
        ["\x9D\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6D"],

        ["\x5B\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB4"],
        ["\x9D\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6E"],

        ["\x5B\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB5"],
        ["\x9D\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6F"],

        ["\x5B\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB6"],
        ["\x9D\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x70"],

        ["\x5B\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB7"],
        ["\x9D\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x72"],

        ["\x5B\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB8"],
        ["\x9D\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x73"],

        ["\x5B\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xB9"],
        ["\x9D\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x74"],

        ["\x5B\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xBA"],
        ["\x9D\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x75"],

        ["\x5B\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xBB"],
        ["\x9D\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x77"],

        ["\x5B\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xBC"],
        ["\x9D\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x78"],

        ["\x5B\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xBD"],
        ["\x9D\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x79"],

        ["\x5B\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xBE"],
        ["\x9D\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7A"],

        ["\x5B\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xBF"],
        ["\x9D\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7B"],

        ["\x5B\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC0"],
        ["\x9D\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7C"],

        ["\x5B\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC1"],
        ["\x9D\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7D"],

        ["\x5B\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC2"],
        ["\x9D\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7F"],

        ["\x5B\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC3"],
        ["\x9D\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x82"],

        ["\x5B\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC4"],
        ["\x9D\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x80"],

        ["\x5B\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC5"],
        ["\x9D\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x81"],

        ["\x51\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC6"],
        ["\x9D\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB1"],

        ["\x5B\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC7"],
        ["\x9D\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x83"],

        ["\x5B\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC8"],
        ["\x9D\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x84"],

        ["\x5B\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xC9"],
        ["\x9D\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x85"],

        ["\x5B\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xCA"],
        ["\x9D\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x86"],

        ["\x5B\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xCB"],
        ["\x9D\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x87"],

        ["\x5B\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xCC"],
        ["\x9D\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x88"],

        ["\x5B\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xCD"],
        ["\x9D\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x89"],

        ["\x5B\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xCE"],
        ["\x9D\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x8A"],

        ["\x5B\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xCF"],
        ["\x9D\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x8B"],

        ["\x5B\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD0"],
        ["\x9D\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x8C"],

        ["\x5B\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD1"],
        ["\x9D\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x8D"],

        ["\x5B\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD2"],
        ["\x9D\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x8E"],

        ["\x5B\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD3"],
        ["\x9D\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x8F"],

        ["\x5B\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD4"],
        ["\x9D\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x90"],

        ["\x5B\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD5"],
        ["\x9D\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x91"],

        ["\x5B\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD6"],
        ["\x9D\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x92"],

        ["\x51\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD7"],
        ["\x9D\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x65"],

        ["\x5B\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD8"],
        ["\x9D\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x93"],

        ["\x5B\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xD9"],
        ["\x9D\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x95"],

        ["\x5B\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xDA"],
        ["\x9D\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x94"],

        ["\x5B\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xDB"],
        ["\x9D\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x96"],

        ["\x5B\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xDC"],
        ["\x9D\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x9A"],

        ["\x52\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xDD"],
        ["\x9D\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x8E"],

        ["\x5B\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xDE"],
        ["\x9D\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x9B"],

        ["\x5B\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xDF"],
        ["\x9D\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x9C"],

        ["\x5B\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE0"],
        ["\x9D\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE0"],

        ["\x5B\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE1"],
        ["\x9D\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x9F"],

        ["\x51\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE2"],
        ["\x9D\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x93"],

        ["\x5B\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE3"],
        ["\x9D\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA2"],

        ["\x5B\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE4"],
        ["\x9D\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA3"],

        ["\x51\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE5"],
        ["\x9D\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xEA"],

        ["\x5B\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE6"],
        ["\x9D\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA5"],

        ["\x5B\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE7"],
        ["\x9D\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA6"],

        ["\x52\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE8"],
        ["\x9D\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x51"],

        ["\x5B\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xE9"],
        ["\x9D\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA9"],

        ["\x5B\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xEA"],
        ["\x9D\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xAD"],

        ["\x5B\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xEB"],
        ["\x9D\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xAA"],

        ["\x50\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xEC"],
        ["\x9D\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xA0"],

        ["\x51\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xED"],
        ["\x9D\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB2"],

        ["\x4F\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xEE"],
        ["\x9D\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xCE"],

        ["\x5B\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xEF"],
        ["\x9D\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xAC"],

        ["\x5B\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF0"],
        ["\x9D\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB0"],

        ["\x5B\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF1"],
        ["\x9D\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB1"],

        ["\x5B\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF2"],
        ["\x9D\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB2"],

        ["\x4F\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF3"],
        ["\x9D\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xAB"],

        ["\x4E\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF4"],
        ["\x9D\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xD1"],

        ["\x5B\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF5"],
        ["\x9D\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB3"],

        ["\x5B\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF6"],
        ["\x9D\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB5"],

        ["\x5B\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF7"],
        ["\x9D\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB7"],

        ["\x5B\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF8"],
        ["\x9D\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xBA"],

        ["\x52\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xF9"],
        ["\x9D\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x43"],

        ["\x5B\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xFA"],
        ["\x9D\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xBC"],

        ["\x5B\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xFB"],
        ["\x9D\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xBD"],

        ["\x5B\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9D\xFC"],
        ["\x9D\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xBE"],

        ["\x5B\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x40"],
        ["\x9E\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB9"],

        ["\x5B\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x41"],
        ["\x9E\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xBF"],

        ["\x5B\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x42"],
        ["\x9E\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC0"],

        ["\x5B\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x43"],
        ["\x9E\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC1"],

        ["\x51\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x44"],
        ["\x9E\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xCC"],

        ["\x5B\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x45"],
        ["\x9E\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x9E"],

        ["\x5B\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x46"],
        ["\x9E\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC2"],

        ["\x5B\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x47"],
        ["\x9E\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC3"],

        ["\x5B\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x48"],
        ["\x9E\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC4"],

        ["\x5B\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x49"],
        ["\x9E\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC5"],

        ["\x5B\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x4A"],
        ["\x9E\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC6"],

        ["\x54\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x4B"],
        ["\x9E\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xFD"],

        ["\x5B\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x4C"],
        ["\x9E\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xCA"],

        ["\x5B\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x4D"],
        ["\x9E\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xCB"],

        ["\x5B\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x4E"],
        ["\x9E\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xCD"],

        ["\x5B\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x4F"],
        ["\x9E\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xCE"],

        ["\x5B\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x50"],
        ["\x9E\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xCF"],

        ["\x5B\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x51"],
        ["\x9E\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD0"],

        ["\x5B\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x52"],
        ["\x9E\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD1"],

        ["\x5B\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x53"],
        ["\x9E\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD2"],

        ["\x53\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x54"],
        ["\x9E\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x4F"],

        ["\x5B\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x55"],
        ["\x9E\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD4"],

        ["\x5B\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x56"],
        ["\x9E\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD3"],

        ["\x5B\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x57"],
        ["\x9E\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD5"],

        ["\x5B\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x58"],
        ["\x9E\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD6"],

        ["\x54\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x59"],
        ["\x9E\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x80"],

        ["\x5B\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x5A"],
        ["\x9E\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD7"],

        ["\x52\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x5B"],
        ["\x9E\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x91"],

        ["\x5B\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x5C"],
        ["\x9E\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD9"],

        ["\x5B\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x5D"],
        ["\x9E\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xDA"],

        ["\x5B\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x5E"],
        ["\x9E\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xDC"],

        ["\x5B\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x5F"],
        ["\x9E\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xDD"],

        ["\x54\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x60"],
        ["\x9E\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xDF"],

        ["\x5B\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x61"],
        ["\x9E\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xDE"],

        ["\x54\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x62"],
        ["\x9E\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF2"],

        ["\x5B\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x63"],
        ["\x9E\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xDF"],

        ["\x5B\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x64"],
        ["\x9E\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE1"],

        ["\x5B\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x65"],
        ["\x9E\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE2"],

        ["\x5B\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x66"],
        ["\x9E\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xDB"],

        ["\x5B\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x67"],
        ["\x9E\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE4"],

        ["\x5B\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x68"],
        ["\x9E\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE5"],

        ["\x5B\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x69"],
        ["\x9E\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE6"],

        ["\x5B\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x6A"],
        ["\x9E\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE7"],

        ["\x54\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x6B"],
        ["\x9E\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC9"],

        ["\x5B\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x6C"],
        ["\x9E\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE8"],

        ["\x5B\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x6D"],
        ["\x9E\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE9"],

        ["\x5B\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x6E"],
        ["\x9E\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xEB"],

        ["\x54\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x6F"],
        ["\x9E\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF3"],

        ["\x5B\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x70"],
        ["\x9E\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xED"],

        ["\x5B\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x71"],
        ["\x9E\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xEE"],

        ["\x5B\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x72"],
        ["\x9E\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xEF"],

        ["\x5B\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x73"],
        ["\x9E\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF2"],

        ["\x5B\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x74"],
        ["\x9E\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF1"],

        ["\x5B\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x75"],
        ["\x9E\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF4"],

        ["\x5B\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x76"],
        ["\x9E\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xEA"],

        ["\x4D\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x77"],
        ["\x9E\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\x55"],

        ["\x5B\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x78"],
        ["\x9E\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF5"],

        ["\x5B\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x79"],
        ["\x9E\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF6"],

        ["\x52\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x7A"],
        ["\x9E\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xDE"],

        ["\x5B\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x7B"],
        ["\x9E\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF8"],

        ["\x5B\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x7C"],
        ["\x9E\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF7"],

        ["\x5B\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x7D"],
        ["\x9E\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xFA"],

        ["\x5B\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x7E"],
        ["\x9E\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xFB"],

        ["\x53\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x80"],
        ["\x9E\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x61"],

        ["\x52\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x81"],
        ["\x9E\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE2"],

        ["\x5B\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x82"],
        ["\x9E\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xFD"],

        ["\x5B\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x83"],
        ["\x9E\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xFC"],

        ["\x5C\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x84"],
        ["\x9E\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x41"],

        ["\x5C\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x85"],
        ["\x9E\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x42"],

        ["\x5C\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x86"],
        ["\x9E\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x43"],

        ["\x5C\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x87"],
        ["\x9E\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x45"],

        ["\x5C\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x88"],
        ["\x9E\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x46"],

        ["\x5C\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x89"],
        ["\x9E\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x47"],

        ["\x4E\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x8A"],
        ["\x9E\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x92"],

        ["\x53\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x8B"],
        ["\x9E\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xBC"],

        ["\x5C\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x8C"],
        ["\x9E\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x48"],

        ["\x54\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x8D"],
        ["\x9E\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x5D"],

        ["\x5C\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x8E"],
        ["\x9E\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x4A"],

        ["\x5C\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x8F"],
        ["\x9E\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x4B"],

        ["\x5C\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x90"],
        ["\x9E\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x4C"],

        ["\x52\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x91"],
        ["\x9E\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC6"],

        ["\x5C\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x92"],
        ["\x9E\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x4D"],

        ["\x5C\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x93"],
        ["\x9E\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x4E"],

        ["\x5B\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x94"],
        ["\x9E\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xFE"],

        ["\x5C\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x95"],
        ["\x9E\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x44"],

        ["\x5C\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x96"],
        ["\x9E\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x4F"],

        ["\x5C\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x97"],
        ["\x9E\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x50"],

        ["\x5C\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x98"],
        ["\x9E\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x51"],

        ["\x5C\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x99"],
        ["\x9E\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x52"],

        ["\x5C\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x9A"],
        ["\x9E\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x61"],

        ["\x5C\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x9B"],
        ["\x9E\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x53"],

        ["\x5C\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x9C"],
        ["\x9E\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x54"],

        ["\x5C\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x9D"],
        ["\x9E\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x55"],

        ["\x5C\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x9E"],
        ["\x9E\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x56"],

        ["\x5C\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\x9F"],
        ["\x9E\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x57"],

        ["\x5C\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA0"],
        ["\x9E\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x58"],

        ["\x5C\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA1"],
        ["\x9E\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x59"],

        ["\x5C\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA2"],
        ["\x9E\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x69"],

        ["\x5C\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA3"],
        ["\x9E\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x5A"],

        ["\x5C\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA4"],
        ["\x9E\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x5C"],

        ["\x54\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA5"],
        ["\x9E\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC2"],

        ["\x5C\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA6"],
        ["\x9E\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x5D"],

        ["\x53\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA7"],
        ["\x9E\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xFA"],

        ["\x54\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA8"],
        ["\x9E\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x94"],

        ["\x5C\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xA9"],
        ["\x9E\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x5E"],

        ["\x5C\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xAA"],
        ["\x9E\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x5B"],

        ["\x5C\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xAB"],
        ["\x9E\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x65"],

        ["\x5C\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xAC"],
        ["\x9E\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x62"],

        ["\x53\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xAD"],
        ["\x9E\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x70"],

        ["\x5C\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xAE"],
        ["\x9E\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x64"],

        ["\x5C\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xAF"],
        ["\x9E\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x63"],

        ["\x5C\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB0"],
        ["\x9E\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x60"],

        ["\x5C\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB1"],
        ["\x9E\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x67"],

        ["\x5C\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB2"],
        ["\x9E\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x68"],

        ["\x54\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB3"],
        ["\x9E\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE2"],

        ["\x5C\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB4"],
        ["\x9E\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x6A"],

        ["\x54\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB5"],
        ["\x9E\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA2"],

        ["\x5C\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB6"],
        ["\x9E\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x6B"],

        ["\x5C\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB7"],
        ["\x9E\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x74"],

        ["\x53\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB8"],
        ["\x9E\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xEF"],

        ["\x52\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xB9"],
        ["\x9E\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xED"],

        ["\x5C\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xBA"],
        ["\x9E\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x6D"],

        ["\x5C\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xBB"],
        ["\x9E\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x6F"],

        ["\x5C\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xBC"],
        ["\x9E\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x70"],

        ["\x5C\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xBD"],
        ["\x9E\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x71"],

        ["\x52\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xBE"],
        ["\x9E\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x7C"],

        ["\x5C\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xBF"],
        ["\x9E\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x72"],

        ["\x5C\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC0"],
        ["\x9E\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x73"],

        ["\x5C\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC1"],
        ["\x9E\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x75"],

        ["\x5C\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC2"],
        ["\x9E\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x6C"],

        ["\x5C\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC3"],
        ["\x9E\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x76"],

        ["\x51\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC4"],
        ["\x9E\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x4A"],

        ["\x54\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC5"],
        ["\x9E\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x8C"],

        ["\x5C\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC6"],
        ["\x9E\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x77"],

        ["\x5C\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC7"],
        ["\x9E\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x7A"],

        ["\x5C\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC8"],
        ["\x9E\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x7B"],

        ["\x5C\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xC9"],
        ["\x9E\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x7C"],

        ["\x5C\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xCA"],
        ["\x9E\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x7D"],

        ["\x5C\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xCB"],
        ["\x9E\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x7E"],

        ["\x5C\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xCC"],
        ["\x9E\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x7F"],

        ["\x5C\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xCD"],
        ["\x9E\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x81"],

        ["\x5C\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xCE"],
        ["\x9E\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x82"],

        ["\x5C\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xCF"],
        ["\x9E\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x83"],

        ["\x53\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD0"],
        ["\x9E\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x8D"],

        ["\x5C\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD1"],
        ["\x9E\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x88"],

        ["\x54\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD2"],
        ["\x9E\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x76"],

        ["\x5C\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD3"],
        ["\x9E\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x84"],

        ["\x5C\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD4"],
        ["\x9E\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x85"],

        ["\x5C\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD5"],
        ["\x9E\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x86"],

        ["\x53\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD6"],
        ["\x9E\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB2"],

        ["\x5C\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD7"],
        ["\x9E\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x87"],

        ["\x5C\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD8"],
        ["\x9E\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x89"],

        ["\x5C\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xD9"],
        ["\x9E\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x8A"],

        ["\x5C\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xDA"],
        ["\x9E\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x8B"],

        ["\x5C\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xDB"],
        ["\x9E\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x8C"],

        ["\x5C\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xDC"],
        ["\x9E\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC1"],

        ["\x5C\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xDD"],
        ["\x9E\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x8D"],

        ["\x5C\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xDE"],
        ["\x9E\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x8E"],

        ["\x5C\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xDF"],
        ["\x9E\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x8F"],

        ["\x53\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE0"],
        ["\x9E\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xBB"],

        ["\x5C\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE1"],
        ["\x9E\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x80"],

        ["\x5C\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE2"],
        ["\x9E\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x91"],

        ["\x5C\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE3"],
        ["\x9E\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x92"],

        ["\x5C\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE4"],
        ["\x9E\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x93"],

        ["\x5C\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE5"],
        ["\x9E\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x94"],

        ["\x5C\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE6"],
        ["\x9E\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x95"],

        ["\x5C\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE7"],
        ["\x9E\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x97"],

        ["\x5C\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE8"],
        ["\x9E\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB7"],

        ["\x5C\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xE9"],
        ["\x9E\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x98"],

        ["\x5C\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xEA"],
        ["\x9E\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x99"],

        ["\x5C\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xEB"],
        ["\x9E\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x9C"],

        ["\x5C\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xEC"],
        ["\x9E\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x9D"],

        ["\x5C\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xED"],
        ["\x9E\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA8"],

        ["\x5C\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xEE"],
        ["\x9E\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x9F"],

        ["\x5C\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xEF"],
        ["\x9E\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA0"],

        ["\x5C\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF0"],
        ["\x9E\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA1"],

        ["\x5C\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF1"],
        ["\x9E\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA2"],

        ["\x5C\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF2"],
        ["\x9E\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA3"],

        ["\x5C\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF3"],
        ["\x9E\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA4"],

        ["\x5C\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF4"],
        ["\x9E\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA5"],

        ["\x5C\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF5"],
        ["\x9E\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA7"],

        ["\x5C\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF6"],
        ["\x9E\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x96"],

        ["\x5C\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF7"],
        ["\x9E\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xAA"],

        ["\x5C\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF8"],
        ["\x9E\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xAB"],

        ["\x5C\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xF9"],
        ["\x9E\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x9E"],

        ["\x5C\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xFA"],
        ["\x9E\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xAC"],

        ["\x5C\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xFB"],
        ["\x9E\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xAD"],

        ["\x5C\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9E\xFC"],
        ["\x9E\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xAE"],

        ["\x5C\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x40"],
        ["\x9F\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB0"],

        ["\x5C\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x41"],
        ["\x9F\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xBE"],

        ["\x5C\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x42"],
        ["\x9F\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB3"],

        ["\x52\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x43"],
        ["\x9F\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x8B"],

        ["\x5C\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x44"],
        ["\x9F\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB4"],

        ["\x5C\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x45"],
        ["\x9F\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB5"],

        ["\x5C\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x46"],
        ["\x9F\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB6"],

        ["\x5C\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x47"],
        ["\x9F\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB1"],

        ["\x5C\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x48"],
        ["\x9F\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB8"],

        ["\x5C\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x49"],
        ["\x9F\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xBA"],

        ["\x53\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x4A"],
        ["\x9F\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x62"],

        ["\x5C\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x4B"],
        ["\x9F\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB2"],

        ["\x5C\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x4C"],
        ["\x9F\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xBB"],

        ["\x5C\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x4D"],
        ["\x9F\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xBF"],

        ["\x52\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x4E"],
        ["\x9F\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xEE"],

        ["\x5C\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x4F"],
        ["\x9F\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC0"],

        ["\x5C\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x50"],
        ["\x9F\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xBD"],

        ["\x5C\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x51"],
        ["\x9F\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC2"],

        ["\x5C\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x52"],
        ["\x9F\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC3"],

        ["\x5C\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x53"],
        ["\x9F\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC4"],

        ["\x67\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x54"],
        ["\x9F\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x86"],

        ["\x5C\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x55"],
        ["\x9F\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC5"],

        ["\x5C\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x56"],
        ["\x9F\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC6"],

        ["\x5C\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x57"],
        ["\x9F\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC7"],

        ["\x5C\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x58"],
        ["\x9F\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC9"],

        ["\x5C\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x59"],
        ["\x9F\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xC8"],

        ["\x5C\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x5A"],
        ["\x9F\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xCA"],

        ["\x5C\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x5B"],
        ["\x9F\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xCB"],

        ["\x5C\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x5C"],
        ["\x9F\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xCC"],

        ["\x5C\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x5D"],
        ["\x9F\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xCD"],

        ["\x5C\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x5E"],
        ["\x9F\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xCE"],

        ["\x5C\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x5F"],
        ["\x9F\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xCF"],

        ["\x5C\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x60"],
        ["\x9F\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD0"],

        ["\x5C\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x61"],
        ["\x9F\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD1"],

        ["\x5C\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x62"],
        ["\x9F\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD2"],

        ["\x5C\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x63"],
        ["\x9F\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD3"],

        ["\x5C\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x64"],
        ["\x9F\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD4"],

        ["\x5C\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x65"],
        ["\x9F\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD5"],

        ["\x5C\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x66"],
        ["\x9F\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD6"],

        ["\x5C\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x67"],
        ["\x9F\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD7"],

        ["\x5C\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x68"],
        ["\x9F\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD8"],

        ["\x5C\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x69"],
        ["\x9F\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xD9"],

        ["\x5C\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x6A"],
        ["\x9F\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xDA"],

        ["\x5C\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x6B"],
        ["\x9F\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xDB"],

        ["\x5C\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x6C"],
        ["\x9F\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xDC"],

        ["\x5C\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x6D"],
        ["\x9F\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xDD"],

        ["\x5C\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x6E"],
        ["\x9F\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xDE"],

        ["\x5C\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x6F"],
        ["\x9F\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xDF"],

        ["\x5C\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x70"],
        ["\x9F\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE0"],

        ["\x5C\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x71"],
        ["\x9F\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE1"],

        ["\x5C\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x72"],
        ["\x9F\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE3"],

        ["\x5C\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x73"],
        ["\x9F\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE2"],

        ["\x5C\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x74"],
        ["\x9F\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE4"],

        ["\x5C\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x75"],
        ["\x9F\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE5"],

        ["\x5C\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x76"],
        ["\x9F\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE6"],

        ["\x5C\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x77"],
        ["\x9F\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE7"],

        ["\x5C\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x78"],
        ["\x9F\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE8"],

        ["\x5C\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x79"],
        ["\x9F\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xE9"],

        ["\x5C\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x7A"],
        ["\x9F\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xEB"],

        ["\x5C\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x7B"],
        ["\x9F\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xEC"],

        ["\x5C\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x7C"],
        ["\x9F\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xED"],

        ["\x5C\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x7D"],
        ["\x9F\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xEE"],

        ["\x5C\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x7E"],
        ["\x9F\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xEF"],

        ["\x68\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x80"],
        ["\x9F\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x51"],

        ["\x5C\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x81"],
        ["\x9F\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF0"],

        ["\x5C\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x82"],
        ["\x9F\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF1"],

        ["\x5C\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x83"],
        ["\x9F\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF2"],

        ["\x5C\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x84"],
        ["\x9F\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF3"],

        ["\x5C\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x85"],
        ["\x9F\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF4"],

        ["\x5C\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x86"],
        ["\x9F\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF5"],

        ["\x5C\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x87"],
        ["\x9F\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF7"],

        ["\x5C\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x88"],
        ["\x9F\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF8"],

        ["\x5C\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x89"],
        ["\x9F\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xFA"],

        ["\x52\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x8A"],
        ["\x9F\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB4"],

        ["\x5C\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x8B"],
        ["\x9F\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xFB"],

        ["\x5C\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x8C"],
        ["\x9F\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xFC"],

        ["\x5D\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x8D"],
        ["\x9F\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x41"],

        ["\x5D\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x8E"],
        ["\x9F\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x42"],

        ["\x5D\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x8F"],
        ["\x9F\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x43"],

        ["\x5D\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x90"],
        ["\x9F\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x44"],

        ["\x5D\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x91"],
        ["\x9F\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x45"],

        ["\x5D\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x92"],
        ["\x9F\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x46"],

        ["\x5D\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x93"],
        ["\x9F\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x47"],

        ["\x5D\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x94"],
        ["\x9F\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x48"],

        ["\x5D\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x95"],
        ["\x9F\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x49"],

        ["\x5D\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x96"],
        ["\x9F\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x4A"],

        ["\x54\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x97"],
        ["\x9F\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD7"],

        ["\x5D\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x98"],
        ["\x9F\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x4B"],

        ["\x55\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x99"],
        ["\x9F\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xC6"],

        ["\x5D\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x9A"],
        ["\x9F\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x4C"],

        ["\x5D\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x9B"],
        ["\x9F\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x4F"],

        ["\x5D\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x9C"],
        ["\x9F\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x4D"],

        ["\x5D\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x9D"],
        ["\x9F\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x50"],

        ["\x5D\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x9E"],
        ["\x9F\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x51"],

        ["\x5D\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\x9F"],
        ["\x9F\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x52"],

        ["\x5D\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA0"],
        ["\x9F\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x53"],

        ["\x5D\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA1"],
        ["\x9F\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x54"],

        ["\x5D\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA2"],
        ["\x9F\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x55"],

        ["\x5D\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA3"],
        ["\x9F\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x56"],

        ["\x5D\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA4"],
        ["\x9F\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x57"],

        ["\x63\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA5"],
        ["\x9F\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x70"],

        ["\x5D\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA6"],
        ["\x9F\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x59"],

        ["\x5D\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA7"],
        ["\x9F\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x5A"],

        ["\x5D\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA8"],
        ["\x9F\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x5B"],

        ["\x50\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xA9"],
        ["\x9F\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xBC"],

        ["\x52\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xAA"],
        ["\x9F\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB6"],

        ["\x52\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xAB"],
        ["\x9F\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xAC"],

        ["\x5D\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xAC"],
        ["\x9F\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x5C"],

        ["\x5D\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xAD"],
        ["\x9F\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x5D"],

        ["\x5D\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xAE"],
        ["\x9F\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x5E"],

        ["\x5D\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xAF"],
        ["\x9F\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x5F"],

        ["\x5D\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB0"],
        ["\x9F\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x61"],

        ["\x5D\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB1"],
        ["\x9F\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x63"],

        ["\x5D\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB2"],
        ["\x9F\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x64"],

        ["\x5D\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB3"],
        ["\x9F\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x65"],

        ["\x5D\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB4"],
        ["\x9F\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x66"],

        ["\x5D\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB5"],
        ["\x9F\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x67"],

        ["\x5D\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB6"],
        ["\x9F\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x68"],

        ["\x51\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB7"],
        ["\x9F\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD2"],

        ["\x5D\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB8"],
        ["\x9F\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x6A"],

        ["\x5D\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xB9"],
        ["\x9F\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x6C"],

        ["\x51\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xBA"],
        ["\x9F\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x64"],

        ["\x5D\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xBB"],
        ["\x9F\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x6D"],

        ["\x5D\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xBC"],
        ["\x9F\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x6F"],

        ["\x5D\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xBD"],
        ["\x9F\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x71"],

        ["\x5D\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xBE"],
        ["\x9F\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x70"],

        ["\x5D\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xBF"],
        ["\x9F\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x73"],

        ["\x5D\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC0"],
        ["\x9F\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x75"],

        ["\x5D\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC1"],
        ["\x9F\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x76"],

        ["\x5D\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC2"],
        ["\x9F\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x77"],

        ["\x5D\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC3"],
        ["\x9F\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x78"],

        ["\x5D\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC4"],
        ["\x9F\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x79"],

        ["\x5D\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC5"],
        ["\x9F\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x7B"],

        ["\x5D\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC6"],
        ["\x9F\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x7C"],

        ["\x5D\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC7"],
        ["\x9F\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x7D"],

        ["\x5D\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC8"],
        ["\x9F\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x7E"],

        ["\x5D\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xC9"],
        ["\x9F\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x81"],

        ["\x5D\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xCA"],
        ["\x9F\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x82"],

        ["\x5D\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xCB"],
        ["\x9F\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x83"],

        ["\x5D\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xCC"],
        ["\x9F\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x84"],

        ["\x5D\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xCD"],
        ["\x9F\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x85"],

        ["\x5D\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xCE"],
        ["\x9F\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x86"],

        ["\x5D\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xCF"],
        ["\x9F\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x6E"],

        ["\x5D\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD0"],
        ["\x9F\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x87"],

        ["\x5D\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD1"],
        ["\x9F\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x88"],

        ["\x5D\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD2"],
        ["\x9F\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x89"],

        ["\x5D\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD3"],
        ["\x9F\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x8B"],

        ["\x5D\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD4"],
        ["\x9F\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x8C"],

        ["\x5D\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD5"],
        ["\x9F\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x8D"],

        ["\x5D\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD6"],
        ["\x9F\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x8F"],

        ["\x5D\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD7"],
        ["\x9F\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x90"],

        ["\x5D\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD8"],
        ["\x9F\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x91"],

        ["\x5D\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xD9"],
        ["\x9F\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x92"],

        ["\x5D\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xDA"],
        ["\x9F\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x94"],

        ["\x5D\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xDB"],
        ["\x9F\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x96"],

        ["\x5D\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xDC"],
        ["\x9F\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x97"],

        ["\x5D\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xDD"],
        ["\x9F\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x98"],

        ["\x5D\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xDE"],
        ["\x9F\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB4"],

        ["\x5D\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xDF"],
        ["\x9F\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x99"],

        ["\x5D\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE0"],
        ["\x9F\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x9A"],

        ["\x5D\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE1"],
        ["\x9F\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x9B"],

        ["\x5D\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE2"],
        ["\x9F\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x9C"],

        ["\x5D\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE3"],
        ["\x9F\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x9D"],

        ["\x52\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE4"],
        ["\x9F\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xA9"],

        ["\x5D\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE5"],
        ["\x9F\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x9E"],

        ["\x52\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE6"],
        ["\x9F\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x4A"],

        ["\x5D\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE7"],
        ["\x9F\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x9F"],

        ["\x5D\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE8"],
        ["\x9F\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA0"],

        ["\x5D\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xE9"],
        ["\x9F\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA1"],

        ["\x5D\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xEA"],
        ["\x9F\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA2"],

        ["\x5D\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xEB"],
        ["\x9F\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA3"],

        ["\x5D\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xEC"],
        ["\x9F\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA4"],

        ["\x5D\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xED"],
        ["\x9F\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA5"],

        ["\x53\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xEE"],
        ["\x9F\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x76"],

        ["\x5D\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xEF"],
        ["\x9F\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA7"],

        ["\x5D\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF0"],
        ["\x9F\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA8"],

        ["\x5D\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF1"],
        ["\x9F\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA9"],

        ["\x55\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF2"],
        ["\x9F\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x75"],

        ["\x53\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF3"],
        ["\x9F\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xEA"],

        ["\x5D\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF4"],
        ["\x9F\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xAB"],

        ["\x5D\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF5"],
        ["\x9F\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xAC"],

        ["\x5D\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF6"],
        ["\x9F\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xAD"],

        ["\x5D\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF7"],
        ["\x9F\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xAE"],

        ["\x5D\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF8"],
        ["\x9F\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xAF"],

        ["\x5D\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xF9"],
        ["\x9F\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB0"],

        ["\x5D\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xFA"],
        ["\x9F\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB1"],

        ["\x5D\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xFB"],
        ["\x9F\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB2"],

        ["\x5D\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9F\xFC"],
        ["\x9F\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB3"],

        ["\x5D\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x40"],
        ["\xE0\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB5"],

        ["\x5D\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x41"],
        ["\xE0\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB6"],

        ["\x5D\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x42"],
        ["\xE0\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB7"],

        ["\x5D\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x43"],
        ["\xE0\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB8"],

        ["\x5D\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x44"],
        ["\xE0\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xB9"],

        ["\x5D\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x45"],
        ["\xE0\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xBA"],

        ["\x55\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x46"],
        ["\xE0\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA0"],

        ["\x5D\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x47"],
        ["\xE0\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xBB"],

        ["\x5D\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x48"],
        ["\xE0\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xBC"],

        ["\x5D\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x49"],
        ["\xE0\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xBD"],

        ["\x5D\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x4A"],
        ["\xE0\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE2"],

        ["\x5D\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x4B"],
        ["\xE0\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xBE"],

        ["\x5D\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x4C"],
        ["\xE0\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC0"],

        ["\x5D\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x4D"],
        ["\xE0\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC2"],

        ["\x5D\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x4E"],
        ["\xE0\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC3"],

        ["\x5D\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x4F"],
        ["\xE0\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC5"],

        ["\x5D\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x50"],
        ["\xE0\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC6"],

        ["\x5D\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x51"],
        ["\xE0\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xCF"],

        ["\x5D\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x52"],
        ["\xE0\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC7"],

        ["\x5D\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x53"],
        ["\xE0\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC8"],

        ["\x5D\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x54"],
        ["\xE0\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC9"],

        ["\x5D\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x55"],
        ["\xE0\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xCB"],

        ["\x4E\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x56"],
        ["\xE0\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x4B"],

        ["\x5D\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x57"],
        ["\xE0\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xCC"],

        ["\x5D\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x58"],
        ["\xE0\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC4"],

        ["\x5D\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x59"],
        ["\xE0\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xCE"],

        ["\x5D\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x5A"],
        ["\xE0\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD0"],

        ["\x5D\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x5B"],
        ["\xE0\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD1"],

        ["\x5D\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x5C"],
        ["\xE0\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD2"],

        ["\x5D\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x5D"],
        ["\xE0\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD4"],

        ["\x5D\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x5E"],
        ["\xE0\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD3"],

        ["\x50\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x5F"],
        ["\xE0\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x55"],

        ["\x5D\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x60"],
        ["\xE0\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD6"],

        ["\x5D\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x61"],
        ["\xE0\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xCD"],

        ["\x5D\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x62"],
        ["\xE0\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD9"],

        ["\x5D\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x63"],
        ["\xE0\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xDA"],

        ["\x5D\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x64"],
        ["\xE0\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xDB"],

        ["\x5D\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x65"],
        ["\xE0\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xDC"],

        ["\x5D\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x66"],
        ["\xE0\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xDD"],

        ["\x5D\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x67"],
        ["\xE0\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xDE"],

        ["\x51\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x68"],
        ["\xE0\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x87"],

        ["\x5D\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x69"],
        ["\xE0\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xDF"],

        ["\x5D\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x6A"],
        ["\xE0\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE0"],

        ["\x5D\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x6B"],
        ["\xE0\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xBF"],

        ["\x52\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x6C"],
        ["\xE0\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xB0"],

        ["\x5D\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x6D"],
        ["\xE0\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE4"],

        ["\x5D\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x6E"],
        ["\xE0\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE1"],

        ["\x5D\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x6F"],
        ["\xE0\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE5"],

        ["\x5D\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x70"],
        ["\xE0\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE6"],

        ["\x5D\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x71"],
        ["\xE0\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE7"],

        ["\x5D\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x72"],
        ["\xE0\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE8"],

        ["\x5D\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x73"],
        ["\xE0\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE9"],

        ["\x5D\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x74"],
        ["\xE0\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xEB"],

        ["\x4F\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x75"],
        ["\xE0\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xEE"],

        ["\x5D\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x76"],
        ["\xE0\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xEC"],

        ["\x5D\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x77"],
        ["\xE0\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF7"],

        ["\x5D\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x78"],
        ["\xE0\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xEE"],

        ["\x5D\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x79"],
        ["\xE0\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xEF"],

        ["\x52\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x7A"],
        ["\xE0\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xCD"],

        ["\x5D\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x7B"],
        ["\xE0\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF0"],

        ["\x5D\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x7C"],
        ["\xE0\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF1"],

        ["\x5D\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x7D"],
        ["\xE0\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF2"],

        ["\x53\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x7E"],
        ["\xE0\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x8C"],

        ["\x5D\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x80"],
        ["\xE0\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF3"],

        ["\x5D\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x81"],
        ["\xE0\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF4"],

        ["\x5D\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x82"],
        ["\xE0\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF8"],

        ["\x5D\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x83"],
        ["\xE0\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF9"],

        ["\x5D\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x84"],
        ["\xE0\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xFA"],

        ["\x53\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x85"],
        ["\xE0\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x57"],

        ["\x68\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x86"],
        ["\xE0\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x85"],

        ["\x5E\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x87"],
        ["\xE0\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x45"],

        ["\x5D\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x88"],
        ["\xE0\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xFE"],

        ["\x5E\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x89"],
        ["\xE0\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x41"],

        ["\x5E\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x8A"],
        ["\xE0\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x42"],

        ["\x5E\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x8B"],
        ["\xE0\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x43"],

        ["\x5E\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x8C"],
        ["\xE0\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x44"],

        ["\x5E\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x8D"],
        ["\xE0\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x46"],

        ["\x5E\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x8E"],
        ["\xE0\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x57"],

        ["\x5E\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x8F"],
        ["\xE0\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x47"],

        ["\x5E\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x90"],
        ["\xE0\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x48"],

        ["\x54\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x91"],
        ["\xE0\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xBB"],

        ["\x5E\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x92"],
        ["\xE0\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4A"],

        ["\x5E\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x93"],
        ["\xE0\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x52"],

        ["\x5E\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x94"],
        ["\xE0\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4C"],

        ["\x5E\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x95"],
        ["\xE0\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4D"],

        ["\x5E\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x96"],
        ["\xE0\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4E"],

        ["\x5E\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x97"],
        ["\xE0\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x50"],

        ["\x5E\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x98"],
        ["\xE0\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x51"],

        ["\x5E\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x99"],
        ["\xE0\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x53"],

        ["\x5E\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x9A"],
        ["\xE0\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x55"],

        ["\x5E\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x9B"],
        ["\xE0\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x56"],

        ["\x5E\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x9C"],
        ["\xE0\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4F"],

        ["\x5E\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x9D"],
        ["\xE0\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x54"],

        ["\x5E\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x9E"],
        ["\xE0\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x58"],

        ["\x5E\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\x9F"],
        ["\xE0\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x59"],

        ["\x5E\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA0"],
        ["\xE0\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5B"],

        ["\x5E\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA1"],
        ["\xE0\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5C"],

        ["\x5E\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA2"],
        ["\xE0\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5D"],

        ["\x53\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA3"],
        ["\xE0\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x7C"],

        ["\x5E\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA4"],
        ["\xE0\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5E"],

        ["\x5E\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA5"],
        ["\xE0\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5F"],

        ["\x5E\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA6"],
        ["\xE0\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x60"],

        ["\x5E\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA7"],
        ["\xE0\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x61"],

        ["\x5E\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA8"],
        ["\xE0\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x62"],

        ["\x5E\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xA9"],
        ["\xE0\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x63"],

        ["\x5E\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xAA"],
        ["\xE0\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x64"],

        ["\x5E\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xAB"],
        ["\xE0\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x65"],

        ["\x5E\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],
        ["\xE0\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x66"],

        ["\x5E\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xAD"],
        ["\xE0\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x67"],

        ["\x5E\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xAE"],
        ["\xE0\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x68"],

        ["\x5E\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xAF"],
        ["\xE0\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x69"],

        ["\x5E\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB0"],
        ["\xE0\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6A"],

        ["\x5E\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB1"],
        ["\xE0\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6B"],

        ["\x5E\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB2"],
        ["\xE0\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6E"],

        ["\x5E\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB3"],
        ["\xE0\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6C"],

        ["\x5E\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB4"],
        ["\xE0\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6D"],

        ["\x5E\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB5"],
        ["\xE0\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6F"],

        ["\x5E\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB6"],
        ["\xE0\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x70"],

        ["\x5E\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB7"],
        ["\xE0\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x71"],

        ["\x5E\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB8"],
        ["\xE0\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x72"],

        ["\x5E\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xB9"],
        ["\xE0\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x79"],

        ["\x5E\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xBA"],
        ["\xE0\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x74"],

        ["\x5E\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xBB"],
        ["\xE0\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x76"],

        ["\x5E\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xBC"],
        ["\xE0\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x77"],

        ["\x5E\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xBD"],
        ["\xE0\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x78"],

        ["\x5E\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xBE"],
        ["\xE0\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7A"],

        ["\x5E\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xBF"],
        ["\xE0\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7B"],

        ["\x5E\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC0"],
        ["\xE0\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7C"],

        ["\x5E\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],
        ["\xE0\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7D"],

        ["\x5E\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],
        ["\xE0\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7E"],

        ["\x5E\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],
        ["\xE0\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7F"],

        ["\x5E\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],
        ["\xE0\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x80"],

        ["\x56\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],
        ["\xE0\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA1"],

        ["\x5E\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],
        ["\xE0\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x81"],

        ["\x5E\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],
        ["\xE0\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x82"],

        ["\x5E\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],
        ["\xE0\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x83"],

        ["\x5E\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],
        ["\xE0\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x84"],

        ["\x5E\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xCA"],
        ["\xE0\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x85"],

        ["\x5E\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xCB"],
        ["\xE0\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x87"],

        ["\x5E\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xCC"],
        ["\xE0\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x89"],

        ["\x5E\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xCD"],
        ["\xE0\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x88"],

        ["\x5E\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xCE"],
        ["\xE0\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x8B"],

        ["\x5E\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xCF"],
        ["\xE0\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x8C"],

        ["\x5E\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD0"],
        ["\xE0\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x8E"],

        ["\x5E\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],
        ["\xE0\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x8D"],

        ["\x5E\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],
        ["\xE0\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x90"],

        ["\x5E\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],
        ["\xE0\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x8F"],

        ["\x5E\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],
        ["\xE0\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x91"],

        ["\x5E\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],
        ["\xE0\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x92"],

        ["\x5E\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],
        ["\xE0\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x93"],

        ["\x5E\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],
        ["\xE0\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x95"],

        ["\x5E\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],
        ["\xE0\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x96"],

        ["\x5E\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],
        ["\xE0\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x97"],

        ["\x51\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xDA"],
        ["\xE0\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xCB"],

        ["\x5E\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xDB"],
        ["\xE0\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x98"],

        ["\x5E\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xDC"],
        ["\xE0\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x9A"],

        ["\x5E\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xDD"],
        ["\xE0\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x9B"],

        ["\x5E\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xDE"],
        ["\xE0\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x9C"],

        ["\x5E\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xDF"],
        ["\xE0\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x9D"],

        ["\x5E\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],
        ["\xE0\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA0"],

        ["\x5E\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE1"],
        ["\xE0\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA3"],

        ["\x5E\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],
        ["\xE0\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA5"],

        ["\x5E\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],
        ["\xE0\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC2"],

        ["\x5E\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],
        ["\xE0\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA9"],

        ["\x5E\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],
        ["\xE0\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xBE"],

        ["\x5E\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],
        ["\xE0\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xAC"],

        ["\x5E\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],
        ["\xE0\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA6"],

        ["\x5E\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],
        ["\xE0\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xAF"],

        ["\x5E\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],
        ["\xE0\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB0"],

        ["\x5E\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xEA"],
        ["\xE0\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB1"],

        ["\x5E\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xEB"],
        ["\xE0\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB2"],

        ["\x5E\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xEC"],
        ["\xE0\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB3"],

        ["\x5E\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xED"],
        ["\xE0\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB4"],

        ["\x5E\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],
        ["\xE0\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB5"],

        ["\x5E\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],
        ["\xE0\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB6"],

        ["\x5E\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],
        ["\xE0\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB7"],

        ["\x5E\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],
        ["\xE0\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB8"],

        ["\x5E\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],
        ["\xE0\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB9"],

        ["\x5E\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],
        ["\xE0\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xBA"],

        ["\x68\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],
        ["\xE0\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x83"],

        ["\x5E\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],
        ["\xE0\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xBF"],

        ["\x50\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],
        ["\xE0\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4D"],

        ["\x5E\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],
        ["\xE0\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC1"],

        ["\x5E\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],
        ["\xE0\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC3"],

        ["\x5E\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],
        ["\xE0\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC4"],

        ["\x5E\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],
        ["\xE0\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC5"],

        ["\x5E\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],
        ["\xE0\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC6"],

        ["\x5E\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],
        ["\xE0\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA4"],

        ["\x5E\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x40"],
        ["\xE1\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC7"],

        ["\x5E\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x41"],
        ["\xE1\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC8"],

        ["\x5E\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x42"],
        ["\xE1\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC9"],

        ["\x5E\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x43"],
        ["\xE1\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xCA"],

        ["\x5E\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x44"],
        ["\xE1\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xCB"],

        ["\x5E\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x45"],
        ["\xE1\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xCD"],

        ["\x5E\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x46"],
        ["\xE1\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xCC"],

        ["\x5E\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x47"],
        ["\xE1\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xCE"],

        ["\x5E\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x48"],
        ["\xE1\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD0"],

        ["\x5E\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x49"],
        ["\xE1\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xCF"],

        ["\x5E\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x4A"],
        ["\xE1\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD2"],

        ["\x5E\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x4B"],
        ["\xE1\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD3"],

        ["\x5E\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x4C"],
        ["\xE1\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD4"],

        ["\x5E\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x4D"],
        ["\xE1\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD6"],

        ["\x5E\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x4E"],
        ["\xE1\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD7"],

        ["\x5E\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x4F"],
        ["\xE1\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD5"],

        ["\x53\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x50"],
        ["\xE1\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE6"],

        ["\x5E\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x51"],
        ["\xE1\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD8"],

        ["\x5E\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x52"],
        ["\xE1\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD9"],

        ["\x5E\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x53"],
        ["\xE1\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xDA"],

        ["\x5E\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x54"],
        ["\xE1\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xDB"],

        ["\x5E\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x55"],
        ["\xE1\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xDC"],

        ["\x5E\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x56"],
        ["\xE1\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xDD"],

        ["\x5E\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x57"],
        ["\xE1\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xDE"],

        ["\x5E\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x58"],
        ["\xE1\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xDF"],

        ["\x5E\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x59"],
        ["\xE1\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE0"],

        ["\x5E\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x5A"],
        ["\xE1\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE2"],

        ["\x5E\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x5B"],
        ["\xE1\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE1"],

        ["\x5E\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x5C"],
        ["\xE1\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE3"],

        ["\x52\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x5D"],
        ["\xE1\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xFD"],

        ["\x5E\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x5E"],
        ["\xE1\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE4"],

        ["\x5E\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x5F"],
        ["\xE1\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE5"],

        ["\x5E\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x60"],
        ["\xE1\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE6"],

        ["\x5E\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x61"],
        ["\xE1\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE9"],

        ["\x5E\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x62"],
        ["\xE1\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xEA"],

        ["\x5E\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x63"],
        ["\xE1\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xEB"],

        ["\x5E\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x64"],
        ["\xE1\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xED"],

        ["\x5E\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x65"],
        ["\xE1\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xEE"],

        ["\x5E\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x66"],
        ["\xE1\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE8"],

        ["\x5E\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x67"],
        ["\xE1\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xEF"],

        ["\x5E\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x68"],
        ["\xE1\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF0"],

        ["\x5E\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x69"],
        ["\xE1\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xEC"],

        ["\x5E\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x6A"],
        ["\xE1\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF1"],

        ["\x5E\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x6B"],
        ["\xE1\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF2"],

        ["\x5E\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x6C"],
        ["\xE1\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF3"],

        ["\x5E\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x6D"],
        ["\xE1\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF4"],

        ["\x5E\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x6E"],
        ["\xE1\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF5"],

        ["\x5E\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x6F"],
        ["\xE1\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF6"],

        ["\x5E\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x70"],
        ["\xE1\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF7"],

        ["\x5E\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x71"],
        ["\xE1\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF8"],

        ["\x5E\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x72"],
        ["\xE1\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF9"],

        ["\x5E\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x73"],
        ["\xE1\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xFA"],

        ["\x5E\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x74"],
        ["\xE1\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xFB"],

        ["\x5E\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x75"],
        ["\xE1\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xFC"],

        ["\x5E\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x76"],
        ["\xE1\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xFD"],

        ["\x5E\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x77"],
        ["\xE1\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xFE"],

        ["\x5F\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x78"],
        ["\xE1\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x41"],

        ["\x5F\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x79"],
        ["\xE1\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x42"],

        ["\x5F\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x7A"],
        ["\xE1\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x43"],

        ["\x5F\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x7B"],
        ["\xE1\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x44"],

        ["\x5F\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x7C"],
        ["\xE1\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x45"],

        ["\x5F\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x7D"],
        ["\xE1\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x46"],

        ["\x5F\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x7E"],
        ["\xE1\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x47"],

        ["\x5F\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x80"],
        ["\xE1\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x48"],

        ["\x5F\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x81"],
        ["\xE1\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x49"],

        ["\x5F\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x82"],
        ["\xE1\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4A"],

        ["\x5F\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x83"],
        ["\xE1\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4B"],

        ["\x5F\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x84"],
        ["\xE1\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4C"],

        ["\x5F\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x85"],
        ["\xE1\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4D"],

        ["\x5F\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x86"],
        ["\xE1\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4E"],

        ["\x52\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x87"],
        ["\xE1\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x4F"],

        ["\x5F\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x88"],
        ["\xE1\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4F"],

        ["\x5F\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x89"],
        ["\xE1\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x50"],

        ["\x5F\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x8A"],
        ["\xE1\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x51"],

        ["\x5F\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x8B"],
        ["\xE1\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x52"],

        ["\x5F\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x8C"],
        ["\xE1\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x53"],

        ["\x5F\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x8D"],
        ["\xE1\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x54"],

        ["\x5F\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x8E"],
        ["\xE1\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x55"],

        ["\x5F\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x8F"],
        ["\xE1\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x56"],

        ["\x5F\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x90"],
        ["\xE1\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x57"],

        ["\x5F\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x91"],
        ["\xE1\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x58"],

        ["\x5F\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x92"],
        ["\xE1\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x59"],

        ["\x5F\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x93"],
        ["\xE1\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5A"],

        ["\x5F\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x94"],
        ["\xE1\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5C"],

        ["\x5F\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x95"],
        ["\xE1\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5D"],

        ["\x5F\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x96"],
        ["\xE1\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5B"],

        ["\x5F\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x97"],
        ["\xE1\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5E"],

        ["\x5F\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x98"],
        ["\xE1\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5F"],

        ["\x5F\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x99"],
        ["\xE1\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x60"],

        ["\x5F\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x9A"],
        ["\xE1\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x61"],

        ["\x5F\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x9B"],
        ["\xE1\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x63"],

        ["\x5F\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x9C"],
        ["\xE1\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x62"],

        ["\x5F\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x9D"],
        ["\xE1\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x64"],

        ["\x5F\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x9E"],
        ["\xE1\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x65"],

        ["\x5F\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\x9F"],
        ["\xE1\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x66"],

        ["\x5F\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA0"],
        ["\xE1\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x67"],

        ["\x53\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA1"],
        ["\xE1\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x9A"],

        ["\x5F\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA2"],
        ["\xE1\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x68"],

        ["\x5F\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA3"],
        ["\xE1\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6A"],

        ["\x5F\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA4"],
        ["\xE1\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6B"],

        ["\x5F\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA5"],
        ["\xE1\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6C"],

        ["\x5F\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA6"],
        ["\xE1\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6D"],

        ["\x52\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA7"],
        ["\xE1\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x99"],

        ["\x53\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA8"],
        ["\xE1\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x96"],

        ["\x4E\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xA9"],
        ["\xE1\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x81"],

        ["\x5F\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xAA"],
        ["\xE1\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6E"],

        ["\x5F\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xAB"],
        ["\xE1\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6F"],

        ["\x5F\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xAC"],
        ["\xE1\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x74"],

        ["\x5F\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xAD"],
        ["\xE1\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x75"],

        ["\x5F\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xAE"],
        ["\xE1\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x76"],

        ["\x5F\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xAF"],
        ["\xE1\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x77"],

        ["\x5F\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB0"],
        ["\xE1\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x78"],

        ["\x5F\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB1"],
        ["\xE1\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x79"],

        ["\x5F\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB2"],
        ["\xE1\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7B"],

        ["\x5F\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB3"],
        ["\xE1\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7C"],

        ["\x5F\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB4"],
        ["\xE1\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7D"],

        ["\x5F\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB5"],
        ["\xE1\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7E"],

        ["\x5F\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB6"],
        ["\xE1\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7F"],

        ["\x5F\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB7"],
        ["\xE1\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x80"],

        ["\x53\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8"],
        ["\xE1\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF7"],

        ["\x5F\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xB9"],
        ["\xE1\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x81"],

        ["\x5F\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xBA"],
        ["\xE1\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x82"],

        ["\x5F\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xBB"],
        ["\xE1\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x83"],

        ["\x5F\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xBC"],
        ["\xE1\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x84"],

        ["\x5F\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD"],
        ["\xE1\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x85"],

        ["\x5F\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xBE"],
        ["\xE1\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x86"],

        ["\x5F\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xBF"],
        ["\xE1\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x88"],

        ["\x5F\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC0"],
        ["\xE1\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x87"],

        ["\x51\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC1"],
        ["\xE1\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xCA"],

        ["\x5F\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC2"],
        ["\xE1\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x89"],

        ["\x5F\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC3"],
        ["\xE1\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x8A"],

        ["\x5F\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC4"],
        ["\xE1\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x8B"],

        ["\x5F\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC5"],
        ["\xE1\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x8C"],

        ["\x5F\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC6"],
        ["\xE1\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x8D"],

        ["\x5F\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC7"],
        ["\xE1\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x8F"],

        ["\x5F\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC8"],
        ["\xE1\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x90"],

        ["\x5F\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xC9"],
        ["\xE1\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x91"],

        ["\x5F\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xCA"],
        ["\xE1\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x92"],

        ["\x5F\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xCB"],
        ["\xE1\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x93"],

        ["\x5F\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xCC"],
        ["\xE1\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x94"],

        ["\x5F\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xCD"],
        ["\xE1\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x95"],

        ["\x5F\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xCE"],
        ["\xE1\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x96"],

        ["\x5F\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xCF"],
        ["\xE1\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x97"],

        ["\x5F\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD0"],
        ["\xE1\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x98"],

        ["\x5F\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD1"],
        ["\xE1\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x99"],

        ["\x5F\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD2"],
        ["\xE1\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x9A"],

        ["\x5F\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD3"],
        ["\xE1\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x9B"],

        ["\x5F\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD4"],
        ["\xE1\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x9C"],

        ["\x5F\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD5"],
        ["\xE1\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x9D"],

        ["\x5F\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD6"],
        ["\xE1\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x9E"],

        ["\x5F\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD7"],
        ["\xE1\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x9F"],

        ["\x5F\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD8"],
        ["\xE1\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA0"],

        ["\x5F\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xD9"],
        ["\xE1\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA1"],

        ["\x5F\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xDA"],
        ["\xE1\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA2"],

        ["\x5F\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xDB"],
        ["\xE1\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA3"],

        ["\x5F\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xDC"],
        ["\xE1\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA4"],

        ["\x5F\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xDD"],
        ["\xE1\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA5"],

        ["\x53\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xDE"],
        ["\xE1\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x50"],

        ["\x5F\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xDF"],
        ["\xE1\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA6"],

        ["\x5F\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE0"],
        ["\xE1\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA7"],

        ["\x5F\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE1"],
        ["\xE1\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA8"],

        ["\x5F\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE2"],
        ["\xE1\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA9"],

        ["\x5F\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE3"],
        ["\xE1\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xAB"],

        ["\x5F\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE4"],
        ["\xE1\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xAC"],

        ["\x5F\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE5"],
        ["\xE1\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xAD"],

        ["\x51\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE6"],
        ["\xE1\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xB9"],

        ["\x5F\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE7"],
        ["\xE1\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB0"],

        ["\x51\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE8"],
        ["\xE1\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x4C"],

        ["\x5F\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xE9"],
        ["\xE1\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB1"],

        ["\x5F\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xEA"],
        ["\xE1\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB5"],

        ["\x5F\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xEB"],
        ["\xE1\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB4"],

        ["\x5F\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xEC"],
        ["\xE1\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB7"],

        ["\x5F\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xED"],
        ["\xE1\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB9"],

        ["\x5F\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xEE"],
        ["\xE1\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB8"],

        ["\x5F\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xEF"],
        ["\xE1\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xBA"],

        ["\x5F\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF0"],
        ["\xE1\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xBB"],

        ["\x5F\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF1"],
        ["\xE1\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xBC"],

        ["\x5F\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF2"],
        ["\xE1\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xBD"],

        ["\x5F\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF3"],
        ["\xE1\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xBE"],

        ["\x5F\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF4"],
        ["\xE1\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xBF"],

        ["\x5F\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF5"],
        ["\xE1\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC0"],

        ["\x5F\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF6"],
        ["\xE1\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC1"],

        ["\x5F\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF7"],
        ["\xE1\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC2"],

        ["\x5F\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF8"],
        ["\xE1\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC3"],

        ["\x5F\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xF9"],
        ["\xE1\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC4"],

        ["\x5F\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xFA"],
        ["\xE1\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC5"],

        ["\x5F\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xFB"],
        ["\xE1\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC6"],

        ["\x5F\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE1\xFC"],
        ["\xE1\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC7"],

        ["\x5F\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x40"],
        ["\xE2\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC8"],

        ["\x5F\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x41"],
        ["\xE2\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC9"],

        ["\x5F\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x42"],
        ["\xE2\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xCA"],

        ["\x5F\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x43"],
        ["\xE2\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xCB"],

        ["\x5F\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x44"],
        ["\xE2\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xCC"],

        ["\x4D\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x45"],
        ["\xE2\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xF0"],

        ["\x5F\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x46"],
        ["\xE2\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xCD"],

        ["\x5F\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x47"],
        ["\xE2\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xCE"],

        ["\x5F\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x48"],
        ["\xE2\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xCF"],

        ["\x5F\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x49"],
        ["\xE2\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD0"],

        ["\x5F\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x4A"],
        ["\xE2\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD3"],

        ["\x5F\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x4B"],
        ["\xE2\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD4"],

        ["\x53\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x4C"],
        ["\xE2\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x65"],

        ["\x5F\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x4D"],
        ["\xE2\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD6"],

        ["\x5F\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x4E"],
        ["\xE2\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD7"],

        ["\x5F\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x4F"],
        ["\xE2\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD8"],

        ["\x55\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x50"],
        ["\xE2\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x5C"],

        ["\x52\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x51"],
        ["\xE2\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xD8"],

        ["\x5F\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x52"],
        ["\xE2\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xDA"],

        ["\x5F\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x53"],
        ["\xE2\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xDB"],

        ["\x5F\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x54"],
        ["\xE2\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xDE"],

        ["\x4F\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x55"],
        ["\xE2\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD7"],

        ["\x51\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x56"],
        ["\xE2\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF5"],

        ["\x5F\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x57"],
        ["\xE2\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE0"],

        ["\x54\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x58"],
        ["\xE2\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF5"],

        ["\x5F\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x59"],
        ["\xE2\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE1"],

        ["\x53\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x5A"],
        ["\xE2\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x6A"],

        ["\x5F\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x5B"],
        ["\xE2\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE2"],

        ["\x5F\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x5C"],
        ["\xE2\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE3"],

        ["\x5F\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x5D"],
        ["\xE2\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE4"],

        ["\x5F\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x5E"],
        ["\xE2\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE5"],

        ["\x5F\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x5F"],
        ["\xE2\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE6"],

        ["\x54\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x60"],
        ["\xE2\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xB5"],

        ["\x5F\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x61"],
        ["\xE2\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE7"],

        ["\x5F\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x62"],
        ["\xE2\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE8"],

        ["\x5F\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x63"],
        ["\xE2\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE9"],

        ["\x5F\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x64"],
        ["\xE2\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xEA"],

        ["\x5F\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x65"],
        ["\xE2\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xEB"],

        ["\x53\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x66"],
        ["\xE2\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x66"],

        ["\x5F\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x67"],
        ["\xE2\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xEC"],

        ["\x50\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x68"],
        ["\xE2\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE7"],

        ["\x5F\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x69"],
        ["\xE2\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xED"],

        ["\x5F\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x6A"],
        ["\xE2\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF0"],

        ["\x5F\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x6B"],
        ["\xE2\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xEE"],

        ["\x5F\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x6C"],
        ["\xE2\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xEF"],

        ["\x5F\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x6D"],
        ["\xE2\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF1"],

        ["\x5F\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x6E"],
        ["\xE2\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF2"],

        ["\x5F\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x6F"],
        ["\xE2\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF3"],

        ["\x5F\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x70"],
        ["\xE2\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF5"],

        ["\x5F\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x71"],
        ["\xE2\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF4"],

        ["\x5F\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x72"],
        ["\xE2\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF6"],

        ["\x5F\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x73"],
        ["\xE2\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF7"],

        ["\x5F\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x74"],
        ["\xE2\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF8"],

        ["\x5F\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x75"],
        ["\xE2\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF9"],

        ["\x5F\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x76"],
        ["\xE2\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xFA"],

        ["\x5F\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x77"],
        ["\xE2\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xFB"],

        ["\x60\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x78"],
        ["\xE2\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x41"],

        ["\x5F\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x79"],
        ["\xE2\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xFC"],

        ["\x5F\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x7A"],
        ["\xE2\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xFD"],

        ["\x5F\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x7B"],
        ["\xE2\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xFE"],

        ["\x60\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x7C"],
        ["\xE2\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x42"],

        ["\x52\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x7D"],
        ["\xE2\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF0"],

        ["\x60\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x7E"],
        ["\xE2\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x43"],

        ["\x60\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x80"],
        ["\xE2\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x44"],

        ["\x60\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x81"],
        ["\xE2\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x48"],

        ["\x60\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x82"],
        ["\xE2\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x49"],

        ["\x60\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x83"],
        ["\xE2\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x47"],

        ["\x60\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x84"],
        ["\xE2\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x45"],

        ["\x60\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x85"],
        ["\xE2\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4A"],

        ["\x60\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x86"],
        ["\xE2\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4B"],

        ["\x60\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x87"],
        ["\xE2\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4C"],

        ["\x60\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x88"],
        ["\xE2\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4D"],

        ["\x60\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x89"],
        ["\xE2\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x50"],

        ["\x60\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A"],
        ["\xE2\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x51"],

        ["\x60\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x8B"],
        ["\xE2\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x52"],

        ["\x60\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C"],
        ["\xE2\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x53"],

        ["\x60\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x8D"],
        ["\xE2\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x54"],

        ["\x60\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x8E"],
        ["\xE2\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x55"],

        ["\x60\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F"],
        ["\xE2\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x56"],

        ["\x60\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x90"],
        ["\xE2\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x57"],

        ["\x60\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x91"],
        ["\xE2\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x5B"],

        ["\x60\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x92"],
        ["\xE2\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x5C"],

        ["\x60\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x93"],
        ["\xE2\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x5E"],

        ["\x60\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x94"],
        ["\xE2\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x5F"],

        ["\x60\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x95"],
        ["\xE2\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x61"],

        ["\x60\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x96"],
        ["\xE2\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x62"],

        ["\x60\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x97"],
        ["\xE2\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x63"],

        ["\x53\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x98"],
        ["\xE2\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xE7"],

        ["\x60\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x99"],
        ["\xE2\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x65"],

        ["\x60\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x9A"],
        ["\xE2\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x66"],

        ["\x60\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x9B"],
        ["\xE2\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x67"],

        ["\x60\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x9C"],
        ["\xE2\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x68"],

        ["\x60\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D"],
        ["\xE2\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x64"],

        ["\x60\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x9E"],
        ["\xE2\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x69"],

        ["\x60\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\x9F"],
        ["\xE2\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6F"],

        ["\x54\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA0"],
        ["\xE2\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD5"],

        ["\x60\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],
        ["\xE2\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6A"],

        ["\x60\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA2"],
        ["\xE2\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x60"],

        ["\x60\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA3"],
        ["\xE2\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6B"],

        ["\x60\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4"],
        ["\xE2\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6C"],

        ["\x60\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA5"],
        ["\xE2\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6E"],

        ["\x54\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6"],
        ["\xE2\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x84"],

        ["\x60\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7"],
        ["\xE2\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x70"],

        ["\x50\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA8"],
        ["\xE2\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x48"],

        ["\x60\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xA9"],
        ["\xE2\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x71"],

        ["\x60\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xAA"],
        ["\xE2\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x72"],

        ["\x53\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],
        ["\xE2\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x4E"],

        ["\x60\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xAC"],
        ["\xE2\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x73"],

        ["\x60\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xAD"],
        ["\xE2\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x74"],

        ["\x60\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xAE"],
        ["\xE2\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x75"],

        ["\x60\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xAF"],
        ["\xE2\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x76"],

        ["\x60\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],
        ["\xE2\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x77"],

        ["\x60\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB1"],
        ["\xE2\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x78"],

        ["\x60\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB2"],
        ["\xE2\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x79"],

        ["\x55\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB3"],
        ["\xE2\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA4"],

        ["\x60\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB4"],
        ["\xE2\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7A"],

        ["\x60\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB5"],
        ["\xE2\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7B"],

        ["\x60\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB6"],
        ["\xE2\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6D"],

        ["\x60\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB7"],
        ["\xE2\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7C"],

        ["\x60\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB8"],
        ["\xE2\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7E"],

        ["\x51\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xB9"],
        ["\xE2\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xE8"],

        ["\x60\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xBA"],
        ["\xE2\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7F"],

        ["\x60\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xBB"],
        ["\xE2\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7D"],

        ["\x60\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xBC"],
        ["\xE2\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x80"],

        ["\x60\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xBD"],
        ["\xE2\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x81"],

        ["\x60\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xBE"],
        ["\xE2\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x83"],

        ["\x60\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xBF"],
        ["\xE2\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x84"],

        ["\x4F\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],
        ["\xE2\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x53"],

        ["\x60\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],
        ["\xE2\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x88"],

        ["\x60\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],
        ["\xE2\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x85"],

        ["\x60\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],
        ["\xE2\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x87"],

        ["\x4C\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],
        ["\xE2\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xEE"],

        ["\x60\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],
        ["\xE2\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x89"],

        ["\x60\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],
        ["\xE2\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x8B"],

        ["\x60\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],
        ["\xE2\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x8A"],

        ["\x60\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],
        ["\xE2\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x8C"],

        ["\x60\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],
        ["\xE2\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x86"],

        ["\x51\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xCA"],
        ["\xE2\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x7C"],

        ["\x60\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xCB"],
        ["\xE2\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x8D"],

        ["\x60\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xCC"],
        ["\xE2\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x8E"],

        ["\x60\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xCD"],
        ["\xE2\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x8F"],

        ["\x60\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xCE"],
        ["\xE2\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x90"],

        ["\x60\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xCF"],
        ["\xE2\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x91"],

        ["\x60\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],
        ["\xE2\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x92"],

        ["\x60\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],
        ["\xE2\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x93"],

        ["\x60\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],
        ["\xE2\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x94"],

        ["\x60\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],
        ["\xE2\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x95"],

        ["\x60\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],
        ["\xE2\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x97"],

        ["\x60\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],
        ["\xE2\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x98"],

        ["\x4F\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],
        ["\xE2\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x99"],

        ["\x51\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],
        ["\xE2\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF2"],

        ["\x60\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],
        ["\xE2\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x96"],

        ["\x60\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],
        ["\xE2\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x9A"],

        ["\x60\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xDA"],
        ["\xE2\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x9B"],

        ["\x60\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xDB"],
        ["\xE2\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x9C"],

        ["\x52\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xDC"],
        ["\xE2\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xAA"],

        ["\x60\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xDD"],
        ["\xE2\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x99"],

        ["\x60\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xDE"],
        ["\xE2\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x9D"],

        ["\x60\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xDF"],
        ["\xE2\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x9E"],

        ["\x60\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],
        ["\xE2\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x9F"],

        ["\x60\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],
        ["\xE2\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA0"],

        ["\x60\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],
        ["\xE2\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA1"],

        ["\x60\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],
        ["\xE2\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA2"],

        ["\x60\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],
        ["\xE2\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA6"],

        ["\x60\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],
        ["\xE2\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA3"],

        ["\x60\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],
        ["\xE2\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA4"],

        ["\x60\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],
        ["\xE2\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA5"],

        ["\x60\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],
        ["\xE2\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA7"],

        ["\x60\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],
        ["\xE2\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA8"],

        ["\x60\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],
        ["\xE2\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA9"],

        ["\x60\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],
        ["\xE2\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xAA"],

        ["\x60\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],
        ["\xE2\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xAB"],

        ["\x60\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],
        ["\xE2\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xAC"],

        ["\x60\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],
        ["\xE2\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xAE"],

        ["\x51\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],
        ["\xE2\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xBC"],

        ["\x60\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],
        ["\xE2\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xAF"],

        ["\x60\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],
        ["\xE2\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB0"],

        ["\x60\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],
        ["\xE2\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB3"],

        ["\x60\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],
        ["\xE2\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB1"],

        ["\x60\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],
        ["\xE2\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB4"],

        ["\x60\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],
        ["\xE2\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB2"],

        ["\x67\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],
        ["\xE2\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x88"],

        ["\x60\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],
        ["\xE2\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB5"],

        ["\x60\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],
        ["\xE2\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB6"],

        ["\x60\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],
        ["\xE2\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB7"],

        ["\x60\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xFA"],
        ["\xE2\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB8"],

        ["\x52\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],
        ["\xE2\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xC2"],

        ["\x60\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],
        ["\xE2\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB9"],

        ["\x60\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x40"],
        ["\xE3\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xBA"],

        ["\x60\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x41"],
        ["\xE3\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xBB"],

        ["\x60\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x42"],
        ["\xE3\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xBC"],

        ["\x60\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x43"],
        ["\xE3\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xBD"],

        ["\x60\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x44"],
        ["\xE3\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xBE"],

        ["\x60\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x45"],
        ["\xE3\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xBF"],

        ["\x60\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x46"],
        ["\xE3\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC0"],

        ["\x60\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x47"],
        ["\xE3\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC1"],

        ["\x60\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x48"],
        ["\xE3\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC2"],

        ["\x60\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x49"],
        ["\xE3\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC3"],

        ["\x60\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x4A"],
        ["\xE3\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC5"],

        ["\x60\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x4B"],
        ["\xE3\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC7"],

        ["\x60\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x4C"],
        ["\xE3\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC8"],

        ["\x60\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x4D"],
        ["\xE3\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC9"],

        ["\x52\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x4E"],
        ["\xE3\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x68"],

        ["\x60\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x4F"],
        ["\xE3\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xCA"],

        ["\x60\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x50"],
        ["\xE3\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xCB"],

        ["\x60\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x51"],
        ["\xE3\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xCC"],

        ["\x60\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x52"],
        ["\xE3\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xCD"],

        ["\x60\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x53"],
        ["\xE3\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xCE"],

        ["\x60\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x54"],
        ["\xE3\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xCF"],

        ["\x60\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x55"],
        ["\xE3\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD0"],

        ["\x53\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x56"],
        ["\xE3\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x74"],

        ["\x54\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x57"],
        ["\xE3\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xED"],

        ["\x54\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x58"],
        ["\xE3\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xEB"],

        ["\x54\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x59"],
        ["\xE3\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD3"],

        ["\x60\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x5A"],
        ["\xE3\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD1"],

        ["\x60\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x5B"],
        ["\xE3\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD2"],

        ["\x60\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x5C"],
        ["\xE3\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD3"],

        ["\x60\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x5D"],
        ["\xE3\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD5"],

        ["\x60\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x5E"],
        ["\xE3\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD6"],

        ["\x60\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x5F"],
        ["\xE3\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD7"],

        ["\x60\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x60"],
        ["\xE3\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF3"],

        ["\x60\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x61"],
        ["\xE3\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD8"],

        ["\x60\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x62"],
        ["\xE3\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD9"],

        ["\x60\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x63"],
        ["\xE3\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE8"],

        ["\x60\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x64"],
        ["\xE3\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xDB"],

        ["\x60\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x65"],
        ["\xE3\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xDC"],

        ["\x60\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x66"],
        ["\xE3\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xDD"],

        ["\x60\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x67"],
        ["\xE3\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xDF"],

        ["\x60\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x68"],
        ["\xE3\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE0"],

        ["\x60\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x69"],
        ["\xE3\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE2"],

        ["\x60\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x6A"],
        ["\xE3\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE3"],

        ["\x60\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x6B"],
        ["\xE3\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE4"],

        ["\x60\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x6C"],
        ["\xE3\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE6"],

        ["\x60\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x6D"],
        ["\xE3\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE7"],

        ["\x60\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x6E"],
        ["\xE3\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE9"],

        ["\x60\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x6F"],
        ["\xE3\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xEA"],

        ["\x55\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x70"],
        ["\xE3\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xA8"],

        ["\x60\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x71"],
        ["\xE3\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xEB"],

        ["\x60\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x72"],
        ["\xE3\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xEC"],

        ["\x60\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x73"],
        ["\xE3\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF2"],

        ["\x60\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x74"],
        ["\xE3\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xED"],

        ["\x60\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x75"],
        ["\xE3\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xEE"],

        ["\x60\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x76"],
        ["\xE3\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE5"],

        ["\x5B\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x77"],
        ["\xE3\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xCC"],

        ["\x60\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x78"],
        ["\xE3\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF0"],

        ["\x60\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x79"],
        ["\xE3\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF1"],

        ["\x60\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x7A"],
        ["\xE3\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF5"],

        ["\x60\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x7B"],
        ["\xE3\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF4"],

        ["\x60\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x7C"],
        ["\xE3\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF6"],

        ["\x60\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x7D"],
        ["\xE3\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF7"],

        ["\x60\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x7E"],
        ["\xE3\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF8"],

        ["\x60\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x80"],
        ["\xE3\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF9"],

        ["\x60\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x81"],
        ["\xE3\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xEF"],

        ["\x61\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x82"],
        ["\xE3\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x42"],

        ["\x60\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x83"],
        ["\xE3\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xFA"],

        ["\x60\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x84"],
        ["\xE3\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xFB"],

        ["\x60\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x85"],
        ["\xE3\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xFC"],

        ["\x60\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x86"],
        ["\xE3\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xFE"],

        ["\x61\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x87"],
        ["\xE3\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x41"],

        ["\x61\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x88"],
        ["\xE3\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x43"],

        ["\x61\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x89"],
        ["\xE3\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x44"],

        ["\x61\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A"],
        ["\xE3\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x45"],

        ["\x61\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B"],
        ["\xE3\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x46"],

        ["\x61\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C"],
        ["\xE3\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x47"],

        ["\x61\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D"],
        ["\xE3\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x4B"],

        ["\x60\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E"],
        ["\xE3\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xDE"],

        ["\x61\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x8F"],
        ["\xE3\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x48"],

        ["\x61\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x90"],
        ["\xE3\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x49"],

        ["\x61\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x91"],
        ["\xE3\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x4A"],

        ["\x52\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x92"],
        ["\xE3\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x78"],

        ["\x61\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x93"],
        ["\xE3\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x4C"],

        ["\x61\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x94"],
        ["\xE3\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x4E"],

        ["\x61\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x95"],
        ["\xE3\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x4F"],

        ["\x52\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x96"],
        ["\xE3\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x73"],

        ["\x61\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x97"],
        ["\xE3\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x50"],

        ["\x61\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x98"],
        ["\xE3\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x51"],

        ["\x61\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x99"],
        ["\xE3\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x52"],

        ["\x61\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x9A"],
        ["\xE3\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x4D"],

        ["\x61\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x9B"],
        ["\xE3\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x53"],

        ["\x53\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x9C"],
        ["\xE3\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x9C"],

        ["\x61\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D"],
        ["\xE3\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x54"],

        ["\x61\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x9E"],
        ["\xE3\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x55"],

        ["\x61\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F"],
        ["\xE3\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x56"],

        ["\x61\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0"],
        ["\xE3\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x58"],

        ["\x54\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],
        ["\xE3\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xCB"],

        ["\x61\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA2"],
        ["\xE3\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x59"],

        ["\x51\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3"],
        ["\xE3\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x6E"],

        ["\x61\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4"],
        ["\xE3\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x5A"],

        ["\x61\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5"],
        ["\xE3\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x5B"],

        ["\x61\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA6"],
        ["\xE3\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x5C"],

        ["\x61\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA7"],
        ["\xE3\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x5D"],

        ["\x61\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA8"],
        ["\xE3\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x5E"],

        ["\x61\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9"],
        ["\xE3\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x5F"],

        ["\x61\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xAA"],
        ["\xE3\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x60"],

        ["\x61\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],
        ["\xE3\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x62"],

        ["\x61\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC"],
        ["\xE3\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x61"],

        ["\x61\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD"],
        ["\xE3\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x63"],

        ["\x61\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE"],
        ["\xE3\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x64"],

        ["\x61\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF"],
        ["\xE3\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x65"],

        ["\x61\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],
        ["\xE3\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x66"],

        ["\x61\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB1"],
        ["\xE3\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x68"],

        ["\x61\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB2"],
        ["\xE3\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x67"],

        ["\x61\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3"],
        ["\xE3\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x69"],

        ["\x61\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4"],
        ["\xE3\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x6A"],

        ["\x61\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5"],
        ["\xE3\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x6B"],

        ["\x61\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6"],
        ["\xE3\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x6C"],

        ["\x61\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7"],
        ["\xE3\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x6D"],

        ["\x61\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8"],
        ["\xE3\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x6F"],

        ["\x61\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9"],
        ["\xE3\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x70"],

        ["\x61\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA"],
        ["\xE3\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x72"],

        ["\x61\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xBB"],
        ["\xE3\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x73"],

        ["\x61\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xBC"],
        ["\xE3\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x71"],

        ["\x61\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD"],
        ["\xE3\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x74"],

        ["\x61\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE"],
        ["\xE3\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x75"],

        ["\x61\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF"],
        ["\xE3\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x76"],

        ["\x61\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],
        ["\xE3\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x78"],

        ["\x61\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],
        ["\xE3\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x79"],

        ["\x61\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],
        ["\xE3\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x7A"],

        ["\x61\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],
        ["\xE3\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x7B"],

        ["\x54\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],
        ["\xE3\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF9"],

        ["\x61\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],
        ["\xE3\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x7C"],

        ["\x61\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],
        ["\xE3\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x7D"],

        ["\x61\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],
        ["\xE3\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x7E"],

        ["\x61\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],
        ["\xE3\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x7F"],

        ["\x61\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],
        ["\xE3\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x80"],

        ["\x66\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xCA"],
        ["\xE3\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xDA"],

        ["\x53\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xCB"],
        ["\xE3\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xDC"],

        ["\x61\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xCC"],
        ["\xE3\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x81"],

        ["\x61\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xCD"],
        ["\xE3\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x82"],

        ["\x61\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xCE"],
        ["\xE3\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x83"],

        ["\x54\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xCF"],
        ["\xE3\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE4"],

        ["\x61\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],
        ["\xE3\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x84"],

        ["\x61\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],
        ["\xE3\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x85"],

        ["\x61\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],
        ["\xE3\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x86"],

        ["\x61\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],
        ["\xE3\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x87"],

        ["\x61\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],
        ["\xE3\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x88"],

        ["\x61\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],
        ["\xE3\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x89"],

        ["\x61\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],
        ["\xE3\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x8A"],

        ["\x61\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],
        ["\xE3\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x8B"],

        ["\x61\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],
        ["\xE3\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x8C"],

        ["\x61\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],
        ["\xE3\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x8D"],

        ["\x54\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xDA"],
        ["\xE3\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x79"],

        ["\x61\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xDB"],
        ["\xE3\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x8E"],

        ["\x61\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xDC"],
        ["\xE3\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x8F"],

        ["\x61\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xDD"],
        ["\xE3\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x90"],

        ["\x61\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xDE"],
        ["\xE3\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x91"],

        ["\x61\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xDF"],
        ["\xE3\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x92"],

        ["\x61\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],
        ["\xE3\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x93"],

        ["\x61\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],
        ["\xE3\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x94"],

        ["\x61\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],
        ["\xE3\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x95"],

        ["\x61\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],
        ["\xE3\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x96"],

        ["\x61\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],
        ["\xE3\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x97"],

        ["\x61\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],
        ["\xE3\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x98"],

        ["\x53\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],
        ["\xE3\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB6"],

        ["\x61\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],
        ["\xE3\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x99"],

        ["\x52\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],
        ["\xE3\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x92"],

        ["\x61\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],
        ["\xE3\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x9A"],

        ["\x61\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xEA"],
        ["\xE3\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x9B"],

        ["\x61\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xEB"],
        ["\xE3\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x9C"],

        ["\x61\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],
        ["\xE3\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x9D"],

        ["\x61\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],
        ["\xE3\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x9E"],

        ["\x61\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xEE"],
        ["\xE3\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x9F"],

        ["\x61\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xEF"],
        ["\xE3\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA0"],

        ["\x61\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],
        ["\xE3\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA1"],

        ["\x61\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],
        ["\xE3\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA2"],

        ["\x61\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],
        ["\xE3\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA3"],

        ["\x61\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],
        ["\xE3\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA4"],

        ["\x52\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],
        ["\xE3\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x88"],

        ["\x61\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],
        ["\xE3\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA5"],

        ["\x61\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],
        ["\xE3\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA6"],

        ["\x61\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],
        ["\xE3\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA7"],

        ["\x61\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],
        ["\xE3\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA8"],

        ["\x4C\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],
        ["\xE3\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x96"],

        ["\x61\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],
        ["\xE3\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xA9"],

        ["\x61\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xFB"],
        ["\xE3\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xAA"],

        ["\x61\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE3\xFC"],
        ["\xE3\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xAB"],

        ["\x66\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x40"],
        ["\xE4\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x73"],

        ["\x61\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x41"],
        ["\xE4\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xAC"],

        ["\x61\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x42"],
        ["\xE4\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xAD"],

        ["\x61\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x43"],
        ["\xE4\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xAE"],

        ["\x61\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x44"],
        ["\xE4\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xAF"],

        ["\x61\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x45"],
        ["\xE4\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB0"],

        ["\x61\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x46"],
        ["\xE4\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB1"],

        ["\x61\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x47"],
        ["\xE4\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB2"],

        ["\x61\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x48"],
        ["\xE4\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB3"],

        ["\x61\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x49"],
        ["\xE4\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB5"],

        ["\x61\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x4A"],
        ["\xE4\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB6"],

        ["\x61\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x4B"],
        ["\xE4\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB7"],

        ["\x61\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x4C"],
        ["\xE4\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB8"],

        ["\x61\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x4D"],
        ["\xE4\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB9"],

        ["\x61\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x4E"],
        ["\xE4\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xBA"],

        ["\x61\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x4F"],
        ["\xE4\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xBB"],

        ["\x61\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x50"],
        ["\xE4\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xBC"],

        ["\x61\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x51"],
        ["\xE4\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xBD"],

        ["\x61\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x52"],
        ["\xE4\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC1"],

        ["\x61\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x53"],
        ["\xE4\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xBE"],

        ["\x61\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x54"],
        ["\xE4\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xB4"],

        ["\x61\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x55"],
        ["\xE4\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xBF"],

        ["\x61\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x56"],
        ["\xE4\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC2"],

        ["\x61\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x57"],
        ["\xE4\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC4"],

        ["\x61\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x58"],
        ["\xE4\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC0"],

        ["\x61\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x59"],
        ["\xE4\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC6"],

        ["\x61\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x5A"],
        ["\xE4\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC3"],

        ["\x61\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x5B"],
        ["\xE4\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC7"],

        ["\x61\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x5C"],
        ["\xE4\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC8"],

        ["\x61\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x5D"],
        ["\xE4\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC9"],

        ["\x61\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x5E"],
        ["\xE4\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xCA"],

        ["\x61\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x5F"],
        ["\xE4\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xCB"],

        ["\x61\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x60"],
        ["\xE4\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xCC"],

        ["\x61\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x61"],
        ["\xE4\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xCD"],

        ["\x61\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x62"],
        ["\xE4\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xCF"],

        ["\x61\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x63"],
        ["\xE4\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xCE"],

        ["\x61\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x64"],
        ["\xE4\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xC5"],

        ["\x61\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x65"],
        ["\xE4\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD0"],

        ["\x61\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x66"],
        ["\xE4\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD1"],

        ["\x61\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x67"],
        ["\xE4\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD2"],

        ["\x51\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x68"],
        ["\xE4\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x73"],

        ["\x61\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x69"],
        ["\xE4\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD3"],

        ["\x61\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x6A"],
        ["\xE4\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD4"],

        ["\x61\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x6B"],
        ["\xE4\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD5"],

        ["\x61\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x6C"],
        ["\xE4\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD6"],

        ["\x61\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x6D"],
        ["\xE4\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD7"],

        ["\x61\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x6E"],
        ["\xE4\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD8"],

        ["\x53\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x6F"],
        ["\xE4\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x58"],

        ["\x62\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x70"],
        ["\xE4\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xBA"],

        ["\x61\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x71"],
        ["\xE4\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xD9"],

        ["\x61\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x72"],
        ["\xE4\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xDA"],

        ["\x61\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x73"],
        ["\xE4\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xDC"],

        ["\x61\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x74"],
        ["\xE4\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xDD"],

        ["\x61\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x75"],
        ["\xE4\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xDE"],

        ["\x61\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x76"],
        ["\xE4\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE0"],

        ["\x61\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x77"],
        ["\xE4\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE1"],

        ["\x61\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x78"],
        ["\xE4\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE2"],

        ["\x61\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x79"],
        ["\xE4\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE3"],

        ["\x54\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x7A"],
        ["\xE4\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xAE"],

        ["\x61\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x7B"],
        ["\xE4\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE5"],

        ["\x61\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x7C"],
        ["\xE4\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE4"],

        ["\x61\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x7D"],
        ["\xE4\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE6"],

        ["\x61\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x7E"],
        ["\xE4\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE7"],

        ["\x61\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x80"],
        ["\xE4\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE8"],

        ["\x61\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x81"],
        ["\xE4\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xE9"],

        ["\x61\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x82"],
        ["\xE4\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xEA"],

        ["\x61\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x83"],
        ["\xE4\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xEB"],

        ["\x61\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x84"],
        ["\xE4\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xDF"],

        ["\x61\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x85"],
        ["\xE4\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xEC"],

        ["\x61\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x86"],
        ["\xE4\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xED"],

        ["\x53\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x87"],
        ["\xE4\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC5"],

        ["\x61\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x88"],
        ["\xE4\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xEE"],

        ["\x61\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x89"],
        ["\xE4\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xEF"],

        ["\x61\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x8A"],
        ["\xE4\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF0"],

        ["\x61\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B"],
        ["\xE4\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF1"],

        ["\x61\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x8C"],
        ["\xE4\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF2"],

        ["\x61\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x8D"],
        ["\xE4\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF3"],

        ["\x61\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x8E"],
        ["\xE4\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF4"],

        ["\x61\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x8F"],
        ["\xE4\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF5"],

        ["\x61\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x90"],
        ["\xE4\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF6"],

        ["\x61\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x91"],
        ["\xE4\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF7"],

        ["\x61\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x92"],
        ["\xE4\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF9"],

        ["\x61\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x93"],
        ["\xE4\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xFA"],

        ["\x61\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x94"],
        ["\xE4\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xFB"],

        ["\x62\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x95"],
        ["\xE4\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x44"],

        ["\x62\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x96"],
        ["\xE4\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x60"],

        ["\x61\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x97"],
        ["\xE4\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xFC"],

        ["\x61\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x98"],
        ["\xE4\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xFD"],

        ["\x61\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x99"],
        ["\xE4\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xFE"],

        ["\x62\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x9A"],
        ["\xE4\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x41"],

        ["\x62\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x9B"],
        ["\xE4\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x42"],

        ["\x62\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x9C"],
        ["\xE4\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x43"],

        ["\x62\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x9D"],
        ["\xE4\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x45"],

        ["\x62\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x9E"],
        ["\xE4\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x46"],

        ["\x62\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\x9F"],
        ["\xE4\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x47"],

        ["\x62\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA0"],
        ["\xE4\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x49"],

        ["\x62\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],
        ["\xE4\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4A"],

        ["\x54\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2"],
        ["\xE4\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x7B"],

        ["\x62\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA3"],
        ["\xE4\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4B"],

        ["\x62\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA4"],
        ["\xE4\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4C"],

        ["\x62\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA5"],
        ["\xE4\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4D"],

        ["\x62\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6"],
        ["\xE4\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4E"],

        ["\x62\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7"],
        ["\xE4\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4F"],

        ["\x62\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8"],
        ["\xE4\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x50"],

        ["\x62\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xA9"],
        ["\xE4\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x51"],

        ["\x53\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA"],
        ["\xE4\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xF6"],

        ["\x62\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],
        ["\xE4\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x52"],

        ["\x62\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC"],
        ["\xE4\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x62"],

        ["\x62\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xAD"],
        ["\xE4\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x53"],

        ["\x62\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xAE"],
        ["\xE4\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x54"],

        ["\x62\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF"],
        ["\xE4\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x55"],

        ["\x62\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],
        ["\xE4\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x56"],

        ["\x62\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB1"],
        ["\xE4\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x57"],

        ["\x62\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB2"],
        ["\xE4\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x58"],

        ["\x62\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3"],
        ["\xE4\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x59"],

        ["\x54\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4"],
        ["\xE4\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x86"],

        ["\x62\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5"],
        ["\xE4\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5C"],

        ["\x62\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB6"],
        ["\xE4\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5D"],

        ["\x62\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB7"],
        ["\xE4\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5E"],

        ["\x62\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8"],
        ["\xE4\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5F"],

        ["\x62\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9"],
        ["\xE4\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5A"],

        ["\x62\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA"],
        ["\xE4\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x61"],

        ["\x62\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB"],
        ["\xE4\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x63"],

        ["\x62\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC"],
        ["\xE4\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x64"],

        ["\x62\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD"],
        ["\xE4\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x65"],

        ["\x62\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],
        ["\xE4\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x66"],

        ["\x54\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],
        ["\xE4\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xE9"],

        ["\x62\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],
        ["\xE4\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x68"],

        ["\x62\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],
        ["\xE4\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6A"],

        ["\x62\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],
        ["\xE4\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6B"],

        ["\x62\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],
        ["\xE4\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6C"],

        ["\x62\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],
        ["\xE4\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6D"],

        ["\x62\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],
        ["\xE4\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6E"],

        ["\x62\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],
        ["\xE4\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x69"],

        ["\x62\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],
        ["\xE4\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6F"],

        ["\x62\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],
        ["\xE4\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x70"],

        ["\x62\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],
        ["\xE4\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x71"],

        ["\x62\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],
        ["\xE4\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x72"],

        ["\x54\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],
        ["\xE4\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xD8"],

        ["\x62\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],
        ["\xE4\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x73"],

        ["\x62\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xCD"],
        ["\xE4\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x75"],

        ["\x62\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xCE"],
        ["\xE4\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x84"],

        ["\x62\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xCF"],
        ["\xE4\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x9D"],

        ["\x62\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],
        ["\xE4\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x76"],

        ["\x51\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],
        ["\xE4\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x6C"],

        ["\x62\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],
        ["\xE4\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x77"],

        ["\x62\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],
        ["\xE4\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x79"],

        ["\x62\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],
        ["\xE4\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x9F"],

        ["\x62\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],
        ["\xE4\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7A"],

        ["\x62\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],
        ["\xE4\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7B"],

        ["\x62\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],
        ["\xE4\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7C"],

        ["\x62\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],
        ["\xE4\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x90"],

        ["\x62\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],
        ["\xE4\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7F"],

        ["\x62\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xDA"],
        ["\xE4\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x80"],

        ["\x62\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xDB"],
        ["\xE4\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x81"],

        ["\x62\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xDC"],
        ["\xE4\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x82"],

        ["\x4B\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xDD"],
        ["\xE4\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4B\x75"],

        ["\x62\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xDE"],
        ["\xE4\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x83"],

        ["\x62\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xDF"],
        ["\xE4\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7D"],

        ["\x62\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],
        ["\xE4\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x85"],

        ["\x62\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE1"],
        ["\xE4\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x86"],

        ["\x62\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],
        ["\xE4\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x78"],

        ["\x62\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],
        ["\xE4\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x87"],

        ["\x62\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],
        ["\xE4\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x88"],

        ["\x62\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],
        ["\xE4\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x89"],

        ["\x62\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],
        ["\xE4\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x94"],

        ["\x62\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],
        ["\xE4\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x8B"],

        ["\x62\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],
        ["\xE4\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x8C"],

        ["\x62\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],
        ["\xE4\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x8D"],

        ["\x62\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xEA"],
        ["\xE4\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x8E"],

        ["\x62\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xEB"],
        ["\xE4\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x8F"],

        ["\x62\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xEC"],
        ["\xE4\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x91"],

        ["\x62\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xED"],
        ["\xE4\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x92"],

        ["\x62\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xEE"],
        ["\xE4\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x93"],

        ["\x54\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xEF"],
        ["\xE4\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA8"],

        ["\x62\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],
        ["\xE4\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x95"],

        ["\x62\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],
        ["\xE4\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x96"],

        ["\x62\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],
        ["\xE4\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x97"],

        ["\x62\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],
        ["\xE4\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x98"],

        ["\x62\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],
        ["\xE4\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x99"],

        ["\x62\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],
        ["\xE4\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x9A"],

        ["\x62\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],
        ["\xE4\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x9B"],

        ["\x62\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],
        ["\xE4\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x9C"],

        ["\x51\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],
        ["\xE4\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x8B"],

        ["\x62\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],
        ["\xE4\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA0"],

        ["\x62\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xFA"],
        ["\xE4\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA2"],

        ["\x62\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xFB"],
        ["\xE4\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA3"],

        ["\x62\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE4\xFC"],
        ["\xE4\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA4"],

        ["\x62\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x40"],
        ["\xE5\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA5"],

        ["\x54\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x41"],
        ["\xE5\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x96"],

        ["\x62\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x42"],
        ["\xE5\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA7"],

        ["\x62\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x43"],
        ["\xE5\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA9"],

        ["\x62\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x44"],
        ["\xE5\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xAA"],

        ["\x62\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x45"],
        ["\xE5\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xAB"],

        ["\x62\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x46"],
        ["\xE5\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xAC"],

        ["\x62\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x47"],
        ["\xE5\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xAD"],

        ["\x62\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x48"],
        ["\xE5\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xAE"],

        ["\x62\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x49"],
        ["\xE5\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xAF"],

        ["\x62\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x4A"],
        ["\xE5\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB0"],

        ["\x62\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x4B"],
        ["\xE5\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB1"],

        ["\x62\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x4C"],
        ["\xE5\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB2"],

        ["\x4C\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x4D"],
        ["\xE5\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x95"],

        ["\x62\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x4E"],
        ["\xE5\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB4"],

        ["\x62\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x4F"],
        ["\xE5\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB5"],

        ["\x62\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x50"],
        ["\xE5\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB6"],

        ["\x62\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x51"],
        ["\xE5\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB7"],

        ["\x62\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x52"],
        ["\xE5\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB8"],

        ["\x62\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x53"],
        ["\xE5\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xBC"],

        ["\x62\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x54"],
        ["\xE5\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xBD"],

        ["\x62\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x55"],
        ["\xE5\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xBE"],

        ["\x62\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x56"],
        ["\xE5\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xBF"],

        ["\x62\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x57"],
        ["\xE5\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC0"],

        ["\x62\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x58"],
        ["\xE5\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC1"],

        ["\x62\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x59"],
        ["\xE5\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC2"],

        ["\x62\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x5A"],
        ["\xE5\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC3"],

        ["\x62\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x5B"],
        ["\xE5\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC4"],

        ["\x62\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x5C"],
        ["\xE5\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC5"],

        ["\x62\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x5D"],
        ["\xE5\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC6"],

        ["\x62\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x5E"],
        ["\xE5\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC7"],

        ["\x62\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x5F"],
        ["\xE5\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC8"],

        ["\x62\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x60"],
        ["\xE5\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC9"],

        ["\x53\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x61"],
        ["\xE5\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xED"],

        ["\x4E\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x62"],
        ["\xE5\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\xDA"],

        ["\x62\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x63"],
        ["\xE5\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xCA"],

        ["\x62\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x64"],
        ["\xE5\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xCB"],

        ["\x62\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x65"],
        ["\xE5\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xCC"],

        ["\x62\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x66"],
        ["\xE5\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xCD"],

        ["\x62\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x67"],
        ["\xE5\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xCF"],

        ["\x62\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x68"],
        ["\xE5\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD0"],

        ["\x52\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x69"],
        ["\xE5\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xFB"],

        ["\x62\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x6A"],
        ["\xE5\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD2"],

        ["\x62\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x6B"],
        ["\xE5\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD3"],

        ["\x62\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x6C"],
        ["\xE5\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD4"],

        ["\x62\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x6D"],
        ["\xE5\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD5"],

        ["\x62\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x6E"],
        ["\xE5\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD6"],

        ["\x62\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x6F"],
        ["\xE5\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD7"],

        ["\x62\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x70"],
        ["\xE5\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD9"],

        ["\x62\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x71"],
        ["\xE5\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD8"],

        ["\x62\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x72"],
        ["\xE5\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xDA"],

        ["\x62\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x73"],
        ["\xE5\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xDB"],

        ["\x62\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x74"],
        ["\xE5\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xDC"],

        ["\x62\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x75"],
        ["\xE5\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xDD"],

        ["\x62\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x76"],
        ["\xE5\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xDE"],

        ["\x62\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x77"],
        ["\xE5\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xDF"],

        ["\x62\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x78"],
        ["\xE5\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE0"],

        ["\x53\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x79"],
        ["\xE5\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x51"],

        ["\x62\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x7A"],
        ["\xE5\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE3"],

        ["\x62\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x7B"],
        ["\xE5\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE4"],

        ["\x62\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x7C"],
        ["\xE5\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE5"],

        ["\x62\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x7D"],
        ["\xE5\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE6"],

        ["\x62\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x7E"],
        ["\xE5\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE7"],

        ["\x62\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x80"],
        ["\xE5\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE8"],

        ["\x62\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x81"],
        ["\xE5\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE9"],

        ["\x4F\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x82"],
        ["\xE5\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x74"],

        ["\x62\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x83"],
        ["\xE5\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xEA"],

        ["\x62\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x84"],
        ["\xE5\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xEB"],

        ["\x62\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x85"],
        ["\xE5\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xEC"],

        ["\x62\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x86"],
        ["\xE5\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xED"],

        ["\x62\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x87"],
        ["\xE5\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xEE"],

        ["\x62\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x88"],
        ["\xE5\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xEF"],

        ["\x62\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x89"],
        ["\xE5\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF0"],

        ["\x62\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A"],
        ["\xE5\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF1"],

        ["\x62\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B"],
        ["\xE5\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF2"],

        ["\x62\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C"],
        ["\xE5\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF3"],

        ["\x62\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D"],
        ["\xE5\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF4"],

        ["\x62\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E"],
        ["\xE5\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF5"],

        ["\x62\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F"],
        ["\xE5\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF6"],

        ["\x52\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x90"],
        ["\xE5\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x6D"],

        ["\x62\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x91"],
        ["\xE5\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF7"],

        ["\x62\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x92"],
        ["\xE5\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF8"],

        ["\x62\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x93"],
        ["\xE5\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF9"],

        ["\x62\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x94"],
        ["\xE5\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xFA"],

        ["\x63\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x95"],
        ["\xE5\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x46"],

        ["\x62\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x96"],
        ["\xE5\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xFB"],

        ["\x62\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x97"],
        ["\xE5\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xFC"],

        ["\x62\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x98"],
        ["\xE5\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xFD"],

        ["\x62\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x99"],
        ["\xE5\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xFE"],

        ["\x63\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A"],
        ["\xE5\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x41"],

        ["\x63\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B"],
        ["\xE5\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x42"],

        ["\x63\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C"],
        ["\xE5\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x43"],

        ["\x63\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D"],
        ["\xE5\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x47"],

        ["\x63\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E"],
        ["\xE5\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x48"],

        ["\x63\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F"],
        ["\xE5\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x49"],

        ["\x63\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0"],
        ["\xE5\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4A"],

        ["\x63\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],
        ["\xE5\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x45"],

        ["\x55\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2"],
        ["\xE5\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\xBD"],

        ["\x63\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3"],
        ["\xE5\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4C"],

        ["\x63\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4"],
        ["\xE5\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4E"],

        ["\x63\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5"],
        ["\xE5\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x44"],

        ["\x63\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6"],
        ["\xE5\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4F"],

        ["\x63\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7"],
        ["\xE5\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x50"],

        ["\x63\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8"],
        ["\xE5\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x51"],

        ["\x63\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9"],
        ["\xE5\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x52"],

        ["\x63\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA"],
        ["\xE5\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x53"],

        ["\x63\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],
        ["\xE5\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x54"],

        ["\x63\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC"],
        ["\xE5\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x55"],

        ["\x63\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD"],
        ["\xE5\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x56"],

        ["\x63\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE"],
        ["\xE5\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x57"],

        ["\x54\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF"],
        ["\xE5\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xF4"],

        ["\x63\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],
        ["\xE5\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4D"],

        ["\x63\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1"],
        ["\xE5\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x59"],

        ["\x63\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],
        ["\xE5\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5A"],

        ["\x63\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3"],
        ["\xE5\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5B"],

        ["\x63\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4"],
        ["\xE5\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5C"],

        ["\x63\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5"],
        ["\xE5\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5F"],

        ["\x63\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6"],
        ["\xE5\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x61"],

        ["\x63\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7"],
        ["\xE5\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x62"],

        ["\x63\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8"],
        ["\xE5\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x63"],

        ["\x63\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9"],
        ["\xE5\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x64"],

        ["\x63\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA"],
        ["\xE5\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5D"],

        ["\x63\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB"],
        ["\xE5\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x58"],

        ["\x63\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC"],
        ["\xE5\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x65"],

        ["\x63\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD"],
        ["\xE5\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x60"],

        ["\x63\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE"],
        ["\xE5\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x66"],

        ["\x63\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF"],
        ["\xE5\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x67"],

        ["\x63\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],
        ["\xE5\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x68"],

        ["\x63\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],
        ["\xE5\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6A"],

        ["\x63\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],
        ["\xE5\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6B"],

        ["\x63\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],
        ["\xE5\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6C"],

        ["\x63\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],
        ["\xE5\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x69"],

        ["\x63\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],
        ["\xE5\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6D"],

        ["\x63\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],
        ["\xE5\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6F"],

        ["\x63\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],
        ["\xE5\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6E"],

        ["\x63\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],
        ["\xE5\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x71"],

        ["\x63\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],
        ["\xE5\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x72"],

        ["\x63\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xCA"],
        ["\xE5\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x73"],

        ["\x63\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xCB"],
        ["\xE5\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x74"],

        ["\x63\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xCC"],
        ["\xE5\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x75"],

        ["\x63\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xCD"],
        ["\xE5\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x76"],

        ["\x63\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xCE"],
        ["\xE5\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x77"],

        ["\x63\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xCF"],
        ["\xE5\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7C"],

        ["\x63\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],
        ["\xE5\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x78"],

        ["\x63\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],
        ["\xE5\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x79"],

        ["\x63\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],
        ["\xE5\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x85"],

        ["\x63\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],
        ["\xE5\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7A"],

        ["\x63\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],
        ["\xE5\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7B"],

        ["\x63\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],
        ["\xE5\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7D"],

        ["\x63\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],
        ["\xE5\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7E"],

        ["\x63\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],
        ["\xE5\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7F"],

        ["\x63\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],
        ["\xE5\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x80"],

        ["\x63\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],
        ["\xE5\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x81"],

        ["\x63\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xDA"],
        ["\xE5\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x82"],

        ["\x63\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xDB"],
        ["\xE5\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x83"],

        ["\x54\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xDC"],
        ["\xE5\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xC5"],

        ["\x63\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xDD"],
        ["\xE5\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x84"],

        ["\x63\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xDE"],
        ["\xE5\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x86"],

        ["\x63\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xDF"],
        ["\xE5\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x87"],

        ["\x63\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],
        ["\xE5\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x88"],

        ["\x63\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE1"],
        ["\xE5\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x89"],

        ["\x63\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],
        ["\xE5\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x8A"],

        ["\x63\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],
        ["\xE5\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x8B"],

        ["\x63\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],
        ["\xE5\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x8C"],

        ["\x63\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],
        ["\xE5\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x8D"],

        ["\x63\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],
        ["\xE5\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x8E"],

        ["\x63\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],
        ["\xE5\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x8F"],

        ["\x53\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],
        ["\xE5\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x49"],

        ["\x63\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],
        ["\xE5\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x91"],

        ["\x63\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xEA"],
        ["\xE5\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x92"],

        ["\x63\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xEB"],
        ["\xE5\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x93"],

        ["\x63\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xEC"],
        ["\xE5\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x94"],

        ["\x63\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xED"],
        ["\xE5\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x97"],

        ["\x63\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xEE"],
        ["\xE5\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x98"],

        ["\x63\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],
        ["\xE5\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x9F"],

        ["\x63\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],
        ["\xE5\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x99"],

        ["\x63\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],
        ["\xE5\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x9A"],

        ["\x63\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],
        ["\xE5\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x95"],

        ["\x63\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],
        ["\xE5\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x9B"],

        ["\x63\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],
        ["\xE5\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x9C"],

        ["\x50\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],
        ["\xE5\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x6B"],

        ["\x63\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],
        ["\xE5\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x9D"],

        ["\x63\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],
        ["\xE5\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x9E"],

        ["\x63\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],
        ["\xE5\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA0"],

        ["\x63\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],
        ["\xE5\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA2"],

        ["\x63\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xFA"],
        ["\xE5\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x96"],

        ["\x63\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xFB"],
        ["\xE5\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA3"],

        ["\x63\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE5\xFC"],
        ["\xE5\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA4"],

        ["\x63\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x40"],
        ["\xE6\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA5"],

        ["\x63\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x41"],
        ["\xE6\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA7"],

        ["\x63\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x42"],
        ["\xE6\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA8"],

        ["\x63\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x43"],
        ["\xE6\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA6"],

        ["\x63\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x44"],
        ["\xE6\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA9"],

        ["\x63\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x45"],
        ["\xE6\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xAA"],

        ["\x63\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x46"],
        ["\xE6\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xAB"],

        ["\x63\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x47"],
        ["\xE6\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xAC"],

        ["\x63\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x48"],
        ["\xE6\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xAD"],

        ["\x63\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x49"],
        ["\xE6\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xAE"],

        ["\x63\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x4A"],
        ["\xE6\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xAF"],

        ["\x63\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x4B"],
        ["\xE6\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB0"],

        ["\x63\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x4C"],
        ["\xE6\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB1"],

        ["\x63\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x4D"],
        ["\xE6\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB2"],

        ["\x63\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x4E"],
        ["\xE6\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB3"],

        ["\x63\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x4F"],
        ["\xE6\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB4"],

        ["\x63\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x50"],
        ["\xE6\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB5"],

        ["\x63\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x51"],
        ["\xE6\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB6"],

        ["\x63\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x52"],
        ["\xE6\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB7"],

        ["\x63\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x53"],
        ["\xE6\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB8"],

        ["\x63\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x54"],
        ["\xE6\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xBA"],

        ["\x63\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x55"],
        ["\xE6\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB9"],

        ["\x63\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x56"],
        ["\xE6\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xBB"],

        ["\x63\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x57"],
        ["\xE6\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xBC"],

        ["\x53\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x58"],
        ["\xE6\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x60"],

        ["\x63\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x59"],
        ["\xE6\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xBD"],

        ["\x63\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x5A"],
        ["\xE6\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xBE"],

        ["\x63\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x5B"],
        ["\xE6\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xBF"],

        ["\x63\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x5C"],
        ["\xE6\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC0"],

        ["\x63\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x5D"],
        ["\xE6\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC1"],

        ["\x63\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x5E"],
        ["\xE6\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC2"],

        ["\x63\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x5F"],
        ["\xE6\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC3"],

        ["\x63\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x60"],
        ["\xE6\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC4"],

        ["\x63\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x61"],
        ["\xE6\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC6"],

        ["\x63\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x62"],
        ["\xE6\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC7"],

        ["\x63\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x63"],
        ["\xE6\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC8"],

        ["\x63\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x64"],
        ["\xE6\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC9"],

        ["\x63\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x65"],
        ["\xE6\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xCA"],

        ["\x63\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x66"],
        ["\xE6\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xCC"],

        ["\x63\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x67"],
        ["\xE6\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xCD"],

        ["\x63\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x68"],
        ["\xE6\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xCE"],

        ["\x63\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x69"],
        ["\xE6\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xCF"],

        ["\x63\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x6A"],
        ["\xE6\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD0"],

        ["\x63\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x6B"],
        ["\xE6\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD1"],

        ["\x63\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x6C"],
        ["\xE6\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD2"],

        ["\x63\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x6D"],
        ["\xE6\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD3"],

        ["\x63\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x6E"],
        ["\xE6\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD5"],

        ["\x63\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x6F"],
        ["\xE6\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD6"],

        ["\x63\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x70"],
        ["\xE6\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD7"],

        ["\x63\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x71"],
        ["\xE6\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD8"],

        ["\x63\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x72"],
        ["\xE6\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD9"],

        ["\x63\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x73"],
        ["\xE6\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xDA"],

        ["\x63\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x74"],
        ["\xE6\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xDB"],

        ["\x63\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x75"],
        ["\xE6\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xDC"],

        ["\x63\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x76"],
        ["\xE6\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xDD"],

        ["\x63\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x77"],
        ["\xE6\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xDE"],

        ["\x50\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x78"],
        ["\xE6\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xB2"],

        ["\x63\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x79"],
        ["\xE6\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE2"],

        ["\x63\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x7A"],
        ["\xE6\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE3"],

        ["\x63\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x7B"],
        ["\xE6\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE4"],

        ["\x4E\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x7C"],
        ["\xE6\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x96"],

        ["\x63\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x7D"],
        ["\xE6\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE5"],

        ["\x63\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x7E"],
        ["\xE6\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE6"],

        ["\x63\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x80"],
        ["\xE6\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE7"],

        ["\x63\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x81"],
        ["\xE6\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE8"],

        ["\x63\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x82"],
        ["\xE6\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE9"],

        ["\x63\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x83"],
        ["\xE6\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xEA"],

        ["\x63\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x84"],
        ["\xE6\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xEB"],

        ["\x63\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x85"],
        ["\xE6\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF0"],

        ["\x63\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x86"],
        ["\xE6\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF1"],

        ["\x63\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x87"],
        ["\xE6\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF2"],

        ["\x63\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x88"],
        ["\xE6\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF3"],

        ["\x63\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x89"],
        ["\xE6\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF4"],

        ["\x63\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A"],
        ["\xE6\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF5"],

        ["\x63\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B"],
        ["\xE6\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xEC"],

        ["\x63\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C"],
        ["\xE6\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF6"],

        ["\x63\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D"],
        ["\xE6\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF7"],

        ["\x63\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E"],
        ["\xE6\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF8"],

        ["\x63\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F"],
        ["\xE6\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF9"],

        ["\x63\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x90"],
        ["\xE6\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xFA"],

        ["\x63\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x91"],
        ["\xE6\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xFC"],

        ["\x63\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x92"],
        ["\xE6\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xFD"],

        ["\x63\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x93"],
        ["\xE6\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xFE"],

        ["\x64\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x94"],
        ["\xE6\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x41"],

        ["\x53\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x95"],
        ["\xE6\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x81"],

        ["\x63\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x96"],
        ["\xE6\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xFB"],

        ["\x64\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x97"],
        ["\xE6\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x42"],

        ["\x64\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x98"],
        ["\xE6\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x43"],

        ["\x64\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x99"],
        ["\xE6\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x44"],

        ["\x64\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A"],
        ["\xE6\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x46"],

        ["\x64\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B"],
        ["\xE6\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x47"],

        ["\x64\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C"],
        ["\xE6\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x48"],

        ["\x64\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D"],
        ["\xE6\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x49"],

        ["\x64\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E"],
        ["\xE6\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4B"],

        ["\x64\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F"],
        ["\xE6\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4C"],

        ["\x64\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0"],
        ["\xE6\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4D"],

        ["\x64\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],
        ["\xE6\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4E"],

        ["\x64\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2"],
        ["\xE6\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4A"],

        ["\x64\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3"],
        ["\xE6\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4F"],

        ["\x64\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4"],
        ["\xE6\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x51"],

        ["\x64\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5"],
        ["\xE6\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x52"],

        ["\x64\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],
        ["\xE6\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x53"],

        ["\x64\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],
        ["\xE6\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x55"],

        ["\x64\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],
        ["\xE6\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x56"],

        ["\x64\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],
        ["\xE6\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x57"],

        ["\x64\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA"],
        ["\xE6\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x54"],

        ["\x64\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],
        ["\xE6\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x58"],

        ["\x64\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],
        ["\xE6\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x59"],

        ["\x64\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD"],
        ["\xE6\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5A"],

        ["\x64\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],
        ["\xE6\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5B"],

        ["\x64\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],
        ["\xE6\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5C"],

        ["\x64\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],
        ["\xE6\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5D"],

        ["\x64\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1"],
        ["\xE6\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5E"],

        ["\x64\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2"],
        ["\xE6\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5F"],

        ["\x64\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],
        ["\xE6\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x60"],

        ["\x64\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],
        ["\xE6\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x61"],

        ["\x64\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],
        ["\xE6\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x62"],

        ["\x64\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6"],
        ["\xE6\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x63"],

        ["\x64\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7"],
        ["\xE6\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x64"],

        ["\x64\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],
        ["\xE6\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x66"],

        ["\x64\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],
        ["\xE6\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x67"],

        ["\x64\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],
        ["\xE6\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x68"],

        ["\x64\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB"],
        ["\xE6\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x69"],

        ["\x64\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC"],
        ["\xE6\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6A"],

        ["\x64\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD"],
        ["\xE6\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6B"],

        ["\x64\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE"],
        ["\xE6\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6D"],

        ["\x64\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF"],
        ["\xE6\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x65"],

        ["\x64\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],
        ["\xE6\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6C"],

        ["\x64\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],
        ["\xE6\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6E"],

        ["\x64\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],
        ["\xE6\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6F"],

        ["\x64\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],
        ["\xE6\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x70"],

        ["\x64\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],
        ["\xE6\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x72"],

        ["\x64\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],
        ["\xE6\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x73"],

        ["\x64\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],
        ["\xE6\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x74"],

        ["\x64\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],
        ["\xE6\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x71"],

        ["\x64\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],
        ["\xE6\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x76"],

        ["\x64\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],
        ["\xE6\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x77"],

        ["\x64\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xCA"],
        ["\xE6\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x75"],

        ["\x55\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xCB"],
        ["\xE6\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x66"],

        ["\x64\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xCC"],
        ["\xE6\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7A"],

        ["\x64\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xCD"],
        ["\xE6\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7B"],

        ["\x64\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xCE"],
        ["\xE6\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7E"],

        ["\x64\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],
        ["\xE6\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7F"],

        ["\x64\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],
        ["\xE6\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x80"],

        ["\x53\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],
        ["\xE6\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x5A"],

        ["\x55\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],
        ["\xE6\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x74"],

        ["\x64\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],
        ["\xE6\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x82"],

        ["\x64\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],
        ["\xE6\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x81"],

        ["\x64\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],
        ["\xE6\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x83"],

        ["\x64\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],
        ["\xE6\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x84"],

        ["\x64\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],
        ["\xE6\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x86"],

        ["\x68\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],
        ["\xE6\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6E"],

        ["\x64\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],
        ["\xE6\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x87"],

        ["\x64\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],
        ["\xE6\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x79"],

        ["\x64\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],
        ["\xE6\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x88"],

        ["\x64\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],
        ["\xE6\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x89"],

        ["\x64\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],
        ["\xE6\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x8A"],

        ["\x64\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xDE"],
        ["\xE6\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x8B"],

        ["\x64\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xDF"],
        ["\xE6\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x8C"],

        ["\x51\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],
        ["\xE6\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xC9"],

        ["\x64\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE1"],
        ["\xE6\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x8F"],

        ["\x51\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],
        ["\xE6\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xDE"],

        ["\x64\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],
        ["\xE6\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x90"],

        ["\x64\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],
        ["\xE6\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x91"],

        ["\x64\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],
        ["\xE6\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x92"],

        ["\x64\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],
        ["\xE6\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x93"],

        ["\x64\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],
        ["\xE6\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x94"],

        ["\x64\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],
        ["\xE6\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x95"],

        ["\x64\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],
        ["\xE6\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x96"],

        ["\x64\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xEA"],
        ["\xE6\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x97"],

        ["\x64\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xEB"],
        ["\xE6\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x98"],

        ["\x64\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xEC"],
        ["\xE6\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x99"],

        ["\x64\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xED"],
        ["\xE6\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x9A"],

        ["\x64\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xEE"],
        ["\xE6\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x9B"],

        ["\x64\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],
        ["\xE6\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x9C"],

        ["\x64\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],
        ["\xE6\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x9D"],

        ["\x64\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],
        ["\xE6\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x9E"],

        ["\x64\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],
        ["\xE6\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA0"],

        ["\x64\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],
        ["\xE6\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x9F"],

        ["\x64\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],
        ["\xE6\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA1"],

        ["\x64\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],
        ["\xE6\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA2"],

        ["\x64\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],
        ["\xE6\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA3"],

        ["\x64\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],
        ["\xE6\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA4"],

        ["\x64\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],
        ["\xE6\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA5"],

        ["\x64\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],
        ["\xE6\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA6"],

        ["\x64\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xFA"],
        ["\xE6\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA7"],

        ["\x64\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xFB"],
        ["\xE6\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA8"],

        ["\x64\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE6\xFC"],
        ["\xE6\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA9"],

        ["\x64\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x40"],
        ["\xE7\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xAA"],

        ["\x64\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x41"],
        ["\xE7\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xAB"],

        ["\x64\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x42"],
        ["\xE7\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xAC"],

        ["\x64\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x43"],
        ["\xE7\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xAD"],

        ["\x64\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x44"],
        ["\xE7\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xAE"],

        ["\x64\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x45"],
        ["\xE7\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xAF"],

        ["\x64\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x46"],
        ["\xE7\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB0"],

        ["\x64\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x47"],
        ["\xE7\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB1"],

        ["\x50\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x48"],
        ["\xE7\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xFC"],

        ["\x64\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x49"],
        ["\xE7\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB3"],

        ["\x64\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x4A"],
        ["\xE7\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB2"],

        ["\x64\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x4B"],
        ["\xE7\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB4"],

        ["\x64\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x4C"],
        ["\xE7\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB5"],

        ["\x64\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x4D"],
        ["\xE7\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB7"],

        ["\x64\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x4E"],
        ["\xE7\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB8"],

        ["\x64\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x4F"],
        ["\xE7\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB6"],

        ["\x64\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x50"],
        ["\xE7\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB9"],

        ["\x64\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x51"],
        ["\xE7\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xBA"],

        ["\x64\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x52"],
        ["\xE7\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xBB"],

        ["\x64\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x53"],
        ["\xE7\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xBC"],

        ["\x64\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x54"],
        ["\xE7\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xBD"],

        ["\x64\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x55"],
        ["\xE7\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xBE"],

        ["\x64\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x56"],
        ["\xE7\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xBF"],

        ["\x64\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x57"],
        ["\xE7\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC0"],

        ["\x64\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x58"],
        ["\xE7\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC2"],

        ["\x64\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x59"],
        ["\xE7\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC1"],

        ["\x50\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x5A"],
        ["\xE7\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x44"],

        ["\x53\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x5B"],
        ["\xE7\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x7A"],

        ["\x64\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x5C"],
        ["\xE7\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC5"],

        ["\x64\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x5D"],
        ["\xE7\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC3"],

        ["\x64\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x5E"],
        ["\xE7\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC4"],

        ["\x64\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x5F"],
        ["\xE7\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC6"],

        ["\x64\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x60"],
        ["\xE7\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC7"],

        ["\x64\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x61"],
        ["\xE7\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC8"],

        ["\x64\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x62"],
        ["\xE7\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xCA"],

        ["\x64\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x63"],
        ["\xE7\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xCB"],

        ["\x64\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x64"],
        ["\xE7\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xCC"],

        ["\x64\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x65"],
        ["\xE7\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xCD"],

        ["\x64\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x66"],
        ["\xE7\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xCE"],

        ["\x64\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x67"],
        ["\xE7\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xCF"],

        ["\x64\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x68"],
        ["\xE7\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD0"],

        ["\x64\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x69"],
        ["\xE7\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD2"],

        ["\x64\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x6A"],
        ["\xE7\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD3"],

        ["\x64\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x6B"],
        ["\xE7\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD4"],

        ["\x64\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x6C"],
        ["\xE7\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD7"],

        ["\x64\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x6D"],
        ["\xE7\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD5"],

        ["\x64\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x6E"],
        ["\xE7\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD6"],

        ["\x64\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x6F"],
        ["\xE7\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD8"],

        ["\x51\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x70"],
        ["\xE7\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x5B"],

        ["\x64\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x71"],
        ["\xE7\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD1"],

        ["\x64\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x72"],
        ["\xE7\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD9"],

        ["\x64\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x73"],
        ["\xE7\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xDA"],

        ["\x64\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x74"],
        ["\xE7\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xDB"],

        ["\x64\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x75"],
        ["\xE7\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xDC"],

        ["\x64\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x76"],
        ["\xE7\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xDD"],

        ["\x64\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x77"],
        ["\xE7\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xDE"],

        ["\x64\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x78"],
        ["\xE7\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xDF"],

        ["\x64\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x79"],
        ["\xE7\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE2"],

        ["\x64\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x7A"],
        ["\xE7\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE0"],

        ["\x64\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x7B"],
        ["\xE7\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE1"],

        ["\x64\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x7C"],
        ["\xE7\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE3"],

        ["\x64\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x7D"],
        ["\xE7\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE4"],

        ["\x64\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x7E"],
        ["\xE7\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE5"],

        ["\x64\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x80"],
        ["\xE7\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE6"],

        ["\x64\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x81"],
        ["\xE7\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE7"],

        ["\x64\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x82"],
        ["\xE7\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE8"],

        ["\x64\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x83"],
        ["\xE7\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE9"],

        ["\x64\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x84"],
        ["\xE7\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xEA"],

        ["\x64\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x85"],
        ["\xE7\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xEB"],

        ["\x64\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x86"],
        ["\xE7\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xEE"],

        ["\x64\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x87"],
        ["\xE7\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xEF"],

        ["\x64\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x88"],
        ["\xE7\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF0"],

        ["\x64\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x89"],
        ["\xE7\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF2"],

        ["\x64\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A"],
        ["\xE7\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF3"],

        ["\x64\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B"],
        ["\xE7\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF4"],

        ["\x4E\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C"],
        ["\xE7\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x9E"],

        ["\x64\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D"],
        ["\xE7\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF5"],

        ["\x51\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E"],
        ["\xE7\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x86"],

        ["\x64\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F"],
        ["\xE7\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF7"],

        ["\x64\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x90"],
        ["\xE7\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF8"],

        ["\x64\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x91"],
        ["\xE7\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF9"],

        ["\x54\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x92"],
        ["\xE7\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xA9"],

        ["\x64\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x93"],
        ["\xE7\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xFB"],

        ["\x64\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x94"],
        ["\xE7\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xFC"],

        ["\x64\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x95"],
        ["\xE7\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xFE"],

        ["\x65\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x96"],
        ["\xE7\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x41"],

        ["\x65\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x97"],
        ["\xE7\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x42"],

        ["\x65\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x98"],
        ["\xE7\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x43"],

        ["\x65\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x99"],
        ["\xE7\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x44"],

        ["\x65\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A"],
        ["\xE7\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x45"],

        ["\x65\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B"],
        ["\xE7\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x46"],

        ["\x54\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C"],
        ["\xE7\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x85"],

        ["\x65\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D"],
        ["\xE7\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x47"],

        ["\x64\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E"],
        ["\xE7\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xFA"],

        ["\x65\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F"],
        ["\xE7\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x48"],

        ["\x65\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0"],
        ["\xE7\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4A"],

        ["\x65\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],
        ["\xE7\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4B"],

        ["\x65\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2"],
        ["\xE7\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4C"],

        ["\x64\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3"],
        ["\xE7\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xFD"],

        ["\x65\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4"],
        ["\xE7\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4D"],

        ["\x65\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5"],
        ["\xE7\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4E"],

        ["\x65\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6"],
        ["\xE7\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4F"],

        ["\x65\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7"],
        ["\xE7\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x50"],

        ["\x65\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8"],
        ["\xE7\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x51"],

        ["\x65\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9"],
        ["\xE7\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x52"],

        ["\x65\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],
        ["\xE7\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x54"],

        ["\x65\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],
        ["\xE7\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x55"],

        ["\x65\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC"],
        ["\xE7\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x56"],

        ["\x65\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD"],
        ["\xE7\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x57"],

        ["\x65\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE"],
        ["\xE7\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x58"],

        ["\x65\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],
        ["\xE7\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x59"],

        ["\x53\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],
        ["\xE7\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x7B"],

        ["\x65\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],
        ["\xE7\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5B"],

        ["\x50\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],
        ["\xE7\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xEA"],

        ["\x65\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],
        ["\xE7\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5A"],

        ["\x65\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],
        ["\xE7\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5C"],

        ["\x51\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],
        ["\xE7\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA8"],

        ["\x65\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],
        ["\xE7\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5E"],

        ["\x65\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],
        ["\xE7\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5F"],

        ["\x65\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],
        ["\xE7\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x60"],

        ["\x65\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],
        ["\xE7\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x61"],

        ["\x65\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],
        ["\xE7\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x62"],

        ["\x65\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],
        ["\xE7\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5D"],

        ["\x65\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],
        ["\xE7\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x63"],

        ["\x65\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],
        ["\xE7\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x65"],

        ["\x65\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],
        ["\xE7\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x68"],

        ["\x65\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],
        ["\xE7\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x69"],

        ["\x65\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],
        ["\xE7\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6A"],

        ["\x65\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],
        ["\xE7\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6C"],

        ["\x65\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],
        ["\xE7\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6D"],

        ["\x65\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],
        ["\xE7\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6E"],

        ["\x65\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],
        ["\xE7\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6F"],

        ["\x65\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],
        ["\xE7\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x70"],

        ["\x65\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],
        ["\xE7\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x71"],

        ["\x65\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],
        ["\xE7\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x72"],

        ["\x65\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],
        ["\xE7\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x73"],

        ["\x65\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],
        ["\xE7\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x74"],

        ["\x65\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],
        ["\xE7\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x75"],

        ["\x65\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],
        ["\xE7\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x76"],

        ["\x65\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],
        ["\xE7\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x77"],

        ["\x65\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xCD"],
        ["\xE7\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x78"],

        ["\x65\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xCE"],
        ["\xE7\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x79"],

        ["\x65\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xCF"],
        ["\xE7\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7A"],

        ["\x65\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],
        ["\xE7\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7B"],

        ["\x65\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],
        ["\xE7\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7C"],

        ["\x65\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],
        ["\xE7\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7D"],

        ["\x65\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],
        ["\xE7\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7E"],

        ["\x65\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],
        ["\xE7\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7F"],

        ["\x65\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],
        ["\xE7\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x80"],

        ["\x52\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],
        ["\xE7\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x52"],

        ["\x65\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],
        ["\xE7\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x81"],

        ["\x65\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],
        ["\xE7\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x82"],

        ["\x65\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],
        ["\xE7\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x87"],

        ["\x65\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xDA"],
        ["\xE7\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x88"],

        ["\x65\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xDB"],
        ["\xE7\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x89"],

        ["\x65\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xDC"],
        ["\xE7\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x84"],

        ["\x51\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xDD"],
        ["\xE7\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xD0"],

        ["\x65\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xDE"],
        ["\xE7\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x8B"],

        ["\x65\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xDF"],
        ["\xE7\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x8E"],

        ["\x65\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],
        ["\xE7\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x91"],

        ["\x65\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE1"],
        ["\xE7\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x92"],

        ["\x65\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],
        ["\xE7\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x94"],

        ["\x65\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],
        ["\xE7\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x96"],

        ["\x65\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],
        ["\xE7\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x97"],

        ["\x52\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],
        ["\xE7\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x69"],

        ["\x53\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],
        ["\xE7\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x93"],

        ["\x65\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],
        ["\xE7\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x99"],

        ["\x65\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],
        ["\xE7\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x9A"],

        ["\x65\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],
        ["\xE7\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x9C"],

        ["\x65\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xEA"],
        ["\xE7\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x9D"],

        ["\x65\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xEB"],
        ["\xE7\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA0"],

        ["\x65\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xEC"],
        ["\xE7\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB1"],

        ["\x65\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xED"],
        ["\xE7\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA4"],

        ["\x65\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xEE"],
        ["\xE7\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA7"],

        ["\x65\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xEF"],
        ["\xE7\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA2"],

        ["\x65\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],
        ["\xE7\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xAA"],

        ["\x65\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],
        ["\xE7\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xAE"],

        ["\x65\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],
        ["\xE7\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xAF"],

        ["\x65\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],
        ["\xE7\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB0"],

        ["\x65\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],
        ["\xE7\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA9"],

        ["\x65\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],
        ["\xE7\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB3"],

        ["\x65\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],
        ["\xE7\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xBA"],

        ["\x65\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],
        ["\xE7\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xBB"],

        ["\x65\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],
        ["\xE7\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB2"],

        ["\x65\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],
        ["\xE7\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC0"],

        ["\x65\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xFA"],
        ["\xE7\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC2"],

        ["\x65\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xFB"],
        ["\xE7\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC4"],

        ["\x52\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE7\xFC"],
        ["\xE7\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x83"],

        ["\x65\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x40"],
        ["\xE8\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC7"],

        ["\x65\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x41"],
        ["\xE8\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xCA"],

        ["\x65\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x42"],
        ["\xE8\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xCB"],

        ["\x65\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x43"],
        ["\xE8\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xCD"],

        ["\x65\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x44"],
        ["\xE8\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xBE"],

        ["\x65\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x45"],
        ["\xE8\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xBF"],

        ["\x65\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x46"],
        ["\xE8\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xCF"],

        ["\x52\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x47"],
        ["\xE8\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xAD"],

        ["\x65\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x48"],
        ["\xE8\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD1"],

        ["\x65\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x49"],
        ["\xE8\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD2"],

        ["\x65\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x4A"],
        ["\xE8\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD3"],

        ["\x65\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x4B"],
        ["\xE8\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD4"],

        ["\x65\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x4C"],
        ["\xE8\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD7"],

        ["\x53\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x4D"],
        ["\xE8\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x6E"],

        ["\x65\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x4E"],
        ["\xE8\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD9"],

        ["\x65\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x4F"],
        ["\xE8\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xDA"],

        ["\x65\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x50"],
        ["\xE8\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD6"],

        ["\x65\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x51"],
        ["\xE8\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xDC"],

        ["\x65\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x52"],
        ["\xE8\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xDE"],

        ["\x65\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x53"],
        ["\xE8\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xDF"],

        ["\x65\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x54"],
        ["\xE8\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE0"],

        ["\x65\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x55"],
        ["\xE8\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE1"],

        ["\x65\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x56"],
        ["\xE8\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE2"],

        ["\x65\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x57"],
        ["\xE8\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE3"],

        ["\x65\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x58"],
        ["\xE8\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE5"],

        ["\x65\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x59"],
        ["\xE8\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xDB"],

        ["\x65\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x5A"],
        ["\xE8\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE6"],

        ["\x65\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x5B"],
        ["\xE8\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE7"],

        ["\x65\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x5C"],
        ["\xE8\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE9"],

        ["\x65\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x5D"],
        ["\xE8\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xEA"],

        ["\x65\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x5E"],
        ["\xE8\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xEC"],

        ["\x65\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x5F"],
        ["\xE8\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xED"],

        ["\x51\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x60"],
        ["\xE8\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xCD"],

        ["\x65\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x61"],
        ["\xE8\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xEE"],

        ["\x65\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x62"],
        ["\xE8\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xEF"],

        ["\x51\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x63"],
        ["\xE8\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\x56"],

        ["\x65\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x64"],
        ["\xE8\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xEB"],

        ["\x65\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x65"],
        ["\xE8\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF1"],

        ["\x65\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x66"],
        ["\xE8\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF2"],

        ["\x65\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x67"],
        ["\xE8\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF3"],

        ["\x65\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x68"],
        ["\xE8\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF5"],

        ["\x65\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x69"],
        ["\xE8\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF7"],

        ["\x65\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x6A"],
        ["\xE8\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF9"],

        ["\x65\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x6B"],
        ["\xE8\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xFA"],

        ["\x65\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x6C"],
        ["\xE8\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xFB"],

        ["\x65\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x6D"],
        ["\xE8\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xFC"],

        ["\x65\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x6E"],
        ["\xE8\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x98"],

        ["\x65\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x6F"],
        ["\xE8\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xFE"],

        ["\x65\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x70"],
        ["\xE8\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xFD"],

        ["\x66\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x71"],
        ["\xE8\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x41"],

        ["\x66\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x72"],
        ["\xE8\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x43"],

        ["\x65\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x73"],
        ["\xE8\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF8"],

        ["\x66\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x74"],
        ["\xE8\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x44"],

        ["\x66\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x75"],
        ["\xE8\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x45"],

        ["\x66\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x76"],
        ["\xE8\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x46"],

        ["\x66\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x77"],
        ["\xE8\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x42"],

        ["\x66\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x78"],
        ["\xE8\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x47"],

        ["\x66\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x79"],
        ["\xE8\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x48"],

        ["\x66\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x7A"],
        ["\xE8\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x49"],

        ["\x66\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x7B"],
        ["\xE8\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4B"],

        ["\x66\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x7C"],
        ["\xE8\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4C"],

        ["\x66\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x7D"],
        ["\xE8\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4D"],

        ["\x66\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x7E"],
        ["\xE8\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4E"],

        ["\x66\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x80"],
        ["\xE8\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4F"],

        ["\x66\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x81"],
        ["\xE8\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x50"],

        ["\x66\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x82"],
        ["\xE8\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x51"],

        ["\x66\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x83"],
        ["\xE8\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x52"],

        ["\x66\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x84"],
        ["\xE8\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x53"],

        ["\x66\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x85"],
        ["\xE8\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x54"],

        ["\x66\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x86"],
        ["\xE8\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x55"],

        ["\x66\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x87"],
        ["\xE8\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x56"],

        ["\x66\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x88"],
        ["\xE8\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x57"],

        ["\x66\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x89"],
        ["\xE8\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x58"],

        ["\x66\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A"],
        ["\xE8\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x59"],

        ["\x66\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B"],
        ["\xE8\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5A"],

        ["\x66\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C"],
        ["\xE8\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5B"],

        ["\x66\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D"],
        ["\xE8\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5C"],

        ["\x66\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E"],
        ["\xE8\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5D"],

        ["\x66\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F"],
        ["\xE8\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5E"],

        ["\x66\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x90"],
        ["\xE8\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5F"],

        ["\x66\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x91"],
        ["\xE8\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x60"],

        ["\x66\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x92"],
        ["\xE8\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x61"],

        ["\x66\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x93"],
        ["\xE8\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x62"],

        ["\x66\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x94"],
        ["\xE8\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x63"],

        ["\x66\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x95"],
        ["\xE8\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x64"],

        ["\x66\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x96"],
        ["\xE8\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x65"],

        ["\x66\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x97"],
        ["\xE8\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x66"],

        ["\x66\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x98"],
        ["\xE8\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x67"],

        ["\x66\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x99"],
        ["\xE8\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x69"],

        ["\x66\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A"],
        ["\xE8\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x68"],

        ["\x66\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B"],
        ["\xE8\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6A"],

        ["\x66\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C"],
        ["\xE8\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6F"],

        ["\x66\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D"],
        ["\xE8\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6B"],

        ["\x52\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E"],
        ["\xE8\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x72"],

        ["\x66\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F"],
        ["\xE8\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6C"],

        ["\x66\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0"],
        ["\xE8\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6D"],

        ["\x66\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],
        ["\xE8\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6E"],

        ["\x66\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2"],
        ["\xE8\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x70"],

        ["\x66\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3"],
        ["\xE8\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x71"],

        ["\x66\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4"],
        ["\xE8\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x72"],

        ["\x66\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5"],
        ["\xE8\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x75"],

        ["\x66\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6"],
        ["\xE8\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x76"],

        ["\x66\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7"],
        ["\xE8\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x77"],

        ["\x66\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8"],
        ["\xE8\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7B"],

        ["\x66\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9"],
        ["\xE8\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7A"],

        ["\x66\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],
        ["\xE8\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7C"],

        ["\x66\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],
        ["\xE8\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7D"],

        ["\x66\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC"],
        ["\xE8\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7E"],

        ["\x66\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD"],
        ["\xE8\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x80"],

        ["\x66\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],
        ["\xE8\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x81"],

        ["\x66\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xAF"],
        ["\xE8\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x82"],

        ["\x66\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],
        ["\xE8\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x83"],

        ["\x66\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1"],
        ["\xE8\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x84"],

        ["\x66\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],
        ["\xE8\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x85"],

        ["\x54\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3"],
        ["\xE8\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x77"],

        ["\x52\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4"],
        ["\xE8\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x5B"],

        ["\x63\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5"],
        ["\xE8\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA1"],

        ["\x66\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6"],
        ["\xE8\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x87"],

        ["\x66\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7"],
        ["\xE8\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x8E"],

        ["\x66\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],
        ["\xE8\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x86"],

        ["\x66\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9"],
        ["\xE8\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x89"],

        ["\x66\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA"],
        ["\xE8\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x8A"],

        ["\x66\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB"],
        ["\xE8\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x8B"],

        ["\x66\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC"],
        ["\xE8\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x8C"],

        ["\x66\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD"],
        ["\xE8\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x8F"],

        ["\x66\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE"],
        ["\xE8\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x90"],

        ["\x66\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF"],
        ["\xE8\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x91"],

        ["\x66\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],
        ["\xE8\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x92"],

        ["\x66\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],
        ["\xE8\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x93"],

        ["\x66\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],
        ["\xE8\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x8D"],

        ["\x66\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],
        ["\xE8\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x94"],

        ["\x66\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],
        ["\xE8\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x95"],

        ["\x66\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],
        ["\xE8\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x96"],

        ["\x66\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],
        ["\xE8\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x98"],

        ["\x66\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],
        ["\xE8\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x9A"],

        ["\x66\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],
        ["\xE8\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x9B"],

        ["\x66\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],
        ["\xE8\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x9D"],

        ["\x66\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xCA"],
        ["\xE8\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x9C"],

        ["\x66\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xCB"],
        ["\xE8\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x9F"],

        ["\x66\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xCC"],
        ["\xE8\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA0"],

        ["\x66\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xCD"],
        ["\xE8\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA1"],

        ["\x66\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xCE"],
        ["\xE8\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA6"],

        ["\x66\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xCF"],
        ["\xE8\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA7"],

        ["\x66\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],
        ["\xE8\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA8"],

        ["\x66\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],
        ["\xE8\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA9"],

        ["\x66\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],
        ["\xE8\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xAA"],

        ["\x53\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],
        ["\xE8\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xD6"],

        ["\x53\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],
        ["\xE8\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB5"],

        ["\x52\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],
        ["\xE8\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xCE"],

        ["\x66\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],
        ["\xE8\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xAC"],

        ["\x66\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],
        ["\xE8\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xAD"],

        ["\x66\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],
        ["\xE8\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xAE"],

        ["\x66\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],
        ["\xE8\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xAF"],

        ["\x66\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],
        ["\xE8\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB0"],

        ["\x52\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],
        ["\xE8\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x77"],

        ["\x66\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xDC"],
        ["\xE8\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB1"],

        ["\x66\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xDD"],
        ["\xE8\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB2"],

        ["\x66\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xDE"],
        ["\xE8\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB3"],

        ["\x66\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xDF"],
        ["\xE8\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB4"],

        ["\x66\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],
        ["\xE8\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB5"],

        ["\x66\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE1"],
        ["\xE8\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB6"],

        ["\x66\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],
        ["\xE8\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB7"],

        ["\x66\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],
        ["\xE8\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB8"],

        ["\x66\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],
        ["\xE8\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB9"],

        ["\x66\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],
        ["\xE8\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xBA"],

        ["\x66\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],
        ["\xE8\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xBB"],

        ["\x66\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],
        ["\xE8\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xBC"],

        ["\x66\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],
        ["\xE8\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xBD"],

        ["\x66\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],
        ["\xE8\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xBE"],

        ["\x66\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xEA"],
        ["\xE8\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xBF"],

        ["\x68\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],
        ["\xE8\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6F"],

        ["\x66\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],
        ["\xE8\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC0"],

        ["\x66\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xED"],
        ["\xE8\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC1"],

        ["\x52\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xEE"],
        ["\xE8\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xFC"],

        ["\x66\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xEF"],
        ["\xE8\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC2"],

        ["\x66\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],
        ["\xE8\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC3"],

        ["\x54\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],
        ["\xE8\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\x56"],

        ["\x50\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],
        ["\xE8\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xFB"],

        ["\x66\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],
        ["\xE8\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC5"],

        ["\x66\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],
        ["\xE8\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC6"],

        ["\x66\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],
        ["\xE8\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC7"],

        ["\x66\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],
        ["\xE8\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC8"],

        ["\x51\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],
        ["\xE8\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xDC"],

        ["\x66\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],
        ["\xE8\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC9"],

        ["\x66\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],
        ["\xE8\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xCA"],

        ["\x66\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],
        ["\xE8\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xCD"],

        ["\x66\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],
        ["\xE8\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xCE"],

        ["\x66\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE8\xFC"],
        ["\xE8\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xCF"],

        ["\x66\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x40"],
        ["\xE9\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD0"],

        ["\x66\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x41"],
        ["\xE9\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD1"],

        ["\x66\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x42"],
        ["\xE9\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD2"],

        ["\x66\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x43"],
        ["\xE9\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD3"],

        ["\x66\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x44"],
        ["\xE9\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD4"],

        ["\x66\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x45"],
        ["\xE9\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD5"],

        ["\x66\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x46"],
        ["\xE9\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD6"],

        ["\x66\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x47"],
        ["\xE9\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD7"],

        ["\x66\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x48"],
        ["\xE9\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD8"],

        ["\x66\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x49"],
        ["\xE9\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD9"],

        ["\x66\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x4A"],
        ["\xE9\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xDC"],

        ["\x66\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x4B"],
        ["\xE9\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xDE"],

        ["\x66\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x4C"],
        ["\xE9\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE0"],

        ["\x54\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x4D"],
        ["\xE9\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xBC"],

        ["\x66\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x4E"],
        ["\xE9\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE2"],

        ["\x66\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x4F"],
        ["\xE9\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE3"],

        ["\x66\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x50"],
        ["\xE9\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE4"],

        ["\x66\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x51"],
        ["\xE9\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE7"],

        ["\x66\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x52"],
        ["\xE9\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE1"],

        ["\x66\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x53"],
        ["\xE9\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE8"],

        ["\x66\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x54"],
        ["\xE9\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE9"],

        ["\x66\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x55"],
        ["\xE9\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xEA"],

        ["\x66\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x56"],
        ["\xE9\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xEB"],

        ["\x66\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x57"],
        ["\xE9\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xEC"],

        ["\x66\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x58"],
        ["\xE9\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xED"],

        ["\x66\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x59"],
        ["\xE9\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xEE"],

        ["\x66\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x5A"],
        ["\xE9\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xEF"],

        ["\x66\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x5B"],
        ["\xE9\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF0"],

        ["\x66\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x5C"],
        ["\xE9\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF1"],

        ["\x66\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x5D"],
        ["\xE9\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF2"],

        ["\x66\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x5E"],
        ["\xE9\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF3"],

        ["\x66\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x5F"],
        ["\xE9\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF4"],

        ["\x52\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x60"],
        ["\xE9\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xE8"],

        ["\x66\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x61"],
        ["\xE9\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF5"],

        ["\x66\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x62"],
        ["\xE9\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF6"],

        ["\x66\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x63"],
        ["\xE9\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF7"],

        ["\x66\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x64"],
        ["\xE9\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF8"],

        ["\x66\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x65"],
        ["\xE9\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xFA"],

        ["\x66\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x66"],
        ["\xE9\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xFB"],

        ["\x66\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x67"],
        ["\xE9\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xFC"],

        ["\x66\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x68"],
        ["\xE9\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xFD"],

        ["\x66\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x69"],
        ["\xE9\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xFE"],

        ["\x67\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x6A"],
        ["\xE9\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x41"],

        ["\x67\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x6B"],
        ["\xE9\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x42"],

        ["\x67\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x6C"],
        ["\xE9\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x43"],

        ["\x67\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x6D"],
        ["\xE9\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x44"],

        ["\x67\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x6E"],
        ["\xE9\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x45"],

        ["\x67\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x6F"],
        ["\xE9\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x46"],

        ["\x67\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x70"],
        ["\xE9\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x48"],

        ["\x67\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x71"],
        ["\xE9\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x49"],

        ["\x67\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x72"],
        ["\xE9\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4A"],

        ["\x67\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x73"],
        ["\xE9\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4B"],

        ["\x67\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x74"],
        ["\xE9\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4C"],

        ["\x67\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x75"],
        ["\xE9\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4D"],

        ["\x67\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x76"],
        ["\xE9\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4E"],

        ["\x67\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x77"],
        ["\xE9\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x47"],

        ["\x67\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x78"],
        ["\xE9\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4F"],

        ["\x67\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x79"],
        ["\xE9\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x50"],

        ["\x67\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x7A"],
        ["\xE9\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x51"],

        ["\x67\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x7B"],
        ["\xE9\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x53"],

        ["\x67\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x7C"],
        ["\xE9\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x54"],

        ["\x67\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x7D"],
        ["\xE9\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x52"],

        ["\x67\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x7E"],
        ["\xE9\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x55"],

        ["\x67\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x80"],
        ["\xE9\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x56"],

        ["\x67\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x81"],
        ["\xE9\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x57"],

        ["\x67\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x82"],
        ["\xE9\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x58"],

        ["\x67\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x83"],
        ["\xE9\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5A"],

        ["\x67\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x84"],
        ["\xE9\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5B"],

        ["\x67\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x85"],
        ["\xE9\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5C"],

        ["\x67\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x86"],
        ["\xE9\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5D"],

        ["\x67\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x87"],
        ["\xE9\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5F"],

        ["\x67\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x88"],
        ["\xE9\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x60"],

        ["\x67\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x89"],
        ["\xE9\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5E"],

        ["\x67\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A"],
        ["\xE9\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x62"],

        ["\x67\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B"],
        ["\xE9\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x61"],

        ["\x67\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C"],
        ["\xE9\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x63"],

        ["\x67\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D"],
        ["\xE9\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x64"],

        ["\x67\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E"],
        ["\xE9\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x65"],

        ["\x67\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F"],
        ["\xE9\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x66"],

        ["\x67\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x90"],
        ["\xE9\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x67"],

        ["\x67\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x91"],
        ["\xE9\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6A"],

        ["\x67\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x92"],
        ["\xE9\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x68"],

        ["\x67\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x93"],
        ["\xE9\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x69"],

        ["\x67\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x94"],
        ["\xE9\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6D"],

        ["\x67\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x95"],
        ["\xE9\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6E"],

        ["\x67\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x96"],
        ["\xE9\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6F"],

        ["\x67\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x97"],
        ["\xE9\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x70"],

        ["\x67\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x98"],
        ["\xE9\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x71"],

        ["\x67\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x99"],
        ["\xE9\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x72"],

        ["\x67\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A"],
        ["\xE9\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x73"],

        ["\x67\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B"],
        ["\xE9\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x74"],

        ["\x67\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C"],
        ["\xE9\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x75"],

        ["\x67\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D"],
        ["\xE9\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x76"],

        ["\x67\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E"],
        ["\xE9\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x77"],

        ["\x67\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F"],
        ["\xE9\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x78"],

        ["\x67\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0"],
        ["\xE9\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x79"],

        ["\x67\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],
        ["\xE9\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7A"],

        ["\x67\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2"],
        ["\xE9\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7B"],

        ["\x67\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3"],
        ["\xE9\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7C"],

        ["\x67\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4"],
        ["\xE9\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7D"],

        ["\x67\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5"],
        ["\xE9\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7E"],

        ["\x67\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6"],
        ["\xE9\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7F"],

        ["\x67\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7"],
        ["\xE9\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x80"],

        ["\x67\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8"],
        ["\xE9\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x81"],

        ["\x67\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9"],
        ["\xE9\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x82"],

        ["\x67\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA"],
        ["\xE9\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x83"],

        ["\x67\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],
        ["\xE9\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x84"],

        ["\x67\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC"],
        ["\xE9\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x85"],

        ["\x67\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD"],
        ["\xE9\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x87"],

        ["\x67\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE"],
        ["\xE9\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x89"],

        ["\x67\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF"],
        ["\xE9\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x8A"],

        ["\x53\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],
        ["\xE9\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x89"],

        ["\x67\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1"],
        ["\xE9\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x8B"],

        ["\x67\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB2"],
        ["\xE9\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x8C"],

        ["\x67\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3"],
        ["\xE9\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x8D"],

        ["\x67\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4"],
        ["\xE9\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x8E"],

        ["\x67\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5"],
        ["\xE9\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x90"],

        ["\x67\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6"],
        ["\xE9\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x92"],

        ["\x67\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7"],
        ["\xE9\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x94"],

        ["\x67\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8"],
        ["\xE9\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x95"],

        ["\x67\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9"],
        ["\xE9\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x96"],

        ["\x67\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA"],
        ["\xE9\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x97"],

        ["\x67\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB"],
        ["\xE9\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x98"],

        ["\x67\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC"],
        ["\xE9\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x99"],

        ["\x67\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD"],
        ["\xE9\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x9A"],

        ["\x67\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE"],
        ["\xE9\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x9C"],

        ["\x67\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xBF"],
        ["\xE9\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x9D"],

        ["\x67\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],
        ["\xE9\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x9E"],

        ["\x67\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],
        ["\xE9\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA0"],

        ["\x67\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],
        ["\xE9\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA1"],

        ["\x67\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],
        ["\xE9\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA2"],

        ["\x67\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],
        ["\xE9\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA3"],

        ["\x67\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],
        ["\xE9\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA4"],

        ["\x67\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],
        ["\xE9\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA5"],

        ["\x67\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],
        ["\xE9\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA6"],

        ["\x67\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],
        ["\xE9\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA7"],

        ["\x67\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],
        ["\xE9\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA8"],

        ["\x67\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xCA"],
        ["\xE9\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA9"],

        ["\x51\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xCB"],
        ["\xE9\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF0"],

        ["\x67\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xCC"],
        ["\xE9\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xAC"],

        ["\x67\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xCD"],
        ["\xE9\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xAB"],

        ["\x55\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xCE"],
        ["\xE9\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x55\x51"],

        ["\x67\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xCF"],
        ["\xE9\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xAF"],

        ["\x67\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],
        ["\xE9\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB0"],

        ["\x67\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],
        ["\xE9\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB2"],

        ["\x67\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],
        ["\xE9\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB3"],

        ["\x67\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],
        ["\xE9\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB4"],

        ["\x67\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],
        ["\xE9\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB5"],

        ["\x67\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],
        ["\xE9\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB6"],

        ["\x67\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],
        ["\xE9\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB7"],

        ["\x67\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],
        ["\xE9\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB8"],

        ["\x67\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],
        ["\xE9\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xAD"],

        ["\x67\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],
        ["\xE9\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB9"],

        ["\x67\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xDA"],
        ["\xE9\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xAE"],

        ["\x67\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xDB"],
        ["\xE9\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xBA"],

        ["\x67\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xDC"],
        ["\xE9\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xBB"],

        ["\x67\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xDD"],
        ["\xE9\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xBC"],

        ["\x67\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xDE"],
        ["\xE9\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xBD"],

        ["\x67\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xDF"],
        ["\xE9\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xBE"],

        ["\x67\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],
        ["\xE9\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xBF"],

        ["\x67\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE1"],
        ["\xE9\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC0"],

        ["\x67\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],
        ["\xE9\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC1"],

        ["\x67\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],
        ["\xE9\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC2"],

        ["\x67\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],
        ["\xE9\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC3"],

        ["\x67\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],
        ["\xE9\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC4"],

        ["\x67\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],
        ["\xE9\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC5"],

        ["\x67\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],
        ["\xE9\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC6"],

        ["\x67\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],
        ["\xE9\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC8"],

        ["\x67\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],
        ["\xE9\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC9"],

        ["\x67\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xEA"],
        ["\xE9\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xCA"],

        ["\x67\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xEB"],
        ["\xE9\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xCB"],

        ["\x54\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xEC"],
        ["\xE9\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x54\xFC"],

        ["\x67\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xED"],
        ["\xE9\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC7"],

        ["\x67\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xEE"],
        ["\xE9\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xCC"],

        ["\x67\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xEF"],
        ["\xE9\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xCD"],

        ["\x67\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],
        ["\xE9\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xCE"],

        ["\x67\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],
        ["\xE9\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xCF"],

        ["\x50\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],
        ["\xE9\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE5"],

        ["\x67\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],
        ["\xE9\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD1"],

        ["\x67\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],
        ["\xE9\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD2"],

        ["\x67\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],
        ["\xE9\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD7"],

        ["\x67\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],
        ["\xE9\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD3"],

        ["\x67\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],
        ["\xE9\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD4"],

        ["\x67\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],
        ["\xE9\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD5"],

        ["\x67\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],
        ["\xE9\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD6"],

        ["\x67\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xFA"],
        ["\xE9\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD8"],

        ["\x67\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xFB"],
        ["\xE9\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD9"],

        ["\x67\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xE9\xFC"],
        ["\xE9\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xDA"],

        ["\x67\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x40"],
        ["\xEA\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xDB"],

        ["\x67\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x41"],
        ["\xEA\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xDC"],

        ["\x67\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x42"],
        ["\xEA\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE0"],

        ["\x67\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x43"],
        ["\xEA\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xDE"],

        ["\x67\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x44"],
        ["\xEA\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xDF"],

        ["\x67\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x45"],
        ["\xEA\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xDD"],

        ["\x67\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x46"],
        ["\xEA\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE1"],

        ["\x53\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x47"],
        ["\xEA\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x42"],

        ["\x67\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x48"],
        ["\xEA\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE3"],

        ["\x67\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x49"],
        ["\xEA\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xEA"],

        ["\x67\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x4A"],
        ["\xEA\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE5"],

        ["\x67\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x4B"],
        ["\xEA\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE6"],

        ["\x67\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x4C"],
        ["\xEA\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE7"],

        ["\x67\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x4D"],
        ["\xEA\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE8"],

        ["\x67\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x4E"],
        ["\xEA\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE9"],

        ["\x67\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x4F"],
        ["\xEA\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xEB"],

        ["\x67\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x50"],
        ["\xEA\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xEC"],

        ["\x67\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x51"],
        ["\xEA\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xED"],

        ["\x67\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x52"],
        ["\xEA\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xEE"],

        ["\x67\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x53"],
        ["\xEA\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xEF"],

        ["\x67\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x54"],
        ["\xEA\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF0"],

        ["\x67\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x55"],
        ["\xEA\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF1"],

        ["\x67\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x56"],
        ["\xEA\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF2"],

        ["\x67\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x57"],
        ["\xEA\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF3"],

        ["\x67\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x58"],
        ["\xEA\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF5"],

        ["\x67\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x59"],
        ["\xEA\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF6"],

        ["\x67\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x5A"],
        ["\xEA\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF7"],

        ["\x67\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x5B"],
        ["\xEA\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF8"],

        ["\x67\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x5C"],
        ["\xEA\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF9"],

        ["\x67\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x5D"],
        ["\xEA\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xFA"],

        ["\x67\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x5E"],
        ["\xEA\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xFB"],

        ["\x67\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x5F"],
        ["\xEA\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xFC"],

        ["\x67\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x60"],
        ["\xEA\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xFD"],

        ["\x68\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x61"],
        ["\xEA\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x41"],

        ["\x68\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x62"],
        ["\xEA\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x42"],

        ["\x68\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x63"],
        ["\xEA\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x43"],

        ["\x68\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x64"],
        ["\xEA\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x44"],

        ["\x68\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x65"],
        ["\xEA\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x45"],

        ["\x68\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x66"],
        ["\xEA\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x46"],

        ["\x68\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x67"],
        ["\xEA\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x47"],

        ["\x68\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x68"],
        ["\xEA\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x48"],

        ["\x51\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x69"],
        ["\xEA\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF9"],

        ["\x68\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x6A"],
        ["\xEA\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x49"],

        ["\x68\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x6B"],
        ["\xEA\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4A"],

        ["\x68\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x6C"],
        ["\xEA\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4B"],

        ["\x68\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x6D"],
        ["\xEA\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4C"],

        ["\x53\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x6E"],
        ["\xEA\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xB4"],

        ["\x68\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x6F"],
        ["\xEA\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4D"],

        ["\x68\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x70"],
        ["\xEA\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4E"],

        ["\x68\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x71"],
        ["\xEA\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4F"],

        ["\x68\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x72"],
        ["\xEA\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x52"],

        ["\x68\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x73"],
        ["\xEA\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x53"],

        ["\x51\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x74"],
        ["\xEA\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xA7"],

        ["\x68\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x75"],
        ["\xEA\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x54"],

        ["\x68\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x76"],
        ["\xEA\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x55"],

        ["\x68\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x77"],
        ["\xEA\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x57"],

        ["\x68\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x78"],
        ["\xEA\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x58"],

        ["\x68\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x79"],
        ["\xEA\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x59"],

        ["\x68\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x7A"],
        ["\xEA\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5A"],

        ["\x68\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x7B"],
        ["\xEA\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5B"],

        ["\x68\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x7C"],
        ["\xEA\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5C"],

        ["\x68\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x7D"],
        ["\xEA\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5D"],

        ["\x68\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x7E"],
        ["\xEA\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5E"],

        ["\x68\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x80"],
        ["\xEA\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5F"],

        ["\x68\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x81"],
        ["\xEA\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x60"],

        ["\x68\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x82"],
        ["\xEA\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x61"],

        ["\x68\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x83"],
        ["\xEA\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x62"],

        ["\x68\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x84"],
        ["\xEA\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x63"],

        ["\x68\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x85"],
        ["\xEA\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x64"],

        ["\x68\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x86"],
        ["\xEA\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x65"],

        ["\x68\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x87"],
        ["\xEA\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x66"],

        ["\x68\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x88"],
        ["\xEA\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x67"],

        ["\x68\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x89"],
        ["\xEA\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x68"],

        ["\x68\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x8A"],
        ["\xEA\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x69"],

        ["\x68\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x8B"],
        ["\xEA\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6A"],

        ["\x68\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x8C"],
        ["\xEA\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6B"],

        ["\x68\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x8D"],
        ["\xEA\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6C"],

        ["\x68\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x8E"],
        ["\xEA\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6D"],

        ["\x68\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x8F"],
        ["\xEA\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x70"],

        ["\x68\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x90"],
        ["\xEA\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x71"],

        ["\x68\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x91"],
        ["\xEA\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x72"],

        ["\x68\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x92"],
        ["\xEA\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x73"],

        ["\x68\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x93"],
        ["\xEA\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x74"],

        ["\x68\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x94"],
        ["\xEA\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x75"],

        ["\x68\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x95"],
        ["\xEA\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x76"],

        ["\x68\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x96"],
        ["\xEA\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x77"],

        ["\x68\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x97"],
        ["\xEA\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x78"],

        ["\x68\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x98"],
        ["\xEA\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x79"],

        ["\x68\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x99"],
        ["\xEA\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7A"],

        ["\x68\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x9A"],
        ["\xEA\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7B"],

        ["\x68\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x9B"],
        ["\xEA\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7C"],

        ["\x68\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x9C"],
        ["\xEA\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7D"],

        ["\x68\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x9D"],
        ["\xEA\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7E"],

        ["\x68\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x9E"],
        ["\xEA\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7F"],

        ["\x4E\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\x9F"],
        ["\xEA\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4E\x53"],

        ["\x4D\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\xA0"],
        ["\xEA\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4D\xB9"],

        ["\x52\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\xA1"],
        ["\xEA\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xF3"],

        ["\x5E\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\xA2"],
        ["\xEA\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xBB"],

        ["\x68\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\xA3"],
        ["\xEA\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x84"],

        ["\x4F\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xEA\xA4"],
        ["\xEA\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x68"],

        ["\x41\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x40"],
        ["\xFA\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xB1"],

        ["\x41\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x41"],
        ["\xFA\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xB2"],

        ["\x41\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x42"],
        ["\xFA\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xB3"],

        ["\x41\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x43"],
        ["\xFA\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xB4"],

        ["\x41\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x44"],
        ["\xFA\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xB5"],

        ["\x41\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x45"],
        ["\xFA\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xB6"],

        ["\x41\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x46"],
        ["\xFA\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xB7"],

        ["\x41\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x47"],
        ["\xFA\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xB8"],

        ["\x41\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x48"],
        ["\xFA\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xB9"],

        ["\x41\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x49"],
        ["\xFA\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xBA"],

        ["\xE9\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x55"],
        ["\xFA\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],

        ["\x42\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x56"],
        ["\xFA\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x7D"],

        ["\x42\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x57"],
        ["\xFA\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x7F"],

        ["\x51\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x5C"],
        ["\xFA\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xBF"],

        ["\x51\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x5D"],
        ["\xFA\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xDA"],

        ["\x51\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x5E"],
        ["\xFA\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x51\xF7"],

        ["\x52\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x5F"],
        ["\xFA\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x4B"],

        ["\x52\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x60"],
        ["\xFA\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x7B"],

        ["\x52\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x61"],
        ["\xFA\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x94"],

        ["\x52\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x62"],
        ["\xFA\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\x9E"],

        ["\x52\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x63"],
        ["\xFA\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x52\xEB"],

        ["\x53\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x64"],
        ["\xFA\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x86"],

        ["\x53\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x65"],
        ["\xFA\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x94"],

        ["\x53\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x66"],
        ["\xFA\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\x97"],

        ["\x53\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x67"],
        ["\xFA\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x53\xC7"],

        ["\x56\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x68"],
        ["\xFA\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x44"],

        ["\x56\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x69"],
        ["\xFA\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x5D"],

        ["\x56\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x6A"],
        ["\xFA\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x62"],

        ["\x56\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x6B"],
        ["\xFA\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x65"],

        ["\x56\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x6C"],
        ["\xFA\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x66"],

        ["\x56\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x6D"],
        ["\xFA\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x6A"],

        ["\x56\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x6E"],
        ["\xFA\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x6E"],

        ["\x56\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x6F"],
        ["\xFA\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x70"],

        ["\x56\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x70"],
        ["\xFA\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x71"],

        ["\x56\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x71"],
        ["\xFA\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x74"],

        ["\x56\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x72"],
        ["\xFA\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x7B"],

        ["\x56\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x73"],
        ["\xFA\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x86"],

        ["\x56\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x74"],
        ["\xFA\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x8A"],

        ["\x56\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x75"],
        ["\xFA\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x91"],

        ["\x56\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x76"],
        ["\xFA\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x94"],

        ["\x56\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x77"],
        ["\xFA\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\x98"],

        ["\x56\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x78"],
        ["\xFA\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA2"],

        ["\x56\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x79"],
        ["\xFA\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA3"],

        ["\x56\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x7A"],
        ["\xFA\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA4"],

        ["\x56\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x7B"],
        ["\xFA\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xA8"],

        ["\x56\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x7C"],
        ["\xFA\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB2"],

        ["\x56\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x7D"],
        ["\xFA\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xB5"],

        ["\x56\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x7E"],
        ["\xFA\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xC9"],

        ["\x56\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x80"],
        ["\xFA\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xCE"],

        ["\x56\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x81"],
        ["\xFA\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xDC"],

        ["\x56\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x82"],
        ["\xFA\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xE8"],

        ["\x56\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x83"],
        ["\xFA\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xEF"],

        ["\x56\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x84"],
        ["\xFA\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x56\xF7"],

        ["\x57\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x85"],
        ["\xFA\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4F"],

        ["\x57\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x86"],
        ["\xFA\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x50"],

        ["\x57\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x87"],
        ["\xFA\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x56"],

        ["\x57\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x88"],
        ["\xFA\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x58"],

        ["\x57\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x89"],
        ["\xFA\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x61"],

        ["\x57\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x8A"],
        ["\xFA\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x63"],

        ["\x57\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x8B"],
        ["\xFA\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6B"],

        ["\x57\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x8C"],
        ["\xFA\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7C"],

        ["\x57\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x8D"],
        ["\xFA\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x80"],

        ["\x57\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x8E"],
        ["\xFA\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x87"],

        ["\x57\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x8F"],
        ["\xFA\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x8B"],

        ["\x57\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x90"],
        ["\xFA\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x8E"],

        ["\x57\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x91"],
        ["\xFA\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA9"],

        ["\x57\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x92"],
        ["\xFA\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xAE"],

        ["\x57\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x93"],
        ["\xFA\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xBD"],

        ["\x57\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x94"],
        ["\xFA\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC0"],

        ["\x57\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x95"],
        ["\xFA\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xDE"],

        ["\x58\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x96"],
        ["\xFA\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x60"],

        ["\x58\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x97"],
        ["\xFA\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x63"],

        ["\x58\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x98"],
        ["\xFA\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x6C"],

        ["\x58\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x99"],
        ["\xFA\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x70"],

        ["\x58\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x9A"],
        ["\xFA\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x73"],

        ["\x58\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x9B"],
        ["\xFA\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x77"],

        ["\x58\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x9C"],
        ["\xFA\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x82"],

        ["\x58\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x9D"],
        ["\xFA\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x8A"],

        ["\x58\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x9E"],
        ["\xFA\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\x8C"],

        ["\x58\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\x9F"],
        ["\xFA\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xA1"],

        ["\x58\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA0"],
        ["\xFA\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xAD"],

        ["\x58\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA1"],
        ["\xFA\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB0"],

        ["\x58\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA2"],
        ["\xFA\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB1"],

        ["\x58\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA3"],
        ["\xFA\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xB2"],

        ["\x58\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA4"],
        ["\xFA\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xBE"],

        ["\x58\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA5"],
        ["\xFA\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xC0"],

        ["\x58\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA6"],
        ["\xFA\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xEC"],

        ["\x58\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA7"],
        ["\xFA\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xFC"],

        ["\x58\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA8"],
        ["\xFA\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x58\xFE"],

        ["\x59\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xA9"],
        ["\xFA\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x42"],

        ["\x59\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xAA"],
        ["\xFA\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x44"],

        ["\x59\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xAB"],
        ["\xFA\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x51"],

        ["\x59\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xAC"],
        ["\xFA\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x67"],

        ["\x59\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xAD"],
        ["\xFA\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x68"],

        ["\x59\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xAE"],
        ["\xFA\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x70"],

        ["\x59\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xAF"],
        ["\xFA\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x78"],

        ["\x59\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB0"],
        ["\xFA\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7F"],

        ["\x59\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB1"],
        ["\xFA\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x80"],

        ["\x59\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB2"],
        ["\xFA\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x84"],

        ["\x59\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB3"],
        ["\xFA\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x87"],

        ["\x59\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB4"],
        ["\xFA\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x93"],

        ["\x59\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB5"],
        ["\xFA\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x95"],

        ["\x59\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB6"],
        ["\xFA\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x97"],

        ["\x59\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB7"],
        ["\xFA\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC7"],

        ["\x59\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB8"],
        ["\xFA\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xCB"],

        ["\x59\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xB9"],
        ["\xFA\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD8"],

        ["\x59\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xBA"],
        ["\xFA\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE8"],

        ["\x59\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xBB"],
        ["\xFA\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF1"],

        ["\x5A\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xBC"],
        ["\xFA\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x44"],

        ["\x5A\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xBD"],
        ["\xFA\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x51"],

        ["\x5A\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xBE"],
        ["\xFA\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x57"],

        ["\x5A\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xBF"],
        ["\xFA\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5F"],

        ["\x5A\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC0"],
        ["\xFA\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x65"],

        ["\x5A\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC1"],
        ["\xFA\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x67"],

        ["\x5A\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC2"],
        ["\xFA\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x68"],

        ["\x5A\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC3"],
        ["\xFA\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x76"],

        ["\x5A\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC4"],
        ["\xFA\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x79"],

        ["\x5A\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC5"],
        ["\xFA\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7E"],

        ["\x5A\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC6"],
        ["\xFA\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x94"],

        ["\x5A\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC7"],
        ["\xFA\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB5"],

        ["\x5A\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC8"],
        ["\xFA\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xDA"],

        ["\x5A\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xC9"],
        ["\xFA\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xFB"],

        ["\x5B\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xCA"],
        ["\xFA\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x50"],

        ["\x5B\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xCB"],
        ["\xFA\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x53"],

        ["\x5B\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xCC"],
        ["\xFA\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x54"],

        ["\x5B\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xCD"],
        ["\xFA\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7E"],

        ["\x5B\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xCE"],
        ["\xFA\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x97"],

        ["\x5B\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xCF"],
        ["\xFA\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x98"],

        ["\x4F\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD0"],
        ["\xFA\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x9F"],

        ["\x5B\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD1"],
        ["\xFA\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x9D"],

        ["\x5B\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD2"],
        ["\xFA\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA0"],

        ["\x5B\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD3"],
        ["\xFA\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA1"],

        ["\x5B\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD4"],
        ["\xFA\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA4"],

        ["\x5B\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD5"],
        ["\xFA\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA7"],

        ["\x5B\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD6"],
        ["\xFA\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA8"],

        ["\x5B\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD7"],
        ["\xFA\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xAB"],

        ["\x5B\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD8"],
        ["\xFA\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xAE"],

        ["\x5B\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xD9"],
        ["\xFA\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xAF"],

        ["\x5B\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xDA"],
        ["\xFA\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB4"],

        ["\x5B\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xDB"],
        ["\xFA\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB6"],

        ["\x5B\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xDC"],
        ["\xFA\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB8"],

        ["\x5B\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xDD"],
        ["\xFA\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xBB"],

        ["\x5B\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xDE"],
        ["\xFA\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC7"],

        ["\x5B\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xDF"],
        ["\xFA\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC8"],

        ["\x5B\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE0"],
        ["\xFA\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC9"],

        ["\x5B\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE1"],
        ["\xFA\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD8"],

        ["\x5B\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE2"],
        ["\xFA\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE3"],

        ["\x5B\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE3"],
        ["\xFA\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xEC"],

        ["\x5B\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE4"],
        ["\xFA\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF0"],

        ["\x5B\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE5"],
        ["\xFA\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF3"],

        ["\x5B\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE6"],
        ["\xFA\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF9"],

        ["\x5C\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE7"],
        ["\xFA\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x5F"],

        ["\x5C\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE8"],
        ["\xFA\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x66"],

        ["\x5C\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xE9"],
        ["\xFA\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x6E"],

        ["\x5C\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xEA"],
        ["\xFA\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x78"],

        ["\x5C\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xEB"],
        ["\xFA\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x79"],

        ["\x5C\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xEC"],
        ["\xFA\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x90"],

        ["\x5C\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xED"],
        ["\xFA\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x9A"],

        ["\x5C\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xEE"],
        ["\xFA\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\x9B"],

        ["\x5C\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xEF"],
        ["\xFA\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA6"],

        ["\x5C\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF0"],
        ["\xFA\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xA9"],

        ["\x5C\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF1"],
        ["\xFA\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xAF"],

        ["\x5C\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF2"],
        ["\xFA\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xB9"],

        ["\x5C\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF3"],
        ["\xFA\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xBC"],

        ["\x5C\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF4"],
        ["\xFA\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xEA"],

        ["\x5C\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF5"],
        ["\xFA\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF6"],

        ["\x5C\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF6"],
        ["\xFA\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xF9"],

        ["\x5C\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF7"],
        ["\xFA\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xFD"],

        ["\x5C\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF8"],
        ["\xFA\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5C\xFE"],

        ["\x5D\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xF9"],
        ["\xFA\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x4E"],

        ["\x5D\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xFA"],
        ["\xFA\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x58"],

        ["\x5D\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xFB"],
        ["\xFA\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x60"],

        ["\x5D\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFA\xFC"],
        ["\xFA\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x62"],

        ["\x5D\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x40"],
        ["\xFB\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x6B"],

        ["\x5D\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x41"],
        ["\xFB\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x72"],

        ["\x5D\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x42"],
        ["\xFB\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x74"],

        ["\x5D\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x43"],
        ["\xFB\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x7A"],

        ["\x5D\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x44"],
        ["\xFB\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x7F"],

        ["\x5D\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x45"],
        ["\xFB\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x80"],

        ["\x5D\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x46"],
        ["\xFB\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x8A"],

        ["\x5D\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x47"],
        ["\xFB\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x8E"],

        ["\x5D\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x48"],
        ["\xFB\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x93"],

        ["\x5D\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x49"],
        ["\xFB\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\x95"],

        ["\x5D\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x4A"],
        ["\xFB\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xA6"],

        ["\x5D\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x4B"],
        ["\xFB\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xC1"],

        ["\x5D\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x4C"],
        ["\xFB\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xCA"],

        ["\x5D\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x4D"],
        ["\xFB\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD5"],

        ["\x5D\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x4E"],
        ["\xFB\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD7"],

        ["\x5D\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x4F"],
        ["\xFB\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xD8"],

        ["\x5D\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x50"],
        ["\xFB\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xE3"],

        ["\x5D\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x51"],
        ["\xFB\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xEA"],

        ["\x5D\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x52"],
        ["\xFB\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xED"],

        ["\x5D\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x53"],
        ["\xFB\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF5"],

        ["\x5D\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x54"],
        ["\xFB\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xF6"],

        ["\x5D\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x55"],
        ["\xFB\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xFB"],

        ["\x5D\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x56"],
        ["\xFB\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xFC"],

        ["\x5D\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x57"],
        ["\xFB\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5D\xFD"],

        ["\x5E\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x58"],
        ["\xFB\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x49"],

        ["\x5E\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x59"],
        ["\xFB\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4B"],

        ["\x5E\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x5A"],
        ["\xFB\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5A"],

        ["\x5E\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x5B"],
        ["\xFB\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x73"],

        ["\x5E\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x5C"],
        ["\xFB\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x75"],

        ["\x5E\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x5D"],
        ["\xFB\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x86"],

        ["\x5E\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x5E"],
        ["\xFB\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x8A"],

        ["\x5E\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x5F"],
        ["\xFB\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x94"],

        ["\x5E\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x60"],
        ["\xFB\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x99"],

        ["\x5E\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x61"],
        ["\xFB\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x9E"],

        ["\x5E\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x62"],
        ["\xFB\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x9F"],

        ["\x5E\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x63"],
        ["\xFB\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA1"],

        ["\x5E\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x64"],
        ["\xFB\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA2"],

        ["\x5E\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x65"],
        ["\xFB\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA7"],

        ["\x5E\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x66"],
        ["\xFB\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA8"],

        ["\x5E\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x67"],
        ["\xFB\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xAA"],

        ["\x5E\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x68"],
        ["\xFB\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xAB"],

        ["\x5E\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x69"],
        ["\xFB\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xAD"],

        ["\x5E\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x6A"],
        ["\xFB\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xAE"],

        ["\x5E\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x6B"],
        ["\xFB\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xBC"],

        ["\x5E\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x6C"],
        ["\xFB\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xBD"],

        ["\x5E\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x6D"],
        ["\xFB\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC0"],

        ["\x5E\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x6E"],
        ["\xFB\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD1"],

        ["\x5E\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x6F"],
        ["\xFB\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE7"],

        ["\x5F\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x70"],
        ["\xFB\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x69"],

        ["\x5F\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x71"],
        ["\xFB\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x70"],

        ["\x5F\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x72"],
        ["\xFB\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x71"],

        ["\x5F\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x73"],
        ["\xFB\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x72"],

        ["\x5F\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x74"],
        ["\xFB\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x73"],

        ["\x5F\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x75"],
        ["\xFB\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7A"],

        ["\x5F\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x76"],
        ["\xFB\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x8E"],

        ["\x5F\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x77"],
        ["\xFB\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xAA"],

        ["\x5F\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x78"],
        ["\xFB\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xAE"],

        ["\x5F\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x79"],
        ["\xFB\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB2"],

        ["\x5F\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x7A"],
        ["\xFB\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB3"],

        ["\x5F\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x7B"],
        ["\xFB\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB6"],

        ["\x5F\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x7C"],
        ["\xFB\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD1"],

        ["\x5F\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x7D"],
        ["\xFB\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD2"],

        ["\x5F\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x7E"],
        ["\xFB\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD5"],

        ["\x5F\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x80"],
        ["\xFB\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD9"],

        ["\x5F\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x81"],
        ["\xFB\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xDC"],

        ["\x5F\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x82"],
        ["\xFB\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xDD"],

        ["\x5F\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x83"],
        ["\xFB\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xDF"],

        ["\x60\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x84"],
        ["\xFB\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4F"],

        ["\x60\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x85"],
        ["\xFB\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x58"],

        ["\x60\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x86"],
        ["\xFB\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x59"],

        ["\x60\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x87"],
        ["\xFB\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x5A"],

        ["\x60\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x88"],
        ["\xFB\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x82"],

        ["\x60\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x89"],
        ["\xFB\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xAD"],

        ["\x60\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x8A"],
        ["\xFB\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC4"],

        ["\x60\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x8B"],
        ["\xFB\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC6"],

        ["\x60\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x8C"],
        ["\xFB\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD4"],

        ["\x60\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x8D"],
        ["\xFB\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xDA"],

        ["\x60\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x8E"],
        ["\xFB\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE1"],

        ["\x60\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x8F"],
        ["\xFB\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xFD"],

        ["\x61\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x90"],
        ["\xFB\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x57"],

        ["\x61\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x91"],
        ["\xFB\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x6E"],

        ["\x61\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x92"],
        ["\xFB\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\x77"],

        ["\x61\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x93"],
        ["\xFB\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x61\xF8"],

        ["\x62\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x94"],
        ["\xFB\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x48"],

        ["\x62\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x95"],
        ["\xFB\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5B"],

        ["\x62\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x96"],
        ["\xFB\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x67"],

        ["\x62\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x97"],
        ["\xFB\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x74"],

        ["\x62\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x98"],
        ["\xFB\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7E"],

        ["\x62\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x99"],
        ["\xFB\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x8A"],

        ["\x62\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x9A"],
        ["\xFB\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x9E"],

        ["\x62\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x9B"],
        ["\xFB\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA1"],

        ["\x62\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x9C"],
        ["\xFB\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA8"],

        ["\x62\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x9D"],
        ["\xFB\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB9"],

        ["\x62\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x9E"],
        ["\xFB\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xBB"],

        ["\x62\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\x9F"],
        ["\xFB\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xCE"],

        ["\x62\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA0"],
        ["\xFB\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE2"],

        ["\x63\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA1"],
        ["\xFB\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5E"],

        ["\x63\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA2"],
        ["\xFB\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x90"],

        ["\x63\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA3"],
        ["\xFB\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC5"],

        ["\x63\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA4"],
        ["\xFB\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xCB"],

        ["\x63\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA5"],
        ["\xFB\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD4"],

        ["\x63\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA6"],
        ["\xFB\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xDF"],

        ["\x63\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA7"],
        ["\xFB\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE1"],

        ["\x63\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA8"],
        ["\xFB\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xED"],

        ["\x63\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xA9"],
        ["\xFB\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xEE"],

        ["\x63\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xAA"],
        ["\xFB\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xEF"],

        ["\x64\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xAB"],
        ["\xFB\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x45"],

        ["\x64\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xAC"],
        ["\xFB\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x50"],

        ["\x64\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xAD"],
        ["\xFB\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7C"],

        ["\x64\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xAE"],
        ["\xFB\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7D"],

        ["\x64\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xAF"],
        ["\xFB\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x85"],

        ["\x64\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB0"],
        ["\xFB\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x8D"],

        ["\x64\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB1"],
        ["\xFB\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x8E"],

        ["\x64\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB2"],
        ["\xFB\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC9"],

        ["\x64\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB3"],
        ["\xFB\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF1"],

        ["\x65\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB4"],
        ["\xFB\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x49"],

        ["\x65\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB5"],
        ["\xFB\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x53"],

        ["\x65\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB6"],
        ["\xFB\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x64"],

        ["\x65\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB7"],
        ["\xFB\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x66"],

        ["\x65\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB8"],
        ["\xFB\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x67"],

        ["\x65\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xB9"],
        ["\xFB\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6B"],

        ["\x65\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xBA"],
        ["\xFB\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x83"],

        ["\x65\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xBB"],
        ["\xFB\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x85"],

        ["\x65\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xBC"],
        ["\xFB\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x86"],

        ["\x65\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xBD"],
        ["\xFB\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x8A"],

        ["\x65\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xBE"],
        ["\xFB\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x8C"],

        ["\x65\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xBF"],
        ["\xFB\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x8D"],

        ["\x65\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC0"],
        ["\xFB\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x8F"],

        ["\x65\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC1"],
        ["\xFB\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x90"],

        ["\x65\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC2"],
        ["\xFB\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x93"],

        ["\x65\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC3"],
        ["\xFB\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x95"],

        ["\x65\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC4"],
        ["\xFB\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x9B"],

        ["\x65\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC5"],
        ["\xFB\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x9E"],

        ["\x65\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC6"],
        ["\xFB\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x9F"],

        ["\x65\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC7"],
        ["\xFB\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA1"],

        ["\x65\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC8"],
        ["\xFB\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA3"],

        ["\x65\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xC9"],
        ["\xFB\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA5"],

        ["\x65\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xCA"],
        ["\xFB\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA6"],

        ["\x65\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xCB"],
        ["\xFB\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA8"],

        ["\x65\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xCC"],
        ["\xFB\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xAB"],

        ["\x65\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xCD"],
        ["\xFB\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xAC"],

        ["\x65\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xCE"],
        ["\xFB\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xAD"],

        ["\x65\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xCF"],
        ["\xFB\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB4"],

        ["\x65\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD0"],
        ["\xFB\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB5"],

        ["\x65\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD1"],
        ["\xFB\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB6"],

        ["\x65\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD2"],
        ["\xFB\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB7"],

        ["\x65\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD3"],
        ["\xFB\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB8"],

        ["\x65\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD4"],
        ["\xFB\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB9"],

        ["\x65\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD5"],
        ["\xFB\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xBC"],

        ["\x65\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD6"],
        ["\xFB\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xBD"],

        ["\x65\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD7"],
        ["\xFB\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC1"],

        ["\x65\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD8"],
        ["\xFB\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC3"],

        ["\x65\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xD9"],
        ["\xFB\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC5"],

        ["\x65\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xDA"],
        ["\xFB\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC6"],

        ["\x65\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xDB"],
        ["\xFB\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC8"],

        ["\x65\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xDC"],
        ["\xFB\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC9"],

        ["\x65\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xDD"],
        ["\xFB\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xCC"],

        ["\x65\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xDE"],
        ["\xFB\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xCE"],

        ["\x65\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xDF"],
        ["\xFB\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD0"],

        ["\x65\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE0"],
        ["\xFB\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD5"],

        ["\x65\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE1"],
        ["\xFB\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD8"],

        ["\x65\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE2"],
        ["\xFB\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xDD"],

        ["\x65\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE3"],
        ["\xFB\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE4"],

        ["\x65\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE4"],
        ["\xFB\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE8"],

        ["\x65\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE5"],
        ["\xFB\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF0"],

        ["\x65\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE6"],
        ["\xFB\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF4"],

        ["\x65\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE7"],
        ["\xFB\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF6"],

        ["\x66\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE8"],
        ["\xFB\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4A"],

        ["\x66\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xE9"],
        ["\xFB\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x74"],

        ["\x66\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xEA"],
        ["\xFB\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x78"],

        ["\x66\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xEB"],
        ["\xFB\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x79"],

        ["\x66\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xEC"],
        ["\xFB\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7F"],

        ["\x66\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xED"],
        ["\xFB\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x97"],

        ["\x66\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xEE"],
        ["\xFB\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x99"],

        ["\x66\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xEF"],
        ["\xFB\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x9E"],

        ["\x66\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF0"],
        ["\xFB\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA2"],

        ["\x66\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF1"],
        ["\xFB\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA3"],

        ["\x66\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF2"],
        ["\xFB\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA4"],

        ["\x66\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF3"],
        ["\xFB\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA5"],

        ["\x66\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF4"],
        ["\xFB\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xCB"],

        ["\x66\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF5"],
        ["\xFB\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xCC"],

        ["\x66\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF6"],
        ["\xFB\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xDD"],

        ["\x66\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF7"],
        ["\xFB\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xDF"],

        ["\x66\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF8"],
        ["\xFB\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE5"],

        ["\x66\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xF9"],
        ["\xFB\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE6"],

        ["\x66\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xFA"],
        ["\xFB\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF9"],

        ["\x67\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xFB"],
        ["\xFB\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x59"],

        ["\x67\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFB\xFC"],
        ["\xFB\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6B"],

        ["\x67\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x40"],
        ["\xFC\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6C"],

        ["\x67\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x41"],
        ["\xFC\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x8F"],

        ["\x67\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x42"],
        ["\xFC\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x91"],

        ["\x67\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x43"],
        ["\xFC\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x93"],

        ["\x67\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x44"],
        ["\xFC\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x9B"],

        ["\x67\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x45"],
        ["\xFC\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x9F"],

        ["\x67\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x46"],
        ["\xFC\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB1"],

        ["\x67\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x47"],
        ["\xFC\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE2"],

        ["\x67\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x48"],
        ["\xFC\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE4"],

        ["\x67\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x49"],
        ["\xFC\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF4"],

        ["\x67\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x4A"],
        ["\xFC\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xFE"],

        ["\x68\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\xFC\x4B"],
        ["\xFC\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x56"],

        ["\x44\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x5C"],
        ["\x9C\x5A\x81\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x4A"],

        ["\x44\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x61"],
        ["\x9C\x5A\x81\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x7C"],

        ["\x42\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x7C"],
        ["\x9C\x5A\x81\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x60"],

        ["\x69\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x91"],
        ["\x9C\x5A\x81\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x41"],

        ["\x69\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x92"],
        ["\x9C\x5A\x81\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x42"],

        ["\xE6\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB1"],
        ["\x9C\x5A\x81\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],

        ["\xE6\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB2"],
        ["\x9C\x5A\x81\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],

        ["\xE6\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB3"],
        ["\x9C\x5A\x81\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],

        ["\xE6\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB4"],
        ["\x9C\x5A\x81\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],

        ["\xE6\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB5"],
        ["\x9C\x5A\x81\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],

        ["\xE6\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB6"],
        ["\x9C\x5A\x81\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],

        ["\xE6\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB7"],
        ["\x9C\x5A\x81\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],

        ["\xE0\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC0"],
        ["\x9C\x5A\x81\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x74"],

        ["\xE0\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC1"],
        ["\x9C\x5A\x81\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x75"],

        ["\xE0\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC2"],
        ["\x9C\x5A\x81\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x78"],

        ["\xE0\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC3"],
        ["\x9C\x5A\x81\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x79"],

        ["\xDF\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC4"],
        ["\x9C\x5A\x81\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xCF"],

        ["\xDF\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC5"],
        ["\x9C\x5A\x81\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xCD"],

        ["\xE0\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC6"],
        ["\x9C\x5A\x81\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],

        ["\xE0\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC7"],
        ["\x9C\x5A\x81\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],

        ["\x69\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xCA"],
        ["\x9C\x5A\x81\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x43"],

        ["\xE0\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xCF"],
        ["\x9C\x5A\x81\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x83"],

        ["\xE0\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD0"],
        ["\x9C\x5A\x81\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x84"],

        ["\xE0\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD1"],
        ["\x9C\x5A\x81\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x85"],

        ["\xDF\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD3"],
        ["\x9C\x5A\x81\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xE6"],

        ["\xE9\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD4"],
        ["\x9C\x5A\x81\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],

        ["\xE9\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD5"],
        ["\x9C\x5A\x81\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],

        ["\xE6\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD6"],
        ["\x9C\x5A\x81\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],

        ["\xE6\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD7"],
        ["\x9C\x5A\x81\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],

        ["\xE6\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD8"],
        ["\x9C\x5A\x81\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],

        ["\xE6\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD9"],
        ["\x9C\x5A\x81\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],

        ["\xE0\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xE9"],
        ["\x9C\x5A\x81\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x58"],

        ["\xDF\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEA"],
        ["\x9C\x5A\x81\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xFA"],

        ["\xDF\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEB"],
        ["\x9C\x5A\x81\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xFC"],

        ["\xE0\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEC"],
        ["\x9C\x5A\x81\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x41"],

        ["\xE0\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xED"],
        ["\x9C\x5A\x81\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x68"],

        ["\xE0\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEE"],
        ["\x9C\x5A\x81\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x69"],

        ["\xDF\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEF"],
        ["\x9C\x5A\x81\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x61"],

        ["\xE4\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xF8"],
        ["\x9C\x5A\x81\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],

        ["\xE4\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xF9"],
        ["\x9C\x5A\x81\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],

        ["\xE4\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xFA"],
        ["\x9C\x5A\x81\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],

        ["\xE4\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xFB"],
        ["\x9C\x5A\x81\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],

        ["\xE3\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x40"],
        ["\x9C\x5A\x82\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],

        ["\xE3\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x41"],
        ["\x9C\x5A\x82\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],

        ["\xE3\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x42"],
        ["\x9C\x5A\x82\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],

        ["\xE3\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x43"],
        ["\x9C\x5A\x82\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],

        ["\xDF\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x44"],
        ["\x9C\x5A\x82\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x64"],

        ["\xDF\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x45"],
        ["\x9C\x5A\x82\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x65"],

        ["\xDF\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x46"],
        ["\x9C\x5A\x82\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x63"],

        ["\xDF\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x47"],
        ["\x9C\x5A\x82\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x66"],

        ["\xDF\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x48"],
        ["\x9C\x5A\x82\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x91"],

        ["\xDF\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x49"],
        ["\x9C\x5A\x82\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xB3"],

        ["\xDF\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4A"],
        ["\x9C\x5A\x82\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xB1"],

        ["\xDF\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4B"],
        ["\x9C\x5A\x82\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xB2"],

        ["\xDF\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4C"],
        ["\x9C\x5A\x82\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xB4"],

        ["\xEB\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4D"],
        ["\x9C\x5A\x82\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEB\x77"],

        ["\xEB\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4E"],
        ["\x9C\x5A\x82\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEB\x78"],

        ["\xEC\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x59"],
        ["\x9C\x5A\x82\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x44"],

        ["\xE3\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5A"],
        ["\x9C\x5A\x82\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],

        ["\xE6\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5B"],
        ["\x9C\x5A\x82\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],

        ["\xEC\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5C"],
        ["\x9C\x5A\x82\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\xAB"],

        ["\xEC\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5D"],
        ["\x9C\x5A\x82\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\xAA"],

        ["\xE4\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5E"],
        ["\x9C\x5A\x82\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x4F"],

        ["\xDD\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5F"],
        ["\x9C\x5A\x82\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xBD"],

        ["\xDF\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7A"],
        ["\x9C\x5A\x82\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\xD7"],

        ["\xDE\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7B"],
        ["\x9C\x5A\x82\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDE\xD8"],

        ["\xDE\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7C"],
        ["\x9C\x5A\x82\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDE\xB5"],

        ["\xE9\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7D"],
        ["\x9C\x5A\x82\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x6A"],

        ["\xDE\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7E"],
        ["\x9C\x5A\x82\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDE\xB9"],

        ["\xDE\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x80"],
        ["\x9C\x5A\x82\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDE\xCB"],

        ["\xE6\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x9B"],
        ["\x9C\x5A\x82\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],

        ["\xDD\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x9C"],
        ["\x9C\x5A\x82\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xB6"],

        ["\xEC\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x9D"],
        ["\x9C\x5A\x82\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x7F"],

        ["\xEC\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x9E"],
        ["\x9C\x5A\x82\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x80"],

        ["\xE6\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF2"],
        ["\x9C\x5A\x82\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],

        ["\xE6\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF3"],
        ["\x9C\x5A\x82\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],

        ["\xE6\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF4"],
        ["\x9C\x5A\x82\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],

        ["\x69\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF5"],
        ["\x9C\x5A\x82\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x44"],

        ["\x69\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF6"],
        ["\x9C\x5A\x82\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x45"],

        ["\x69\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF7"],
        ["\x9C\x5A\x82\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x46"],

        ["\x69\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF8"],
        ["\x9C\x5A\x82\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x47"],

        ["\x69\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF9"],
        ["\x9C\x5A\x82\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x48"],

        ["\x69\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x97"],
        ["\x9C\x5A\x83\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x49"],

        ["\x69\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x98"],
        ["\x9C\x5A\x83\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4A"],

        ["\x69\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x99"],
        ["\x9C\x5A\x83\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4B"],

        ["\x69\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9A"],
        ["\x9C\x5A\x83\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4C"],

        ["\x69\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9B"],
        ["\x9C\x5A\x83\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4D"],

        ["\x69\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9C"],
        ["\x9C\x5A\x83\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4E"],

        ["\x69\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9D"],
        ["\x9C\x5A\x83\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4F"],

        ["\x69\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9E"],
        ["\x9C\x5A\x83\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x50"],

        ["\xE4\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xB7"],
        ["\x9C\x5A\x83\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],

        ["\xE4\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xB8"],
        ["\x9C\x5A\x83\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],

        ["\xE4\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xB9"],
        ["\x9C\x5A\x83\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],

        ["\xE4\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBA"],
        ["\x9C\x5A\x83\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],

        ["\xE4\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBB"],
        ["\x9C\x5A\x83\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],

        ["\xE4\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBC"],
        ["\x9C\x5A\x83\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],

        ["\xE4\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBD"],
        ["\x9C\x5A\x83\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],

        ["\xE4\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBE"],
        ["\x9C\x5A\x83\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],

        ["\xD9\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xD7"],
        ["\x9C\x5A\x83\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x94"],

        ["\xE3\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xD8"],
        ["\x9C\x5A\x83\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x47"],

        ["\xE3\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xD9"],
        ["\x9C\x5A\x83\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x48"],

        ["\xE3\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDA"],
        ["\x9C\x5A\x83\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x49"],

        ["\xE3\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDB"],
        ["\x9C\x5A\x83\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4A"],

        ["\xE3\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDC"],
        ["\x9C\x5A\x83\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4B"],

        ["\xE3\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDD"],
        ["\x9C\x5A\x83\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4C"],

        ["\xE3\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDE"],
        ["\x9C\x5A\x83\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4D"],

        ["\xE3\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDF"],
        ["\x9C\x5A\x83\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4E"],

        ["\xE3\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE0"],
        ["\x9C\x5A\x83\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4F"],

        ["\xE3\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE1"],
        ["\x9C\x5A\x83\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x50"],

        ["\xE4\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE2"],
        ["\x9C\x5A\x83\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],

        ["\xE4\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE3"],
        ["\x9C\x5A\x83\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],

        ["\xE6\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE4"],
        ["\x9C\x5A\x83\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],

        ["\xE4\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE5"],
        ["\x9C\x5A\x83\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x74"],

        ["\xE4\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE6"],
        ["\x9C\x5A\x83\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x68"],

        ["\xE4\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE7"],
        ["\x9C\x5A\x83\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x69"],

        ["\xE4\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE8"],
        ["\x9C\x5A\x83\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x6A"],

        ["\xE4\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE9"],
        ["\x9C\x5A\x83\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x6B"],

        ["\xE4\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEA"],
        ["\x9C\x5A\x83\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],

        ["\xE3\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEB"],
        ["\x9C\x5A\x83\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],

        ["\xEC\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEC"],
        ["\x9C\x5A\x83\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x85"],

        ["\xEC\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xED"],
        ["\x9C\x5A\x83\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x86"],

        ["\xEC\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEE"],
        ["\x9C\x5A\x83\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x87"],

        ["\xEC\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEF"],
        ["\x9C\x5A\x83\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x88"],

        ["\xEC\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF0"],
        ["\x9C\x5A\x83\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x89"],

        ["\xEC\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF1"],
        ["\x9C\x5A\x83\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x8A"],

        ["\xEC\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF2"],
        ["\x9C\x5A\x83\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x8B"],

        ["\xEC\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF3"],
        ["\x9C\x5A\x83\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x8C"],

        ["\xEC\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF4"],
        ["\x9C\x5A\x83\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x8D"],

        ["\xEC\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF5"],
        ["\x9C\x5A\x83\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x8E"],

        ["\x69\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF6"],
        ["\x9C\x5A\x83\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x51"],

        ["\xEC\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF7"],
        ["\x9C\x5A\x83\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x8F"],

        ["\xEC\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF8"],
        ["\x9C\x5A\x83\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x90"],

        ["\xEC\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF9"],
        ["\x9C\x5A\x83\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x91"],

        ["\xEC\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xFA"],
        ["\x9C\x5A\x83\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x92"],

        ["\xEC\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xFB"],
        ["\x9C\x5A\x83\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x93"],

        ["\xEC\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xFC"],
        ["\x9C\x5A\x83\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEC\x94"],

        ["\xE0\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x61"],
        ["\x9C\x5A\x84\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],

        ["\xE0\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x62"],
        ["\x9C\x5A\x84\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],

        ["\xE0\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x63"],
        ["\x9C\x5A\x84\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],

        ["\xE0\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x64"],
        ["\x9C\x5A\x84\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],

        ["\xE0\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x65"],
        ["\x9C\x5A\x84\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],

        ["\xE0\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x66"],
        ["\x9C\x5A\x84\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],

        ["\xE0\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x67"],
        ["\x9C\x5A\x84\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],

        ["\xE0\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x68"],
        ["\x9C\x5A\x84\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],

        ["\xE0\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x69"],
        ["\x9C\x5A\x84\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xFD"],

        ["\xE0\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6A"],
        ["\x9C\x5A\x84\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xFE"],

        ["\xE1\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6B"],
        ["\x9C\x5A\x84\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE1\x41"],

        ["\xE1\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6C"],
        ["\x9C\x5A\x84\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE1\x42"],

        ["\xE1\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6D"],
        ["\x9C\x5A\x84\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE1\x43"],

        ["\xE1\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6E"],
        ["\x9C\x5A\x84\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE1\x44"],

        ["\xE1\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6F"],
        ["\x9C\x5A\x84\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE1\x45"],

        ["\xE6\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x92"],
        ["\x9C\x5A\x84\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],

        ["\xE6\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x93"],
        ["\x9C\x5A\x84\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],

        ["\xE6\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x94"],
        ["\x9C\x5A\x84\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],

        ["\xE6\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x95"],
        ["\x9C\x5A\x84\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],

        ["\xE0\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x96"],
        ["\x9C\x5A\x84\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],

        ["\xE0\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x97"],
        ["\x9C\x5A\x84\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],

        ["\xDE\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x98"],
        ["\x9C\x5A\x84\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDE\xF3"],

        ["\xDE\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x99"],
        ["\x9C\x5A\x84\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDE\xF4"],

        ["\xDE\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9A"],
        ["\x9C\x5A\x84\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDE\xF5"],

        ["\xE5\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9B"],
        ["\x9C\x5A\x84\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],

        ["\xE0\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9C"],
        ["\x9C\x5A\x84\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],

        ["\xEA\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9D"],
        ["\x9C\x5A\x84\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\xE4"],

        ["\xE1\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9E"],
        ["\x9C\x5A\x84\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE1\x46"],

        ["\xE7\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xBF"],
        ["\x9C\x5A\x84\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],

        ["\xE7\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC0"],
        ["\x9C\x5A\x84\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],

        ["\xE7\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC1"],
        ["\x9C\x5A\x84\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],

        ["\xE7\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC2"],
        ["\x9C\x5A\x84\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],

        ["\xE7\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC3"],
        ["\x9C\x5A\x84\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],

        ["\xE7\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC4"],
        ["\x9C\x5A\x84\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],

        ["\xE7\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC5"],
        ["\x9C\x5A\x84\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],

        ["\xE7\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC6"],
        ["\x9C\x5A\x84\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],

        ["\xE7\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC7"],
        ["\x9C\x5A\x84\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],

        ["\xE7\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC8"],
        ["\x9C\x5A\x84\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],

        ["\xE7\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC9"],
        ["\x9C\x5A\x84\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],

        ["\xE7\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCA"],
        ["\x9C\x5A\x84\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],

        ["\xE7\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCB"],
        ["\x9C\x5A\x84\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],

        ["\xE7\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCC"],
        ["\x9C\x5A\x84\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],

        ["\xE7\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCD"],
        ["\x9C\x5A\x84\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],

        ["\xE7\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCE"],
        ["\x9C\x5A\x84\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],

        ["\xE7\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCF"],
        ["\x9C\x5A\x84\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],

        ["\xE7\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD0"],
        ["\x9C\x5A\x84\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],

        ["\xE7\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD1"],
        ["\x9C\x5A\x84\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],

        ["\xE7\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD2"],
        ["\x9C\x5A\x84\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],

        ["\xE7\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD3"],
        ["\x9C\x5A\x84\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],

        ["\xE7\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD4"],
        ["\x9C\x5A\x84\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],

        ["\xE7\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD5"],
        ["\x9C\x5A\x84\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],

        ["\xE7\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD6"],
        ["\x9C\x5A\x84\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],

        ["\xE7\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD7"],
        ["\x9C\x5A\x84\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],

        ["\xE7\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD8"],
        ["\x9C\x5A\x84\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],

        ["\xE7\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD9"],
        ["\x9C\x5A\x84\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],

        ["\xE7\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xDA"],
        ["\x9C\x5A\x84\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],

        ["\xE7\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xDB"],
        ["\x9C\x5A\x84\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],

        ["\xE7\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xDC"],
        ["\x9C\x5A\x84\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],

        ["\xE3\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE5"],
        ["\x9C\x5A\x84\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],

        ["\xE3\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE6"],
        ["\x9C\x5A\x84\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],

        ["\xE3\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE7"],
        ["\x9C\x5A\x84\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],

        ["\xE3\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE8"],
        ["\x9C\x5A\x84\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],

        ["\xDD\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE9"],
        ["\x9C\x5A\x84\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xD0"],

        ["\xDD\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEA"],
        ["\x9C\x5A\x84\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xDA"],

        ["\xDD\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEB"],
        ["\x9C\x5A\x84\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xDB"],

        ["\xDD\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEC"],
        ["\x9C\x5A\x84\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xDC"],

        ["\xD7\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xED"],
        ["\x9C\x5A\x84\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7C"],

        ["\xD7\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEE"],
        ["\x9C\x5A\x84\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7D"],

        ["\xD7\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEF"],
        ["\x9C\x5A\x84\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7F"],

        ["\xDA\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF0"],
        ["\x9C\x5A\x84\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xDE"],

        ["\xDA\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF1"],
        ["\x9C\x5A\x84\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xDF"],

        ["\xD7\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF2"],
        ["\x9C\x5A\x84\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x94"],

        ["\xD7\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF3"],
        ["\x9C\x5A\x84\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x95"],

        ["\xD7\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF4"],
        ["\x9C\x5A\x84\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x80"],

        ["\xD7\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF5"],
        ["\x9C\x5A\x84\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x81"],

        ["\xD7\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF6"],
        ["\x9C\x5A\x84\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x83"],

        ["\xD7\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF7"],
        ["\x9C\x5A\x84\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x85"],

        ["\xD7\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF8"],
        ["\x9C\x5A\x84\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x87"],

        ["\xD7\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF9"],
        ["\x9C\x5A\x84\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x89"],

        ["\xD7\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xFA"],
        ["\x9C\x5A\x84\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x8B"],

        ["\x42\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x40"],
        ["\x9C\x5A\x85\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xE1"],

        ["\xD6\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x41"],
        ["\x9C\x5A\x85\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x41"],

        ["\xD6\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x42"],
        ["\x9C\x5A\x85\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x42"],

        ["\xD6\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x43"],
        ["\x9C\x5A\x85\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x43"],

        ["\x42\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x44"],
        ["\x9C\x5A\x85\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x6A"],

        ["\xD6\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x45"],
        ["\x9C\x5A\x85\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x44"],

        ["\xD6\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x46"],
        ["\x9C\x5A\x85\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x45"],

        ["\xD6\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x47"],
        ["\x9C\x5A\x85\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x46"],

        ["\xD6\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x48"],
        ["\x9C\x5A\x85\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x47"],

        ["\xD6\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x49"],
        ["\x9C\x5A\x85\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x48"],

        ["\xD6\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4A"],
        ["\x9C\x5A\x85\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x49"],

        ["\xD6\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4B"],
        ["\x9C\x5A\x85\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4A"],

        ["\xD6\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4C"],
        ["\x9C\x5A\x85\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4B"],

        ["\xD6\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4D"],
        ["\x9C\x5A\x85\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4D"],

        ["\xD6\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4E"],
        ["\x9C\x5A\x85\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4E"],

        ["\xD6\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4F"],
        ["\x9C\x5A\x85\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4F"],

        ["\xD6\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x50"],
        ["\x9C\x5A\x85\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x50"],

        ["\xD6\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x51"],
        ["\x9C\x5A\x85\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x51"],

        ["\xD6\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x52"],
        ["\x9C\x5A\x85\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x52"],

        ["\xD6\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x53"],
        ["\x9C\x5A\x85\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x53"],

        ["\xD6\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x54"],
        ["\x9C\x5A\x85\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x54"],

        ["\xD6\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x55"],
        ["\x9C\x5A\x85\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x55"],

        ["\xD6\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x56"],
        ["\x9C\x5A\x85\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x56"],

        ["\xD6\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x57"],
        ["\x9C\x5A\x85\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x57"],

        ["\xD6\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x58"],
        ["\x9C\x5A\x85\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x58"],

        ["\xD6\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x59"],
        ["\x9C\x5A\x85\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x59"],

        ["\xD6\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5A"],
        ["\x9C\x5A\x85\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x5A"],

        ["\xD6\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5B"],
        ["\x9C\x5A\x85\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x5B"],

        ["\xD6\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5C"],
        ["\x9C\x5A\x85\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x5C"],

        ["\xD6\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5D"],
        ["\x9C\x5A\x85\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x5D"],

        ["\xD6\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5E"],
        ["\x9C\x5A\x85\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x5E"],

        ["\xD6\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5F"],
        ["\x9C\x5A\x85\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x5F"],

        ["\xD6\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x60"],
        ["\x9C\x5A\x85\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x60"],

        ["\xD6\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x61"],
        ["\x9C\x5A\x85\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x61"],

        ["\xD6\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x62"],
        ["\x9C\x5A\x85\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x62"],

        ["\xD6\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x63"],
        ["\x9C\x5A\x85\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x63"],

        ["\xD6\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x64"],
        ["\x9C\x5A\x85\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x64"],

        ["\xD6\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x65"],
        ["\x9C\x5A\x85\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x65"],

        ["\xD6\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x66"],
        ["\x9C\x5A\x85\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x66"],

        ["\xD6\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x67"],
        ["\x9C\x5A\x85\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x67"],

        ["\xD6\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x68"],
        ["\x9C\x5A\x85\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x68"],

        ["\xD6\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x69"],
        ["\x9C\x5A\x85\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x69"],

        ["\xD6\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6A"],
        ["\x9C\x5A\x85\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6A"],

        ["\xD6\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6B"],
        ["\x9C\x5A\x85\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6B"],

        ["\xD6\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6C"],
        ["\x9C\x5A\x85\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6C"],

        ["\xD6\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6D"],
        ["\x9C\x5A\x85\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6D"],

        ["\xD6\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6E"],
        ["\x9C\x5A\x85\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6E"],

        ["\xD6\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6F"],
        ["\x9C\x5A\x85\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6F"],

        ["\xD6\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x70"],
        ["\x9C\x5A\x85\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x70"],

        ["\xD6\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x71"],
        ["\x9C\x5A\x85\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x71"],

        ["\xD6\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x72"],
        ["\x9C\x5A\x85\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x72"],

        ["\xD6\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x73"],
        ["\x9C\x5A\x85\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x73"],

        ["\xD6\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x74"],
        ["\x9C\x5A\x85\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x74"],

        ["\xD6\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x75"],
        ["\x9C\x5A\x85\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x75"],

        ["\xD6\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x76"],
        ["\x9C\x5A\x85\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x76"],

        ["\xD6\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x77"],
        ["\x9C\x5A\x85\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x77"],

        ["\xD6\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x78"],
        ["\x9C\x5A\x85\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x78"],

        ["\xD6\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x79"],
        ["\x9C\x5A\x85\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x79"],

        ["\xD6\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7A"],
        ["\x9C\x5A\x85\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7A"],

        ["\xD6\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7B"],
        ["\x9C\x5A\x85\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7B"],

        ["\xD6\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7C"],
        ["\x9C\x5A\x85\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7C"],

        ["\xD6\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7D"],
        ["\x9C\x5A\x85\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7D"],

        ["\xD6\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7E"],
        ["\x9C\x5A\x85\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7E"],

        ["\xD6\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x80"],
        ["\x9C\x5A\x85\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7F"],

        ["\xD6\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x81"],
        ["\x9C\x5A\x85\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x80"],

        ["\xD6\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x82"],
        ["\x9C\x5A\x85\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x81"],

        ["\xD6\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x83"],
        ["\x9C\x5A\x85\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x82"],

        ["\xD6\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x84"],
        ["\x9C\x5A\x85\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x83"],

        ["\xD6\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x85"],
        ["\x9C\x5A\x85\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x84"],

        ["\xD6\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x86"],
        ["\x9C\x5A\x85\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x85"],

        ["\xD6\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x87"],
        ["\x9C\x5A\x85\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x86"],

        ["\xD6\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x88"],
        ["\x9C\x5A\x85\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x87"],

        ["\xD6\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x89"],
        ["\x9C\x5A\x85\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x88"],

        ["\xD6\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8A"],
        ["\x9C\x5A\x85\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x89"],

        ["\xD6\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8B"],
        ["\x9C\x5A\x85\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x8A"],

        ["\xD6\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8C"],
        ["\x9C\x5A\x85\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x8B"],

        ["\xD6\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8D"],
        ["\x9C\x5A\x85\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x8C"],

        ["\xD6\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8E"],
        ["\x9C\x5A\x85\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x8D"],

        ["\xD6\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8F"],
        ["\x9C\x5A\x85\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x8E"],

        ["\xD6\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x90"],
        ["\x9C\x5A\x85\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x8F"],

        ["\xD6\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x91"],
        ["\x9C\x5A\x85\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x90"],

        ["\xD6\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x92"],
        ["\x9C\x5A\x85\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x91"],

        ["\xD6\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x93"],
        ["\x9C\x5A\x85\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x92"],

        ["\xD6\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x94"],
        ["\x9C\x5A\x85\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x93"],

        ["\xD6\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x95"],
        ["\x9C\x5A\x85\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xB8"],

        ["\xD6\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x96"],
        ["\x9C\x5A\x85\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xE2"],

        ["\xD7\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x97"],
        ["\x9C\x5A\x85\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x64"],

        ["\xD6\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x98"],
        ["\x9C\x5A\x85\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xCA"],

        ["\xD7\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x99"],
        ["\x9C\x5A\x85\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x46"],

        ["\xD6\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9A"],
        ["\x9C\x5A\x85\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xB9"],

        ["\xD6\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9B"],
        ["\x9C\x5A\x85\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xE3"],

        ["\xD7\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9C"],
        ["\x9C\x5A\x85\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x65"],

        ["\xD6\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9D"],
        ["\x9C\x5A\x85\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xCB"],

        ["\xD7\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9E"],
        ["\x9C\x5A\x85\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x47"],

        ["\xD6\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9F"],
        ["\x9C\x5A\x85\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xBC"],

        ["\xD8\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA0"],
        ["\x9C\x5A\x85\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF9"],

        ["\xD6\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA1"],
        ["\x9C\x5A\x85\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF9"],

        ["\xD6\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA2"],
        ["\x9C\x5A\x85\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF5"],

        ["\xD7\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA3"],
        ["\x9C\x5A\x85\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x54"],

        ["\xD7\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA4"],
        ["\x9C\x5A\x85\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5A"],

        ["\xD7\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA5"],
        ["\x9C\x5A\x85\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x58"],

        ["\xD7\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA6"],
        ["\x9C\x5A\x85\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5E"],

        ["\xD7\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA7"],
        ["\x9C\x5A\x85\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x73"],

        ["\xD7\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA8"],
        ["\x9C\x5A\x85\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x77"],

        ["\xD7\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA9"],
        ["\x9C\x5A\x85\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x75"],

        ["\xD6\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAA"],
        ["\x9C\x5A\x85\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xBD"],

        ["\xD8\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAB"],
        ["\x9C\x5A\x85\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xFC"],

        ["\xD6\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAC"],
        ["\x9C\x5A\x85\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xFA"],

        ["\xD6\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAD"],
        ["\x9C\x5A\x85\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF6"],

        ["\xD7\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAE"],
        ["\x9C\x5A\x85\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x55"],

        ["\xD8\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAF"],
        ["\x9C\x5A\x85\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xED"],

        ["\xD7\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB0"],
        ["\x9C\x5A\x85\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5B"],

        ["\xD7\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB1"],
        ["\x9C\x5A\x85\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x59"],

        ["\xD7\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB2"],
        ["\x9C\x5A\x85\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5F"],

        ["\xD7\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB3"],
        ["\x9C\x5A\x85\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x74"],

        ["\xD8\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB4"],
        ["\x9C\x5A\x85\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xFE"],

        ["\xD7\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB5"],
        ["\x9C\x5A\x85\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x78"],

        ["\xD7\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB6"],
        ["\x9C\x5A\x85\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x76"],

        ["\xD7\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB7"],
        ["\x9C\x5A\x85\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4E"],

        ["\xD6\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB8"],
        ["\x9C\x5A\x85\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xBA"],

        ["\xD6\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB9"],
        ["\x9C\x5A\x85\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF1"],

        ["\xD6\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBA"],
        ["\x9C\x5A\x85\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xBE"],

        ["\xD6\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBB"],
        ["\x9C\x5A\x85\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC4"],

        ["\xD6\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBC"],
        ["\x9C\x5A\x85\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD0"],

        ["\xD6\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBD"],
        ["\x9C\x5A\x85\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD2"],

        ["\xD6\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBE"],
        ["\x9C\x5A\x85\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC6"],

        ["\xD6\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBF"],
        ["\x9C\x5A\x85\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xFB"],

        ["\xD7\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC0"],
        ["\x9C\x5A\x85\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x41"],

        ["\xD7\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC1"],
        ["\x9C\x5A\x85\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4A"],

        ["\xD7\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC2"],
        ["\x9C\x5A\x85\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x52"],

        ["\xD7\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC3"],
        ["\x9C\x5A\x85\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x68"],

        ["\xD7\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC4"],
        ["\x9C\x5A\x85\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x6A"],

        ["\xD7\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC5"],
        ["\x9C\x5A\x85\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5C"],

        ["\xD7\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC6"],
        ["\x9C\x5A\x85\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4F"],

        ["\xD6\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC7"],
        ["\x9C\x5A\x85\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xBB"],

        ["\xD6\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC8"],
        ["\x9C\x5A\x85\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF2"],

        ["\xD6\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC9"],
        ["\x9C\x5A\x85\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xBF"],

        ["\xD6\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCA"],
        ["\x9C\x5A\x85\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC5"],

        ["\xD6\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCB"],
        ["\x9C\x5A\x85\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD1"],

        ["\xD6\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCC"],
        ["\x9C\x5A\x85\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD3"],

        ["\xD6\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCD"],
        ["\x9C\x5A\x85\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC7"],

        ["\xD6\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCE"],
        ["\x9C\x5A\x85\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC9"],

        ["\xD6\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCF"],
        ["\x9C\x5A\x85\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xFC"],

        ["\xD7\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD0"],
        ["\x9C\x5A\x85\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x42"],

        ["\xD7\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD1"],
        ["\x9C\x5A\x85\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4B"],

        ["\xD7\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD2"],
        ["\x9C\x5A\x85\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x53"],

        ["\xD7\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD3"],
        ["\x9C\x5A\x85\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x69"],

        ["\xD7\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD4"],
        ["\x9C\x5A\x85\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x6B"],

        ["\xD7\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD5"],
        ["\x9C\x5A\x85\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5D"],

        ["\xD8\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD6"],
        ["\x9C\x5A\x85\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xFA"],

        ["\xD6\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD7"],
        ["\x9C\x5A\x85\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC0"],

        ["\xD6\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD8"],
        ["\x9C\x5A\x85\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD4"],

        ["\xD6\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD9"],
        ["\x9C\x5A\x85\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xDC"],

        ["\xD6\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDA"],
        ["\x9C\x5A\x85\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xEC"],

        ["\xD7\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDB"],
        ["\x9C\x5A\x85\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x56"],

        ["\xD7\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDC"],
        ["\x9C\x5A\x85\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x66"],

        ["\xD6\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDD"],
        ["\x9C\x5A\x85\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC1"],

        ["\xD6\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDE"],
        ["\x9C\x5A\x85\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD5"],

        ["\xD6\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDF"],
        ["\x9C\x5A\x85\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xDD"],

        ["\xD6\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE0"],
        ["\x9C\x5A\x85\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xED"],

        ["\xD7\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE1"],
        ["\x9C\x5A\x85\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x57"],

        ["\xD7\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE2"],
        ["\x9C\x5A\x85\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x67"],

        ["\xD8\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE3"],
        ["\x9C\x5A\x85\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xAD"],

        ["\xD8\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE4"],
        ["\x9C\x5A\x85\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC7"],

        ["\xD8\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE5"],
        ["\x9C\x5A\x85\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xBA"],

        ["\xD8\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE6"],
        ["\x9C\x5A\x85\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xBF"],

        ["\xD8\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE7"],
        ["\x9C\x5A\x85\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xCE"],

        ["\xD8\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE8"],
        ["\x9C\x5A\x85\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xA8"],

        ["\xD8\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE9"],
        ["\x9C\x5A\x85\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xAA"],

        ["\xD8\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEA"],
        ["\x9C\x5A\x85\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xB5"],

        ["\xD8\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEB"],
        ["\x9C\x5A\x85\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC4"],

        ["\xD8\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEC"],
        ["\x9C\x5A\x85\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x92"],

        ["\xD8\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xED"],
        ["\x9C\x5A\x85\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xAF"],

        ["\xD8\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEE"],
        ["\x9C\x5A\x85\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xB9"],

        ["\xD8\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEF"],
        ["\x9C\x5A\x85\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xBE"],

        ["\xD8\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF0"],
        ["\x9C\x5A\x85\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xCC"],

        ["\xD8\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF1"],
        ["\x9C\x5A\x85\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xB7"],

        ["\xD8\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF2"],
        ["\x9C\x5A\x85\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xA9"],

        ["\xD8\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF3"],
        ["\x9C\x5A\x85\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x9B"],

        ["\xD8\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF4"],
        ["\x9C\x5A\x85\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xAE"],

        ["\xD8\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF5"],
        ["\x9C\x5A\x85\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD9"],

        ["\xD8\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF6"],
        ["\x9C\x5A\x85\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xCA"],

        ["\xD8\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF7"],
        ["\x9C\x5A\x85\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x9D"],

        ["\xD7\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF8"],
        ["\x9C\x5A\x85\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x45"],

        ["\xD8\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF9"],
        ["\x9C\x5A\x85\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xAC"],

        ["\xD8\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xFA"],
        ["\x9C\x5A\x85\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xBD"],

        ["\xD6\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xFB"],
        ["\x9C\x5A\x85\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xDF"],

        ["\xD8\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xFC"],
        ["\x9C\x5A\x85\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD1"],

        ["\xD8\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x40"],
        ["\x9C\x5A\x86\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD0"],

        ["\xD8\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x41"],
        ["\x9C\x5A\x86\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xA2"],

        ["\xD8\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x42"],
        ["\x9C\x5A\x86\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD4"],

        ["\xD7\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x43"],
        ["\x9C\x5A\x86\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7B"],

        ["\xD8\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x44"],
        ["\x9C\x5A\x86\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x8F"],

        ["\xD8\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x45"],
        ["\x9C\x5A\x86\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x93"],

        ["\xD8\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x46"],
        ["\x9C\x5A\x86\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC0"],

        ["\xD8\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x47"],
        ["\x9C\x5A\x86\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x9C"],

        ["\xD7\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x48"],
        ["\x9C\x5A\x86\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x93"],

        ["\xD7\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x49"],
        ["\x9C\x5A\x86\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4D"],

        ["\xD7\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4A"],
        ["\x9C\x5A\x86\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4C"],

        ["\xD8\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4B"],
        ["\x9C\x5A\x86\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xA4"],

        ["\xD8\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4C"],
        ["\x9C\x5A\x86\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC5"],

        ["\xD8\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4D"],
        ["\x9C\x5A\x86\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x94"],

        ["\xD8\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4E"],
        ["\x9C\x5A\x86\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xB1"],

        ["\xD8\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4F"],
        ["\x9C\x5A\x86\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x95"],

        ["\xD8\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x50"],
        ["\x9C\x5A\x86\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x98"],

        ["\xD8\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x51"],
        ["\x9C\x5A\x86\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x9A"],

        ["\xD8\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x52"],
        ["\x9C\x5A\x86\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x8C"],

        ["\xD8\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x53"],
        ["\x9C\x5A\x86\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xAB"],

        ["\xD8\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x54"],
        ["\x9C\x5A\x86\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC6"],

        ["\xD8\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x55"],
        ["\x9C\x5A\x86\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xA0"],

        ["\xD8\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x56"],
        ["\x9C\x5A\x86\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC8"],

        ["\xD8\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x57"],
        ["\x9C\x5A\x86\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x90"],

        ["\xD8\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x58"],
        ["\x9C\x5A\x86\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x8D"],

        ["\xD8\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x59"],
        ["\x9C\x5A\x86\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x8E"],

        ["\xD8\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5A"],
        ["\x9C\x5A\x86\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC9"],

        ["\xD8\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5B"],
        ["\x9C\x5A\x86\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xA1"],

        ["\xD8\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5C"],
        ["\x9C\x5A\x86\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xDE"],

        ["\xD8\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5D"],
        ["\x9C\x5A\x86\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xDD"],

        ["\xD8\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5E"],
        ["\x9C\x5A\x86\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x91"],

        ["\xD8\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5F"],
        ["\x9C\x5A\x86\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xCD"],

        ["\xD8\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x60"],
        ["\x9C\x5A\x86\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xB6"],

        ["\xD8\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x61"],
        ["\x9C\x5A\x86\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xA3"],

        ["\xD8\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x62"],
        ["\x9C\x5A\x86\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x96"],

        ["\x69\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x63"],
        ["\x9C\x5A\x86\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x52"],

        ["\xD7\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x64"],
        ["\x9C\x5A\x86\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x90"],

        ["\xDC\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x65"],
        ["\x9C\x5A\x86\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x63"],

        ["\xDC\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x66"],
        ["\x9C\x5A\x86\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x64"],

        ["\x69\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x67"],
        ["\x9C\x5A\x86\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x53"],

        ["\x69\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x68"],
        ["\x9C\x5A\x86\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x54"],

        ["\x69\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x69"],
        ["\x9C\x5A\x86\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x55"],

        ["\x69\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6A"],
        ["\x9C\x5A\x86\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x56"],

        ["\x69\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6B"],
        ["\x9C\x5A\x86\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x57"],

        ["\x69\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6C"],
        ["\x9C\x5A\x86\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x58"],

        ["\x69\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6D"],
        ["\x9C\x5A\x86\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x59"],

        ["\x69\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6E"],
        ["\x9C\x5A\x86\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x5A"],

        ["\xDC\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6F"],
        ["\x9C\x5A\x86\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x62"],

        ["\xDC\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x70"],
        ["\x9C\x5A\x86\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x65"],

        ["\xEA\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x71"],
        ["\x9C\x5A\x86\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\xB2"],

        ["\xD8\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x72"],
        ["\x9C\x5A\x86\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xEE"],

        ["\xD8\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x73"],
        ["\x9C\x5A\x86\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF0"],

        ["\xD8\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x74"],
        ["\x9C\x5A\x86\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF2"],

        ["\xD8\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x75"],
        ["\x9C\x5A\x86\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF3"],

        ["\xEA\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x76"],
        ["\x9C\x5A\x86\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x57"],

        ["\xDD\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x77"],
        ["\x9C\x5A\x86\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xD2"],

        ["\xEA\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x78"],
        ["\x9C\x5A\x86\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x5C"],

        ["\xEA\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x79"],
        ["\x9C\x5A\x86\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x52"],

        ["\xEA\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7A"],
        ["\x9C\x5A\x86\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x55"],

        ["\xEA\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7B"],
        ["\x9C\x5A\x86\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x51"],

        ["\xEA\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7C"],
        ["\x9C\x5A\x86\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x60"],

        ["\xEA\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7D"],
        ["\x9C\x5A\x86\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x5D"],

        ["\xEA\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7E"],
        ["\x9C\x5A\x86\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x53"],

        ["\xD9\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x80"],
        ["\x9C\x5A\x86\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x42"],

        ["\xD9\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x81"],
        ["\x9C\x5A\x86\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x43"],

        ["\xD9\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x82"],
        ["\x9C\x5A\x86\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x44"],

        ["\xD9\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x83"],
        ["\x9C\x5A\x86\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x45"],

        ["\xD9\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x84"],
        ["\x9C\x5A\x86\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x46"],

        ["\x69\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x85"],
        ["\x9C\x5A\x86\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x5B"],

        ["\x69\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x86"],
        ["\x9C\x5A\x86\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x5C"],

        ["\xEA\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x87"],
        ["\x9C\x5A\x86\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x76"],

        ["\xEA\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x88"],
        ["\x9C\x5A\x86\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x7D"],

        ["\xEA\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x89"],
        ["\x9C\x5A\x86\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x8A"],

        ["\xEA\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8A"],
        ["\x9C\x5A\x86\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x6D"],

        ["\xEA\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8B"],
        ["\x9C\x5A\x86\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x70"],

        ["\xEA\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8C"],
        ["\x9C\x5A\x86\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x71"],

        ["\xEA\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8D"],
        ["\x9C\x5A\x86\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x59"],

        ["\xEA\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8E"],
        ["\x9C\x5A\x86\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x8E"],

        ["\xEA\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8F"],
        ["\x9C\x5A\x86\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x7A"],

        ["\xEA\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x90"],
        ["\x9C\x5A\x86\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x80"],

        ["\xD9\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x91"],
        ["\x9C\x5A\x86\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x41"],

        ["\xEA\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x92"],
        ["\x9C\x5A\x86\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x75"],

        ["\xEA\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x93"],
        ["\x9C\x5A\x86\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x81"],

        ["\xEA\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x94"],
        ["\x9C\x5A\x86\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x8D"],

        ["\xEA\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x95"],
        ["\x9C\x5A\x86\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x85"],

        ["\xEA\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x96"],
        ["\x9C\x5A\x86\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x6E"],

        ["\xEA\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x97"],
        ["\x9C\x5A\x86\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x6F"],

        ["\xEA\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x98"],
        ["\x9C\x5A\x86\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x69"],

        ["\xEA\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x99"],
        ["\x9C\x5A\x86\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x6A"],

        ["\xEA\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9A"],
        ["\x9C\x5A\x86\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x7B"],

        ["\xEA\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9B"],
        ["\x9C\x5A\x86\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x8B"],

        ["\xEA\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9C"],
        ["\x9C\x5A\x86\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x8C"],

        ["\xEA\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9D"],
        ["\x9C\x5A\x86\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x54"],

        ["\xEA\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9E"],
        ["\x9C\x5A\x86\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xEA\x6B"],

        ["\xE5\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9F"],
        ["\x9C\x5A\x86\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xFE"],

        ["\xE6\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA0"],
        ["\x9C\x5A\x86\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x41"],

        ["\xE6\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA1"],
        ["\x9C\x5A\x86\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x42"],

        ["\xE6\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA2"],
        ["\x9C\x5A\x86\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x43"],

        ["\xE6\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA3"],
        ["\x9C\x5A\x86\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x44"],

        ["\xE6\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA4"],
        ["\x9C\x5A\x86\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x45"],

        ["\xE6\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA5"],
        ["\x9C\x5A\x86\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x46"],

        ["\xE6\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA6"],
        ["\x9C\x5A\x86\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x47"],

        ["\xE6\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA7"],
        ["\x9C\x5A\x86\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x48"],

        ["\xE6\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA8"],
        ["\x9C\x5A\x86\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x49"],

        ["\xE2\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA9"],
        ["\x9C\x5A\x86\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],

        ["\xE2\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAA"],
        ["\x9C\x5A\x86\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],

        ["\xE2\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAB"],
        ["\x9C\x5A\x86\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xFD"],

        ["\xE2\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAC"],
        ["\x9C\x5A\x86\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xFE"],

        ["\xE3\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAD"],
        ["\x9C\x5A\x86\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x41"],

        ["\xE3\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAE"],
        ["\x9C\x5A\x86\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x42"],

        ["\xE3\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAF"],
        ["\x9C\x5A\x86\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x43"],

        ["\xE3\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xB0"],
        ["\x9C\x5A\x86\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x44"],

        ["\xE3\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xB1"],
        ["\x9C\x5A\x86\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x45"],

        ["\xE3\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xB2"],
        ["\x9C\x5A\x86\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x46"],

        ["\xDF\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xBD"],
        ["\x9C\x5A\x86\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x48"],

        ["\xDF\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xBE"],
        ["\x9C\x5A\x86\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x49"],

        ["\xE2\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xBF"],
        ["\x9C\x5A\x86\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],

        ["\xE2\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC0"],
        ["\x9C\x5A\x86\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],

        ["\xE2\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC1"],
        ["\x9C\x5A\x86\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],

        ["\xE2\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC2"],
        ["\x9C\x5A\x86\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],

        ["\xE2\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC3"],
        ["\x9C\x5A\x86\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],

        ["\xE2\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC4"],
        ["\x9C\x5A\x86\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],

        ["\xE2\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC5"],
        ["\x9C\x5A\x86\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],

        ["\xE2\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC6"],
        ["\x9C\x5A\x86\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],

        ["\xE2\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC7"],
        ["\x9C\x5A\x86\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],

        ["\xE2\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC8"],
        ["\x9C\x5A\x86\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],

        ["\xE2\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC9"],
        ["\x9C\x5A\x86\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],

        ["\xE2\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCA"],
        ["\x9C\x5A\x86\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],

        ["\xE2\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCB"],
        ["\x9C\x5A\x86\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],

        ["\xE2\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCC"],
        ["\x9C\x5A\x86\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],

        ["\xE2\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCD"],
        ["\x9C\x5A\x86\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],

        ["\xE2\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCE"],
        ["\x9C\x5A\x86\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],

        ["\xE2\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCF"],
        ["\x9C\x5A\x86\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],

        ["\xE2\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD0"],
        ["\x9C\x5A\x86\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],

        ["\xE2\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD1"],
        ["\x9C\x5A\x86\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],

        ["\xE2\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD2"],
        ["\x9C\x5A\x86\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],

        ["\xE2\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD3"],
        ["\x9C\x5A\x86\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],

        ["\xE2\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD4"],
        ["\x9C\x5A\x86\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],

        ["\xE2\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD5"],
        ["\x9C\x5A\x86\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],

        ["\xE2\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD6"],
        ["\x9C\x5A\x86\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],

        ["\xE2\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD7"],
        ["\x9C\x5A\x86\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],

        ["\xE2\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD8"],
        ["\x9C\x5A\x86\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],

        ["\xE7\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD9"],
        ["\x9C\x5A\x86\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x80"],

        ["\xE7\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDA"],
        ["\x9C\x5A\x86\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x81"],

        ["\xE7\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDB"],
        ["\x9C\x5A\x86\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x82"],

        ["\xE7\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDC"],
        ["\x9C\x5A\x86\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x83"],

        ["\xE7\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDD"],
        ["\x9C\x5A\x86\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x84"],

        ["\xE7\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDE"],
        ["\x9C\x5A\x86\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x85"],

        ["\xE7\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDF"],
        ["\x9C\x5A\x86\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x86"],

        ["\xE7\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE0"],
        ["\x9C\x5A\x86\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x87"],

        ["\xE7\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE1"],
        ["\x9C\x5A\x86\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x88"],

        ["\xE7\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE2"],
        ["\x9C\x5A\x86\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x89"],

        ["\xE7\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE3"],
        ["\x9C\x5A\x86\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A"],

        ["\xE7\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE4"],
        ["\x9C\x5A\x86\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B"],

        ["\xE7\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE5"],
        ["\x9C\x5A\x86\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C"],

        ["\xE7\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE6"],
        ["\x9C\x5A\x86\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D"],

        ["\xE7\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE7"],
        ["\x9C\x5A\x86\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E"],

        ["\xE7\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE8"],
        ["\x9C\x5A\x86\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F"],

        ["\xE7\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE9"],
        ["\x9C\x5A\x86\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x90"],

        ["\xE7\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEA"],
        ["\x9C\x5A\x86\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x91"],

        ["\xE7\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEB"],
        ["\x9C\x5A\x86\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x92"],

        ["\xE7\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEC"],
        ["\x9C\x5A\x86\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x93"],

        ["\xE7\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xED"],
        ["\x9C\x5A\x86\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],

        ["\xE7\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEE"],
        ["\x9C\x5A\x86\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x99"],

        ["\xE7\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEF"],
        ["\x9C\x5A\x86\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x95"],

        ["\xE7\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xF0"],
        ["\x9C\x5A\x86\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D"],

        ["\xE7\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xF1"],
        ["\x9C\x5A\x86\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C"],

        ["\xDD\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xFB"],
        ["\x9C\x5A\x86\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xDD"],

        ["\xDD\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xFC"],
        ["\x9C\x5A\x86\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\xD5"],

        ["\xDF\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x5E"],
        ["\x9C\x5A\x87\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x42"],

        ["\xDF\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x76"],
        ["\x9C\x5A\x87\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDF\x43"],

        ["\xE5\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x9D"],
        ["\x9C\x5A\x87\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],

        ["\xE4\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x9E"],
        ["\x9C\x5A\x87\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x7E"],

        ["\xB3\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x9F"],
        ["\x9C\x5A\x87\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x56"],

        ["\xB3\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA0"],
        ["\x9C\x5A\x87\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x42"],

        ["\xB3\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA1"],
        ["\x9C\x5A\x87\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x43"],

        ["\xB8\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA3"],
        ["\x9C\x5A\x87\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x4B"],

        ["\xB8\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA4"],
        ["\x9C\x5A\x87\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x4C"],

        ["\xB8\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA5"],
        ["\x9C\x5A\x87\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x5C"],

        ["\xB8\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA7"],
        ["\x9C\x5A\x87\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x6D"],

        ["\xB8\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA8"],
        ["\x9C\x5A\x87\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x6F"],

        ["\xB8\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAA"],
        ["\x9C\x5A\x87\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x72"],

        ["\xB8\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAB"],
        ["\x9C\x5A\x87\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x8A"],

        ["\xB8\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAC"],
        ["\x9C\x5A\x87\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x82"],

        ["\xB8\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAD"],
        ["\x9C\x5A\x87\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x83"],

        ["\xB8\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAF"],
        ["\x9C\x5A\x87\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x89"],

        ["\xB8\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB0"],
        ["\x9C\x5A\x87\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x8C"],

        ["\xB8\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB1"],
        ["\x9C\x5A\x87\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x8D"],

        ["\xB8\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB2"],
        ["\x9C\x5A\x87\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x95"],

        ["\xB8\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB5"],
        ["\x9C\x5A\x87\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x9F"],

        ["\xB3\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB6"],
        ["\x9C\x5A\x87\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x54"],

        ["\xB8\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB8"],
        ["\x9C\x5A\x87\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],

        ["\xB8\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB9"],
        ["\x9C\x5A\x87\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xBB"],

        ["\xB3\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBA"],
        ["\x9C\x5A\x87\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x57"],

        ["\xB8\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBB"],
        ["\x9C\x5A\x87\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xC0"],

        ["\xB8\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBC"],
        ["\x9C\x5A\x87\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xC4"],

        ["\xB8\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBD"],
        ["\x9C\x5A\x87\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xC8"],

        ["\xB8\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBE"],
        ["\x9C\x5A\x87\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xC9"],

        ["\xB8\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC0"],
        ["\x9C\x5A\x87\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xCE"],

        ["\xB8\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC1"],
        ["\x9C\x5A\x87\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xCF"],

        ["\xB8\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC3"],
        ["\x9C\x5A\x87\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],

        ["\xB9\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC4"],
        ["\x9C\x5A\x87\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x4F"],

        ["\xB9\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC5"],
        ["\x9C\x5A\x87\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x42"],

        ["\xB9\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC6"],
        ["\x9C\x5A\x87\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x4A"],

        ["\xB3\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC7"],
        ["\x9C\x5A\x87\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x63"],

        ["\xB9\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC8"],
        ["\x9C\x5A\x87\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x54"],

        ["\xB9\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC9"],
        ["\x9C\x5A\x87\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x53"],

        ["\xB9\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCA"],
        ["\x9C\x5A\x87\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x57"],

        ["\xB9\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCB"],
        ["\x9C\x5A\x87\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x61"],

        ["\xB9\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCC"],
        ["\x9C\x5A\x87\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x6B"],

        ["\xB3\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCE"],
        ["\x9C\x5A\x87\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x69"],

        ["\xB9\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCF"],
        ["\x9C\x5A\x87\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x71"],

        ["\xB9\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD0"],
        ["\x9C\x5A\x87\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x72"],

        ["\xB3\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD1"],
        ["\x9C\x5A\x87\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x6C"],

        ["\xB3\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD3"],
        ["\x9C\x5A\x87\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x71"],

        ["\xB3\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD4"],
        ["\x9C\x5A\x87\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x72"],

        ["\xB9\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD5"],
        ["\x9C\x5A\x87\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x8B"],

        ["\xB9\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD6"],
        ["\x9C\x5A\x87\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x8C"],

        ["\xB9\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD7"],
        ["\x9C\x5A\x87\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x8E"],

        ["\xB9\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD8"],
        ["\x9C\x5A\x87\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x93"],

        ["\xB3\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD9"],
        ["\x9C\x5A\x87\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x74"],

        ["\xB9\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDA"],
        ["\x9C\x5A\x87\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x97"],

        ["\xB9\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDC"],
        ["\x9C\x5A\x87\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA1"],

        ["\xB9\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDD"],
        ["\x9C\x5A\x87\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA3"],

        ["\xB9\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDE"],
        ["\x9C\x5A\x87\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],

        ["\xB9\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDF"],
        ["\x9C\x5A\x87\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],

        ["\xB9\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE0"],
        ["\x9C\x5A\x87\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xC6"],

        ["\xB3\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE1"],
        ["\x9C\x5A\x87\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x7B"],

        ["\xB9\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE2"],
        ["\x9C\x5A\x87\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xC7"],

        ["\xB3\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE3"],
        ["\x9C\x5A\x87\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x7E"],

        ["\xB9\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE4"],
        ["\x9C\x5A\x87\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xCB"],

        ["\xB3\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE6"],
        ["\x9C\x5A\x87\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x7F"],

        ["\xB9\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE7"],
        ["\x9C\x5A\x87\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xD3"],

        ["\xB3\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE8"],
        ["\x9C\x5A\x87\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x81"],

        ["\xB9\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xEB"],
        ["\x9C\x5A\x87\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xE0"],

        ["\xB3\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xEC"],
        ["\x9C\x5A\x87\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x83"],

        ["\xB9\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xED"],
        ["\x9C\x5A\x87\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xF5"],

        ["\xB9\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xEE"],
        ["\x9C\x5A\x87\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xF6"],

        ["\xB3\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xEF"],
        ["\x9C\x5A\x87\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x87"],

        ["\xBA\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF1"],
        ["\x9C\x5A\x87\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x44"],

        ["\xB3\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF3"],
        ["\x9C\x5A\x87\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8F"],

        ["\xBA\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF4"],
        ["\x9C\x5A\x87\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x60"],

        ["\xBA\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF5"],
        ["\x9C\x5A\x87\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x6A"],

        ["\xBA\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF7"],
        ["\x9C\x5A\x87\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x72"],

        ["\xBA\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF8"],
        ["\x9C\x5A\x87\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x75"],

        ["\xBA\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF9"],
        ["\x9C\x5A\x87\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x76"],

        ["\xBA\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xFA"],
        ["\x9C\x5A\x87\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x7A"],

        ["\xBA\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xFB"],
        ["\x9C\x5A\x87\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x7F"],

        ["\xBA\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xFC"],
        ["\x9C\x5A\x87\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x81"],

        ["\xBA\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x41"],
        ["\x9C\x5A\x88\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x8D"],

        ["\xBA\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x43"],
        ["\x9C\x5A\x88\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x9F"],

        ["\xBA\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x44"],
        ["\x9C\x5A\x88\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xA2"],

        ["\xBA\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x45"],
        ["\x9C\x5A\x88\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xA4"],

        ["\xBA\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x46"],
        ["\x9C\x5A\x88\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xAE"],

        ["\xBA\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x47"],
        ["\x9C\x5A\x88\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xB3"],

        ["\xBA\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x48"],
        ["\x9C\x5A\x88\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xB9"],

        ["\xBA\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4A"],
        ["\x9C\x5A\x88\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xBC"],

        ["\xB3\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4B"],
        ["\x9C\x5A\x88\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9E"],

        ["\xBA\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4C"],
        ["\x9C\x5A\x88\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xC5"],

        ["\xBA\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4D"],
        ["\x9C\x5A\x88\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xCE"],

        ["\xB3\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4E"],
        ["\x9C\x5A\x88\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],

        ["\xBA\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4F"],
        ["\x9C\x5A\x88\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xDB"],

        ["\xBA\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x50"],
        ["\x9C\x5A\x88\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xDE"],

        ["\xBA\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x51"],
        ["\x9C\x5A\x88\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xEA"],

        ["\xBA\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x52"],
        ["\x9C\x5A\x88\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xF3"],

        ["\xB3\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x53"],
        ["\x9C\x5A\x88\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAD"],

        ["\xBA\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x54"],
        ["\x9C\x5A\x88\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xFD"],

        ["\xB3\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x55"],
        ["\x9C\x5A\x88\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAC"],

        ["\xBB\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x56"],
        ["\x9C\x5A\x88\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x42"],

        ["\xBB\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x57"],
        ["\x9C\x5A\x88\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x43"],

        ["\xBB\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x58"],
        ["\x9C\x5A\x88\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x44"],

        ["\xBB\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x59"],
        ["\x9C\x5A\x88\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x4C"],

        ["\xBB\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5A"],
        ["\x9C\x5A\x88\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x4F"],

        ["\xBB\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5B"],
        ["\x9C\x5A\x88\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x54"],

        ["\xBB\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5C"],
        ["\x9C\x5A\x88\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x56"],

        ["\xBB\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5D"],
        ["\x9C\x5A\x88\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x59"],

        ["\xBB\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5E"],
        ["\x9C\x5A\x88\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x5D"],

        ["\xBB\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5F"],
        ["\x9C\x5A\x88\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x5E"],

        ["\xBB\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x60"],
        ["\x9C\x5A\x88\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x76"],

        ["\xB3\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x61"],
        ["\x9C\x5A\x88\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB1"],

        ["\xB3\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x62"],
        ["\x9C\x5A\x88\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],

        ["\xBB\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x63"],
        ["\x9C\x5A\x88\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x86"],

        ["\xBB\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x64"],
        ["\x9C\x5A\x88\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x87"],

        ["\xBB\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x65"],
        ["\x9C\x5A\x88\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x88"],

        ["\xBB\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x66"],
        ["\x9C\x5A\x88\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x98"],

        ["\xBB\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x67"],
        ["\x9C\x5A\x88\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x9D"],

        ["\xBB\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x68"],
        ["\x9C\x5A\x88\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xA1"],

        ["\xBB\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x69"],
        ["\x9C\x5A\x88\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xAB"],

        ["\xB3\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x6B"],
        ["\x9C\x5A\x88\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],

        ["\xBB\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x6C"],
        ["\x9C\x5A\x88\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xB3"],

        ["\xBB\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x6F"],
        ["\x9C\x5A\x88\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xB6"],

        ["\xBB\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x70"],
        ["\x9C\x5A\x88\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xBB"],

        ["\xBB\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x71"],
        ["\x9C\x5A\x88\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xBF"],

        ["\xBB\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x72"],
        ["\x9C\x5A\x88\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xC1"],

        ["\xBB\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x73"],
        ["\x9C\x5A\x88\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xC2"],

        ["\xBB\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x74"],
        ["\x9C\x5A\x88\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xC6"],

        ["\xBB\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x75"],
        ["\x9C\x5A\x88\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xCA"],

        ["\xBB\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x77"],
        ["\x9C\x5A\x88\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xDE"],

        ["\xBB\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x78"],
        ["\x9C\x5A\x88\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xDF"],

        ["\xB3\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x79"],
        ["\x9C\x5A\x88\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],

        ["\xBB\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x7A"],
        ["\x9C\x5A\x88\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xE3"],

        ["\xBB\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x7B"],
        ["\x9C\x5A\x88\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xE9"],

        ["\xB3\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x7D"],
        ["\x9C\x5A\x88\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC2"],

        ["\xBB\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x7E"],
        ["\x9C\x5A\x88\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xF6"],

        ["\xB3\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x80"],
        ["\x9C\x5A\x88\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC6"],

        ["\xBC\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x81"],
        ["\x9C\x5A\x88\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x41"],

        ["\xBB\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x82"],
        ["\x9C\x5A\x88\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xFD"],

        ["\xBC\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x83"],
        ["\x9C\x5A\x88\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x42"],

        ["\xBC\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x84"],
        ["\x9C\x5A\x88\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x44"],

        ["\xB3\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x85"],
        ["\x9C\x5A\x88\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC7"],

        ["\xBC\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x86"],
        ["\x9C\x5A\x88\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x48"],

        ["\xBC\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x87"],
        ["\x9C\x5A\x88\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x4C"],

        ["\xCB\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x88"],
        ["\x9C\x5A\x88\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xE3"],

        ["\xBC\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8A"],
        ["\x9C\x5A\x88\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x63"],

        ["\xBC\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8B"],
        ["\x9C\x5A\x88\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x6B"],

        ["\xBC\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8C"],
        ["\x9C\x5A\x88\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x6E"],

        ["\xBC\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8E"],
        ["\x9C\x5A\x88\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x7B"],

        ["\xBC\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8F"],
        ["\x9C\x5A\x88\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x80"],

        ["\xBC\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x90"],
        ["\x9C\x5A\x88\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x81"],

        ["\xBC\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x91"],
        ["\x9C\x5A\x88\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x93"],

        ["\xBC\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x92"],
        ["\x9C\x5A\x88\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x95"],

        ["\xBC\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x93"],
        ["\x9C\x5A\x88\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xA6"],

        ["\xBC\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x94"],
        ["\x9C\x5A\x88\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xA7"],

        ["\xBC\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x95"],
        ["\x9C\x5A\x88\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xA8"],

        ["\xBC\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x96"],
        ["\x9C\x5A\x88\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xAB"],

        ["\xB3\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x97"],
        ["\x9C\x5A\x88\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD7"],

        ["\xBC\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x98"],
        ["\x9C\x5A\x88\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xB2"],

        ["\xBC\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x99"],
        ["\x9C\x5A\x88\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xB6"],

        ["\xBC\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9A"],
        ["\x9C\x5A\x88\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xC0"],

        ["\xB3\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9B"],
        ["\x9C\x5A\x88\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD9"],

        ["\xBC\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9C"],
        ["\x9C\x5A\x88\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xD1"],

        ["\xBC\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9D"],
        ["\x9C\x5A\x88\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xD5"],

        ["\xB3\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9E"],
        ["\x9C\x5A\x88\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x75"],

        ["\xB3\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x73"],
        ["\x9C\x5A\x98\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8D"],

        ["\xBC\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x74"],
        ["\x9C\x5A\x98\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xD9"],

        ["\xBC\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x76"],
        ["\x9C\x5A\x98\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xE2"],

        ["\xBC\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x77"],
        ["\x9C\x5A\x98\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xEC"],

        ["\xB3\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x7A"],
        ["\x9C\x5A\x98\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE2"],

        ["\xBD\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x7C"],
        ["\x9C\x5A\x98\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x4A"],

        ["\xBD\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x7D"],
        ["\x9C\x5A\x98\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x4D"],

        ["\xB3\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x7E"],
        ["\x9C\x5A\x98\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE3"],

        ["\xBD\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x80"],
        ["\x9C\x5A\x98\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x57"],

        ["\xB3\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x81"],
        ["\x9C\x5A\x98\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE7"],

        ["\xB3\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x82"],
        ["\x9C\x5A\x98\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE8"],

        ["\xB3\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x83"],
        ["\x9C\x5A\x98\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD1"],

        ["\xBD\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x84"],
        ["\x9C\x5A\x98\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x60"],

        ["\xBD\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x85"],
        ["\x9C\x5A\x98\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x67"],

        ["\xBD\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x86"],
        ["\x9C\x5A\x98\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x6A"],

        ["\xBD\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x87"],
        ["\x9C\x5A\x98\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x6D"],

        ["\xBD\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x88"],
        ["\x9C\x5A\x98\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x6E"],

        ["\xBD\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8A"],
        ["\x9C\x5A\x98\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x73"],

        ["\xB3\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8B"],
        ["\x9C\x5A\x98\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF3"],

        ["\xBD\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8C"],
        ["\x9C\x5A\x98\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x74"],

        ["\xBD\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8D"],
        ["\x9C\x5A\x98\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x7A"],

        ["\xB3\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8E"],
        ["\x9C\x5A\x98\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFA"],

        ["\xB3\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8F"],
        ["\x9C\x5A\x98\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFB"],

        ["\xBD\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x90"],
        ["\x9C\x5A\x98\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x7D"],

        ["\xBD\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x93"],
        ["\x9C\x5A\x98\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x89"],

        ["\xB3\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x94"],
        ["\x9C\x5A\x98\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFC"],

        ["\xBD\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x96"],
        ["\x9C\x5A\x98\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x8B"],

        ["\xBD\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x98"],
        ["\x9C\x5A\x98\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x9A"],

        ["\xBD\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x99"],
        ["\x9C\x5A\x98\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xA5"],

        ["\xB4\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x9A"],
        ["\x9C\x5A\x98\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x45"],

        ["\xBD\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x9B"],
        ["\x9C\x5A\x98\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xA6"],

        ["\xBD\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x9D"],
        ["\x9C\x5A\x98\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xAD"],

        ["\xB3\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x9E"],
        ["\x9C\x5A\x98\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x90"],

        ["\x59\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x9C\x5A"],
        ["\x9C\x5A\x9C\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xCD"],

        ["\xB3\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA5"],
        ["\x9C\x5A\xEA\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAB"],

        ["\xB4\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA6"],
        ["\x9C\x5A\xEA\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x4A"],

        ["\xBD\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA7"],
        ["\x9C\x5A\xEA\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xBA"],

        ["\xBD\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA8"],
        ["\x9C\x5A\xEA\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xBC"],

        ["\xBD\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA9"],
        ["\x9C\x5A\xEA\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xC9"],

        ["\xBD\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAA"],
        ["\x9C\x5A\xEA\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xCC"],

        ["\xBD\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAB"],
        ["\x9C\x5A\xEA\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xE0"],

        ["\xB4\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAC"],
        ["\x9C\x5A\xEA\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x54"],

        ["\xBD\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAD"],
        ["\x9C\x5A\xEA\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xE3"],

        ["\xB4\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAE"],
        ["\x9C\x5A\xEA\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x57"],

        ["\xB4\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAF"],
        ["\x9C\x5A\xEA\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x59"],

        ["\xBD\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB0"],
        ["\x9C\x5A\xEA\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xEE"],

        ["\xBD\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB1"],
        ["\x9C\x5A\xEA\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xF0"],

        ["\xBD\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB2"],
        ["\x9C\x5A\xEA\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xF5"],

        ["\xBD\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB3"],
        ["\x9C\x5A\xEA\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xF7"],

        ["\xBD\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB5"],
        ["\x9C\x5A\xEA\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xFE"],

        ["\xBE\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB6"],
        ["\x9C\x5A\xEA\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x42"],

        ["\xBE\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB7"],
        ["\x9C\x5A\xEA\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x44"],

        ["\xBE\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB9"],
        ["\x9C\x5A\xEA\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x49"],

        ["\xBE\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBA"],
        ["\x9C\x5A\xEA\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x4A"],

        ["\xBE\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBB"],
        ["\x9C\x5A\xEA\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x4E"],

        ["\xBE\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBD"],
        ["\x9C\x5A\xEA\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x55"],

        ["\xBE\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBE"],
        ["\x9C\x5A\xEA\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x57"],

        ["\xBE\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBF"],
        ["\x9C\x5A\xEA\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x5B"],

        ["\xBE\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC0"],
        ["\x9C\x5A\xEA\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x5F"],

        ["\xBE\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC1"],
        ["\x9C\x5A\xEA\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x62"],

        ["\xB4\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC2"],
        ["\x9C\x5A\xEA\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x5C"],

        ["\xBE\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC4"],
        ["\x9C\x5A\xEA\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x69"],

        ["\xBE\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC6"],
        ["\x9C\x5A\xEA\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x70"],

        ["\xBE\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC7"],
        ["\x9C\x5A\xEA\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x73"],

        ["\xBE\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC8"],
        ["\x9C\x5A\xEA\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x80"],

        ["\xBE\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC9"],
        ["\x9C\x5A\xEA\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x82"],

        ["\xBE\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCA"],
        ["\x9C\x5A\xEA\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x84"],

        ["\xBE\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCB"],
        ["\x9C\x5A\xEA\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x89"],

        ["\xBE\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCC"],
        ["\x9C\x5A\xEA\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x8A"],

        ["\xBE\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCD"],
        ["\x9C\x5A\xEA\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x8C"],

        ["\xB4\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCE"],
        ["\x9C\x5A\xEA\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x61"],

        ["\xBE\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCF"],
        ["\x9C\x5A\xEA\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xA1"],

        ["\xBE\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD0"],
        ["\x9C\x5A\xEA\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xA2"],

        ["\xBE\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD1"],
        ["\x9C\x5A\xEA\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xB1"],

        ["\xBE\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD2"],
        ["\x9C\x5A\xEA\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xB4"],

        ["\xBE\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD4"],
        ["\x9C\x5A\xEA\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xB7"],

        ["\xBE\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD5"],
        ["\x9C\x5A\xEA\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xBB"],

        ["\xBE\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD6"],
        ["\x9C\x5A\xEA\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xC9"],

        ["\xBE\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD7"],
        ["\x9C\x5A\xEA\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xCD"],

        ["\xB4\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDA"],
        ["\x9C\x5A\xEA\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x66"],

        ["\xBE\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDB"],
        ["\x9C\x5A\xEA\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xE3"],

        ["\xB4\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDC"],
        ["\x9C\x5A\xEA\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x67"],

        ["\xBE\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDD"],
        ["\x9C\x5A\xEA\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xF1"],

        ["\xBE\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDE"],
        ["\x9C\x5A\xEA\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xF0"],

        ["\xB4\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDF"],
        ["\x9C\x5A\xEA\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x6A"],

        ["\xBF\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE0"],
        ["\x9C\x5A\xEA\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x4D"],

        ["\xB4\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE1"],
        ["\x9C\x5A\xEA\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x6D"],

        ["\xBF\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE2"],
        ["\x9C\x5A\xEA\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x55"],

        ["\xBF\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE3"],
        ["\x9C\x5A\xEA\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x5D"],

        ["\xBF\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE4"],
        ["\x9C\x5A\xEA\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x5E"],

        ["\xBF\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE5"],
        ["\x9C\x5A\xEA\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x62"],

        ["\xB4\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE6"],
        ["\x9C\x5A\xEA\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x70"],

        ["\xBF\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE7"],
        ["\x9C\x5A\xEA\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x71"],

        ["\xBF\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE8"],
        ["\x9C\x5A\xEA\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x74"],

        ["\xBF\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE9"],
        ["\x9C\x5A\xEA\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x79"],

        ["\xBF\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEA"],
        ["\x9C\x5A\xEA\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x7D"],

        ["\xBF\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEB"],
        ["\x9C\x5A\xEA\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x83"],

        ["\xBF\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEC"],
        ["\x9C\x5A\xEA\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x89"],

        ["\xBF\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xED"],
        ["\x9C\x5A\xEA\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x8D"],

        ["\xBF\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEE"],
        ["\x9C\x5A\xEA\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x98"],

        ["\xBF\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEF"],
        ["\x9C\x5A\xEA\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xA0"],

        ["\xBF\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF0"],
        ["\x9C\x5A\xEA\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xBD"],

        ["\xB4\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF1"],
        ["\x9C\x5A\xEA\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x7B"],

        ["\xBF\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF3"],
        ["\x9C\x5A\xEA\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xC6"],

        ["\xBF\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF4"],
        ["\x9C\x5A\xEA\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xC8"],

        ["\xBF\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF5"],
        ["\x9C\x5A\xEA\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xCC"],

        ["\xB4\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF6"],
        ["\x9C\x5A\xEA\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x7F"],

        ["\xBF\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF7"],
        ["\x9C\x5A\xEA\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xD8"],

        ["\xBF\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF9"],
        ["\x9C\x5A\xEA\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xE3"],

        ["\xBF\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xFB"],
        ["\x9C\x5A\xEA\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xF8"],

        ["\xBF\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xFC"],
        ["\x9C\x5A\xEA\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xF9"],

        ["\xBF\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x40"],
        ["\x9C\x5A\xEB\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xFA"],

        ["\xBF\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x41"],
        ["\x9C\x5A\xEB\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xFC"],

        ["\xC0\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x42"],
        ["\x9C\x5A\xEB\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x41"],

        ["\xC0\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x43"],
        ["\x9C\x5A\xEB\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x4C"],

        ["\xC0\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x44"],
        ["\x9C\x5A\xEB\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x4D"],

        ["\xC0\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x45"],
        ["\x9C\x5A\xEB\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x5C"],

        ["\xC0\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x46"],
        ["\x9C\x5A\xEB\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x5E"],

        ["\xB4\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x47"],
        ["\x9C\x5A\xEB\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x85"],

        ["\xC0\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x48"],
        ["\x9C\x5A\xEB\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x6C"],

        ["\xC0\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x49"],
        ["\x9C\x5A\xEB\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x76"],

        ["\xB4\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x4A"],
        ["\x9C\x5A\xEB\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x89"],

        ["\xB4\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x4F"],
        ["\x9C\x5A\xEB\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8D"],

        ["\xC0\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x50"],
        ["\x9C\x5A\xEB\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x97"],

        ["\xC0\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x52"],
        ["\x9C\x5A\xEB\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x9C"],

        ["\xC0\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x53"],
        ["\x9C\x5A\xEB\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x9E"],

        ["\xC0\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x55"],
        ["\x9C\x5A\xEB\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x9F"],

        ["\xB4\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x57"],
        ["\x9C\x5A\xEB\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8E"],

        ["\xC0\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x58"],
        ["\x9C\x5A\xEB\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xA6"],

        ["\xB4\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x59"],
        ["\x9C\x5A\xEB\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x94"],

        ["\xB4\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x5B"],
        ["\x9C\x5A\xEB\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x90"],

        ["\xC0\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x5C"],
        ["\x9C\x5A\xEB\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xAD"],

        ["\xC0\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x5F"],
        ["\x9C\x5A\xEB\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xB2"],

        ["\xC0\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x60"],
        ["\x9C\x5A\xEB\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xB3"],

        ["\xC0\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x61"],
        ["\x9C\x5A\xEB\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xBC"],

        ["\xB4\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x62"],
        ["\x9C\x5A\xEB\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x97"],

        ["\xC0\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x65"],
        ["\x9C\x5A\xEB\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC7"],

        ["\xB4\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x66"],
        ["\x9C\x5A\xEB\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9B"],

        ["\xC0\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x67"],
        ["\x9C\x5A\xEB\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xCB"],

        ["\xB4\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x68"],
        ["\x9C\x5A\xEB\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9C"],

        ["\xC0\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x69"],
        ["\x9C\x5A\xEB\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD0"],

        ["\xC0\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x6A"],
        ["\x9C\x5A\xEB\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],

        ["\xC0\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x6C"],
        ["\x9C\x5A\xEB\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD8"],

        ["\xC0\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x6E"],
        ["\x9C\x5A\xEB\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xDD"],

        ["\xC0\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x70"],
        ["\x9C\x5A\xEB\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE0"],

        ["\xC0\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x71"],
        ["\x9C\x5A\xEB\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE1"],

        ["\xC0\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x72"],
        ["\x9C\x5A\xEB\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xEA"],

        ["\xC0\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x73"],
        ["\x9C\x5A\xEB\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xEB"],

        ["\xC0\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x74"],
        ["\x9C\x5A\xEB\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],

        ["\xC0\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x75"],
        ["\x9C\x5A\xEB\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],

        ["\xC0\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x76"],
        ["\x9C\x5A\xEB\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],

        ["\xC1\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x78"],
        ["\x9C\x5A\xEB\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x4C"],

        ["\xC1\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x7A"],
        ["\x9C\x5A\xEB\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x43"],

        ["\xB4\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x7B"],
        ["\x9C\x5A\xEB\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAB"],

        ["\xC1\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x7E"],
        ["\x9C\x5A\xEB\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x4F"],

        ["\xC1\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x80"],
        ["\x9C\x5A\xEB\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x53"],

        ["\xC1\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x81"],
        ["\x9C\x5A\xEB\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x57"],

        ["\xC1\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x82"],
        ["\x9C\x5A\xEB\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x61"],

        ["\xC1\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x83"],
        ["\x9C\x5A\xEB\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x67"],

        ["\xC1\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x84"],
        ["\x9C\x5A\xEB\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x68"],

        ["\xB4\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x85"],
        ["\x9C\x5A\xEB\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],

        ["\xC1\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x86"],
        ["\x9C\x5A\xEB\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x76"],

        ["\xC1\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x87"],
        ["\x9C\x5A\xEB\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x77"],

        ["\xC1\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x88"],
        ["\x9C\x5A\xEB\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7B"],

        ["\xC1\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8A"],
        ["\x9C\x5A\xEB\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7F"],

        ["\xC1\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8B"],
        ["\x9C\x5A\xEB\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x87"],

        ["\xC1\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8C"],
        ["\x9C\x5A\xEB\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x8B"],

        ["\xC1\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8D"],
        ["\x9C\x5A\xEB\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x8C"],

        ["\xC1\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8E"],
        ["\x9C\x5A\xEB\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x8D"],

        ["\xC1\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8F"],
        ["\x9C\x5A\xEB\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x91"],

        ["\xC1\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x90"],
        ["\x9C\x5A\xEB\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x95"],

        ["\xC1\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x91"],
        ["\x9C\x5A\xEB\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xA2"],

        ["\xB4\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x92"],
        ["\x9C\x5A\xEB\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCB"],

        ["\xC1\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x93"],
        ["\x9C\x5A\xEB\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x9D"],

        ["\xC1\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x94"],
        ["\x9C\x5A\xEB\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xA0"],

        ["\xC1\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x95"],
        ["\x9C\x5A\xEB\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xA4"],

        ["\xC1\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x96"],
        ["\x9C\x5A\xEB\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xA6"],

        ["\xC1\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x97"],
        ["\x9C\x5A\xEB\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xA7"],

        ["\xC1\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x99"],
        ["\x9C\x5A\xEB\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xB2"],

        ["\xC1\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9B"],
        ["\x9C\x5A\xEB\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xB7"],

        ["\xC1\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9C"],
        ["\x9C\x5A\xEB\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xBB"],

        ["\xB4\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9D"],
        ["\x9C\x5A\xEB\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC9"],

        ["\xB4\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9E"],
        ["\x9C\x5A\xEB\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCA"],

        ["\xB4\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9F"],
        ["\x9C\x5A\xEB\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD1"],

        ["\xB4\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA1"],
        ["\x9C\x5A\xEB\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCD"],

        ["\xB4\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA2"],
        ["\x9C\x5A\xEB\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCE"],

        ["\xC1\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA3"],
        ["\x9C\x5A\xEB\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xCB"],

        ["\xB4\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA4"],
        ["\x9C\x5A\xEB\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD0"],

        ["\xC1\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA5"],
        ["\x9C\x5A\xEB\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],

        ["\xC1\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA6"],
        ["\x9C\x5A\xEB\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD2"],

        ["\xB4\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA7"],
        ["\x9C\x5A\xEB\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDE"],

        ["\xC1\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA8"],
        ["\x9C\x5A\xEB\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xDB"],

        ["\xC1\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA9"],
        ["\x9C\x5A\xEB\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xDC"],

        ["\xC1\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xAA"],
        ["\x9C\x5A\xEB\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xDE"],

        ["\xC1\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xAB"],
        ["\x9C\x5A\xEB\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE2"],

        ["\xC1\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xAC"],
        ["\x9C\x5A\xEB\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],

        ["\xC1\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xAD"],
        ["\x9C\x5A\xEB\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE7"],

        ["\xB4\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB0"],
        ["\x9C\x5A\xEB\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDF"],

        ["\xC1\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB1"],
        ["\x9C\x5A\xEB\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],

        ["\xB4\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB2"],
        ["\x9C\x5A\xEB\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDA"],

        ["\xC1\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB3"],
        ["\x9C\x5A\xEB\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],

        ["\xC1\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB4"],
        ["\x9C\x5A\xEB\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF5"],

        ["\xC1\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB5"],
        ["\x9C\x5A\xEB\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF7"],

        ["\xC2\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB7"],
        ["\x9C\x5A\xEB\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4C"],

        ["\xB4\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB8"],
        ["\x9C\x5A\xEB\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE2"],

        ["\xB4\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB9"],
        ["\x9C\x5A\xEB\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE4"],

        ["\xC2\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBA"],
        ["\x9C\x5A\xEB\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5C"],

        ["\xC2\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBB"],
        ["\x9C\x5A\xEB\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5D"],

        ["\xC2\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBC"],
        ["\x9C\x5A\xEB\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x61"],

        ["\xC2\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBD"],
        ["\x9C\x5A\xEB\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x63"],

        ["\xC2\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBE"],
        ["\x9C\x5A\xEB\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x67"],

        ["\xC2\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBF"],
        ["\x9C\x5A\xEB\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6B"],

        ["\xC2\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC0"],
        ["\x9C\x5A\xEB\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6E"],

        ["\xB4\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC1"],
        ["\x9C\x5A\xEB\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEA"],

        ["\xC2\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC2"],
        ["\x9C\x5A\xEB\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6F"],

        ["\xB4\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC3"],
        ["\x9C\x5A\xEB\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],

        ["\xC2\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC4"],
        ["\x9C\x5A\xEB\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x76"],

        ["\xC2\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC5"],
        ["\x9C\x5A\xEB\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x7F"],

        ["\xC2\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC6"],
        ["\x9C\x5A\xEB\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x81"],

        ["\xB4\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC7"],
        ["\x9C\x5A\xEB\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],

        ["\xB4\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC8"],
        ["\x9C\x5A\xEB\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF3"],

        ["\xB4\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCA"],
        ["\x9C\x5A\xEB\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF4"],

        ["\xC2\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCB"],
        ["\x9C\x5A\xEB\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x95"],

        ["\xC2\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCC"],
        ["\x9C\x5A\xEB\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x98"],

        ["\xC2\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCD"],
        ["\x9C\x5A\xEB\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x9C"],

        ["\xC2\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCE"],
        ["\x9C\x5A\xEB\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xA5"],

        ["\xC2\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCF"],
        ["\x9C\x5A\xEB\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],

        ["\xB4\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD1"],
        ["\x9C\x5A\xEB\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF9"],

        ["\xC2\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD2"],
        ["\x9C\x5A\xEB\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xB5"],

        ["\xC2\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD3"],
        ["\x9C\x5A\xEB\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],

        ["\xC2\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD4"],
        ["\x9C\x5A\xEB\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xBA"],

        ["\xC2\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD6"],
        ["\x9C\x5A\xEB\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC0"],

        ["\xC2\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD7"],
        ["\x9C\x5A\xEB\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC1"],

        ["\xB4\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD8"],
        ["\x9C\x5A\xEB\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFD"],

        ["\xC2\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD9"],
        ["\x9C\x5A\xEB\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],

        ["\xC2\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDA"],
        ["\x9C\x5A\xEB\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xCD"],

        ["\xC2\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDB"],
        ["\x9C\x5A\xEB\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],

        ["\xC2\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDC"],
        ["\x9C\x5A\xEB\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD3"],

        ["\xC2\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDD"],
        ["\x9C\x5A\xEB\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD5"],

        ["\xB5\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDE"],
        ["\x9C\x5A\xEB\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x43"],

        ["\xC2\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE0"],
        ["\x9C\x5A\xEB\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xDA"],

        ["\xC2\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE1"],
        ["\x9C\x5A\xEB\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE2"],

        ["\xC2\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE2"],
        ["\x9C\x5A\xEB\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],

        ["\xC2\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE3"],
        ["\x9C\x5A\xEB\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],

        ["\xC2\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE4"],
        ["\x9C\x5A\xEB\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE7"],

        ["\xB5\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE5"],
        ["\x9C\x5A\xEB\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x46"],

        ["\xC2\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE6"],
        ["\x9C\x5A\xEB\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xEC"],

        ["\xB5\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE7"],
        ["\x9C\x5A\xEB\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x49"],

        ["\xC2\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE8"],
        ["\x9C\x5A\xEB\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF0"],

        ["\xB5\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEA"],
        ["\x9C\x5A\xEB\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x4C"],

        ["\xC2\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEB"],
        ["\x9C\x5A\xEB\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF3"],

        ["\xC2\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEC"],
        ["\x9C\x5A\xEB\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],

        ["\xC2\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEE"],
        ["\x9C\x5A\xEB\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xFB"],

        ["\xC2\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEF"],
        ["\x9C\x5A\xEB\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xFC"],

        ["\xC3\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF0"],
        ["\x9C\x5A\xEB\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x42"],

        ["\xB5\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF1"],
        ["\x9C\x5A\xEB\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x54"],

        ["\xC3\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF2"],
        ["\x9C\x5A\xEB\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x43"],

        ["\xC3\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF3"],
        ["\x9C\x5A\xEB\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x44"],

        ["\xB5\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF5"],
        ["\x9C\x5A\xEB\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x59"],

        ["\xB5\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF6"],
        ["\x9C\x5A\xEB\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x5B"],

        ["\xC3\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF7"],
        ["\x9C\x5A\xEB\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x55"],

        ["\xC3\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF9"],
        ["\x9C\x5A\xEB\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x61"],

        ["\xB5\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xFA"],
        ["\x9C\x5A\xEB\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x5E"],

        ["\xC3\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xFB"],
        ["\x9C\x5A\xEB\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x6F"],

        ["\xC3\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xFC"],
        ["\x9C\x5A\xEB\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x73"],

        ["\xC3\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x40"],
        ["\x9C\x5A\xEC\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x75"],

        ["\xC3\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x41"],
        ["\x9C\x5A\xEC\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x79"],

        ["\xB5\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x42"],
        ["\x9C\x5A\xEC\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x61"],

        ["\xC3\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x43"],
        ["\x9C\x5A\xEC\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x88"],

        ["\xB5\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x44"],
        ["\x9C\x5A\xEC\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x62"],

        ["\xC3\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x45"],
        ["\x9C\x5A\xEC\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x8C"],

        ["\xC3\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x46"],
        ["\x9C\x5A\xEC\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x8E"],

        ["\xC3\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x47"],
        ["\x9C\x5A\xEC\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x90"],

        ["\xC3\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x48"],
        ["\x9C\x5A\xEC\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x95"],

        ["\xC3\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x49"],
        ["\x9C\x5A\xEC\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x99"],

        ["\xC3\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4A"],
        ["\x9C\x5A\xEC\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x9C"],

        ["\xC3\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4B"],
        ["\x9C\x5A\xEC\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x9D"],

        ["\xC3\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4C"],
        ["\x9C\x5A\xEC\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x9E"],

        ["\xC3\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4D"],
        ["\x9C\x5A\xEC\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],

        ["\xC3\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4F"],
        ["\x9C\x5A\xEC\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],

        ["\xC3\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x50"],
        ["\x9C\x5A\xEC\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xA7"],

        ["\xC3\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x51"],
        ["\x9C\x5A\xEC\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xAB"],

        ["\xC3\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x52"],
        ["\x9C\x5A\xEC\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],

        ["\xC3\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x53"],
        ["\x9C\x5A\xEC\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],

        ["\xC3\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x54"],
        ["\x9C\x5A\xEC\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],

        ["\xC3\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x55"],
        ["\x9C\x5A\xEC\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],

        ["\xC3\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x56"],
        ["\x9C\x5A\xEC\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],

        ["\xC3\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x57"],
        ["\x9C\x5A\xEC\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],

        ["\xC3\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x58"],
        ["\x9C\x5A\xEC\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC2"],

        ["\xC3\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x59"],
        ["\x9C\x5A\xEC\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],

        ["\xC3\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x5C"],
        ["\x9C\x5A\xEC\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],

        ["\xC3\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x5E"],
        ["\x9C\x5A\xEC\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD4"],

        ["\xC3\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x5F"],
        ["\x9C\x5A\xEC\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD9"],

        ["\xC3\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x60"],
        ["\x9C\x5A\xEC\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xDA"],

        ["\xC3\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x61"],
        ["\x9C\x5A\xEC\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],

        ["\xC3\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x62"],
        ["\x9C\x5A\xEC\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xDB"],

        ["\xC3\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x63"],
        ["\x9C\x5A\xEC\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xDF"],

        ["\xC3\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x65"],
        ["\x9C\x5A\xEC\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xEA"],

        ["\xC3\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x67"],
        ["\x9C\x5A\xEC\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xEE"],

        ["\xC3\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x68"],
        ["\x9C\x5A\xEC\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF2"],

        ["\xC3\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x69"],
        ["\x9C\x5A\xEC\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF5"],

        ["\xC3\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6A"],
        ["\x9C\x5A\xEC\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF7"],

        ["\xC4\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6C"],
        ["\x9C\x5A\xEC\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x43"],

        ["\xC4\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6D"],
        ["\x9C\x5A\xEC\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x41"],

        ["\xC4\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6E"],
        ["\x9C\x5A\xEC\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x42"],

        ["\xB5\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6F"],
        ["\x9C\x5A\xEC\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x78"],

        ["\xC4\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x70"],
        ["\x9C\x5A\xEC\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x46"],

        ["\xB5\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x73"],
        ["\x9C\x5A\xEC\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x79"],

        ["\xB5\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x74"],
        ["\x9C\x5A\xEC\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x7C"],

        ["\xC4\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x75"],
        ["\x9C\x5A\xEC\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x4E"],

        ["\xC4\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x77"],
        ["\x9C\x5A\xEC\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x52"],

        ["\xC4\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x78"],
        ["\x9C\x5A\xEC\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x53"],

        ["\xC4\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x7A"],
        ["\x9C\x5A\xEC\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x56"],

        ["\xC4\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x7B"],
        ["\x9C\x5A\xEC\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x57"],

        ["\xC4\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x7C"],
        ["\x9C\x5A\xEC\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x59"],

        ["\xC4\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x7E"],
        ["\x9C\x5A\xEC\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x62"],

        ["\xC4\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x80"],
        ["\x9C\x5A\xEC\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x65"],

        ["\xC4\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x82"],
        ["\x9C\x5A\xEC\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6E"],

        ["\xB5\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x83"],
        ["\x9C\x5A\xEC\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x81"],

        ["\xC4\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x84"],
        ["\x9C\x5A\xEC\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x85"],

        ["\xC4\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x85"],
        ["\x9C\x5A\xEC\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x86"],

        ["\xB5\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x86"],
        ["\x9C\x5A\xEC\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x85"],

        ["\xC4\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x87"],
        ["\x9C\x5A\xEC\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x98"],

        ["\xC4\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x88"],
        ["\x9C\x5A\xEC\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x9B"],

        ["\xB5\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8A"],
        ["\x9C\x5A\xEC\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x88"],

        ["\xC4\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8B"],
        ["\x9C\x5A\xEC\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xAC"],

        ["\xB5\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8C"],
        ["\x9C\x5A\xEC\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8E"],

        ["\xC4\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8D"],
        ["\x9C\x5A\xEC\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],

        ["\xC4\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8E"],
        ["\x9C\x5A\xEC\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xBB"],

        ["\xC4\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x90"],
        ["\x9C\x5A\xEC\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC5"],

        ["\xC4\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x91"],
        ["\x9C\x5A\xEC\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xCD"],

        ["\xC4\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x92"],
        ["\x9C\x5A\xEC\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],

        ["\xC4\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x93"],
        ["\x9C\x5A\xEC\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xDF"],

        ["\xC4\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x94"],
        ["\x9C\x5A\xEC\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE4"],

        ["\xC4\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x95"],
        ["\x9C\x5A\xEC\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],

        ["\xC4\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x96"],
        ["\x9C\x5A\xEC\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],

        ["\xC4\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x97"],
        ["\x9C\x5A\xEC\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],

        ["\xC4\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x98"],
        ["\x9C\x5A\xEC\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xEA"],

        ["\xC4\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x9A"],
        ["\x9C\x5A\xEC\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF5"],

        ["\xC4\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x9C"],
        ["\x9C\x5A\xEC\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF7"],

        ["\xC4\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x9E"],
        ["\x9C\x5A\xEC\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xFC"],

        ["\xC5\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA0"],
        ["\x9C\x5A\xEC\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x49"],

        ["\xC5\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA1"],
        ["\x9C\x5A\xEC\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4B"],

        ["\xC5\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA2"],
        ["\x9C\x5A\xEC\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4C"],

        ["\xB5\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA3"],
        ["\x9C\x5A\xEC\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x96"],

        ["\xC5\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA5"],
        ["\x9C\x5A\xEC\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4E"],

        ["\xC5\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA7"],
        ["\x9C\x5A\xEC\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4F"],

        ["\xC5\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA8"],
        ["\x9C\x5A\xEC\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x50"],

        ["\xC5\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAA"],
        ["\x9C\x5A\xEC\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x52"],

        ["\xC5\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAB"],
        ["\x9C\x5A\xEC\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x53"],

        ["\xC5\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAC"],
        ["\x9C\x5A\xEC\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x58"],

        ["\xC5\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAD"],
        ["\x9C\x5A\xEC\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x59"],

        ["\xC5\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAE"],
        ["\x9C\x5A\xEC\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5A"],

        ["\xC5\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAF"],
        ["\x9C\x5A\xEC\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5B"],

        ["\xC5\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB0"],
        ["\x9C\x5A\xEC\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5F"],

        ["\xC5\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB2"],
        ["\x9C\x5A\xEC\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x64"],

        ["\xC5\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB3"],
        ["\x9C\x5A\xEC\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x65"],

        ["\xC5\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB4"],
        ["\x9C\x5A\xEC\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6C"],

        ["\xC5\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB5"],
        ["\x9C\x5A\xEC\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6D"],

        ["\xC5\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB7"],
        ["\x9C\x5A\xEC\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x72"],

        ["\xC5\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB8"],
        ["\x9C\x5A\xEC\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x75"],

        ["\xC5\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBA"],
        ["\x9C\x5A\xEC\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x78"],

        ["\xC5\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBB"],
        ["\x9C\x5A\xEC\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6F"],

        ["\xC5\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBC"],
        ["\x9C\x5A\xEC\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x79"],

        ["\xC5\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBD"],
        ["\x9C\x5A\xEC\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7A"],

        ["\xC5\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBE"],
        ["\x9C\x5A\xEC\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7B"],

        ["\xC5\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBF"],
        ["\x9C\x5A\xEC\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x82"],

        ["\xC5\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC0"],
        ["\x9C\x5A\xEC\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x85"],

        ["\xC5\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC1"],
        ["\x9C\x5A\xEC\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x86"],

        ["\xC5\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC2"],
        ["\x9C\x5A\xEC\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x87"],

        ["\xC5\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC3"],
        ["\x9C\x5A\xEC\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x8C"],

        ["\xC5\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC4"],
        ["\x9C\x5A\xEC\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x99"],

        ["\xC5\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC6"],
        ["\x9C\x5A\xEC\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x9D"],

        ["\xC5\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC9"],
        ["\x9C\x5A\xEC\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xB5"],

        ["\xC5\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCA"],
        ["\x9C\x5A\xEC\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xBE"],

        ["\xB5\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCB"],
        ["\x9C\x5A\xEC\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],

        ["\xC5\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCC"],
        ["\x9C\x5A\xEC\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xCD"],

        ["\xC5\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCD"],
        ["\x9C\x5A\xEC\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD4"],

        ["\xC5\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCE"],
        ["\x9C\x5A\xEC\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xDB"],

        ["\xC5\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCF"],
        ["\x9C\x5A\xEC\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xDC"],

        ["\xC5\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD0"],
        ["\x9C\x5A\xEC\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],

        ["\xC5\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD1"],
        ["\x9C\x5A\xEC\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],

        ["\xC5\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD2"],
        ["\x9C\x5A\xEC\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],

        ["\xC5\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD3"],
        ["\x9C\x5A\xEC\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE8"],

        ["\xC5\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD4"],
        ["\x9C\x5A\xEC\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xEC"],

        ["\xC5\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD5"],
        ["\x9C\x5A\xEC\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF1"],

        ["\xC5\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD6"],
        ["\x9C\x5A\xEC\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF4"],

        ["\xC5\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD7"],
        ["\x9C\x5A\xEC\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xFB"],

        ["\xC6\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD8"],
        ["\x9C\x5A\xEC\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x42"],

        ["\xC6\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD9"],
        ["\x9C\x5A\xEC\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x46"],

        ["\xC6\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDA"],
        ["\x9C\x5A\xEC\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x47"],

        ["\xC6\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDB"],
        ["\x9C\x5A\xEC\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x48"],

        ["\xC6\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDC"],
        ["\x9C\x5A\xEC\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x4A"],

        ["\xC6\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDD"],
        ["\x9C\x5A\xEC\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x4B"],

        ["\xC6\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDE"],
        ["\x9C\x5A\xEC\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x4D"],

        ["\xC6\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE0"],
        ["\x9C\x5A\xEC\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x52"],

        ["\xC6\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE3"],
        ["\x9C\x5A\xEC\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x5B"],

        ["\xB5\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE4"],
        ["\x9C\x5A\xEC\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB8"],

        ["\xC6\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE5"],
        ["\x9C\x5A\xEC\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x5F"],

        ["\xC6\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE6"],
        ["\x9C\x5A\xEC\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x62"],

        ["\xC6\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE7"],
        ["\x9C\x5A\xEC\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x63"],

        ["\xC6\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE8"],
        ["\x9C\x5A\xEC\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x64"],

        ["\xC6\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE9"],
        ["\x9C\x5A\xEC\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x67"],

        ["\xC6\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEA"],
        ["\x9C\x5A\xEC\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x6B"],

        ["\xC6\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEB"],
        ["\x9C\x5A\xEC\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x6E"],

        ["\xC6\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEC"],
        ["\x9C\x5A\xEC\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x71"],

        ["\xC6\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xED"],
        ["\x9C\x5A\xEC\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x77"],

        ["\xC6\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEE"],
        ["\x9C\x5A\xEC\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x7F"],

        ["\xC6\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEF"],
        ["\x9C\x5A\xEC\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x81"],

        ["\xC6\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF1"],
        ["\x9C\x5A\xEC\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x88"],

        ["\xC6\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF2"],
        ["\x9C\x5A\xEC\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x89"],

        ["\xC6\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF3"],
        ["\x9C\x5A\xEC\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x8E"],

        ["\xC6\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF4"],
        ["\x9C\x5A\xEC\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x90"],

        ["\xC6\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF5"],
        ["\x9C\x5A\xEC\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x92"],

        ["\xC6\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF6"],
        ["\x9C\x5A\xEC\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x9B"],

        ["\xC6\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF7"],
        ["\x9C\x5A\xEC\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x9D"],

        ["\xC6\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF8"],
        ["\x9C\x5A\xEC\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xA1"],

        ["\xC6\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF9"],
        ["\x9C\x5A\xEC\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xA8"],

        ["\xC6\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xFA"],
        ["\x9C\x5A\xEC\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xB6"],

        ["\xC6\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xFB"],
        ["\x9C\x5A\xEC\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],

        ["\xB5\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xFC"],
        ["\x9C\x5A\xEC\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCD"],

        ["\xC6\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x40"],
        ["\x9C\x5A\xED\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xCE"],

        ["\xB5\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x42"],
        ["\x9C\x5A\xED\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCB"],

        ["\xB5\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x43"],
        ["\x9C\x5A\xED\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],

        ["\xC6\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x44"],
        ["\x9C\x5A\xED\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],

        ["\xC6\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x45"],
        ["\x9C\x5A\xED\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xDB"],

        ["\xB5\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x46"],
        ["\x9C\x5A\xED\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],

        ["\xC6\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x47"],
        ["\x9C\x5A\xED\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE9"],

        ["\xB5\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x48"],
        ["\x9C\x5A\xED\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD0"],

        ["\xC6\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x49"],
        ["\x9C\x5A\xED\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],

        ["\xC6\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4A"],
        ["\x9C\x5A\xED\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xFD"],

        ["\xC7\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4B"],
        ["\x9C\x5A\xED\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x42"],

        ["\xC7\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4C"],
        ["\x9C\x5A\xED\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x49"],

        ["\xC7\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4D"],
        ["\x9C\x5A\xED\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x45"],

        ["\xC7\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4E"],
        ["\x9C\x5A\xED\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x4E"],

        ["\xB5\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4F"],
        ["\x9C\x5A\xED\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD5"],

        ["\xC7\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x50"],
        ["\x9C\x5A\xED\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x56"],

        ["\xC7\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x51"],
        ["\x9C\x5A\xED\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x57"],

        ["\xB5\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x52"],
        ["\x9C\x5A\xED\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD6"],

        ["\xB5\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x53"],
        ["\x9C\x5A\xED\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD8"],

        ["\xC7\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x54"],
        ["\x9C\x5A\xED\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x5D"],

        ["\xC7\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x55"],
        ["\x9C\x5A\xED\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x5E"],

        ["\xB5\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x56"],
        ["\x9C\x5A\xED\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD7"],

        ["\xB5\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x57"],
        ["\x9C\x5A\xED\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD9"],

        ["\xB5\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x58"],
        ["\x9C\x5A\xED\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],

        ["\xC7\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x59"],
        ["\x9C\x5A\xED\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x66"],

        ["\xB5\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x5A"],
        ["\x9C\x5A\xED\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDB"],

        ["\xC7\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x5D"],
        ["\x9C\x5A\xED\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x6B"],

        ["\xB5\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x5E"],
        ["\x9C\x5A\xED\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDD"],

        ["\xB5\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x5F"],
        ["\x9C\x5A\xED\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDE"],

        ["\xC7\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x61"],
        ["\x9C\x5A\xED\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x75"],

        ["\xC7\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x62"],
        ["\x9C\x5A\xED\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7C"],

        ["\xC7\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x63"],
        ["\x9C\x5A\xED\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7E"],

        ["\xC7\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x64"],
        ["\x9C\x5A\xED\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x83"],

        ["\xC7\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x65"],
        ["\x9C\x5A\xED\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x84"],

        ["\xB5\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x66"],
        ["\x9C\x5A\xED\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE1"],

        ["\xC7\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x67"],
        ["\x9C\x5A\xED\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x86"],

        ["\xC7\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x68"],
        ["\x9C\x5A\xED\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x8A"],

        ["\xC7\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x69"],
        ["\x9C\x5A\xED\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x8F"],

        ["\xC7\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6A"],
        ["\x9C\x5A\xED\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x90"],

        ["\xC7\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6B"],
        ["\x9C\x5A\xED\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x95"],

        ["\xB5\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6C"],
        ["\x9C\x5A\xED\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE7"],

        ["\xC7\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6D"],
        ["\x9C\x5A\xED\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xA7"],

        ["\xC7\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6E"],
        ["\x9C\x5A\xED\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB2"],

        ["\xC7\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6F"],
        ["\x9C\x5A\xED\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB8"],

        ["\xB5\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x70"],
        ["\x9C\x5A\xED\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE8"],

        ["\xC7\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x71"],
        ["\x9C\x5A\xED\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xBE"],

        ["\xC7\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x72"],
        ["\x9C\x5A\xED\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC6"],

        ["\xB5\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x73"],
        ["\x9C\x5A\xED\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE9"],

        ["\xC7\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x74"],
        ["\x9C\x5A\xED\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],

        ["\xC7\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x75"],
        ["\x9C\x5A\xED\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xCC"],

        ["\xC7\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x76"],
        ["\x9C\x5A\xED\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],

        ["\xC7\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x78"],
        ["\x9C\x5A\xED\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD9"],

        ["\xB5\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x79"],
        ["\x9C\x5A\xED\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF1"],

        ["\xC7\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7A"],
        ["\x9C\x5A\xED\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE3"],

        ["\xB5\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7B"],
        ["\x9C\x5A\xED\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF3"],

        ["\xC7\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7C"],
        ["\x9C\x5A\xED\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xED"],

        ["\xC7\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7D"],
        ["\x9C\x5A\xED\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xEE"],

        ["\xC7\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7E"],
        ["\x9C\x5A\xED\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF0"],

        ["\xC7\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x80"],
        ["\x9C\x5A\xED\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],

        ["\xC7\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x81"],
        ["\x9C\x5A\xED\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF6"],

        ["\xC7\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x82"],
        ["\x9C\x5A\xED\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],

        ["\xB5\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x84"],
        ["\x9C\x5A\xED\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],

        ["\xC8\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x85"],
        ["\x9C\x5A\xED\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x55"],

        ["\xC8\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x86"],
        ["\x9C\x5A\xED\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x56"],

        ["\xC8\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x87"],
        ["\x9C\x5A\xED\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x63"],

        ["\xC8\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x88"],
        ["\x9C\x5A\xED\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x74"],

        ["\xB6\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x89"],
        ["\x9C\x5A\xED\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x41"],

        ["\xC8\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8A"],
        ["\x9C\x5A\xED\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x6F"],

        ["\xC8\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8B"],
        ["\x9C\x5A\xED\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x75"],

        ["\xC8\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8C"],
        ["\x9C\x5A\xED\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x77"],

        ["\xB6\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8D"],
        ["\x9C\x5A\xED\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x42"],

        ["\xB6\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8E"],
        ["\x9C\x5A\xED\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x44"],

        ["\xC8\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8F"],
        ["\x9C\x5A\xED\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x80"],

        ["\xC8\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x90"],
        ["\x9C\x5A\xED\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x8A"],

        ["\xC8\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x91"],
        ["\x9C\x5A\xED\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x8E"],

        ["\xC8\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x92"],
        ["\x9C\x5A\xED\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x93"],

        ["\xC8\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x93"],
        ["\x9C\x5A\xED\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x94"],

        ["\xC8\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x94"],
        ["\x9C\x5A\xED\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x96"],

        ["\xC8\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x95"],
        ["\x9C\x5A\xED\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x9D"],

        ["\xC8\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x96"],
        ["\x9C\x5A\xED\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xA7"],

        ["\xC8\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x97"],
        ["\x9C\x5A\xED\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xA9"],

        ["\xC8\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x98"],
        ["\x9C\x5A\xED\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xAB"],

        ["\xC8\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x99"],
        ["\x9C\x5A\xED\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xB1"],

        ["\xC8\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9A"],
        ["\x9C\x5A\xED\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xB2"],

        ["\xC8\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9B"],
        ["\x9C\x5A\xED\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xB7"],

        ["\xC8\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9C"],
        ["\x9C\x5A\xED\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xB9"],

        ["\xC8\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9D"],
        ["\x9C\x5A\xED\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xBB"],

        ["\xC8\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9E"],
        ["\x9C\x5A\xED\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xBF"],

        ["\xC8\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9F"],
        ["\x9C\x5A\xED\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC4"],

        ["\xC8\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA1"],
        ["\x9C\x5A\xED\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],

        ["\xC8\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA3"],
        ["\x9C\x5A\xED\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD2"],

        ["\xC8\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA4"],
        ["\x9C\x5A\xED\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD7"],

        ["\xC8\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA5"],
        ["\x9C\x5A\xED\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xDB"],

        ["\xC8\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA7"],
        ["\x9C\x5A\xED\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE3"],

        ["\xC8\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA8"],
        ["\x9C\x5A\xED\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],

        ["\xC8\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA9"],
        ["\x9C\x5A\xED\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xEE"],

        ["\xB6\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAB"],
        ["\x9C\x5A\xED\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x5A"],

        ["\xB6\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAC"],
        ["\x9C\x5A\xED\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x5B"],

        ["\xC9\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAD"],
        ["\x9C\x5A\xED\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x4A"],

        ["\xC9\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAE"],
        ["\x9C\x5A\xED\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x41"],

        ["\xC9\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAF"],
        ["\x9C\x5A\xED\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x43"],

        ["\xC9\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB0"],
        ["\x9C\x5A\xED\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x44"],

        ["\xB6\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB1"],
        ["\x9C\x5A\xED\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x5F"],

        ["\xC9\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB2"],
        ["\x9C\x5A\xED\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x53"],

        ["\xC9\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB4"],
        ["\x9C\x5A\xED\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x58"],

        ["\xC9\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB6"],
        ["\x9C\x5A\xED\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x64"],

        ["\xB6\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB8"],
        ["\x9C\x5A\xED\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x65"],

        ["\xC9\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB9"],
        ["\x9C\x5A\xED\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x87"],

        ["\xC9\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBA"],
        ["\x9C\x5A\xED\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x89"],

        ["\xC9\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBB"],
        ["\x9C\x5A\xED\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x91"],

        ["\xC9\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBC"],
        ["\x9C\x5A\xED\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x95"],

        ["\xC9\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBD"],
        ["\x9C\x5A\xED\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x97"],

        ["\xC9\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBE"],
        ["\x9C\x5A\xED\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x98"],

        ["\xC9\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBF"],
        ["\x9C\x5A\xED\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x9C"],

        ["\xC9\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC0"],
        ["\x9C\x5A\xED\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x9D"],

        ["\xC9\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC1"],
        ["\x9C\x5A\xED\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xA0"],

        ["\xB6\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC2"],
        ["\x9C\x5A\xED\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x6A"],

        ["\xC9\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC3"],
        ["\x9C\x5A\xED\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],

        ["\xC9\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC4"],
        ["\x9C\x5A\xED\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xB3"],

        ["\xC9\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC5"],
        ["\x9C\x5A\xED\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xB8"],

        ["\xC9\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC6"],
        ["\x9C\x5A\xED\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],

        ["\xC9\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC7"],
        ["\x9C\x5A\xED\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xBC"],

        ["\xB6\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC8"],
        ["\x9C\x5A\xED\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x70"],

        ["\xC9\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC9"],
        ["\x9C\x5A\xED\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD6"],

        ["\xC9\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCA"],
        ["\x9C\x5A\xED\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],

        ["\xC9\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCB"],
        ["\x9C\x5A\xED\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xDD"],

        ["\xC9\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCC"],
        ["\x9C\x5A\xED\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE6"],

        ["\xC9\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCD"],
        ["\x9C\x5A\xED\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF3"],

        ["\xC9\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCE"],
        ["\x9C\x5A\xED\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],

        ["\xC9\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCF"],
        ["\x9C\x5A\xED\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],

        ["\xC9\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD0"],
        ["\x9C\x5A\xED\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xFA"],

        ["\xC9\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD1"],
        ["\x9C\x5A\xED\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xFC"],

        ["\xCA\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD2"],
        ["\x9C\x5A\xED\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x50"],

        ["\xCA\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD3"],
        ["\x9C\x5A\xED\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x53"],

        ["\xCA\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD4"],
        ["\x9C\x5A\xED\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x56"],

        ["\xCA\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD5"],
        ["\x9C\x5A\xED\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x58"],

        ["\xB6\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD6"],
        ["\x9C\x5A\xED\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x83"],

        ["\xB6\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD7"],
        ["\x9C\x5A\xED\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x84"],

        ["\xB6\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD8"],
        ["\x9C\x5A\xED\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x88"],

        ["\xCA\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD9"],
        ["\x9C\x5A\xED\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x81"],

        ["\xCA\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDA"],
        ["\x9C\x5A\xED\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x85"],

        ["\xB6\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDB"],
        ["\x9C\x5A\xED\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x97"],

        ["\xCA\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDC"],
        ["\x9C\x5A\xED\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x90"],

        ["\xCA\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDD"],
        ["\x9C\x5A\xED\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x98"],

        ["\xCA\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDE"],
        ["\x9C\x5A\xED\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x99"],

        ["\xCA\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDF"],
        ["\x9C\x5A\xED\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x9A"],

        ["\xCA\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE0"],
        ["\x9C\x5A\xED\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x9D"],

        ["\xCA\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE1"],
        ["\x9C\x5A\xED\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x9F"],

        ["\xCA\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE2"],
        ["\x9C\x5A\xED\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA3"],

        ["\xCA\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE3"],
        ["\x9C\x5A\xED\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],

        ["\xCA\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE4"],
        ["\x9C\x5A\xED\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA7"],

        ["\xCA\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE5"],
        ["\x9C\x5A\xED\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],

        ["\xCA\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE6"],
        ["\x9C\x5A\xED\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],

        ["\xCA\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE7"],
        ["\x9C\x5A\xED\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],

        ["\xCA\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE8"],
        ["\x9C\x5A\xED\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB6"],

        ["\xCA\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE9"],
        ["\x9C\x5A\xED\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],

        ["\xCA\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xEC"],
        ["\x9C\x5A\xED\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xC1"],

        ["\xCA\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xED"],
        ["\x9C\x5A\xED\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xC3"],

        ["\xCA\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xEE"],
        ["\x9C\x5A\xED\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xC8"],

        ["\xCA\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xEF"],
        ["\x9C\x5A\xED\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xCC"],

        ["\xCA\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF0"],
        ["\x9C\x5A\xED\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],

        ["\xCA\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF1"],
        ["\x9C\x5A\xED\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xD1"],

        ["\xCA\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF2"],
        ["\x9C\x5A\xED\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xD4"],

        ["\xCA\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF3"],
        ["\x9C\x5A\xED\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xD9"],

        ["\xCA\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF4"],
        ["\x9C\x5A\xED\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],

        ["\xCA\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF5"],
        ["\x9C\x5A\xED\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],

        ["\xCA\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF6"],
        ["\x9C\x5A\xED\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xE2"],

        ["\xCA\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF7"],
        ["\x9C\x5A\xED\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xE8"],

        ["\xCA\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF8"],
        ["\x9C\x5A\xED\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xE9"],

        ["\xCA\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF9"],
        ["\x9C\x5A\xED\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xED"],

        ["\xCA\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xFA"],
        ["\x9C\x5A\xED\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],

        ["\xCA\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xFC"],
        ["\x9C\x5A\xED\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xF0"],

        ["\xCA\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x40"],
        ["\x9C\x5A\xEE\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xF2"],

        ["\xB6\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x41"],
        ["\x9C\x5A\xEE\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9F"],

        ["\xCA\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x42"],
        ["\x9C\x5A\xEE\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xF6"],

        ["\xCA\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x43"],
        ["\x9C\x5A\xEE\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFA"],

        ["\xCA\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x44"],
        ["\x9C\x5A\xEE\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFB"],

        ["\xCA\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x45"],
        ["\x9C\x5A\xEE\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFC"],

        ["\xB6\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x46"],
        ["\x9C\x5A\xEE\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA3"],

        ["\xB6\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x48"],
        ["\x9C\x5A\xEE\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],

        ["\xCB\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x49"],
        ["\x9C\x5A\xEE\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x56"],

        ["\xCB\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4A"],
        ["\x9C\x5A\xEE\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x57"],

        ["\xCB\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4B"],
        ["\x9C\x5A\xEE\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x5E"],

        ["\xCB\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4C"],
        ["\x9C\x5A\xEE\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x62"],

        ["\xCB\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4D"],
        ["\x9C\x5A\xEE\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x67"],

        ["\xCB\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4F"],
        ["\x9C\x5A\xEE\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x69"],

        ["\xCB\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x50"],
        ["\x9C\x5A\xEE\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x6C"],

        ["\xCB\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x51"],
        ["\x9C\x5A\xEE\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x6D"],

        ["\xB6\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x52"],
        ["\x9C\x5A\xEE\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAB"],

        ["\xCB\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x53"],
        ["\x9C\x5A\xEE\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x8D"],

        ["\xCB\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x54"],
        ["\x9C\x5A\xEE\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x84"],

        ["\xCB\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x55"],
        ["\x9C\x5A\xEE\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x86"],

        ["\xCB\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x56"],
        ["\x9C\x5A\xEE\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x8C"],

        ["\xCB\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x58"],
        ["\x9C\x5A\xEE\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x9F"],

        ["\xCB\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5A"],
        ["\x9C\x5A\xEE\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],

        ["\xCB\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5B"],
        ["\x9C\x5A\xEE\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA2"],

        ["\xCB\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5C"],
        ["\x9C\x5A\xEE\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xAB"],

        ["\xCB\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5D"],
        ["\x9C\x5A\xEE\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xAC"],

        ["\xCB\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5E"],
        ["\x9C\x5A\xEE\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB2"],

        ["\xCB\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x60"],
        ["\x9C\x5A\xEE\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xC1"],

        ["\xCB\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x61"],
        ["\x9C\x5A\xEE\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xC2"],

        ["\xCB\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x62"],
        ["\x9C\x5A\xEE\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xC9"],

        ["\xCB\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x63"],
        ["\x9C\x5A\xEE\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xD5"],

        ["\xCB\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x64"],
        ["\x9C\x5A\xEE\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCD"],

        ["\xCB\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x65"],
        ["\x9C\x5A\xEE\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCF"],

        ["\xCB\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x66"],
        ["\x9C\x5A\xEE\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xD0"],

        ["\xCB\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x67"],
        ["\x9C\x5A\xEE\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xD3"],

        ["\xB6\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x68"],
        ["\x9C\x5A\xEE\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB7"],

        ["\xCB\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x69"],
        ["\x9C\x5A\xEE\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xD6"],

        ["\xCB\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6A"],
        ["\x9C\x5A\xEE\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDC"],

        ["\xCB\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6B"],
        ["\x9C\x5A\xEE\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDE"],

        ["\xCB\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6C"],
        ["\x9C\x5A\xEE\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xE9"],

        ["\xB6\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6D"],
        ["\x9C\x5A\xEE\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],

        ["\xB6\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6E"],
        ["\x9C\x5A\xEE\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],

        ["\xCB\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6F"],
        ["\x9C\x5A\xEE\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xEF"],

        ["\xB6\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x70"],
        ["\x9C\x5A\xEE\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],

        ["\xCB\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x71"],
        ["\x9C\x5A\xEE\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xF3"],

        ["\xCB\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x72"],
        ["\x9C\x5A\xEE\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xF5"],

        ["\xCB\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x73"],
        ["\x9C\x5A\xEE\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xFD"],

        ["\xCC\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x74"],
        ["\x9C\x5A\xEE\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x4C"],

        ["\xCC\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x75"],
        ["\x9C\x5A\xEE\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x5D"],

        ["\xCC\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x76"],
        ["\x9C\x5A\xEE\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x5E"],

        ["\xCC\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x77"],
        ["\x9C\x5A\xEE\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x5F"],

        ["\xCC\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x78"],
        ["\x9C\x5A\xEE\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x63"],

        ["\xCC\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x79"],
        ["\x9C\x5A\xEE\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x82"],

        ["\xCC\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7A"],
        ["\x9C\x5A\xEE\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x89"],

        ["\xCC\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7B"],
        ["\x9C\x5A\xEE\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x8A"],

        ["\xCC\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7C"],
        ["\x9C\x5A\xEE\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x98"],

        ["\xCC\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7D"],
        ["\x9C\x5A\xEE\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x99"],

        ["\xCC\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7E"],
        ["\x9C\x5A\xEE\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x9C"],

        ["\xB6\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x80"],
        ["\x9C\x5A\xEE\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCA"],

        ["\xCC\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x81"],
        ["\x9C\x5A\xEE\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA5"],

        ["\xB6\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x82"],
        ["\x9C\x5A\xEE\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCE"],

        ["\xCC\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x83"],
        ["\x9C\x5A\xEE\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],

        ["\xCC\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x84"],
        ["\x9C\x5A\xEE\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB9"],

        ["\xCC\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x85"],
        ["\x9C\x5A\xEE\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBB"],

        ["\xCC\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x86"],
        ["\x9C\x5A\xEE\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBE"],

        ["\xCC\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x87"],
        ["\x9C\x5A\xEE\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xC5"],

        ["\xCC\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x88"],
        ["\x9C\x5A\xEE\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xE4"],

        ["\xCC\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x89"],
        ["\x9C\x5A\xEE\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xEB"],

        ["\xCC\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x8A"],
        ["\x9C\x5A\xEE\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xF0"],

        ["\xCC\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x8B"],
        ["\x9C\x5A\xEE\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xF4"],

        ["\xB6\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x8C"],
        ["\x9C\x5A\xEE\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD6"],

        ["\xB6\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x8F"],
        ["\x9C\x5A\xEE\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD9"],

        ["\xCD\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x90"],
        ["\x9C\x5A\xEE\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x48"],

        ["\xCD\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x91"],
        ["\x9C\x5A\xEE\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x49"],

        ["\xCD\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x92"],
        ["\x9C\x5A\xEE\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x4A"],

        ["\xCD\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x93"],
        ["\x9C\x5A\xEE\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x4D"],

        ["\xCD\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x94"],
        ["\x9C\x5A\xEE\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x4F"],

        ["\xCD\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x95"],
        ["\x9C\x5A\xEE\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x51"],

        ["\xCD\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x96"],
        ["\x9C\x5A\xEE\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x53"],

        ["\xCD\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x97"],
        ["\x9C\x5A\xEE\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x56"],

        ["\xCD\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x98"],
        ["\x9C\x5A\xEE\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x70"],

        ["\xB6\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x99"],
        ["\x9C\x5A\xEE\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE0"],

        ["\xCD\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9A"],
        ["\x9C\x5A\xEE\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x7D"],

        ["\xCD\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9B"],
        ["\x9C\x5A\xEE\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x82"],

        ["\xCD\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9C"],
        ["\x9C\x5A\xEE\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x88"],

        ["\xCD\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9E"],
        ["\x9C\x5A\xEE\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x92"],

        ["\xCD\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9F"],
        ["\x9C\x5A\xEE\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x95"],

        ["\xCD\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA1"],
        ["\x9C\x5A\xEE\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA1"],

        ["\xCD\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA2"],
        ["\x9C\x5A\xEE\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA4"],

        ["\xCD\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA3"],
        ["\x9C\x5A\xEE\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],

        ["\xCD\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA4"],
        ["\x9C\x5A\xEE\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xAB"],

        ["\xCD\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA5"],
        ["\x9C\x5A\xEE\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xAE"],

        ["\xB6\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA8"],
        ["\x9C\x5A\xEE\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE5"],

        ["\xCD\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xAA"],
        ["\x9C\x5A\xEE\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xD4"],

        ["\xB6\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xAD"],
        ["\x9C\x5A\xEE\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE6"],

        ["\xB6\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xAE"],
        ["\x9C\x5A\xEE\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE9"],

        ["\xCD\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xAF"],
        ["\x9C\x5A\xEE\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xE8"],

        ["\xCD\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB0"],
        ["\x9C\x5A\xEE\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],

        ["\xCD\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB1"],
        ["\x9C\x5A\xEE\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xED"],

        ["\xB6\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB2"],
        ["\x9C\x5A\xEE\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],

        ["\xB6\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB3"],
        ["\x9C\x5A\xEE\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],

        ["\xCE\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB4"],
        ["\x9C\x5A\xEE\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x49"],

        ["\xCE\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB5"],
        ["\x9C\x5A\xEE\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x57"],

        ["\xB6\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB6"],
        ["\x9C\x5A\xEE\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xF3"],

        ["\xCE\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB7"],
        ["\x9C\x5A\xEE\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x74"],

        ["\xCE\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB9"],
        ["\x9C\x5A\xEE\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x7B"],

        ["\xCE\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBA"],
        ["\x9C\x5A\xEE\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x7C"],

        ["\xB6\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBB"],
        ["\x9C\x5A\xEE\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xF6"],

        ["\xCE\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBD"],
        ["\x9C\x5A\xEE\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x82"],

        ["\xCE\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBE"],
        ["\x9C\x5A\xEE\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x95"],

        ["\xCE\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBF"],
        ["\x9C\x5A\xEE\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA2"],

        ["\xCE\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC0"],
        ["\x9C\x5A\xEE\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],

        ["\xCE\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC1"],
        ["\x9C\x5A\xEE\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],

        ["\xCE\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC2"],
        ["\x9C\x5A\xEE\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB9"],

        ["\xCE\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC3"],
        ["\x9C\x5A\xEE\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],

        ["\xCE\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC4"],
        ["\x9C\x5A\xEE\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xC5"],

        ["\xCE\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC5"],
        ["\x9C\x5A\xEE\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xD7"],

        ["\xCE\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC6"],
        ["\x9C\x5A\xEE\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],

        ["\xB7\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC7"],
        ["\x9C\x5A\xEE\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x43"],

        ["\xCE\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC8"],
        ["\x9C\x5A\xEE\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xEF"],

        ["\xB7\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC9"],
        ["\x9C\x5A\xEE\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x45"],

        ["\xCE\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCA"],
        ["\x9C\x5A\xEE\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],

        ["\xCF\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCB"],
        ["\x9C\x5A\xEE\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x4A"],

        ["\xCF\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCC"],
        ["\x9C\x5A\xEE\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x52"],

        ["\xCF\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCD"],
        ["\x9C\x5A\xEE\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x56"],

        ["\xCF\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCE"],
        ["\x9C\x5A\xEE\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x61"],

        ["\xB7\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCF"],
        ["\x9C\x5A\xEE\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x4A"],

        ["\xCF\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD0"],
        ["\x9C\x5A\xEE\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x6C"],

        ["\xCF\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD1"],
        ["\x9C\x5A\xEE\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x6D"],

        ["\xCF\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD2"],
        ["\x9C\x5A\xEE\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x7D"],

        ["\xCF\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD3"],
        ["\x9C\x5A\xEE\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x7E"],

        ["\xCF\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD4"],
        ["\x9C\x5A\xEE\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x7F"],

        ["\xCF\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD5"],
        ["\x9C\x5A\xEE\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x87"],

        ["\xCF\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD6"],
        ["\x9C\x5A\xEE\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x8F"],

        ["\xB7\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD7"],
        ["\x9C\x5A\xEE\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x4F"],

        ["\xCF\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD8"],
        ["\x9C\x5A\xEE\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA1"],

        ["\xCF\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD9"],
        ["\x9C\x5A\xEE\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],

        ["\xCF\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDA"],
        ["\x9C\x5A\xEE\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],

        ["\xCF\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDB"],
        ["\x9C\x5A\xEE\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA9"],

        ["\xCF\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDC"],
        ["\x9C\x5A\xEE\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xAA"],

        ["\xCF\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDD"],
        ["\x9C\x5A\xEE\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xAD"],

        ["\xCF\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDE"],
        ["\x9C\x5A\xEE\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB1"],

        ["\xCF\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDF"],
        ["\x9C\x5A\xEE\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],

        ["\xCF\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE0"],
        ["\x9C\x5A\xEE\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB7"],

        ["\xCF\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE1"],
        ["\x9C\x5A\xEE\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],

        ["\xCF\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE2"],
        ["\x9C\x5A\xEE\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],

        ["\xCF\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE3"],
        ["\x9C\x5A\xEE\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],

        ["\xCF\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE4"],
        ["\x9C\x5A\xEE\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xC2"],

        ["\xCF\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE6"],
        ["\x9C\x5A\xEE\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xC6"],

        ["\xCF\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE7"],
        ["\x9C\x5A\xEE\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xC8"],

        ["\xCF\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE9"],
        ["\x9C\x5A\xEE\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xD3"],

        ["\xCF\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xEB"],
        ["\x9C\x5A\xEE\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xD4"],

        ["\xCF\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xEC"],
        ["\x9C\x5A\xEE\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xDB"],

        ["\xCF\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xED"],
        ["\x9C\x5A\xEE\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xDC"],

        ["\xCF\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xEF"],
        ["\x9C\x5A\xEE\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xE0"],

        ["\xCF\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF0"],
        ["\x9C\x5A\xEE\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xE1"],

        ["\xCF\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF1"],
        ["\x9C\x5A\xEE\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xE2"],

        ["\xCF\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF2"],
        ["\x9C\x5A\xEE\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xE8"],

        ["\xCF\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF3"],
        ["\x9C\x5A\xEE\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xEB"],

        ["\xCF\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF4"],
        ["\x9C\x5A\xEE\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xF1"],

        ["\xCF\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF5"],
        ["\x9C\x5A\xEE\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xFB"],

        ["\xD0\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF6"],
        ["\x9C\x5A\xEE\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x47"],

        ["\xD0\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF7"],
        ["\x9C\x5A\xEE\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x4B"],

        ["\xD0\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF8"],
        ["\x9C\x5A\xEE\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x4F"],

        ["\xD0\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF9"],
        ["\x9C\x5A\xEE\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x54"],

        ["\xD0\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xFB"],
        ["\x9C\x5A\xEE\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x65"],

        ["\xD0\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x42"],
        ["\x9C\x5A\xEF\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x62"],

        ["\xD0\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x43"],
        ["\x9C\x5A\xEF\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x6B"],

        ["\xD0\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x45"],
        ["\x9C\x5A\xEF\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x7F"],

        ["\xD0\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x4A"],
        ["\x9C\x5A\xEF\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x82"],

        ["\xD0\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x4B"],
        ["\x9C\x5A\xEF\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x87"],

        ["\xD0\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x4E"],
        ["\x9C\x5A\xEF\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xB2"],

        ["\xD0\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x4F"],
        ["\x9C\x5A\xEF\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xB8"],

        ["\xD0\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x50"],
        ["\x9C\x5A\xEF\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xB9"],

        ["\xB7\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x54"],
        ["\x9C\x5A\xEF\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x63"],

        ["\xD0\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x55"],
        ["\x9C\x5A\xEF\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xCE"],

        ["\xD0\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x59"],
        ["\x9C\x5A\xEF\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],

        ["\xB7\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5A"],
        ["\x9C\x5A\xEF\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x66"],

        ["\xD0\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5B"],
        ["\x9C\x5A\xEF\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE0"],

        ["\xD0\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5C"],
        ["\x9C\x5A\xEF\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE1"],

        ["\xD0\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5D"],
        ["\x9C\x5A\xEF\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE4"],

        ["\xD0\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5F"],
        ["\x9C\x5A\xEF\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],

        ["\xD0\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x60"],
        ["\x9C\x5A\xEF\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xFC"],

        ["\xD1\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x61"],
        ["\x9C\x5A\xEF\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x46"],

        ["\xD1\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x64"],
        ["\x9C\x5A\xEF\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x53"],

        ["\xD1\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x65"],
        ["\x9C\x5A\xEF\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x5E"],

        ["\xD1\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x66"],
        ["\x9C\x5A\xEF\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x5B"],

        ["\xD1\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x67"],
        ["\x9C\x5A\xEF\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x6B"],

        ["\xD1\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x68"],
        ["\x9C\x5A\xEF\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x71"],

        ["\xD1\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x69"],
        ["\x9C\x5A\xEF\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x78"],

        ["\xD1\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6A"],
        ["\x9C\x5A\xEF\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x7A"],

        ["\xD1\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6B"],
        ["\x9C\x5A\xEF\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x7E"],

        ["\xD1\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6C"],
        ["\x9C\x5A\xEF\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x7F"],

        ["\xD1\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6D"],
        ["\x9C\x5A\xEF\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x89"],

        ["\xD1\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6E"],
        ["\x9C\x5A\xEF\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x8C"],

        ["\xD1\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6F"],
        ["\x9C\x5A\xEF\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x8E"],

        ["\xD1\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x70"],
        ["\x9C\x5A\xEF\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x8F"],

        ["\xD1\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x71"],
        ["\x9C\x5A\xEF\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x91"],

        ["\xD1\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x72"],
        ["\x9C\x5A\xEF\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x93"],

        ["\xD1\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x73"],
        ["\x9C\x5A\xEF\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x95"],

        ["\xD1\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x74"],
        ["\x9C\x5A\xEF\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x9A"],

        ["\xD1\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x75"],
        ["\x9C\x5A\xEF\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x9B"],

        ["\xD1\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x76"],
        ["\x9C\x5A\xEF\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x9E"],

        ["\xB7\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x77"],
        ["\x9C\x5A\xEF\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x75"],

        ["\xD1\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x78"],
        ["\x9C\x5A\xEF\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xA0"],

        ["\xD1\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x79"],
        ["\x9C\x5A\xEF\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xA2"],

        ["\xD1\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x7A"],
        ["\x9C\x5A\xEF\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xBB"],

        ["\xD1\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x7B"],
        ["\x9C\x5A\xEF\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],

        ["\xD1\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x7E"],
        ["\x9C\x5A\xEF\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xCC"],

        ["\xD1\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x80"],
        ["\x9C\x5A\xEF\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xCD"],

        ["\xD1\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x81"],
        ["\x9C\x5A\xEF\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],

        ["\xD1\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x82"],
        ["\x9C\x5A\xEF\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD8"],

        ["\xB7\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x83"],
        ["\x9C\x5A\xEF\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x82"],

        ["\xD1\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x84"],
        ["\x9C\x5A\xEF\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xDA"],

        ["\xD1\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x85"],
        ["\x9C\x5A\xEF\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xDB"],

        ["\xD1\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x89"],
        ["\x9C\x5A\xEF\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xEC"],

        ["\xD1\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8B"],
        ["\x9C\x5A\xEF\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xEF"],

        ["\xD1\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8C"],
        ["\x9C\x5A\xEF\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],

        ["\xD1\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8D"],
        ["\x9C\x5A\xEF\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF5"],

        ["\xD1\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8E"],
        ["\x9C\x5A\xEF\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xFE"],

        ["\xD2\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8F"],
        ["\x9C\x5A\xEF\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x49"],

        ["\xD2\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x90"],
        ["\x9C\x5A\xEF\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x50"],

        ["\xD2\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x91"],
        ["\x9C\x5A\xEF\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x54"],

        ["\xD2\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x92"],
        ["\x9C\x5A\xEF\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x58"],

        ["\xD2\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x93"],
        ["\x9C\x5A\xEF\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x65"],

        ["\xD2\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x94"],
        ["\x9C\x5A\xEF\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x63"],

        ["\xD2\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x95"],
        ["\x9C\x5A\xEF\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x6B"],

        ["\xB7\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x96"],
        ["\x9C\x5A\xEF\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x89"],

        ["\xD2\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x97"],
        ["\x9C\x5A\xEF\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x70"],

        ["\xD2\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x98"],
        ["\x9C\x5A\xEF\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x77"],

        ["\xD2\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x99"],
        ["\x9C\x5A\xEF\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x7C"],

        ["\xD2\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9A"],
        ["\x9C\x5A\xEF\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x7F"],

        ["\xB7\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9B"],
        ["\x9C\x5A\xEF\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x8D"],

        ["\xD2\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9C"],
        ["\x9C\x5A\xEF\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x88"],

        ["\xD2\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9D"],
        ["\x9C\x5A\xEF\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x89"],

        ["\xD2\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9E"],
        ["\x9C\x5A\xEF\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x8A"],

        ["\xD2\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA0"],
        ["\x9C\x5A\xEF\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x8B"],

        ["\xD2\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA1"],
        ["\x9C\x5A\xEF\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x8C"],

        ["\xB7\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA2"],
        ["\x9C\x5A\xEF\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x8E"],

        ["\xD2\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA4"],
        ["\x9C\x5A\xEF\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x91"],

        ["\xD2\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA5"],
        ["\x9C\x5A\xEF\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x99"],

        ["\xD2\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA6"],
        ["\x9C\x5A\xEF\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x9E"],

        ["\xD2\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA7"],
        ["\x9C\x5A\xEF\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xA4"],

        ["\xD2\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA8"],
        ["\x9C\x5A\xEF\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC7"],

        ["\xD2\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAA"],
        ["\x9C\x5A\xEF\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xEC"],

        ["\xD2\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAB"],
        ["\x9C\x5A\xEF\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xED"],

        ["\xD2\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAC"],
        ["\x9C\x5A\xEF\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],

        ["\xD2\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAD"],
        ["\x9C\x5A\xEF\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xFA"],

        ["\xD2\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAE"],
        ["\x9C\x5A\xEF\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xFB"],

        ["\xD3\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAF"],
        ["\x9C\x5A\xEF\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x41"],

        ["\xD3\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB0"],
        ["\x9C\x5A\xEF\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x45"],

        ["\xB7\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB2"],
        ["\x9C\x5A\xEF\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA1"],

        ["\xD3\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB3"],
        ["\x9C\x5A\xEF\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x53"],

        ["\xD3\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB4"],
        ["\x9C\x5A\xEF\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x58"],

        ["\xD3\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB5"],
        ["\x9C\x5A\xEF\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x59"],

        ["\xD3\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB6"],
        ["\x9C\x5A\xEF\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5C"],

        ["\xD3\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB7"],
        ["\x9C\x5A\xEF\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x60"],

        ["\xD3\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB8"],
        ["\x9C\x5A\xEF\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x6C"],

        ["\xD3\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB9"],
        ["\x9C\x5A\xEF\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x72"],

        ["\xD3\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBA"],
        ["\x9C\x5A\xEF\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x76"],

        ["\xD3\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBB"],
        ["\x9C\x5A\xEF\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x82"],

        ["\xB7\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBC"],
        ["\x9C\x5A\xEF\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA9"],

        ["\xD3\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBD"],
        ["\x9C\x5A\xEF\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x85"],

        ["\xD3\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBE"],
        ["\x9C\x5A\xEF\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x94"],

        ["\xD3\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBF"],
        ["\x9C\x5A\xEF\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xA2"],

        ["\xD3\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC0"],
        ["\x9C\x5A\xEF\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x98"],

        ["\xD3\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC3"],
        ["\x9C\x5A\xEF\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xA5"],

        ["\xD3\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC4"],
        ["\x9C\x5A\xEF\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xAA"],

        ["\xD3\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC6"],
        ["\x9C\x5A\xEF\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xB1"],

        ["\xD3\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC7"],
        ["\x9C\x5A\xEF\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xB3"],

        ["\xD3\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC8"],
        ["\x9C\x5A\xEF\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xBD"],

        ["\xD3\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC9"],
        ["\x9C\x5A\xEF\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],

        ["\xD3\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCA"],
        ["\x9C\x5A\xEF\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC6"],

        ["\xD3\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCB"],
        ["\x9C\x5A\xEF\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xCD"],

        ["\xD3\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCC"],
        ["\x9C\x5A\xEF\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD0"],

        ["\xD3\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCE"],
        ["\x9C\x5A\xEF\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xDD"],

        ["\xD3\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCF"],
        ["\x9C\x5A\xEF\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE8"],

        ["\xD3\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD0"],
        ["\x9C\x5A\xEF\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xEF"],

        ["\xD3\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD1"],
        ["\x9C\x5A\xEF\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF0"],

        ["\xD3\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD2"],
        ["\x9C\x5A\xEF\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF1"],

        ["\xD3\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD3"],
        ["\x9C\x5A\xEF\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xFA"],

        ["\xB7\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD4"],
        ["\x9C\x5A\xEF\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],

        ["\xD4\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD5"],
        ["\x9C\x5A\xEF\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x45"],

        ["\xD4\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD6"],
        ["\x9C\x5A\xEF\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x51"],

        ["\xD4\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD7"],
        ["\x9C\x5A\xEF\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x52"],

        ["\xD4\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD8"],
        ["\x9C\x5A\xEF\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5C"],

        ["\xD4\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD9"],
        ["\x9C\x5A\xEF\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5E"],

        ["\xB7\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDA"],
        ["\x9C\x5A\xEF\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBE"],

        ["\xD4\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDB"],
        ["\x9C\x5A\xEF\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x64"],

        ["\xD4\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDD"],
        ["\x9C\x5A\xEF\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x6B"],

        ["\xD4\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDE"],
        ["\x9C\x5A\xEF\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x70"],

        ["\xD4\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDF"],
        ["\x9C\x5A\xEF\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x76"],

        ["\xB7\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE0"],
        ["\x9C\x5A\xEF\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC4"],

        ["\xD4\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE1"],
        ["\x9C\x5A\xEF\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x7B"],

        ["\xD4\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE2"],
        ["\x9C\x5A\xEF\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x80"],

        ["\xD4\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE3"],
        ["\x9C\x5A\xEF\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x89"],

        ["\xB7\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE4"],
        ["\x9C\x5A\xEF\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC6"],

        ["\xD4\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE5"],
        ["\x9C\x5A\xEF\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x8F"],

        ["\xD4\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE6"],
        ["\x9C\x5A\xEF\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x98"],

        ["\xD4\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE7"],
        ["\x9C\x5A\xEF\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x9E"],

        ["\xD4\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE8"],
        ["\x9C\x5A\xEF\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xA4"],

        ["\xD4\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE9"],
        ["\x9C\x5A\xEF\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xB0"],

        ["\xD4\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEA"],
        ["\x9C\x5A\xEF\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xB1"],

        ["\xD4\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEB"],
        ["\x9C\x5A\xEF\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xB3"],

        ["\xD4\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEC"],
        ["\x9C\x5A\xEF\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xB5"],

        ["\xD4\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xED"],
        ["\x9C\x5A\xEF\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xB8"],

        ["\xD4\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEE"],
        ["\x9C\x5A\xEF\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xB9"],

        ["\xB7\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEF"],
        ["\x9C\x5A\xEF\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],

        ["\xD4\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF1"],
        ["\x9C\x5A\xEF\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xCE"],

        ["\xD4\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF2"],
        ["\x9C\x5A\xEF\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE1"],

        ["\xD4\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF3"],
        ["\x9C\x5A\xEF\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xEF"],

        ["\xD5\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF4"],
        ["\x9C\x5A\xEF\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x42"],

        ["\xD5\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF5"],
        ["\x9C\x5A\xEF\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x45"],

        ["\xD5\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF6"],
        ["\x9C\x5A\xEF\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x47"],

        ["\xD5\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF7"],
        ["\x9C\x5A\xEF\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x4A"],

        ["\xB3\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF8"],
        ["\x9C\x5A\xEF\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD3"],

        ["\xB3\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF9"],
        ["\x9C\x5A\xEF\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE5"],

        ["\xB4\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xFA"],
        ["\x9C\x5A\xEF\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x51"],

        ["\xC5\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xFB"],
        ["\x9C\x5A\xEF\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xEF"],

        ["\xC9\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xFC"],
        ["\x9C\x5A\xEF\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x5B"],

        ["\xB3\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x40"],
        ["\x9C\x5A\xF0\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x46"],

        ["\xB8\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x41"],
        ["\x9C\x5A\xF0\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x41"],

        ["\xB3\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x42"],
        ["\x9C\x5A\xF0\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x41"],

        ["\xB8\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x43"],
        ["\x9C\x5A\xF0\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x45"],

        ["\xB3\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x44"],
        ["\x9C\x5A\xF0\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x44"],

        ["\xB8\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x45"],
        ["\x9C\x5A\xF0\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x49"],

        ["\xB8\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x46"],
        ["\x9C\x5A\xF0\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x4A"],

        ["\xB8\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x47"],
        ["\x9C\x5A\xF0\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x4E"],

        ["\xB8\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x48"],
        ["\x9C\x5A\xF0\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x51"],

        ["\xB3\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x49"],
        ["\x9C\x5A\xF0\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x47"],

        ["\xB3\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4A"],
        ["\x9C\x5A\xF0\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x48"],

        ["\xB8\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4B"],
        ["\x9C\x5A\xF0\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x52"],

        ["\xB3\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4C"],
        ["\x9C\x5A\xF0\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x4A"],

        ["\xB3\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4D"],
        ["\x9C\x5A\xF0\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x49"],

        ["\xB8\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4E"],
        ["\x9C\x5A\xF0\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x53"],

        ["\xB8\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4F"],
        ["\x9C\x5A\xF0\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x57"],

        ["\xB8\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x50"],
        ["\x9C\x5A\xF0\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x5F"],

        ["\xB3\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x51"],
        ["\x9C\x5A\xF0\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x4B"],

        ["\xB3\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x52"],
        ["\x9C\x5A\xF0\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x4C"],

        ["\xB8\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x53"],
        ["\x9C\x5A\xF0\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x61"],

        ["\xB3\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x54"],
        ["\x9C\x5A\xF0\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x4D"],

        ["\xB3\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x55"],
        ["\x9C\x5A\xF0\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x4E"],

        ["\xB3\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x56"],
        ["\x9C\x5A\xF0\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x4F"],

        ["\xB8\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x57"],
        ["\x9C\x5A\xF0\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x62"],

        ["\xB3\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x58"],
        ["\x9C\x5A\xF0\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x50"],

        ["\xB8\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x59"],
        ["\x9C\x5A\xF0\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x63"],

        ["\xB3\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5A"],
        ["\x9C\x5A\xF0\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x51"],

        ["\xB8\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5B"],
        ["\x9C\x5A\xF0\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x64"],

        ["\xB8\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5C"],
        ["\x9C\x5A\xF0\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x6A"],

        ["\xB8\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5D"],
        ["\x9C\x5A\xF0\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x6C"],

        ["\xB8\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5F"],
        ["\x9C\x5A\xF0\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x76"],

        ["\xB3\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x60"],
        ["\x9C\x5A\xF0\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x52"],

        ["\xB8\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x61"],
        ["\x9C\x5A\xF0\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x7D"],

        ["\xB8\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x62"],
        ["\x9C\x5A\xF0\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x7F"],

        ["\xB8\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x63"],
        ["\x9C\x5A\xF0\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x87"],

        ["\xB8\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x64"],
        ["\x9C\x5A\xF0\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x88"],

        ["\xB3\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x65"],
        ["\x9C\x5A\xF0\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x53"],

        ["\xB8\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x66"],
        ["\x9C\x5A\xF0\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x90"],

        ["\xB8\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x67"],
        ["\x9C\x5A\xF0\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x91"],

        ["\xB8\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x68"],
        ["\x9C\x5A\xF0\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x93"],

        ["\xB8\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x69"],
        ["\x9C\x5A\xF0\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x94"],

        ["\xB8\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x6A"],
        ["\x9C\x5A\xF0\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x97"],

        ["\xB8\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x6B"],
        ["\x9C\x5A\xF0\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x99"],

        ["\xB3\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x6E"],
        ["\x9C\x5A\xF0\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x55"],

        ["\xB8\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x6F"],
        ["\x9C\x5A\xF0\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA3"],

        ["\xB8\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x70"],
        ["\x9C\x5A\xF0\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA9"],

        ["\xB8\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x71"],
        ["\x9C\x5A\xF0\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],

        ["\xB8\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x72"],
        ["\x9C\x5A\xF0\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xAF"],

        ["\xB8\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x73"],
        ["\x9C\x5A\xF0\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB1"],

        ["\xB8\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x74"],
        ["\x9C\x5A\xF0\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB2"],

        ["\xB3\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x75"],
        ["\x9C\x5A\xF0\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x59"],

        ["\xB8\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x76"],
        ["\x9C\x5A\xF0\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB7"],

        ["\xB8\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x77"],
        ["\x9C\x5A\xF0\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xBA"],

        ["\xB8\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x78"],
        ["\x9C\x5A\xF0\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xC1"],

        ["\xB8\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x79"],
        ["\x9C\x5A\xF0\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xC2"],

        ["\xB8\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x7A"],
        ["\x9C\x5A\xF0\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xC6"],

        ["\xB3\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x7D"],
        ["\x9C\x5A\xF0\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x58"],

        ["\xB8\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x81"],
        ["\x9C\x5A\xF0\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xD3"],

        ["\xB8\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x82"],
        ["\x9C\x5A\xF0\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xD6"],

        ["\xB8\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x83"],
        ["\x9C\x5A\xF0\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xD7"],

        ["\xB8\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x84"],
        ["\x9C\x5A\xF0\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xDC"],

        ["\xB8\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x85"],
        ["\x9C\x5A\xF0\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xDD"],

        ["\xB8\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x86"],
        ["\x9C\x5A\xF0\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xDF"],

        ["\xB3\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x88"],
        ["\x9C\x5A\xF0\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x5C"],

        ["\xB3\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x89"],
        ["\x9C\x5A\xF0\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x5A"],

        ["\xB8\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8A"],
        ["\x9C\x5A\xF0\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xEA"],

        ["\xB8\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8B"],
        ["\x9C\x5A\xF0\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],

        ["\xB3\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8C"],
        ["\x9C\x5A\xF0\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x5B"],

        ["\xB8\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8D"],
        ["\x9C\x5A\xF0\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],

        ["\xB8\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8E"],
        ["\x9C\x5A\xF0\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xEE"],

        ["\xB8\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8F"],
        ["\x9C\x5A\xF0\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xF4"],

        ["\xB3\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x90"],
        ["\x9C\x5A\xF0\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x5D"],

        ["\xB3\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x91"],
        ["\x9C\x5A\xF0\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x5E"],

        ["\xB8\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x92"],
        ["\x9C\x5A\xF0\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xF8"],

        ["\xB3\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x93"],
        ["\x9C\x5A\xF0\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x5F"],

        ["\xB8\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x94"],
        ["\x9C\x5A\xF0\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xFC"],

        ["\xB8\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x95"],
        ["\x9C\x5A\xF0\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xFD"],

        ["\xB3\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x96"],
        ["\x9C\x5A\xF0\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x65"],

        ["\xB3\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x97"],
        ["\x9C\x5A\xF0\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x64"],

        ["\xB9\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x98"],
        ["\x9C\x5A\xF0\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x41"],

        ["\xB3\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x99"],
        ["\x9C\x5A\xF0\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x60"],

        ["\xB9\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9A"],
        ["\x9C\x5A\xF0\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x44"],

        ["\xB3\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9B"],
        ["\x9C\x5A\xF0\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x61"],

        ["\xB3\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9C"],
        ["\x9C\x5A\xF0\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x62"],

        ["\xB9\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9D"],
        ["\x9C\x5A\xF0\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x4C"],

        ["\xB3\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9E"],
        ["\x9C\x5A\xF0\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x66"],

        ["\xBC\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9F"],
        ["\x9C\x5A\xF0\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xEE"],

        ["\xBC\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA0"],
        ["\x9C\x5A\xF0\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xF1"],

        ["\xB3\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA1"],
        ["\x9C\x5A\xF0\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDB"],

        ["\xB3\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA3"],
        ["\x9C\x5A\xF0\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDD"],

        ["\xB3\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA4"],
        ["\x9C\x5A\xF0\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDC"],

        ["\xBC\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA5"],
        ["\x9C\x5A\xF0\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xFC"],

        ["\xB3\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA6"],
        ["\x9C\x5A\xF0\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDF"],

        ["\xB3\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA7"],
        ["\x9C\x5A\xF0\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDE"],

        ["\xBD\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA8"],
        ["\x9C\x5A\xF0\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x44"],

        ["\xBD\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA9"],
        ["\x9C\x5A\xF0\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x46"],

        ["\xB3\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAA"],
        ["\x9C\x5A\xF0\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE0"],

        ["\xB3\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAB"],
        ["\x9C\x5A\xF0\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE1"],

        ["\xBD\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAC"],
        ["\x9C\x5A\xF0\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x4C"],

        ["\xBD\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAD"],
        ["\x9C\x5A\xF0\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x50"],

        ["\xB3\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAE"],
        ["\x9C\x5A\xF0\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE4"],

        ["\xB3\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAF"],
        ["\x9C\x5A\xF0\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE6"],

        ["\xBD\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB0"],
        ["\x9C\x5A\xF0\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x58"],

        ["\xBD\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB1"],
        ["\x9C\x5A\xF0\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x59"],

        ["\xBD\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB2"],
        ["\x9C\x5A\xF0\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x5A"],

        ["\xBD\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB3"],
        ["\x9C\x5A\xF0\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x5B"],

        ["\xBD\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB4"],
        ["\x9C\x5A\xF0\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x5D"],

        ["\xB3\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB5"],
        ["\x9C\x5A\xF0\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xE9"],

        ["\xB3\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB6"],
        ["\x9C\x5A\xF0\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEA"],

        ["\xBD\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB7"],
        ["\x9C\x5A\xF0\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x62"],

        ["\xB3\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB8"],
        ["\x9C\x5A\xF0\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],

        ["\xB3\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB9"],
        ["\x9C\x5A\xF0\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],

        ["\xBD\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBA"],
        ["\x9C\x5A\xF0\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x65"],

        ["\xBD\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBB"],
        ["\x9C\x5A\xF0\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x66"],

        ["\xB3\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBC"],
        ["\x9C\x5A\xF0\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF1"],

        ["\xB3\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBD"],
        ["\x9C\x5A\xF0\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF2"],

        ["\xB3\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBE"],
        ["\x9C\x5A\xF0\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF0"],

        ["\xBD\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBF"],
        ["\x9C\x5A\xF0\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x6B"],

        ["\xBD\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC0"],
        ["\x9C\x5A\xF0\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x6C"],

        ["\xB3\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC2"],
        ["\x9C\x5A\xF0\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xED"],

        ["\xB3\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC3"],
        ["\x9C\x5A\xF0\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEF"],

        ["\xB3\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC4"],
        ["\x9C\x5A\xF0\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEE"],

        ["\xBD\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC5"],
        ["\x9C\x5A\xF0\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x71"],

        ["\xB3\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC6"],
        ["\x9C\x5A\xF0\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF4"],

        ["\xBD\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC7"],
        ["\x9C\x5A\xF0\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x72"],

        ["\xB3\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC8"],
        ["\x9C\x5A\xF0\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF5"],

        ["\xB3\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC9"],
        ["\x9C\x5A\xF0\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF9"],

        ["\xBD\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCA"],
        ["\x9C\x5A\xF0\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x7C"],

        ["\xB3\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCB"],
        ["\x9C\x5A\xF0\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF6"],

        ["\xBD\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCC"],
        ["\x9C\x5A\xF0\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x82"],

        ["\xB3\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCD"],
        ["\x9C\x5A\xF0\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF7"],

        ["\xB3\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCE"],
        ["\x9C\x5A\xF0\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xF8"],

        ["\xBD\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCF"],
        ["\x9C\x5A\xF0\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x80"],

        ["\xBD\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD0"],
        ["\x9C\x5A\xF0\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x81"],

        ["\xBD\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD1"],
        ["\x9C\x5A\xF0\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x83"],

        ["\xBD\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD2"],
        ["\x9C\x5A\xF0\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x85"],

        ["\xB3\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD4"],
        ["\x9C\x5A\xF0\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFD"],

        ["\xBD\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD5"],
        ["\x9C\x5A\xF0\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x91"],

        ["\xBD\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD6"],
        ["\x9C\x5A\xF0\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x94"],

        ["\xB3\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD7"],
        ["\x9C\x5A\xF0\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFE"],

        ["\xBD\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD8"],
        ["\x9C\x5A\xF0\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x95"],

        ["\xB4\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD9"],
        ["\x9C\x5A\xF0\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x44"],

        ["\xB4\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDA"],
        ["\x9C\x5A\xF0\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x41"],

        ["\xBD\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDB"],
        ["\x9C\x5A\xF0\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x9C"],

        ["\xB4\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDC"],
        ["\x9C\x5A\xF0\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x42"],

        ["\xBD\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDD"],
        ["\x9C\x5A\xF0\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\x9E"],

        ["\xBD\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDE"],
        ["\x9C\x5A\xF0\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xA0"],

        ["\xB4\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDF"],
        ["\x9C\x5A\xF0\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x43"],

        ["\xBD\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE0"],
        ["\x9C\x5A\xF0\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xA2"],

        ["\xBD\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE1"],
        ["\x9C\x5A\xF0\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xA8"],

        ["\xBD\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE2"],
        ["\x9C\x5A\xF0\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xA9"],

        ["\xBD\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE3"],
        ["\x9C\x5A\xF0\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xAA"],

        ["\xB4\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE4"],
        ["\x9C\x5A\xF0\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x46"],

        ["\xB4\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE6"],
        ["\x9C\x5A\xF0\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x47"],

        ["\xB4\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE7"],
        ["\x9C\x5A\xF0\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x48"],

        ["\xBD\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE8"],
        ["\x9C\x5A\xF0\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xAF"],

        ["\xBD\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE9"],
        ["\x9C\x5A\xF0\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xB1"],

        ["\xB4\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEA"],
        ["\x9C\x5A\xF0\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x49"],

        ["\xBD\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEB"],
        ["\x9C\x5A\xF0\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xB2"],

        ["\xBD\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEC"],
        ["\x9C\x5A\xF0\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xB3"],

        ["\xB4\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xED"],
        ["\x9C\x5A\xF0\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x4B"],

        ["\xBD\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEE"],
        ["\x9C\x5A\xF0\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xB6"],

        ["\xB4\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEF"],
        ["\x9C\x5A\xF0\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x4C"],

        ["\xBD\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF0"],
        ["\x9C\x5A\xF0\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xB9"],

        ["\xBD\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF1"],
        ["\x9C\x5A\xF0\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xBB"],

        ["\xB4\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF2"],
        ["\x9C\x5A\xF0\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x4D"],

        ["\xBD\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF3"],
        ["\x9C\x5A\xF0\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xBD"],

        ["\xBD\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF4"],
        ["\x9C\x5A\xF0\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xC0"],

        ["\xBD\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF5"],
        ["\x9C\x5A\xF0\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xC3"],

        ["\xBD\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF6"],
        ["\x9C\x5A\xF0\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xC4"],

        ["\xB4\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF7"],
        ["\x9C\x5A\xF0\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x4E"],

        ["\xBD\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF8"],
        ["\x9C\x5A\xF0\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xC8"],

        ["\xB4\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF9"],
        ["\x9C\x5A\xF0\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x4F"],

        ["\xBD\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xFA"],
        ["\x9C\x5A\xF0\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xCF"],

        ["\xBD\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xFB"],
        ["\x9C\x5A\xF0\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xD0"],

        ["\xBD\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xFC"],
        ["\x9C\x5A\xF0\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xD1"],

        ["\xB9\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x40"],
        ["\x9C\x5A\xF1\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x56"],

        ["\xB3\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x41"],
        ["\x9C\x5A\xF1\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x67"],

        ["\xB9\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x42"],
        ["\x9C\x5A\xF1\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x5C"],

        ["\xB9\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x43"],
        ["\x9C\x5A\xF1\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x5E"],

        ["\xB3\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x44"],
        ["\x9C\x5A\xF1\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x68"],

        ["\xB3\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x45"],
        ["\x9C\x5A\xF1\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x6A"],

        ["\xB3\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x46"],
        ["\x9C\x5A\xF1\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x6B"],

        ["\xB3\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x47"],
        ["\x9C\x5A\xF1\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCC"],

        ["\xB9\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x48"],
        ["\x9C\x5A\xF1\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x77"],

        ["\xB9\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x49"],
        ["\x9C\x5A\xF1\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x79"],

        ["\xB3\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4A"],
        ["\x9C\x5A\xF1\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x6D"],

        ["\xB9\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4B"],
        ["\x9C\x5A\xF1\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x7B"],

        ["\xB9\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4C"],
        ["\x9C\x5A\xF1\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x7D"],

        ["\xB9\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4D"],
        ["\x9C\x5A\xF1\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x7E"],

        ["\xB3\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4E"],
        ["\x9C\x5A\xF1\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x6F"],

        ["\xB9\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4F"],
        ["\x9C\x5A\xF1\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x81"],

        ["\xB3\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x50"],
        ["\x9C\x5A\xF1\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x70"],

        ["\xB3\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x51"],
        ["\x9C\x5A\xF1\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x73"],

        ["\xB9\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x52"],
        ["\x9C\x5A\xF1\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x90"],

        ["\xB9\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x53"],
        ["\x9C\x5A\xF1\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x91"],

        ["\xB9\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x54"],
        ["\x9C\x5A\xF1\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x94"],

        ["\xB9\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x55"],
        ["\x9C\x5A\xF1\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x96"],

        ["\xB9\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x56"],
        ["\x9C\x5A\xF1\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x98"],

        ["\xB3\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x57"],
        ["\x9C\x5A\xF1\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x76"],

        ["\xB9\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x58"],
        ["\x9C\x5A\xF1\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA2"],

        ["\xB9\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x59"],
        ["\x9C\x5A\xF1\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA6"],

        ["\xB3\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5A"],
        ["\x9C\x5A\xF1\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x77"],

        ["\xB9\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5B"],
        ["\x9C\x5A\xF1\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xAC"],

        ["\xB3\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5C"],
        ["\x9C\x5A\xF1\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x78"],

        ["\xB9\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5D"],
        ["\x9C\x5A\xF1\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB0"],

        ["\xB3\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5E"],
        ["\x9C\x5A\xF1\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x79"],

        ["\xB9\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5F"],
        ["\x9C\x5A\xF1\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB8"],

        ["\xB3\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x60"],
        ["\x9C\x5A\xF1\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x7A"],

        ["\xB9\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x61"],
        ["\x9C\x5A\xF1\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],

        ["\xB9\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x64"],
        ["\x9C\x5A\xF1\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xC1"],

        ["\xB9\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x65"],
        ["\x9C\x5A\xF1\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xC2"],

        ["\xB3\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x66"],
        ["\x9C\x5A\xF1\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x7C"],

        ["\xB3\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x67"],
        ["\x9C\x5A\xF1\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x7D"],

        ["\xB9\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x68"],
        ["\x9C\x5A\xF1\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xC9"],

        ["\xB3\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x69"],
        ["\x9C\x5A\xF1\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x80"],

        ["\xB9\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6A"],
        ["\x9C\x5A\xF1\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xD7"],

        ["\xB9\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6B"],
        ["\x9C\x5A\xF1\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xD9"],

        ["\xB9\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6C"],
        ["\x9C\x5A\xF1\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],

        ["\xB9\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6E"],
        ["\x9C\x5A\xF1\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xEC"],

        ["\xB9\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6F"],
        ["\x9C\x5A\xF1\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xEF"],

        ["\xB9\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x70"],
        ["\x9C\x5A\xF1\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xF0"],

        ["\xB3\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x71"],
        ["\x9C\x5A\xF1\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x82"],

        ["\xB3\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x72"],
        ["\x9C\x5A\xF1\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x84"],

        ["\xB3\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x73"],
        ["\x9C\x5A\xF1\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x85"],

        ["\xB9\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x74"],
        ["\x9C\x5A\xF1\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xF8"],

        ["\xB3\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x75"],
        ["\x9C\x5A\xF1\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x86"],

        ["\xBA\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x76"],
        ["\x9C\x5A\xF1\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x46"],

        ["\xBA\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x77"],
        ["\x9C\x5A\xF1\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x4A"],

        ["\xB3\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x78"],
        ["\x9C\x5A\xF1\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x88"],

        ["\xBA\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x79"],
        ["\x9C\x5A\xF1\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x4C"],

        ["\xBA\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7A"],
        ["\x9C\x5A\xF1\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x50"],

        ["\xB3\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7B"],
        ["\x9C\x5A\xF1\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x89"],

        ["\xB3\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7C"],
        ["\x9C\x5A\xF1\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8A"],

        ["\xB3\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7D"],
        ["\x9C\x5A\xF1\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8B"],

        ["\xBA\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7E"],
        ["\x9C\x5A\xF1\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x55"],

        ["\xBA\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x80"],
        ["\x9C\x5A\xF1\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x56"],

        ["\xB3\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x81"],
        ["\x9C\x5A\xF1\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8C"],

        ["\xB3\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x82"],
        ["\x9C\x5A\xF1\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8E"],

        ["\xBA\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x83"],
        ["\x9C\x5A\xF1\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x5B"],

        ["\xB3\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x84"],
        ["\x9C\x5A\xF1\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x93"],

        ["\xB3\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x85"],
        ["\x9C\x5A\xF1\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x91"],

        ["\xBA\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x86"],
        ["\x9C\x5A\xF1\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x61"],

        ["\xB3\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x87"],
        ["\x9C\x5A\xF1\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x92"],

        ["\xBA\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x88"],
        ["\x9C\x5A\xF1\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x67"],

        ["\xBA\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x89"],
        ["\x9C\x5A\xF1\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x6D"],

        ["\xBA\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8A"],
        ["\x9C\x5A\xF1\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x6F"],

        ["\xB3\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8B"],
        ["\x9C\x5A\xF1\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x94"],

        ["\xBA\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8D"],
        ["\x9C\x5A\xF1\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x7C"],

        ["\xBA\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8E"],
        ["\x9C\x5A\xF1\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x7E"],

        ["\xB3\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8F"],
        ["\x9C\x5A\xF1\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x95"],

        ["\xBA\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x90"],
        ["\x9C\x5A\xF1\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x82"],

        ["\xBA\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x91"],
        ["\x9C\x5A\xF1\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x85"],

        ["\xBA\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x92"],
        ["\x9C\x5A\xF1\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x86"],

        ["\xBA\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x93"],
        ["\x9C\x5A\xF1\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x88"],

        ["\xBA\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x94"],
        ["\x9C\x5A\xF1\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x8A"],

        ["\xBA\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x95"],
        ["\x9C\x5A\xF1\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x8C"],

        ["\xB3\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x96"],
        ["\x9C\x5A\xF1\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x96"],

        ["\xB3\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x97"],
        ["\x9C\x5A\xF1\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9B"],

        ["\xBA\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x98"],
        ["\x9C\x5A\xF1\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x93"],

        ["\xBA\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x99"],
        ["\x9C\x5A\xF1\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x94"],

        ["\xB3\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9A"],
        ["\x9C\x5A\xF1\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x97"],

        ["\xB3\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9B"],
        ["\x9C\x5A\xF1\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x98"],

        ["\xBA\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9C"],
        ["\x9C\x5A\xF1\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x98"],

        ["\xBA\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9D"],
        ["\x9C\x5A\xF1\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x99"],

        ["\xBA\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9E"],
        ["\x9C\x5A\xF1\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\x9C"],

        ["\xBA\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9F"],
        ["\x9C\x5A\xF1\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xA7"],

        ["\xBA\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA0"],
        ["\x9C\x5A\xF1\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xA9"],

        ["\xB3\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA1"],
        ["\x9C\x5A\xF1\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x99"],

        ["\xBA\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA2"],
        ["\x9C\x5A\xF1\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xAA"],

        ["\xBA\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA3"],
        ["\x9C\x5A\xF1\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xAC"],

        ["\xB3\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA4"],
        ["\x9C\x5A\xF1\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9A"],

        ["\xBA\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA5"],
        ["\x9C\x5A\xF1\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xB4"],

        ["\xBA\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA6"],
        ["\x9C\x5A\xF1\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xB5"],

        ["\xBA\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA7"],
        ["\x9C\x5A\xF1\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xB6"],

        ["\xB3\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA8"],
        ["\x9C\x5A\xF1\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9F"],

        ["\xB3\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA9"],
        ["\x9C\x5A\xF1\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9C"],

        ["\xBA\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAA"],
        ["\x9C\x5A\xF1\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xBA"],

        ["\xBA\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAB"],
        ["\x9C\x5A\xF1\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xBB"],

        ["\xBA\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAC"],
        ["\x9C\x5A\xF1\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xBE"],

        ["\xB3\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAD"],
        ["\x9C\x5A\xF1\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9D"],

        ["\xBA\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAE"],
        ["\x9C\x5A\xF1\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xD0"],

        ["\xB3\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAF"],
        ["\x9C\x5A\xF1\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],

        ["\xB3\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB0"],
        ["\x9C\x5A\xF1\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],

        ["\xBA\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB1"],
        ["\x9C\x5A\xF1\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xC7"],

        ["\xBA\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB2"],
        ["\x9C\x5A\xF1\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xCB"],

        ["\xBA\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB3"],
        ["\x9C\x5A\xF1\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xCD"],

        ["\xBA\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB4"],
        ["\x9C\x5A\xF1\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xCF"],

        ["\xB3\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB5"],
        ["\x9C\x5A\xF1\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA0"],

        ["\xB3\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB6"],
        ["\x9C\x5A\xF1\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA1"],

        ["\xBA\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB7"],
        ["\x9C\x5A\xF1\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xD6"],

        ["\xB3\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB8"],
        ["\x9C\x5A\xF1\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],

        ["\xBA\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB9"],
        ["\x9C\x5A\xF1\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xD7"],

        ["\xB3\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBA"],
        ["\x9C\x5A\xF1\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],

        ["\xB3\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBB"],
        ["\x9C\x5A\xF1\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA8"],

        ["\xB3\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBC"],
        ["\x9C\x5A\xF1\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],

        ["\xBA\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBD"],
        ["\x9C\x5A\xF1\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xE0"],

        ["\xBA\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBE"],
        ["\x9C\x5A\xF1\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xE5"],

        ["\xBA\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBF"],
        ["\x9C\x5A\xF1\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xE8"],

        ["\xB3\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC0"],
        ["\x9C\x5A\xF1\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA9"],

        ["\xBA\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC1"],
        ["\x9C\x5A\xF1\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xEC"],

        ["\xBA\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC2"],
        ["\x9C\x5A\xF1\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xED"],

        ["\xBA\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC3"],
        ["\x9C\x5A\xF1\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xEE"],

        ["\xB3\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC4"],
        ["\x9C\x5A\xF1\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAA"],

        ["\xBA\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC5"],
        ["\x9C\x5A\xF1\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xF8"],

        ["\xBA\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC6"],
        ["\x9C\x5A\xF1\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBA\xF9"],

        ["\xBB\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC7"],
        ["\x9C\x5A\xF1\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x41"],

        ["\xB3\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC8"],
        ["\x9C\x5A\xF1\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAE"],

        ["\xBB\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC9"],
        ["\x9C\x5A\xF1\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x48"],

        ["\xBB\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCA"],
        ["\x9C\x5A\xF1\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x4A"],

        ["\xBB\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCB"],
        ["\x9C\x5A\xF1\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x4B"],

        ["\xBB\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCC"],
        ["\x9C\x5A\xF1\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x4D"],

        ["\xBB\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCD"],
        ["\x9C\x5A\xF1\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x4E"],

        ["\xBB\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCE"],
        ["\x9C\x5A\xF1\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x53"],

        ["\xBB\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCF"],
        ["\x9C\x5A\xF1\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x57"],

        ["\xB3\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD0"],
        ["\x9C\x5A\xF1\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],

        ["\xBB\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD1"],
        ["\x9C\x5A\xF1\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x5C"],

        ["\xBB\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD2"],
        ["\x9C\x5A\xF1\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x61"],

        ["\xBB\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD3"],
        ["\x9C\x5A\xF1\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x67"],

        ["\xBB\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD4"],
        ["\x9C\x5A\xF1\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x6D"],

        ["\xBB\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD5"],
        ["\x9C\x5A\xF1\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x71"],

        ["\xBB\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD6"],
        ["\x9C\x5A\xF1\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x72"],

        ["\xB3\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD7"],
        ["\x9C\x5A\xF1\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB0"],

        ["\xBB\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD8"],
        ["\x9C\x5A\xF1\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x79"],

        ["\xBB\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD9"],
        ["\x9C\x5A\xF1\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x7F"],

        ["\xB3\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDA"],
        ["\x9C\x5A\xF1\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],

        ["\xBB\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDB"],
        ["\x9C\x5A\xF1\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x82"],

        ["\xB3\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDC"],
        ["\x9C\x5A\xF1\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],

        ["\xBB\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDD"],
        ["\x9C\x5A\xF1\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x8C"],

        ["\xBB\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDE"],
        ["\x9C\x5A\xF1\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x8D"],

        ["\xBB\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDF"],
        ["\x9C\x5A\xF1\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x8E"],

        ["\xBB\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE0"],
        ["\x9C\x5A\xF1\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x8F"],

        ["\xB3\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE1"],
        ["\x9C\x5A\xF1\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB4"],

        ["\xBB\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE2"],
        ["\x9C\x5A\xF1\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x93"],

        ["\xBB\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE3"],
        ["\x9C\x5A\xF1\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x97"],

        ["\xBB\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE4"],
        ["\x9C\x5A\xF1\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x9A"],

        ["\xBB\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE5"],
        ["\x9C\x5A\xF1\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x9B"],

        ["\xBB\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE6"],
        ["\x9C\x5A\xF1\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\x9C"],

        ["\xBB\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE7"],
        ["\x9C\x5A\xF1\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xA0"],

        ["\xB3\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE8"],
        ["\x9C\x5A\xF1\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB7"],

        ["\xB3\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE9"],
        ["\x9C\x5A\xF1\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB6"],

        ["\xBB\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xEB"],
        ["\x9C\x5A\xF1\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xAA"],

        ["\xBB\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xEC"],
        ["\x9C\x5A\xF1\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xAC"],

        ["\xBB\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xED"],
        ["\x9C\x5A\xF1\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xAD"],

        ["\xBB\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xEE"],
        ["\x9C\x5A\xF1\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xB1"],

        ["\xB3\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xEF"],
        ["\x9C\x5A\xF1\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB9"],

        ["\xB3\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF0"],
        ["\x9C\x5A\xF1\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB8"],

        ["\xBB\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF1"],
        ["\x9C\x5A\xF1\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xB5"],

        ["\xB3\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF2"],
        ["\x9C\x5A\xF1\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBD"],

        ["\xB3\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF3"],
        ["\x9C\x5A\xF1\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBE"],

        ["\xBB\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF4"],
        ["\x9C\x5A\xF1\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xB9"],

        ["\xBB\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF5"],
        ["\x9C\x5A\xF1\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xBC"],

        ["\xBB\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF6"],
        ["\x9C\x5A\xF1\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xC0"],

        ["\xB3\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF7"],
        ["\x9C\x5A\xF1\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBB"],

        ["\xBB\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF8"],
        ["\x9C\x5A\xF1\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xC3"],

        ["\xB3\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF9"],
        ["\x9C\x5A\xF1\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],

        ["\xBB\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xFA"],
        ["\x9C\x5A\xF1\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xC4"],

        ["\xBB\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xFB"],
        ["\x9C\x5A\xF1\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xC8"],

        ["\xBB\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xFC"],
        ["\x9C\x5A\xF1\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xCE"],

        ["\xBB\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x40"],
        ["\x9C\x5A\xF2\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xD0"],

        ["\xBB\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x41"],
        ["\x9C\x5A\xF2\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xD2"],

        ["\xBB\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x42"],
        ["\x9C\x5A\xF2\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xD4"],

        ["\xBB\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x43"],
        ["\x9C\x5A\xF2\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xD5"],

        ["\xB3\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x44"],
        ["\x9C\x5A\xF2\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC0"],

        ["\xBB\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x45"],
        ["\x9C\x5A\xF2\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xD7"],

        ["\xBB\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x46"],
        ["\x9C\x5A\xF2\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xD8"],

        ["\xBB\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x47"],
        ["\x9C\x5A\xF2\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xE0"],

        ["\xBB\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x48"],
        ["\x9C\x5A\xF2\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xEA"],

        ["\xB3\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x49"],
        ["\x9C\x5A\xF2\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC1"],

        ["\xBB\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4A"],
        ["\x9C\x5A\xF2\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xEC"],

        ["\xBB\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4B"],
        ["\x9C\x5A\xF2\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xED"],

        ["\xBB\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4C"],
        ["\x9C\x5A\xF2\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xEE"],

        ["\xBB\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4D"],
        ["\x9C\x5A\xF2\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xEF"],

        ["\xBB\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4E"],
        ["\x9C\x5A\xF2\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xF1"],

        ["\xB3\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4F"],
        ["\x9C\x5A\xF2\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC3"],

        ["\xBB\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x50"],
        ["\x9C\x5A\xF2\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xF7"],

        ["\xB3\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x51"],
        ["\x9C\x5A\xF2\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC5"],

        ["\xB3\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x52"],
        ["\x9C\x5A\xF2\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC4"],

        ["\xBB\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x53"],
        ["\x9C\x5A\xF2\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBB\xFC"],

        ["\xBC\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x54"],
        ["\x9C\x5A\xF2\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x47"],

        ["\xBC\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x55"],
        ["\x9C\x5A\xF2\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x49"],

        ["\xB3\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x56"],
        ["\x9C\x5A\xF2\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC8"],

        ["\xBC\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x57"],
        ["\x9C\x5A\xF2\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x4A"],

        ["\xBC\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x58"],
        ["\x9C\x5A\xF2\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x4B"],

        ["\xB3\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5A"],
        ["\x9C\x5A\xF2\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xC9"],

        ["\xBC\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5B"],
        ["\x9C\x5A\xF2\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x4F"],

        ["\xBC\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5C"],
        ["\x9C\x5A\xF2\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x53"],

        ["\xB3\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5D"],
        ["\x9C\x5A\xF2\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCA"],

        ["\xB3\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5E"],
        ["\x9C\x5A\xF2\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCB"],

        ["\xB3\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5F"],
        ["\x9C\x5A\xF2\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],

        ["\xB3\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x60"],
        ["\x9C\x5A\xF2\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],

        ["\xBC\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x61"],
        ["\x9C\x5A\xF2\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x5C"],

        ["\xB3\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x62"],
        ["\x9C\x5A\xF2\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCE"],

        ["\xB6\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x63"],
        ["\x9C\x5A\xF2\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9E"],

        ["\xBC\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x65"],
        ["\x9C\x5A\xF2\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x60"],

        ["\xB3\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x66"],
        ["\x9C\x5A\xF2\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD0"],

        ["\xBC\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x67"],
        ["\x9C\x5A\xF2\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x66"],

        ["\xBC\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x68"],
        ["\x9C\x5A\xF2\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x67"],

        ["\xBC\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x69"],
        ["\x9C\x5A\xF2\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x6A"],

        ["\xBC\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6A"],
        ["\x9C\x5A\xF2\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x71"],

        ["\xBC\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6B"],
        ["\x9C\x5A\xF2\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x74"],

        ["\xBC\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6C"],
        ["\x9C\x5A\xF2\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x79"],

        ["\xBC\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6D"],
        ["\x9C\x5A\xF2\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x7D"],

        ["\xBC\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6E"],
        ["\x9C\x5A\xF2\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x7F"],

        ["\xBC\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6F"],
        ["\x9C\x5A\xF2\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x82"],

        ["\xBC\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x70"],
        ["\x9C\x5A\xF2\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x84"],

        ["\xBC\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x71"],
        ["\x9C\x5A\xF2\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x85"],

        ["\xBC\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x72"],
        ["\x9C\x5A\xF2\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x86"],

        ["\xBC\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x73"],
        ["\x9C\x5A\xF2\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x87"],

        ["\xB3\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x74"],
        ["\x9C\x5A\xF2\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD2"],

        ["\xB3\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x75"],
        ["\x9C\x5A\xF2\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD6"],

        ["\xB3\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x76"],
        ["\x9C\x5A\xF2\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD4"],

        ["\xBC\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x77"],
        ["\x9C\x5A\xF2\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x8F"],

        ["\xBC\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x78"],
        ["\x9C\x5A\xF2\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x90"],

        ["\xB3\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x79"],
        ["\x9C\x5A\xF2\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD5"],

        ["\xBC\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7A"],
        ["\x9C\x5A\xF2\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x97"],

        ["\xBC\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7B"],
        ["\x9C\x5A\xF2\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\x9A"],

        ["\xBC\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7C"],
        ["\x9C\x5A\xF2\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xA2"],

        ["\xBC\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7D"],
        ["\x9C\x5A\xF2\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xA5"],

        ["\xBC\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7E"],
        ["\x9C\x5A\xF2\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xA9"],

        ["\xBC\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x80"],
        ["\x9C\x5A\xF2\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xAC"],

        ["\xBC\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x81"],
        ["\x9C\x5A\xF2\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xB1"],

        ["\xBC\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x82"],
        ["\x9C\x5A\xF2\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xB3"],

        ["\xBC\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x83"],
        ["\x9C\x5A\xF2\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xB4"],

        ["\xBC\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x84"],
        ["\x9C\x5A\xF2\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xB5"],

        ["\xBC\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x85"],
        ["\x9C\x5A\xF2\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xB8"],

        ["\xBC\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x86"],
        ["\x9C\x5A\xF2\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xBA"],

        ["\xBC\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x87"],
        ["\x9C\x5A\xF2\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xBB"],

        ["\xBC\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x88"],
        ["\x9C\x5A\xF2\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xBD"],

        ["\xBC\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x89"],
        ["\x9C\x5A\xF2\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xBF"],

        ["\xBC\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8A"],
        ["\x9C\x5A\xF2\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xC4"],

        ["\xBC\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8B"],
        ["\x9C\x5A\xF2\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xC5"],

        ["\xBC\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8C"],
        ["\x9C\x5A\xF2\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xC6"],

        ["\xBC\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8D"],
        ["\x9C\x5A\xF2\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xC7"],

        ["\xB3\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8E"],
        ["\x9C\x5A\xF2\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xD8"],

        ["\xBC\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8F"],
        ["\x9C\x5A\xF2\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xC9"],

        ["\xBC\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x90"],
        ["\x9C\x5A\xF2\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xCA"],

        ["\xBC\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x91"],
        ["\x9C\x5A\xF2\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xCD"],

        ["\xBC\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x92"],
        ["\x9C\x5A\xF2\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xCF"],

        ["\xBC\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x93"],
        ["\x9C\x5A\xF2\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xD0"],

        ["\xBC\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x94"],
        ["\x9C\x5A\xF2\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xD7"],

        ["\xBC\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x95"],
        ["\x9C\x5A\xF2\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xD6"],

        ["\xBC\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x96"],
        ["\x9C\x5A\xF2\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xDB"],

        ["\xBC\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x97"],
        ["\x9C\x5A\xF2\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xDC"],

        ["\xBC\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x98"],
        ["\x9C\x5A\xF2\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xDE"],

        ["\xBC\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x99"],
        ["\x9C\x5A\xF2\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xE0"],

        ["\xBC\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9A"],
        ["\x9C\x5A\xF2\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xE1"],

        ["\xBC\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9B"],
        ["\x9C\x5A\xF2\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xE4"],

        ["\xBC\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9C"],
        ["\x9C\x5A\xF2\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xE5"],

        ["\xBC\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9D"],
        ["\x9C\x5A\xF2\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBC\xE6"],

        ["\xB3\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9E"],
        ["\x9C\x5A\xF2\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],

        ["\xBD\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9F"],
        ["\x9C\x5A\xF2\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xD2"],

        ["\xB4\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA0"],
        ["\x9C\x5A\xF2\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x50"],

        ["\xBD\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA1"],
        ["\x9C\x5A\xF2\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xD9"],

        ["\xBD\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA2"],
        ["\x9C\x5A\xF2\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xDB"],

        ["\xBD\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA3"],
        ["\x9C\x5A\xF2\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xDC"],

        ["\xB4\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA4"],
        ["\x9C\x5A\xF2\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x53"],

        ["\xBD\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA5"],
        ["\x9C\x5A\xF2\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xE1"],

        ["\xBD\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA6"],
        ["\x9C\x5A\xF2\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xE2"],

        ["\xBD\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA7"],
        ["\x9C\x5A\xF2\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xE7"],

        ["\xB4\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA8"],
        ["\x9C\x5A\xF2\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x55"],

        ["\xB4\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA9"],
        ["\x9C\x5A\xF2\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x56"],

        ["\xB4\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAA"],
        ["\x9C\x5A\xF2\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x58"],

        ["\xBD\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAB"],
        ["\x9C\x5A\xF2\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xF1"],

        ["\xBD\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAC"],
        ["\x9C\x5A\xF2\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xF2"],

        ["\xBD\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAD"],
        ["\x9C\x5A\xF2\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBD\xF4"],

        ["\xB4\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAE"],
        ["\x9C\x5A\xF2\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x5A"],

        ["\xB4\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAF"],
        ["\x9C\x5A\xF2\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x5B"],

        ["\xBE\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB0"],
        ["\x9C\x5A\xF2\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x46"],

        ["\xBE\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB1"],
        ["\x9C\x5A\xF2\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x4D"],

        ["\xBE\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB2"],
        ["\x9C\x5A\xF2\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x50"],

        ["\xBE\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB3"],
        ["\x9C\x5A\xF2\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x56"],

        ["\xBE\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB4"],
        ["\x9C\x5A\xF2\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x59"],

        ["\xBE\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB5"],
        ["\x9C\x5A\xF2\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x5D"],

        ["\xBE\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB6"],
        ["\x9C\x5A\xF2\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x5E"],

        ["\xBE\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB7"],
        ["\x9C\x5A\xF2\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x65"],

        ["\xBE\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB8"],
        ["\x9C\x5A\xF2\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x66"],

        ["\xB4\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB9"],
        ["\x9C\x5A\xF2\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x5D"],

        ["\xBE\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBA"],
        ["\x9C\x5A\xF2\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x67"],

        ["\xBE\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBB"],
        ["\x9C\x5A\xF2\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x6A"],

        ["\xBE\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBC"],
        ["\x9C\x5A\xF2\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x6D"],

        ["\xBE\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBD"],
        ["\x9C\x5A\xF2\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x6E"],

        ["\xBE\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBE"],
        ["\x9C\x5A\xF2\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x6F"],

        ["\xBE\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBF"],
        ["\x9C\x5A\xF2\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x71"],

        ["\xBE\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC0"],
        ["\x9C\x5A\xF2\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x77"],

        ["\xBE\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC1"],
        ["\x9C\x5A\xF2\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x78"],

        ["\xBE\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC2"],
        ["\x9C\x5A\xF2\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x7A"],

        ["\xBE\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC3"],
        ["\x9C\x5A\xF2\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x7D"],

        ["\xB4\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC4"],
        ["\x9C\x5A\xF2\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x5F"],

        ["\xBE\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC5"],
        ["\x9C\x5A\xF2\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x83"],

        ["\xB4\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC6"],
        ["\x9C\x5A\xF2\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x5E"],

        ["\xBE\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC7"],
        ["\x9C\x5A\xF2\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x87"],

        ["\xB4\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC8"],
        ["\x9C\x5A\xF2\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x60"],

        ["\xBE\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC9"],
        ["\x9C\x5A\xF2\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x8F"],

        ["\xBE\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCA"],
        ["\x9C\x5A\xF2\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x98"],

        ["\xBE\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCC"],
        ["\x9C\x5A\xF2\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\x9F"],

        ["\xBE\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCD"],
        ["\x9C\x5A\xF2\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xA6"],

        ["\xB4\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCE"],
        ["\x9C\x5A\xF2\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x62"],

        ["\xBE\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCF"],
        ["\x9C\x5A\xF2\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xA7"],

        ["\xBE\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD0"],
        ["\x9C\x5A\xF2\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xA8"],

        ["\xBE\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD1"],
        ["\x9C\x5A\xF2\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xAB"],

        ["\xBE\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD2"],
        ["\x9C\x5A\xF2\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xAE"],

        ["\xBE\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD3"],
        ["\x9C\x5A\xF2\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xB5"],

        ["\xBE\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD4"],
        ["\x9C\x5A\xF2\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xB6"],

        ["\xB4\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD5"],
        ["\x9C\x5A\xF2\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x63"],

        ["\xBE\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD7"],
        ["\x9C\x5A\xF2\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xBA"],

        ["\xBE\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD8"],
        ["\x9C\x5A\xF2\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xC2"],

        ["\xBE\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD9"],
        ["\x9C\x5A\xF2\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xC3"],

        ["\xBE\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDA"],
        ["\x9C\x5A\xF2\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xC4"],

        ["\xBE\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDB"],
        ["\x9C\x5A\xF2\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xC8"],

        ["\xBE\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDC"],
        ["\x9C\x5A\xF2\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xCA"],

        ["\xB4\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDD"],
        ["\x9C\x5A\xF2\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x65"],

        ["\xB4\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDE"],
        ["\x9C\x5A\xF2\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x64"],

        ["\xBE\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDF"],
        ["\x9C\x5A\xF2\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xD2"],

        ["\xBE\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE0"],
        ["\x9C\x5A\xF2\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xD4"],

        ["\xBE\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE1"],
        ["\x9C\x5A\xF2\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xD7"],

        ["\xBE\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE2"],
        ["\x9C\x5A\xF2\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xDC"],

        ["\xB4\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE3"],
        ["\x9C\x5A\xF2\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x68"],

        ["\xBE\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE4"],
        ["\x9C\x5A\xF2\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xE4"],

        ["\xBE\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE5"],
        ["\x9C\x5A\xF2\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xE5"],

        ["\xBE\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE6"],
        ["\x9C\x5A\xF2\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xE6"],

        ["\xBE\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE8"],
        ["\x9C\x5A\xF2\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xEB"],

        ["\xBE\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE9"],
        ["\x9C\x5A\xF2\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xEC"],

        ["\xBE\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEA"],
        ["\x9C\x5A\xF2\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xEE"],

        ["\xB4\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEB"],
        ["\x9C\x5A\xF2\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x69"],

        ["\xBE\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEC"],
        ["\x9C\x5A\xF2\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xF7"],

        ["\xBE\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xED"],
        ["\x9C\x5A\xF2\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xF9"],

        ["\xBE\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEE"],
        ["\x9C\x5A\xF2\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBE\xFB"],

        ["\xB4\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEF"],
        ["\x9C\x5A\xF2\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x6B"],

        ["\xB4\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF0"],
        ["\x9C\x5A\xF2\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x6C"],

        ["\xBF\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF1"],
        ["\x9C\x5A\xF2\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x4A"],

        ["\xBF\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF2"],
        ["\x9C\x5A\xF2\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x4E"],

        ["\xBF\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF3"],
        ["\x9C\x5A\xF2\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x50"],

        ["\xBF\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF4"],
        ["\x9C\x5A\xF2\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x57"],

        ["\xBF\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF5"],
        ["\x9C\x5A\xF2\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x58"],

        ["\xBF\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF6"],
        ["\x9C\x5A\xF2\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x5A"],

        ["\xBF\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF7"],
        ["\x9C\x5A\xF2\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x5B"],

        ["\xB4\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF8"],
        ["\x9C\x5A\xF2\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x6E"],

        ["\xBF\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF9"],
        ["\x9C\x5A\xF2\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x60"],

        ["\xB4\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xFA"],
        ["\x9C\x5A\xF2\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x6F"],

        ["\xBF\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xFB"],
        ["\x9C\x5A\xF2\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x61"],

        ["\xBF\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xFC"],
        ["\x9C\x5A\xF2\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x63"],

        ["\xB4\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x40"],
        ["\x9C\x5A\xF3\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x71"],

        ["\xBF\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x42"],
        ["\x9C\x5A\xF3\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x73"],

        ["\xB4\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x43"],
        ["\x9C\x5A\xF3\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x72"],

        ["\xBF\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x44"],
        ["\x9C\x5A\xF3\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x7A"],

        ["\xBF\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x45"],
        ["\x9C\x5A\xF3\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x7B"],

        ["\xBF\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x46"],
        ["\x9C\x5A\xF3\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x7F"],

        ["\xBF\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x47"],
        ["\x9C\x5A\xF3\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x80"],

        ["\xB4\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x48"],
        ["\x9C\x5A\xF3\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x77"],

        ["\xB4\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x49"],
        ["\x9C\x5A\xF3\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x78"],

        ["\xB4\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4A"],
        ["\x9C\x5A\xF3\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x73"],

        ["\xBF\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4B"],
        ["\x9C\x5A\xF3\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x87"],

        ["\xB4\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4C"],
        ["\x9C\x5A\xF3\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x74"],

        ["\xBF\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4D"],
        ["\x9C\x5A\xF3\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x8A"],

        ["\xBF\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4E"],
        ["\x9C\x5A\xF3\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x8B"],

        ["\xBF\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4F"],
        ["\x9C\x5A\xF3\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x8E"],

        ["\xBF\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x50"],
        ["\x9C\x5A\xF3\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x92"],

        ["\xB4\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x51"],
        ["\x9C\x5A\xF3\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x75"],

        ["\xB4\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x52"],
        ["\x9C\x5A\xF3\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x76"],

        ["\xB4\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x53"],
        ["\x9C\x5A\xF3\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x7C"],

        ["\xB4\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x54"],
        ["\x9C\x5A\xF3\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x79"],

        ["\xBF\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x55"],
        ["\x9C\x5A\xF3\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\x9A"],

        ["\xBF\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x56"],
        ["\x9C\x5A\xF3\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xA4"],

        ["\xBF\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x57"],
        ["\x9C\x5A\xF3\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xAA"],

        ["\xB4\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x58"],
        ["\x9C\x5A\xF3\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x7D"],

        ["\xBF\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x59"],
        ["\x9C\x5A\xF3\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xA8"],

        ["\xBF\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5A"],
        ["\x9C\x5A\xF3\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xB2"],

        ["\xB4\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5B"],
        ["\x9C\x5A\xF3\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x7E"],

        ["\xBF\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5C"],
        ["\x9C\x5A\xF3\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xB9"],

        ["\xBF\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5D"],
        ["\x9C\x5A\xF3\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xBA"],

        ["\xBF\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5E"],
        ["\x9C\x5A\xF3\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xBB"],

        ["\xBF\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5F"],
        ["\x9C\x5A\xF3\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xBC"],

        ["\xB4\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x60"],
        ["\x9C\x5A\xF3\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x7A"],

        ["\xBF\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x61"],
        ["\x9C\x5A\xF3\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xBF"],

        ["\xBF\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x62"],
        ["\x9C\x5A\xF3\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xC0"],

        ["\xBF\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x63"],
        ["\x9C\x5A\xF3\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xC4"],

        ["\xBF\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x64"],
        ["\x9C\x5A\xF3\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xCA"],

        ["\xBF\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x65"],
        ["\x9C\x5A\xF3\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xCE"],

        ["\xBF\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x66"],
        ["\x9C\x5A\xF3\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xCF"],

        ["\xBF\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x67"],
        ["\x9C\x5A\xF3\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xD1"],

        ["\xBF\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x68"],
        ["\x9C\x5A\xF3\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xDC"],

        ["\xBF\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x69"],
        ["\x9C\x5A\xF3\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xDD"],

        ["\xBF\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6A"],
        ["\x9C\x5A\xF3\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xDF"],

        ["\xBF\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6B"],
        ["\x9C\x5A\xF3\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xE4"],

        ["\xBF\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6C"],
        ["\x9C\x5A\xF3\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xE7"],

        ["\xBF\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6D"],
        ["\x9C\x5A\xF3\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xE9"],

        ["\xBF\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6E"],
        ["\x9C\x5A\xF3\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xEC"],

        ["\xBF\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x70"],
        ["\x9C\x5A\xF3\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xF0"],

        ["\xBF\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x71"],
        ["\x9C\x5A\xF3\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xFD"],

        ["\xBF\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x72"],
        ["\x9C\x5A\xF3\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xBF\xFE"],

        ["\xC0\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x73"],
        ["\x9C\x5A\xF3\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x43"],

        ["\xC0\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x74"],
        ["\x9C\x5A\xF3\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x44"],

        ["\xB4\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x75"],
        ["\x9C\x5A\xF3\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x80"],

        ["\xC0\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x76"],
        ["\x9C\x5A\xF3\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x45"],

        ["\xC0\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x77"],
        ["\x9C\x5A\xF3\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x46"],

        ["\xC0\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x78"],
        ["\x9C\x5A\xF3\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x4E"],

        ["\xC0\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x79"],
        ["\x9C\x5A\xF3\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x50"],

        ["\xB4\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7A"],
        ["\x9C\x5A\xF3\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x81"],

        ["\xC0\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7B"],
        ["\x9C\x5A\xF3\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x54"],

        ["\xC0\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7C"],
        ["\x9C\x5A\xF3\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x56"],

        ["\xC0\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7D"],
        ["\x9C\x5A\xF3\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x57"],

        ["\xB4\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7E"],
        ["\x9C\x5A\xF3\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x82"],

        ["\xC0\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x80"],
        ["\x9C\x5A\xF3\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x5A"],

        ["\xB4\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x81"],
        ["\x9C\x5A\xF3\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x83"],

        ["\xB4\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x82"],
        ["\x9C\x5A\xF3\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x84"],

        ["\xC0\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x83"],
        ["\x9C\x5A\xF3\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x69"],

        ["\xC0\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x84"],
        ["\x9C\x5A\xF3\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x6D"],

        ["\xC0\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x85"],
        ["\x9C\x5A\xF3\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x6E"],

        ["\xC0\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x86"],
        ["\x9C\x5A\xF3\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x70"],

        ["\xB4\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x87"],
        ["\x9C\x5A\xF3\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x86"],

        ["\xC0\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x88"],
        ["\x9C\x5A\xF3\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x71"],

        ["\xC0\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x89"],
        ["\x9C\x5A\xF3\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x72"],

        ["\xC0\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8A"],
        ["\x9C\x5A\xF3\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x7B"],

        ["\xB4\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8B"],
        ["\x9C\x5A\xF3\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x87"],

        ["\xB4\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8C"],
        ["\x9C\x5A\xF3\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x88"],

        ["\xC0\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8D"],
        ["\x9C\x5A\xF3\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x7E"],

        ["\xC0\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8E"],
        ["\x9C\x5A\xF3\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x7F"],

        ["\xC0\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8F"],
        ["\x9C\x5A\xF3\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x81"],

        ["\xC0\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x90"],
        ["\x9C\x5A\xF3\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x84"],

        ["\xB4\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x91"],
        ["\x9C\x5A\xF3\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8A"],

        ["\xC0\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x92"],
        ["\x9C\x5A\xF3\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x89"],

        ["\xC0\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x93"],
        ["\x9C\x5A\xF3\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x8C"],

        ["\xB4\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x94"],
        ["\x9C\x5A\xF3\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8C"],

        ["\xC0\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x95"],
        ["\x9C\x5A\xF3\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x8F"],

        ["\xC0\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x96"],
        ["\x9C\x5A\xF3\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x90"],

        ["\xC0\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x97"],
        ["\x9C\x5A\xF3\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x96"],

        ["\xC0\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x98"],
        ["\x9C\x5A\xF3\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x9B"],

        ["\xC0\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x99"],
        ["\x9C\x5A\xF3\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xA3"],

        ["\xC0\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9A"],
        ["\x9C\x5A\xF3\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xA8"],

        ["\xC0\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9B"],
        ["\x9C\x5A\xF3\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xA7"],

        ["\xB4\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9C"],
        ["\x9C\x5A\xF3\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8F"],

        ["\xB4\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9D"],
        ["\x9C\x5A\xF3\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x93"],

        ["\xC0\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9F"],
        ["\x9C\x5A\xF3\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xAA"],

        ["\xB4\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA0"],
        ["\x9C\x5A\xF3\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x92"],

        ["\xB4\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA1"],
        ["\x9C\x5A\xF3\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x96"],

        ["\xB4\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA2"],
        ["\x9C\x5A\xF3\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x91"],

        ["\xC0\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA3"],
        ["\x9C\x5A\xF3\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xAE"],

        ["\xC0\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA4"],
        ["\x9C\x5A\xF3\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xAF"],

        ["\xC0\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA5"],
        ["\x9C\x5A\xF3\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xB0"],

        ["\xB4\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA6"],
        ["\x9C\x5A\xF3\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x95"],

        ["\xC0\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA7"],
        ["\x9C\x5A\xF3\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xB5"],

        ["\xC0\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA8"],
        ["\x9C\x5A\xF3\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xB9"],

        ["\xC0\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA9"],
        ["\x9C\x5A\xF3\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xBD"],

        ["\xC0\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAA"],
        ["\x9C\x5A\xF3\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xBE"],

        ["\xB4\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAC"],
        ["\x9C\x5A\xF3\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x98"],

        ["\xC0\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAD"],
        ["\x9C\x5A\xF3\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC4"],

        ["\xC0\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAE"],
        ["\x9C\x5A\xF3\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC5"],

        ["\xC0\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAF"],
        ["\x9C\x5A\xF3\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],

        ["\xB4\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB0"],
        ["\x9C\x5A\xF3\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x99"],

        ["\xB4\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB2"],
        ["\x9C\x5A\xF3\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9A"],

        ["\xC0\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB3"],
        ["\x9C\x5A\xF3\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],

        ["\xB4\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB4"],
        ["\x9C\x5A\xF3\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8B"],

        ["\xB4\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB5"],
        ["\x9C\x5A\xF3\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9D"],

        ["\xC0\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB6"],
        ["\x9C\x5A\xF3\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],

        ["\xB4\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB7"],
        ["\x9C\x5A\xF3\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9E"],

        ["\xB4\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB8"],
        ["\x9C\x5A\xF3\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9F"],

        ["\xC0\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB9"],
        ["\x9C\x5A\xF3\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],

        ["\xB4\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBA"],
        ["\x9C\x5A\xF3\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA3"],

        ["\xB4\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBB"],
        ["\x9C\x5A\xF3\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],

        ["\xC0\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBC"],
        ["\x9C\x5A\xF3\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE2"],

        ["\xB4\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBD"],
        ["\x9C\x5A\xF3\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA0"],

        ["\xC0\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBE"],
        ["\x9C\x5A\xF3\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE3"],

        ["\xC0\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBF"],
        ["\x9C\x5A\xF3\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],

        ["\xB4\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC0"],
        ["\x9C\x5A\xF3\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA1"],

        ["\xB4\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC1"],
        ["\x9C\x5A\xF3\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],

        ["\xB4\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC2"],
        ["\x9C\x5A\xF3\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA4"],

        ["\xC0\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC3"],
        ["\x9C\x5A\xF3\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE8"],

        ["\xC0\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC4"],
        ["\x9C\x5A\xF3\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE9"],

        ["\xB4\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC5"],
        ["\x9C\x5A\xF3\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA5"],

        ["\xB4\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC6"],
        ["\x9C\x5A\xF3\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA6"],

        ["\xB4\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC7"],
        ["\x9C\x5A\xF3\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA7"],

        ["\xB6\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC8"],
        ["\x9C\x5A\xF3\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9C"],

        ["\xB4\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC9"],
        ["\x9C\x5A\xF3\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],

        ["\xC0\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCA"],
        ["\x9C\x5A\xF3\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF5"],

        ["\xC0\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCB"],
        ["\x9C\x5A\xF3\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],

        ["\xC0\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCC"],
        ["\x9C\x5A\xF3\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xFC"],

        ["\xC0\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCD"],
        ["\x9C\x5A\xF3\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xFE"],

        ["\xC1\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCE"],
        ["\x9C\x5A\xF3\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x42"],

        ["\xC1\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCF"],
        ["\x9C\x5A\xF3\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x44"],

        ["\xB4\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD0"],
        ["\x9C\x5A\xF3\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA9"],

        ["\xC1\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD1"],
        ["\x9C\x5A\xF3\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x48"],

        ["\xC1\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD2"],
        ["\x9C\x5A\xF3\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x4B"],

        ["\xB4\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD3"],
        ["\x9C\x5A\xF3\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAF"],

        ["\xB4\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD4"],
        ["\x9C\x5A\xF3\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB1"],

        ["\xB4\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD5"],
        ["\x9C\x5A\xF3\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB0"],

        ["\xB4\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD6"],
        ["\x9C\x5A\xF3\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],

        ["\xC1\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD7"],
        ["\x9C\x5A\xF3\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x50"],

        ["\xC1\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD8"],
        ["\x9C\x5A\xF3\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x54"],

        ["\xB4\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD9"],
        ["\x9C\x5A\xF3\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB2"],

        ["\xC1\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDA"],
        ["\x9C\x5A\xF3\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x58"],

        ["\xC1\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDB"],
        ["\x9C\x5A\xF3\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x59"],

        ["\xB4\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDC"],
        ["\x9C\x5A\xF3\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],

        ["\xC1\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDE"],
        ["\x9C\x5A\xF3\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5B"],

        ["\xB4\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDF"],
        ["\x9C\x5A\xF3\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],

        ["\xC1\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE0"],
        ["\x9C\x5A\xF3\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5D"],

        ["\xC1\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE1"],
        ["\x9C\x5A\xF3\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5E"],

        ["\xC1\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE2"],
        ["\x9C\x5A\xF3\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5F"],

        ["\xB4\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE3"],
        ["\x9C\x5A\xF3\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],

        ["\xC1\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE4"],
        ["\x9C\x5A\xF3\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x62"],

        ["\xC1\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE5"],
        ["\x9C\x5A\xF3\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x63"],

        ["\xC1\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE6"],
        ["\x9C\x5A\xF3\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x6A"],

        ["\xC1\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE7"],
        ["\x9C\x5A\xF3\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x6C"],

        ["\xC1\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE8"],
        ["\x9C\x5A\xF3\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x6D"],

        ["\xB4\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE9"],
        ["\x9C\x5A\xF3\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],

        ["\xC1\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEA"],
        ["\x9C\x5A\xF3\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x71"],

        ["\xB4\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEB"],
        ["\x9C\x5A\xF3\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB5"],

        ["\xC1\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEC"],
        ["\x9C\x5A\xF3\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x72"],

        ["\xB4\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xED"],
        ["\x9C\x5A\xF3\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB6"],

        ["\xC1\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEE"],
        ["\x9C\x5A\xF3\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x73"],

        ["\xC1\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEF"],
        ["\x9C\x5A\xF3\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x74"],

        ["\xC1\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF0"],
        ["\x9C\x5A\xF3\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x79"],

        ["\xB4\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF1"],
        ["\x9C\x5A\xF3\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB7"],

        ["\xB4\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF2"],
        ["\x9C\x5A\xF3\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB8"],

        ["\xC1\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF3"],
        ["\x9C\x5A\xF3\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7C"],

        ["\xC1\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF4"],
        ["\x9C\x5A\xF3\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x90"],

        ["\xB4\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF5"],
        ["\x9C\x5A\xF3\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBF"],

        ["\xB4\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF6"],
        ["\x9C\x5A\xF3\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC4"],

        ["\xB4\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF8"],
        ["\x9C\x5A\xF3\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],

        ["\xC1\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF9"],
        ["\x9C\x5A\xF3\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7D"],

        ["\xC1\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xFA"],
        ["\x9C\x5A\xF3\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7E"],

        ["\xC1\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xFC"],
        ["\x9C\x5A\xF3\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x82"],

        ["\xC1\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x40"],
        ["\x9C\x5A\xF4\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x83"],

        ["\xB4\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x41"],
        ["\x9C\x5A\xF4\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBB"],

        ["\xC1\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x42"],
        ["\x9C\x5A\xF4\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x86"],

        ["\xC1\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x43"],
        ["\x9C\x5A\xF4\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x8A"],

        ["\xB4\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x44"],
        ["\x9C\x5A\xF4\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBC"],

        ["\xB4\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x45"],
        ["\x9C\x5A\xF4\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBD"],

        ["\xB4\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x46"],
        ["\x9C\x5A\xF4\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBE"],

        ["\xB4\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x47"],
        ["\x9C\x5A\xF4\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC1"],

        ["\xB4\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x48"],
        ["\x9C\x5A\xF4\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC0"],

        ["\xB4\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x49"],
        ["\x9C\x5A\xF4\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC5"],

        ["\xC1\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4A"],
        ["\x9C\x5A\xF4\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x9F"],

        ["\xB4\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4B"],
        ["\x9C\x5A\xF4\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC2"],

        ["\xB4\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4C"],
        ["\x9C\x5A\xF4\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC3"],

        ["\xC1\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4D"],
        ["\x9C\x5A\xF4\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xAA"],

        ["\xC1\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4E"],
        ["\x9C\x5A\xF4\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],

        ["\xC1\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4F"],
        ["\x9C\x5A\xF4\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xAE"],

        ["\xC1\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x50"],
        ["\x9C\x5A\xF4\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xAF"],

        ["\xC1\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x51"],
        ["\x9C\x5A\xF4\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xB1"],

        ["\xC1\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x52"],
        ["\x9C\x5A\xF4\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xB4"],

        ["\xB4\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x53"],
        ["\x9C\x5A\xF4\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC6"],

        ["\xC1\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x54"],
        ["\x9C\x5A\xF4\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xB5"],

        ["\xC1\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x56"],
        ["\x9C\x5A\xF4\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xB8"],

        ["\xB4\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x57"],
        ["\x9C\x5A\xF4\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC7"],

        ["\xC1\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x58"],
        ["\x9C\x5A\xF4\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xBD"],

        ["\xC1\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x59"],
        ["\x9C\x5A\xF4\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xBF"],

        ["\xC1\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5A"],
        ["\x9C\x5A\xF4\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC0"],

        ["\xB4\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5B"],
        ["\x9C\x5A\xF4\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xC8"],

        ["\xC1\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5C"],
        ["\x9C\x5A\xF4\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC3"],

        ["\xC1\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5D"],
        ["\x9C\x5A\xF4\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],

        ["\xB4\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5E"],
        ["\x9C\x5A\xF4\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD3"],

        ["\xB4\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5F"],
        ["\x9C\x5A\xF4\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD5"],

        ["\xB4\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x61"],
        ["\x9C\x5A\xF4\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD2"],

        ["\xB4\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x62"],
        ["\x9C\x5A\xF4\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD4"],

        ["\xB4\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x63"],
        ["\x9C\x5A\xF4\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],

        ["\xC1\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x64"],
        ["\x9C\x5A\xF4\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],

        ["\xC1\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x65"],
        ["\x9C\x5A\xF4\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],

        ["\xC1\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x66"],
        ["\x9C\x5A\xF4\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xCA"],

        ["\xB4\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x67"],
        ["\x9C\x5A\xF4\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD6"],

        ["\xB4\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x68"],
        ["\x9C\x5A\xF4\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCF"],

        ["\xC1\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x69"],
        ["\x9C\x5A\xF4\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xCC"],

        ["\xC1\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6A"],
        ["\x9C\x5A\xF4\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],

        ["\xC1\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6B"],
        ["\x9C\x5A\xF4\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],

        ["\xC1\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6C"],
        ["\x9C\x5A\xF4\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD4"],

        ["\xB4\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6D"],
        ["\x9C\x5A\xF4\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDD"],

        ["\xC1\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6E"],
        ["\x9C\x5A\xF4\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD8"],

        ["\xB4\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6F"],
        ["\x9C\x5A\xF4\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD7"],

        ["\xC1\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x70"],
        ["\x9C\x5A\xF4\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],

        ["\xC1\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x71"],
        ["\x9C\x5A\xF4\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xDD"],

        ["\xC1\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x73"],
        ["\x9C\x5A\xF4\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xDF"],

        ["\xB4\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x74"],
        ["\x9C\x5A\xF4\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD8"],

        ["\xC1\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x75"],
        ["\x9C\x5A\xF4\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE1"],

        ["\xC1\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x76"],
        ["\x9C\x5A\xF4\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE4"],

        ["\xC1\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x77"],
        ["\x9C\x5A\xF4\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],

        ["\xB4\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x78"],
        ["\x9C\x5A\xF4\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDC"],

        ["\xC1\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7A"],
        ["\x9C\x5A\xF4\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xED"],

        ["\xC1\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7B"],
        ["\x9C\x5A\xF4\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],

        ["\xB4\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7C"],
        ["\x9C\x5A\xF4\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xD9"],

        ["\xC1\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7D"],
        ["\x9C\x5A\xF4\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF2"],

        ["\xC1\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7E"],
        ["\x9C\x5A\xF4\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF6"],

        ["\xB4\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x80"],
        ["\x9C\x5A\xF4\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDB"],

        ["\xB4\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x81"],
        ["\x9C\x5A\xF4\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE0"],

        ["\xC1\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x82"],
        ["\x9C\x5A\xF4\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF8"],

        ["\xC1\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x83"],
        ["\x9C\x5A\xF4\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xFD"],

        ["\xC2\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x84"],
        ["\x9C\x5A\xF4\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x42"],

        ["\xC2\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x85"],
        ["\x9C\x5A\xF4\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x47"],

        ["\xC2\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x86"],
        ["\x9C\x5A\xF4\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x46"],

        ["\xC2\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x87"],
        ["\x9C\x5A\xF4\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4A"],

        ["\xC2\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x88"],
        ["\x9C\x5A\xF4\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4B"],

        ["\xB4\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x89"],
        ["\x9C\x5A\xF4\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE5"],

        ["\xB4\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8A"],
        ["\x9C\x5A\xF4\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE3"],

        ["\xC2\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8B"],
        ["\x9C\x5A\xF4\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4D"],

        ["\xC2\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8C"],
        ["\x9C\x5A\xF4\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4F"],

        ["\xC2\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8D"],
        ["\x9C\x5A\xF4\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x50"],

        ["\xB4\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8E"],
        ["\x9C\x5A\xF4\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE1"],

        ["\xC2\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8F"],
        ["\x9C\x5A\xF4\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x52"],

        ["\xB4\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x90"],
        ["\x9C\x5A\xF4\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE7"],

        ["\xB4\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x91"],
        ["\x9C\x5A\xF4\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE6"],

        ["\xC2\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x92"],
        ["\x9C\x5A\xF4\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x58"],

        ["\xC2\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x93"],
        ["\x9C\x5A\xF4\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x59"],

        ["\xC2\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x94"],
        ["\x9C\x5A\xF4\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5A"],

        ["\xB4\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x95"],
        ["\x9C\x5A\xF4\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE8"],

        ["\xC2\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x96"],
        ["\x9C\x5A\xF4\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5B"],

        ["\xB4\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x97"],
        ["\x9C\x5A\xF4\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xE9"],

        ["\xC2\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x98"],
        ["\x9C\x5A\xF4\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x62"],

        ["\xC2\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x99"],
        ["\x9C\x5A\xF4\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x68"],

        ["\xC2\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9A"],
        ["\x9C\x5A\xF4\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6C"],

        ["\xB4\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9B"],
        ["\x9C\x5A\xF4\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEB"],

        ["\xC2\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9C"],
        ["\x9C\x5A\xF4\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x73"],

        ["\xB4\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9D"],
        ["\x9C\x5A\xF4\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],

        ["\xB4\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9E"],
        ["\x9C\x5A\xF4\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEE"],

        ["\xC2\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9F"],
        ["\x9C\x5A\xF4\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x79"],

        ["\xC2\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA0"],
        ["\x9C\x5A\xF4\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x82"],

        ["\xB4\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA1"],
        ["\x9C\x5A\xF4\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF0"],

        ["\xC2\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA2"],
        ["\x9C\x5A\xF4\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x86"],

        ["\xC2\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA3"],
        ["\x9C\x5A\xF4\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x87"],

        ["\xB4\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA4"],
        ["\x9C\x5A\xF4\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF1"],

        ["\xB4\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA5"],
        ["\x9C\x5A\xF4\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF2"],

        ["\xC2\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA6"],
        ["\x9C\x5A\xF4\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x8A"],

        ["\xC2\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA7"],
        ["\x9C\x5A\xF4\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x8C"],

        ["\xC2\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA8"],
        ["\x9C\x5A\xF4\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x8F"],

        ["\xC2\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA9"],
        ["\x9C\x5A\xF4\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x90"],

        ["\xC2\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAA"],
        ["\x9C\x5A\xF4\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x91"],

        ["\xC2\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAB"],
        ["\x9C\x5A\xF4\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x92"],

        ["\xC2\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAC"],
        ["\x9C\x5A\xF4\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x96"],

        ["\xB4\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAD"],
        ["\x9C\x5A\xF4\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF5"],

        ["\xC2\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAE"],
        ["\x9C\x5A\xF4\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x9B"],

        ["\xC2\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAF"],
        ["\x9C\x5A\xF4\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xA6"],

        ["\xC2\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB0"],
        ["\x9C\x5A\xF4\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xA7"],

        ["\xC2\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB1"],
        ["\x9C\x5A\xF4\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],

        ["\xB4\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB2"],
        ["\x9C\x5A\xF4\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF6"],

        ["\xC2\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB4"],
        ["\x9C\x5A\xF4\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xAC"],

        ["\xC2\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB5"],
        ["\x9C\x5A\xF4\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xB1"],

        ["\xC2\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB6"],
        ["\x9C\x5A\xF4\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],

        ["\xB4\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB7"],
        ["\x9C\x5A\xF4\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF7"],

        ["\xC2\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB8"],
        ["\x9C\x5A\xF4\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xBC"],

        ["\xB4\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB9"],
        ["\x9C\x5A\xF4\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xF8"],

        ["\xC2\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBA"],
        ["\x9C\x5A\xF4\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xBD"],

        ["\xC2\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBB"],
        ["\x9C\x5A\xF4\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xBE"],

        ["\xC2\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBC"],
        ["\x9C\x5A\xF4\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xBF"],

        ["\xB4\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBD"],
        ["\x9C\x5A\xF4\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFA"],

        ["\xC2\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBE"],
        ["\x9C\x5A\xF4\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC6"],

        ["\xC2\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBF"],
        ["\x9C\x5A\xF4\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xCA"],

        ["\xB4\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC0"],
        ["\x9C\x5A\xF4\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFC"],

        ["\xC2\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC1"],
        ["\x9C\x5A\xF4\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xCE"],

        ["\xC2\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC3"],
        ["\x9C\x5A\xF4\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xCF"],

        ["\xC2\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC4"],
        ["\x9C\x5A\xF4\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD2"],

        ["\xC2\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC5"],
        ["\x9C\x5A\xF4\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],

        ["\xB4\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC6"],
        ["\x9C\x5A\xF4\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFB"],

        ["\xB5\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC7"],
        ["\x9C\x5A\xF4\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x44"],

        ["\xB4\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC8"],
        ["\x9C\x5A\xF4\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFE"],

        ["\xC2\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC9"],
        ["\x9C\x5A\xF4\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD9"],

        ["\xB5\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCA"],
        ["\x9C\x5A\xF4\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x41"],

        ["\xC2\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCB"],
        ["\x9C\x5A\xF4\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xDF"],

        ["\xC2\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCC"],
        ["\x9C\x5A\xF4\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],

        ["\xC2\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCD"],
        ["\x9C\x5A\xF4\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xB2"],

        ["\xC2\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCE"],
        ["\x9C\x5A\xF4\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE3"],

        ["\xC2\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCF"],
        ["\x9C\x5A\xF4\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE6"],

        ["\xB5\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD0"],
        ["\x9C\x5A\xF4\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x47"],

        ["\xC2\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD1"],
        ["\x9C\x5A\xF4\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE9"],

        ["\xB5\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD2"],
        ["\x9C\x5A\xF4\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x48"],

        ["\xC2\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD3"],
        ["\x9C\x5A\xF4\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xEE"],

        ["\xB5\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD4"],
        ["\x9C\x5A\xF4\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x4A"],

        ["\xB5\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD5"],
        ["\x9C\x5A\xF4\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x4B"],

        ["\xB5\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD6"],
        ["\x9C\x5A\xF4\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x4D"],

        ["\xB5\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD7"],
        ["\x9C\x5A\xF4\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x4E"],

        ["\xC2\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD8"],
        ["\x9C\x5A\xF4\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],

        ["\xC2\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD9"],
        ["\x9C\x5A\xF4\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],

        ["\xB5\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDA"],
        ["\x9C\x5A\xF4\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x4F"],

        ["\xB5\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDB"],
        ["\x9C\x5A\xF4\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x56"],

        ["\xB5\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDC"],
        ["\x9C\x5A\xF4\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x58"],

        ["\xB5\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDD"],
        ["\x9C\x5A\xF4\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x57"],

        ["\xB5\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDE"],
        ["\x9C\x5A\xF4\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x55"],

        ["\xB5\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDF"],
        ["\x9C\x5A\xF4\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x50"],

        ["\xB5\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE0"],
        ["\x9C\x5A\xF4\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x51"],

        ["\xC2\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE1"],
        ["\x9C\x5A\xF4\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],

        ["\xB5\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE2"],
        ["\x9C\x5A\xF4\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x52"],

        ["\xB5\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE3"],
        ["\x9C\x5A\xF4\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x42"],

        ["\xC2\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE4"],
        ["\x9C\x5A\xF4\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xFD"],

        ["\xC3\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE5"],
        ["\x9C\x5A\xF4\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x41"],

        ["\xB5\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE7"],
        ["\x9C\x5A\xF4\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x53"],

        ["\xC3\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE8"],
        ["\x9C\x5A\xF4\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x45"],

        ["\xC3\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE9"],
        ["\x9C\x5A\xF4\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x49"],

        ["\xC3\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xEA"],
        ["\x9C\x5A\xF4\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x4D"],

        ["\xC3\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xEB"],
        ["\x9C\x5A\xF4\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x53"],

        ["\xC3\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xEC"],
        ["\x9C\x5A\xF4\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x50"],

        ["\xC3\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xED"],
        ["\x9C\x5A\xF4\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x51"],

        ["\xB5\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xEF"],
        ["\x9C\x5A\xF4\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x5A"],

        ["\xC3\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF0"],
        ["\x9C\x5A\xF4\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x52"],

        ["\xC3\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF2"],
        ["\x9C\x5A\xF4\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x57"],

        ["\xC3\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF3"],
        ["\x9C\x5A\xF4\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x58"],

        ["\xC3\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF4"],
        ["\x9C\x5A\xF4\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x59"],

        ["\xB5\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF5"],
        ["\x9C\x5A\xF4\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x5C"],

        ["\xC3\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF6"],
        ["\x9C\x5A\xF4\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5A"],

        ["\xC3\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF7"],
        ["\x9C\x5A\xF4\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5B"],

        ["\xC3\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF8"],
        ["\x9C\x5A\xF4\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5D"],

        ["\xC3\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF9"],
        ["\x9C\x5A\xF4\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5E"],

        ["\xC3\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xFA"],
        ["\x9C\x5A\xF4\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5F"],

        ["\xC3\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xFB"],
        ["\x9C\x5A\xF4\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x63"],

        ["\xB5\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xFC"],
        ["\x9C\x5A\xF4\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x5D"],

        ["\xC3\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x40"],
        ["\x9C\x5A\xF5\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x69"],

        ["\xC3\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x41"],
        ["\x9C\x5A\xF5\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x6C"],

        ["\xB5\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x42"],
        ["\x9C\x5A\xF5\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x5F"],

        ["\xC3\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x44"],
        ["\x9C\x5A\xF5\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x74"],

        ["\xC3\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x45"],
        ["\x9C\x5A\xF5\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x77"],

        ["\xB5\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x46"],
        ["\x9C\x5A\xF5\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x60"],

        ["\xB5\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x47"],
        ["\x9C\x5A\xF5\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x64"],

        ["\xC3\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x48"],
        ["\x9C\x5A\xF5\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x7B"],

        ["\xC3\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x49"],
        ["\x9C\x5A\xF5\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x7E"],

        ["\xC3\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4A"],
        ["\x9C\x5A\xF5\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x7F"],

        ["\xC3\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4B"],
        ["\x9C\x5A\xF5\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x83"],

        ["\xC3\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4C"],
        ["\x9C\x5A\xF5\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x84"],

        ["\xC3\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4D"],
        ["\x9C\x5A\xF5\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x87"],

        ["\xB5\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4E"],
        ["\x9C\x5A\xF5\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x63"],

        ["\xC3\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4F"],
        ["\x9C\x5A\xF5\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x91"],

        ["\xC3\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x50"],
        ["\x9C\x5A\xF5\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x93"],

        ["\xB5\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x51"],
        ["\x9C\x5A\xF5\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x66"],

        ["\xC3\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x52"],
        ["\x9C\x5A\xF5\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x96"],

        ["\xC3\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x53"],
        ["\x9C\x5A\xF5\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x98"],

        ["\xC3\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x54"],
        ["\x9C\x5A\xF5\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x9A"],

        ["\xB5\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x55"],
        ["\x9C\x5A\xF5\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x65"],

        ["\xC3\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x56"],
        ["\x9C\x5A\xF5\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x9F"],

        ["\xB5\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x57"],
        ["\x9C\x5A\xF5\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x67"],

        ["\xC3\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x58"],
        ["\x9C\x5A\xF5\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],

        ["\xC3\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x59"],
        ["\x9C\x5A\xF5\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],

        ["\xC3\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5A"],
        ["\x9C\x5A\xF5\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],

        ["\xB5\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5B"],
        ["\x9C\x5A\xF5\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x69"],

        ["\xC3\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5C"],
        ["\x9C\x5A\xF5\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],

        ["\xC3\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5D"],
        ["\x9C\x5A\xF5\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xB0"],

        ["\xC3\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5E"],
        ["\x9C\x5A\xF5\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xB5"],

        ["\xB5\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5F"],
        ["\x9C\x5A\xF5\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x68"],

        ["\xC3\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x61"],
        ["\x9C\x5A\xF5\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xBB"],

        ["\xB5\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x62"],
        ["\x9C\x5A\xF5\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x6A"],

        ["\xC3\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x63"],
        ["\x9C\x5A\xF5\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xBD"],

        ["\xC3\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x64"],
        ["\x9C\x5A\xF5\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xBE"],

        ["\xC3\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x65"],
        ["\x9C\x5A\xF5\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC0"],

        ["\xB5\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x66"],
        ["\x9C\x5A\xF5\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x6C"],

        ["\xC3\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x67"],
        ["\x9C\x5A\xF5\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC3"],

        ["\xC3\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x68"],
        ["\x9C\x5A\xF5\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC5"],

        ["\xB5\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6A"],
        ["\x9C\x5A\xF5\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x6B"],

        ["\xC3\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6B"],
        ["\x9C\x5A\xF5\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xCA"],

        ["\xB5\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6C"],
        ["\x9C\x5A\xF5\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x6E"],

        ["\xC3\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6D"],
        ["\x9C\x5A\xF5\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xCE"],

        ["\xB5\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6E"],
        ["\x9C\x5A\xF5\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x6D"],

        ["\xC3\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6F"],
        ["\x9C\x5A\xF5\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xCF"],

        ["\xC3\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x70"],
        ["\x9C\x5A\xF5\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],

        ["\xB5\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x71"],
        ["\x9C\x5A\xF5\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x6F"],

        ["\xC3\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x72"],
        ["\x9C\x5A\xF5\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],

        ["\xB5\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x73"],
        ["\x9C\x5A\xF5\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x70"],

        ["\xC3\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x74"],
        ["\x9C\x5A\xF5\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD7"],

        ["\xC3\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x75"],
        ["\x9C\x5A\xF5\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xDC"],

        ["\xB5\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x76"],
        ["\x9C\x5A\xF5\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x71"],

        ["\xC3\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x77"],
        ["\x9C\x5A\xF5\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xDD"],

        ["\xC3\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x78"],
        ["\x9C\x5A\xF5\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xDE"],

        ["\xC3\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x79"],
        ["\x9C\x5A\xF5\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],

        ["\xC3\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7A"],
        ["\x9C\x5A\xF5\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE1"],

        ["\xC3\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7B"],
        ["\x9C\x5A\xF5\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE2"],

        ["\xC3\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7C"],
        ["\x9C\x5A\xF5\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],

        ["\xC3\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7D"],
        ["\x9C\x5A\xF5\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],

        ["\xC3\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7E"],
        ["\x9C\x5A\xF5\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],

        ["\xB5\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x81"],
        ["\x9C\x5A\xF5\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x73"],

        ["\xB5\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x82"],
        ["\x9C\x5A\xF5\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x72"],

        ["\xC3\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x83"],
        ["\x9C\x5A\xF5\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xEC"],

        ["\xB5\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x84"],
        ["\x9C\x5A\xF5\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x74"],

        ["\xB5\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x85"],
        ["\x9C\x5A\xF5\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x75"],

        ["\xC3\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x86"],
        ["\x9C\x5A\xF5\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xEF"],

        ["\xC3\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x87"],
        ["\x9C\x5A\xF5\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],

        ["\xC3\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x88"],
        ["\x9C\x5A\xF5\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF1"],

        ["\xC3\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x89"],
        ["\x9C\x5A\xF5\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF6"],

        ["\xC3\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8A"],
        ["\x9C\x5A\xF5\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],

        ["\xC3\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8C"],
        ["\x9C\x5A\xF5\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xFB"],

        ["\xC3\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8D"],
        ["\x9C\x5A\xF5\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xFC"],

        ["\xB5\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8E"],
        ["\x9C\x5A\xF5\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x76"],

        ["\xC3\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8F"],
        ["\x9C\x5A\xF5\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xFE"],

        ["\xB5\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x90"],
        ["\x9C\x5A\xF5\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x77"],

        ["\xC4\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x91"],
        ["\x9C\x5A\xF5\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x45"],

        ["\xC4\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x92"],
        ["\x9C\x5A\xF5\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x47"],

        ["\xC4\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x93"],
        ["\x9C\x5A\xF5\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x4D"],

        ["\xC4\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x94"],
        ["\x9C\x5A\xF5\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x4B"],

        ["\xB5\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x95"],
        ["\x9C\x5A\xF5\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x7A"],

        ["\xC4\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x96"],
        ["\x9C\x5A\xF5\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x51"],

        ["\xB5\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x97"],
        ["\x9C\x5A\xF5\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x7B"],

        ["\xB5\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x98"],
        ["\x9C\x5A\xF5\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x7D"],

        ["\xC4\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x99"],
        ["\x9C\x5A\xF5\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x55"],

        ["\xC4\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9A"],
        ["\x9C\x5A\xF5\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5B"],

        ["\xC4\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9B"],
        ["\x9C\x5A\xF5\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5C"],

        ["\xC4\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9C"],
        ["\x9C\x5A\xF5\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5D"],

        ["\xB5\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9D"],
        ["\x9C\x5A\xF5\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x7E"],

        ["\xC4\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9E"],
        ["\x9C\x5A\xF5\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5E"],

        ["\xC4\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9F"],
        ["\x9C\x5A\xF5\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x61"],

        ["\xB5\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA0"],
        ["\x9C\x5A\xF5\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x7F"],

        ["\xC4\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA1"],
        ["\x9C\x5A\xF5\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x66"],

        ["\xC4\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA2"],
        ["\x9C\x5A\xF5\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x68"],

        ["\xC4\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA3"],
        ["\x9C\x5A\xF5\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6A"],

        ["\xC4\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA4"],
        ["\x9C\x5A\xF5\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6C"],

        ["\xC4\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA5"],
        ["\x9C\x5A\xF5\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6F"],

        ["\xB5\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA6"],
        ["\x9C\x5A\xF5\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x80"],

        ["\xB5\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA7"],
        ["\x9C\x5A\xF5\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x82"],

        ["\xC4\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA8"],
        ["\x9C\x5A\xF5\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x78"],

        ["\xC4\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA9"],
        ["\x9C\x5A\xF5\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7A"],

        ["\xC4\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAA"],
        ["\x9C\x5A\xF5\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7B"],

        ["\xC4\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAB"],
        ["\x9C\x5A\xF5\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7C"],

        ["\xB3\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAC"],
        ["\x9C\x5A\xF5\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x45"],

        ["\xC4\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAD"],
        ["\x9C\x5A\xF5\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7E"],

        ["\xC4\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAE"],
        ["\x9C\x5A\xF5\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x84"],

        ["\xB5\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAF"],
        ["\x9C\x5A\xF5\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x83"],

        ["\xC4\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB0"],
        ["\x9C\x5A\xF5\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x8B"],

        ["\xB5\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB1"],
        ["\x9C\x5A\xF5\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x84"],

        ["\xC4\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB2"],
        ["\x9C\x5A\xF5\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x8E"],

        ["\xC4\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB3"],
        ["\x9C\x5A\xF5\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x8F"],

        ["\xC4\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB4"],
        ["\x9C\x5A\xF5\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x92"],

        ["\xC4\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB5"],
        ["\x9C\x5A\xF5\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x95"],

        ["\xC4\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB6"],
        ["\x9C\x5A\xF5\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x99"],

        ["\xB5\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB7"],
        ["\x9C\x5A\xF5\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x86"],

        ["\xC4\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB8"],
        ["\x9C\x5A\xF5\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x9D"],

        ["\xC4\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB9"],
        ["\x9C\x5A\xF5\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x9E"],

        ["\xB5\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBA"],
        ["\x9C\x5A\xF5\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x87"],

        ["\xC4\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBC"],
        ["\x9C\x5A\xF5\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xA0"],

        ["\xB5\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBD"],
        ["\x9C\x5A\xF5\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x89"],

        ["\xC4\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBE"],
        ["\x9C\x5A\xF5\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xA3"],

        ["\xB5\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBF"],
        ["\x9C\x5A\xF5\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8A"],

        ["\xB5\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC0"],
        ["\x9C\x5A\xF5\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8B"],

        ["\xC4\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC1"],
        ["\x9C\x5A\xF5\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xA9"],

        ["\xC4\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC2"],
        ["\x9C\x5A\xF5\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xAB"],

        ["\xC4\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC3"],
        ["\x9C\x5A\xF5\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xB1"],

        ["\xC4\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC4"],
        ["\x9C\x5A\xF5\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xB4"],

        ["\xC4\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC5"],
        ["\x9C\x5A\xF5\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xB6"],

        ["\xC4\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC6"],
        ["\x9C\x5A\xF5\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xB7"],

        ["\xB5\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC7"],
        ["\x9C\x5A\xF5\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8C"],

        ["\xB5\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC8"],
        ["\x9C\x5A\xF5\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8F"],

        ["\xC4\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC9"],
        ["\x9C\x5A\xF5\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xBC"],

        ["\xC4\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCA"],
        ["\x9C\x5A\xF5\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],

        ["\xB5\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCB"],
        ["\x9C\x5A\xF5\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8D"],

        ["\xC4\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCC"],
        ["\x9C\x5A\xF5\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],

        ["\xC4\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCD"],
        ["\x9C\x5A\xF5\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],

        ["\xB5\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCE"],
        ["\x9C\x5A\xF5\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x90"],

        ["\xC4\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCF"],
        ["\x9C\x5A\xF5\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD0"],

        ["\xC4\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD0"],
        ["\x9C\x5A\xF5\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],

        ["\xB5\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD1"],
        ["\x9C\x5A\xF5\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x91"],

        ["\xC4\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD2"],
        ["\x9C\x5A\xF5\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],

        ["\xC4\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD3"],
        ["\x9C\x5A\xF5\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],

        ["\xC4\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD4"],
        ["\x9C\x5A\xF5\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],

        ["\xC4\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD6"],
        ["\x9C\x5A\xF5\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD8"],

        ["\xC4\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD7"],
        ["\x9C\x5A\xF5\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xDA"],

        ["\xB5\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD8"],
        ["\x9C\x5A\xF5\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x92"],

        ["\xB5\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD9"],
        ["\x9C\x5A\xF5\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x93"],

        ["\xC4\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDA"],
        ["\x9C\x5A\xF5\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE1"],

        ["\xC4\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDB"],
        ["\x9C\x5A\xF5\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE2"],

        ["\xC4\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDC"],
        ["\x9C\x5A\xF5\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],

        ["\xC4\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDD"],
        ["\x9C\x5A\xF5\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],

        ["\xB5\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDE"],
        ["\x9C\x5A\xF5\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x94"],

        ["\xC4\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDF"],
        ["\x9C\x5A\xF5\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xEC"],

        ["\xC4\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE0"],
        ["\x9C\x5A\xF5\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xED"],

        ["\xC4\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE1"],
        ["\x9C\x5A\xF5\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xEE"],

        ["\xC4\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE2"],
        ["\x9C\x5A\xF5\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xEF"],

        ["\xC4\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE3"],
        ["\x9C\x5A\xF5\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],

        ["\xC4\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE4"],
        ["\x9C\x5A\xF5\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF1"],

        ["\xC4\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE5"],
        ["\x9C\x5A\xF5\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],

        ["\xC4\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE6"],
        ["\x9C\x5A\xF5\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],

        ["\xC4\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE7"],
        ["\x9C\x5A\xF5\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xFB"],

        ["\xC5\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE8"],
        ["\x9C\x5A\xF5\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x41"],

        ["\xB5\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE9"],
        ["\x9C\x5A\xF5\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x95"],

        ["\xC5\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEA"],
        ["\x9C\x5A\xF5\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x42"],

        ["\xC5\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEB"],
        ["\x9C\x5A\xF5\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x47"],

        ["\xC5\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEC"],
        ["\x9C\x5A\xF5\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4D"],

        ["\xC5\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xED"],
        ["\x9C\x5A\xF5\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x54"],

        ["\xC5\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEE"],
        ["\x9C\x5A\xF5\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x55"],

        ["\xB5\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEF"],
        ["\x9C\x5A\xF5\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x97"],

        ["\xC5\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF0"],
        ["\x9C\x5A\xF5\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x56"],

        ["\xC5\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF1"],
        ["\x9C\x5A\xF5\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x57"],

        ["\xC5\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF2"],
        ["\x9C\x5A\xF5\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5C"],

        ["\xC5\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF3"],
        ["\x9C\x5A\xF5\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5E"],

        ["\xC5\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF4"],
        ["\x9C\x5A\xF5\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x60"],

        ["\xC5\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF5"],
        ["\x9C\x5A\xF5\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x67"],

        ["\xC5\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF6"],
        ["\x9C\x5A\xF5\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6A"],

        ["\xC5\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF7"],
        ["\x9C\x5A\xF5\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6B"],

        ["\xB5\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF8"],
        ["\x9C\x5A\xF5\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x98"],

        ["\xB5\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF9"],
        ["\x9C\x5A\xF5\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9A"],

        ["\xC5\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xFA"],
        ["\x9C\x5A\xF5\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x71"],

        ["\xB5\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xFB"],
        ["\x9C\x5A\xF5\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x99"],

        ["\xC5\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xFC"],
        ["\x9C\x5A\xF5\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x73"],

        ["\xC5\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x40"],
        ["\x9C\x5A\xF6\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x76"],

        ["\xC5\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x41"],
        ["\x9C\x5A\xF6\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x77"],

        ["\xB5\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x42"],
        ["\x9C\x5A\xF6\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9B"],

        ["\xC5\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x43"],
        ["\x9C\x5A\xF6\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7C"],

        ["\xC5\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x44"],
        ["\x9C\x5A\xF6\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7D"],

        ["\xC5\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x45"],
        ["\x9C\x5A\xF6\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x83"],

        ["\xC5\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x46"],
        ["\x9C\x5A\xF6\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x84"],

        ["\xB5\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x47"],
        ["\x9C\x5A\xF6\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9C"],

        ["\xB5\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x48"],
        ["\x9C\x5A\xF6\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9D"],

        ["\xC5\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x49"],
        ["\x9C\x5A\xF6\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x8B"],

        ["\xC5\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4A"],
        ["\x9C\x5A\xF6\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x8E"],

        ["\xC5\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4B"],
        ["\x9C\x5A\xF6\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x94"],

        ["\xC5\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4C"],
        ["\x9C\x5A\xF6\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x93"],

        ["\xB5\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4D"],
        ["\x9C\x5A\xF6\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9E"],

        ["\xC5\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4E"],
        ["\x9C\x5A\xF6\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x96"],

        ["\xB5\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4F"],
        ["\x9C\x5A\xF6\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9F"],

        ["\xC5\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x50"],
        ["\x9C\x5A\xF6\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x9E"],

        ["\xC5\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x51"],
        ["\x9C\x5A\xF6\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xA0"],

        ["\xC5\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x52"],
        ["\x9C\x5A\xF6\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xA3"],

        ["\xB5\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x53"],
        ["\x9C\x5A\xF6\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA1"],

        ["\xB5\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x54"],
        ["\x9C\x5A\xF6\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA0"],

        ["\xC5\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x55"],
        ["\x9C\x5A\xF6\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xA6"],

        ["\xC5\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x56"],
        ["\x9C\x5A\xF6\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xA7"],

        ["\xC5\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x57"],
        ["\x9C\x5A\xF6\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xA9"],

        ["\xC5\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x58"],
        ["\x9C\x5A\xF6\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],

        ["\xC5\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x59"],
        ["\x9C\x5A\xF6\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xAD"],

        ["\xC5\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5A"],
        ["\x9C\x5A\xF6\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xAE"],

        ["\xC5\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5B"],
        ["\x9C\x5A\xF6\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],

        ["\xB5\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5C"],
        ["\x9C\x5A\xF6\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA2"],

        ["\xB5\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5D"],
        ["\x9C\x5A\xF6\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],

        ["\xC5\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5E"],
        ["\x9C\x5A\xF6\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xB4"],

        ["\xC5\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5F"],
        ["\x9C\x5A\xF6\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xB6"],

        ["\xC5\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x60"],
        ["\x9C\x5A\xF6\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],

        ["\xC5\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x61"],
        ["\x9C\x5A\xF6\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xBA"],

        ["\xC5\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x62"],
        ["\x9C\x5A\xF6\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xBB"],

        ["\xB5\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x63"],
        ["\x9C\x5A\xF6\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],

        ["\xB5\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x64"],
        ["\x9C\x5A\xF6\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA5"],

        ["\xB5\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x65"],
        ["\x9C\x5A\xF6\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],

        ["\xC5\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x66"],
        ["\x9C\x5A\xF6\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC3"],

        ["\xB5\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x67"],
        ["\x9C\x5A\xF6\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA8"],

        ["\xB5\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x68"],
        ["\x9C\x5A\xF6\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA9"],

        ["\xB5\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x69"],
        ["\x9C\x5A\xF6\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAA"],

        ["\xC5\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6A"],
        ["\x9C\x5A\xF6\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],

        ["\xC5\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6B"],
        ["\x9C\x5A\xF6\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],

        ["\xC5\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6C"],
        ["\x9C\x5A\xF6\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xCB"],

        ["\xC5\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6D"],
        ["\x9C\x5A\xF6\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xCE"],

        ["\xB5\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6E"],
        ["\x9C\x5A\xF6\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAB"],

        ["\xB5\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6F"],
        ["\x9C\x5A\xF6\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAC"],

        ["\xC5\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x70"],
        ["\x9C\x5A\xF6\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],

        ["\xC5\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x71"],
        ["\x9C\x5A\xF6\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD2"],

        ["\xC5\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x72"],
        ["\x9C\x5A\xF6\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD5"],

        ["\xC5\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x73"],
        ["\x9C\x5A\xF6\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD6"],

        ["\xC5\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x74"],
        ["\x9C\x5A\xF6\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD7"],

        ["\xC5\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x75"],
        ["\x9C\x5A\xF6\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],

        ["\xC5\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x76"],
        ["\x9C\x5A\xF6\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xDA"],

        ["\xC5\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x77"],
        ["\x9C\x5A\xF6\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xDD"],

        ["\xB5\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x78"],
        ["\x9C\x5A\xF6\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAF"],

        ["\xC5\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x79"],
        ["\x9C\x5A\xF6\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xDF"],

        ["\xC5\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7A"],
        ["\x9C\x5A\xF6\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE3"],

        ["\xB5\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7B"],
        ["\x9C\x5A\xF6\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],

        ["\xB5\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7C"],
        ["\x9C\x5A\xF6\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAE"],

        ["\xC5\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7D"],
        ["\x9C\x5A\xF6\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],

        ["\xC5\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7E"],
        ["\x9C\x5A\xF6\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],

        ["\xC5\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x80"],
        ["\x9C\x5A\xF6\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xEA"],

        ["\xB5\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x81"],
        ["\x9C\x5A\xF6\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB0"],

        ["\xC5\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x82"],
        ["\x9C\x5A\xF6\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xEE"],

        ["\xB5\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x83"],
        ["\x9C\x5A\xF6\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB1"],

        ["\xC5\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x84"],
        ["\x9C\x5A\xF6\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF8"],

        ["\xC5\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x85"],
        ["\x9C\x5A\xF6\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],

        ["\xB5\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x86"],
        ["\x9C\x5A\xF6\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB2"],

        ["\xB5\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x87"],
        ["\x9C\x5A\xF6\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB3"],

        ["\xC5\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x88"],
        ["\x9C\x5A\xF6\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xFA"],

        ["\xB5\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x89"],
        ["\x9C\x5A\xF6\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB4"],

        ["\xC5\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8A"],
        ["\x9C\x5A\xF6\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xFE"],

        ["\xC6\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8B"],
        ["\x9C\x5A\xF6\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x43"],

        ["\xB5\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8C"],
        ["\x9C\x5A\xF6\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB5"],

        ["\xC6\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8D"],
        ["\x9C\x5A\xF6\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x49"],

        ["\xC6\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8E"],
        ["\x9C\x5A\xF6\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x51"],

        ["\xB5\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x90"],
        ["\x9C\x5A\xF6\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB6"],

        ["\xC6\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x91"],
        ["\x9C\x5A\xF6\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x54"],

        ["\xC6\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x92"],
        ["\x9C\x5A\xF6\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x59"],

        ["\xC6\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x93"],
        ["\x9C\x5A\xF6\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x5A"],

        ["\xB5\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x94"],
        ["\x9C\x5A\xF6\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB7"],

        ["\xB5\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x95"],
        ["\x9C\x5A\xF6\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB9"],

        ["\xC6\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x96"],
        ["\x9C\x5A\xF6\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x60"],

        ["\xB5\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x97"],
        ["\x9C\x5A\xF6\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],

        ["\xC6\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x98"],
        ["\x9C\x5A\xF6\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x68"],

        ["\xC6\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x99"],
        ["\x9C\x5A\xF6\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x69"],

        ["\xB5\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9A"],
        ["\x9C\x5A\xF6\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],

        ["\xC6\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9B"],
        ["\x9C\x5A\xF6\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x76"],

        ["\xC6\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9C"],
        ["\x9C\x5A\xF6\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x78"],

        ["\xC6\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9D"],
        ["\x9C\x5A\xF6\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x7C"],

        ["\xC6\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9E"],
        ["\x9C\x5A\xF6\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x80"],

        ["\xB5\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9F"],
        ["\x9C\x5A\xF6\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],

        ["\xB5\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA0"],
        ["\x9C\x5A\xF6\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],

        ["\xB5\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA1"],
        ["\x9C\x5A\xF6\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC0"],

        ["\xB5\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA2"],
        ["\x9C\x5A\xF6\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],

        ["\xB5\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA3"],
        ["\x9C\x5A\xF6\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBF"],

        ["\xC6\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA4"],
        ["\x9C\x5A\xF6\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x91"],

        ["\xC6\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA5"],
        ["\x9C\x5A\xF6\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x95"],

        ["\xB5\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA6"],
        ["\x9C\x5A\xF6\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC2"],

        ["\xC6\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA7"],
        ["\x9C\x5A\xF6\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x98"],

        ["\xB5\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA8"],
        ["\x9C\x5A\xF6\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC1"],

        ["\xC6\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA9"],
        ["\x9C\x5A\xF6\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x9C"],

        ["\xB5\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAA"],
        ["\x9C\x5A\xF6\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC4"],

        ["\xB5\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAB"],
        ["\x9C\x5A\xF6\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC3"],

        ["\xC6\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAC"],
        ["\x9C\x5A\xF6\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xA4"],

        ["\xC6\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAD"],
        ["\x9C\x5A\xF6\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xA5"],

        ["\xC6\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAE"],
        ["\x9C\x5A\xF6\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xA6"],

        ["\xB5\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAF"],
        ["\x9C\x5A\xF6\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC5"],

        ["\xB5\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB0"],
        ["\x9C\x5A\xF6\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC6"],

        ["\xC6\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB1"],
        ["\x9C\x5A\xF6\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xB4"],

        ["\xC6\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB2"],
        ["\x9C\x5A\xF6\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xB5"],

        ["\xC6\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB3"],
        ["\x9C\x5A\xF6\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xB7"],

        ["\xC6\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB4"],
        ["\x9C\x5A\xF6\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xB8"],

        ["\xC6\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB5"],
        ["\x9C\x5A\xF6\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xB9"],

        ["\xC6\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB6"],
        ["\x9C\x5A\xF6\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xBA"],

        ["\xB5\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB7"],
        ["\x9C\x5A\xF6\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC7"],

        ["\xC6\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB8"],
        ["\x9C\x5A\xF6\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xBB"],

        ["\xC6\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB9"],
        ["\x9C\x5A\xF6\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xBD"],

        ["\xC6\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBA"],
        ["\x9C\x5A\xF6\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xBF"],

        ["\xB5\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBB"],
        ["\x9C\x5A\xF6\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC8"],

        ["\xC6\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBC"],
        ["\x9C\x5A\xF6\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC0"],

        ["\xC6\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBD"],
        ["\x9C\x5A\xF6\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC1"],

        ["\xC6\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBE"],
        ["\x9C\x5A\xF6\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC2"],

        ["\xC6\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBF"],
        ["\x9C\x5A\xF6\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC3"],

        ["\xB5\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC0"],
        ["\x9C\x5A\xF6\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],

        ["\xB5\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC2"],
        ["\x9C\x5A\xF6\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xC9"],

        ["\xC6\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC3"],
        ["\x9C\x5A\xF6\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],

        ["\xC6\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC5"],
        ["\x9C\x5A\xF6\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xDA"],

        ["\xB5\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC6"],
        ["\x9C\x5A\xF6\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],

        ["\xC6\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC7"],
        ["\x9C\x5A\xF6\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xDD"],

        ["\xC6\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC8"],
        ["\x9C\x5A\xF6\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xDF"],

        ["\xC6\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC9"],
        ["\x9C\x5A\xF6\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE5"],

        ["\xC6\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCA"],
        ["\x9C\x5A\xF6\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE1"],

        ["\xC6\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCB"],
        ["\x9C\x5A\xF6\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE2"],

        ["\xC6\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCC"],
        ["\x9C\x5A\xF6\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE3"],

        ["\xC6\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCD"],
        ["\x9C\x5A\xF6\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xED"],

        ["\xC6\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCE"],
        ["\x9C\x5A\xF6\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF1"],

        ["\xC6\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCF"],
        ["\x9C\x5A\xF6\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF3"],

        ["\xC6\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD0"],
        ["\x9C\x5A\xF6\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF4"],

        ["\xC6\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD1"],
        ["\x9C\x5A\xF6\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],

        ["\xC6\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD2"],
        ["\x9C\x5A\xF6\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xFB"],

        ["\xC6\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD3"],
        ["\x9C\x5A\xF6\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xFC"],

        ["\xC6\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD4"],
        ["\x9C\x5A\xF6\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xFE"],

        ["\xB5\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD5"],
        ["\x9C\x5A\xF6\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD1"],

        ["\xC7\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD6"],
        ["\x9C\x5A\xF6\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x46"],

        ["\xC7\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD7"],
        ["\x9C\x5A\xF6\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x47"],

        ["\xB5\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD8"],
        ["\x9C\x5A\xF6\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD2"],

        ["\xB5\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD9"],
        ["\x9C\x5A\xF6\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD3"],

        ["\xC7\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDA"],
        ["\x9C\x5A\xF6\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x4C"],

        ["\xB5\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDB"],
        ["\x9C\x5A\xF6\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xD4"],

        ["\xC7\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDD"],
        ["\x9C\x5A\xF6\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x52"],

        ["\xC7\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDE"],
        ["\x9C\x5A\xF6\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x59"],

        ["\xC7\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDF"],
        ["\x9C\x5A\xF6\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x5F"],

        ["\xC7\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE0"],
        ["\x9C\x5A\xF6\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x64"],

        ["\xC7\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE1"],
        ["\x9C\x5A\xF6\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x65"],

        ["\xB5\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE2"],
        ["\x9C\x5A\xF6\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],

        ["\xC7\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE3"],
        ["\x9C\x5A\xF6\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x67"],

        ["\xC7\x6A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE4"],
        ["\x9C\x5A\xF6\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x6A"],

        ["\xC7\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE6"],
        ["\x9C\x5A\xF6\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x73"],

        ["\xC7\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE7"],
        ["\x9C\x5A\xF6\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x74"],

        ["\xC7\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE9"],
        ["\x9C\x5A\xF6\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x77"],

        ["\xC7\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEA"],
        ["\x9C\x5A\xF6\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x79"],

        ["\xC7\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEB"],
        ["\x9C\x5A\xF6\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7D"],

        ["\xC7\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEC"],
        ["\x9C\x5A\xF6\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7F"],

        ["\xC7\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xED"],
        ["\x9C\x5A\xF6\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x80"],

        ["\xC7\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEE"],
        ["\x9C\x5A\xF6\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x82"],

        ["\xB5\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEF"],
        ["\x9C\x5A\xF6\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],

        ["\xB5\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF0"],
        ["\x9C\x5A\xF6\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE0"],

        ["\xC7\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF1"],
        ["\x9C\x5A\xF6\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x87"],

        ["\xB5\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF2"],
        ["\x9C\x5A\xF6\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE2"],

        ["\xB5\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF3"],
        ["\x9C\x5A\xF6\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE3"],

        ["\xB5\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF4"],
        ["\x9C\x5A\xF6\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE4"],

        ["\xB5\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF5"],
        ["\x9C\x5A\xF6\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE5"],

        ["\xC7\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF6"],
        ["\x9C\x5A\xF6\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x98"],

        ["\xC7\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF7"],
        ["\x9C\x5A\xF6\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x9A"],

        ["\xC7\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF8"],
        ["\x9C\x5A\xF6\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x9B"],

        ["\xC7\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF9"],
        ["\x9C\x5A\xF6\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x9C"],

        ["\xC7\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xFA"],
        ["\x9C\x5A\xF6\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x9D"],

        ["\xB5\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xFB"],
        ["\x9C\x5A\xF6\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xE6"],

        ["\xC7\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xFC"],
        ["\x9C\x5A\xF6\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xA1"],

        ["\xC7\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x40"],
        ["\x9C\x5A\xF7\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xA6"],

        ["\xC7\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x41"],
        ["\x9C\x5A\xF7\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xAB"],

        ["\xC7\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x42"],
        ["\x9C\x5A\xF7\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xAD"],

        ["\xC7\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x43"],
        ["\x9C\x5A\xF7\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xAF"],

        ["\xC7\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x44"],
        ["\x9C\x5A\xF7\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB0"],

        ["\xC7\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x45"],
        ["\x9C\x5A\xF7\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB1"],

        ["\xC7\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x46"],
        ["\x9C\x5A\xF7\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB3"],

        ["\xC7\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x47"],
        ["\x9C\x5A\xF7\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB4"],

        ["\xC7\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x48"],
        ["\x9C\x5A\xF7\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB6"],

        ["\xC7\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x49"],
        ["\x9C\x5A\xF7\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB7"],

        ["\xC7\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4A"],
        ["\x9C\x5A\xF7\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB9"],

        ["\xC7\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4B"],
        ["\x9C\x5A\xF7\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xBA"],

        ["\xC7\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4C"],
        ["\x9C\x5A\xF7\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xBD"],

        ["\xC7\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4D"],
        ["\x9C\x5A\xF7\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC0"],

        ["\xC7\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4E"],
        ["\x9C\x5A\xF7\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC2"],

        ["\xC7\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4F"],
        ["\x9C\x5A\xF7\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],

        ["\xC7\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x50"],
        ["\x9C\x5A\xF7\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC8"],

        ["\xB5\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x51"],
        ["\x9C\x5A\xF7\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],

        ["\xB5\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x52"],
        ["\x9C\x5A\xF7\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],

        ["\xC7\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x53"],
        ["\x9C\x5A\xF7\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xCB"],

        ["\xC7\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x54"],
        ["\x9C\x5A\xF7\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xCD"],

        ["\xB5\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x55"],
        ["\x9C\x5A\xF7\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],

        ["\xB5\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x56"],
        ["\x9C\x5A\xF7\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xED"],

        ["\xC7\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x57"],
        ["\x9C\x5A\xF7\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD0"],

        ["\xC7\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5A"],
        ["\x9C\x5A\xF7\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD3"],

        ["\xC7\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5B"],
        ["\x9C\x5A\xF7\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],

        ["\xB5\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5C"],
        ["\x9C\x5A\xF7\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEF"],

        ["\xB5\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5D"],
        ["\x9C\x5A\xF7\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],

        ["\xC7\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5E"],
        ["\x9C\x5A\xF7\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xDB"],

        ["\xB5\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5F"],
        ["\x9C\x5A\xF7\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF0"],

        ["\xC7\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x60"],
        ["\x9C\x5A\xF7\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE9"],

        ["\xC7\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x61"],
        ["\x9C\x5A\xF7\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xDF"],

        ["\xC7\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x62"],
        ["\x9C\x5A\xF7\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE1"],

        ["\xC7\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x63"],
        ["\x9C\x5A\xF7\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE4"],

        ["\xC7\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x64"],
        ["\x9C\x5A\xF7\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],

        ["\xC7\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x65"],
        ["\x9C\x5A\xF7\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE7"],

        ["\xB5\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x66"],
        ["\x9C\x5A\xF7\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF2"],

        ["\xB5\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x67"],
        ["\x9C\x5A\xF7\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF5"],

        ["\xB5\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x68"],
        ["\x9C\x5A\xF7\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF7"],

        ["\xC7\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x69"],
        ["\x9C\x5A\xF7\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xEC"],

        ["\xB5\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6A"],
        ["\x9C\x5A\xF7\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF4"],

        ["\xC7\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6B"],
        ["\x9C\x5A\xF7\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xEF"],

        ["\xB5\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6C"],
        ["\x9C\x5A\xF7\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF6"],

        ["\xC7\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6D"],
        ["\x9C\x5A\xF7\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],

        ["\xC7\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6E"],
        ["\x9C\x5A\xF7\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],

        ["\xC7\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6F"],
        ["\x9C\x5A\xF7\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF3"],

        ["\xC7\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x70"],
        ["\x9C\x5A\xF7\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],

        ["\xB5\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x71"],
        ["\x9C\x5A\xF7\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF9"],

        ["\xB5\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x72"],
        ["\x9C\x5A\xF7\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xF8"],

        ["\xC7\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x73"],
        ["\x9C\x5A\xF7\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xFD"],

        ["\xC7\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x74"],
        ["\x9C\x5A\xF7\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xFE"],

        ["\xC8\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x75"],
        ["\x9C\x5A\xF7\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x42"],

        ["\xB5\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x76"],
        ["\x9C\x5A\xF7\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],

        ["\xC8\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x77"],
        ["\x9C\x5A\xF7\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x46"],

        ["\xC8\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x78"],
        ["\x9C\x5A\xF7\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x49"],

        ["\xC8\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x79"],
        ["\x9C\x5A\xF7\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x4D"],

        ["\xC8\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7A"],
        ["\x9C\x5A\xF7\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x50"],

        ["\xC8\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7B"],
        ["\x9C\x5A\xF7\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x52"],

        ["\xB5\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7C"],
        ["\x9C\x5A\xF7\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFC"],

        ["\xB5\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7D"],
        ["\x9C\x5A\xF7\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFD"],

        ["\xC8\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7E"],
        ["\x9C\x5A\xF7\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x53"],

        ["\xC8\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x80"],
        ["\x9C\x5A\xF7\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x54"],

        ["\xC8\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x81"],
        ["\x9C\x5A\xF7\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x57"],

        ["\xC8\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x82"],
        ["\x9C\x5A\xF7\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x5A"],

        ["\xB5\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x83"],
        ["\x9C\x5A\xF7\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFE"],

        ["\xC8\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x84"],
        ["\x9C\x5A\xF7\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x65"],

        ["\xC8\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x85"],
        ["\x9C\x5A\xF7\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x69"],

        ["\xC8\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x86"],
        ["\x9C\x5A\xF7\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x6B"],

        ["\xC8\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x87"],
        ["\x9C\x5A\xF7\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x6C"],

        ["\xC8\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x88"],
        ["\x9C\x5A\xF7\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x71"],

        ["\xB6\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x89"],
        ["\x9C\x5A\xF7\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x43"],

        ["\xC8\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8A"],
        ["\x9C\x5A\xF7\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x7B"],

        ["\xC8\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8B"],
        ["\x9C\x5A\xF7\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x7C"],

        ["\xB6\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8C"],
        ["\x9C\x5A\xF7\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x45"],

        ["\xC8\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8D"],
        ["\x9C\x5A\xF7\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x85"],

        ["\xC8\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8E"],
        ["\x9C\x5A\xF7\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x86"],

        ["\xC8\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8F"],
        ["\x9C\x5A\xF7\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x89"],

        ["\xC8\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x90"],
        ["\x9C\x5A\xF7\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x8B"],

        ["\xB6\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x91"],
        ["\x9C\x5A\xF7\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x46"],

        ["\xC8\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x92"],
        ["\x9C\x5A\xF7\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x8C"],

        ["\xB6\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x93"],
        ["\x9C\x5A\xF7\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x47"],

        ["\xB6\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x94"],
        ["\x9C\x5A\xF7\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x48"],

        ["\xB6\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x95"],
        ["\x9C\x5A\xF7\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x4A"],

        ["\xC8\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x96"],
        ["\x9C\x5A\xF7\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x97"],

        ["\xB6\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x97"],
        ["\x9C\x5A\xF7\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x49"],

        ["\xC8\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x98"],
        ["\x9C\x5A\xF7\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x99"],

        ["\xC8\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x99"],
        ["\x9C\x5A\xF7\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x9A"],

        ["\xC8\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9A"],
        ["\x9C\x5A\xF7\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x9E"],

        ["\xB6\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9B"],
        ["\x9C\x5A\xF7\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x4C"],

        ["\xC8\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9C"],
        ["\x9C\x5A\xF7\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x9F"],

        ["\xB6\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9D"],
        ["\x9C\x5A\xF7\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x4B"],

        ["\xC8\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9E"],
        ["\x9C\x5A\xF7\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xA1"],

        ["\xC8\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9F"],
        ["\x9C\x5A\xF7\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xA3"],

        ["\xB6\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA0"],
        ["\x9C\x5A\xF7\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x4D"],

        ["\xC8\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA1"],
        ["\x9C\x5A\xF7\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xA8"],

        ["\xB6\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA2"],
        ["\x9C\x5A\xF7\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x4E"],

        ["\xC8\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA3"],
        ["\x9C\x5A\xF7\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xAC"],

        ["\xC8\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA4"],
        ["\x9C\x5A\xF7\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xAE"],

        ["\xB6\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA5"],
        ["\x9C\x5A\xF7\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x4F"],

        ["\xC8\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA6"],
        ["\x9C\x5A\xF7\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xAF"],

        ["\xC8\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA7"],
        ["\x9C\x5A\xF7\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],

        ["\xC8\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA8"],
        ["\x9C\x5A\xF7\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xB3"],

        ["\xB6\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA9"],
        ["\x9C\x5A\xF7\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x50"],

        ["\xC8\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAA"],
        ["\x9C\x5A\xF7\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xB6"],

        ["\xC8\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAB"],
        ["\x9C\x5A\xF7\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xBA"],

        ["\xB6\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAC"],
        ["\x9C\x5A\xF7\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x52"],

        ["\xB6\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAD"],
        ["\x9C\x5A\xF7\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x51"],

        ["\xC8\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAE"],
        ["\x9C\x5A\xF7\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC1"],

        ["\xC8\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAF"],
        ["\x9C\x5A\xF7\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC2"],

        ["\xC8\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB0"],
        ["\x9C\x5A\xF7\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC3"],

        ["\xC8\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB1"],
        ["\x9C\x5A\xF7\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC5"],

        ["\xB6\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB2"],
        ["\x9C\x5A\xF7\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x56"],

        ["\xB6\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB3"],
        ["\x9C\x5A\xF7\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x54"],

        ["\xB6\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB4"],
        ["\x9C\x5A\xF7\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x53"],

        ["\xC8\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB5"],
        ["\x9C\x5A\xF7\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xCA"],

        ["\xC8\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB6"],
        ["\x9C\x5A\xF7\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xCB"],

        ["\xC8\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB7"],
        ["\x9C\x5A\xF7\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xCF"],

        ["\xC8\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB8"],
        ["\x9C\x5A\xF7\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD0"],

        ["\xB6\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB9"],
        ["\x9C\x5A\xF7\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x55"],

        ["\xC8\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBA"],
        ["\x9C\x5A\xF7\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],

        ["\xB6\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBB"],
        ["\x9C\x5A\xF7\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x57"],

        ["\xC8\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBC"],
        ["\x9C\x5A\xF7\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],

        ["\xC8\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBD"],
        ["\x9C\x5A\xF7\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xDA"],

        ["\xC8\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBE"],
        ["\x9C\x5A\xF7\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xDC"],

        ["\xC8\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBF"],
        ["\x9C\x5A\xF7\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],

        ["\xB6\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC0"],
        ["\x9C\x5A\xF7\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x59"],

        ["\xC8\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC1"],
        ["\x9C\x5A\xF7\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE1"],

        ["\xC8\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC2"],
        ["\x9C\x5A\xF7\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE4"],

        ["\xC8\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC3"],
        ["\x9C\x5A\xF7\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],

        ["\xC8\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC4"],
        ["\x9C\x5A\xF7\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE7"],

        ["\xB6\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC6"],
        ["\x9C\x5A\xF7\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x58"],

        ["\xC8\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC7"],
        ["\x9C\x5A\xF7\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],

        ["\xC8\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC8"],
        ["\x9C\x5A\xF7\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF2"],

        ["\xC8\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC9"],
        ["\x9C\x5A\xF7\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF5"],

        ["\xC8\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCA"],
        ["\x9C\x5A\xF7\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],

        ["\xC8\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCB"],
        ["\x9C\x5A\xF7\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xFC"],

        ["\xB6\x5C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCC"],
        ["\x9C\x5A\xF7\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x5C"],

        ["\xB6\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCD"],
        ["\x9C\x5A\xF7\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x5E"],

        ["\xB6\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCE"],
        ["\x9C\x5A\xF7\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x5D"],

        ["\xC9\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCF"],
        ["\x9C\x5A\xF7\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x42"],

        ["\xC9\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD0"],
        ["\x9C\x5A\xF7\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x45"],

        ["\xC9\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD1"],
        ["\x9C\x5A\xF7\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x47"],

        ["\xC9\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD2"],
        ["\x9C\x5A\xF7\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x48"],

        ["\xC9\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD3"],
        ["\x9C\x5A\xF7\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x49"],

        ["\xC9\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD4"],
        ["\x9C\x5A\xF7\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x4B"],

        ["\xC9\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD5"],
        ["\x9C\x5A\xF7\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x52"],

        ["\xC9\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD6"],
        ["\x9C\x5A\xF7\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x5E"],

        ["\xB6\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD7"],
        ["\x9C\x5A\xF7\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x60"],

        ["\xC9\x60",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD8"],
        ["\x9C\x5A\xF7\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x60"],

        ["\xC9\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD9"],
        ["\x9C\x5A\xF7\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x62"],

        ["\xC9\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDA"],
        ["\x9C\x5A\xF7\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x63"],

        ["\xB6\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDB"],
        ["\x9C\x5A\xF7\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x61"],

        ["\xC9\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDC"],
        ["\x9C\x5A\xF7\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x65"],

        ["\xC9\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDD"],
        ["\x9C\x5A\xF7\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x67"],

        ["\xC9\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDE"],
        ["\x9C\x5A\xF7\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x68"],

        ["\xB6\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDF"],
        ["\x9C\x5A\xF7\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x62"],

        ["\xC9\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE0"],
        ["\x9C\x5A\xF7\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x6C"],

        ["\xC9\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE1"],
        ["\x9C\x5A\xF7\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x6B"],

        ["\xC9\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE2"],
        ["\x9C\x5A\xF7\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x6E"],

        ["\xC9\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE3"],
        ["\x9C\x5A\xF7\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x70"],

        ["\xC9\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE4"],
        ["\x9C\x5A\xF7\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x71"],

        ["\xC9\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE5"],
        ["\x9C\x5A\xF7\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x72"],

        ["\xB3\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE6"],
        ["\x9C\x5A\xF7\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x6E"],

        ["\xB6\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE7"],
        ["\x9C\x5A\xF7\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x63"],

        ["\xC9\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE8"],
        ["\x9C\x5A\xF7\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x73"],

        ["\xB6\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE9"],
        ["\x9C\x5A\xF7\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x64"],

        ["\xC9\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEA"],
        ["\x9C\x5A\xF7\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x78"],

        ["\xC9\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEB"],
        ["\x9C\x5A\xF7\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x79"],

        ["\xC9\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEC"],
        ["\x9C\x5A\xF7\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x7A"],

        ["\xC9\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xED"],
        ["\x9C\x5A\xF7\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x7D"],

        ["\xC9\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEE"],
        ["\x9C\x5A\xF7\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x7F"],

        ["\xC9\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEF"],
        ["\x9C\x5A\xF7\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x80"],

        ["\xB6\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF0"],
        ["\x9C\x5A\xF7\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x66"],

        ["\xC9\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF1"],
        ["\x9C\x5A\xF7\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x86"],

        ["\xB6\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF2"],
        ["\x9C\x5A\xF7\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x67"],

        ["\xB5\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF3"],
        ["\x9C\x5A\xF7\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x45"],

        ["\xC9\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF4"],
        ["\x9C\x5A\xF7\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x88"],

        ["\xC9\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF5"],
        ["\x9C\x5A\xF7\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x8A"],

        ["\xC9\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF6"],
        ["\x9C\x5A\xF7\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x8E"],

        ["\xB6\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF7"],
        ["\x9C\x5A\xF7\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x68"],

        ["\xC9\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF8"],
        ["\x9C\x5A\xF7\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x93"],

        ["\xC9\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF9"],
        ["\x9C\x5A\xF7\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x96"],

        ["\xC9\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xFA"],
        ["\x9C\x5A\xF7\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x99"],

        ["\xC9\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xFB"],
        ["\x9C\x5A\xF7\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x9A"],

        ["\xC9\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xFC"],
        ["\x9C\x5A\xF7\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x9E"],

        ["\xC9\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x40"],
        ["\x9C\x5A\xF8\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x9F"],

        ["\xB6\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x41"],
        ["\x9C\x5A\xF8\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x69"],

        ["\xC9\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x42"],
        ["\x9C\x5A\xF8\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],

        ["\xC9\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x43"],
        ["\x9C\x5A\xF8\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],

        ["\xC9\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x44"],
        ["\x9C\x5A\xF8\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xA8"],

        ["\xC9\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x45"],
        ["\x9C\x5A\xF8\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xAA"],

        ["\xC9\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x46"],
        ["\x9C\x5A\xF8\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xAD"],

        ["\xC9\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x47"],
        ["\x9C\x5A\xF8\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],

        ["\xC9\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x48"],
        ["\x9C\x5A\xF8\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xB4"],

        ["\xC9\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x49"],
        ["\x9C\x5A\xF8\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xB6"],

        ["\xB6\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4A"],
        ["\x9C\x5A\xF8\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x6B"],

        ["\xC9\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4B"],
        ["\x9C\x5A\xF8\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],

        ["\xC9\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4C"],
        ["\x9C\x5A\xF8\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],

        ["\xC9\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4D"],
        ["\x9C\x5A\xF8\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],

        ["\xB6\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4E"],
        ["\x9C\x5A\xF8\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x6C"],

        ["\xB6\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4F"],
        ["\x9C\x5A\xF8\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x6D"],

        ["\xC9\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x50"],
        ["\x9C\x5A\xF8\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC9"],

        ["\xB6\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x51"],
        ["\x9C\x5A\xF8\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x6E"],

        ["\xC9\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x52"],
        ["\x9C\x5A\xF8\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xCC"],

        ["\xC9\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x53"],
        ["\x9C\x5A\xF8\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xCE"],

        ["\xB6\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x54"],
        ["\x9C\x5A\xF8\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x72"],

        ["\xB6\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x55"],
        ["\x9C\x5A\xF8\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x6F"],

        ["\xC9\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x56"],
        ["\x9C\x5A\xF8\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],

        ["\xC9\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x57"],
        ["\x9C\x5A\xF8\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],

        ["\xB6\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x58"],
        ["\x9C\x5A\xF8\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x71"],

        ["\xB6\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x59"],
        ["\x9C\x5A\xF8\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x75"],

        ["\xB6\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5A"],
        ["\x9C\x5A\xF8\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x77"],

        ["\xB6\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5B"],
        ["\x9C\x5A\xF8\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x73"],

        ["\xB6\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5C"],
        ["\x9C\x5A\xF8\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x74"],

        ["\xB6\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5D"],
        ["\x9C\x5A\xF8\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x76"],

        ["\xC9\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5E"],
        ["\x9C\x5A\xF8\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xEE"],

        ["\xC9\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5F"],
        ["\x9C\x5A\xF8\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE4"],

        ["\xC9\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x60"],
        ["\x9C\x5A\xF8\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],

        ["\xB6\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x61"],
        ["\x9C\x5A\xF8\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x78"],

        ["\xC9\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x62"],
        ["\x9C\x5A\xF8\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xEA"],

        ["\xC9\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x63"],
        ["\x9C\x5A\xF8\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xEB"],

        ["\xC9\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x64"],
        ["\x9C\x5A\xF8\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xEC"],

        ["\xB6\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x65"],
        ["\x9C\x5A\xF8\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x7B"],

        ["\xB6\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x66"],
        ["\x9C\x5A\xF8\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x79"],

        ["\xB6\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x67"],
        ["\x9C\x5A\xF8\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x7A"],

        ["\xC9\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x68"],
        ["\x9C\x5A\xF8\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xFB"],

        ["\xB6\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x69"],
        ["\x9C\x5A\xF8\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x7C"],

        ["\xCA\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6A"],
        ["\x9C\x5A\xF8\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x41"],

        ["\xB6\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6B"],
        ["\x9C\x5A\xF8\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x7D"],

        ["\xCA\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6C"],
        ["\x9C\x5A\xF8\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x42"],

        ["\xCA\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6D"],
        ["\x9C\x5A\xF8\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x43"],

        ["\xB6\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6E"],
        ["\x9C\x5A\xF8\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x7E"],

        ["\xCA\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6F"],
        ["\x9C\x5A\xF8\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x49"],

        ["\xCA\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x70"],
        ["\x9C\x5A\xF8\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x4E"],

        ["\xB6\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x71"],
        ["\x9C\x5A\xF8\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x7F"],

        ["\xCA\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x72"],
        ["\x9C\x5A\xF8\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x51"],

        ["\xB6\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x73"],
        ["\x9C\x5A\xF8\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x80"],

        ["\xCA\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x74"],
        ["\x9C\x5A\xF8\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x59"],

        ["\xB6\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x75"],
        ["\x9C\x5A\xF8\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x81"],

        ["\xCA\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x76"],
        ["\x9C\x5A\xF8\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x5D"],

        ["\xB6\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x77"],
        ["\x9C\x5A\xF8\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x82"],

        ["\xCA\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x78"],
        ["\x9C\x5A\xF8\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x5F"],

        ["\xB6\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x79"],
        ["\x9C\x5A\xF8\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x85"],

        ["\xCA\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7A"],
        ["\x9C\x5A\xF8\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x67"],

        ["\xCA\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7B"],
        ["\x9C\x5A\xF8\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x68"],

        ["\xB6\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7C"],
        ["\x9C\x5A\xF8\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x86"],

        ["\xB6\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7D"],
        ["\x9C\x5A\xF8\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x87"],

        ["\xB6\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7E"],
        ["\x9C\x5A\xF8\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x89"],

        ["\xCA\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x80"],
        ["\x9C\x5A\xF8\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x6E"],

        ["\xCA\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x81"],
        ["\x9C\x5A\xF8\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x71"],

        ["\xCA\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x82"],
        ["\x9C\x5A\xF8\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x72"],

        ["\xB6\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x83"],
        ["\x9C\x5A\xF8\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8A"],

        ["\xCA\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x84"],
        ["\x9C\x5A\xF8\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x74"],

        ["\xCA\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x85"],
        ["\x9C\x5A\xF8\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x75"],

        ["\xB6\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x86"],
        ["\x9C\x5A\xF8\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8B"],

        ["\xCA\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x87"],
        ["\x9C\x5A\xF8\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x7A"],

        ["\xB6\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x88"],
        ["\x9C\x5A\xF8\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8C"],

        ["\xCA\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x89"],
        ["\x9C\x5A\xF8\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x79"],

        ["\xB6\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8A"],
        ["\x9C\x5A\xF8\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8E"],

        ["\xCA\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8B"],
        ["\x9C\x5A\xF8\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x7B"],

        ["\xB6\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8C"],
        ["\x9C\x5A\xF8\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8D"],

        ["\xCA\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8D"],
        ["\x9C\x5A\xF8\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x7D"],

        ["\xB6\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8E"],
        ["\x9C\x5A\xF8\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8F"],

        ["\xB6\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8F"],
        ["\x9C\x5A\xF8\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x90"],

        ["\xB6\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x90"],
        ["\x9C\x5A\xF8\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x91"],

        ["\xCA\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x91"],
        ["\x9C\x5A\xF8\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x80"],

        ["\xCA\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x92"],
        ["\x9C\x5A\xF8\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x82"],

        ["\xB6\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x93"],
        ["\x9C\x5A\xF8\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x92"],

        ["\xB6\x94",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x94"],
        ["\x9C\x5A\xF8\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x94"],

        ["\xB6\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x95"],
        ["\x9C\x5A\xF8\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x95"],

        ["\xB6\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x96"],
        ["\x9C\x5A\xF8\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x96"],

        ["\xB6\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x97"],
        ["\x9C\x5A\xF8\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x93"],

        ["\xCA\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x98"],
        ["\x9C\x5A\xF8\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x87"],

        ["\xCA\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x99"],
        ["\x9C\x5A\xF8\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x88"],

        ["\xCA\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9A"],
        ["\x9C\x5A\xF8\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x8B"],

        ["\xCA\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9B"],
        ["\x9C\x5A\xF8\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x8F"],

        ["\xB6\x98",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9C"],
        ["\x9C\x5A\xF8\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x98"],

        ["\xCA\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9D"],
        ["\x9C\x5A\xF8\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x9B"],

        ["\xCA\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9E"],
        ["\x9C\x5A\xF8\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x9C"],

        ["\xCA\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9F"],
        ["\x9C\x5A\xF8\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],

        ["\xCA\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA0"],
        ["\x9C\x5A\xF8\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],

        ["\xCA\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA1"],
        ["\x9C\x5A\xF8\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA4"],

        ["\xCA\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA2"],
        ["\x9C\x5A\xF8\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],

        ["\xCA\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA3"],
        ["\x9C\x5A\xF8\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xAD"],

        ["\xCA\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA4"],
        ["\x9C\x5A\xF8\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xAF"],

        ["\xCA\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA5"],
        ["\x9C\x5A\xF8\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB4"],

        ["\xCA\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA6"],
        ["\x9C\x5A\xF8\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB8"],

        ["\xCA\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA7"],
        ["\x9C\x5A\xF8\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB9"],

        ["\xB6\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA8"],
        ["\x9C\x5A\xF8\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x99"],

        ["\xCA\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA9"],
        ["\x9C\x5A\xF8\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xD3"],

        ["\xCA\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAA"],
        ["\x9C\x5A\xF8\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xBC"],

        ["\xCA\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAB"],
        ["\x9C\x5A\xF8\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xBD"],

        ["\xCA\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAC"],
        ["\x9C\x5A\xF8\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xC5"],

        ["\xCA\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAD"],
        ["\x9C\x5A\xF8\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xC9"],

        ["\xCA\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAE"],
        ["\x9C\x5A\xF8\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xCD"],

        ["\xCA\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAF"],
        ["\x9C\x5A\xF8\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xD6"],

        ["\xB6\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB0"],
        ["\x9C\x5A\xF8\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9B"],

        ["\xB6\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB2"],
        ["\x9C\x5A\xF8\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9D"],

        ["\xB6\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB3"],
        ["\x9C\x5A\xF8\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9A"],

        ["\xCA\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB4"],
        ["\x9C\x5A\xF8\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xDE"],

        ["\xCA\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB5"],
        ["\x9C\x5A\xF8\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xE0"],

        ["\xCA\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB6"],
        ["\x9C\x5A\xF8\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xE1"],

        ["\xCA\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB7"],
        ["\x9C\x5A\xF8\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xE4"],

        ["\xCA\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB8"],
        ["\x9C\x5A\xF8\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xE6"],

        ["\xCA\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB9"],
        ["\x9C\x5A\xF8\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xEF"],

        ["\xCA\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBA"],
        ["\x9C\x5A\xF8\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xF1"],

        ["\xCA\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBB"],
        ["\x9C\x5A\xF8\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xF3"],

        ["\xCA\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBC"],
        ["\x9C\x5A\xF8\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xF4"],

        ["\xB6\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBD"],
        ["\x9C\x5A\xF8\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA0"],

        ["\xCA\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBE"],
        ["\x9C\x5A\xF8\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xF8"],

        ["\xCA\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBF"],
        ["\x9C\x5A\xF8\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFD"],

        ["\xCA\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC0"],
        ["\x9C\x5A\xF8\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFE"],

        ["\xCB\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC1"],
        ["\x9C\x5A\xF8\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x41"],

        ["\xB6\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC2"],
        ["\x9C\x5A\xF8\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA1"],

        ["\xB6\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC3"],
        ["\x9C\x5A\xF8\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],

        ["\xCB\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC4"],
        ["\x9C\x5A\xF8\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x44"],

        ["\xCB\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC5"],
        ["\x9C\x5A\xF8\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x47"],

        ["\xCB\x49",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC6"],
        ["\x9C\x5A\xF8\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x49"],

        ["\xCB\x4A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC7"],
        ["\x9C\x5A\xF8\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x4A"],

        ["\xCB\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC8"],
        ["\x9C\x5A\xF8\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x4B"],

        ["\xCB\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC9"],
        ["\x9C\x5A\xF8\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x4E"],

        ["\xCB\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCA"],
        ["\x9C\x5A\xF8\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x4F"],

        ["\xCB\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCB"],
        ["\x9C\x5A\xF8\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x50"],

        ["\xB6\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCC"],
        ["\x9C\x5A\xF8\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],

        ["\xCB\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCD"],
        ["\x9C\x5A\xF8\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x53"],

        ["\xCB\x59",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCE"],
        ["\x9C\x5A\xF8\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x59"],

        ["\xCB\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCF"],
        ["\x9C\x5A\xF8\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x5A"],

        ["\xCB\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD0"],
        ["\x9C\x5A\xF8\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x5B"],

        ["\xCB\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD1"],
        ["\x9C\x5A\xF8\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x5D"],

        ["\xB6\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD2"],
        ["\x9C\x5A\xF8\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],

        ["\xB6\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD4"],
        ["\x9C\x5A\xF8\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA6"],

        ["\xCB\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD5"],
        ["\x9C\x5A\xF8\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x63"],

        ["\xCB\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD6"],
        ["\x9C\x5A\xF8\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x6B"],

        ["\xB6\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD7"],
        ["\x9C\x5A\xF8\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA7"],

        ["\xB6\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD8"],
        ["\x9C\x5A\xF8\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],

        ["\xCB\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD9"],
        ["\x9C\x5A\xF8\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x71"],

        ["\xCB\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDA"],
        ["\x9C\x5A\xF8\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x72"],

        ["\xB6\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDB"],
        ["\x9C\x5A\xF8\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],

        ["\xCB\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDC"],
        ["\x9C\x5A\xF8\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x73"],

        ["\xCB\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDD"],
        ["\x9C\x5A\xF8\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x74"],

        ["\xCB\x75",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDE"],
        ["\x9C\x5A\xF8\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x75"],

        ["\xCB\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDF"],
        ["\x9C\x5A\xF8\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x76"],

        ["\xCB\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE0"],
        ["\x9C\x5A\xF8\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x77"],

        ["\xCB\x7A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE1"],
        ["\x9C\x5A\xF8\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x7A"],

        ["\xCB\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE2"],
        ["\x9C\x5A\xF8\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x7C"],

        ["\xCB\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE3"],
        ["\x9C\x5A\xF8\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x80"],

        ["\xB6\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE4"],
        ["\x9C\x5A\xF8\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAA"],

        ["\xCB\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE5"],
        ["\x9C\x5A\xF8\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x87"],

        ["\xCB\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE6"],
        ["\x9C\x5A\xF8\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x88"],

        ["\xCB\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE7"],
        ["\x9C\x5A\xF8\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x8B"],

        ["\xCB\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE8"],
        ["\x9C\x5A\xF8\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x8F"],

        ["\xCB\x93",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE9"],
        ["\x9C\x5A\xF8\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x93"],

        ["\xCB\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xEA"],
        ["\x9C\x5A\xF8\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA0"],

        ["\xB6\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xEB"],
        ["\x9C\x5A\xF8\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],

        ["\xB6\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xEC"],
        ["\x9C\x5A\xF8\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAF"],

        ["\xB6\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xED"],
        ["\x9C\x5A\xF8\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],

        ["\xCB\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xEE"],
        ["\x9C\x5A\xF8\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x95"],

        ["\xCB\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF0"],
        ["\x9C\x5A\xF8\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x9A"],

        ["\xCB\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF1"],
        ["\x9C\x5A\xF8\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x9D"],

        ["\xCB\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF2"],
        ["\x9C\x5A\xF8\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x9E"],

        ["\xB6\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF3"],
        ["\x9C\x5A\xF8\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB0"],

        ["\xCB\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF4"],
        ["\x9C\x5A\xF8\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA3"],

        ["\xCB\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF5"],
        ["\x9C\x5A\xF8\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA4"],

        ["\xCB\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF6"],
        ["\x9C\x5A\xF8\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],

        ["\xCB\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF7"],
        ["\x9C\x5A\xF8\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],

        ["\xCB\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF8"],
        ["\x9C\x5A\xF8\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],

        ["\xCB\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF9"],
        ["\x9C\x5A\xF8\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xAD"],

        ["\xCB\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xFA"],
        ["\x9C\x5A\xF8\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xAF"],

        ["\xCB\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xFB"],
        ["\x9C\x5A\xF8\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB0"],

        ["\xB6\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xFC"],
        ["\x9C\x5A\xF8\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],

        ["\xB6\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x40"],
        ["\x9C\x5A\xF9\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB1"],

        ["\xB6\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x41"],
        ["\x9C\x5A\xF9\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],

        ["\xCB\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x42"],
        ["\x9C\x5A\xF9\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB8"],

        ["\xCB\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x43"],
        ["\x9C\x5A\xF9\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xBA"],

        ["\xCB\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x44"],
        ["\x9C\x5A\xF9\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xBF"],

        ["\xCB\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x45"],
        ["\x9C\x5A\xF9\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xC0"],

        ["\xCB\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x46"],
        ["\x9C\x5A\xF9\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xC3"],

        ["\xB6\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x47"],
        ["\x9C\x5A\xF9\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],

        ["\xCB\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x48"],
        ["\x9C\x5A\xF9\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xC5"],

        ["\xB6\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x49"],
        ["\x9C\x5A\xF9\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB5"],

        ["\xCB\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4A"],
        ["\x9C\x5A\xF9\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xC7"],

        ["\xCB\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4B"],
        ["\x9C\x5A\xF9\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCB"],

        ["\xCB\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4C"],
        ["\x9C\x5A\xF9\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],

        ["\xCB\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4D"],
        ["\x9C\x5A\xF9\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xD4"],

        ["\xCB\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4E"],
        ["\x9C\x5A\xF9\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xD9"],

        ["\xCB\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4F"],
        ["\x9C\x5A\xF9\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDA"],

        ["\xB6\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x50"],
        ["\x9C\x5A\xF9\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB6"],

        ["\xCB\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x51"],
        ["\x9C\x5A\xF9\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDB"],

        ["\xB6\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x52"],
        ["\x9C\x5A\xF9\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB8"],

        ["\xB6\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x53"],
        ["\x9C\x5A\xF9\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB9"],

        ["\xCB\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x54"],
        ["\x9C\x5A\xF9\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xE0"],

        ["\xB6\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x55"],
        ["\x9C\x5A\xF9\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBA"],

        ["\xCB\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x56"],
        ["\x9C\x5A\xF9\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xE2"],

        ["\xCB\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x58"],
        ["\x9C\x5A\xF9\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xE7"],

        ["\xCB\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x59"],
        ["\x9C\x5A\xF9\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xE8"],

        ["\xCB\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5A"],
        ["\x9C\x5A\xF9\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xF4"],

        ["\xCB\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5B"],
        ["\x9C\x5A\xF9\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xF7"],

        ["\xCB\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5C"],
        ["\x9C\x5A\xF9\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xF8"],

        ["\xB6\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5D"],
        ["\x9C\x5A\xF9\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],

        ["\xB6\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5E"],
        ["\x9C\x5A\xF9\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBF"],

        ["\xCB\xFA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5F"],
        ["\x9C\x5A\xF9\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xFA"],

        ["\xCB\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x60"],
        ["\x9C\x5A\xF9\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],

        ["\xCC\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x61"],
        ["\x9C\x5A\xF9\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x41"],

        ["\xB6\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x62"],
        ["\x9C\x5A\xF9\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC0"],

        ["\xCC\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x63"],
        ["\x9C\x5A\xF9\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x45"],

        ["\xCC\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x65"],
        ["\x9C\x5A\xF9\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x47"],

        ["\xCC\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x66"],
        ["\x9C\x5A\xF9\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x48"],

        ["\xCC\x50",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x67"],
        ["\x9C\x5A\xF9\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x50"],

        ["\xCC\x51",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x68"],
        ["\x9C\x5A\xF9\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x51"],

        ["\xCC\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x69"],
        ["\x9C\x5A\xF9\x69",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x53"],

        ["\xCC\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6A"],
        ["\x9C\x5A\xF9\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x55"],

        ["\xCC\x56",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6B"],
        ["\x9C\x5A\xF9\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x56"],

        ["\xCC\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6C"],
        ["\x9C\x5A\xF9\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x5A"],

        ["\xB6\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6D"],
        ["\x9C\x5A\xF9\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC1"],

        ["\xB6\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6E"],
        ["\x9C\x5A\xF9\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC2"],

        ["\xCC\x61",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6F"],
        ["\x9C\x5A\xF9\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x61"],

        ["\xCC\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x70"],
        ["\x9C\x5A\xF9\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x62"],

        ["\xCC\x64",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x71"],
        ["\x9C\x5A\xF9\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x64"],

        ["\xCC\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x72"],
        ["\x9C\x5A\xF9\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x66"],

        ["\xCC\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x73"],
        ["\x9C\x5A\xF9\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x67"],

        ["\xCC\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x74"],
        ["\x9C\x5A\xF9\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x69"],

        ["\xCC\x6B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x75"],
        ["\x9C\x5A\xF9\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x6B"],

        ["\xCC\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x76"],
        ["\x9C\x5A\xF9\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x6C"],

        ["\xCC\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x77"],
        ["\x9C\x5A\xF9\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x6D"],

        ["\xCC\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x78"],
        ["\x9C\x5A\xF9\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x71"],

        ["\xCC\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x79"],
        ["\x9C\x5A\xF9\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x74"],

        ["\xCC\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7A"],
        ["\x9C\x5A\xF9\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x77"],

        ["\xCC\x78",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7B"],
        ["\x9C\x5A\xF9\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x78"],

        ["\xCC\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7C"],
        ["\x9C\x5A\xF9\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x79"],

        ["\xB6\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7D"],
        ["\x9C\x5A\xF9\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC3"],

        ["\xCC\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7E"],
        ["\x9C\x5A\xF9\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x7C"],

        ["\xCC\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x80"],
        ["\x9C\x5A\xF9\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x7F"],

        ["\xCC\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x81"],
        ["\x9C\x5A\xF9\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x80"],

        ["\xCC\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x82"],
        ["\x9C\x5A\xF9\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x83"],

        ["\xB6\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x83"],
        ["\x9C\x5A\xF9\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC4"],

        ["\xB6\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x84"],
        ["\x9C\x5A\xF9\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC6"],

        ["\xB6\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x85"],
        ["\x9C\x5A\xF9\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC5"],

        ["\xCC\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x86"],
        ["\x9C\x5A\xF9\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x97"],

        ["\xCC\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x87"],
        ["\x9C\x5A\xF9\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x8B"],

        ["\xCC\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x88"],
        ["\x9C\x5A\xF9\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x8C"],

        ["\xCC\x8F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x89"],
        ["\x9C\x5A\xF9\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x8F"],

        ["\xCC\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8A"],
        ["\x9C\x5A\xF9\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x95"],

        ["\xB6\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8B"],
        ["\x9C\x5A\xF9\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC7"],

        ["\xB6\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8C"],
        ["\x9C\x5A\xF9\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC8"],

        ["\xCC\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8D"],
        ["\x9C\x5A\xF9\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x9D"],

        ["\xB6\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8E"],
        ["\x9C\x5A\xF9\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xC9"],

        ["\xCC\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8F"],
        ["\x9C\x5A\xF9\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x9F"],

        ["\xCC\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x90"],
        ["\x9C\x5A\xF9\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA3"],

        ["\xB6\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x91"],
        ["\x9C\x5A\xF9\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],

        ["\xCC\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x92"],
        ["\x9C\x5A\xF9\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA9"],

        ["\xB6\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x93"],
        ["\x9C\x5A\xF9\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCB"],

        ["\xCC\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x94"],
        ["\x9C\x5A\xF9\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xAB"],

        ["\xB6\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x95"],
        ["\x9C\x5A\xF9\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],

        ["\xB6\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x96"],
        ["\x9C\x5A\xF9\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCD"],

        ["\xCC\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x97"],
        ["\x9C\x5A\xF9\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xAD"],

        ["\xCC\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x98"],
        ["\x9C\x5A\xF9\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xAE"],

        ["\xCC\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x99"],
        ["\x9C\x5A\xF9\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xAF"],

        ["\xCC\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9A"],
        ["\x9C\x5A\xF9\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB5"],

        ["\xCC\xB6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9B"],
        ["\x9C\x5A\xF9\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],

        ["\xCC\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9C"],
        ["\x9C\x5A\xF9\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBA"],

        ["\xCC\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9D"],
        ["\x9C\x5A\xF9\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBD"],

        ["\xCC\xC6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9E"],
        ["\x9C\x5A\xF9\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xC6"],

        ["\xCC\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9F"],
        ["\x9C\x5A\xF9\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xC8"],

        ["\xCC\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA0"],
        ["\x9C\x5A\xF9\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],

        ["\xCC\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA1"],
        ["\x9C\x5A\xF9\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xCD"],

        ["\xB6\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA2"],
        ["\x9C\x5A\xF9\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD0"],

        ["\xCC\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA3"],
        ["\x9C\x5A\xF9\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xD3"],

        ["\xCC\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA4"],
        ["\x9C\x5A\xF9\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xD9"],

        ["\xCC\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA5"],
        ["\x9C\x5A\xF9\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xDC"],

        ["\xCC\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA6"],
        ["\x9C\x5A\xF9\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xDE"],

        ["\xB6\xD2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA7"],
        ["\x9C\x5A\xF9\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD2"],

        ["\xB6\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA8"],
        ["\x9C\x5A\xF9\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD1"],

        ["\xCC\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA9"],
        ["\x9C\x5A\xF9\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xDF"],

        ["\xB6\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAA"],
        ["\x9C\x5A\xF9\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD4"],

        ["\xB6\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAB"],
        ["\x9C\x5A\xF9\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD3"],

        ["\xCC\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAC"],
        ["\x9C\x5A\xF9\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xE9"],

        ["\xB6\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAD"],
        ["\x9C\x5A\xF9\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD5"],

        ["\xCC\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAE"],
        ["\x9C\x5A\xF9\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],

        ["\xCC\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAF"],
        ["\x9C\x5A\xF9\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],

        ["\xCC\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB0"],
        ["\x9C\x5A\xF9\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xEF"],

        ["\xCC\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB1"],
        ["\x9C\x5A\xF9\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xF6"],

        ["\xB6\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB2"],
        ["\x9C\x5A\xF9\xB2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD7"],

        ["\xCC\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB3"],
        ["\x9C\x5A\xF9\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xF5"],

        ["\xCC\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB4"],
        ["\x9C\x5A\xF9\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xF7"],

        ["\xCC\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB5"],
        ["\x9C\x5A\xF9\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xF8"],

        ["\xCC\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB6"],
        ["\x9C\x5A\xF9\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xFC"],

        ["\xCC\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB7"],
        ["\x9C\x5A\xF9\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],

        ["\xB6\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB8"],
        ["\x9C\x5A\xF9\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xD8"],

        ["\xCD\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB9"],
        ["\x9C\x5A\xF9\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x41"],

        ["\xB6\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBA"],
        ["\x9C\x5A\xF9\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],

        ["\xB6\xDB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBB"],
        ["\x9C\x5A\xF9\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDB"],

        ["\xB6\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBC"],
        ["\x9C\x5A\xF9\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDC"],

        ["\xCD\x57",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBD"],
        ["\x9C\x5A\xF9\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x57"],

        ["\xCD\x58",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBE"],
        ["\x9C\x5A\xF9\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x58"],

        ["\xCD\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBF"],
        ["\x9C\x5A\xF9\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x5A"],

        ["\xB6\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC0"],
        ["\x9C\x5A\xF9\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDD"],

        ["\xB6\xDE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC1"],
        ["\x9C\x5A\xF9\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],

        ["\xCD\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC2"],
        ["\x9C\x5A\xF9\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x62"],

        ["\xB6\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC3"],
        ["\x9C\x5A\xF9\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDF"],

        ["\xCD\x6D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC4"],
        ["\x9C\x5A\xF9\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x6D"],

        ["\xCD\x6F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC5"],
        ["\x9C\x5A\xF9\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x6F"],

        ["\xCD\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC6"],
        ["\x9C\x5A\xF9\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x74"],

        ["\xCD\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC7"],
        ["\x9C\x5A\xF9\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x77"],

        ["\xCD\x7B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC8"],
        ["\x9C\x5A\xF9\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x7B"],

        ["\xCD\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC9"],
        ["\x9C\x5A\xF9\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x7F"],

        ["\xCD\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCA"],
        ["\x9C\x5A\xF9\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x81"],

        ["\xCD\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCB"],
        ["\x9C\x5A\xF9\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x84"],

        ["\xB6\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCC"],
        ["\x9C\x5A\xF9\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE1"],

        ["\xCD\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCD"],
        ["\x9C\x5A\xF9\xCD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x86"],

        ["\xCD\x87",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCE"],
        ["\x9C\x5A\xF9\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x87"],

        ["\xCD\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCF"],
        ["\x9C\x5A\xF9\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x8A"],

        ["\xCD\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD0"],
        ["\x9C\x5A\xF9\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x8B"],

        ["\xB6\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD1"],
        ["\x9C\x5A\xF9\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE2"],

        ["\xCD\x90",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD2"],
        ["\x9C\x5A\xF9\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x90"],

        ["\xCD\x91",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD3"],
        ["\x9C\x5A\xF9\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x91"],

        ["\xB6\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD4"],
        ["\x9C\x5A\xF9\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE4"],

        ["\xB6\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD5"],
        ["\x9C\x5A\xF9\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE3"],

        ["\xCD\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD6"],
        ["\x9C\x5A\xF9\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x9B"],

        ["\xCD\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD7"],
        ["\x9C\x5A\xF9\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x9D"],

        ["\xCD\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD8"],
        ["\x9C\x5A\xF9\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA0"],

        ["\xCD\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD9"],
        ["\x9C\x5A\xF9\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA3"],

        ["\xCD\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDA"],
        ["\x9C\x5A\xF9\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA8"],

        ["\xCD\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDB"],
        ["\x9C\x5A\xF9\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xC1"],

        ["\xCD\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDC"],
        ["\x9C\x5A\xF9\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],

        ["\xCD\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDD"],
        ["\x9C\x5A\xF9\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xC5"],

        ["\xCD\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDF"],
        ["\x9C\x5A\xF9\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xD0"],

        ["\xCD\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE0"],
        ["\x9C\x5A\xF9\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xD6"],

        ["\xB6\xE7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE1"],
        ["\x9C\x5A\xF9\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE7"],

        ["\xCD\xDA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE2"],
        ["\x9C\x5A\xF9\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],

        ["\xCD\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE3"],
        ["\x9C\x5A\xF9\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xD8"],

        ["\xB6\xE8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE4"],
        ["\x9C\x5A\xF9\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xE8"],

        ["\xCD\xDD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE5"],
        ["\x9C\x5A\xF9\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],

        ["\xCD\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE6"],
        ["\x9C\x5A\xF9\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xDF"],

        ["\xCD\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE7"],
        ["\x9C\x5A\xF9\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xE0"],

        ["\xCD\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE8"],
        ["\x9C\x5A\xF9\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xE5"],

        ["\xB6\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE9"],
        ["\x9C\x5A\xF9\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEA"],

        ["\xB6\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEA"],
        ["\x9C\x5A\xF9\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],

        ["\xCD\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEB"],
        ["\x9C\x5A\xF9\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xEE"],

        ["\xCD\xF1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEC"],
        ["\x9C\x5A\xF9\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xF1"],

        ["\xCD\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEE"],
        ["\x9C\x5A\xF9\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xF6"],

        ["\xCD\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEF"],
        ["\x9C\x5A\xF9\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xF9"],

        ["\xCD\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF0"],
        ["\x9C\x5A\xF9\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],

        ["\xCD\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF1"],
        ["\x9C\x5A\xF9\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xFD"],

        ["\xCD\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF2"],
        ["\x9C\x5A\xF9\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],

        ["\xCE\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF3"],
        ["\x9C\x5A\xF9\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x41"],

        ["\xCE\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF4"],
        ["\x9C\x5A\xF9\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x44"],

        ["\xB6\xEE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF5"],
        ["\x9C\x5A\xF9\xF5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],

        ["\xCE\x45",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF6"],
        ["\x9C\x5A\xF9\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x45"],

        ["\xB6\xEF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF7"],
        ["\x9C\x5A\xF9\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEF"],

        ["\xB6\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF8"],
        ["\x9C\x5A\xF9\xF8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xF0"],

        ["\xCE\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF9"],
        ["\x9C\x5A\xF9\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x47"],

        ["\xCE\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xFA"],
        ["\x9C\x5A\xF9\xFA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x48"],

        ["\xCE\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xFB"],
        ["\x9C\x5A\xF9\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x4B"],

        ["\xCE\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xFC"],
        ["\x9C\x5A\xF9\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x4E"],

        ["\xCE\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4A"],
        ["\x9C\x5A\xFA\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x68"],

        ["\xCE\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4B"],
        ["\x9C\x5A\xFA\x4B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x71"],

        ["\xCE\x70",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4C"],
        ["\x9C\x5A\xFA\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x70"],

        ["\xCE\x72",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4D"],
        ["\x9C\x5A\xFA\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x72"],

        ["\xB6\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4E"],
        ["\x9C\x5A\xFA\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xF4"],

        ["\xB6\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x50"],
        ["\x9C\x5A\xFA\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xF5"],

        ["\xB6\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x51"],
        ["\x9C\x5A\xFA\x51",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xF7"],

        ["\xCE\x80",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x52"],
        ["\x9C\x5A\xFA\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x80"],

        ["\xB6\xF8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x53"],
        ["\x9C\x5A\xFA\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xF8"],

        ["\xCE\x85",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x54"],
        ["\x9C\x5A\xFA\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x85"],

        ["\xCE\x89",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x55"],
        ["\x9C\x5A\xFA\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x89"],

        ["\xCE\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x56"],
        ["\x9C\x5A\xFA\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x8E"],

        ["\xCE\x92",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x57"],
        ["\x9C\x5A\xFA\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x92"],

        ["\xB6\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x58"],
        ["\x9C\x5A\xFA\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xF9"],

        ["\xCE\x9E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x59"],
        ["\x9C\x5A\xFA\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x9E"],

        ["\xCE\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x5A"],
        ["\x9C\x5A\xFA\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA0"],

        ["\xCE\xA7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x5B"],
        ["\x9C\x5A\xFA\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA7"],

        ["\xB6\xFB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x5E"],
        ["\x9C\x5A\xFA\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xFB"],

        ["\xCE\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x5F"],
        ["\x9C\x5A\xFA\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB0"],

        ["\xCE\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x65"],
        ["\x9C\x5A\xFA\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xBB"],

        ["\xB6\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x68"],
        ["\x9C\x5A\xFA\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],

        ["\xB7\x46",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x7B"],
        ["\x9C\x5A\xFA\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x46"],

        ["\xCF\x76",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x90"],
        ["\x9C\x5A\xFA\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x76"],

        ["\xCF\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x9B"],
        ["\x9C\x5A\xFA\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x95"],

        ["\xCF\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x9C"],
        ["\x9C\x5A\xFA\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x96"],

        ["\xB7\x53",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xA5"],
        ["\x9C\x5A\xFA\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x53"],

        ["\xCF\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xB1"],
        ["\x9C\x5A\xFA\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xC5"],

        ["\xD0\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xD8"],
        ["\x9C\x5A\xFA\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x84"],

        ["\xD0\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xE0"],
        ["\x9C\x5A\xFA\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x8D"],

        ["\xD0\x9A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xE8"],
        ["\x9C\x5A\xFA\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x9A"],

        ["\xD0\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xEA"],
        ["\x9C\x5A\xFA\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x9F"],

        ["\xD0\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x58"],
        ["\x9C\x5A\xFB\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],

        ["\xB7\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x5E"],
        ["\x9C\x5A\xFB\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x6E"],

        ["\xD1\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x75"],
        ["\x9C\x5A\xFB\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x88"],

        ["\xD1\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x7D"],
        ["\x9C\x5A\xFB\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xAD"],

        ["\xD1\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x7E"],
        ["\x9C\x5A\xFB\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xAF"],

        ["\xB7\x77",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x80"],
        ["\x9C\x5A\xFB\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x77"],

        ["\xD1\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x82"],
        ["\x9C\x5A\xFB\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xB4"],

        ["\xD1\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x86"],
        ["\x9C\x5A\xFB\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],

        ["\xB7\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x8A"],
        ["\x9C\x5A\xFB\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x7C"],

        ["\xB7\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x90"],
        ["\x9C\x5A\xFB\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x7F"],

        ["\xD1\xD5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x92"],
        ["\x9C\x5A\xFB\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],

        ["\xB7\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x95"],
        ["\x9C\x5A\xFB\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x81"],

        ["\xB7\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x98"],
        ["\x9C\x5A\xFB\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x84"],

        ["\xD1\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x9D"],
        ["\x9C\x5A\xFB\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xED"],

        ["\xD1\xF3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x9F"],
        ["\x9C\x5A\xFB\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF3"],

        ["\xD2\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xA9"],
        ["\x9C\x5A\xFB\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x5A"],

        ["\xD2\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB1"],
        ["\x9C\x5A\xFB\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x71"],

        ["\xD2\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB3"],
        ["\x9C\x5A\xFB\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x73"],

        ["\xD2\x74",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB4"],
        ["\x9C\x5A\xFB\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x74"],

        ["\xB7\x8B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB5"],
        ["\x9C\x5A\xFB\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x8B"],

        ["\xD2\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB7"],
        ["\x9C\x5A\xFB\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x79"],

        ["\xB7\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xD3"],
        ["\x9C\x5A\xFB\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x97"],

        ["\xD2\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xDA"],
        ["\x9C\x5A\xFB\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xB1"],

        ["\xD2\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xE9"],
        ["\x9C\x5A\xFB\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xCD"],

        ["\xB7\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xEA"],
        ["\x9C\x5A\xFB\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x9B"],

        ["\xD2\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xF6"],
        ["\x9C\x5A\xFB\xF6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE9"],

        ["\xB7\x9D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xF7"],
        ["\x9C\x5A\xFB\xF7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x9D"],

        ["\xD2\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xF9"],
        ["\x9C\x5A\xFB\xF9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],

        ["\xB7\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xFB"],
        ["\x9C\x5A\xFB\xFB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x9F"],

        ["\xD2\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xFC"],
        ["\x9C\x5A\xFB\xFC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF5"],

        ["\xB7\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x40"],
        ["\x9C\x5A\xFC\x40",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA0"],

        ["\xD2\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x41"],
        ["\x9C\x5A\xFC\x41",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xFE"],

        ["\xD3\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x42"],
        ["\x9C\x5A\xFC\x42",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x43"],

        ["\xD3\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x43"],
        ["\x9C\x5A\xFC\x43",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x47"],

        ["\xB7\xA2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x44"],
        ["\x9C\x5A\xFC\x44",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA2"],

        ["\xB7\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x45"],
        ["\x9C\x5A\xFC\x45",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],

        ["\xD3\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x46"],
        ["\x9C\x5A\xFC\x46",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x4F"],

        ["\xB7\xA4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x47"],
        ["\x9C\x5A\xFC\x47",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA4"],

        ["\xB7\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x48"],
        ["\x9C\x5A\xFC\x48",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA5"],

        ["\xB7\xA6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x49"],
        ["\x9C\x5A\xFC\x49",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],

        ["\xD3\x54",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4A"],
        ["\x9C\x5A\xFC\x4A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x54"],

        ["\xD3\x5A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4C"],
        ["\x9C\x5A\xFC\x4C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5A"],

        ["\xD3\x5D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4D"],
        ["\x9C\x5A\xFC\x4D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5D"],

        ["\xD3\x5E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4E"],
        ["\x9C\x5A\xFC\x4E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5E"],

        ["\xD3\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4F"],
        ["\x9C\x5A\xFC\x4F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5F"],

        ["\xB7\xA8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x50"],
        ["\x9C\x5A\xFC\x50",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],

        ["\xD3\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x52"],
        ["\x9C\x5A\xFC\x52",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x63"],

        ["\xD3\x65",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x53"],
        ["\x9C\x5A\xFC\x53",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x65"],

        ["\xD3\x67",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x54"],
        ["\x9C\x5A\xFC\x54",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x67"],

        ["\xD3\x73",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x55"],
        ["\x9C\x5A\xFC\x55",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x73"],

        ["\xD3\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x56"],
        ["\x9C\x5A\xFC\x56",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x79"],

        ["\xD3\x7C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x57"],
        ["\x9C\x5A\xFC\x57",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x7C"],

        ["\xD3\x7D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x58"],
        ["\x9C\x5A\xFC\x58",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x7D"],

        ["\xD3\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x59"],
        ["\x9C\x5A\xFC\x59",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x7E"],

        ["\xD3\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5A"],
        ["\x9C\x5A\xFC\x5A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x81"],

        ["\xD3\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5B"],
        ["\x9C\x5A\xFC\x5B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x84"],

        ["\xD3\x86",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5C"],
        ["\x9C\x5A\xFC\x5C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x86"],

        ["\xD3\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5D"],
        ["\x9C\x5A\xFC\x5D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x8C"],

        ["\xB7\xAA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5E"],
        ["\x9C\x5A\xFC\x5E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAA"],

        ["\xD3\x8E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5F"],
        ["\x9C\x5A\xFC\x5F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x8E"],

        ["\xD3\x96",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x60"],
        ["\x9C\x5A\xFC\x60",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x96"],

        ["\xD3\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x61"],
        ["\x9C\x5A\xFC\x61",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x97"],

        ["\xD3\x9B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x62"],
        ["\x9C\x5A\xFC\x62",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x9B"],

        ["\xD3\x9C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x63"],
        ["\x9C\x5A\xFC\x63",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x9C"],

        ["\xD3\x9F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x64"],
        ["\x9C\x5A\xFC\x64",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x9F"],

        ["\xB7\xAB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x65"],
        ["\x9C\x5A\xFC\x65",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAB"],

        ["\xD3\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x66"],
        ["\x9C\x5A\xFC\x66",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xA0"],

        ["\xD3\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x67"],
        ["\x9C\x5A\xFC\x67",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xB2"],

        ["\xD3\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x68"],
        ["\x9C\x5A\xFC\x68",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xB5"],

        ["\xB7\xAC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6A"],
        ["\x9C\x5A\xFC\x6A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAC"],

        ["\xB7\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6B"],
        ["\x9C\x5A\xFC\x6B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],

        ["\xD3\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6C"],
        ["\x9C\x5A\xFC\x6C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xB7"],

        ["\xD3\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6D"],
        ["\x9C\x5A\xFC\x6D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xB9"],

        ["\xD3\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6E"],
        ["\x9C\x5A\xFC\x6E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xBB"],

        ["\xD3\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6F"],
        ["\x9C\x5A\xFC\x6F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xBE"],

        ["\xD3\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x70"],
        ["\x9C\x5A\xFC\x70",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xCB"],

        ["\xD3\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x71"],
        ["\x9C\x5A\xFC\x71",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC3"],

        ["\xD3\xC4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x72"],
        ["\x9C\x5A\xFC\x72",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],

        ["\xD3\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x73"],
        ["\x9C\x5A\xFC\x73",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC7"],

        ["\xD3\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x74"],
        ["\x9C\x5A\xFC\x74",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC8"],

        ["\xD3\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x75"],
        ["\x9C\x5A\xFC\x75",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],

        ["\xD3\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x76"],
        ["\x9C\x5A\xFC\x76",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xCA"],

        ["\xB7\xAD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x77"],
        ["\x9C\x5A\xFC\x77",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAD"],

        ["\xB7\xAE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x78"],
        ["\x9C\x5A\xFC\x78",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],

        ["\xD3\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x79"],
        ["\x9C\x5A\xFC\x79",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xCF"],

        ["\xB7\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7A"],
        ["\x9C\x5A\xFC\x7A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],

        ["\xD3\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7B"],
        ["\x9C\x5A\xFC\x7B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xCC"],

        ["\xB7\xB0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7C"],
        ["\x9C\x5A\xFC\x7C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB0"],

        ["\xD3\xD6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7D"],
        ["\x9C\x5A\xFC\x7D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD6"],

        ["\xD3\xD7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7E"],
        ["\x9C\x5A\xFC\x7E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],

        ["\xD3\xD8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x80"],
        ["\x9C\x5A\xFC\x80",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],

        ["\xD3\xD9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x81"],
        ["\x9C\x5A\xFC\x81",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],

        ["\xB7\xB1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x82"],
        ["\x9C\x5A\xFC\x82",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB1"],

        ["\xD3\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x83"],
        ["\x9C\x5A\xFC\x83",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xDC"],

        ["\xD3\xDF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x84"],
        ["\x9C\x5A\xFC\x84",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xDF"],

        ["\xD3\xE1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x85"],
        ["\x9C\x5A\xFC\x85",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE1"],

        ["\xD3\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x86"],
        ["\x9C\x5A\xFC\x86",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],

        ["\xB7\xB3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x87"],
        ["\x9C\x5A\xFC\x87",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],

        ["\xD3\xE3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x88"],
        ["\x9C\x5A\xFC\x88",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],

        ["\xD3\xE5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x89"],
        ["\x9C\x5A\xFC\x89",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE5"],

        ["\xD3\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8A"],
        ["\x9C\x5A\xFC\x8A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE6"],

        ["\xD3\xEB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8B"],
        ["\x9C\x5A\xFC\x8B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xEB"],

        ["\xD3\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8C"],
        ["\x9C\x5A\xFC\x8C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],

        ["\xB7\xB5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8D"],
        ["\x9C\x5A\xFC\x8D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB5"],

        ["\xD3\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8E"],
        ["\x9C\x5A\xFC\x8E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xEC"],

        ["\xD3\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8F"],
        ["\x9C\x5A\xFC\x8F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xED"],

        ["\xB7\xB4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x90"],
        ["\x9C\x5A\xFC\x90",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],

        ["\xD3\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x91"],
        ["\x9C\x5A\xFC\x91",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],

        ["\xD3\xF4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x92"],
        ["\x9C\x5A\xFC\x92",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF4"],

        ["\xD3\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x93"],
        ["\x9C\x5A\xFC\x93",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],

        ["\xD3\xF7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x94"],
        ["\x9C\x5A\xFC\x94",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF7"],

        ["\xD3\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x95"],
        ["\x9C\x5A\xFC\x95",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF9"],

        ["\xD3\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x96"],
        ["\x9C\x5A\xFC\x96",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xFC"],

        ["\xD3\xFD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x97"],
        ["\x9C\x5A\xFC\x97",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xFD"],

        ["\xD3\xFE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x98"],
        ["\x9C\x5A\xFC\x98",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xFE"],

        ["\xB7\xB7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x99"],
        ["\x9C\x5A\xFC\x99",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],

        ["\xD4\x41",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9A"],
        ["\x9C\x5A\xFC\x9A",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x41"],

        ["\xD4\x42",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9B"],
        ["\x9C\x5A\xFC\x9B",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x42"],

        ["\xD4\x43",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9C"],
        ["\x9C\x5A\xFC\x9C",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x43"],

        ["\xD4\x44",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9D"],
        ["\x9C\x5A\xFC\x9D",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x44"],

        ["\xB7\xB8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9E"],
        ["\x9C\x5A\xFC\x9E",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],

        ["\xD4\x47",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9F"],
        ["\x9C\x5A\xFC\x9F",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x47"],

        ["\xD4\x48",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA0"],
        ["\x9C\x5A\xFC\xA0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x48"],

        ["\xD4\x4C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA1"],
        ["\x9C\x5A\xFC\xA1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4C"],

        ["\xD4\x4B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA2"],
        ["\x9C\x5A\xFC\xA2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4B"],

        ["\xB7\xB9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA3"],
        ["\x9C\x5A\xFC\xA3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB9"],

        ["\xD4\x4D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA4"],
        ["\x9C\x5A\xFC\xA4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4D"],

        ["\xD4\x4E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA5"],
        ["\x9C\x5A\xFC\xA5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4E"],

        ["\xD4\x4F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA6"],
        ["\x9C\x5A\xFC\xA6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4F"],

        ["\xB7\xBD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA7"],
        ["\x9C\x5A\xFC\xA7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBD"],

        ["\xB7\xBA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA8"],
        ["\x9C\x5A\xFC\xA8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],

        ["\xB7\xBB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA9"],
        ["\x9C\x5A\xFC\xA9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBB"],

        ["\xD4\x55",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAA"],
        ["\x9C\x5A\xFC\xAA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x55"],

        ["\xB7\xBC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAB"],
        ["\x9C\x5A\xFC\xAB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBC"],

        ["\xD4\x5B",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAC"],
        ["\x9C\x5A\xFC\xAC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5B"],

        ["\xD4\x5F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAD"],
        ["\x9C\x5A\xFC\xAD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5F"],

        ["\xD4\x62",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAE"],
        ["\x9C\x5A\xFC\xAE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x62"],

        ["\xD4\x63",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAF"],
        ["\x9C\x5A\xFC\xAF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x63"],

        ["\xB7\xC2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB0"],
        ["\x9C\x5A\xFC\xB0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC2"],

        ["\xD4\x66",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB1"],
        ["\x9C\x5A\xFC\xB1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x66"],

        ["\xB7\xBF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB3"],
        ["\x9C\x5A\xFC\xB3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBF"],

        ["\xB7\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB4"],
        ["\x9C\x5A\xFC\xB4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC0"],

        ["\xD4\x68",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB5"],
        ["\x9C\x5A\xFC\xB5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x68"],

        ["\xD4\x69",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB6"],
        ["\x9C\x5A\xFC\xB6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x69"],

        ["\xD4\x6C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB7"],
        ["\x9C\x5A\xFC\xB7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x6C"],

        ["\xD4\x6E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB8"],
        ["\x9C\x5A\xFC\xB8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x6E"],

        ["\xD4\x71",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB9"],
        ["\x9C\x5A\xFC\xB9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x71"],

        ["\xB7\xC1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBA"],
        ["\x9C\x5A\xFC\xBA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC1"],

        ["\xD4\x79",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBB"],
        ["\x9C\x5A\xFC\xBB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x79"],

        ["\xD4\x81",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBC"],
        ["\x9C\x5A\xFC\xBC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x81"],

        ["\xD4\x7E",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBD"],
        ["\x9C\x5A\xFC\xBD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x7E"],

        ["\xD4\x7F",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBE"],
        ["\x9C\x5A\xFC\xBE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x7F"],

        ["\xB7\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBF"],
        ["\x9C\x5A\xFC\xBF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC3"],

        ["\xD4\x82",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC0"],
        ["\x9C\x5A\xFC\xC0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x82"],

        ["\xD4\x83",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC1"],
        ["\x9C\x5A\xFC\xC1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x83"],

        ["\xD4\x84",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC2"],
        ["\x9C\x5A\xFC\xC2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x84"],

        ["\xD4\x88",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC3"],
        ["\x9C\x5A\xFC\xC3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x88"],

        ["\xD4\x8A",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC4"],
        ["\x9C\x5A\xFC\xC4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x8A"],

        ["\xD4\x8C",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC5"],
        ["\x9C\x5A\xFC\xC5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x8C"],

        ["\xD4\x8D",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC6"],
        ["\x9C\x5A\xFC\xC6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x8D"],

        ["\xB7\xC5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC7"],
        ["\x9C\x5A\xFC\xC7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC5"],

        ["\xD4\x95",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC8"],
        ["\x9C\x5A\xFC\xC8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x95"],

        ["\xB7\xC7",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC9"],
        ["\x9C\x5A\xFC\xC9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC7"],

        ["\xD4\x99",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCA"],
        ["\x9C\x5A\xFC\xCA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x99"],

        ["\xD4\x97",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCB"],
        ["\x9C\x5A\xFC\xCB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x97"],

        ["\xB7\xC8",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCC"],
        ["\x9C\x5A\xFC\xCC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC8"],

        ["\xD4\xA0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCE"],
        ["\x9C\x5A\xFC\xCE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xA0"],

        ["\xD4\xA1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCF"],
        ["\x9C\x5A\xFC\xCF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],

        ["\xD4\xA3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD0"],
        ["\x9C\x5A\xFC\xD0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xA3"],

        ["\xB4\x52",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD1"],
        ["\x9C\x5A\xFC\xD1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x52"],

        ["\xD4\xA5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD2"],
        ["\x9C\x5A\xFC\xD2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xA5"],

        ["\xD4\xA9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD3"],
        ["\x9C\x5A\xFC\xD3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xA9"],

        ["\xD4\xAF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD4"],
        ["\x9C\x5A\xFC\xD4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xAF"],

        ["\xD4\xB2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD5"],
        ["\x9C\x5A\xFC\xD5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xB2"],

        ["\xB7\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD6"],
        ["\x9C\x5A\xFC\xD6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xC9"],

        ["\xB7\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD7"],
        ["\x9C\x5A\xFC\xD7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCA"],

        ["\xB7\xCC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD8"],
        ["\x9C\x5A\xFC\xD8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCC"],

        ["\xD4\xBE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD9"],
        ["\x9C\x5A\xFC\xD9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xBE"],

        ["\xD4\xC0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDA"],
        ["\x9C\x5A\xFC\xDA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC0"],

        ["\xD4\xC3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDB"],
        ["\x9C\x5A\xFC\xDB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],

        ["\xD4\xC9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDC"],
        ["\x9C\x5A\xFC\xDC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC9"],

        ["\xD4\xCA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDD"],
        ["\x9C\x5A\xFC\xDD",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xCA"],

        ["\xB7\xCD",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDE"],
        ["\x9C\x5A\xFC\xDE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCD"],

        ["\xD4\xCB",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDF"],
        ["\x9C\x5A\xFC\xDF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xCB"],

        ["\xD4\xD3",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE0"],
        ["\x9C\x5A\xFC\xE0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],

        ["\xD4\xD4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE1"],
        ["\x9C\x5A\xFC\xE1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],

        ["\xD4\xDC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE2"],
        ["\x9C\x5A\xFC\xE2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xDC"],

        ["\xD4\xE0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE3"],
        ["\x9C\x5A\xFC\xE3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE0"],

        ["\xD4\xE2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE4"],
        ["\x9C\x5A\xFC\xE4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE2"],

        ["\xD4\xE4",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE5"],
        ["\x9C\x5A\xFC\xE5",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],

        ["\xD4\xE6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE6"],
        ["\x9C\x5A\xFC\xE6",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE6"],

        ["\xD4\xE9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE7"],
        ["\x9C\x5A\xFC\xE7",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE9"],

        ["\xD4\xEA",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE8"],
        ["\x9C\x5A\xFC\xE8",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xEA"],

        ["\xD4\xEC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE9"],
        ["\x9C\x5A\xFC\xE9",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xEC"],

        ["\xD4\xED",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEA"],
        ["\x9C\x5A\xFC\xEA",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xED"],

        ["\xD4\xF0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEB"],
        ["\x9C\x5A\xFC\xEB",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],

        ["\xB7\xCE",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEC"],
        ["\x9C\x5A\xFC\xEC",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],

        ["\xD4\xF2",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xED"],
        ["\x9C\x5A\xFC\xED",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],

        ["\xB7\xCF",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEE"],
        ["\x9C\x5A\xFC\xEE",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],

        ["\xD4\xF5",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEF"],
        ["\x9C\x5A\xFC\xEF",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF5"],

        ["\xB7\xD0",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF0"],
        ["\x9C\x5A\xFC\xF0",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xD0"],

        ["\xD4\xF6",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF1"],
        ["\x9C\x5A\xFC\xF1",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF6"],

        ["\xD4\xF9",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF2"],
        ["\x9C\x5A\xFC\xF2",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF9"],

        ["\xD4\xFC",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF3"],
        ["\x9C\x5A\xFC\xF3",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xFC"],

        ["\xB7\xD1",'cp932x','cp00930',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF4"],
        ["\x9C\x5A\xFC\xF4",'cp00930','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xD1"],

    );
    $|=1; print "1..",scalar(@test),"\n"; my $testno=1; sub ok { print $_[0]?'ok ':'not ok ',$testno++,$_[1]?" - $_[1]\n":"\n" }
}

use Jacode4e::RoundTrip;

for my $test (@test) {
    my($give,$OUTPUT_encoding,$INPUT_encoding,$option,$want) = @{$test};
    my $got = $give;
    my $return = Jacode4e::RoundTrip::convert(\$got,$OUTPUT_encoding,$INPUT_encoding,$option);

    my $option_content = '';
    if (defined $option) {
        $option_content .= qq{INPUT_LAYOUT=>$option->{'INPUT_LAYOUT'}}        if exists $option->{'INPUT_LAYOUT'};
        $option_content .= qq{OUTPUT_SHIFTING=>$option->{'OUTPUT_SHIFTING'}}  if exists $option->{'OUTPUT_SHIFTING'};
        $option_content .= qq{SPACE=>@{[uc unpack('H*',$option->{'SPACE'})]}} if exists $option->{'SPACE'};
        $option_content .= qq{GETA=>@{[uc unpack('H*',$option->{'GETA'})]}}   if exists $option->{'GETA'};
        $option_content = "{$option_content}";
    }

    ok(($return > 0) and ($got eq $want),
        sprintf(qq{$INPUT_encoding(%s) to $OUTPUT_encoding(%s), $option_content => return=$return,got=(%s)},
            uc unpack('H*',$give),
            uc unpack('H*',$want),
            uc unpack('H*',$got),
        )
    );
}

__END__
