######################################################################
#
# 5084_jef_by_jipsj_RT_DBCS.t
#
# Copyright (c) 2018, 2019 INABA Hitoshi <ina@cpan.org> in a CPAN
######################################################################

use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";

BEGIN {
    use vars qw(@test);
    @test = (
        ["\x21\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA1"],
        ["\xA1\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x21"],

        ["\x21\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA2"],
        ["\xA1\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x22"],

        ["\x21\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA3"],
        ["\xA1\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x23"],

        ["\x21\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA4"],
        ["\xA1\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x24"],

        ["\x21\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA5"],
        ["\xA1\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x25"],

        ["\x21\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA6"],
        ["\xA1\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x26"],

        ["\x21\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA7"],
        ["\xA1\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x27"],

        ["\x21\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA8"],
        ["\xA1\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x28"],

        ["\x21\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA9"],
        ["\xA1\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x29"],

        ["\x21\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAA"],
        ["\xA1\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x2A"],

        ["\x21\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAB"],
        ["\xA1\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x2B"],

        ["\x21\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAC"],
        ["\xA1\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x2C"],

        ["\x21\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAD"],
        ["\xA1\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x2D"],

        ["\x21\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAE"],
        ["\xA1\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x2E"],

        ["\x21\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAF"],
        ["\xA1\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x2F"],

        ["\x21\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB0"],
        ["\xA1\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x30"],

        ["\x21\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB1"],
        ["\xA1\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x31"],

        ["\x21\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB2"],
        ["\xA1\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x32"],

        ["\x21\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB3"],
        ["\xA1\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x33"],

        ["\x21\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB4"],
        ["\xA1\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x34"],

        ["\x21\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB5"],
        ["\xA1\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x35"],

        ["\x21\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB6"],
        ["\xA1\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x36"],

        ["\x21\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB7"],
        ["\xA1\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x37"],

        ["\x21\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB8"],
        ["\xA1\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x38"],

        ["\x21\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB9"],
        ["\xA1\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x39"],

        ["\x21\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBA"],
        ["\xA1\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x3A"],

        ["\x21\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBB"],
        ["\xA1\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x3B"],

        ["\x21\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBC"],
        ["\xA1\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x3C"],

        ["\x21\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBD"],
        ["\xA1\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x3D"],

        ["\x21\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBE"],
        ["\xA1\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x3E"],

        ["\x21\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBF"],
        ["\xA1\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x3F"],

        ["\x21\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC0"],
        ["\xA1\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x40"],

        ["\x21\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC1"],
        ["\xA1\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x41"],

        ["\x21\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC2"],
        ["\xA1\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x42"],

        ["\x21\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC3"],
        ["\xA1\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x43"],

        ["\x21\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC4"],
        ["\xA1\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x44"],

        ["\x21\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC5"],
        ["\xA1\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x45"],

        ["\x21\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC6"],
        ["\xA1\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x46"],

        ["\x21\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC7"],
        ["\xA1\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x47"],

        ["\x21\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC8"],
        ["\xA1\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x48"],

        ["\x21\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC9"],
        ["\xA1\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x49"],

        ["\x21\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCA"],
        ["\xA1\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x4A"],

        ["\x21\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCB"],
        ["\xA1\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x4B"],

        ["\x21\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCC"],
        ["\xA1\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x4C"],

        ["\x21\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCD"],
        ["\xA1\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x4D"],

        ["\x21\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCE"],
        ["\xA1\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x4E"],

        ["\x21\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCF"],
        ["\xA1\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x4F"],

        ["\x21\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD0"],
        ["\xA1\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x50"],

        ["\x21\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD1"],
        ["\xA1\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x51"],

        ["\x21\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD2"],
        ["\xA1\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x52"],

        ["\x21\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD3"],
        ["\xA1\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x53"],

        ["\x21\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD4"],
        ["\xA1\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x54"],

        ["\x21\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD5"],
        ["\xA1\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x55"],

        ["\x21\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD6"],
        ["\xA1\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x56"],

        ["\x21\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD7"],
        ["\xA1\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x57"],

        ["\x21\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD8"],
        ["\xA1\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x58"],

        ["\x21\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD9"],
        ["\xA1\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x59"],

        ["\x21\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDA"],
        ["\xA1\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x5A"],

        ["\x21\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDB"],
        ["\xA1\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x5B"],

        ["\x21\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDC"],
        ["\xA1\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x5C"],

        ["\x21\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDD"],
        ["\xA1\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x5D"],

        ["\x21\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDE"],
        ["\xA1\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x5E"],

        ["\x21\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDF"],
        ["\xA1\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x5F"],

        ["\x21\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE0"],
        ["\xA1\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x60"],

        ["\x21\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE1"],
        ["\xA1\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x61"],

        ["\x21\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE2"],
        ["\xA1\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x62"],

        ["\x21\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE3"],
        ["\xA1\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x63"],

        ["\x21\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE4"],
        ["\xA1\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x64"],

        ["\x21\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE5"],
        ["\xA1\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x65"],

        ["\x21\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE6"],
        ["\xA1\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x66"],

        ["\x21\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE7"],
        ["\xA1\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x67"],

        ["\x21\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],
        ["\xA1\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x68"],

        ["\x21\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],
        ["\xA1\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x69"],

        ["\x21\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEA"],
        ["\xA1\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x6A"],

        ["\x21\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEB"],
        ["\xA1\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x6B"],

        ["\x21\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEC"],
        ["\xA1\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x6C"],

        ["\x21\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xED"],
        ["\xA1\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x6D"],

        ["\x21\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEE"],
        ["\xA1\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x6E"],

        ["\x21\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEF"],
        ["\xA1\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x6F"],

        ["\x21\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],
        ["\xA1\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x70"],

        ["\x21\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],
        ["\xA1\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x71"],

        ["\x21\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],
        ["\xA1\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x72"],

        ["\x21\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],
        ["\xA1\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x73"],

        ["\x21\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],
        ["\xA1\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x74"],

        ["\x21\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],
        ["\xA1\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x75"],

        ["\x21\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],
        ["\xA1\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x76"],

        ["\x21\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],
        ["\xA1\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x77"],

        ["\x21\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],
        ["\xA1\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x78"],

        ["\x21\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],
        ["\xA1\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x79"],

        ["\x21\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFA"],
        ["\xA1\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x7A"],

        ["\x21\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFB"],
        ["\xA1\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x7B"],

        ["\x21\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFC"],
        ["\xA1\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x7C"],

        ["\x21\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFD"],
        ["\xA1\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x7D"],

        ["\x21\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFE"],
        ["\xA1\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x21\x7E"],

        ["\x22\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA1"],
        ["\xA2\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x21"],

        ["\x22\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],
        ["\xA2\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x22"],

        ["\x22\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],
        ["\xA2\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x23"],

        ["\x22\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA4"],
        ["\xA2\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x24"],

        ["\x22\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA5"],
        ["\xA2\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x25"],

        ["\x22\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA6"],
        ["\xA2\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x26"],

        ["\x22\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],
        ["\xA2\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x27"],

        ["\x22\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA8"],
        ["\xA2\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x28"],

        ["\x22\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA9"],
        ["\xA2\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x29"],

        ["\x22\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAA"],
        ["\xA2\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x2A"],

        ["\x22\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAB"],
        ["\xA2\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x2B"],

        ["\x22\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAC"],
        ["\xA2\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x2C"],

        ["\x22\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAD"],
        ["\xA2\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x2D"],

        ["\x22\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAE"],
        ["\xA2\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x22\x2E"],

        ["\xA5\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD0"],
        ["\x7F\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xD4"],

        ["\xA5\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD1"],
        ["\x7F\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xD5"],

        ["\xA6\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD2"],
        ["\x7F\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xF4"],

        ["\xA6\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD3"],
        ["\x7F\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xF5"],

        ["\xA5\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD4"],
        ["\x7F\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xD2"],

        ["\xA5\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD5"],
        ["\x7F\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xD3"],

        ["\x2D\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD6"],
        ["\x7F\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x7C"],

        ["\x2D\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD7"],
        ["\x7F\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x7B"],

        ["\xA5\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD8"],
        ["\x7F\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xD0"],

        ["\xA5\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xD9"],
        ["\x7F\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xD1"],

        ["\x74\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xA7"],
        ["\x76\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x21"],

        ["\xA6\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xDA"],
        ["\x7F\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xF6"],

        ["\xA6\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xDB"],
        ["\x7F\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xF7"],

        ["\xA5\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xDC"],
        ["\x7F\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xE7"],

        ["\xA5\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xDD"],
        ["\x7F\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xE8"],

        ["\x2D\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xDE"],
        ["\x7F\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x77"],

        ["\x2D\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xDF"],
        ["\x7F\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x76"],

        ["\xA6\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE0"],
        ["\x7F\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xF8"],

        ["\xA5\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE1"],
        ["\x7F\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],

        ["\xA6\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE2"],
        ["\x7F\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xF9"],

        ["\x2D\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xAA"],
        ["\x76\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x71"],

        ["\x2D\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xA9"],
        ["\x76\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x70"],

        ["\xA5\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE3"],
        ["\x7F\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xE1"],

        ["\xA5\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE4"],
        ["\x7F\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xE2"],

        ["\x2D\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE5"],
        ["\x7F\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x75"],

        ["\xA5\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE6"],
        ["\x7F\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xDD"],

        ["\xA5\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE7"],
        ["\x7F\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],

        ["\x2D\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xA8"],
        ["\x76\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x7A"],

        ["\x2D\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE8"],
        ["\x7F\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x72"],

        ["\xA6\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE9"],
        ["\x7F\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xFA"],

        ["\xA4\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD1"],
        ["\x76\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xDF"],

        ["\xA4\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD3"],
        ["\x76\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xFE"],

        ["\xA6\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xEA"],
        ["\x7F\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xFB"],

        ["\xA6\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xEB"],
        ["\x7F\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xFC"],

        ["\xA6\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xEC"],
        ["\x7F\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xFD"],

        ["\xA5\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xED"],
        ["\x7F\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],

        ["\xA5\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xEE"],
        ["\x7F\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],

        ["\xA5\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xEF"],
        ["\x7F\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xF0"],

        ["\xA6\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xF0"],
        ["\x7F\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA6\xFE"],

        ["\x23\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB0"],
        ["\xA3\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x30"],

        ["\x23\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB1"],
        ["\xA3\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x31"],

        ["\x23\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB2"],
        ["\xA3\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x32"],

        ["\x23\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB3"],
        ["\xA3\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x33"],

        ["\x23\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB4"],
        ["\xA3\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x34"],

        ["\x23\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB5"],
        ["\xA3\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x35"],

        ["\x23\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB6"],
        ["\xA3\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x36"],

        ["\x23\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB7"],
        ["\xA3\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x37"],

        ["\x23\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB8"],
        ["\xA3\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x38"],

        ["\x23\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB9"],
        ["\xA3\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x39"],

        ["\x23\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC1"],
        ["\xA3\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x41"],

        ["\x23\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC2"],
        ["\xA3\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x42"],

        ["\x23\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC3"],
        ["\xA3\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x43"],

        ["\x23\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC4"],
        ["\xA3\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x44"],

        ["\x23\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC5"],
        ["\xA3\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x45"],

        ["\x23\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC6"],
        ["\xA3\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x46"],

        ["\x23\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC7"],
        ["\xA3\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x47"],

        ["\x23\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC8"],
        ["\xA3\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x48"],

        ["\x23\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC9"],
        ["\xA3\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x49"],

        ["\x23\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCA"],
        ["\xA3\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x4A"],

        ["\x23\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCB"],
        ["\xA3\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x4B"],

        ["\x23\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCC"],
        ["\xA3\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x4C"],

        ["\x23\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCD"],
        ["\xA3\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x4D"],

        ["\x23\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCE"],
        ["\xA3\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x4E"],

        ["\x23\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCF"],
        ["\xA3\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x4F"],

        ["\x23\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD0"],
        ["\xA3\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x50"],

        ["\x23\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD1"],
        ["\xA3\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x51"],

        ["\x23\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD2"],
        ["\xA3\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x52"],

        ["\x23\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD3"],
        ["\xA3\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x53"],

        ["\x23\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD4"],
        ["\xA3\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x54"],

        ["\x23\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD5"],
        ["\xA3\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x55"],

        ["\x23\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD6"],
        ["\xA3\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x56"],

        ["\x23\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD7"],
        ["\xA3\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x57"],

        ["\x23\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD8"],
        ["\xA3\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x58"],

        ["\x23\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD9"],
        ["\xA3\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x59"],

        ["\x23\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xDA"],
        ["\xA3\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x5A"],

        ["\x23\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE1"],
        ["\xA3\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x61"],

        ["\x23\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE2"],
        ["\xA3\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x62"],

        ["\x23\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE3"],
        ["\xA3\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x63"],

        ["\x23\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE4"],
        ["\xA3\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x64"],

        ["\x23\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE5"],
        ["\xA3\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x65"],

        ["\x23\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE6"],
        ["\xA3\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x66"],

        ["\x23\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE7"],
        ["\xA3\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x67"],

        ["\x23\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE8"],
        ["\xA3\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x68"],

        ["\x23\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE9"],
        ["\xA3\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x69"],

        ["\x23\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEA"],
        ["\xA3\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x6A"],

        ["\x23\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],
        ["\xA3\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x6B"],

        ["\x23\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],
        ["\xA3\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x6C"],

        ["\x23\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],
        ["\xA3\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x6D"],

        ["\x23\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],
        ["\xA3\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x6E"],

        ["\x23\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEF"],
        ["\xA3\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x6F"],

        ["\x23\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF0"],
        ["\xA3\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x70"],

        ["\x23\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF1"],
        ["\xA3\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x71"],

        ["\x23\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF2"],
        ["\xA3\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x72"],

        ["\x23\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF3"],
        ["\xA3\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x73"],

        ["\x23\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF4"],
        ["\xA3\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x74"],

        ["\x23\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF5"],
        ["\xA3\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x75"],

        ["\x23\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF6"],
        ["\xA3\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x76"],

        ["\x23\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF7"],
        ["\xA3\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x77"],

        ["\x23\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF8"],
        ["\xA3\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x78"],

        ["\x23\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF9"],
        ["\xA3\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x79"],

        ["\x23\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xFA"],
        ["\xA3\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x23\x7A"],

        ["\x24\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA1"],
        ["\xA4\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x21"],

        ["\x24\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA2"],
        ["\xA4\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x22"],

        ["\x24\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA3"],
        ["\xA4\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x23"],

        ["\x24\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA4"],
        ["\xA4\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x24"],

        ["\x24\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA5"],
        ["\xA4\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x25"],

        ["\x24\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA6"],
        ["\xA4\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x26"],

        ["\x24\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA7"],
        ["\xA4\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x27"],

        ["\x24\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA8"],
        ["\xA4\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x28"],

        ["\x24\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA9"],
        ["\xA4\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x29"],

        ["\x24\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAA"],
        ["\xA4\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x2A"],

        ["\x24\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAB"],
        ["\xA4\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x2B"],

        ["\x24\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAC"],
        ["\xA4\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x2C"],

        ["\x24\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAD"],
        ["\xA4\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x2D"],

        ["\x24\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAE"],
        ["\xA4\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x2E"],

        ["\x24\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAF"],
        ["\xA4\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x2F"],

        ["\x24\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB0"],
        ["\xA4\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x30"],

        ["\x24\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB1"],
        ["\xA4\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x31"],

        ["\x24\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB2"],
        ["\xA4\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x32"],

        ["\x24\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB3"],
        ["\xA4\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x33"],

        ["\x24\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB4"],
        ["\xA4\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x34"],

        ["\x24\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB5"],
        ["\xA4\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x35"],

        ["\x24\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB6"],
        ["\xA4\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x36"],

        ["\x24\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB7"],
        ["\xA4\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x37"],

        ["\x24\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB8"],
        ["\xA4\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x38"],

        ["\x24\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB9"],
        ["\xA4\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x39"],

        ["\x24\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBA"],
        ["\xA4\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x3A"],

        ["\x24\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],
        ["\xA4\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x3B"],

        ["\x24\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBC"],
        ["\xA4\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x3C"],

        ["\x24\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBD"],
        ["\xA4\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x3D"],

        ["\x24\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],
        ["\xA4\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x3E"],

        ["\x24\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBF"],
        ["\xA4\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x3F"],

        ["\x24\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC0"],
        ["\xA4\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x40"],

        ["\x24\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC1"],
        ["\xA4\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x41"],

        ["\x24\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC2"],
        ["\xA4\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x42"],

        ["\x24\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC3"],
        ["\xA4\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x43"],

        ["\x24\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC4"],
        ["\xA4\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x44"],

        ["\x24\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC5"],
        ["\xA4\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x45"],

        ["\x24\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC6"],
        ["\xA4\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x46"],

        ["\x24\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC7"],
        ["\xA4\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x47"],

        ["\x24\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC8"],
        ["\xA4\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x48"],

        ["\x24\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC9"],
        ["\xA4\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x49"],

        ["\x24\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCA"],
        ["\xA4\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x4A"],

        ["\x24\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCB"],
        ["\xA4\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x4B"],

        ["\x24\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCC"],
        ["\xA4\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x4C"],

        ["\x24\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCD"],
        ["\xA4\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x4D"],

        ["\x24\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCE"],
        ["\xA4\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x4E"],

        ["\x24\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCF"],
        ["\xA4\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x4F"],

        ["\x24\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD0"],
        ["\xA4\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x50"],

        ["\x24\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD1"],
        ["\xA4\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x51"],

        ["\x24\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD2"],
        ["\xA4\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x52"],

        ["\x24\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD3"],
        ["\xA4\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x53"],

        ["\x24\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD4"],
        ["\xA4\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x54"],

        ["\x24\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD5"],
        ["\xA4\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x55"],

        ["\x24\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD6"],
        ["\xA4\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x56"],

        ["\x24\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD7"],
        ["\xA4\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x57"],

        ["\x24\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD8"],
        ["\xA4\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x58"],

        ["\x24\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD9"],
        ["\xA4\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x59"],

        ["\x24\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDA"],
        ["\xA4\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x5A"],

        ["\x24\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDB"],
        ["\xA4\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x5B"],

        ["\x24\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDC"],
        ["\xA4\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x5C"],

        ["\x24\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDD"],
        ["\xA4\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x5D"],

        ["\x24\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDE"],
        ["\xA4\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x5E"],

        ["\x24\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDF"],
        ["\xA4\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x5F"],

        ["\x24\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE0"],
        ["\xA4\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x60"],

        ["\x24\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE1"],
        ["\xA4\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x61"],

        ["\x24\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE2"],
        ["\xA4\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x62"],

        ["\x24\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE3"],
        ["\xA4\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x63"],

        ["\x24\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE4"],
        ["\xA4\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x64"],

        ["\x24\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE5"],
        ["\xA4\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x65"],

        ["\x24\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE6"],
        ["\xA4\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x66"],

        ["\x24\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE7"],
        ["\xA4\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x67"],

        ["\x24\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE8"],
        ["\xA4\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x68"],

        ["\x24\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE9"],
        ["\xA4\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x69"],

        ["\x24\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEA"],
        ["\xA4\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x6A"],

        ["\x24\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEB"],
        ["\xA4\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x6B"],

        ["\x24\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEC"],
        ["\xA4\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x6C"],

        ["\x24\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xED"],
        ["\xA4\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x6D"],

        ["\x24\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEE"],
        ["\xA4\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x6E"],

        ["\x24\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEF"],
        ["\xA4\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x6F"],

        ["\x24\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xF0"],
        ["\xA4\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x70"],

        ["\x24\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xF1"],
        ["\xA4\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x71"],

        ["\x24\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xF2"],
        ["\xA4\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x72"],

        ["\x24\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xF3"],
        ["\xA4\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x24\x73"],

        ["\x25\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA1"],
        ["\xA5\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x21"],

        ["\x25\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],
        ["\xA5\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x22"],

        ["\x25\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA3"],
        ["\xA5\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x23"],

        ["\x25\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA4"],
        ["\xA5\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x24"],

        ["\x25\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA5"],
        ["\xA5\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x25"],

        ["\x25\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA6"],
        ["\xA5\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x26"],

        ["\x25\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA7"],
        ["\xA5\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x27"],

        ["\x25\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA8"],
        ["\xA5\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x28"],

        ["\x25\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],
        ["\xA5\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x29"],

        ["\x25\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAA"],
        ["\xA5\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x2A"],

        ["\x25\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAB"],
        ["\xA5\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x2B"],

        ["\x25\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAC"],
        ["\xA5\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x2C"],

        ["\x25\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAD"],
        ["\xA5\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x2D"],

        ["\x25\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],
        ["\xA5\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x2E"],

        ["\x25\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAF"],
        ["\xA5\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x2F"],

        ["\x25\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB0"],
        ["\xA5\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x30"],

        ["\x25\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB1"],
        ["\xA5\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x31"],

        ["\x25\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB2"],
        ["\xA5\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x32"],

        ["\x25\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB3"],
        ["\xA5\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x33"],

        ["\x25\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],
        ["\xA5\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x34"],

        ["\x25\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB5"],
        ["\xA5\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x35"],

        ["\x25\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB6"],
        ["\xA5\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x36"],

        ["\x25\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB7"],
        ["\xA5\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x37"],

        ["\x25\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB8"],
        ["\xA5\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x38"],

        ["\x25\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB9"],
        ["\xA5\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x39"],

        ["\x25\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBA"],
        ["\xA5\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x3A"],

        ["\x25\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBB"],
        ["\xA5\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x3B"],

        ["\x25\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBC"],
        ["\xA5\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x3C"],

        ["\x25\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBD"],
        ["\xA5\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x3D"],

        ["\x25\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBE"],
        ["\xA5\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x3E"],

        ["\x25\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBF"],
        ["\xA5\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x3F"],

        ["\x25\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC0"],
        ["\xA5\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x40"],

        ["\x25\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC1"],
        ["\xA5\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x41"],

        ["\x25\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC2"],
        ["\xA5\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x42"],

        ["\x25\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC3"],
        ["\xA5\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x43"],

        ["\x25\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC4"],
        ["\xA5\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x44"],

        ["\x25\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC5"],
        ["\xA5\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x45"],

        ["\x25\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC6"],
        ["\xA5\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x46"],

        ["\x25\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC7"],
        ["\xA5\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x47"],

        ["\x25\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC8"],
        ["\xA5\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x48"],

        ["\x25\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC9"],
        ["\xA5\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x49"],

        ["\x25\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],
        ["\xA5\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x4A"],

        ["\x25\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCB"],
        ["\xA5\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x4B"],

        ["\x25\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCC"],
        ["\xA5\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x4C"],

        ["\x25\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCD"],
        ["\xA5\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x4D"],

        ["\x25\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCE"],
        ["\xA5\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x4E"],

        ["\x25\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCF"],
        ["\xA5\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x4F"],

        ["\x25\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD0"],
        ["\xA5\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x50"],

        ["\x25\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD1"],
        ["\xA5\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x51"],

        ["\x25\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD2"],
        ["\xA5\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x52"],

        ["\x25\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD3"],
        ["\xA5\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x53"],

        ["\x25\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD4"],
        ["\xA5\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x54"],

        ["\x25\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD5"],
        ["\xA5\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x55"],

        ["\x25\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD6"],
        ["\xA5\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x56"],

        ["\x25\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD7"],
        ["\xA5\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x57"],

        ["\x25\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD8"],
        ["\xA5\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x58"],

        ["\x25\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD9"],
        ["\xA5\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x59"],

        ["\x25\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDA"],
        ["\xA5\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x5A"],

        ["\x25\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDB"],
        ["\xA5\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x5B"],

        ["\x25\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],
        ["\xA5\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x5C"],

        ["\x25\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDD"],
        ["\xA5\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x5D"],

        ["\x25\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDE"],
        ["\xA5\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x5E"],

        ["\x25\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDF"],
        ["\xA5\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x5F"],

        ["\x25\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE0"],
        ["\xA5\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x60"],

        ["\x25\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE1"],
        ["\xA5\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x61"],

        ["\x25\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE2"],
        ["\xA5\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x62"],

        ["\x25\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE3"],
        ["\xA5\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x63"],

        ["\x25\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE4"],
        ["\xA5\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x64"],

        ["\x25\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE5"],
        ["\xA5\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x65"],

        ["\x25\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE6"],
        ["\xA5\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x66"],

        ["\x25\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE7"],
        ["\xA5\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x67"],

        ["\x25\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE8"],
        ["\xA5\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x68"],

        ["\x25\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE9"],
        ["\xA5\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x69"],

        ["\x25\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],
        ["\xA5\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x6A"],

        ["\x25\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEB"],
        ["\xA5\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x6B"],

        ["\x25\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEC"],
        ["\xA5\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x6C"],

        ["\x25\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xED"],
        ["\xA5\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x6D"],

        ["\x25\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],
        ["\xA5\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x6E"],

        ["\x25\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],
        ["\xA5\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x6F"],

        ["\x25\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF0"],
        ["\xA5\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x70"],

        ["\x25\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF1"],
        ["\xA5\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x71"],

        ["\x25\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF2"],
        ["\xA5\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x72"],

        ["\x25\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF3"],
        ["\xA5\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x73"],

        ["\x25\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF4"],
        ["\xA5\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x74"],

        ["\x25\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF5"],
        ["\xA5\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x75"],

        ["\x25\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF6"],
        ["\xA5\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x25\x76"],

        ["\x26\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA1"],
        ["\xA6\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x21"],

        ["\x26\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA2"],
        ["\xA6\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x22"],

        ["\x26\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA3"],
        ["\xA6\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x23"],

        ["\x26\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA4"],
        ["\xA6\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x24"],

        ["\x26\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA5"],
        ["\xA6\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x25"],

        ["\x26\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA6"],
        ["\xA6\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x26"],

        ["\x26\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA7"],
        ["\xA6\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x27"],

        ["\x26\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA8"],
        ["\xA6\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x28"],

        ["\x26\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA9"],
        ["\xA6\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x29"],

        ["\x26\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAA"],
        ["\xA6\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x2A"],

        ["\x26\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAB"],
        ["\xA6\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x2B"],

        ["\x26\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAC"],
        ["\xA6\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x2C"],

        ["\x26\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAD"],
        ["\xA6\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x2D"],

        ["\x26\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAE"],
        ["\xA6\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x2E"],

        ["\x26\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAF"],
        ["\xA6\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x2F"],

        ["\x26\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB0"],
        ["\xA6\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x30"],

        ["\x26\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB1"],
        ["\xA6\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x31"],

        ["\x26\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB2"],
        ["\xA6\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x32"],

        ["\x26\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB3"],
        ["\xA6\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x33"],

        ["\x26\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB4"],
        ["\xA6\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x34"],

        ["\x26\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB5"],
        ["\xA6\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x35"],

        ["\x26\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB6"],
        ["\xA6\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x36"],

        ["\x26\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB7"],
        ["\xA6\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x37"],

        ["\x26\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB8"],
        ["\xA6\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x38"],

        ["\x26\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC1"],
        ["\xA6\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x41"],

        ["\x26\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC2"],
        ["\xA6\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x42"],

        ["\x26\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC3"],
        ["\xA6\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x43"],

        ["\x26\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC4"],
        ["\xA6\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x44"],

        ["\x26\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC5"],
        ["\xA6\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x45"],

        ["\x26\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC6"],
        ["\xA6\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x46"],

        ["\x26\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC7"],
        ["\xA6\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x47"],

        ["\x26\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC8"],
        ["\xA6\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x48"],

        ["\x26\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC9"],
        ["\xA6\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x49"],

        ["\x26\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCA"],
        ["\xA6\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x4A"],

        ["\x26\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCB"],
        ["\xA6\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x4B"],

        ["\x26\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCC"],
        ["\xA6\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x4C"],

        ["\x26\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCD"],
        ["\xA6\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x4D"],

        ["\x26\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCE"],
        ["\xA6\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x4E"],

        ["\x26\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCF"],
        ["\xA6\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x4F"],

        ["\x26\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD0"],
        ["\xA6\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x50"],

        ["\x26\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD1"],
        ["\xA6\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x51"],

        ["\x26\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD2"],
        ["\xA6\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x52"],

        ["\x26\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD3"],
        ["\xA6\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x53"],

        ["\x26\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD4"],
        ["\xA6\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x54"],

        ["\x26\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD5"],
        ["\xA6\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x55"],

        ["\x26\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD6"],
        ["\xA6\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x56"],

        ["\x26\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD7"],
        ["\xA6\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x57"],

        ["\x26\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD8"],
        ["\xA6\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x26\x58"],

        ["\x27\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA1"],
        ["\xA7\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x21"],

        ["\x27\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA2"],
        ["\xA7\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x22"],

        ["\x27\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA3"],
        ["\xA7\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x23"],

        ["\x27\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA4"],
        ["\xA7\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x24"],

        ["\x27\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA5"],
        ["\xA7\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x25"],

        ["\x27\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA6"],
        ["\xA7\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x26"],

        ["\x27\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA7"],
        ["\xA7\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x27"],

        ["\x27\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA8"],
        ["\xA7\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x28"],

        ["\x27\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA9"],
        ["\xA7\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x29"],

        ["\x27\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAA"],
        ["\xA7\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x2A"],

        ["\x27\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAB"],
        ["\xA7\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x2B"],

        ["\x27\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAC"],
        ["\xA7\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x2C"],

        ["\x27\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAD"],
        ["\xA7\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x2D"],

        ["\x27\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAE"],
        ["\xA7\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x2E"],

        ["\x27\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAF"],
        ["\xA7\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x2F"],

        ["\x27\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB0"],
        ["\xA7\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x30"],

        ["\x27\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB1"],
        ["\xA7\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x31"],

        ["\x27\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB2"],
        ["\xA7\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x32"],

        ["\x27\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB3"],
        ["\xA7\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x33"],

        ["\x27\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB4"],
        ["\xA7\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x34"],

        ["\x27\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB5"],
        ["\xA7\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x35"],

        ["\x27\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB6"],
        ["\xA7\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x36"],

        ["\x27\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB7"],
        ["\xA7\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x37"],

        ["\x27\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB8"],
        ["\xA7\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x38"],

        ["\x27\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB9"],
        ["\xA7\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x39"],

        ["\x27\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBA"],
        ["\xA7\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x3A"],

        ["\x27\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBB"],
        ["\xA7\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x3B"],

        ["\x27\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBC"],
        ["\xA7\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x3C"],

        ["\x27\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBD"],
        ["\xA7\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x3D"],

        ["\x27\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBE"],
        ["\xA7\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x3E"],

        ["\x27\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBF"],
        ["\xA7\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x3F"],

        ["\x27\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xC0"],
        ["\xA7\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x40"],

        ["\x27\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xC1"],
        ["\xA7\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x41"],

        ["\x27\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD1"],
        ["\xA7\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x51"],

        ["\x27\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD2"],
        ["\xA7\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x52"],

        ["\x27\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD3"],
        ["\xA7\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x53"],

        ["\x27\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD4"],
        ["\xA7\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x54"],

        ["\x27\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD5"],
        ["\xA7\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x55"],

        ["\x27\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD6"],
        ["\xA7\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x56"],

        ["\x27\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD7"],
        ["\xA7\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x57"],

        ["\x27\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD8"],
        ["\xA7\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x58"],

        ["\x27\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD9"],
        ["\xA7\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x59"],

        ["\x27\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDA"],
        ["\xA7\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x5A"],

        ["\x27\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDB"],
        ["\xA7\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x5B"],

        ["\x27\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDC"],
        ["\xA7\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x5C"],

        ["\x27\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDD"],
        ["\xA7\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x5D"],

        ["\x27\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDE"],
        ["\xA7\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x5E"],

        ["\x27\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDF"],
        ["\xA7\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x5F"],

        ["\x27\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE0"],
        ["\xA7\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x60"],

        ["\x27\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE1"],
        ["\xA7\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x61"],

        ["\x27\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE2"],
        ["\xA7\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x62"],

        ["\x27\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE3"],
        ["\xA7\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x63"],

        ["\x27\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE4"],
        ["\xA7\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x64"],

        ["\x27\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE5"],
        ["\xA7\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x65"],

        ["\x27\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE6"],
        ["\xA7\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x66"],

        ["\x27\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE7"],
        ["\xA7\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x67"],

        ["\x27\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE8"],
        ["\xA7\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x68"],

        ["\x27\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE9"],
        ["\xA7\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x69"],

        ["\x27\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEA"],
        ["\xA7\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x6A"],

        ["\x27\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEB"],
        ["\xA7\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x6B"],

        ["\x27\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEC"],
        ["\xA7\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x6C"],

        ["\x27\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xED"],
        ["\xA7\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x6D"],

        ["\x27\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEE"],
        ["\xA7\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x6E"],

        ["\x27\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEF"],
        ["\xA7\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x6F"],

        ["\x27\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xF0"],
        ["\xA7\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x70"],

        ["\x27\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xF1"],
        ["\xA7\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x27\x71"],

        ["\x2C\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD1"],
        ["\x7C\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x24"],

        ["\x2C\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD2"],
        ["\x7C\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x26"],

        ["\x2C\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC1"],
        ["\x7C\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x30"],

        ["\x2C\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC2"],
        ["\x7C\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x34"],

        ["\x2C\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC3"],
        ["\x7C\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x3C"],

        ["\x2C\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC4"],
        ["\x7C\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x38"],

        ["\x2C\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC7"],
        ["\x7C\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x40"],

        ["\x2C\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC5"],
        ["\x7C\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x50"],

        ["\x2C\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC8"],
        ["\x7C\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x48"],

        ["\x2C\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC6"],
        ["\x7C\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x58"],

        ["\x2C\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC9"],
        ["\x7C\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x60"],

        ["\x2C\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF6"],
        ["\x7C\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x25"],

        ["\x2C\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF7"],
        ["\x7C\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x27"],

        ["\x2C\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE6"],
        ["\x7C\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x33"],

        ["\x2C\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE7"],
        ["\x7C\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x37"],

        ["\x2C\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE8"],
        ["\x7C\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x3F"],

        ["\x2C\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE9"],
        ["\x7C\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x3B"],

        ["\x2C\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF3"],
        ["\x7C\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x47"],

        ["\x2C\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF1"],
        ["\x7C\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x57"],

        ["\x2C\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF4"],
        ["\x7C\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x4F"],

        ["\x2C\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF2"],
        ["\x7C\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x5F"],

        ["\x2C\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF5"],
        ["\x7C\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x6F"],

        ["\x2C\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xCA"],
        ["\x7C\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x44"],

        ["\x2C\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xCB"],
        ["\x7C\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x53"],

        ["\x2C\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xCC"],
        ["\x7C\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x4C"],

        ["\x2C\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC0"],
        ["\x7C\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x5B"],

        ["\x2C\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xCE"],
        ["\x7C\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x63"],

        ["\x2C\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xA2"],
        ["\x7F\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x41"],

        ["\x2C\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xA3"],
        ["\x7F\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x54"],

        ["\x2C\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xA4"],
        ["\x7F\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x49"],

        ["\x2C\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xA1"],
        ["\x7F\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x5C"],

        ["\x2C\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xCD"],
        ["\x7C\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2C\x66"],

        ["\x2D\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC9"],
        ["\x77\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x21"],

        ["\x2D\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xCA"],
        ["\x77\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x22"],

        ["\x2D\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xCB"],
        ["\x77\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x23"],

        ["\x2D\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xCC"],
        ["\x77\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x24"],

        ["\x2D\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xCD"],
        ["\x77\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x25"],

        ["\x2D\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xCE"],
        ["\x77\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x26"],

        ["\x2D\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xCF"],
        ["\x77\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x27"],

        ["\x2D\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD0"],
        ["\x77\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x28"],

        ["\x2D\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD1"],
        ["\x77\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x29"],

        ["\x2D\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD2"],
        ["\x77\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x2A"],

        ["\x2D\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD3"],
        ["\x77\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x2B"],

        ["\x2D\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD4"],
        ["\x77\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x2C"],

        ["\x2D\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD5"],
        ["\x77\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x2D"],

        ["\x2D\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD6"],
        ["\x77\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x2E"],

        ["\x2D\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD7"],
        ["\x77\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x2F"],

        ["\x2D\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD8"],
        ["\x77\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x30"],

        ["\x2D\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD9"],
        ["\x77\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x31"],

        ["\x2D\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xDA"],
        ["\x77\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x32"],

        ["\x2D\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xDB"],
        ["\x77\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x33"],

        ["\x2D\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xDC"],
        ["\x77\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x34"],

        ["\x2D\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xDE"],
        ["\x77\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x35"],

        ["\x2D\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xDF"],
        ["\x77\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x36"],

        ["\x2D\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE0"],
        ["\x77\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x37"],

        ["\x2D\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE1"],
        ["\x77\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x38"],

        ["\x2D\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE2"],
        ["\x77\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x39"],

        ["\x2D\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE3"],
        ["\x77\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x3A"],

        ["\x2D\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE4"],
        ["\x77\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x3B"],

        ["\x2D\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE5"],
        ["\x77\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x3C"],

        ["\x2D\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE6"],
        ["\x77\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x3D"],

        ["\x2D\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE7"],
        ["\x77\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x3E"],

        ["\x2D\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xDA"],
        ["\x76\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x40"],

        ["\x2D\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xDC"],
        ["\x76\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x41"],

        ["\x2D\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xDB"],
        ["\x76\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x42"],

        ["\x2D\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD9"],
        ["\x76\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x43"],

        ["\x2D\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xDE"],
        ["\x76\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x44"],

        ["\x2D\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE0"],
        ["\x76\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x45"],

        ["\x2D\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE1"],
        ["\x76\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x46"],

        ["\x2D\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE2"],
        ["\x76\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x47"],

        ["\x2D\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA1"],
        ["\x80\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x48"],

        ["\x2D\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE7"],
        ["\x76\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x49"],

        ["\x2D\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE6"],
        ["\x76\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x4A"],

        ["\x2D\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE3"],
        ["\x76\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x4B"],

        ["\x2D\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE4"],
        ["\x76\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x4C"],

        ["\x2D\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE5"],
        ["\x76\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x4D"],

        ["\x2D\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE9"],
        ["\x76\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x4E"],

        ["\x2D\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xEB"],
        ["\x76\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x4F"],

        ["\x2D\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xBC"],
        ["\x76\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x50"],

        ["\x2D\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xBD"],
        ["\x76\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x51"],

        ["\x2D\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xBE"],
        ["\x76\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x52"],

        ["\x2D\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC4"],
        ["\x76\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x53"],

        ["\x2D\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC5"],
        ["\x76\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x54"],

        ["\x2D\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC6"],
        ["\x76\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x55"],

        ["\x2D\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC0"],
        ["\x76\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x56"],

        ["\x2D\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA2"],
        ["\x80\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x5F"],

        ["\x2D\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA3"],
        ["\x80\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x60"],

        ["\x2D\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA4"],
        ["\x80\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x61"],

        ["\x2D\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xFA"],
        ["\x76\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x62"],

        ["\x2D\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF4"],
        ["\x76\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x63"],

        ["\x2D\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF6"],
        ["\x76\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x64"],

        ["\x2D\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA5"],
        ["\x80\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x65"],

        ["\x2D\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA6"],
        ["\x80\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x66"],

        ["\x2D\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA7"],
        ["\x80\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x67"],

        ["\x2D\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA8"],
        ["\x80\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x68"],

        ["\x2D\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA9"],
        ["\x80\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x69"],

        ["\x2D\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD5"],
        ["\x78\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x6A"],

        ["\x2D\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xCF"],
        ["\x78\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x6B"],

        ["\x2D\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xCB"],
        ["\x78\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x6C"],

        ["\x2D\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xAA"],
        ["\x80\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x6D"],

        ["\x2D\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xAB"],
        ["\x80\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x6E"],

        ["\x2D\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xAC"],
        ["\x80\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x6F"],

        ["\x2D\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xAD"],
        ["\x80\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x73"],

        ["\x2D\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xAE"],
        ["\x80\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x74"],

        ["\x2D\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xAF"],
        ["\x80\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x78"],

        ["\x2D\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB0"],
        ["\x80\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x2D\x79"],

        ["\x30\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA1"],
        ["\xB0\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x21"],

        ["\x30\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA2"],
        ["\xB0\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x22"],

        ["\x30\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA3"],
        ["\xB0\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x23"],

        ["\x30\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA4"],
        ["\xB0\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x24"],

        ["\x30\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA5"],
        ["\xB0\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x25"],

        ["\x30\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA6"],
        ["\xB0\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x26"],

        ["\x30\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA7"],
        ["\xB0\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x27"],

        ["\x30\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA8"],
        ["\xB0\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x28"],

        ["\x30\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA9"],
        ["\xB0\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x29"],

        ["\x30\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAA"],
        ["\xB0\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x2A"],

        ["\x30\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAB"],
        ["\xB0\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x2B"],

        ["\x30\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAC"],
        ["\xB0\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x2C"],

        ["\x30\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAD"],
        ["\xB0\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x2D"],

        ["\x30\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAE"],
        ["\xB0\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x2E"],

        ["\x30\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAF"],
        ["\xB0\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x2F"],

        ["\x30\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB0"],
        ["\xB0\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x30"],

        ["\x30\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB1"],
        ["\xB0\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x31"],

        ["\x30\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB2"],
        ["\xB0\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x32"],

        ["\x72\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCD"],
        ["\xF2\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x4D"],

        ["\x30\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB4"],
        ["\xB0\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x34"],

        ["\x30\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB5"],
        ["\xB0\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x35"],

        ["\x30\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB6"],
        ["\xB0\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x36"],

        ["\x30\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB7"],
        ["\xB0\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x37"],

        ["\x30\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB8"],
        ["\xB0\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x38"],

        ["\x30\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB9"],
        ["\xB0\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x39"],

        ["\x30\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBA"],
        ["\xB0\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x3A"],

        ["\x30\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBB"],
        ["\xB0\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x3B"],

        ["\x30\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBC"],
        ["\xB0\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x3C"],

        ["\x30\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBD"],
        ["\xB0\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x3D"],

        ["\x30\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBE"],
        ["\xB0\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x3E"],

        ["\x30\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBF"],
        ["\xB0\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x3F"],

        ["\x30\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC0"],
        ["\xB0\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x40"],

        ["\x30\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC1"],
        ["\xB0\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x41"],

        ["\x30\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC2"],
        ["\xB0\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x42"],

        ["\x30\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC3"],
        ["\xB0\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x43"],

        ["\x30\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC4"],
        ["\xB0\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x44"],

        ["\x30\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC5"],
        ["\xB0\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x45"],

        ["\x30\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC6"],
        ["\xB0\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x46"],

        ["\x30\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC7"],
        ["\xB0\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x47"],

        ["\x30\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC8"],
        ["\xB0\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x48"],

        ["\x30\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC9"],
        ["\xB0\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x49"],

        ["\x30\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCA"],
        ["\xB0\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x4A"],

        ["\x30\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCB"],
        ["\xB0\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x4B"],

        ["\x30\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCC"],
        ["\xB0\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x4C"],

        ["\x30\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCD"],
        ["\xB0\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x4D"],

        ["\x30\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCE"],
        ["\xB0\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x4E"],

        ["\x30\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCF"],
        ["\xB0\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x4F"],

        ["\x30\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD0"],
        ["\xB0\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x50"],

        ["\x30\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD1"],
        ["\xB0\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x51"],

        ["\x30\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD2"],
        ["\xB0\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x52"],

        ["\x30\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD3"],
        ["\xB0\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x53"],

        ["\x30\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD4"],
        ["\xB0\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x54"],

        ["\x30\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD5"],
        ["\xB0\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x55"],

        ["\x30\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD6"],
        ["\xB0\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x56"],

        ["\x30\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD7"],
        ["\xB0\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x57"],

        ["\x30\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD8"],
        ["\xB0\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x58"],

        ["\x30\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD9"],
        ["\xB0\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x59"],

        ["\x30\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDA"],
        ["\xB0\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x5A"],

        ["\x30\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDB"],
        ["\xB0\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x5B"],

        ["\x30\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDC"],
        ["\xB0\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x5C"],

        ["\x30\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDD"],
        ["\xB0\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x5D"],

        ["\x30\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDE"],
        ["\xB0\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x5E"],

        ["\x30\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDF"],
        ["\xB0\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x5F"],

        ["\x30\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE0"],
        ["\xB0\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x60"],

        ["\x30\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE1"],
        ["\xB0\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x61"],

        ["\x30\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE2"],
        ["\xB0\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x62"],

        ["\x30\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE3"],
        ["\xB0\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x63"],

        ["\x30\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE4"],
        ["\xB0\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x64"],

        ["\x30\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE5"],
        ["\xB0\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x65"],

        ["\x30\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE6"],
        ["\xB0\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x66"],

        ["\x30\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE7"],
        ["\xB0\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x67"],

        ["\x30\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE8"],
        ["\xB0\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x68"],

        ["\x30\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE9"],
        ["\xB0\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x69"],

        ["\x30\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEA"],
        ["\xB0\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x6A"],

        ["\x30\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEB"],
        ["\xB0\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x6B"],

        ["\x30\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEC"],
        ["\xB0\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x6C"],

        ["\x30\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xED"],
        ["\xB0\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x6D"],

        ["\x30\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEE"],
        ["\xB0\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x6E"],

        ["\x30\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEF"],
        ["\xB0\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x6F"],

        ["\x30\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF0"],
        ["\xB0\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x70"],

        ["\x30\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF1"],
        ["\xB0\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x71"],

        ["\x30\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF2"],
        ["\xB0\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x72"],

        ["\x30\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF3"],
        ["\xB0\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x73"],

        ["\x30\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF4"],
        ["\xB0\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x74"],

        ["\x30\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF5"],
        ["\xB0\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x75"],

        ["\x30\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF6"],
        ["\xB0\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x76"],

        ["\x30\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF7"],
        ["\xB0\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x77"],

        ["\x30\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF8"],
        ["\xB0\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x78"],

        ["\x30\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF9"],
        ["\xB0\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x79"],

        ["\x30\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFA"],
        ["\xB0\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x7A"],

        ["\x30\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFB"],
        ["\xB0\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x7B"],

        ["\x30\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFC"],
        ["\xB0\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x7C"],

        ["\x30\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFD"],
        ["\xB0\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x7D"],

        ["\x30\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFE"],
        ["\xB0\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x7E"],

        ["\x31\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA1"],
        ["\xB1\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x21"],

        ["\x31\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA2"],
        ["\xB1\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x22"],

        ["\x31\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA3"],
        ["\xB1\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x23"],

        ["\x31\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA4"],
        ["\xB1\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x24"],

        ["\x31\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA5"],
        ["\xB1\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x25"],

        ["\x31\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA6"],
        ["\xB1\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x26"],

        ["\x31\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA7"],
        ["\xB1\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x27"],

        ["\x31\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA8"],
        ["\xB1\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x28"],

        ["\x31\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA9"],
        ["\xB1\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x29"],

        ["\x31\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAA"],
        ["\xB1\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x2A"],

        ["\x31\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAB"],
        ["\xB1\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x2B"],

        ["\x31\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAC"],
        ["\xB1\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x2C"],

        ["\x31\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAD"],
        ["\xB1\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x2D"],

        ["\x31\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAE"],
        ["\xB1\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x2E"],

        ["\x31\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAF"],
        ["\xB1\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x2F"],

        ["\x31\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB0"],
        ["\xB1\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x30"],

        ["\x31\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB1"],
        ["\xB1\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x31"],

        ["\x31\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB2"],
        ["\xB1\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x32"],

        ["\x31\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB3"],
        ["\xB1\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x33"],

        ["\x31\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB4"],
        ["\xB1\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x34"],

        ["\x31\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB5"],
        ["\xB1\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x35"],

        ["\x31\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB6"],
        ["\xB1\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x36"],

        ["\x31\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB7"],
        ["\xB1\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x37"],

        ["\x31\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB8"],
        ["\xB1\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x38"],

        ["\x31\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB9"],
        ["\xB1\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x39"],

        ["\x31\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBA"],
        ["\xB1\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x3A"],

        ["\x31\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBB"],
        ["\xB1\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x3B"],

        ["\x31\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBC"],
        ["\xB1\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x3C"],

        ["\x31\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBD"],
        ["\xB1\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x3D"],

        ["\x31\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBE"],
        ["\xB1\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x3E"],

        ["\x31\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBF"],
        ["\xB1\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x3F"],

        ["\x31\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC0"],
        ["\xB1\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x40"],

        ["\x31\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC1"],
        ["\xB1\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x41"],

        ["\x31\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC2"],
        ["\xB1\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x42"],

        ["\x31\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC3"],
        ["\xB1\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x43"],

        ["\x31\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC4"],
        ["\xB1\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x44"],

        ["\x31\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC5"],
        ["\xB1\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x45"],

        ["\x31\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC6"],
        ["\xB1\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x46"],

        ["\x31\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC7"],
        ["\xB1\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x47"],

        ["\x31\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC8"],
        ["\xB1\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x48"],

        ["\x31\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC9"],
        ["\xB1\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x49"],

        ["\x31\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCA"],
        ["\xB1\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x4A"],

        ["\x31\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCB"],
        ["\xB1\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x4B"],

        ["\x31\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCC"],
        ["\xB1\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x4C"],

        ["\x31\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCD"],
        ["\xB1\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x4D"],

        ["\x31\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCE"],
        ["\xB1\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x4E"],

        ["\x31\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCF"],
        ["\xB1\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x4F"],

        ["\x31\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD0"],
        ["\xB1\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x50"],

        ["\x31\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD1"],
        ["\xB1\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x51"],

        ["\x31\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD2"],
        ["\xB1\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x52"],

        ["\x31\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD3"],
        ["\xB1\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x53"],

        ["\x31\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD4"],
        ["\xB1\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x54"],

        ["\x31\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD5"],
        ["\xB1\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x55"],

        ["\x31\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD6"],
        ["\xB1\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x56"],

        ["\x31\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD7"],
        ["\xB1\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x57"],

        ["\x31\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD8"],
        ["\xB1\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x58"],

        ["\x31\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD9"],
        ["\xB1\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x59"],

        ["\x31\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDA"],
        ["\xB1\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x5A"],

        ["\x31\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDB"],
        ["\xB1\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x5B"],

        ["\x31\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDC"],
        ["\xB1\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x5C"],

        ["\x31\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDD"],
        ["\xB1\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x5D"],

        ["\x31\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDE"],
        ["\xB1\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x5E"],

        ["\x31\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDF"],
        ["\xB1\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x5F"],

        ["\x31\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE0"],
        ["\xB1\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x60"],

        ["\x31\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE1"],
        ["\xB1\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x61"],

        ["\x31\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE2"],
        ["\xB1\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x62"],

        ["\x31\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE3"],
        ["\xB1\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x63"],

        ["\x31\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE4"],
        ["\xB1\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x64"],

        ["\x31\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE5"],
        ["\xB1\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x65"],

        ["\x31\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE6"],
        ["\xB1\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x66"],

        ["\x31\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE7"],
        ["\xB1\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x67"],

        ["\x31\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE8"],
        ["\xB1\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x68"],

        ["\x31\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE9"],
        ["\xB1\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x69"],

        ["\x31\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEA"],
        ["\xB1\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x6A"],

        ["\x31\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEB"],
        ["\xB1\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x6B"],

        ["\x31\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEC"],
        ["\xB1\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x6C"],

        ["\x31\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xED"],
        ["\xB1\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x6D"],

        ["\x31\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEE"],
        ["\xB1\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x6E"],

        ["\x31\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEF"],
        ["\xB1\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x6F"],

        ["\x31\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF0"],
        ["\xB1\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x70"],

        ["\x31\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF1"],
        ["\xB1\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x71"],

        ["\x31\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF2"],
        ["\xB1\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x72"],

        ["\x31\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF3"],
        ["\xB1\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x73"],

        ["\x31\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF4"],
        ["\xB1\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x74"],

        ["\x31\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF5"],
        ["\xB1\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x75"],

        ["\x31\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF6"],
        ["\xB1\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x76"],

        ["\x31\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF7"],
        ["\xB1\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x77"],

        ["\x31\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF8"],
        ["\xB1\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x78"],

        ["\x31\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF9"],
        ["\xB1\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x79"],

        ["\x31\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFA"],
        ["\xB1\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x7A"],

        ["\x31\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFB"],
        ["\xB1\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x7B"],

        ["\x31\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFC"],
        ["\xB1\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x7C"],

        ["\x31\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFD"],
        ["\xB1\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x7D"],

        ["\x31\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFE"],
        ["\xB1\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x31\x7E"],

        ["\x32\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA1"],
        ["\xB2\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x21"],

        ["\x32\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA2"],
        ["\xB2\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x22"],

        ["\x32\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA3"],
        ["\xB2\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x23"],

        ["\x32\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA4"],
        ["\xB2\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x24"],

        ["\x32\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA5"],
        ["\xB2\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x25"],

        ["\x32\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA6"],
        ["\xB2\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x26"],

        ["\x32\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],
        ["\xB2\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x27"],

        ["\x32\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA8"],
        ["\xB2\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x28"],

        ["\x72\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF4"],
        ["\xF2\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x74"],

        ["\x32\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAA"],
        ["\xB2\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x2A"],

        ["\x32\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAB"],
        ["\xB2\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x2B"],

        ["\x32\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],
        ["\xB2\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x2C"],

        ["\x32\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],
        ["\xB2\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x2D"],

        ["\x32\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAE"],
        ["\xB2\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x2E"],

        ["\x32\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],
        ["\xB2\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x2F"],

        ["\x32\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB0"],
        ["\xB2\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x30"],

        ["\x32\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB1"],
        ["\xB2\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x31"],

        ["\x32\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB2"],
        ["\xB2\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x32"],

        ["\x32\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB3"],
        ["\xB2\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x33"],

        ["\x32\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],
        ["\xB2\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x34"],

        ["\x32\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB5"],
        ["\xB2\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x35"],

        ["\x32\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB6"],
        ["\xB2\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x36"],

        ["\x32\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB7"],
        ["\xB2\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x37"],

        ["\x32\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB8"],
        ["\xB2\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x38"],

        ["\x32\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB9"],
        ["\xB2\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x39"],

        ["\x32\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBA"],
        ["\xB2\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x3A"],

        ["\x32\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],
        ["\xB2\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x3B"],

        ["\x32\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBC"],
        ["\xB2\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x3C"],

        ["\x32\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBD"],
        ["\xB2\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x3D"],

        ["\x32\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBE"],
        ["\xB2\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x3E"],

        ["\x32\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],
        ["\xB2\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x3F"],

        ["\x32\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC0"],
        ["\xB2\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x40"],

        ["\x32\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC1"],
        ["\xB2\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x41"],

        ["\x32\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC2"],
        ["\xB2\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x42"],

        ["\x32\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC3"],
        ["\xB2\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x43"],

        ["\x32\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC4"],
        ["\xB2\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x44"],

        ["\x32\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC5"],
        ["\xB2\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x45"],

        ["\x32\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC6"],
        ["\xB2\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x46"],

        ["\x32\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC7"],
        ["\xB2\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x47"],

        ["\x32\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC8"],
        ["\xB2\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x48"],

        ["\x32\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC9"],
        ["\xB2\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x49"],

        ["\x32\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCA"],
        ["\xB2\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x4A"],

        ["\x32\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCB"],
        ["\xB2\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x4B"],

        ["\x32\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],
        ["\xB2\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x4C"],

        ["\x32\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],
        ["\xB2\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x4D"],

        ["\x32\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],
        ["\xB2\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x4E"],

        ["\x32\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCF"],
        ["\xB2\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x4F"],

        ["\x32\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD0"],
        ["\xB2\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x50"],

        ["\x32\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD1"],
        ["\xB2\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x51"],

        ["\x32\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD2"],
        ["\xB2\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x52"],

        ["\x32\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD3"],
        ["\xB2\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x53"],

        ["\x32\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD4"],
        ["\xB2\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x54"],

        ["\x32\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD5"],
        ["\xB2\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x55"],

        ["\x32\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD6"],
        ["\xB2\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x56"],

        ["\x32\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD7"],
        ["\xB2\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x57"],

        ["\x32\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD8"],
        ["\xB2\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x58"],

        ["\x32\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD9"],
        ["\xB2\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x59"],

        ["\x32\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDA"],
        ["\xB2\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x5A"],

        ["\x32\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],
        ["\xB2\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x5B"],

        ["\x32\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDC"],
        ["\xB2\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x5C"],

        ["\x32\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDD"],
        ["\xB2\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x5D"],

        ["\x32\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],
        ["\xB2\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x5E"],

        ["\x32\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDF"],
        ["\xB2\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x5F"],

        ["\x32\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE0"],
        ["\xB2\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x60"],

        ["\x32\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE1"],
        ["\xB2\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x61"],

        ["\x32\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE2"],
        ["\xB2\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x62"],

        ["\x32\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE3"],
        ["\xB2\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x63"],

        ["\x32\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE4"],
        ["\xB2\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x64"],

        ["\x32\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE5"],
        ["\xB2\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x65"],

        ["\x32\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE6"],
        ["\xB2\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x66"],

        ["\x32\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE7"],
        ["\xB2\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x67"],

        ["\x32\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE8"],
        ["\xB2\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x68"],

        ["\x32\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE9"],
        ["\xB2\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x69"],

        ["\x32\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],
        ["\xB2\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x6A"],

        ["\x32\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],
        ["\xB2\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x6B"],

        ["\x32\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEC"],
        ["\xB2\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x6C"],

        ["\x32\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xED"],
        ["\xB2\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x6D"],

        ["\x32\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],
        ["\xB2\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x6E"],

        ["\x32\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEF"],
        ["\xB2\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x6F"],

        ["\x32\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF0"],
        ["\xB2\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x70"],

        ["\x32\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF1"],
        ["\xB2\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x71"],

        ["\x32\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF2"],
        ["\xB2\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x72"],

        ["\x32\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF3"],
        ["\xB2\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x73"],

        ["\x32\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF4"],
        ["\xB2\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x74"],

        ["\x32\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF5"],
        ["\xB2\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x75"],

        ["\x32\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF6"],
        ["\xB2\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x76"],

        ["\x32\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF7"],
        ["\xB2\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x77"],

        ["\x32\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF8"],
        ["\xB2\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x78"],

        ["\x32\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF9"],
        ["\xB2\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x79"],

        ["\x32\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFA"],
        ["\xB2\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x7A"],

        ["\x32\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFB"],
        ["\xB2\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x7B"],

        ["\x32\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFC"],
        ["\xB2\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x7C"],

        ["\x32\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFD"],
        ["\xB2\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x7D"],

        ["\x32\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],
        ["\xB2\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x7E"],

        ["\x33\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA1"],
        ["\xB3\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x21"],

        ["\x33\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],
        ["\xB3\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x22"],

        ["\x33\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],
        ["\xB3\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x23"],

        ["\x33\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],
        ["\xB3\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x24"],

        ["\x33\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],
        ["\xB3\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x25"],

        ["\x33\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],
        ["\xB3\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x26"],

        ["\x33\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],
        ["\xB3\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x27"],

        ["\x33\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA8"],
        ["\xB3\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x28"],

        ["\x33\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA9"],
        ["\xB3\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x29"],

        ["\x33\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAA"],
        ["\xB3\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x2A"],

        ["\x33\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAB"],
        ["\xB3\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x2B"],

        ["\x33\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAC"],
        ["\xB3\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x2C"],

        ["\x33\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAD"],
        ["\xB3\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x2D"],

        ["\x33\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAE"],
        ["\xB3\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x2E"],

        ["\x33\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],
        ["\xB3\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x2F"],

        ["\x33\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB0"],
        ["\xB3\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x30"],

        ["\x33\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB1"],
        ["\xB3\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x31"],

        ["\x33\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],
        ["\xB3\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x32"],

        ["\x33\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],
        ["\xB3\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x33"],

        ["\x33\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB4"],
        ["\xB3\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x34"],

        ["\x33\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],
        ["\xB3\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x35"],

        ["\x33\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB6"],
        ["\xB3\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x36"],

        ["\x33\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB7"],
        ["\xB3\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x37"],

        ["\x33\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB8"],
        ["\xB3\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x38"],

        ["\x33\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB9"],
        ["\xB3\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x39"],

        ["\x33\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],
        ["\xB3\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x3A"],

        ["\x33\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBB"],
        ["\xB3\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x3B"],

        ["\x33\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],
        ["\xB3\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x3C"],

        ["\x33\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBD"],
        ["\xB3\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x3D"],

        ["\x33\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBE"],
        ["\xB3\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x3E"],

        ["\x33\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],
        ["\xB3\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x3F"],

        ["\x33\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC0"],
        ["\xB3\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x40"],

        ["\x33\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC1"],
        ["\xB3\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x41"],

        ["\x69\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDA"],
        ["\xE9\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x5A"],

        ["\x33\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC3"],
        ["\xB3\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x43"],

        ["\x33\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC4"],
        ["\xB3\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x44"],

        ["\x33\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC5"],
        ["\xB3\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x45"],

        ["\x33\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC6"],
        ["\xB3\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x46"],

        ["\x33\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC7"],
        ["\xB3\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x47"],

        ["\x33\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC8"],
        ["\xB3\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x48"],

        ["\x59\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF8"],
        ["\xD9\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x78"],

        ["\x33\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCA"],
        ["\xB3\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x4A"],

        ["\x33\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCB"],
        ["\xB3\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x4B"],

        ["\x33\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCC"],
        ["\xB3\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x4C"],

        ["\x33\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],
        ["\xB3\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x4D"],

        ["\x33\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCE"],
        ["\xB3\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x4E"],

        ["\x33\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],
        ["\xB3\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x4F"],

        ["\x33\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD0"],
        ["\xB3\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x50"],

        ["\x33\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD1"],
        ["\xB3\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x51"],

        ["\x33\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD2"],
        ["\xB3\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x52"],

        ["\x33\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD3"],
        ["\xB3\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x53"],

        ["\x33\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD4"],
        ["\xB3\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x54"],

        ["\x33\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD5"],
        ["\xB3\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x55"],

        ["\x33\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD6"],
        ["\xB3\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x56"],

        ["\x33\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD7"],
        ["\xB3\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x57"],

        ["\x33\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD8"],
        ["\xB3\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x58"],

        ["\x33\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD9"],
        ["\xB3\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x59"],

        ["\x33\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],
        ["\xB3\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x5A"],

        ["\x33\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDB"],
        ["\xB3\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x5B"],

        ["\x33\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDC"],
        ["\xB3\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x5C"],

        ["\x33\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDD"],
        ["\xB3\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x5D"],

        ["\x33\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDE"],
        ["\xB3\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x5E"],

        ["\x33\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDF"],
        ["\xB3\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x5F"],

        ["\x33\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE0"],
        ["\xB3\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x60"],

        ["\x33\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE1"],
        ["\xB3\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x61"],

        ["\x33\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE2"],
        ["\xB3\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x62"],

        ["\x33\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE3"],
        ["\xB3\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x63"],

        ["\x33\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE4"],
        ["\xB3\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x64"],

        ["\x33\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE5"],
        ["\xB3\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x65"],

        ["\x33\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE6"],
        ["\xB3\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x66"],

        ["\x33\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE7"],
        ["\xB3\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x67"],

        ["\x33\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE8"],
        ["\xB3\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x68"],

        ["\x33\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE9"],
        ["\xB3\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x69"],

        ["\x33\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEA"],
        ["\xB3\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x6A"],

        ["\x33\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],
        ["\xB3\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x6B"],

        ["\x33\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],
        ["\xB3\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x6C"],

        ["\x33\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xED"],
        ["\xB3\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x6D"],

        ["\x33\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEE"],
        ["\xB3\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x6E"],

        ["\x33\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEF"],
        ["\xB3\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x6F"],

        ["\x33\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF0"],
        ["\xB3\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x70"],

        ["\x33\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF1"],
        ["\xB3\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x71"],

        ["\x33\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF2"],
        ["\xB3\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x72"],

        ["\x33\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF3"],
        ["\xB3\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x73"],

        ["\x33\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF4"],
        ["\xB3\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x74"],

        ["\x33\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF5"],
        ["\xB3\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x75"],

        ["\x63\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDE"],
        ["\xE3\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x5E"],

        ["\x33\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF7"],
        ["\xB3\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x77"],

        ["\x33\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF8"],
        ["\xB3\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x78"],

        ["\x33\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF9"],
        ["\xB3\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x79"],

        ["\x33\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFA"],
        ["\xB3\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x7A"],

        ["\x33\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFB"],
        ["\xB3\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x7B"],

        ["\x33\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFC"],
        ["\xB3\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x7C"],

        ["\x33\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFD"],
        ["\xB3\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x7D"],

        ["\x33\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFE"],
        ["\xB3\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x7E"],

        ["\x34\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA1"],
        ["\xB4\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x21"],

        ["\x34\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],
        ["\xB4\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x22"],

        ["\x34\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA3"],
        ["\xB4\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x23"],

        ["\x34\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA4"],
        ["\xB4\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x24"],

        ["\x34\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA5"],
        ["\xB4\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x25"],

        ["\x34\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA6"],
        ["\xB4\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x26"],

        ["\x34\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA7"],
        ["\xB4\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x27"],

        ["\x34\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],
        ["\xB4\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x28"],

        ["\x34\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA9"],
        ["\xB4\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x29"],

        ["\x34\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],
        ["\xB4\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x2A"],

        ["\x34\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAB"],
        ["\xB4\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x2B"],

        ["\x34\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],
        ["\xB4\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x2C"],

        ["\x34\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],
        ["\xB4\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x2D"],

        ["\x34\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],
        ["\xB4\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x2E"],

        ["\x34\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAF"],
        ["\xB4\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x2F"],

        ["\x34\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB0"],
        ["\xB4\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x30"],

        ["\x34\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB1"],
        ["\xB4\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x31"],

        ["\x34\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB2"],
        ["\xB4\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x32"],

        ["\x34\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],
        ["\xB4\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x33"],

        ["\x34\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],
        ["\xB4\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x34"],

        ["\x34\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB5"],
        ["\xB4\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x35"],

        ["\x34\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB6"],
        ["\xB4\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x36"],

        ["\x34\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB7"],
        ["\xB4\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x37"],

        ["\x34\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB8"],
        ["\xB4\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x38"],

        ["\x34\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],
        ["\xB4\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x39"],

        ["\x34\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],
        ["\xB4\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x3A"],

        ["\x34\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBB"],
        ["\xB4\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x3B"],

        ["\x34\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBC"],
        ["\xB4\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x3C"],

        ["\x34\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBD"],
        ["\xB4\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x3D"],

        ["\x34\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBE"],
        ["\xB4\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x3E"],

        ["\x34\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBF"],
        ["\xB4\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x3F"],

        ["\x34\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC0"],
        ["\xB4\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x40"],

        ["\x34\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC1"],
        ["\xB4\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x41"],

        ["\x34\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC2"],
        ["\xB4\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x42"],

        ["\x5E\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF5"],
        ["\xDE\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x75"],

        ["\x34\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC4"],
        ["\xB4\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x44"],

        ["\x34\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC5"],
        ["\xB4\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x45"],

        ["\x34\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC6"],
        ["\xB4\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x46"],

        ["\x34\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC7"],
        ["\xB4\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x47"],

        ["\x34\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC8"],
        ["\xB4\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x48"],

        ["\x34\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC9"],
        ["\xB4\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x49"],

        ["\x34\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCA"],
        ["\xB4\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x4A"],

        ["\x34\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCB"],
        ["\xB4\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x4B"],

        ["\x34\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],
        ["\xB4\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x4C"],

        ["\x34\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCD"],
        ["\xB4\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x4D"],

        ["\x34\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCE"],
        ["\xB4\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x4E"],

        ["\x34\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCF"],
        ["\xB4\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x4F"],

        ["\x34\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD0"],
        ["\xB4\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x50"],

        ["\x34\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD1"],
        ["\xB4\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x51"],

        ["\x6B\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDD"],
        ["\xEB\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x5D"],

        ["\x34\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD3"],
        ["\xB4\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x53"],

        ["\x34\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD4"],
        ["\xB4\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x54"],

        ["\x34\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD5"],
        ["\xB4\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x55"],

        ["\x34\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD6"],
        ["\xB4\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x56"],

        ["\x34\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD7"],
        ["\xB4\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x57"],

        ["\x34\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD8"],
        ["\xB4\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x58"],

        ["\x34\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD9"],
        ["\xB4\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x59"],

        ["\x34\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDA"],
        ["\xB4\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x5A"],

        ["\x34\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDB"],
        ["\xB4\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x5B"],

        ["\x34\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDC"],
        ["\xB4\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x5C"],

        ["\x34\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDD"],
        ["\xB4\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x5D"],

        ["\x34\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDE"],
        ["\xB4\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x5E"],

        ["\x34\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDF"],
        ["\xB4\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x5F"],

        ["\x34\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE0"],
        ["\xB4\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x60"],

        ["\x34\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE1"],
        ["\xB4\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x61"],

        ["\x34\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE2"],
        ["\xB4\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x62"],

        ["\x34\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE3"],
        ["\xB4\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x63"],

        ["\x34\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE4"],
        ["\xB4\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x64"],

        ["\x34\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE5"],
        ["\xB4\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x65"],

        ["\x34\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE6"],
        ["\xB4\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x66"],

        ["\x34\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE7"],
        ["\xB4\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x67"],

        ["\x34\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE8"],
        ["\xB4\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x68"],

        ["\x34\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE9"],
        ["\xB4\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x69"],

        ["\x34\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEA"],
        ["\xB4\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x6A"],

        ["\x34\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEB"],
        ["\xB4\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x6B"],

        ["\x34\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],
        ["\xB4\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x6C"],

        ["\x34\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],
        ["\xB4\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x6D"],

        ["\x34\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEE"],
        ["\xB4\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x6E"],

        ["\x34\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],
        ["\xB4\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x6F"],

        ["\x34\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF0"],
        ["\xB4\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x70"],

        ["\x34\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF1"],
        ["\xB4\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x71"],

        ["\x34\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF2"],
        ["\xB4\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x72"],

        ["\x34\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF3"],
        ["\xB4\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x73"],

        ["\x34\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF4"],
        ["\xB4\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x74"],

        ["\x34\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF5"],
        ["\xB4\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x75"],

        ["\x34\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF6"],
        ["\xB4\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x76"],

        ["\x34\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF7"],
        ["\xB4\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x77"],

        ["\x34\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF8"],
        ["\xB4\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x78"],

        ["\x34\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF9"],
        ["\xB4\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x79"],

        ["\x34\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFA"],
        ["\xB4\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x7A"],

        ["\x34\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFB"],
        ["\xB4\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x7B"],

        ["\x34\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFC"],
        ["\xB4\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x7C"],

        ["\x34\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFD"],
        ["\xB4\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x7D"],

        ["\x34\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFE"],
        ["\xB4\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x7E"],

        ["\x35\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA1"],
        ["\xB5\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x21"],

        ["\x35\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA2"],
        ["\xB5\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x22"],

        ["\x35\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],
        ["\xB5\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x23"],

        ["\x35\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],
        ["\xB5\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x24"],

        ["\x35\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA5"],
        ["\xB5\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x25"],

        ["\x35\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],
        ["\xB5\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x26"],

        ["\x35\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],
        ["\xB5\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x27"],

        ["\x35\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA8"],
        ["\xB5\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x28"],

        ["\x35\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA9"],
        ["\xB5\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x29"],

        ["\x35\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAA"],
        ["\xB5\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x2A"],

        ["\x35\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAB"],
        ["\xB5\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x2B"],

        ["\x35\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAC"],
        ["\xB5\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x2C"],

        ["\x35\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],
        ["\xB5\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x2D"],

        ["\x35\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAE"],
        ["\xB5\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x2E"],

        ["\x35\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAF"],
        ["\xB5\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x2F"],

        ["\x35\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB0"],
        ["\xB5\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x30"],

        ["\x35\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB1"],
        ["\xB5\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x31"],

        ["\x35\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB2"],
        ["\xB5\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x32"],

        ["\x35\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB3"],
        ["\xB5\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x33"],

        ["\x35\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB4"],
        ["\xB5\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x34"],

        ["\x35\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB5"],
        ["\xB5\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x35"],

        ["\x35\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB6"],
        ["\xB5\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x36"],

        ["\x35\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB7"],
        ["\xB5\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x37"],

        ["\x35\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB8"],
        ["\xB5\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x38"],

        ["\x35\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB9"],
        ["\xB5\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x39"],

        ["\x35\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],
        ["\xB5\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x3A"],

        ["\x35\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],
        ["\xB5\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x3B"],

        ["\x35\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],
        ["\xB5\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x3C"],

        ["\x35\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],
        ["\xB5\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x3D"],

        ["\x35\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],
        ["\xB5\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x3E"],

        ["\x35\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBF"],
        ["\xB5\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x3F"],

        ["\x35\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC0"],
        ["\xB5\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x40"],

        ["\x35\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC1"],
        ["\xB5\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x41"],

        ["\x35\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC2"],
        ["\xB5\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x42"],

        ["\x35\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC3"],
        ["\xB5\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x43"],

        ["\x35\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC4"],
        ["\xB5\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x44"],

        ["\x35\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC5"],
        ["\xB5\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x45"],

        ["\x35\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC6"],
        ["\xB5\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x46"],

        ["\x35\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC7"],
        ["\xB5\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x47"],

        ["\x35\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC8"],
        ["\xB5\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x48"],

        ["\x35\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC9"],
        ["\xB5\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x49"],

        ["\x35\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],
        ["\xB5\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x4A"],

        ["\x35\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCB"],
        ["\xB5\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x4B"],

        ["\x35\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],
        ["\xB5\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x4C"],

        ["\x35\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCD"],
        ["\xB5\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x4D"],

        ["\x35\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],
        ["\xB5\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x4E"],

        ["\x35\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],
        ["\xB5\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x4F"],

        ["\x35\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD0"],
        ["\xB5\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x50"],

        ["\x35\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD1"],
        ["\xB5\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x51"],

        ["\x35\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD2"],
        ["\xB5\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x52"],

        ["\x35\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD3"],
        ["\xB5\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x53"],

        ["\x35\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD4"],
        ["\xB5\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x54"],

        ["\x35\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD5"],
        ["\xB5\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x55"],

        ["\x35\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD6"],
        ["\xB5\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x56"],

        ["\x35\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD7"],
        ["\xB5\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x57"],

        ["\x35\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD8"],
        ["\xB5\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x58"],

        ["\x35\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD9"],
        ["\xB5\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x59"],

        ["\x35\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],
        ["\xB5\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x5A"],

        ["\x35\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDB"],
        ["\xB5\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x5B"],

        ["\x35\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],
        ["\xB5\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x5C"],

        ["\x35\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDD"],
        ["\xB5\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x5D"],

        ["\x35\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDE"],
        ["\xB5\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x5E"],

        ["\x35\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],
        ["\xB5\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x5F"],

        ["\x35\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE0"],
        ["\xB5\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x60"],

        ["\x35\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE1"],
        ["\xB5\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x61"],

        ["\x35\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE2"],
        ["\xB5\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x62"],

        ["\x35\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE3"],
        ["\xB5\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x63"],

        ["\x35\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE4"],
        ["\xB5\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x64"],

        ["\x35\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE5"],
        ["\xB5\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x65"],

        ["\x35\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE6"],
        ["\xB5\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x66"],

        ["\x35\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE7"],
        ["\xB5\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x67"],

        ["\x35\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE8"],
        ["\xB5\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x68"],

        ["\x35\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE9"],
        ["\xB5\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x69"],

        ["\x35\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],
        ["\xB5\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x6A"],

        ["\x35\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],
        ["\xB5\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x6B"],

        ["\x35\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],
        ["\xB5\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x6C"],

        ["\x35\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xED"],
        ["\xB5\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x6D"],

        ["\x35\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],
        ["\xB5\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x6E"],

        ["\x35\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEF"],
        ["\xB5\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x6F"],

        ["\x35\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF0"],
        ["\xB5\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x70"],

        ["\x35\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF1"],
        ["\xB5\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x71"],

        ["\x35\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF2"],
        ["\xB5\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x72"],

        ["\x35\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF3"],
        ["\xB5\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x73"],

        ["\x35\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF4"],
        ["\xB5\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x74"],

        ["\x35\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF5"],
        ["\xB5\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x75"],

        ["\x35\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF6"],
        ["\xB5\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x76"],

        ["\x35\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF7"],
        ["\xB5\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x77"],

        ["\x35\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF8"],
        ["\xB5\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x78"],

        ["\x35\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF9"],
        ["\xB5\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x79"],

        ["\x35\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],
        ["\xB5\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x7A"],

        ["\x35\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],
        ["\xB5\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x7B"],

        ["\x35\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFC"],
        ["\xB5\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x7C"],

        ["\x35\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFD"],
        ["\xB5\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x7D"],

        ["\x35\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFE"],
        ["\xB5\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x35\x7E"],

        ["\x36\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA1"],
        ["\xB6\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x21"],

        ["\x36\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],
        ["\xB6\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x22"],

        ["\x36\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA3"],
        ["\xB6\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x23"],

        ["\x36\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],
        ["\xB6\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x24"],

        ["\x36\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],
        ["\xB6\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x25"],

        ["\x36\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA6"],
        ["\xB6\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x26"],

        ["\x36\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA7"],
        ["\xB6\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x27"],

        ["\x36\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],
        ["\xB6\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x28"],

        ["\x36\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],
        ["\xB6\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x29"],

        ["\x36\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAA"],
        ["\xB6\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x2A"],

        ["\x36\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAB"],
        ["\xB6\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x2B"],

        ["\x36\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],
        ["\xB6\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x2C"],

        ["\x36\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],
        ["\xB6\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x2D"],

        ["\x36\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],
        ["\xB6\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x2E"],

        ["\x36\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAF"],
        ["\xB6\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x2F"],

        ["\x36\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB0"],
        ["\xB6\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x30"],

        ["\x36\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB1"],
        ["\xB6\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x31"],

        ["\x36\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],
        ["\xB6\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x32"],

        ["\x36\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],
        ["\xB6\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x33"],

        ["\x36\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],
        ["\xB6\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x34"],

        ["\x36\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB5"],
        ["\xB6\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x35"],

        ["\x36\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB6"],
        ["\xB6\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x36"],

        ["\x36\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB7"],
        ["\xB6\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x37"],

        ["\x36\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB8"],
        ["\xB6\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x38"],

        ["\x36\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB9"],
        ["\xB6\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x39"],

        ["\x36\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBA"],
        ["\xB6\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x3A"],

        ["\x36\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],
        ["\xB6\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x3B"],

        ["\x36\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],
        ["\xB6\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x3C"],

        ["\x36\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],
        ["\xB6\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x3D"],

        ["\x36\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],
        ["\xB6\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x3E"],

        ["\x36\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBF"],
        ["\xB6\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x3F"],

        ["\x36\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC0"],
        ["\xB6\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x40"],

        ["\x36\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC1"],
        ["\xB6\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x41"],

        ["\x36\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC2"],
        ["\xB6\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x42"],

        ["\x36\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC3"],
        ["\xB6\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x43"],

        ["\x36\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC4"],
        ["\xB6\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x44"],

        ["\x36\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC5"],
        ["\xB6\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x45"],

        ["\xB6\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xC8"],
        ["\x47\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],

        ["\x36\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC7"],
        ["\xB6\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x47"],

        ["\x36\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC8"],
        ["\xB6\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x48"],

        ["\x36\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC9"],
        ["\xB6\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x49"],

        ["\x36\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCA"],
        ["\xB6\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x4A"],

        ["\x36\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCB"],
        ["\xB6\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x4B"],

        ["\x36\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],
        ["\xB6\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x4C"],

        ["\x36\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCD"],
        ["\xB6\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x4D"],

        ["\x36\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCE"],
        ["\xB6\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x4E"],

        ["\x36\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],
        ["\xB6\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x4F"],

        ["\x36\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD0"],
        ["\xB6\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x50"],

        ["\x36\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD1"],
        ["\xB6\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x51"],

        ["\x36\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD2"],
        ["\xB6\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x52"],

        ["\x36\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD3"],
        ["\xB6\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x53"],

        ["\x36\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD4"],
        ["\xB6\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x54"],

        ["\x36\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD5"],
        ["\xB6\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x55"],

        ["\x36\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD6"],
        ["\xB6\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x56"],

        ["\x36\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD7"],
        ["\xB6\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x57"],

        ["\x36\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD8"],
        ["\xB6\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x58"],

        ["\x36\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD9"],
        ["\xB6\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x59"],

        ["\x36\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],
        ["\xB6\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x5A"],

        ["\x36\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDB"],
        ["\xB6\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x5B"],

        ["\x36\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDC"],
        ["\xB6\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x5C"],

        ["\x36\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDD"],
        ["\xB6\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x5D"],

        ["\x36\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],
        ["\xB6\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x5E"],

        ["\x36\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDF"],
        ["\xB6\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x5F"],

        ["\x36\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE0"],
        ["\xB6\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x60"],

        ["\x36\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE1"],
        ["\xB6\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x61"],

        ["\x36\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE2"],
        ["\xB6\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x62"],

        ["\x36\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE3"],
        ["\xB6\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x63"],

        ["\x36\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE4"],
        ["\xB6\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x64"],

        ["\x36\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE5"],
        ["\xB6\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x65"],

        ["\x36\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE6"],
        ["\xB6\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x66"],

        ["\x36\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE7"],
        ["\xB6\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x67"],

        ["\x36\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE8"],
        ["\xB6\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x68"],

        ["\x36\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE9"],
        ["\xB6\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x69"],

        ["\x36\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEA"],
        ["\xB6\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x6A"],

        ["\x36\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],
        ["\xB6\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x6B"],

        ["\x36\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],
        ["\xB6\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x6C"],

        ["\x36\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],
        ["\xB6\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x6D"],

        ["\x36\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],
        ["\xB6\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x6E"],

        ["\x36\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEF"],
        ["\xB6\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x6F"],

        ["\x36\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF0"],
        ["\xB6\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x70"],

        ["\x36\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF1"],
        ["\xB6\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x71"],

        ["\x36\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF2"],
        ["\xB6\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x72"],

        ["\x36\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF3"],
        ["\xB6\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x73"],

        ["\x36\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF4"],
        ["\xB6\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x74"],

        ["\x36\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF5"],
        ["\xB6\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x75"],

        ["\x36\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF6"],
        ["\xB6\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x76"],

        ["\x36\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF7"],
        ["\xB6\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x77"],

        ["\x36\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF8"],
        ["\xB6\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x78"],

        ["\x36\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF9"],
        ["\xB6\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x79"],

        ["\x36\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],
        ["\xB6\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x7A"],

        ["\x36\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFB"],
        ["\xB6\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x7B"],

        ["\x36\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFC"],
        ["\xB6\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x7C"],

        ["\x36\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],
        ["\xB6\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x7D"],

        ["\x36\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],
        ["\xB6\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x7E"],

        ["\x37\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA1"],
        ["\xB7\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x21"],

        ["\x37\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA2"],
        ["\xB7\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x22"],

        ["\x37\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],
        ["\xB7\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x23"],

        ["\x37\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA4"],
        ["\xB7\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x24"],

        ["\x37\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA5"],
        ["\xB7\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x25"],

        ["\x37\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],
        ["\xB7\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x26"],

        ["\x37\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA7"],
        ["\xB7\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x27"],

        ["\x37\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],
        ["\xB7\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x28"],

        ["\x37\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA9"],
        ["\xB7\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x29"],

        ["\x37\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAA"],
        ["\xB7\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x2A"],

        ["\x37\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAB"],
        ["\xB7\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x2B"],

        ["\x37\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAC"],
        ["\xB7\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x2C"],

        ["\x37\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAD"],
        ["\xB7\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x2D"],

        ["\x37\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],
        ["\xB7\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x2E"],

        ["\x37\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],
        ["\xB7\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x2F"],

        ["\x37\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB0"],
        ["\xB7\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x30"],

        ["\x37\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB1"],
        ["\xB7\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x31"],

        ["\x37\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],
        ["\xB7\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x32"],

        ["\x37\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],
        ["\xB7\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x33"],

        ["\x37\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],
        ["\xB7\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x34"],

        ["\x37\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB5"],
        ["\xB7\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x35"],

        ["\x37\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],
        ["\xB7\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x36"],

        ["\x37\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],
        ["\xB7\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x37"],

        ["\x37\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],
        ["\xB7\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x38"],

        ["\x37\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB9"],
        ["\xB7\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x39"],

        ["\x37\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],
        ["\xB7\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x3A"],

        ["\x37\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBB"],
        ["\xB7\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x3B"],

        ["\x37\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBC"],
        ["\xB7\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x3C"],

        ["\x37\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBD"],
        ["\xB7\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x3D"],

        ["\x37\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBE"],
        ["\xB7\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x3E"],

        ["\x37\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBF"],
        ["\xB7\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x3F"],

        ["\x37\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC0"],
        ["\xB7\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x40"],

        ["\x37\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC1"],
        ["\xB7\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x41"],

        ["\x37\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC2"],
        ["\xB7\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x42"],

        ["\x37\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC3"],
        ["\xB7\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x43"],

        ["\x37\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC4"],
        ["\xB7\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x44"],

        ["\x37\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC5"],
        ["\xB7\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x45"],

        ["\x37\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC6"],
        ["\xB7\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x46"],

        ["\x37\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC7"],
        ["\xB7\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x47"],

        ["\x37\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC8"],
        ["\xB7\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x48"],

        ["\x37\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC9"],
        ["\xB7\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x49"],

        ["\x37\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCA"],
        ["\xB7\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x4A"],

        ["\x37\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],
        ["\xB7\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x4B"],

        ["\x37\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCC"],
        ["\xB7\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x4C"],

        ["\x37\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCD"],
        ["\xB7\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x4D"],

        ["\x37\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],
        ["\xB7\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x4E"],

        ["\x37\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],
        ["\xB7\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x4F"],

        ["\x37\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD0"],
        ["\xB7\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x50"],

        ["\x37\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD1"],
        ["\xB7\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x51"],

        ["\x37\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD2"],
        ["\xB7\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x52"],

        ["\x37\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD3"],
        ["\xB7\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x53"],

        ["\x37\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD4"],
        ["\xB7\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x54"],

        ["\x37\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD5"],
        ["\xB7\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x55"],

        ["\x37\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD6"],
        ["\xB7\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x56"],

        ["\x37\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD7"],
        ["\xB7\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x57"],

        ["\x37\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD8"],
        ["\xB7\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x58"],

        ["\x37\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD9"],
        ["\xB7\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x59"],

        ["\x37\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDA"],
        ["\xB7\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x5A"],

        ["\x70\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],
        ["\xF0\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x74"],

        ["\x37\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],
        ["\xB7\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x5C"],

        ["\x37\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDD"],
        ["\xB7\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x5D"],

        ["\x37\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],
        ["\xB7\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x5E"],

        ["\x37\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],
        ["\xB7\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x5F"],

        ["\x37\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE0"],
        ["\xB7\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x60"],

        ["\x37\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE1"],
        ["\xB7\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x61"],

        ["\x37\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE2"],
        ["\xB7\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x62"],

        ["\x37\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE3"],
        ["\xB7\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x63"],

        ["\x37\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE4"],
        ["\xB7\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x64"],

        ["\x37\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE5"],
        ["\xB7\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x65"],

        ["\x37\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE6"],
        ["\xB7\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x66"],

        ["\x37\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE7"],
        ["\xB7\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x67"],

        ["\x37\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE8"],
        ["\xB7\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x68"],

        ["\x37\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE9"],
        ["\xB7\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x69"],

        ["\x37\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],
        ["\xB7\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x6A"],

        ["\x37\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],
        ["\xB7\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x6B"],

        ["\x37\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],
        ["\xB7\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x6C"],

        ["\x37\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xED"],
        ["\xB7\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x6D"],

        ["\x37\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],
        ["\xB7\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x6E"],

        ["\x37\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],
        ["\xB7\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x6F"],

        ["\x37\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF0"],
        ["\xB7\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x70"],

        ["\x37\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF1"],
        ["\xB7\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x71"],

        ["\x37\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF2"],
        ["\xB7\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x72"],

        ["\x37\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF3"],
        ["\xB7\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x73"],

        ["\x37\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF4"],
        ["\xB7\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x74"],

        ["\x37\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF5"],
        ["\xB7\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x75"],

        ["\x37\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF6"],
        ["\xB7\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x76"],

        ["\x37\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF7"],
        ["\xB7\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x77"],

        ["\x37\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF8"],
        ["\xB7\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x78"],

        ["\x37\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF9"],
        ["\xB7\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x79"],

        ["\x37\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFA"],
        ["\xB7\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x7A"],

        ["\x37\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],
        ["\xB7\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x7B"],

        ["\x37\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFC"],
        ["\xB7\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x7C"],

        ["\x37\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],
        ["\xB7\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x7D"],

        ["\x37\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],
        ["\xB7\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x7E"],

        ["\x38\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA1"],
        ["\xB8\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x21"],

        ["\x38\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],
        ["\xB8\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x22"],

        ["\x38\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA3"],
        ["\xB8\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x23"],

        ["\x38\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],
        ["\xB8\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x24"],

        ["\x38\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA5"],
        ["\xB8\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x25"],

        ["\x38\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA6"],
        ["\xB8\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x26"],

        ["\x38\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA7"],
        ["\xB8\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x27"],

        ["\x38\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA8"],
        ["\xB8\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x28"],

        ["\x38\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA9"],
        ["\xB8\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x29"],

        ["\x38\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAA"],
        ["\xB8\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x2A"],

        ["\x38\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAB"],
        ["\xB8\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x2B"],

        ["\x38\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],
        ["\xB8\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x2C"],

        ["\x38\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],
        ["\xB8\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x2D"],

        ["\x38\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],
        ["\xB8\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x2E"],

        ["\x38\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAF"],
        ["\xB8\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x2F"],

        ["\x38\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB0"],
        ["\xB8\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x30"],

        ["\x38\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB1"],
        ["\xB8\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x31"],

        ["\x38\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB2"],
        ["\xB8\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x32"],

        ["\x38\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],
        ["\xB8\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x33"],

        ["\x38\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],
        ["\xB8\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x34"],

        ["\x38\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB5"],
        ["\xB8\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x35"],

        ["\x38\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB6"],
        ["\xB8\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x36"],

        ["\x38\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB7"],
        ["\xB8\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x37"],

        ["\x38\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB8"],
        ["\xB8\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x38"],

        ["\x38\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],
        ["\xB8\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x39"],

        ["\x38\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBA"],
        ["\xB8\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x3A"],

        ["\x38\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBB"],
        ["\xB8\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x3B"],

        ["\x38\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],
        ["\xB8\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x3C"],

        ["\x38\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],
        ["\xB8\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x3D"],

        ["\x38\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBE"],
        ["\xB8\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x3E"],

        ["\x38\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBF"],
        ["\xB8\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x3F"],

        ["\x38\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC0"],
        ["\xB8\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x40"],

        ["\x38\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC1"],
        ["\xB8\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x41"],

        ["\x38\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC2"],
        ["\xB8\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x42"],

        ["\x38\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC3"],
        ["\xB8\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x43"],

        ["\x38\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC4"],
        ["\xB8\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x44"],

        ["\x38\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC5"],
        ["\xB8\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x45"],

        ["\x38\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC6"],
        ["\xB8\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x46"],

        ["\x38\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC7"],
        ["\xB8\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x47"],

        ["\x38\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC8"],
        ["\xB8\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x48"],

        ["\x38\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC9"],
        ["\xB8\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x49"],

        ["\x38\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],
        ["\xB8\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x4A"],

        ["\x38\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCB"],
        ["\xB8\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x4B"],

        ["\x38\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],
        ["\xB8\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x4C"],

        ["\x38\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],
        ["\xB8\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x4D"],

        ["\x38\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCE"],
        ["\xB8\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x4E"],

        ["\x38\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCF"],
        ["\xB8\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x4F"],

        ["\x38\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD0"],
        ["\xB8\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x50"],

        ["\x38\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD1"],
        ["\xB8\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x51"],

        ["\x38\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD2"],
        ["\xB8\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x52"],

        ["\x38\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD3"],
        ["\xB8\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x53"],

        ["\x38\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD4"],
        ["\xB8\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x54"],

        ["\x38\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD5"],
        ["\xB8\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x55"],

        ["\x38\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD6"],
        ["\xB8\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x56"],

        ["\x38\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD7"],
        ["\xB8\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x57"],

        ["\x38\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD8"],
        ["\xB8\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x58"],

        ["\x38\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD9"],
        ["\xB8\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x59"],

        ["\x38\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDA"],
        ["\xB8\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x5A"],

        ["\x38\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDB"],
        ["\xB8\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x5B"],

        ["\x38\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDC"],
        ["\xB8\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x5C"],

        ["\x38\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDD"],
        ["\xB8\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x5D"],

        ["\x38\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDE"],
        ["\xB8\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x5E"],

        ["\x38\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDF"],
        ["\xB8\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x5F"],

        ["\x38\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE0"],
        ["\xB8\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x60"],

        ["\x38\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE1"],
        ["\xB8\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x61"],

        ["\x38\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE2"],
        ["\xB8\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x62"],

        ["\x38\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE3"],
        ["\xB8\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x63"],

        ["\x38\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE4"],
        ["\xB8\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x64"],

        ["\x38\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE5"],
        ["\xB8\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x65"],

        ["\x38\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE6"],
        ["\xB8\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x66"],

        ["\x38\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE7"],
        ["\xB8\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x67"],

        ["\x38\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE8"],
        ["\xB8\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x68"],

        ["\x38\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE9"],
        ["\xB8\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x69"],

        ["\x38\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEA"],
        ["\xB8\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x6A"],

        ["\x38\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],
        ["\xB8\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x6B"],

        ["\x38\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],
        ["\xB8\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x6C"],

        ["\x38\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xED"],
        ["\xB8\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x6D"],

        ["\x38\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEE"],
        ["\xB8\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x6E"],

        ["\x38\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEF"],
        ["\xB8\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x6F"],

        ["\x38\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF0"],
        ["\xB8\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x70"],

        ["\x38\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF1"],
        ["\xB8\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x71"],

        ["\x38\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF2"],
        ["\xB8\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x72"],

        ["\x38\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF3"],
        ["\xB8\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x73"],

        ["\x38\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF4"],
        ["\xB8\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x74"],

        ["\x38\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF5"],
        ["\xB8\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x75"],

        ["\x38\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF6"],
        ["\xB8\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x76"],

        ["\x38\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF7"],
        ["\xB8\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x77"],

        ["\x38\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF8"],
        ["\xB8\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x78"],

        ["\x38\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF9"],
        ["\xB8\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x79"],

        ["\x38\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFA"],
        ["\xB8\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x7A"],

        ["\x38\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],
        ["\xB8\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x7B"],

        ["\x38\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFC"],
        ["\xB8\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x7C"],

        ["\x38\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFD"],
        ["\xB8\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x7D"],

        ["\x38\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],
        ["\xB8\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x38\x7E"],

        ["\x39\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA1"],
        ["\xB9\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x21"],

        ["\x39\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA2"],
        ["\xB9\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x22"],

        ["\x39\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA3"],
        ["\xB9\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x23"],

        ["\x39\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],
        ["\xB9\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x24"],

        ["\x39\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],
        ["\xB9\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x25"],

        ["\x39\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA6"],
        ["\xB9\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x26"],

        ["\x39\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA7"],
        ["\xB9\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x27"],

        ["\x39\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA8"],
        ["\xB9\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x28"],

        ["\x39\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],
        ["\xB9\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x29"],

        ["\x39\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAA"],
        ["\xB9\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x2A"],

        ["\x39\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAB"],
        ["\xB9\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x2B"],

        ["\x39\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAC"],
        ["\xB9\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x2C"],

        ["\x39\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAD"],
        ["\xB9\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x2D"],

        ["\x39\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAE"],
        ["\xB9\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x2E"],

        ["\x39\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAF"],
        ["\xB9\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x2F"],

        ["\x39\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB0"],
        ["\xB9\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x30"],

        ["\x39\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB1"],
        ["\xB9\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x31"],

        ["\x39\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB2"],
        ["\xB9\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x32"],

        ["\x39\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB3"],
        ["\xB9\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x33"],

        ["\x39\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],
        ["\xB9\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x34"],

        ["\x39\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],
        ["\xB9\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x35"],

        ["\x39\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB6"],
        ["\xB9\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x36"],

        ["\xBD\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xFC"],
        ["\x50\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xB6"],

        ["\x39\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB8"],
        ["\xB9\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x38"],

        ["\x39\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB9"],
        ["\xB9\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x39"],

        ["\x39\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],
        ["\xB9\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x3A"],

        ["\x39\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBB"],
        ["\xB9\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x3B"],

        ["\x39\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBC"],
        ["\xB9\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x3C"],

        ["\x39\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],
        ["\xB9\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x3D"],

        ["\x39\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBE"],
        ["\xB9\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x3E"],

        ["\x39\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBF"],
        ["\xB9\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x3F"],

        ["\x39\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC0"],
        ["\xB9\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x40"],

        ["\x39\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC1"],
        ["\xB9\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x41"],

        ["\x39\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC2"],
        ["\xB9\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x42"],

        ["\x39\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC3"],
        ["\xB9\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x43"],

        ["\x39\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC4"],
        ["\xB9\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x44"],

        ["\x39\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC5"],
        ["\xB9\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x45"],

        ["\x39\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC6"],
        ["\xB9\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x46"],

        ["\x39\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC7"],
        ["\xB9\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x47"],

        ["\x39\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC8"],
        ["\xB9\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x48"],

        ["\x39\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC9"],
        ["\xB9\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x49"],

        ["\x39\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCA"],
        ["\xB9\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x4A"],

        ["\x39\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCB"],
        ["\xB9\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x4B"],

        ["\x39\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCC"],
        ["\xB9\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x4C"],

        ["\x39\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],
        ["\xB9\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x4D"],

        ["\x39\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],
        ["\xB9\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x4E"],

        ["\x39\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCF"],
        ["\xB9\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x4F"],

        ["\x39\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD0"],
        ["\xB9\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x50"],

        ["\x39\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD1"],
        ["\xB9\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x51"],

        ["\x39\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD2"],
        ["\xB9\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x52"],

        ["\x39\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD3"],
        ["\xB9\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x53"],

        ["\x39\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD4"],
        ["\xB9\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x54"],

        ["\x39\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD5"],
        ["\xB9\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x55"],

        ["\x39\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD6"],
        ["\xB9\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x56"],

        ["\x39\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD7"],
        ["\xB9\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x57"],

        ["\x39\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD8"],
        ["\xB9\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x58"],

        ["\x39\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD9"],
        ["\xB9\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x59"],

        ["\x39\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],
        ["\xB9\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x5A"],

        ["\x39\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDB"],
        ["\xB9\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x5B"],

        ["\x62\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],
        ["\xE2\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x68"],

        ["\x39\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],
        ["\xB9\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x5D"],

        ["\x39\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDE"],
        ["\xB9\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x5E"],

        ["\x39\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDF"],
        ["\xB9\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x5F"],

        ["\x39\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE0"],
        ["\xB9\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x60"],

        ["\x39\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE1"],
        ["\xB9\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x61"],

        ["\x39\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE2"],
        ["\xB9\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x62"],

        ["\x39\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE3"],
        ["\xB9\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x63"],

        ["\x39\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE4"],
        ["\xB9\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x64"],

        ["\x39\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE5"],
        ["\xB9\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x65"],

        ["\x39\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE6"],
        ["\xB9\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x66"],

        ["\x39\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE7"],
        ["\xB9\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x67"],

        ["\x39\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE8"],
        ["\xB9\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x68"],

        ["\x39\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE9"],
        ["\xB9\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x69"],

        ["\x39\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEA"],
        ["\xB9\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x6A"],

        ["\x39\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],
        ["\xB9\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x6B"],

        ["\x39\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEC"],
        ["\xB9\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x6C"],

        ["\xD6\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC3"],
        ["\x6F\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD6\xBB"],

        ["\x39\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEE"],
        ["\xB9\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x6E"],

        ["\x39\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEF"],
        ["\xB9\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x6F"],

        ["\x39\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF0"],
        ["\xB9\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x70"],

        ["\x39\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF1"],
        ["\xB9\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x71"],

        ["\x39\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF2"],
        ["\xB9\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x72"],

        ["\x39\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF3"],
        ["\xB9\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x73"],

        ["\x39\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF4"],
        ["\xB9\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x74"],

        ["\x39\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF5"],
        ["\xB9\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x75"],

        ["\x39\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF6"],
        ["\xB9\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x76"],

        ["\x39\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF7"],
        ["\xB9\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x77"],

        ["\x39\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF8"],
        ["\xB9\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x78"],

        ["\x39\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF9"],
        ["\xB9\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x79"],

        ["\x39\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],
        ["\xB9\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x7A"],

        ["\x39\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFB"],
        ["\xB9\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x7B"],

        ["\x39\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFC"],
        ["\xB9\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x7C"],

        ["\x39\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFD"],
        ["\xB9\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x7D"],

        ["\x39\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFE"],
        ["\xB9\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x7E"],

        ["\x3A\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA1"],
        ["\xBA\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x21"],

        ["\x3A\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA2"],
        ["\xBA\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x22"],

        ["\x3A\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA3"],
        ["\xBA\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x23"],

        ["\x3A\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA4"],
        ["\xBA\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x24"],

        ["\x3A\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA5"],
        ["\xBA\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x25"],

        ["\x3A\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA6"],
        ["\xBA\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x26"],

        ["\x3A\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA7"],
        ["\xBA\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x27"],

        ["\x3A\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA8"],
        ["\xBA\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x28"],

        ["\x3A\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA9"],
        ["\xBA\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x29"],

        ["\x3A\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAA"],
        ["\xBA\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x2A"],

        ["\x3A\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAB"],
        ["\xBA\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x2B"],

        ["\x3A\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAC"],
        ["\xBA\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x2C"],

        ["\x3A\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAD"],
        ["\xBA\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x2D"],

        ["\x3A\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAE"],
        ["\xBA\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x2E"],

        ["\x3A\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAF"],
        ["\xBA\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x2F"],

        ["\x3A\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB0"],
        ["\xBA\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x30"],

        ["\x3A\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB1"],
        ["\xBA\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x31"],

        ["\x3A\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB2"],
        ["\xBA\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x32"],

        ["\x3A\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB3"],
        ["\xBA\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x33"],

        ["\x3A\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB4"],
        ["\xBA\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x34"],

        ["\x3A\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB5"],
        ["\xBA\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x35"],

        ["\x3A\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB6"],
        ["\xBA\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x36"],

        ["\x3A\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB7"],
        ["\xBA\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x37"],

        ["\x3A\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB8"],
        ["\xBA\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x38"],

        ["\x3A\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB9"],
        ["\xBA\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x39"],

        ["\x3A\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBA"],
        ["\xBA\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x3A"],

        ["\x3A\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBB"],
        ["\xBA\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x3B"],

        ["\x3A\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBC"],
        ["\xBA\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x3C"],

        ["\x3A\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBD"],
        ["\xBA\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x3D"],

        ["\x3A\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBE"],
        ["\xBA\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x3E"],

        ["\x3A\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBF"],
        ["\xBA\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x3F"],

        ["\x3A\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC0"],
        ["\xBA\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x40"],

        ["\x3A\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC1"],
        ["\xBA\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x41"],

        ["\x3A\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC2"],
        ["\xBA\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x42"],

        ["\x3A\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC3"],
        ["\xBA\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x43"],

        ["\x3A\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC4"],
        ["\xBA\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x44"],

        ["\x3A\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC5"],
        ["\xBA\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x45"],

        ["\x3A\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC6"],
        ["\xBA\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x46"],

        ["\x3A\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC7"],
        ["\xBA\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x47"],

        ["\x3A\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC8"],
        ["\xBA\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x48"],

        ["\x3A\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC9"],
        ["\xBA\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x49"],

        ["\x3A\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCA"],
        ["\xBA\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x4A"],

        ["\x3A\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCB"],
        ["\xBA\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x4B"],

        ["\x3A\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCC"],
        ["\xBA\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x4C"],

        ["\x3A\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCD"],
        ["\xBA\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x4D"],

        ["\x3A\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCE"],
        ["\xBA\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x4E"],

        ["\x3A\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCF"],
        ["\xBA\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x4F"],

        ["\x3A\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD0"],
        ["\xBA\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x50"],

        ["\x3A\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD1"],
        ["\xBA\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x51"],

        ["\x3A\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD2"],
        ["\xBA\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x52"],

        ["\x3A\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD3"],
        ["\xBA\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x53"],

        ["\x3A\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD4"],
        ["\xBA\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x54"],

        ["\x3A\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD5"],
        ["\xBA\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x55"],

        ["\x3A\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD6"],
        ["\xBA\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x56"],

        ["\x3A\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD7"],
        ["\xBA\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x57"],

        ["\x3A\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD8"],
        ["\xBA\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x58"],

        ["\x3A\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD9"],
        ["\xBA\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x59"],

        ["\x3A\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDA"],
        ["\xBA\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x5A"],

        ["\x3A\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDB"],
        ["\xBA\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x5B"],

        ["\x3A\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDC"],
        ["\xBA\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x5C"],

        ["\x3A\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDD"],
        ["\xBA\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x5D"],

        ["\x3A\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDE"],
        ["\xBA\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x5E"],

        ["\x3A\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDF"],
        ["\xBA\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x5F"],

        ["\x3A\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE0"],
        ["\xBA\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x60"],

        ["\x3A\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE1"],
        ["\xBA\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x61"],

        ["\x3A\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE2"],
        ["\xBA\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x62"],

        ["\x3A\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE3"],
        ["\xBA\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x63"],

        ["\x3A\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE4"],
        ["\xBA\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x64"],

        ["\x3A\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE5"],
        ["\xBA\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x65"],

        ["\x3A\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE6"],
        ["\xBA\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x66"],

        ["\x3A\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE7"],
        ["\xBA\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x67"],

        ["\x3A\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE8"],
        ["\xBA\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x68"],

        ["\x3A\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE9"],
        ["\xBA\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x69"],

        ["\x3A\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEA"],
        ["\xBA\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x6A"],

        ["\x3A\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEB"],
        ["\xBA\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x6B"],

        ["\x3A\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEC"],
        ["\xBA\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x6C"],

        ["\x3A\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xED"],
        ["\xBA\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x6D"],

        ["\x3A\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEE"],
        ["\xBA\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x6E"],

        ["\x3A\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEF"],
        ["\xBA\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x6F"],

        ["\x3A\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF0"],
        ["\xBA\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x70"],

        ["\x3A\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF1"],
        ["\xBA\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x71"],

        ["\x3A\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF2"],
        ["\xBA\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x72"],

        ["\x3A\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF3"],
        ["\xBA\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x73"],

        ["\x3A\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF4"],
        ["\xBA\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x74"],

        ["\x3A\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF5"],
        ["\xBA\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x75"],

        ["\x3A\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF6"],
        ["\xBA\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x76"],

        ["\x3A\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF7"],
        ["\xBA\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x77"],

        ["\x3A\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF8"],
        ["\xBA\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x78"],

        ["\x3A\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF9"],
        ["\xBA\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x79"],

        ["\x3A\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFA"],
        ["\xBA\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x7A"],

        ["\x3A\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFB"],
        ["\xBA\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x7B"],

        ["\x3A\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFC"],
        ["\xBA\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x7C"],

        ["\x3A\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFD"],
        ["\xBA\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x7D"],

        ["\x3A\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFE"],
        ["\xBA\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3A\x7E"],

        ["\x3B\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA1"],
        ["\xBB\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x21"],

        ["\x3B\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA2"],
        ["\xBB\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x22"],

        ["\x3B\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA3"],
        ["\xBB\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x23"],

        ["\x3B\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA4"],
        ["\xBB\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x24"],

        ["\x3B\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA5"],
        ["\xBB\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x25"],

        ["\x3B\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA6"],
        ["\xBB\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x26"],

        ["\x3B\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA7"],
        ["\xBB\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x27"],

        ["\x3B\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA8"],
        ["\xBB\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x28"],

        ["\x3B\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA9"],
        ["\xBB\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x29"],

        ["\x3B\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAA"],
        ["\xBB\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x2A"],

        ["\x3B\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAB"],
        ["\xBB\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x2B"],

        ["\x3B\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAC"],
        ["\xBB\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x2C"],

        ["\x3B\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAD"],
        ["\xBB\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x2D"],

        ["\x3B\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAE"],
        ["\xBB\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x2E"],

        ["\x3B\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAF"],
        ["\xBB\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x2F"],

        ["\x3B\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB0"],
        ["\xBB\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x30"],

        ["\x3B\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB1"],
        ["\xBB\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x31"],

        ["\x3B\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB2"],
        ["\xBB\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x32"],

        ["\x3B\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB3"],
        ["\xBB\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x33"],

        ["\x3B\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB4"],
        ["\xBB\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x34"],

        ["\x3B\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB5"],
        ["\xBB\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x35"],

        ["\x3B\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB6"],
        ["\xBB\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x36"],

        ["\x3B\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB7"],
        ["\xBB\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x37"],

        ["\x3B\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB8"],
        ["\xBB\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x38"],

        ["\x3B\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB9"],
        ["\xBB\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x39"],

        ["\x3B\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBA"],
        ["\xBB\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x3A"],

        ["\x3B\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBB"],
        ["\xBB\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x3B"],

        ["\x3B\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBC"],
        ["\xBB\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x3C"],

        ["\x3B\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBD"],
        ["\xBB\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x3D"],

        ["\x3B\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBE"],
        ["\xBB\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x3E"],

        ["\x3B\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBF"],
        ["\xBB\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x3F"],

        ["\x3B\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC0"],
        ["\xBB\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x40"],

        ["\x3B\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC1"],
        ["\xBB\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x41"],

        ["\x3B\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC2"],
        ["\xBB\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x42"],

        ["\x3B\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC3"],
        ["\xBB\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x43"],

        ["\x3B\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC4"],
        ["\xBB\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x44"],

        ["\x3B\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC5"],
        ["\xBB\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x45"],

        ["\x3B\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC6"],
        ["\xBB\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x46"],

        ["\x3B\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC7"],
        ["\xBB\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x47"],

        ["\x3B\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC8"],
        ["\xBB\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x48"],

        ["\x3B\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC9"],
        ["\xBB\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x49"],

        ["\x3B\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCA"],
        ["\xBB\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x4A"],

        ["\x3B\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCB"],
        ["\xBB\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x4B"],

        ["\x3B\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCC"],
        ["\xBB\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x4C"],

        ["\x3B\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCD"],
        ["\xBB\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x4D"],

        ["\x3B\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCE"],
        ["\xBB\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x4E"],

        ["\x3B\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCF"],
        ["\xBB\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x4F"],

        ["\x3B\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD0"],
        ["\xBB\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x50"],

        ["\x3B\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD1"],
        ["\xBB\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x51"],

        ["\x3B\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD2"],
        ["\xBB\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x52"],

        ["\x3B\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD3"],
        ["\xBB\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x53"],

        ["\x3B\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD4"],
        ["\xBB\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x54"],

        ["\x3B\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD5"],
        ["\xBB\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x55"],

        ["\x3B\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD6"],
        ["\xBB\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x56"],

        ["\x3B\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD7"],
        ["\xBB\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x57"],

        ["\x3B\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD8"],
        ["\xBB\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x58"],

        ["\x3B\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD9"],
        ["\xBB\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x59"],

        ["\x3B\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDA"],
        ["\xBB\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x5A"],

        ["\x3B\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDB"],
        ["\xBB\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x5B"],

        ["\x3B\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDC"],
        ["\xBB\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x5C"],

        ["\x3B\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDD"],
        ["\xBB\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x5D"],

        ["\x3B\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDE"],
        ["\xBB\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x5E"],

        ["\x3B\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDF"],
        ["\xBB\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x5F"],

        ["\x3B\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE0"],
        ["\xBB\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x60"],

        ["\x3B\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE1"],
        ["\xBB\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x61"],

        ["\x3B\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE2"],
        ["\xBB\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x62"],

        ["\x3B\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE3"],
        ["\xBB\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x63"],

        ["\x3B\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE4"],
        ["\xBB\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x64"],

        ["\x3B\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE5"],
        ["\xBB\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x65"],

        ["\x3B\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE6"],
        ["\xBB\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x66"],

        ["\x3B\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE7"],
        ["\xBB\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x67"],

        ["\x3B\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE8"],
        ["\xBB\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x68"],

        ["\x3B\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE9"],
        ["\xBB\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x69"],

        ["\x3B\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEA"],
        ["\xBB\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x6A"],

        ["\x3B\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEB"],
        ["\xBB\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x6B"],

        ["\x3B\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEC"],
        ["\xBB\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x6C"],

        ["\x3B\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xED"],
        ["\xBB\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x6D"],

        ["\x3B\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEE"],
        ["\xBB\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x6E"],

        ["\x3B\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEF"],
        ["\xBB\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x6F"],

        ["\x3B\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF0"],
        ["\xBB\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x70"],

        ["\x3B\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF1"],
        ["\xBB\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x71"],

        ["\x3B\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF2"],
        ["\xBB\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x72"],

        ["\x3B\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF3"],
        ["\xBB\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x73"],

        ["\x3B\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF4"],
        ["\xBB\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x74"],

        ["\x3B\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF5"],
        ["\xBB\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x75"],

        ["\x3B\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF6"],
        ["\xBB\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x76"],

        ["\x3B\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF7"],
        ["\xBB\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x77"],

        ["\x3B\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF8"],
        ["\xBB\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x78"],

        ["\x3B\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF9"],
        ["\xBB\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x79"],

        ["\x3B\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFA"],
        ["\xBB\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x7A"],

        ["\x3B\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFB"],
        ["\xBB\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x7B"],

        ["\x3B\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFC"],
        ["\xBB\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x7C"],

        ["\x3B\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFD"],
        ["\xBB\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x7D"],

        ["\x3B\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFE"],
        ["\xBB\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3B\x7E"],

        ["\x3C\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA1"],
        ["\xBC\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x21"],

        ["\x3C\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA2"],
        ["\xBC\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x22"],

        ["\x3C\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA3"],
        ["\xBC\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x23"],

        ["\x3C\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA4"],
        ["\xBC\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x24"],

        ["\x3C\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA5"],
        ["\xBC\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x25"],

        ["\x3C\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA6"],
        ["\xBC\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x26"],

        ["\x3C\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA7"],
        ["\xBC\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x27"],

        ["\x3C\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA8"],
        ["\xBC\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x28"],

        ["\x3C\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA9"],
        ["\xBC\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x29"],

        ["\x3C\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAA"],
        ["\xBC\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x2A"],

        ["\x3C\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAB"],
        ["\xBC\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x2B"],

        ["\x3C\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAC"],
        ["\xBC\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x2C"],

        ["\x3C\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAD"],
        ["\xBC\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x2D"],

        ["\x3C\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAE"],
        ["\xBC\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x2E"],

        ["\x3C\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAF"],
        ["\xBC\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x2F"],

        ["\x3C\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB0"],
        ["\xBC\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x30"],

        ["\x3C\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB1"],
        ["\xBC\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x31"],

        ["\x3C\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB2"],
        ["\xBC\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x32"],

        ["\x3C\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB3"],
        ["\xBC\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x33"],

        ["\x3C\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB4"],
        ["\xBC\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x34"],

        ["\x3C\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB5"],
        ["\xBC\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x35"],

        ["\x3C\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB6"],
        ["\xBC\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x36"],

        ["\x3C\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB7"],
        ["\xBC\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x37"],

        ["\x3C\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB8"],
        ["\xBC\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x38"],

        ["\x3C\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB9"],
        ["\xBC\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x39"],

        ["\x3C\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBA"],
        ["\xBC\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x3A"],

        ["\x3C\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBB"],
        ["\xBC\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x3B"],

        ["\x3C\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBC"],
        ["\xBC\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x3C"],

        ["\x3C\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBD"],
        ["\xBC\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x3D"],

        ["\x3C\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBE"],
        ["\xBC\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x3E"],

        ["\x3C\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBF"],
        ["\xBC\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x3F"],

        ["\x3C\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC0"],
        ["\xBC\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x40"],

        ["\x3C\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC1"],
        ["\xBC\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x41"],

        ["\x3C\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC2"],
        ["\xBC\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x42"],

        ["\x3C\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC3"],
        ["\xBC\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x43"],

        ["\x3C\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC4"],
        ["\xBC\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x44"],

        ["\x3C\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC5"],
        ["\xBC\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x45"],

        ["\x3C\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC6"],
        ["\xBC\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x46"],

        ["\x3C\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC7"],
        ["\xBC\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x47"],

        ["\x3C\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC8"],
        ["\xBC\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x48"],

        ["\x69\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2"],
        ["\xE9\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x22"],

        ["\x3C\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCA"],
        ["\xBC\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x4A"],

        ["\x3C\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCB"],
        ["\xBC\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x4B"],

        ["\x3C\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCC"],
        ["\xBC\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x4C"],

        ["\x3C\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCD"],
        ["\xBC\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x4D"],

        ["\x3C\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCE"],
        ["\xBC\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x4E"],

        ["\x3C\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCF"],
        ["\xBC\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x4F"],

        ["\x3C\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD0"],
        ["\xBC\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x50"],

        ["\x3C\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD1"],
        ["\xBC\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x51"],

        ["\x3C\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD2"],
        ["\xBC\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x52"],

        ["\x3C\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD3"],
        ["\xBC\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x53"],

        ["\x3C\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD4"],
        ["\xBC\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x54"],

        ["\x3C\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD5"],
        ["\xBC\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x55"],

        ["\x3C\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD6"],
        ["\xBC\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x56"],

        ["\x3C\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD7"],
        ["\xBC\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x57"],

        ["\x3C\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD8"],
        ["\xBC\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x58"],

        ["\x3C\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD9"],
        ["\xBC\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x59"],

        ["\x3C\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDA"],
        ["\xBC\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x5A"],

        ["\x3C\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDB"],
        ["\xBC\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x5B"],

        ["\x3C\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDC"],
        ["\xBC\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x5C"],

        ["\x3C\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDD"],
        ["\xBC\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x5D"],

        ["\x3C\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDE"],
        ["\xBC\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x5E"],

        ["\x3C\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDF"],
        ["\xBC\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x5F"],

        ["\x3C\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE0"],
        ["\xBC\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x60"],

        ["\x3C\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE1"],
        ["\xBC\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x61"],

        ["\x3C\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE2"],
        ["\xBC\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x62"],

        ["\x3C\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE3"],
        ["\xBC\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x63"],

        ["\x3C\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE4"],
        ["\xBC\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x64"],

        ["\x3C\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE5"],
        ["\xBC\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x65"],

        ["\x3C\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE6"],
        ["\xBC\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x66"],

        ["\x3C\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE7"],
        ["\xBC\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x67"],

        ["\x3C\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE8"],
        ["\xBC\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x68"],

        ["\x3C\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE9"],
        ["\xBC\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x69"],

        ["\x3C\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEA"],
        ["\xBC\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x6A"],

        ["\x3C\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEB"],
        ["\xBC\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x6B"],

        ["\x3C\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEC"],
        ["\xBC\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x6C"],

        ["\x3C\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xED"],
        ["\xBC\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x6D"],

        ["\x3C\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEE"],
        ["\xBC\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x6E"],

        ["\x3C\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEF"],
        ["\xBC\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x6F"],

        ["\x3C\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF0"],
        ["\xBC\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x70"],

        ["\x3C\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF1"],
        ["\xBC\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x71"],

        ["\x3C\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF2"],
        ["\xBC\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x72"],

        ["\x3C\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF3"],
        ["\xBC\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x73"],

        ["\x3C\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF4"],
        ["\xBC\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x74"],

        ["\x3C\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF5"],
        ["\xBC\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x75"],

        ["\x3C\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF6"],
        ["\xBC\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x76"],

        ["\x3C\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF7"],
        ["\xBC\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x77"],

        ["\x3C\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF8"],
        ["\xBC\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x78"],

        ["\x3C\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF9"],
        ["\xBC\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x79"],

        ["\x3C\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFA"],
        ["\xBC\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x7A"],

        ["\x3C\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFB"],
        ["\xBC\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x7B"],

        ["\x3C\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFC"],
        ["\xBC\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x7C"],

        ["\x3C\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFD"],
        ["\xBC\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x7D"],

        ["\x3C\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFE"],
        ["\xBC\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x7E"],

        ["\x3D\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA1"],
        ["\xBD\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x21"],

        ["\x3D\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA2"],
        ["\xBD\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x22"],

        ["\x3D\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA3"],
        ["\xBD\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x23"],

        ["\x3D\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA4"],
        ["\xBD\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x24"],

        ["\x3D\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA5"],
        ["\xBD\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x25"],

        ["\x3D\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA6"],
        ["\xBD\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x26"],

        ["\x3D\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA7"],
        ["\xBD\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x27"],

        ["\x3D\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA8"],
        ["\xBD\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x28"],

        ["\x3D\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA9"],
        ["\xBD\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x29"],

        ["\x3D\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAA"],
        ["\xBD\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x2A"],

        ["\x3D\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAB"],
        ["\xBD\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x2B"],

        ["\x3D\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAC"],
        ["\xBD\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x2C"],

        ["\x3D\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAD"],
        ["\xBD\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x2D"],

        ["\x3D\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAE"],
        ["\xBD\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x2E"],

        ["\x3D\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAF"],
        ["\xBD\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x2F"],

        ["\x3D\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB0"],
        ["\xBD\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x30"],

        ["\x3D\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB1"],
        ["\xBD\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x31"],

        ["\x3D\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB2"],
        ["\xBD\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x32"],

        ["\x3D\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB3"],
        ["\xBD\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x33"],

        ["\x3D\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB4"],
        ["\xBD\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x34"],

        ["\x3D\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB5"],
        ["\xBD\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x35"],

        ["\x3D\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB6"],
        ["\xBD\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x36"],

        ["\x3D\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB7"],
        ["\xBD\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x37"],

        ["\x3D\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB8"],
        ["\xBD\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x38"],

        ["\x3D\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB9"],
        ["\xBD\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x39"],

        ["\x3D\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBA"],
        ["\xBD\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x3A"],

        ["\x3D\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBB"],
        ["\xBD\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x3B"],

        ["\x3D\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBC"],
        ["\xBD\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x3C"],

        ["\x3D\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBD"],
        ["\xBD\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x3D"],

        ["\x3D\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBE"],
        ["\xBD\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x3E"],

        ["\x3D\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBF"],
        ["\xBD\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x3F"],

        ["\x3D\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC0"],
        ["\xBD\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x40"],

        ["\x3D\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC1"],
        ["\xBD\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x41"],

        ["\x3D\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC2"],
        ["\xBD\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x42"],

        ["\x3D\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC3"],
        ["\xBD\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x43"],

        ["\x3D\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC4"],
        ["\xBD\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x44"],

        ["\x3D\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC5"],
        ["\xBD\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x45"],

        ["\x3D\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC6"],
        ["\xBD\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x46"],

        ["\x3D\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC7"],
        ["\xBD\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x47"],

        ["\x3D\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC8"],
        ["\xBD\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x48"],

        ["\x3D\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC9"],
        ["\xBD\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x49"],

        ["\x3D\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCA"],
        ["\xBD\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x4A"],

        ["\x3D\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCB"],
        ["\xBD\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x4B"],

        ["\x3D\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCC"],
        ["\xBD\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x4C"],

        ["\x3D\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCD"],
        ["\xBD\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x4D"],

        ["\x3D\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCE"],
        ["\xBD\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x4E"],

        ["\x3D\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCF"],
        ["\xBD\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x4F"],

        ["\x3D\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD0"],
        ["\xBD\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x50"],

        ["\x3D\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD1"],
        ["\xBD\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x51"],

        ["\x3D\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD2"],
        ["\xBD\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x52"],

        ["\x3D\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD3"],
        ["\xBD\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x53"],

        ["\x3D\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD4"],
        ["\xBD\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x54"],

        ["\x3D\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD5"],
        ["\xBD\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x55"],

        ["\x3D\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD6"],
        ["\xBD\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x56"],

        ["\x3D\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD7"],
        ["\xBD\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x57"],

        ["\x3D\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD8"],
        ["\xBD\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x58"],

        ["\x3D\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD9"],
        ["\xBD\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x59"],

        ["\x3D\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDA"],
        ["\xBD\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x5A"],

        ["\x3D\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDB"],
        ["\xBD\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x5B"],

        ["\x3D\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDC"],
        ["\xBD\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x5C"],

        ["\x3D\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDD"],
        ["\xBD\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x5D"],

        ["\x3D\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDE"],
        ["\xBD\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x5E"],

        ["\x3D\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDF"],
        ["\xBD\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x5F"],

        ["\x3D\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE0"],
        ["\xBD\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x60"],

        ["\x3D\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE1"],
        ["\xBD\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x61"],

        ["\x3D\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE2"],
        ["\xBD\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x62"],

        ["\x3D\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE3"],
        ["\xBD\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x63"],

        ["\x3D\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE4"],
        ["\xBD\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x64"],

        ["\x3D\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE5"],
        ["\xBD\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x65"],

        ["\x3D\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE6"],
        ["\xBD\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x66"],

        ["\x3D\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE7"],
        ["\xBD\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x67"],

        ["\x3D\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE8"],
        ["\xBD\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x68"],

        ["\x3D\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE9"],
        ["\xBD\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x69"],

        ["\x3D\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEA"],
        ["\xBD\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x6A"],

        ["\x3D\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEB"],
        ["\xBD\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x6B"],

        ["\x3D\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEC"],
        ["\xBD\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x6C"],

        ["\x3D\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xED"],
        ["\xBD\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x6D"],

        ["\x3D\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEE"],
        ["\xBD\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x6E"],

        ["\x3D\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEF"],
        ["\xBD\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x6F"],

        ["\x3D\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF0"],
        ["\xBD\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x70"],

        ["\x3D\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF1"],
        ["\xBD\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x71"],

        ["\x3D\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF2"],
        ["\xBD\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x72"],

        ["\x3D\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF3"],
        ["\xBD\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x73"],

        ["\x3D\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF4"],
        ["\xBD\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x74"],

        ["\x3D\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF5"],
        ["\xBD\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x75"],

        ["\x3D\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF6"],
        ["\xBD\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x76"],

        ["\x3D\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF7"],
        ["\xBD\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x77"],

        ["\x3D\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF8"],
        ["\xBD\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x78"],

        ["\x3D\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF9"],
        ["\xBD\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x79"],

        ["\x3D\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFA"],
        ["\xBD\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x7A"],

        ["\x3D\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFB"],
        ["\xBD\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x7B"],

        ["\x3D\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFC"],
        ["\xBD\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x7C"],

        ["\x3D\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFD"],
        ["\xBD\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x7D"],

        ["\x3D\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFE"],
        ["\xBD\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3D\x7E"],

        ["\x3E\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA1"],
        ["\xBE\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x21"],

        ["\x3E\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA2"],
        ["\xBE\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x22"],

        ["\x3E\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA3"],
        ["\xBE\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x23"],

        ["\x3E\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA4"],
        ["\xBE\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x24"],

        ["\x3E\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA5"],
        ["\xBE\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x25"],

        ["\x3E\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA6"],
        ["\xBE\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x26"],

        ["\x3E\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA7"],
        ["\xBE\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x27"],

        ["\x3E\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA8"],
        ["\xBE\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x28"],

        ["\x3E\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA9"],
        ["\xBE\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x29"],

        ["\x3E\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAA"],
        ["\xBE\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x2A"],

        ["\x3E\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAB"],
        ["\xBE\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x2B"],

        ["\x3E\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAC"],
        ["\xBE\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x2C"],

        ["\x3E\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAD"],
        ["\xBE\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x2D"],

        ["\x3E\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAE"],
        ["\xBE\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x2E"],

        ["\x3E\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAF"],
        ["\xBE\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x2F"],

        ["\x3E\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB0"],
        ["\xBE\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x30"],

        ["\x3E\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB1"],
        ["\xBE\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x31"],

        ["\x3E\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB2"],
        ["\xBE\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x32"],

        ["\x3E\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB3"],
        ["\xBE\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x33"],

        ["\x3E\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB4"],
        ["\xBE\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x34"],

        ["\x3E\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB5"],
        ["\xBE\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x35"],

        ["\x3E\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB6"],
        ["\xBE\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x36"],

        ["\x3E\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB7"],
        ["\xBE\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x37"],

        ["\x3E\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB8"],
        ["\xBE\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x38"],

        ["\x3E\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB9"],
        ["\xBE\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x39"],

        ["\x3E\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBA"],
        ["\xBE\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x3A"],

        ["\x3E\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBB"],
        ["\xBE\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x3B"],

        ["\x3E\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBC"],
        ["\xBE\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x3C"],

        ["\x3E\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBD"],
        ["\xBE\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x3D"],

        ["\x3E\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBE"],
        ["\xBE\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x3E"],

        ["\x3E\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBF"],
        ["\xBE\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x3F"],

        ["\x3E\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC0"],
        ["\xBE\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x40"],

        ["\x3E\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC1"],
        ["\xBE\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x41"],

        ["\x3E\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC2"],
        ["\xBE\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x42"],

        ["\x3E\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC3"],
        ["\xBE\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x43"],

        ["\x3E\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC4"],
        ["\xBE\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x44"],

        ["\x3E\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC5"],
        ["\xBE\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x45"],

        ["\x3E\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC6"],
        ["\xBE\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x46"],

        ["\x3E\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC7"],
        ["\xBE\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x47"],

        ["\x3E\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC8"],
        ["\xBE\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x48"],

        ["\x3E\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC9"],
        ["\xBE\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x49"],

        ["\x3E\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCA"],
        ["\xBE\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x4A"],

        ["\x3E\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCB"],
        ["\xBE\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x4B"],

        ["\x3E\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCC"],
        ["\xBE\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x4C"],

        ["\x3E\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCD"],
        ["\xBE\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x4D"],

        ["\x3E\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCE"],
        ["\xBE\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x4E"],

        ["\x3E\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCF"],
        ["\xBE\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x4F"],

        ["\x3E\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD0"],
        ["\xBE\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x50"],

        ["\x3E\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD1"],
        ["\xBE\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x51"],

        ["\x3E\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD2"],
        ["\xBE\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x52"],

        ["\x3E\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD3"],
        ["\xBE\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x53"],

        ["\x3E\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD4"],
        ["\xBE\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x54"],

        ["\x3E\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD5"],
        ["\xBE\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x55"],

        ["\x3E\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD6"],
        ["\xBE\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x56"],

        ["\x3E\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD7"],
        ["\xBE\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x57"],

        ["\x3E\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD8"],
        ["\xBE\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x58"],

        ["\x3E\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD9"],
        ["\xBE\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x59"],

        ["\x3E\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDA"],
        ["\xBE\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x5A"],

        ["\x3E\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDB"],
        ["\xBE\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x5B"],

        ["\x3E\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDC"],
        ["\xBE\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x5C"],

        ["\x3E\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDD"],
        ["\xBE\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x5D"],

        ["\x3E\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDE"],
        ["\xBE\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x5E"],

        ["\x3E\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDF"],
        ["\xBE\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x5F"],

        ["\x3E\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE0"],
        ["\xBE\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x60"],

        ["\x3E\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE1"],
        ["\xBE\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x61"],

        ["\x3E\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE2"],
        ["\xBE\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x62"],

        ["\x3E\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE3"],
        ["\xBE\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x63"],

        ["\x3E\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE4"],
        ["\xBE\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x64"],

        ["\x3E\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE5"],
        ["\xBE\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x65"],

        ["\x3E\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE6"],
        ["\xBE\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x66"],

        ["\x3E\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE7"],
        ["\xBE\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x67"],

        ["\x3E\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE8"],
        ["\xBE\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x68"],

        ["\x3E\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE9"],
        ["\xBE\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x69"],

        ["\x3E\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEA"],
        ["\xBE\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x6A"],

        ["\x3E\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEB"],
        ["\xBE\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x6B"],

        ["\x3E\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEC"],
        ["\xBE\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x6C"],

        ["\x3E\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xED"],
        ["\xBE\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x6D"],

        ["\x3E\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEE"],
        ["\xBE\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x6E"],

        ["\x3E\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEF"],
        ["\xBE\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x6F"],

        ["\x3E\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF0"],
        ["\xBE\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x70"],

        ["\x3E\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF1"],
        ["\xBE\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x71"],

        ["\x3E\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF2"],
        ["\xBE\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x72"],

        ["\x3E\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF3"],
        ["\xBE\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x73"],

        ["\x3E\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF4"],
        ["\xBE\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x74"],

        ["\x3E\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF5"],
        ["\xBE\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x75"],

        ["\x3E\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF6"],
        ["\xBE\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x76"],

        ["\x3E\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF7"],
        ["\xBE\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x77"],

        ["\x3E\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF8"],
        ["\xBE\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x78"],

        ["\x3E\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF9"],
        ["\xBE\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x79"],

        ["\x3E\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFA"],
        ["\xBE\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x7A"],

        ["\x3E\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFB"],
        ["\xBE\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x7B"],

        ["\x3E\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFC"],
        ["\xBE\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x7C"],

        ["\x3E\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFD"],
        ["\xBE\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x7D"],

        ["\x3E\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFE"],
        ["\xBE\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3E\x7E"],

        ["\x3F\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA1"],
        ["\xBF\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x21"],

        ["\x3F\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA2"],
        ["\xBF\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x22"],

        ["\x3F\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA3"],
        ["\xBF\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x23"],

        ["\x3F\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA4"],
        ["\xBF\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x24"],

        ["\x3F\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA5"],
        ["\xBF\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x25"],

        ["\x3F\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA6"],
        ["\xBF\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x26"],

        ["\x3F\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA7"],
        ["\xBF\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x27"],

        ["\x3F\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA8"],
        ["\xBF\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x28"],

        ["\x3F\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA9"],
        ["\xBF\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x29"],

        ["\x3F\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAA"],
        ["\xBF\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x2A"],

        ["\x3F\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAB"],
        ["\xBF\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x2B"],

        ["\x3F\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAC"],
        ["\xBF\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x2C"],

        ["\x3F\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAD"],
        ["\xBF\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x2D"],

        ["\x3F\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAE"],
        ["\xBF\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x2E"],

        ["\x3F\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAF"],
        ["\xBF\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x2F"],

        ["\x3F\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB0"],
        ["\xBF\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x30"],

        ["\x3F\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB1"],
        ["\xBF\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x31"],

        ["\x3F\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB2"],
        ["\xBF\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x32"],

        ["\x3F\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB3"],
        ["\xBF\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x33"],

        ["\x3F\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB4"],
        ["\xBF\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x34"],

        ["\x3F\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB5"],
        ["\xBF\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x35"],

        ["\x3F\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB6"],
        ["\xBF\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x36"],

        ["\x3F\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB7"],
        ["\xBF\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x37"],

        ["\x3F\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB8"],
        ["\xBF\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x38"],

        ["\x3F\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB9"],
        ["\xBF\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x39"],

        ["\x3F\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBA"],
        ["\xBF\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x3A"],

        ["\x3F\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBB"],
        ["\xBF\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x3B"],

        ["\x3F\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBC"],
        ["\xBF\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x3C"],

        ["\x3F\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBD"],
        ["\xBF\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x3D"],

        ["\x3F\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBE"],
        ["\xBF\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x3E"],

        ["\x3F\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBF"],
        ["\xBF\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x3F"],

        ["\x3F\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC0"],
        ["\xBF\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x40"],

        ["\x3F\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC1"],
        ["\xBF\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x41"],

        ["\x3F\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC2"],
        ["\xBF\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x42"],

        ["\x3F\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC3"],
        ["\xBF\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x43"],

        ["\x3F\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC4"],
        ["\xBF\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x44"],

        ["\x3F\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC5"],
        ["\xBF\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x45"],

        ["\x3F\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC6"],
        ["\xBF\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x46"],

        ["\x3F\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC7"],
        ["\xBF\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x47"],

        ["\x3F\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC8"],
        ["\xBF\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x48"],

        ["\x3F\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC9"],
        ["\xBF\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x49"],

        ["\x3F\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCA"],
        ["\xBF\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x4A"],

        ["\x3F\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCB"],
        ["\xBF\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x4B"],

        ["\x3F\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCC"],
        ["\xBF\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x4C"],

        ["\x3F\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCD"],
        ["\xBF\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x4D"],

        ["\x3F\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCE"],
        ["\xBF\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x4E"],

        ["\x3F\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCF"],
        ["\xBF\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x4F"],

        ["\x3F\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD0"],
        ["\xBF\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x50"],

        ["\x3F\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD1"],
        ["\xBF\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x51"],

        ["\x3F\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD2"],
        ["\xBF\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x52"],

        ["\x3F\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD3"],
        ["\xBF\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x53"],

        ["\x3F\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD4"],
        ["\xBF\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x54"],

        ["\x3F\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD5"],
        ["\xBF\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x55"],

        ["\x3F\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD6"],
        ["\xBF\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x56"],

        ["\x3F\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD7"],
        ["\xBF\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x57"],

        ["\x3F\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD8"],
        ["\xBF\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x58"],

        ["\x70\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],
        ["\xF0\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x57"],

        ["\x3F\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDA"],
        ["\xBF\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x5A"],

        ["\x3F\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDB"],
        ["\xBF\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x5B"],

        ["\x3F\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDC"],
        ["\xBF\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x5C"],

        ["\x3F\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDD"],
        ["\xBF\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x5D"],

        ["\x3F\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDE"],
        ["\xBF\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x5E"],

        ["\x3F\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDF"],
        ["\xBF\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x5F"],

        ["\x3F\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE0"],
        ["\xBF\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x60"],

        ["\x3F\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE1"],
        ["\xBF\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x61"],

        ["\x3F\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE2"],
        ["\xBF\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x62"],

        ["\x3F\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE3"],
        ["\xBF\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x63"],

        ["\x3F\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE4"],
        ["\xBF\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x64"],

        ["\x3F\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE5"],
        ["\xBF\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x65"],

        ["\x3F\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE6"],
        ["\xBF\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x66"],

        ["\x3F\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE7"],
        ["\xBF\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x67"],

        ["\x3F\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE8"],
        ["\xBF\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x68"],

        ["\x3F\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE9"],
        ["\xBF\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x69"],

        ["\x3F\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEA"],
        ["\xBF\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x6A"],

        ["\x3F\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEB"],
        ["\xBF\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x6B"],

        ["\x3F\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEC"],
        ["\xBF\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x6C"],

        ["\x3F\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xED"],
        ["\xBF\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x6D"],

        ["\x3F\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEE"],
        ["\xBF\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x6E"],

        ["\x3F\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEF"],
        ["\xBF\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x6F"],

        ["\x3F\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF0"],
        ["\xBF\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x70"],

        ["\x3F\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF1"],
        ["\xBF\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x71"],

        ["\x3F\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF2"],
        ["\xBF\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x72"],

        ["\x3F\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF3"],
        ["\xBF\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x73"],

        ["\x3F\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF4"],
        ["\xBF\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x74"],

        ["\x3F\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF5"],
        ["\xBF\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x75"],

        ["\x3F\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF6"],
        ["\xBF\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x76"],

        ["\x3F\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF7"],
        ["\xBF\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x77"],

        ["\x3F\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF8"],
        ["\xBF\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x78"],

        ["\x3F\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF9"],
        ["\xBF\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x79"],

        ["\x3F\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFA"],
        ["\xBF\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x7A"],

        ["\x3F\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFB"],
        ["\xBF\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x7B"],

        ["\x3F\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFC"],
        ["\xBF\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x7C"],

        ["\x3F\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFD"],
        ["\xBF\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x7D"],

        ["\x3F\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFE"],
        ["\xBF\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x7E"],

        ["\x40\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA1"],
        ["\xC0\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x21"],

        ["\x40\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA2"],
        ["\xC0\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x22"],

        ["\x40\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA3"],
        ["\xC0\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x23"],

        ["\x40\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA4"],
        ["\xC0\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x24"],

        ["\x40\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA5"],
        ["\xC0\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x25"],

        ["\x40\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA6"],
        ["\xC0\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x26"],

        ["\x40\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA7"],
        ["\xC0\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x27"],

        ["\x40\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA8"],
        ["\xC0\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x28"],

        ["\x40\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA9"],
        ["\xC0\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x29"],

        ["\x40\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAA"],
        ["\xC0\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x2A"],

        ["\x40\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],
        ["\xC0\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x2B"],

        ["\x40\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAC"],
        ["\xC0\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x2C"],

        ["\x40\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAD"],
        ["\xC0\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x2D"],

        ["\x40\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAE"],
        ["\xC0\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x2E"],

        ["\x40\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAF"],
        ["\xC0\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x2F"],

        ["\x40\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB0"],
        ["\xC0\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x30"],

        ["\x40\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB1"],
        ["\xC0\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x31"],

        ["\x40\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB2"],
        ["\xC0\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x32"],

        ["\x40\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB3"],
        ["\xC0\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x33"],

        ["\x40\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB4"],
        ["\xC0\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x34"],

        ["\x40\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB5"],
        ["\xC0\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x35"],

        ["\x40\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB6"],
        ["\xC0\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x36"],

        ["\x40\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB7"],
        ["\xC0\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x37"],

        ["\x40\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB8"],
        ["\xC0\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x38"],

        ["\x40\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB9"],
        ["\xC0\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x39"],

        ["\x40\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBA"],
        ["\xC0\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x3A"],

        ["\x40\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBB"],
        ["\xC0\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x3B"],

        ["\x40\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBC"],
        ["\xC0\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x3C"],

        ["\x40\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBD"],
        ["\xC0\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x3D"],

        ["\x40\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBE"],
        ["\xC0\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x3E"],

        ["\x40\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBF"],
        ["\xC0\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x3F"],

        ["\x40\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC0"],
        ["\xC0\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x40"],

        ["\x40\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC1"],
        ["\xC0\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x41"],

        ["\x40\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC2"],
        ["\xC0\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x42"],

        ["\x40\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC3"],
        ["\xC0\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x43"],

        ["\x40\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC4"],
        ["\xC0\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x44"],

        ["\x40\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC5"],
        ["\xC0\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x45"],

        ["\x40\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],
        ["\xC0\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x46"],

        ["\x40\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC7"],
        ["\xC0\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x47"],

        ["\x40\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC8"],
        ["\xC0\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x48"],

        ["\x40\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],
        ["\xC0\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x49"],

        ["\x40\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCA"],
        ["\xC0\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x4A"],

        ["\x40\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCB"],
        ["\xC0\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x4B"],

        ["\x40\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCC"],
        ["\xC0\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x4C"],

        ["\x40\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCD"],
        ["\xC0\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x4D"],

        ["\x40\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCE"],
        ["\xC0\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x4E"],

        ["\x40\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCF"],
        ["\xC0\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x4F"],

        ["\x40\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD0"],
        ["\xC0\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x50"],

        ["\x40\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD1"],
        ["\xC0\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x51"],

        ["\x40\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],
        ["\xC0\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x52"],

        ["\x40\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD3"],
        ["\xC0\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x53"],

        ["\x40\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],
        ["\xC0\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x54"],

        ["\x40\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],
        ["\xC0\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x55"],

        ["\x40\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],
        ["\xC0\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x56"],

        ["\x40\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD7"],
        ["\xC0\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x57"],

        ["\x40\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD8"],
        ["\xC0\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x58"],

        ["\x40\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],
        ["\xC0\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x59"],

        ["\x40\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDA"],
        ["\xC0\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x5A"],

        ["\x40\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDB"],
        ["\xC0\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x5B"],

        ["\x40\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDC"],
        ["\xC0\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x5C"],

        ["\x40\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDD"],
        ["\xC0\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x5D"],

        ["\x40\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDE"],
        ["\xC0\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x5E"],

        ["\x40\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDF"],
        ["\xC0\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x5F"],

        ["\x40\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE0"],
        ["\xC0\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x60"],

        ["\x40\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE1"],
        ["\xC0\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x61"],

        ["\x40\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE2"],
        ["\xC0\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x62"],

        ["\x40\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE3"],
        ["\xC0\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x63"],

        ["\x40\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],
        ["\xC0\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x64"],

        ["\x40\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],
        ["\xC0\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x65"],

        ["\x40\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE6"],
        ["\xC0\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x66"],

        ["\x40\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],
        ["\xC0\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x67"],

        ["\x40\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE8"],
        ["\xC0\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x68"],

        ["\x40\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE9"],
        ["\xC0\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x69"],

        ["\x40\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEA"],
        ["\xC0\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x6A"],

        ["\x40\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEB"],
        ["\xC0\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x6B"],

        ["\x40\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEC"],
        ["\xC0\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x6C"],

        ["\x40\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xED"],
        ["\xC0\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x6D"],

        ["\x40\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEE"],
        ["\xC0\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x6E"],

        ["\x40\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEF"],
        ["\xC0\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x6F"],

        ["\x40\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],
        ["\xC0\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x70"],

        ["\x40\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],
        ["\xC0\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x71"],

        ["\x40\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],
        ["\xC0\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x72"],

        ["\x40\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],
        ["\xC0\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x73"],

        ["\x40\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],
        ["\xC0\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x74"],

        ["\x40\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF5"],
        ["\xC0\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x75"],

        ["\x40\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF6"],
        ["\xC0\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x76"],

        ["\x40\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],
        ["\xC0\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x77"],

        ["\x40\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],
        ["\xC0\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x78"],

        ["\x40\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF9"],
        ["\xC0\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x79"],

        ["\x40\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFA"],
        ["\xC0\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x7A"],

        ["\x40\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFB"],
        ["\xC0\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x7B"],

        ["\x40\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFC"],
        ["\xC0\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x7C"],

        ["\x40\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFD"],
        ["\xC0\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x7D"],

        ["\x40\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFE"],
        ["\xC0\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x40\x7E"],

        ["\x41\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA1"],
        ["\xC1\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x21"],

        ["\x41\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA2"],
        ["\xC1\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x22"],

        ["\x41\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA3"],
        ["\xC1\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x23"],

        ["\x41\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA4"],
        ["\xC1\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x24"],

        ["\x41\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA5"],
        ["\xC1\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x25"],

        ["\x41\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA6"],
        ["\xC1\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x26"],

        ["\x41\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA7"],
        ["\xC1\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x27"],

        ["\x6C\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCD"],
        ["\xEC\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x4D"],

        ["\x41\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA9"],
        ["\xC1\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x29"],

        ["\x41\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAA"],
        ["\xC1\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x2A"],

        ["\x41\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],
        ["\xC1\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x2B"],

        ["\x41\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAC"],
        ["\xC1\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x2C"],

        ["\x41\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAD"],
        ["\xC1\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x2D"],

        ["\x41\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAE"],
        ["\xC1\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x2E"],

        ["\x41\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAF"],
        ["\xC1\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x2F"],

        ["\x41\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB0"],
        ["\xC1\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x30"],

        ["\x41\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB1"],
        ["\xC1\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x31"],

        ["\x41\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB2"],
        ["\xC1\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x32"],

        ["\x41\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB3"],
        ["\xC1\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x33"],

        ["\x41\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB4"],
        ["\xC1\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x34"],

        ["\x41\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB5"],
        ["\xC1\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x35"],

        ["\x41\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB6"],
        ["\xC1\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x36"],

        ["\x41\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB7"],
        ["\xC1\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x37"],

        ["\x41\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB8"],
        ["\xC1\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x38"],

        ["\x41\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB9"],
        ["\xC1\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x39"],

        ["\x41\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBA"],
        ["\xC1\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x3A"],

        ["\x41\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBB"],
        ["\xC1\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x3B"],

        ["\x41\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBC"],
        ["\xC1\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x3C"],

        ["\x41\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBD"],
        ["\xC1\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x3D"],

        ["\x41\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBE"],
        ["\xC1\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x3E"],

        ["\x41\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBF"],
        ["\xC1\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x3F"],

        ["\x41\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC0"],
        ["\xC1\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x40"],

        ["\x41\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC1"],
        ["\xC1\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x41"],

        ["\x41\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC2"],
        ["\xC1\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x42"],

        ["\x41\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC3"],
        ["\xC1\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x43"],

        ["\x41\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],
        ["\xC1\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x44"],

        ["\x41\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC5"],
        ["\xC1\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x45"],

        ["\x41\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC6"],
        ["\xC1\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x46"],

        ["\x41\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],
        ["\xC1\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x47"],

        ["\x41\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],
        ["\xC1\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x48"],

        ["\x41\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC9"],
        ["\xC1\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x49"],

        ["\x41\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCA"],
        ["\xC1\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x4A"],

        ["\x41\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCB"],
        ["\xC1\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x4B"],

        ["\x41\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCC"],
        ["\xC1\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x4C"],

        ["\x41\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCD"],
        ["\xC1\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x4D"],

        ["\x41\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCE"],
        ["\xC1\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x4E"],

        ["\x41\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCF"],
        ["\xC1\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x4F"],

        ["\x41\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],
        ["\xC1\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x50"],

        ["\x41\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],
        ["\xC1\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x51"],

        ["\x41\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD2"],
        ["\xC1\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x52"],

        ["\x41\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],
        ["\xC1\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x53"],

        ["\x41\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD4"],
        ["\xC1\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x54"],

        ["\x41\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD5"],
        ["\xC1\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x55"],

        ["\x41\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD6"],
        ["\xC1\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x56"],

        ["\x41\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD7"],
        ["\xC1\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x57"],

        ["\x41\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD8"],
        ["\xC1\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x58"],

        ["\x41\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],
        ["\xC1\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x59"],

        ["\x41\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDA"],
        ["\xC1\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x5A"],

        ["\x41\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDB"],
        ["\xC1\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x5B"],

        ["\x41\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDC"],
        ["\xC1\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x5C"],

        ["\x41\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDD"],
        ["\xC1\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x5D"],

        ["\x41\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDE"],
        ["\xC1\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x5E"],

        ["\x41\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDF"],
        ["\xC1\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x5F"],

        ["\x41\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE0"],
        ["\xC1\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x60"],

        ["\x41\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE1"],
        ["\xC1\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x61"],

        ["\x41\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE2"],
        ["\xC1\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x62"],

        ["\x41\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE3"],
        ["\xC1\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x63"],

        ["\x41\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE4"],
        ["\xC1\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x64"],

        ["\x41\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE5"],
        ["\xC1\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x65"],

        ["\x41\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],
        ["\xC1\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x66"],

        ["\x41\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE7"],
        ["\xC1\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x67"],

        ["\x41\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],
        ["\xC1\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x68"],

        ["\x41\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],
        ["\xC1\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x69"],

        ["\x41\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEA"],
        ["\xC1\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x6A"],

        ["\x41\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEB"],
        ["\xC1\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x6B"],

        ["\x41\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEC"],
        ["\xC1\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x6C"],

        ["\x41\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xED"],
        ["\xC1\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x6D"],

        ["\x41\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEE"],
        ["\xC1\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x6E"],

        ["\x41\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEF"],
        ["\xC1\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x6F"],

        ["\x41\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],
        ["\xC1\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x70"],

        ["\x41\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],
        ["\xC1\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x71"],

        ["\x41\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF2"],
        ["\xC1\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x72"],

        ["\x41\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],
        ["\xC1\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x73"],

        ["\x41\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],
        ["\xC1\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x74"],

        ["\x41\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF5"],
        ["\xC1\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x75"],

        ["\x41\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF6"],
        ["\xC1\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x76"],

        ["\x41\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF7"],
        ["\xC1\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x77"],

        ["\x41\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF8"],
        ["\xC1\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x78"],

        ["\x41\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF9"],
        ["\xC1\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x79"],

        ["\x41\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFA"],
        ["\xC1\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x7A"],

        ["\x41\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFB"],
        ["\xC1\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x7B"],

        ["\x41\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFC"],
        ["\xC1\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x7C"],

        ["\x41\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFD"],
        ["\xC1\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x7D"],

        ["\x41\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFE"],
        ["\xC1\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x7E"],

        ["\x42\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],
        ["\xC2\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x21"],

        ["\x42\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA2"],
        ["\xC2\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x22"],

        ["\x42\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA3"],
        ["\xC2\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x23"],

        ["\x42\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA4"],
        ["\xC2\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x24"],

        ["\x42\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA5"],
        ["\xC2\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x25"],

        ["\x42\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA6"],
        ["\xC2\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x26"],

        ["\x42\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA7"],
        ["\xC2\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x27"],

        ["\x42\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],
        ["\xC2\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x28"],

        ["\x42\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA9"],
        ["\xC2\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x29"],

        ["\x42\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAA"],
        ["\xC2\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x2A"],

        ["\x42\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAB"],
        ["\xC2\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x2B"],

        ["\x42\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAC"],
        ["\xC2\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x2C"],

        ["\x42\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAD"],
        ["\xC2\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x2D"],

        ["\x42\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAE"],
        ["\xC2\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x2E"],

        ["\x42\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAF"],
        ["\xC2\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x2F"],

        ["\x42\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],
        ["\xC2\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x30"],

        ["\x42\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB1"],
        ["\xC2\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x31"],

        ["\x42\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB2"],
        ["\xC2\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x32"],

        ["\x42\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB3"],
        ["\xC2\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x33"],

        ["\x42\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],
        ["\xC2\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x34"],

        ["\x42\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB5"],
        ["\xC2\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x35"],

        ["\x42\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],
        ["\xC2\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x36"],

        ["\x42\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB7"],
        ["\xC2\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x37"],

        ["\x42\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB8"],
        ["\xC2\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x38"],

        ["\x42\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB9"],
        ["\xC2\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x39"],

        ["\x42\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBA"],
        ["\xC2\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x3A"],

        ["\x42\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBB"],
        ["\xC2\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x3B"],

        ["\x42\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBC"],
        ["\xC2\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x3C"],

        ["\x42\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBD"],
        ["\xC2\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x3D"],

        ["\x42\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBE"],
        ["\xC2\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x3E"],

        ["\x42\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBF"],
        ["\xC2\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x3F"],

        ["\x42\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC0"],
        ["\xC2\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x40"],

        ["\x42\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC1"],
        ["\xC2\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x41"],

        ["\x42\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC2"],
        ["\xC2\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x42"],

        ["\x42\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],
        ["\xC2\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x43"],

        ["\x42\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],
        ["\xC2\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x44"],

        ["\x42\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC5"],
        ["\xC2\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x45"],

        ["\x42\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC6"],
        ["\xC2\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x46"],

        ["\x42\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],
        ["\xC2\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x47"],

        ["\x42\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],
        ["\xC2\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x48"],

        ["\x42\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],
        ["\xC2\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x49"],

        ["\x42\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCA"],
        ["\xC2\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x4A"],

        ["\x42\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCB"],
        ["\xC2\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x4B"],

        ["\x42\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCC"],
        ["\xC2\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x4C"],

        ["\x42\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCD"],
        ["\xC2\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x4D"],

        ["\x42\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCE"],
        ["\xC2\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x4E"],

        ["\x42\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCF"],
        ["\xC2\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x4F"],

        ["\x42\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],
        ["\xC2\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x50"],

        ["\x42\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],
        ["\xC2\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x51"],

        ["\x42\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD2"],
        ["\xC2\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x52"],

        ["\x42\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD3"],
        ["\xC2\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x53"],

        ["\x42\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],
        ["\xC2\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x54"],

        ["\x42\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD5"],
        ["\xC2\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x55"],

        ["\x42\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD6"],
        ["\xC2\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x56"],

        ["\x42\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD7"],
        ["\xC2\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x57"],

        ["\x42\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD8"],
        ["\xC2\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x58"],

        ["\x42\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD9"],
        ["\xC2\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x59"],

        ["\x42\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDA"],
        ["\xC2\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x5A"],

        ["\x42\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDB"],
        ["\xC2\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x5B"],

        ["\x42\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDC"],
        ["\xC2\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x5C"],

        ["\x42\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDD"],
        ["\xC2\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x5D"],

        ["\x42\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDE"],
        ["\xC2\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x5E"],

        ["\x42\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDF"],
        ["\xC2\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x5F"],

        ["\x42\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],
        ["\xC2\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x60"],

        ["\x42\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE1"],
        ["\xC2\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x61"],

        ["\x42\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE2"],
        ["\xC2\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x62"],

        ["\x42\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE3"],
        ["\xC2\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x63"],

        ["\x42\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],
        ["\xC2\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x64"],

        ["\x42\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],
        ["\xC2\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x65"],

        ["\x42\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE6"],
        ["\xC2\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x66"],

        ["\x42\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE7"],
        ["\xC2\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x67"],

        ["\x42\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],
        ["\xC2\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x68"],

        ["\x42\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE9"],
        ["\xC2\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x69"],

        ["\x42\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEA"],
        ["\xC2\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x6A"],

        ["\x42\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEB"],
        ["\xC2\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x6B"],

        ["\x42\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEC"],
        ["\xC2\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x6C"],

        ["\x42\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xED"],
        ["\xC2\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x6D"],

        ["\x42\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEE"],
        ["\xC2\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x6E"],

        ["\x42\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEF"],
        ["\xC2\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x6F"],

        ["\x42\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF0"],
        ["\xC2\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x70"],

        ["\x42\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],
        ["\xC2\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x71"],

        ["\x42\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF2"],
        ["\xC2\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x72"],

        ["\x42\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF3"],
        ["\xC2\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x73"],

        ["\x42\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],
        ["\xC2\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x74"],

        ["\x42\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],
        ["\xC2\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x75"],

        ["\x42\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],
        ["\xC2\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x76"],

        ["\x42\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],
        ["\xC2\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x77"],

        ["\x42\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],
        ["\xC2\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x78"],

        ["\x42\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF9"],
        ["\xC2\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x79"],

        ["\x42\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFA"],
        ["\xC2\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x7A"],

        ["\x42\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFB"],
        ["\xC2\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x7B"],

        ["\x42\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFC"],
        ["\xC2\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x7C"],

        ["\x42\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFD"],
        ["\xC2\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x7D"],

        ["\x42\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFE"],
        ["\xC2\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x42\x7E"],

        ["\x43\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],
        ["\xC3\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x21"],

        ["\x43\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],
        ["\xC3\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x22"],

        ["\x43\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA3"],
        ["\xC3\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x23"],

        ["\x43\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA4"],
        ["\xC3\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x24"],

        ["\x43\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA5"],
        ["\xC3\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x25"],

        ["\x43\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],
        ["\xC3\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x26"],

        ["\x43\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA7"],
        ["\xC3\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x27"],

        ["\x43\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],
        ["\xC3\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x28"],

        ["\x43\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA9"],
        ["\xC3\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x29"],

        ["\x43\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAA"],
        ["\xC3\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x2A"],

        ["\x43\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAB"],
        ["\xC3\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x2B"],

        ["\x43\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],
        ["\xC3\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x2C"],

        ["\x43\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAD"],
        ["\xC3\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x2D"],

        ["\x43\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],
        ["\xC3\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x2E"],

        ["\x43\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],
        ["\xC3\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x2F"],

        ["\x43\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB0"],
        ["\xC3\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x30"],

        ["\x43\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB1"],
        ["\xC3\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x31"],

        ["\x43\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],
        ["\xC3\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x32"],

        ["\x43\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB3"],
        ["\xC3\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x33"],

        ["\x43\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB4"],
        ["\xC3\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x34"],

        ["\x43\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB5"],
        ["\xC3\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x35"],

        ["\x43\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB6"],
        ["\xC3\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x36"],

        ["\x43\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],
        ["\xC3\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x37"],

        ["\x43\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],
        ["\xC3\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x38"],

        ["\x43\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB9"],
        ["\xC3\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x39"],

        ["\x43\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],
        ["\xC3\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x3A"],

        ["\x43\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBB"],
        ["\xC3\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x3B"],

        ["\x43\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],
        ["\xC3\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x3C"],

        ["\x43\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBD"],
        ["\xC3\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x3D"],

        ["\x43\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBE"],
        ["\xC3\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x3E"],

        ["\x43\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBF"],
        ["\xC3\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x3F"],

        ["\x43\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC0"],
        ["\xC3\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x40"],

        ["\x43\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],
        ["\xC3\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x41"],

        ["\x43\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC2"],
        ["\xC3\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x42"],

        ["\x43\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC3"],
        ["\xC3\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x43"],

        ["\x43\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC4"],
        ["\xC3\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x44"],

        ["\x43\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC5"],
        ["\xC3\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x45"],

        ["\x43\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],
        ["\xC3\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x46"],

        ["\x43\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],
        ["\xC3\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x47"],

        ["\x43\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],
        ["\xC3\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x48"],

        ["\x43\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC9"],
        ["\xC3\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x49"],

        ["\x43\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCA"],
        ["\xC3\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x4A"],

        ["\x43\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCB"],
        ["\xC3\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x4B"],

        ["\x43\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCC"],
        ["\xC3\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x4C"],

        ["\x43\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCD"],
        ["\xC3\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x4D"],

        ["\x43\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCE"],
        ["\xC3\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x4E"],

        ["\x43\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCF"],
        ["\xC3\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x4F"],

        ["\x43\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],
        ["\xC3\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x50"],

        ["\x43\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],
        ["\xC3\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x51"],

        ["\x43\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD2"],
        ["\xC3\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x52"],

        ["\x43\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD3"],
        ["\xC3\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x53"],

        ["\x43\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD4"],
        ["\xC3\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x54"],

        ["\x43\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],
        ["\xC3\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x55"],

        ["\x43\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],
        ["\xC3\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x56"],

        ["\x43\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD7"],
        ["\xC3\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x57"],

        ["\x43\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD8"],
        ["\xC3\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x58"],

        ["\x43\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD9"],
        ["\xC3\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x59"],

        ["\x43\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDA"],
        ["\xC3\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x5A"],

        ["\x43\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDB"],
        ["\xC3\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x5B"],

        ["\x43\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDC"],
        ["\xC3\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x5C"],

        ["\x43\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDD"],
        ["\xC3\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x5D"],

        ["\x43\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDE"],
        ["\xC3\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x5E"],

        ["\x43\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDF"],
        ["\xC3\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x5F"],

        ["\x43\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],
        ["\xC3\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x60"],

        ["\x43\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE1"],
        ["\xC3\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x61"],

        ["\x43\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE2"],
        ["\xC3\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x62"],

        ["\x43\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],
        ["\xC3\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x63"],

        ["\x43\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],
        ["\xC3\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x64"],

        ["\x43\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],
        ["\xC3\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x65"],

        ["\x43\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],
        ["\xC3\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x66"],

        ["\x43\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],
        ["\xC3\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x67"],

        ["\x43\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],
        ["\xC3\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x68"],

        ["\x43\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE9"],
        ["\xC3\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x69"],

        ["\x43\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEA"],
        ["\xC3\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x6A"],

        ["\x43\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEB"],
        ["\xC3\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x6B"],

        ["\x43\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEC"],
        ["\xC3\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x6C"],

        ["\x43\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xED"],
        ["\xC3\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x6D"],

        ["\x43\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEE"],
        ["\xC3\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x6E"],

        ["\x43\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEF"],
        ["\xC3\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x6F"],

        ["\x43\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],
        ["\xC3\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x70"],

        ["\x43\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF1"],
        ["\xC3\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x71"],

        ["\x43\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF2"],
        ["\xC3\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x72"],

        ["\x43\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],
        ["\xC3\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x73"],

        ["\x43\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF4"],
        ["\xC3\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x74"],

        ["\x43\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF5"],
        ["\xC3\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x75"],

        ["\x43\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF6"],
        ["\xC3\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x76"],

        ["\x43\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF7"],
        ["\xC3\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x77"],

        ["\x43\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],
        ["\xC3\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x78"],

        ["\x43\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],
        ["\xC3\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x79"],

        ["\x43\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFA"],
        ["\xC3\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x7A"],

        ["\x43\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFB"],
        ["\xC3\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x7B"],

        ["\x43\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFC"],
        ["\xC3\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x7C"],

        ["\x43\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFD"],
        ["\xC3\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x7D"],

        ["\x43\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFE"],
        ["\xC3\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x43\x7E"],

        ["\x44\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA1"],
        ["\xC4\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x21"],

        ["\x44\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA2"],
        ["\xC4\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x22"],

        ["\x44\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA3"],
        ["\xC4\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x23"],

        ["\x44\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA4"],
        ["\xC4\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x24"],

        ["\x44\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA5"],
        ["\xC4\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x25"],

        ["\x44\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA6"],
        ["\xC4\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x26"],

        ["\x44\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA7"],
        ["\xC4\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x27"],

        ["\x44\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA8"],
        ["\xC4\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x28"],

        ["\x44\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA9"],
        ["\xC4\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x29"],

        ["\x44\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAA"],
        ["\xC4\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x2A"],

        ["\x44\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAB"],
        ["\xC4\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x2B"],

        ["\x44\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAC"],
        ["\xC4\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x2C"],

        ["\x44\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAD"],
        ["\xC4\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x2D"],

        ["\x44\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAE"],
        ["\xC4\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x2E"],

        ["\x44\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAF"],
        ["\xC4\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x2F"],

        ["\x44\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],
        ["\xC4\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x30"],

        ["\x44\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB1"],
        ["\xC4\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x31"],

        ["\x44\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB2"],
        ["\xC4\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x32"],

        ["\x44\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB3"],
        ["\xC4\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x33"],

        ["\x44\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB4"],
        ["\xC4\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x34"],

        ["\x44\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB5"],
        ["\xC4\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x35"],

        ["\x44\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB6"],
        ["\xC4\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x36"],

        ["\x44\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB7"],
        ["\xC4\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x37"],

        ["\x44\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB8"],
        ["\xC4\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x38"],

        ["\x44\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB9"],
        ["\xC4\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x39"],

        ["\x44\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],
        ["\xC4\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x3A"],

        ["\x44\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBB"],
        ["\xC4\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x3B"],

        ["\x44\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBC"],
        ["\xC4\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x3C"],

        ["\x44\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],
        ["\xC4\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x3D"],

        ["\x44\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBE"],
        ["\xC4\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x3E"],

        ["\x44\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBF"],
        ["\xC4\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x3F"],

        ["\x44\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],
        ["\xC4\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x40"],

        ["\x44\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],
        ["\xC4\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x41"],

        ["\x44\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],
        ["\xC4\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x42"],

        ["\x44\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC3"],
        ["\xC4\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x43"],

        ["\x44\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],
        ["\xC4\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x44"],

        ["\x44\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC5"],
        ["\xC4\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x45"],

        ["\x44\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],
        ["\xC4\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x46"],

        ["\x44\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],
        ["\xC4\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x47"],

        ["\x44\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC8"],
        ["\xC4\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x48"],

        ["\x44\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC9"],
        ["\xC4\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x49"],

        ["\x44\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCA"],
        ["\xC4\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x4A"],

        ["\x44\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCB"],
        ["\xC4\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x4B"],

        ["\x44\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCC"],
        ["\xC4\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x4C"],

        ["\xB6\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xC9"],
        ["\x47\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xF5"],

        ["\x44\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCE"],
        ["\xC4\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x4E"],

        ["\x44\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCF"],
        ["\xC4\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x4F"],

        ["\x44\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD0"],
        ["\xC4\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x50"],

        ["\x44\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],
        ["\xC4\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x51"],

        ["\x44\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],
        ["\xC4\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x52"],

        ["\x44\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],
        ["\xC4\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x53"],

        ["\x44\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],
        ["\xC4\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x54"],

        ["\x44\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],
        ["\xC4\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x55"],

        ["\x44\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],
        ["\xC4\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x56"],

        ["\x44\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],
        ["\xC4\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x57"],

        ["\x44\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD8"],
        ["\xC4\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x58"],

        ["\x44\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],
        ["\xC4\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x59"],

        ["\x44\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDA"],
        ["\xC4\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x5A"],

        ["\x54\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],
        ["\xD4\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x64"],

        ["\x44\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDC"],
        ["\xC4\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x5C"],

        ["\x44\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDD"],
        ["\xC4\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x5D"],

        ["\x44\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDE"],
        ["\xC4\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x5E"],

        ["\x44\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDF"],
        ["\xC4\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x5F"],

        ["\x44\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE0"],
        ["\xC4\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x60"],

        ["\x44\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE1"],
        ["\xC4\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x61"],

        ["\x44\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE2"],
        ["\xC4\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x62"],

        ["\x44\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],
        ["\xC4\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x63"],

        ["\x44\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE4"],
        ["\xC4\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x64"],

        ["\x44\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],
        ["\xC4\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x65"],

        ["\x44\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],
        ["\xC4\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x66"],

        ["\x44\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],
        ["\xC4\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x67"],

        ["\x44\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],
        ["\xC4\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x68"],

        ["\x44\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE9"],
        ["\xC4\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x69"],

        ["\x44\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEA"],
        ["\xC4\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x6A"],

        ["\x44\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEB"],
        ["\xC4\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x6B"],

        ["\x44\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEC"],
        ["\xC4\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x6C"],

        ["\x44\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xED"],
        ["\xC4\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x6D"],

        ["\x44\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEE"],
        ["\xC4\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x6E"],

        ["\x44\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEF"],
        ["\xC4\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x6F"],

        ["\x44\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],
        ["\xC4\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x70"],

        ["\x44\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF1"],
        ["\xC4\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x71"],

        ["\x44\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],
        ["\xC4\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x72"],

        ["\x44\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],
        ["\xC4\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x73"],

        ["\x44\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF4"],
        ["\xC4\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x74"],

        ["\x44\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF5"],
        ["\xC4\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x75"],

        ["\x44\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF6"],
        ["\xC4\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x76"],

        ["\x44\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF7"],
        ["\xC4\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x77"],

        ["\x44\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF8"],
        ["\xC4\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x78"],

        ["\x44\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],
        ["\xC4\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x79"],

        ["\x44\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFA"],
        ["\xC4\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x7A"],

        ["\x44\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFB"],
        ["\xC4\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x7B"],

        ["\x44\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFC"],
        ["\xC4\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x7C"],

        ["\x44\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFD"],
        ["\xC4\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x7D"],

        ["\x44\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFE"],
        ["\xC4\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x7E"],

        ["\x45\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],
        ["\xC5\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x21"],

        ["\x45\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA2"],
        ["\xC5\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x22"],

        ["\x45\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA3"],
        ["\xC5\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x23"],

        ["\x45\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA4"],
        ["\xC5\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x24"],

        ["\x45\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA5"],
        ["\xC5\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x25"],

        ["\x45\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA6"],
        ["\xC5\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x26"],

        ["\x45\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA7"],
        ["\xC5\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x27"],

        ["\x45\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA8"],
        ["\xC5\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x28"],

        ["\x45\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA9"],
        ["\xC5\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x29"],

        ["\x45\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAA"],
        ["\xC5\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x2A"],

        ["\x45\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAB"],
        ["\xC5\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x2B"],

        ["\x45\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],
        ["\xC5\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x2C"],

        ["\x45\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAD"],
        ["\xC5\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x2D"],

        ["\x45\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAE"],
        ["\xC5\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x2E"],

        ["\x45\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],
        ["\xC5\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x2F"],

        ["\x45\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],
        ["\xC5\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x30"],

        ["\x45\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB1"],
        ["\xC5\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x31"],

        ["\x45\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB2"],
        ["\xC5\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x32"],

        ["\x45\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB3"],
        ["\xC5\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x33"],

        ["\x45\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB4"],
        ["\xC5\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x34"],

        ["\x45\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB5"],
        ["\xC5\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x35"],

        ["\xD6\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xCA"],
        ["\x47\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD6\xE6"],

        ["\x45\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB7"],
        ["\xC5\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x37"],

        ["\x45\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB8"],
        ["\xC5\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x38"],

        ["\x45\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],
        ["\xC5\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x39"],

        ["\x45\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBA"],
        ["\xC5\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x3A"],

        ["\x45\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBB"],
        ["\xC5\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x3B"],

        ["\x45\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBC"],
        ["\xC5\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x3C"],

        ["\x45\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBD"],
        ["\xC5\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x3D"],

        ["\x45\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBE"],
        ["\xC5\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x3E"],

        ["\xD4\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xFC"],
        ["\x6C\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xA3"],

        ["\x45\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC0"],
        ["\xC5\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x40"],

        ["\x45\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC1"],
        ["\xC5\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x41"],

        ["\x45\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],
        ["\xC5\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x42"],

        ["\x45\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC3"],
        ["\xC5\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x43"],

        ["\x45\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC4"],
        ["\xC5\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x44"],

        ["\x45\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],
        ["\xC5\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x45"],

        ["\x45\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],
        ["\xC5\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x46"],

        ["\x45\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],
        ["\xC5\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x47"],

        ["\x45\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],
        ["\xC5\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x48"],

        ["\x45\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],
        ["\xC5\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x49"],

        ["\x45\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCA"],
        ["\xC5\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x4A"],

        ["\x45\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCB"],
        ["\xC5\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x4B"],

        ["\x45\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCC"],
        ["\xC5\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x4C"],

        ["\x45\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCD"],
        ["\xC5\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x4D"],

        ["\x45\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCE"],
        ["\xC5\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x4E"],

        ["\x45\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCF"],
        ["\xC5\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x4F"],

        ["\x45\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],
        ["\xC5\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x50"],

        ["\x45\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],
        ["\xC5\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x51"],

        ["\x45\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD2"],
        ["\xC5\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x52"],

        ["\x45\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],
        ["\xC5\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x53"],

        ["\x45\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD4"],
        ["\xC5\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x54"],

        ["\x45\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD5"],
        ["\xC5\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x55"],

        ["\x45\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD6"],
        ["\xC5\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x56"],

        ["\x62\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],
        ["\xE2\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x6A"],

        ["\x45\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],
        ["\xC5\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x58"],

        ["\x45\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],
        ["\xC5\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x59"],

        ["\x45\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDA"],
        ["\xC5\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x5A"],

        ["\x45\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDB"],
        ["\xC5\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x5B"],

        ["\x45\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDC"],
        ["\xC5\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x5C"],

        ["\x45\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDD"],
        ["\xC5\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x5D"],

        ["\x45\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDE"],
        ["\xC5\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x5E"],

        ["\x45\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDF"],
        ["\xC5\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x5F"],

        ["\x45\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],
        ["\xC5\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x60"],

        ["\x45\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE1"],
        ["\xC5\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x61"],

        ["\x45\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE2"],
        ["\xC5\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x62"],

        ["\x45\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE3"],
        ["\xC5\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x63"],

        ["\x45\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE4"],
        ["\xC5\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x64"],

        ["\x45\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],
        ["\xC5\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x65"],

        ["\x45\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],
        ["\xC5\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x66"],

        ["\x45\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],
        ["\xC5\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x67"],

        ["\x45\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE8"],
        ["\xC5\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x68"],

        ["\x45\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],
        ["\xC5\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x69"],

        ["\x45\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEA"],
        ["\xC5\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x6A"],

        ["\x45\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEB"],
        ["\xC5\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x6B"],

        ["\x45\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEC"],
        ["\xC5\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x6C"],

        ["\x45\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xED"],
        ["\xC5\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x6D"],

        ["\x5B\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xED"],
        ["\xDB\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x6D"],

        ["\x45\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEF"],
        ["\xC5\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x6F"],

        ["\x45\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],
        ["\xC5\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x70"],

        ["\x45\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF1"],
        ["\xC5\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x71"],

        ["\x45\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],
        ["\xC5\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x72"],

        ["\x5E\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB9"],
        ["\xDE\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x39"],

        ["\x45\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF4"],
        ["\xC5\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x74"],

        ["\x45\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],
        ["\xC5\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x75"],

        ["\x45\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],
        ["\xC5\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x76"],

        ["\x45\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],
        ["\xC5\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x77"],

        ["\x45\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF8"],
        ["\xC5\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x78"],

        ["\x45\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF9"],
        ["\xC5\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x79"],

        ["\x45\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFA"],
        ["\xC5\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x7A"],

        ["\x45\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFB"],
        ["\xC5\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x7B"],

        ["\x45\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFC"],
        ["\xC5\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x7C"],

        ["\x45\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFD"],
        ["\xC5\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x7D"],

        ["\x45\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFE"],
        ["\xC5\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x7E"],

        ["\x46\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA1"],
        ["\xC6\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x21"],

        ["\x46\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA2"],
        ["\xC6\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x22"],

        ["\x46\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA3"],
        ["\xC6\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x23"],

        ["\x46\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA4"],
        ["\xC6\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x24"],

        ["\x46\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA5"],
        ["\xC6\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x25"],

        ["\x46\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA6"],
        ["\xC6\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x26"],

        ["\x46\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA7"],
        ["\xC6\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x27"],

        ["\x46\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA8"],
        ["\xC6\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x28"],

        ["\x46\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA9"],
        ["\xC6\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x29"],

        ["\x46\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAA"],
        ["\xC6\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x2A"],

        ["\x46\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],
        ["\xC6\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x2B"],

        ["\x46\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAC"],
        ["\xC6\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x2C"],

        ["\x46\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAD"],
        ["\xC6\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x2D"],

        ["\x46\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAE"],
        ["\xC6\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x2E"],

        ["\x46\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAF"],
        ["\xC6\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x2F"],

        ["\x46\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB0"],
        ["\xC6\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x30"],

        ["\x46\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB1"],
        ["\xC6\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x31"],

        ["\x46\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB2"],
        ["\xC6\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x32"],

        ["\x46\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB3"],
        ["\xC6\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x33"],

        ["\x46\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB4"],
        ["\xC6\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x34"],

        ["\x46\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB5"],
        ["\xC6\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x35"],

        ["\x46\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB6"],
        ["\xC6\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x36"],

        ["\x46\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB7"],
        ["\xC6\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x37"],

        ["\x46\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB8"],
        ["\xC6\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x38"],

        ["\x46\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB9"],
        ["\xC6\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x39"],

        ["\x46\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBA"],
        ["\xC6\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x3A"],

        ["\x46\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBB"],
        ["\xC6\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x3B"],

        ["\x46\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBC"],
        ["\xC6\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x3C"],

        ["\x46\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBD"],
        ["\xC6\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x3D"],

        ["\x46\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBE"],
        ["\xC6\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x3E"],

        ["\x46\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBF"],
        ["\xC6\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x3F"],

        ["\x46\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC0"],
        ["\xC6\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x40"],

        ["\x46\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC1"],
        ["\xC6\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x41"],

        ["\x46\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC2"],
        ["\xC6\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x42"],

        ["\x46\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC3"],
        ["\xC6\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x43"],

        ["\x46\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],
        ["\xC6\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x44"],

        ["\x46\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],
        ["\xC6\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x45"],

        ["\x46\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],
        ["\xC6\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x46"],

        ["\x46\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],
        ["\xC6\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x47"],

        ["\x46\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC8"],
        ["\xC6\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x48"],

        ["\x46\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],
        ["\xC6\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x49"],

        ["\x46\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCA"],
        ["\xC6\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x4A"],

        ["\x46\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCB"],
        ["\xC6\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x4B"],

        ["\x46\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCC"],
        ["\xC6\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x4C"],

        ["\x46\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCD"],
        ["\xC6\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x4D"],

        ["\x46\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCE"],
        ["\xC6\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x4E"],

        ["\x46\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCF"],
        ["\xC6\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x4F"],

        ["\x46\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],
        ["\xC6\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x50"],

        ["\x46\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],
        ["\xC6\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x51"],

        ["\x46\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD2"],
        ["\xC6\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x52"],

        ["\x46\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],
        ["\xC6\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x53"],

        ["\x46\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD4"],
        ["\xC6\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x54"],

        ["\x46\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD5"],
        ["\xC6\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x55"],

        ["\x46\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD6"],
        ["\xC6\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x56"],

        ["\x46\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD7"],
        ["\xC6\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x57"],

        ["\x46\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD8"],
        ["\xC6\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x58"],

        ["\x46\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],
        ["\xC6\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x59"],

        ["\x46\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDA"],
        ["\xC6\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x5A"],

        ["\x46\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDB"],
        ["\xC6\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x5B"],

        ["\x46\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDC"],
        ["\xC6\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x5C"],

        ["\x46\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDD"],
        ["\xC6\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x5D"],

        ["\x46\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDE"],
        ["\xC6\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x5E"],

        ["\x46\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDF"],
        ["\xC6\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x5F"],

        ["\x46\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE0"],
        ["\xC6\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x60"],

        ["\x46\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE1"],
        ["\xC6\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x61"],

        ["\x46\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE2"],
        ["\xC6\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x62"],

        ["\x46\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE3"],
        ["\xC6\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x63"],

        ["\x46\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE4"],
        ["\xC6\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x64"],

        ["\x46\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE5"],
        ["\xC6\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x65"],

        ["\x46\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE6"],
        ["\xC6\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x66"],

        ["\x46\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],
        ["\xC6\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x67"],

        ["\x46\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],
        ["\xC6\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x68"],

        ["\x46\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE9"],
        ["\xC6\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x69"],

        ["\x46\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEA"],
        ["\xC6\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x6A"],

        ["\x46\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEB"],
        ["\xC6\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x6B"],

        ["\x46\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEC"],
        ["\xC6\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x6C"],

        ["\x46\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xED"],
        ["\xC6\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x6D"],

        ["\x46\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEE"],
        ["\xC6\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x6E"],

        ["\x46\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEF"],
        ["\xC6\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x6F"],

        ["\x46\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF0"],
        ["\xC6\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x70"],

        ["\x46\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF1"],
        ["\xC6\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x71"],

        ["\x46\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF2"],
        ["\xC6\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x72"],

        ["\x46\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF3"],
        ["\xC6\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x73"],

        ["\x46\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF4"],
        ["\xC6\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x74"],

        ["\x46\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF5"],
        ["\xC6\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x75"],

        ["\x6D\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEE"],
        ["\xED\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x6E"],

        ["\x46\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],
        ["\xC6\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x77"],

        ["\x46\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],
        ["\xC6\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x78"],

        ["\x46\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF9"],
        ["\xC6\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x79"],

        ["\x46\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFA"],
        ["\xC6\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x7A"],

        ["\x46\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFB"],
        ["\xC6\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x7B"],

        ["\x46\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFC"],
        ["\xC6\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x7C"],

        ["\x46\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFD"],
        ["\xC6\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x7D"],

        ["\x46\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFE"],
        ["\xC6\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x7E"],

        ["\x47\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA1"],
        ["\xC7\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x21"],

        ["\x47\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA2"],
        ["\xC7\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x22"],

        ["\x47\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA3"],
        ["\xC7\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x23"],

        ["\x47\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA4"],
        ["\xC7\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x24"],

        ["\x47\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA5"],
        ["\xC7\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x25"],

        ["\x47\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA6"],
        ["\xC7\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x26"],

        ["\x47\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA7"],
        ["\xC7\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x27"],

        ["\x47\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA8"],
        ["\xC7\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x28"],

        ["\x47\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA9"],
        ["\xC7\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x29"],

        ["\x47\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAA"],
        ["\xC7\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x2A"],

        ["\x47\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAB"],
        ["\xC7\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x2B"],

        ["\x47\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAC"],
        ["\xC7\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x2C"],

        ["\x47\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAD"],
        ["\xC7\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x2D"],

        ["\x47\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAE"],
        ["\xC7\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x2E"],

        ["\x47\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAF"],
        ["\xC7\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x2F"],

        ["\x47\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB0"],
        ["\xC7\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x30"],

        ["\x47\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB1"],
        ["\xC7\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x31"],

        ["\x47\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB2"],
        ["\xC7\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x32"],

        ["\x47\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB3"],
        ["\xC7\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x33"],

        ["\x47\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB4"],
        ["\xC7\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x34"],

        ["\x47\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB5"],
        ["\xC7\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x35"],

        ["\x47\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB6"],
        ["\xC7\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x36"],

        ["\x47\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB7"],
        ["\xC7\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x37"],

        ["\x47\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB8"],
        ["\xC7\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x38"],

        ["\x47\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB9"],
        ["\xC7\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x39"],

        ["\x47\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBA"],
        ["\xC7\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x3A"],

        ["\x47\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBB"],
        ["\xC7\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x3B"],

        ["\x47\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBC"],
        ["\xC7\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x3C"],

        ["\x47\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBD"],
        ["\xC7\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x3D"],

        ["\x47\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBE"],
        ["\xC7\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x3E"],

        ["\x47\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBF"],
        ["\xC7\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x3F"],

        ["\x47\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC0"],
        ["\xC7\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x40"],

        ["\x47\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC1"],
        ["\xC7\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x41"],

        ["\x47\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC2"],
        ["\xC7\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x42"],

        ["\x47\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC3"],
        ["\xC7\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x43"],

        ["\x47\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],
        ["\xC7\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x44"],

        ["\x47\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC5"],
        ["\xC7\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x45"],

        ["\x47\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC6"],
        ["\xC7\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x46"],

        ["\x47\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],
        ["\xC7\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x47"],

        ["\x47\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC8"],
        ["\xC7\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x48"],

        ["\x47\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],
        ["\xC7\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x49"],

        ["\x47\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCA"],
        ["\xC7\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x4A"],

        ["\x47\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCB"],
        ["\xC7\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x4B"],

        ["\x47\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCC"],
        ["\xC7\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x4C"],

        ["\x47\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCD"],
        ["\xC7\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x4D"],

        ["\x47\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCE"],
        ["\xC7\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x4E"],

        ["\x47\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCF"],
        ["\xC7\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x4F"],

        ["\x47\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD0"],
        ["\xC7\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x50"],

        ["\x47\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],
        ["\xC7\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x51"],

        ["\x47\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],
        ["\xC7\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x52"],

        ["\x47\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD3"],
        ["\xC7\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x53"],

        ["\x47\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD4"],
        ["\xC7\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x54"],

        ["\x47\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD5"],
        ["\xC7\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x55"],

        ["\x47\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],
        ["\xC7\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x56"],

        ["\x47\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],
        ["\xC7\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x57"],

        ["\x47\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD8"],
        ["\xC7\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x58"],

        ["\x47\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD9"],
        ["\xC7\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x59"],

        ["\x47\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDA"],
        ["\xC7\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x5A"],

        ["\x47\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDB"],
        ["\xC7\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x5B"],

        ["\x47\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDC"],
        ["\xC7\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x5C"],

        ["\x47\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDD"],
        ["\xC7\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x5D"],

        ["\x47\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDE"],
        ["\xC7\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x5E"],

        ["\x47\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDF"],
        ["\xC7\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x5F"],

        ["\x47\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],
        ["\xC7\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x60"],

        ["\x47\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE1"],
        ["\xC7\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x61"],

        ["\x47\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE2"],
        ["\xC7\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x62"],

        ["\x47\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE3"],
        ["\xC7\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x63"],

        ["\x47\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE4"],
        ["\xC7\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x64"],

        ["\x47\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],
        ["\xC7\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x65"],

        ["\x47\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE6"],
        ["\xC7\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x66"],

        ["\x47\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE7"],
        ["\xC7\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x67"],

        ["\x6A\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA4"],
        ["\xEA\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x24"],

        ["\x47\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE9"],
        ["\xC7\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x69"],

        ["\x47\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEA"],
        ["\xC7\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x6A"],

        ["\x47\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEB"],
        ["\xC7\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x6B"],

        ["\x47\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEC"],
        ["\xC7\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x6C"],

        ["\x47\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xED"],
        ["\xC7\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x6D"],

        ["\x47\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEE"],
        ["\xC7\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x6E"],

        ["\x47\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEF"],
        ["\xC7\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x6F"],

        ["\x47\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF0"],
        ["\xC7\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x70"],

        ["\x47\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],
        ["\xC7\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x71"],

        ["\x47\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],
        ["\xC7\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x72"],

        ["\x47\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF3"],
        ["\xC7\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x73"],

        ["\x47\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF4"],
        ["\xC7\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x74"],

        ["\x47\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],
        ["\xC7\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x75"],

        ["\x47\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF6"],
        ["\xC7\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x76"],

        ["\x47\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],
        ["\xC7\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x77"],

        ["\x47\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],
        ["\xC7\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x78"],

        ["\x47\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF9"],
        ["\xC7\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x79"],

        ["\x47\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFA"],
        ["\xC7\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x7A"],

        ["\x47\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFB"],
        ["\xC7\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x7B"],

        ["\x47\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFC"],
        ["\xC7\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x7C"],

        ["\x47\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFD"],
        ["\xC7\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x7D"],

        ["\x47\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFE"],
        ["\xC7\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x7E"],

        ["\x48\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA1"],
        ["\xC8\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x21"],

        ["\x48\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA2"],
        ["\xC8\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x22"],

        ["\x48\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA3"],
        ["\xC8\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x23"],

        ["\x48\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA4"],
        ["\xC8\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x24"],

        ["\x48\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA5"],
        ["\xC8\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x25"],

        ["\x48\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA6"],
        ["\xC8\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x26"],

        ["\x48\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA7"],
        ["\xC8\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x27"],

        ["\x48\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA8"],
        ["\xC8\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x28"],

        ["\x48\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA9"],
        ["\xC8\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x29"],

        ["\x48\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAA"],
        ["\xC8\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x2A"],

        ["\x48\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAB"],
        ["\xC8\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x2B"],

        ["\x48\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAC"],
        ["\xC8\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x2C"],

        ["\x48\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAD"],
        ["\xC8\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x2D"],

        ["\x48\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAE"],
        ["\xC8\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x2E"],

        ["\x48\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAF"],
        ["\xC8\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x2F"],

        ["\x48\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],
        ["\xC8\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x30"],

        ["\x48\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB1"],
        ["\xC8\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x31"],

        ["\x48\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB2"],
        ["\xC8\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x32"],

        ["\x48\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB3"],
        ["\xC8\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x33"],

        ["\x48\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB4"],
        ["\xC8\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x34"],

        ["\x48\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB5"],
        ["\xC8\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x35"],

        ["\x48\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB6"],
        ["\xC8\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x36"],

        ["\x48\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB7"],
        ["\xC8\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x37"],

        ["\x48\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB8"],
        ["\xC8\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x38"],

        ["\x48\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB9"],
        ["\xC8\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x39"],

        ["\x48\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBA"],
        ["\xC8\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x3A"],

        ["\x48\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBB"],
        ["\xC8\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x3B"],

        ["\x48\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBC"],
        ["\xC8\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x3C"],

        ["\x48\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBD"],
        ["\xC8\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x3D"],

        ["\x48\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBE"],
        ["\xC8\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x3E"],

        ["\x48\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBF"],
        ["\xC8\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x3F"],

        ["\x48\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC0"],
        ["\xC8\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x40"],

        ["\x48\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC1"],
        ["\xC8\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x41"],

        ["\x48\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC2"],
        ["\xC8\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x42"],

        ["\x48\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC3"],
        ["\xC8\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x43"],

        ["\x48\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC4"],
        ["\xC8\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x44"],

        ["\x48\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC5"],
        ["\xC8\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x45"],

        ["\x48\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],
        ["\xC8\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x46"],

        ["\x48\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC7"],
        ["\xC8\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x47"],

        ["\x48\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],
        ["\xC8\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x48"],

        ["\x48\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],
        ["\xC8\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x49"],

        ["\x48\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCA"],
        ["\xC8\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x4A"],

        ["\x48\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCB"],
        ["\xC8\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x4B"],

        ["\x48\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCC"],
        ["\xC8\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x4C"],

        ["\x48\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCD"],
        ["\xC8\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x4D"],

        ["\x48\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCE"],
        ["\xC8\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x4E"],

        ["\x48\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCF"],
        ["\xC8\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x4F"],

        ["\x48\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD0"],
        ["\xC8\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x50"],

        ["\x48\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD1"],
        ["\xC8\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x51"],

        ["\x48\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD2"],
        ["\xC8\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x52"],

        ["\x48\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD3"],
        ["\xC8\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x53"],

        ["\x48\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],
        ["\xC8\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x54"],

        ["\x48\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD5"],
        ["\xC8\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x55"],

        ["\x48\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD6"],
        ["\xC8\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x56"],

        ["\x48\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD7"],
        ["\xC8\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x57"],

        ["\x48\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD8"],
        ["\xC8\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x58"],

        ["\x48\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],
        ["\xC8\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x59"],

        ["\x48\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDA"],
        ["\xC8\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x5A"],

        ["\x48\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDB"],
        ["\xC8\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x5B"],

        ["\x48\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDC"],
        ["\xC8\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x5C"],

        ["\x48\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDD"],
        ["\xC8\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x5D"],

        ["\x48\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDE"],
        ["\xC8\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x5E"],

        ["\x48\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDF"],
        ["\xC8\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x5F"],

        ["\x48\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],
        ["\xC8\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x60"],

        ["\x48\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE1"],
        ["\xC8\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x61"],

        ["\x48\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE2"],
        ["\xC8\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x62"],

        ["\x48\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE3"],
        ["\xC8\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x63"],

        ["\x48\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE4"],
        ["\xC8\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x64"],

        ["\x48\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],
        ["\xC8\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x65"],

        ["\x48\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE6"],
        ["\xC8\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x66"],

        ["\x48\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE7"],
        ["\xC8\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x67"],

        ["\x48\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],
        ["\xC8\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x68"],

        ["\x48\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],
        ["\xC8\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x69"],

        ["\x48\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEA"],
        ["\xC8\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x6A"],

        ["\x48\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEB"],
        ["\xC8\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x6B"],

        ["\x48\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEC"],
        ["\xC8\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x6C"],

        ["\x48\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xED"],
        ["\xC8\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x6D"],

        ["\x48\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEE"],
        ["\xC8\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x6E"],

        ["\x48\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEF"],
        ["\xC8\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x6F"],

        ["\x48\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],
        ["\xC8\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x70"],

        ["\x48\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],
        ["\xC8\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x71"],

        ["\x48\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF2"],
        ["\xC8\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x72"],

        ["\x48\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF3"],
        ["\xC8\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x73"],

        ["\x48\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF4"],
        ["\xC8\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x74"],

        ["\x48\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF5"],
        ["\xC8\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x75"],

        ["\x48\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],
        ["\xC8\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x76"],

        ["\x48\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],
        ["\xC8\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x77"],

        ["\x48\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],
        ["\xC8\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x78"],

        ["\x48\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],
        ["\xC8\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x79"],

        ["\x48\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFA"],
        ["\xC8\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x7A"],

        ["\x48\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFB"],
        ["\xC8\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x7B"],

        ["\x48\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFC"],
        ["\xC8\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x7C"],

        ["\x48\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFD"],
        ["\xC8\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x7D"],

        ["\x48\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFE"],
        ["\xC8\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x48\x7E"],

        ["\x49\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA1"],
        ["\xC9\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x21"],

        ["\x49\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA2"],
        ["\xC9\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x22"],

        ["\x49\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA3"],
        ["\xC9\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x23"],

        ["\x49\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA4"],
        ["\xC9\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x24"],

        ["\x49\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],
        ["\xC9\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x25"],

        ["\x49\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],
        ["\xC9\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x26"],

        ["\x49\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA7"],
        ["\xC9\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x27"],

        ["\x49\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA8"],
        ["\xC9\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x28"],

        ["\x49\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA9"],
        ["\xC9\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x29"],

        ["\x49\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAA"],
        ["\xC9\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x2A"],

        ["\x49\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],
        ["\xC9\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x2B"],

        ["\x49\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],
        ["\xC9\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x2C"],

        ["\x49\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAD"],
        ["\xC9\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x2D"],

        ["\x49\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAE"],
        ["\xC9\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x2E"],

        ["\x49\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAF"],
        ["\xC9\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x2F"],

        ["\x5B\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD8"],
        ["\xDB\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x58"],

        ["\x49\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB1"],
        ["\xC9\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x31"],

        ["\x49\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],
        ["\xC9\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x32"],

        ["\x49\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB3"],
        ["\xC9\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x33"],

        ["\x49\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB4"],
        ["\xC9\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x34"],

        ["\x49\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB5"],
        ["\xC9\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x35"],

        ["\x49\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB6"],
        ["\xC9\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x36"],

        ["\x49\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB7"],
        ["\xC9\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x37"],

        ["\x49\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB8"],
        ["\xC9\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x38"],

        ["\x49\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],
        ["\xC9\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x39"],

        ["\x49\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBA"],
        ["\xC9\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x3A"],

        ["\x49\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBB"],
        ["\xC9\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x3B"],

        ["\x49\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBC"],
        ["\xC9\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x3C"],

        ["\x49\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBD"],
        ["\xC9\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x3D"],

        ["\x49\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBE"],
        ["\xC9\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x3E"],

        ["\x49\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBF"],
        ["\xC9\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x3F"],

        ["\x49\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],
        ["\xC9\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x40"],

        ["\x49\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC1"],
        ["\xC9\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x41"],

        ["\x49\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],
        ["\xC9\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x42"],

        ["\x49\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],
        ["\xC9\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x43"],

        ["\x49\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],
        ["\xC9\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x44"],

        ["\x49\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],
        ["\xC9\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x45"],

        ["\x49\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],
        ["\xC9\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x46"],

        ["\x49\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC7"],
        ["\xC9\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x47"],

        ["\x49\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],
        ["\xC9\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x48"],

        ["\x49\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC9"],
        ["\xC9\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x49"],

        ["\x49\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCA"],
        ["\xC9\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x4A"],

        ["\x49\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCB"],
        ["\xC9\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x4B"],

        ["\x49\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCC"],
        ["\xC9\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x4C"],

        ["\x49\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCD"],
        ["\xC9\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x4D"],

        ["\x49\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCE"],
        ["\xC9\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x4E"],

        ["\x49\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCF"],
        ["\xC9\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x4F"],

        ["\x49\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD0"],
        ["\xC9\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x50"],

        ["\x49\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],
        ["\xC9\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x51"],

        ["\x49\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD2"],
        ["\xC9\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x52"],

        ["\x49\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD3"],
        ["\xC9\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x53"],

        ["\x49\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD4"],
        ["\xC9\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x54"],

        ["\x49\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],
        ["\xC9\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x55"],

        ["\x49\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD6"],
        ["\xC9\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x56"],

        ["\x49\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],
        ["\xC9\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x57"],

        ["\x49\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],
        ["\xC9\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x58"],

        ["\x49\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],
        ["\xC9\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x59"],

        ["\x49\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDA"],
        ["\xC9\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x5A"],

        ["\x49\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDB"],
        ["\xC9\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x5B"],

        ["\x49\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDC"],
        ["\xC9\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x5C"],

        ["\x49\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDD"],
        ["\xC9\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x5D"],

        ["\x49\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDE"],
        ["\xC9\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x5E"],

        ["\x49\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDF"],
        ["\xC9\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x5F"],

        ["\x49\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE0"],
        ["\xC9\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x60"],

        ["\x49\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE1"],
        ["\xC9\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x61"],

        ["\x49\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE2"],
        ["\xC9\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x62"],

        ["\x49\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],
        ["\xC9\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x63"],

        ["\x49\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE4"],
        ["\xC9\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x64"],

        ["\x49\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE5"],
        ["\xC9\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x65"],

        ["\x49\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE6"],
        ["\xC9\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x66"],

        ["\x49\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],
        ["\xC9\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x67"],

        ["\x49\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],
        ["\xC9\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x68"],

        ["\x49\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE9"],
        ["\xC9\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x69"],

        ["\x49\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEA"],
        ["\xC9\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x6A"],

        ["\x49\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEB"],
        ["\xC9\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x6B"],

        ["\x49\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEC"],
        ["\xC9\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x6C"],

        ["\x49\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xED"],
        ["\xC9\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x6D"],

        ["\x49\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEE"],
        ["\xC9\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x6E"],

        ["\x49\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEF"],
        ["\xC9\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x6F"],

        ["\x49\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],
        ["\xC9\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x70"],

        ["\x49\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF1"],
        ["\xC9\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x71"],

        ["\x49\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],
        ["\xC9\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x72"],

        ["\x49\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF3"],
        ["\xC9\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x73"],

        ["\x49\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],
        ["\xC9\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x74"],

        ["\x49\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF5"],
        ["\xC9\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x75"],

        ["\x49\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],
        ["\xC9\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x76"],

        ["\x49\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],
        ["\xC9\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x77"],

        ["\x49\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],
        ["\xC9\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x78"],

        ["\x49\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],
        ["\xC9\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x79"],

        ["\x49\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFA"],
        ["\xC9\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x7A"],

        ["\x49\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFB"],
        ["\xC9\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x7B"],

        ["\x49\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFC"],
        ["\xC9\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x7C"],

        ["\x49\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFD"],
        ["\xC9\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x7D"],

        ["\x49\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFE"],
        ["\xC9\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x7E"],

        ["\x4A\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],
        ["\xCA\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x21"],

        ["\x4A\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],
        ["\xCA\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x22"],

        ["\x4A\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA3"],
        ["\xCA\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x23"],

        ["\x4A\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA4"],
        ["\xCA\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x24"],

        ["\x4A\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],
        ["\xCA\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x25"],

        ["\x4A\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],
        ["\xCA\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x26"],

        ["\x4A\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA7"],
        ["\xCA\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x27"],

        ["\x4A\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],
        ["\xCA\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x28"],

        ["\x4A\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA9"],
        ["\xCA\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x29"],

        ["\x4A\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],
        ["\xCA\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x2A"],

        ["\x4A\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAB"],
        ["\xCA\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x2B"],

        ["\x4A\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAC"],
        ["\xCA\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x2C"],

        ["\x4A\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAD"],
        ["\xCA\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x2D"],

        ["\x4A\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAE"],
        ["\xCA\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x2E"],

        ["\x4A\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAF"],
        ["\xCA\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x2F"],

        ["\x4A\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB0"],
        ["\xCA\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x30"],

        ["\x4A\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB1"],
        ["\xCA\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x31"],

        ["\x4A\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB2"],
        ["\xCA\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x32"],

        ["\x4A\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB3"],
        ["\xCA\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x33"],

        ["\x4A\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB4"],
        ["\xCA\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x34"],

        ["\x4A\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],
        ["\xCA\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x35"],

        ["\x4A\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB6"],
        ["\xCA\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x36"],

        ["\x4A\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],
        ["\xCA\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x37"],

        ["\x4A\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB8"],
        ["\xCA\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x38"],

        ["\x4A\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB9"],
        ["\xCA\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x39"],

        ["\x4A\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBA"],
        ["\xCA\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x3A"],

        ["\x4A\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBB"],
        ["\xCA\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x3B"],

        ["\x4A\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBC"],
        ["\xCA\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x3C"],

        ["\x4A\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBD"],
        ["\xCA\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x3D"],

        ["\x4A\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBE"],
        ["\xCA\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x3E"],

        ["\x4A\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],
        ["\xCA\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x3F"],

        ["\x4A\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC0"],
        ["\xCA\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x40"],

        ["\x4A\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC1"],
        ["\xCA\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x41"],

        ["\x4A\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC2"],
        ["\xCA\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x42"],

        ["\x4A\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC3"],
        ["\xCA\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x43"],

        ["\x4A\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC4"],
        ["\xCA\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x44"],

        ["\x4A\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC5"],
        ["\xCA\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x45"],

        ["\x4A\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC6"],
        ["\xCA\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x46"],

        ["\x4A\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC7"],
        ["\xCA\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x47"],

        ["\x4A\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC8"],
        ["\xCA\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x48"],

        ["\x4A\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC9"],
        ["\xCA\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x49"],

        ["\x4A\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCA"],
        ["\xCA\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x4A"],

        ["\x4A\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCB"],
        ["\xCA\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x4B"],

        ["\x4A\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCC"],
        ["\xCA\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x4C"],

        ["\x4A\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCD"],
        ["\xCA\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x4D"],

        ["\x4A\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],
        ["\xCA\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x4E"],

        ["\x4A\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCF"],
        ["\xCA\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x4F"],

        ["\x4A\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD0"],
        ["\xCA\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x50"],

        ["\x4A\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD1"],
        ["\xCA\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x51"],

        ["\x4A\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD2"],
        ["\xCA\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x52"],

        ["\x4A\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD3"],
        ["\xCA\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x53"],

        ["\x4A\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD4"],
        ["\xCA\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x54"],

        ["\x4A\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD5"],
        ["\xCA\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x55"],

        ["\x4A\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD6"],
        ["\xCA\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x56"],

        ["\x4A\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD7"],
        ["\xCA\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x57"],

        ["\x4A\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD8"],
        ["\xCA\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x58"],

        ["\x4A\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD9"],
        ["\xCA\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x59"],

        ["\x4A\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],
        ["\xCA\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x5A"],

        ["\x4A\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],
        ["\xCA\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x5B"],

        ["\x4A\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDC"],
        ["\xCA\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x5C"],

        ["\x4A\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],
        ["\xCA\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x5D"],

        ["\x4A\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDE"],
        ["\xCA\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x5E"],

        ["\x4A\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],
        ["\xCA\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x5F"],

        ["\x4A\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE0"],
        ["\xCA\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x60"],

        ["\x4A\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE1"],
        ["\xCA\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x61"],

        ["\x4A\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE2"],
        ["\xCA\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x62"],

        ["\x4A\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE3"],
        ["\xCA\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x63"],

        ["\x4A\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE4"],
        ["\xCA\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x64"],

        ["\x4A\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE5"],
        ["\xCA\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x65"],

        ["\x4A\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE6"],
        ["\xCA\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x66"],

        ["\x4A\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE7"],
        ["\xCA\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x67"],

        ["\x4A\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE8"],
        ["\xCA\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x68"],

        ["\x4A\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE9"],
        ["\xCA\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x69"],

        ["\x4A\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEA"],
        ["\xCA\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x6A"],

        ["\x4A\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEB"],
        ["\xCA\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x6B"],

        ["\x4A\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEC"],
        ["\xCA\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x6C"],

        ["\x4A\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xED"],
        ["\xCA\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x6D"],

        ["\x4A\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],
        ["\xCA\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x6E"],

        ["\x4A\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEF"],
        ["\xCA\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x6F"],

        ["\x4A\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF0"],
        ["\xCA\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x70"],

        ["\x4A\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF1"],
        ["\xCA\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x71"],

        ["\x4A\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF2"],
        ["\xCA\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x72"],

        ["\x4A\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF3"],
        ["\xCA\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x73"],

        ["\x4A\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF4"],
        ["\xCA\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x74"],

        ["\x4A\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF5"],
        ["\xCA\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x75"],

        ["\x4A\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF6"],
        ["\xCA\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x76"],

        ["\x4A\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF7"],
        ["\xCA\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x77"],

        ["\x4A\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF8"],
        ["\xCA\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x78"],

        ["\x4A\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF9"],
        ["\xCA\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x79"],

        ["\x4A\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFA"],
        ["\xCA\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x7A"],

        ["\x4A\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFB"],
        ["\xCA\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x7B"],

        ["\x4A\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFC"],
        ["\xCA\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x7C"],

        ["\x4A\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFD"],
        ["\xCA\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x7D"],

        ["\x4A\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFE"],
        ["\xCA\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4A\x7E"],

        ["\x4B\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA1"],
        ["\xCB\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x21"],

        ["\x4B\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA2"],
        ["\xCB\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x22"],

        ["\x4B\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA3"],
        ["\xCB\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x23"],

        ["\x4B\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA4"],
        ["\xCB\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x24"],

        ["\x4B\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],
        ["\xCB\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x25"],

        ["\x4B\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],
        ["\xCB\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x26"],

        ["\x4B\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA7"],
        ["\xCB\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x27"],

        ["\x4B\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],
        ["\xCB\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x28"],

        ["\x4B\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9"],
        ["\xCB\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x29"],

        ["\x4B\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAA"],
        ["\xCB\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x2A"],

        ["\x4B\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAB"],
        ["\xCB\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x2B"],

        ["\x4B\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAC"],
        ["\xCB\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x2C"],

        ["\x4B\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAD"],
        ["\xCB\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x2D"],

        ["\x4B\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAE"],
        ["\xCB\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x2E"],

        ["\x4B\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAF"],
        ["\xCB\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x2F"],

        ["\x4B\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB0"],
        ["\xCB\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x30"],

        ["\x4B\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB1"],
        ["\xCB\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x31"],

        ["\x4B\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB2"],
        ["\xCB\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x32"],

        ["\x4B\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB3"],
        ["\xCB\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x33"],

        ["\x4B\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],
        ["\xCB\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x34"],

        ["\x4B\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],
        ["\xCB\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x35"],

        ["\x4B\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB6"],
        ["\xCB\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x36"],

        ["\x4B\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB7"],
        ["\xCB\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x37"],

        ["\x4B\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB8"],
        ["\xCB\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x38"],

        ["\x4B\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB9"],
        ["\xCB\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x39"],

        ["\x4B\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBA"],
        ["\xCB\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x3A"],

        ["\x4B\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBB"],
        ["\xCB\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x3B"],

        ["\x4B\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBC"],
        ["\xCB\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x3C"],

        ["\x4B\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBD"],
        ["\xCB\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x3D"],

        ["\x4B\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBE"],
        ["\xCB\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x3E"],

        ["\x4B\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBF"],
        ["\xCB\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x3F"],

        ["\x4B\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC0"],
        ["\xCB\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x40"],

        ["\x4B\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC1"],
        ["\xCB\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x41"],

        ["\x4B\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC2"],
        ["\xCB\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x42"],

        ["\x4B\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC3"],
        ["\xCB\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x43"],

        ["\x4B\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC4"],
        ["\xCB\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x44"],

        ["\x4B\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC5"],
        ["\xCB\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x45"],

        ["\x4B\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC6"],
        ["\xCB\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x46"],

        ["\x4B\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC7"],
        ["\xCB\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x47"],

        ["\x4B\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC8"],
        ["\xCB\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x48"],

        ["\x4B\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC9"],
        ["\xCB\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x49"],

        ["\x4B\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCA"],
        ["\xCB\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x4A"],

        ["\x4B\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCB"],
        ["\xCB\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x4B"],

        ["\x4B\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCC"],
        ["\xCB\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x4C"],

        ["\x4B\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCD"],
        ["\xCB\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x4D"],

        ["\x4B\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],
        ["\xCB\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x4E"],

        ["\x4B\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCF"],
        ["\xCB\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x4F"],

        ["\x4B\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD0"],
        ["\xCB\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x50"],

        ["\x4B\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD1"],
        ["\xCB\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x51"],

        ["\x4B\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD2"],
        ["\xCB\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x52"],

        ["\x4B\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD3"],
        ["\xCB\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x53"],

        ["\x4B\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD4"],
        ["\xCB\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x54"],

        ["\x4B\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD5"],
        ["\xCB\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x55"],

        ["\x4B\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD6"],
        ["\xCB\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x56"],

        ["\x4B\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD7"],
        ["\xCB\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x57"],

        ["\x4B\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD8"],
        ["\xCB\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x58"],

        ["\x4B\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD9"],
        ["\xCB\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x59"],

        ["\x4B\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDA"],
        ["\xCB\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x5A"],

        ["\x4B\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDB"],
        ["\xCB\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x5B"],

        ["\x4B\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDC"],
        ["\xCB\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x5C"],

        ["\x4B\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDD"],
        ["\xCB\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x5D"],

        ["\x4B\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDE"],
        ["\xCB\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x5E"],

        ["\x4B\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDF"],
        ["\xCB\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x5F"],

        ["\x4B\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE0"],
        ["\xCB\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x60"],

        ["\x4B\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE1"],
        ["\xCB\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x61"],

        ["\x4B\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE2"],
        ["\xCB\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x62"],

        ["\x4B\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE3"],
        ["\xCB\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x63"],

        ["\x4B\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE4"],
        ["\xCB\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x64"],

        ["\x4B\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE5"],
        ["\xCB\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x65"],

        ["\x4B\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE6"],
        ["\xCB\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x66"],

        ["\x4B\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE7"],
        ["\xCB\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x67"],

        ["\x4B\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE8"],
        ["\xCB\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x68"],

        ["\x4B\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE9"],
        ["\xCB\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x69"],

        ["\xBF\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xC4"],
        ["\x54\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xCE"],

        ["\x4B\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEB"],
        ["\xCB\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x6B"],

        ["\x4B\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEC"],
        ["\xCB\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x6C"],

        ["\x4B\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xED"],
        ["\xCB\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x6D"],

        ["\x4B\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEE"],
        ["\xCB\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x6E"],

        ["\x4B\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEF"],
        ["\xCB\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x6F"],

        ["\x4B\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF0"],
        ["\xCB\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x70"],

        ["\x4B\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF1"],
        ["\xCB\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x71"],

        ["\x4B\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF2"],
        ["\xCB\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x72"],

        ["\x4B\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF3"],
        ["\xCB\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x73"],

        ["\x4B\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF4"],
        ["\xCB\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x74"],

        ["\x4B\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF5"],
        ["\xCB\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x75"],

        ["\x4B\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF6"],
        ["\xCB\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x76"],

        ["\x4B\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF7"],
        ["\xCB\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x77"],

        ["\x4B\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF8"],
        ["\xCB\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x78"],

        ["\x50\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD6"],
        ["\xD0\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x56"],

        ["\x4B\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFA"],
        ["\xCB\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x7A"],

        ["\x4B\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],
        ["\xCB\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x7B"],

        ["\x4B\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],
        ["\xCB\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x7C"],

        ["\x4B\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFD"],
        ["\xCB\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x7D"],

        ["\x4B\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFE"],
        ["\xCB\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x7E"],

        ["\x4C\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA1"],
        ["\xCC\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x21"],

        ["\x4C\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA2"],
        ["\xCC\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x22"],

        ["\x4C\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA3"],
        ["\xCC\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x23"],

        ["\x4C\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA4"],
        ["\xCC\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x24"],

        ["\x4C\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA5"],
        ["\xCC\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x25"],

        ["\x4C\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA6"],
        ["\xCC\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x26"],

        ["\x4C\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA7"],
        ["\xCC\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x27"],

        ["\x4C\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA8"],
        ["\xCC\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x28"],

        ["\x4C\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA9"],
        ["\xCC\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x29"],

        ["\x4C\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAA"],
        ["\xCC\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x2A"],

        ["\x4C\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAB"],
        ["\xCC\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x2B"],

        ["\x4C\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAC"],
        ["\xCC\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x2C"],

        ["\x4C\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAD"],
        ["\xCC\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x2D"],

        ["\x4C\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAE"],
        ["\xCC\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x2E"],

        ["\x4C\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAF"],
        ["\xCC\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x2F"],

        ["\x4C\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB0"],
        ["\xCC\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x30"],

        ["\x4C\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB1"],
        ["\xCC\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x31"],

        ["\x4C\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],
        ["\xCC\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x32"],

        ["\x4C\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB3"],
        ["\xCC\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x33"],

        ["\x4C\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],
        ["\xCC\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x34"],

        ["\x4C\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB5"],
        ["\xCC\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x35"],

        ["\x4C\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],
        ["\xCC\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x36"],

        ["\x4C\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],
        ["\xCC\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x37"],

        ["\x4C\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB8"],
        ["\xCC\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x38"],

        ["\x4C\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB9"],
        ["\xCC\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x39"],

        ["\x4C\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBA"],
        ["\xCC\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x3A"],

        ["\x4C\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBB"],
        ["\xCC\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x3B"],

        ["\x4C\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBC"],
        ["\xCC\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x3C"],

        ["\x4C\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBD"],
        ["\xCC\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x3D"],

        ["\x4C\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBE"],
        ["\xCC\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x3E"],

        ["\x4C\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBF"],
        ["\xCC\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x3F"],

        ["\x4C\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC0"],
        ["\xCC\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x40"],

        ["\x4C\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC1"],
        ["\xCC\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x41"],

        ["\x4C\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC2"],
        ["\xCC\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x42"],

        ["\x4C\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC3"],
        ["\xCC\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x43"],

        ["\x4C\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC4"],
        ["\xCC\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x44"],

        ["\x4C\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC5"],
        ["\xCC\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x45"],

        ["\x4C\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC6"],
        ["\xCC\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x46"],

        ["\x4C\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC7"],
        ["\xCC\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x47"],

        ["\x4C\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC8"],
        ["\xCC\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x48"],

        ["\x4C\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC9"],
        ["\xCC\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x49"],

        ["\x4C\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],
        ["\xCC\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x4A"],

        ["\x4C\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCB"],
        ["\xCC\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x4B"],

        ["\x4C\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCC"],
        ["\xCC\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x4C"],

        ["\x4C\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC4"],
        ["\x6F\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x4D"],

        ["\x4C\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCE"],
        ["\xCC\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x4E"],

        ["\x4C\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCF"],
        ["\xCC\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x4F"],

        ["\x4C\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD0"],
        ["\xCC\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x50"],

        ["\x4C\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD1"],
        ["\xCC\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x51"],

        ["\x4C\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD2"],
        ["\xCC\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x52"],

        ["\x4C\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD3"],
        ["\xCC\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x53"],

        ["\x4C\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD4"],
        ["\xCC\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x54"],

        ["\x4C\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD5"],
        ["\xCC\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x55"],

        ["\x4C\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD6"],
        ["\xCC\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x56"],

        ["\x4C\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD7"],
        ["\xCC\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x57"],

        ["\x4C\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD8"],
        ["\xCC\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x58"],

        ["\x4C\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD9"],
        ["\xCC\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x59"],

        ["\x4C\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDA"],
        ["\xCC\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x5A"],

        ["\x4C\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDB"],
        ["\xCC\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x5B"],

        ["\x4C\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDC"],
        ["\xCC\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x5C"],

        ["\x4C\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDD"],
        ["\xCC\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x5D"],

        ["\x4C\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDE"],
        ["\xCC\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x5E"],

        ["\x4C\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDF"],
        ["\xCC\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x5F"],

        ["\x4C\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE0"],
        ["\xCC\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x60"],

        ["\x4C\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE1"],
        ["\xCC\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x61"],

        ["\x4C\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE2"],
        ["\xCC\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x62"],

        ["\x4C\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE3"],
        ["\xCC\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x63"],

        ["\x4C\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE4"],
        ["\xCC\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x64"],

        ["\x4C\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE5"],
        ["\xCC\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x65"],

        ["\x4C\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE6"],
        ["\xCC\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x66"],

        ["\x4C\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE7"],
        ["\xCC\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x67"],

        ["\x4C\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE8"],
        ["\xCC\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x68"],

        ["\x4C\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE9"],
        ["\xCC\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x69"],

        ["\x4C\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],
        ["\xCC\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x6A"],

        ["\x4C\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEB"],
        ["\xCC\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x6B"],

        ["\x4C\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEC"],
        ["\xCC\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x6C"],

        ["\x4C\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],
        ["\xCC\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x6D"],

        ["\x4C\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],
        ["\xCC\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x6E"],

        ["\x4C\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEF"],
        ["\xCC\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x6F"],

        ["\x4C\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF0"],
        ["\xCC\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x70"],

        ["\x4C\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF1"],
        ["\xCC\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x71"],

        ["\x4C\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF2"],
        ["\xCC\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x72"],

        ["\x4C\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF3"],
        ["\xCC\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x73"],

        ["\x4C\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF4"],
        ["\xCC\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x74"],

        ["\x4C\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF5"],
        ["\xCC\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x75"],

        ["\x4C\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF6"],
        ["\xCC\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x76"],

        ["\x4C\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF7"],
        ["\xCC\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x77"],

        ["\x4C\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF8"],
        ["\xCC\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x78"],

        ["\x69\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE"],
        ["\xE9\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x2E"],

        ["\x4C\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFA"],
        ["\xCC\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x7A"],

        ["\x4C\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFB"],
        ["\xCC\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x7B"],

        ["\x4C\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFC"],
        ["\xCC\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x7C"],

        ["\x4C\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],
        ["\xCC\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x7D"],

        ["\x4C\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],
        ["\xCC\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x7E"],

        ["\x4D\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA1"],
        ["\xCD\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x21"],

        ["\x4D\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA2"],
        ["\xCD\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x22"],

        ["\x4D\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA3"],
        ["\xCD\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x23"],

        ["\x4D\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA4"],
        ["\xCD\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x24"],

        ["\x4D\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA5"],
        ["\xCD\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x25"],

        ["\x4D\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA6"],
        ["\xCD\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x26"],

        ["\x4D\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA7"],
        ["\xCD\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x27"],

        ["\x4D\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA8"],
        ["\xCD\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x28"],

        ["\x4D\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],
        ["\xCD\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x29"],

        ["\x4D\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],
        ["\xCD\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x2A"],

        ["\x4D\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAB"],
        ["\xCD\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x2B"],

        ["\x4D\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAC"],
        ["\xCD\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x2C"],

        ["\x4D\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAD"],
        ["\xCD\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x2D"],

        ["\x4D\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAE"],
        ["\xCD\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x2E"],

        ["\x4D\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAF"],
        ["\xCD\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x2F"],

        ["\x4D\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB0"],
        ["\xCD\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x30"],

        ["\x4D\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB1"],
        ["\xCD\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x31"],

        ["\x4D\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB2"],
        ["\xCD\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x32"],

        ["\x4D\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB3"],
        ["\xCD\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x33"],

        ["\x4D\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB4"],
        ["\xCD\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x34"],

        ["\x4D\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB5"],
        ["\xCD\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x35"],

        ["\x4D\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB6"],
        ["\xCD\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x36"],

        ["\x4D\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB7"],
        ["\xCD\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x37"],

        ["\x4D\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB8"],
        ["\xCD\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x38"],

        ["\x4D\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],
        ["\xCD\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x39"],

        ["\x4D\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],
        ["\xCD\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x3A"],

        ["\x4D\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBB"],
        ["\xCD\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x3B"],

        ["\x4D\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],
        ["\xCD\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x3C"],

        ["\x4D\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBD"],
        ["\xCD\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x3D"],

        ["\x4D\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBE"],
        ["\xCD\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x3E"],

        ["\x4D\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],
        ["\xCD\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x3F"],

        ["\x4D\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC0"],
        ["\xCD\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x40"],

        ["\x4D\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC1"],
        ["\xCD\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x41"],

        ["\x4D\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC2"],
        ["\xCD\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x42"],

        ["\x4D\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC3"],
        ["\xCD\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x43"],

        ["\x4D\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC4"],
        ["\xCD\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x44"],

        ["\x4D\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC5"],
        ["\xCD\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x45"],

        ["\x4D\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC6"],
        ["\xCD\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x46"],

        ["\x4D\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC7"],
        ["\xCD\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x47"],

        ["\x4D\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC8"],
        ["\xCD\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x48"],

        ["\x4D\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC9"],
        ["\xCD\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x49"],

        ["\x4D\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCA"],
        ["\xCD\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x4A"],

        ["\x4D\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCB"],
        ["\xCD\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x4B"],

        ["\x4D\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],
        ["\xCD\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x4C"],

        ["\x4D\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],
        ["\xCD\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x4D"],

        ["\x4D\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],
        ["\xCD\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x4E"],

        ["\x4D\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCF"],
        ["\xCD\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x4F"],

        ["\x4D\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD0"],
        ["\xCD\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x50"],

        ["\x4D\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD1"],
        ["\xCD\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x51"],

        ["\x4D\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD2"],
        ["\xCD\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x52"],

        ["\x4D\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD3"],
        ["\xCD\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x53"],

        ["\x4D\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD4"],
        ["\xCD\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x54"],

        ["\x4D\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD5"],
        ["\xCD\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x55"],

        ["\x4D\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD6"],
        ["\xCD\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x56"],

        ["\x4D\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD7"],
        ["\xCD\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x57"],

        ["\x4D\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD8"],
        ["\xCD\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x58"],

        ["\x4D\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD9"],
        ["\xCD\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x59"],

        ["\xD0\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xEB"],
        ["\x70\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],

        ["\x4D\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDB"],
        ["\xCD\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x5B"],

        ["\x4D\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDC"],
        ["\xCD\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x5C"],

        ["\x4D\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],
        ["\xCD\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x5D"],

        ["\x4D\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],
        ["\xCD\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x5E"],

        ["\x4D\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDF"],
        ["\xCD\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x5F"],

        ["\x4D\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE0"],
        ["\xCD\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x60"],

        ["\x4D\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE1"],
        ["\xCD\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x61"],

        ["\x4D\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE2"],
        ["\xCD\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x62"],

        ["\x4D\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE3"],
        ["\xCD\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x63"],

        ["\x4D\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE4"],
        ["\xCD\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x64"],

        ["\x4D\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE5"],
        ["\xCD\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x65"],

        ["\x4D\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE6"],
        ["\xCD\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x66"],

        ["\x4D\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE7"],
        ["\xCD\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x67"],

        ["\x4D\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE8"],
        ["\xCD\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x68"],

        ["\x4D\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE9"],
        ["\xCD\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x69"],

        ["\x4D\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEA"],
        ["\xCD\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x6A"],

        ["\x4D\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEB"],
        ["\xCD\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x6B"],

        ["\x4D\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],
        ["\xCD\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x6C"],

        ["\x4D\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xED"],
        ["\xCD\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x6D"],

        ["\x4D\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEE"],
        ["\xCD\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x6E"],

        ["\x4D\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEF"],
        ["\xCD\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x6F"],

        ["\x4D\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF0"],
        ["\xCD\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x70"],

        ["\x4D\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF1"],
        ["\xCD\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x71"],

        ["\x4D\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF2"],
        ["\xCD\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x72"],

        ["\x4D\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF3"],
        ["\xCD\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x73"],

        ["\x4D\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF4"],
        ["\xCD\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x74"],

        ["\x4D\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF5"],
        ["\xCD\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x75"],

        ["\x4D\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF6"],
        ["\xCD\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x76"],

        ["\x4D\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF7"],
        ["\xCD\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x77"],

        ["\x4D\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF8"],
        ["\xCD\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x78"],

        ["\x4D\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF9"],
        ["\xCD\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x79"],

        ["\x4D\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFA"],
        ["\xCD\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x7A"],

        ["\x4D\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFB"],
        ["\xCD\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x7B"],

        ["\x4D\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],
        ["\xCD\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x7C"],

        ["\x4D\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFD"],
        ["\xCD\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x7D"],

        ["\x4D\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],
        ["\xCD\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x7E"],

        ["\x4E\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA1"],
        ["\xCE\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x21"],

        ["\x4E\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA2"],
        ["\xCE\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x22"],

        ["\x4E\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],
        ["\xCE\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x23"],

        ["\x4E\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],
        ["\xCE\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x24"],

        ["\x4E\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA5"],
        ["\xCE\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x25"],

        ["\x4E\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],
        ["\xCE\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x26"],

        ["\x4E\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA7"],
        ["\xCE\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x27"],

        ["\x4E\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA8"],
        ["\xCE\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x28"],

        ["\x4E\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],
        ["\xCE\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x29"],

        ["\x4E\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAA"],
        ["\xCE\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x2A"],

        ["\x4E\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAB"],
        ["\xCE\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x2B"],

        ["\x4E\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],
        ["\xCE\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x2C"],

        ["\x4E\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],
        ["\xCE\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x2D"],

        ["\x4E\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAE"],
        ["\xCE\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x2E"],

        ["\x4E\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAF"],
        ["\xCE\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x2F"],

        ["\x4E\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB0"],
        ["\xCE\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x30"],

        ["\x4E\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB1"],
        ["\xCE\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x31"],

        ["\x4E\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB2"],
        ["\xCE\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x32"],

        ["\x4E\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB3"],
        ["\xCE\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x33"],

        ["\x4E\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB4"],
        ["\xCE\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x34"],

        ["\x4E\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB5"],
        ["\xCE\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x35"],

        ["\x4E\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB6"],
        ["\xCE\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x36"],

        ["\x4E\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB7"],
        ["\xCE\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x37"],

        ["\x4E\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],
        ["\xCE\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x38"],

        ["\x4E\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB9"],
        ["\xCE\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x39"],

        ["\x4E\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBA"],
        ["\xCE\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x3A"],

        ["\x4E\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBB"],
        ["\xCE\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x3B"],

        ["\x4E\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],
        ["\xCE\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x3C"],

        ["\x4E\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBD"],
        ["\xCE\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x3D"],

        ["\x4E\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBE"],
        ["\xCE\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x3E"],

        ["\x4E\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],
        ["\xCE\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x3F"],

        ["\x4E\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC0"],
        ["\xCE\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x40"],

        ["\x4E\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC1"],
        ["\xCE\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x41"],

        ["\x4E\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC2"],
        ["\xCE\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x42"],

        ["\x4E\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC3"],
        ["\xCE\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x43"],

        ["\x4E\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC4"],
        ["\xCE\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x44"],

        ["\x4E\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC5"],
        ["\xCE\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x45"],

        ["\x4E\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC6"],
        ["\xCE\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x46"],

        ["\x4E\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC7"],
        ["\xCE\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x47"],

        ["\x4E\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC8"],
        ["\xCE\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x48"],

        ["\x4E\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC9"],
        ["\xCE\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x49"],

        ["\x4E\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],
        ["\xCE\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x4A"],

        ["\x4E\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],
        ["\xCE\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x4B"],

        ["\x4E\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCC"],
        ["\xCE\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x4C"],

        ["\x4E\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCD"],
        ["\xCE\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x4D"],

        ["\x4E\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],
        ["\xCE\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x4E"],

        ["\x4E\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCF"],
        ["\xCE\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x4F"],

        ["\x4E\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD0"],
        ["\xCE\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x50"],

        ["\x4E\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD1"],
        ["\xCE\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x51"],

        ["\x4E\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD2"],
        ["\xCE\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x52"],

        ["\x4E\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD3"],
        ["\xCE\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x53"],

        ["\x4E\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD4"],
        ["\xCE\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x54"],

        ["\x4E\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD5"],
        ["\xCE\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x55"],

        ["\x4E\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD6"],
        ["\xCE\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x56"],

        ["\x4E\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD7"],
        ["\xCE\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x57"],

        ["\x4E\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD8"],
        ["\xCE\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x58"],

        ["\x4E\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD9"],
        ["\xCE\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x59"],

        ["\x4E\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],
        ["\xCE\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x5A"],

        ["\x4E\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],
        ["\xCE\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x5B"],

        ["\x4E\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDC"],
        ["\xCE\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x5C"],

        ["\x4E\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],
        ["\xCE\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x5D"],

        ["\x4E\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],
        ["\xCE\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x5E"],

        ["\x4E\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],
        ["\xCE\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x5F"],

        ["\x4E\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE0"],
        ["\xCE\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x60"],

        ["\x4E\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE1"],
        ["\xCE\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x61"],

        ["\x4E\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE2"],
        ["\xCE\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x62"],

        ["\x4E\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE3"],
        ["\xCE\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x63"],

        ["\x4E\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE4"],
        ["\xCE\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x64"],

        ["\x4E\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE5"],
        ["\xCE\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x65"],

        ["\x4E\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE6"],
        ["\xCE\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x66"],

        ["\x4E\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE7"],
        ["\xCE\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x67"],

        ["\x4E\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE8"],
        ["\xCE\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x68"],

        ["\x4E\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE9"],
        ["\xCE\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x69"],

        ["\x4E\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],
        ["\xCE\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x6A"],

        ["\x4E\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],
        ["\xCE\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x6B"],

        ["\x4E\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],
        ["\xCE\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x6C"],

        ["\x4E\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],
        ["\xCE\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x6D"],

        ["\x4E\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEE"],
        ["\xCE\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x6E"],

        ["\x4E\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEF"],
        ["\xCE\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x6F"],

        ["\x4E\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF0"],
        ["\xCE\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x70"],

        ["\x4E\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF1"],
        ["\xCE\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x71"],

        ["\x4E\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF2"],
        ["\xCE\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x72"],

        ["\x4E\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF3"],
        ["\xCE\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x73"],

        ["\x4E\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF4"],
        ["\xCE\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x74"],

        ["\x4E\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF5"],
        ["\xCE\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x75"],

        ["\x4E\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF6"],
        ["\xCE\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x76"],

        ["\x4E\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF7"],
        ["\xCE\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x77"],

        ["\x4E\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF8"],
        ["\xCE\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x78"],

        ["\x4E\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF9"],
        ["\xCE\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x79"],

        ["\x4E\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFA"],
        ["\xCE\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x7A"],

        ["\x4E\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFB"],
        ["\xCE\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x7B"],

        ["\x4E\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFC"],
        ["\xCE\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x7C"],

        ["\x4E\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFD"],
        ["\xCE\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x7D"],

        ["\x4E\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],
        ["\xCE\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4E\x7E"],

        ["\x4F\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA1"],
        ["\xCF\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x21"],

        ["\x4F\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA2"],
        ["\xCF\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x22"],

        ["\x4F\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],
        ["\xCF\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x23"],

        ["\x4F\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA4"],
        ["\xCF\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x24"],

        ["\x4F\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],
        ["\xCF\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x25"],

        ["\x4F\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],
        ["\xCF\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x26"],

        ["\x4F\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],
        ["\xCF\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x27"],

        ["\x4F\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA8"],
        ["\xCF\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x28"],

        ["\x4F\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA9"],
        ["\xCF\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x29"],

        ["\x4F\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAA"],
        ["\xCF\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x2A"],

        ["\x4F\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAB"],
        ["\xCF\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x2B"],

        ["\x4F\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAC"],
        ["\xCF\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x2C"],

        ["\x4F\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAD"],
        ["\xCF\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x2D"],

        ["\x4F\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAE"],
        ["\xCF\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x2E"],

        ["\x4F\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAF"],
        ["\xCF\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x2F"],

        ["\x4F\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB0"],
        ["\xCF\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x30"],

        ["\x4F\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB1"],
        ["\xCF\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x31"],

        ["\x4F\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB2"],
        ["\xCF\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x32"],

        ["\x4F\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB3"],
        ["\xCF\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x33"],

        ["\x4F\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB4"],
        ["\xCF\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x34"],

        ["\x4F\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],
        ["\xCF\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x35"],

        ["\x64\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],
        ["\xE4\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x46"],

        ["\x4F\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB7"],
        ["\xCF\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x37"],

        ["\x4F\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],
        ["\xCF\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x38"],

        ["\x4F\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],
        ["\xCF\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x39"],

        ["\x4F\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBA"],
        ["\xCF\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x3A"],

        ["\x4F\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],
        ["\xCF\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x3B"],

        ["\x4F\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],
        ["\xCF\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x3C"],

        ["\x4F\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBD"],
        ["\xCF\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x3D"],

        ["\x4F\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],
        ["\xCF\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x3E"],

        ["\x4F\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBF"],
        ["\xCF\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x3F"],

        ["\x4F\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC0"],
        ["\xCF\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x40"],

        ["\x4F\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC1"],
        ["\xCF\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x41"],

        ["\x4F\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC2"],
        ["\xCF\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x42"],

        ["\x4F\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC3"],
        ["\xCF\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x43"],

        ["\x4F\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC4"],
        ["\xCF\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x44"],

        ["\x4F\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC5"],
        ["\xCF\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x45"],

        ["\x4F\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC6"],
        ["\xCF\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x46"],

        ["\x4F\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC7"],
        ["\xCF\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x47"],

        ["\x4F\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC8"],
        ["\xCF\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x48"],

        ["\x4F\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC9"],
        ["\xCF\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x49"],

        ["\x4F\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCA"],
        ["\xCF\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x4A"],

        ["\x4F\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCB"],
        ["\xCF\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x4B"],

        ["\x4F\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCC"],
        ["\xCF\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x4C"],

        ["\x4F\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCD"],
        ["\xCF\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x4D"],

        ["\x4F\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCE"],
        ["\xCF\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x4E"],

        ["\x4F\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCF"],
        ["\xCF\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x4F"],

        ["\x4F\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD0"],
        ["\xCF\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x50"],

        ["\x4F\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD1"],
        ["\xCF\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x51"],

        ["\x4F\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD2"],
        ["\xCF\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x52"],

        ["\x4F\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD3"],
        ["\xCF\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x53"],

        ["\x50\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],
        ["\xD0\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x21"],

        ["\x50\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA2"],
        ["\xD0\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x22"],

        ["\x50\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA3"],
        ["\xD0\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x23"],

        ["\x50\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA4"],
        ["\xD0\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x24"],

        ["\x50\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA5"],
        ["\xD0\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x25"],

        ["\x50\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA6"],
        ["\xD0\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x26"],

        ["\x50\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA7"],
        ["\xD0\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x27"],

        ["\x50\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA8"],
        ["\xD0\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x28"],

        ["\x50\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA9"],
        ["\xD0\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x29"],

        ["\x50\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAA"],
        ["\xD0\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x2A"],

        ["\x50\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAB"],
        ["\xD0\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x2B"],

        ["\x50\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAC"],
        ["\xD0\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x2C"],

        ["\x50\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAD"],
        ["\xD0\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x2D"],

        ["\x50\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAE"],
        ["\xD0\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x2E"],

        ["\x50\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAF"],
        ["\xD0\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x2F"],

        ["\x50\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB0"],
        ["\xD0\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x30"],

        ["\x50\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB1"],
        ["\xD0\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x31"],

        ["\x50\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB2"],
        ["\xD0\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x32"],

        ["\x50\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB3"],
        ["\xD0\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x33"],

        ["\x50\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB4"],
        ["\xD0\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x34"],

        ["\x50\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB5"],
        ["\xD0\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x35"],

        ["\x50\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB6"],
        ["\xD0\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x36"],

        ["\x50\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB7"],
        ["\xD0\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x37"],

        ["\x50\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB8"],
        ["\xD0\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x38"],

        ["\x50\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB9"],
        ["\xD0\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x39"],

        ["\x50\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBA"],
        ["\xD0\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x3A"],

        ["\x50\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBB"],
        ["\xD0\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x3B"],

        ["\x50\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBC"],
        ["\xD0\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x3C"],

        ["\x50\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBD"],
        ["\xD0\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x3D"],

        ["\x50\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBE"],
        ["\xD0\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x3E"],

        ["\x50\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBF"],
        ["\xD0\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x3F"],

        ["\x50\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC0"],
        ["\xD0\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x40"],

        ["\x50\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],
        ["\xD0\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x41"],

        ["\x50\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],
        ["\xD0\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x42"],

        ["\x50\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC3"],
        ["\xD0\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x43"],

        ["\x50\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],
        ["\xD0\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x44"],

        ["\x50\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC5"],
        ["\xD0\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x45"],

        ["\x50\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC6"],
        ["\xD0\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x46"],

        ["\x50\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC7"],
        ["\xD0\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x47"],

        ["\x50\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC8"],
        ["\xD0\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x48"],

        ["\x50\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC9"],
        ["\xD0\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x49"],

        ["\x50\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCA"],
        ["\xD0\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x4A"],

        ["\x50\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCB"],
        ["\xD0\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x4B"],

        ["\x50\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCC"],
        ["\xD0\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x4C"],

        ["\x50\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCD"],
        ["\xD0\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x4D"],

        ["\x50\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCE"],
        ["\xD0\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x4E"],

        ["\x50\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCF"],
        ["\xD0\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x4F"],

        ["\x50\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD0"],
        ["\xD0\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x50"],

        ["\x50\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD1"],
        ["\xD0\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x51"],

        ["\x50\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD2"],
        ["\xD0\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x52"],

        ["\x50\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD3"],
        ["\xD0\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x53"],

        ["\x50\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],
        ["\xD0\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x54"],

        ["\x50\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD5"],
        ["\xD0\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x55"],

        ["\x4B\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF9"],
        ["\xCB\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x79"],

        ["\x50\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD7"],
        ["\xD0\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x57"],

        ["\x50\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],
        ["\xD0\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x58"],

        ["\x50\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD9"],
        ["\xD0\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x59"],

        ["\x50\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDA"],
        ["\xD0\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x5A"],

        ["\x50\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDB"],
        ["\xD0\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x5B"],

        ["\x50\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDC"],
        ["\xD0\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x5C"],

        ["\x50\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDD"],
        ["\xD0\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x5D"],

        ["\x50\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDE"],
        ["\xD0\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x5E"],

        ["\x50\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDF"],
        ["\xD0\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x5F"],

        ["\x50\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE0"],
        ["\xD0\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x60"],

        ["\x50\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE1"],
        ["\xD0\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x61"],

        ["\x50\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],
        ["\xD0\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x62"],

        ["\x50\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE3"],
        ["\xD0\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x63"],

        ["\x50\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE4"],
        ["\xD0\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x64"],

        ["\x50\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE5"],
        ["\xD0\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x65"],

        ["\x50\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE6"],
        ["\xD0\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x66"],

        ["\x50\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE7"],
        ["\xD0\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x67"],

        ["\x50\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],
        ["\xD0\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x68"],

        ["\x50\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],
        ["\xD0\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x69"],

        ["\x50\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEA"],
        ["\xD0\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x6A"],

        ["\x50\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEB"],
        ["\xD0\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x6B"],

        ["\x50\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEC"],
        ["\xD0\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x6C"],

        ["\x50\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xED"],
        ["\xD0\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x6D"],

        ["\x50\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEE"],
        ["\xD0\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x6E"],

        ["\x50\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEF"],
        ["\xD0\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x6F"],

        ["\x50\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],
        ["\xD0\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x70"],

        ["\x50\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF1"],
        ["\xD0\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x71"],

        ["\x50\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],
        ["\xD0\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x72"],

        ["\x50\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],
        ["\xD0\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x73"],

        ["\x50\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],
        ["\xD0\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x74"],

        ["\x50\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF5"],
        ["\xD0\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x75"],

        ["\x50\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF6"],
        ["\xD0\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x76"],

        ["\x50\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF7"],
        ["\xD0\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x77"],

        ["\x50\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],
        ["\xD0\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x78"],

        ["\x50\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],
        ["\xD0\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x79"],

        ["\x50\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFA"],
        ["\xD0\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x7A"],

        ["\x50\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFB"],
        ["\xD0\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x7B"],

        ["\x50\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFC"],
        ["\xD0\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x7C"],

        ["\x50\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFD"],
        ["\xD0\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x7D"],

        ["\x50\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFE"],
        ["\xD0\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x50\x7E"],

        ["\x51\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA1"],
        ["\xD1\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x21"],

        ["\x51\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA2"],
        ["\xD1\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x22"],

        ["\x51\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA3"],
        ["\xD1\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x23"],

        ["\x51\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA4"],
        ["\xD1\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x24"],

        ["\x51\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA5"],
        ["\xD1\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x25"],

        ["\x51\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA6"],
        ["\xD1\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x26"],

        ["\x51\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA7"],
        ["\xD1\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x27"],

        ["\x51\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA8"],
        ["\xD1\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x28"],

        ["\x51\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA9"],
        ["\xD1\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x29"],

        ["\x51\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAA"],
        ["\xD1\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x2A"],

        ["\x51\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAB"],
        ["\xD1\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x2B"],

        ["\x51\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAC"],
        ["\xD1\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x2C"],

        ["\x51\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAD"],
        ["\xD1\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x2D"],

        ["\x51\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAE"],
        ["\xD1\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x2E"],

        ["\x51\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAF"],
        ["\xD1\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x2F"],

        ["\x51\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],
        ["\xD1\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x30"],

        ["\x51\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB1"],
        ["\xD1\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x31"],

        ["\x51\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB2"],
        ["\xD1\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x32"],

        ["\x51\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB3"],
        ["\xD1\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x33"],

        ["\x51\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB4"],
        ["\xD1\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x34"],

        ["\x51\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB5"],
        ["\xD1\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x35"],

        ["\x51\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB6"],
        ["\xD1\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x36"],

        ["\x51\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB7"],
        ["\xD1\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x37"],

        ["\x51\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB8"],
        ["\xD1\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x38"],

        ["\x51\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB9"],
        ["\xD1\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x39"],

        ["\x51\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBA"],
        ["\xD1\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x3A"],

        ["\x51\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBB"],
        ["\xD1\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x3B"],

        ["\x51\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBC"],
        ["\xD1\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x3C"],

        ["\x51\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBD"],
        ["\xD1\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x3D"],

        ["\x51\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBE"],
        ["\xD1\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x3E"],

        ["\x51\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBF"],
        ["\xD1\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x3F"],

        ["\x51\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC0"],
        ["\xD1\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x40"],

        ["\x51\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],
        ["\xD1\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x41"],

        ["\x51\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC2"],
        ["\xD1\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x42"],

        ["\x51\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],
        ["\xD1\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x43"],

        ["\x51\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],
        ["\xD1\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x44"],

        ["\x51\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],
        ["\xD1\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x45"],

        ["\x51\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],
        ["\xD1\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x46"],

        ["\x51\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC7"],
        ["\xD1\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x47"],

        ["\x51\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC8"],
        ["\xD1\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x48"],

        ["\x51\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC9"],
        ["\xD1\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x49"],

        ["\x51\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCA"],
        ["\xD1\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x4A"],

        ["\x51\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCB"],
        ["\xD1\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x4B"],

        ["\x51\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCC"],
        ["\xD1\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x4C"],

        ["\x51\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCD"],
        ["\xD1\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x4D"],

        ["\x51\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCE"],
        ["\xD1\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x4E"],

        ["\x51\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCF"],
        ["\xD1\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x4F"],

        ["\x51\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD0"],
        ["\xD1\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x50"],

        ["\x51\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],
        ["\xD1\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x51"],

        ["\x51\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],
        ["\xD1\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x52"],

        ["\x51\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],
        ["\xD1\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x53"],

        ["\x51\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],
        ["\xD1\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x54"],

        ["\x51\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],
        ["\xD1\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x55"],

        ["\x51\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],
        ["\xD1\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x56"],

        ["\x51\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD7"],
        ["\xD1\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x57"],

        ["\x51\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD8"],
        ["\xD1\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x58"],

        ["\x51\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],
        ["\xD1\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x59"],

        ["\x51\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDA"],
        ["\xD1\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x5A"],

        ["\x51\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDB"],
        ["\xD1\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x5B"],

        ["\x51\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDC"],
        ["\xD1\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x5C"],

        ["\x51\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDD"],
        ["\xD1\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x5D"],

        ["\x51\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDE"],
        ["\xD1\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x5E"],

        ["\x51\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDF"],
        ["\xD1\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x5F"],

        ["\x51\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE0"],
        ["\xD1\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x60"],

        ["\x51\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE1"],
        ["\xD1\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x61"],

        ["\x51\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],
        ["\xD1\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x62"],

        ["\x51\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE3"],
        ["\xD1\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x63"],

        ["\x51\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],
        ["\xD1\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x64"],

        ["\x51\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE5"],
        ["\xD1\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x65"],

        ["\x51\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],
        ["\xD1\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x66"],

        ["\x51\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE7"],
        ["\xD1\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x67"],

        ["\x51\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE8"],
        ["\xD1\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x68"],

        ["\x51\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE9"],
        ["\xD1\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x69"],

        ["\x51\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEA"],
        ["\xD1\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x6A"],

        ["\x51\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEB"],
        ["\xD1\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x6B"],

        ["\x51\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEC"],
        ["\xD1\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x6C"],

        ["\x51\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xED"],
        ["\xD1\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x6D"],

        ["\x51\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEE"],
        ["\xD1\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x6E"],

        ["\x51\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEF"],
        ["\xD1\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x6F"],

        ["\x51\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],
        ["\xD1\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x70"],

        ["\x51\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF1"],
        ["\xD1\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x71"],

        ["\x51\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF2"],
        ["\xD1\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x72"],

        ["\x51\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF3"],
        ["\xD1\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x73"],

        ["\x51\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],
        ["\xD1\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x74"],

        ["\x51\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF5"],
        ["\xD1\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x75"],

        ["\x51\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF6"],
        ["\xD1\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x76"],

        ["\x51\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],
        ["\xD1\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x77"],

        ["\x51\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF8"],
        ["\xD1\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x78"],

        ["\x51\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],
        ["\xD1\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x79"],

        ["\x51\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFA"],
        ["\xD1\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x7A"],

        ["\x51\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFB"],
        ["\xD1\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x7B"],

        ["\x51\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFC"],
        ["\xD1\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x7C"],

        ["\x51\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFD"],
        ["\xD1\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x7D"],

        ["\x51\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFE"],
        ["\xD1\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x51\x7E"],

        ["\x52\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA1"],
        ["\xD2\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x21"],

        ["\x52\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA2"],
        ["\xD2\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x22"],

        ["\x52\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA3"],
        ["\xD2\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x23"],

        ["\x52\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA4"],
        ["\xD2\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x24"],

        ["\x52\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA5"],
        ["\xD2\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x25"],

        ["\x52\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA6"],
        ["\xD2\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x26"],

        ["\x52\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA7"],
        ["\xD2\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x27"],

        ["\x52\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA8"],
        ["\xD2\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x28"],

        ["\x52\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA9"],
        ["\xD2\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x29"],

        ["\x52\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAA"],
        ["\xD2\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x2A"],

        ["\x52\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],
        ["\xD2\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x2B"],

        ["\x52\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAC"],
        ["\xD2\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x2C"],

        ["\x52\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAD"],
        ["\xD2\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x2D"],

        ["\x52\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAE"],
        ["\xD2\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x2E"],

        ["\x52\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAF"],
        ["\xD2\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x2F"],

        ["\x52\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB0"],
        ["\xD2\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x30"],

        ["\x52\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB1"],
        ["\xD2\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x31"],

        ["\x52\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB2"],
        ["\xD2\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x32"],

        ["\x52\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB3"],
        ["\xD2\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x33"],

        ["\x52\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB4"],
        ["\xD2\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x34"],

        ["\x52\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB5"],
        ["\xD2\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x35"],

        ["\x52\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB6"],
        ["\xD2\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x36"],

        ["\x52\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB7"],
        ["\xD2\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x37"],

        ["\x52\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB8"],
        ["\xD2\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x38"],

        ["\x52\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB9"],
        ["\xD2\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x39"],

        ["\x52\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBA"],
        ["\xD2\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x3A"],

        ["\x52\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBB"],
        ["\xD2\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x3B"],

        ["\x52\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBC"],
        ["\xD2\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x3C"],

        ["\x52\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBD"],
        ["\xD2\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x3D"],

        ["\x52\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBE"],
        ["\xD2\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x3E"],

        ["\x52\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBF"],
        ["\xD2\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x3F"],

        ["\x52\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC0"],
        ["\xD2\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x40"],

        ["\x52\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC1"],
        ["\xD2\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x41"],

        ["\x52\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC2"],
        ["\xD2\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x42"],

        ["\x52\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],
        ["\xD2\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x43"],

        ["\x52\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC4"],
        ["\xD2\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x44"],

        ["\x52\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],
        ["\xD2\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x45"],

        ["\x52\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC6"],
        ["\xD2\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x46"],

        ["\x52\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC7"],
        ["\xD2\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x47"],

        ["\x52\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC8"],
        ["\xD2\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x48"],

        ["\x52\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC9"],
        ["\xD2\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x49"],

        ["\x52\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCA"],
        ["\xD2\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x4A"],

        ["\x52\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCB"],
        ["\xD2\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x4B"],

        ["\x52\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCC"],
        ["\xD2\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x4C"],

        ["\x52\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCD"],
        ["\xD2\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x4D"],

        ["\x52\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCE"],
        ["\xD2\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x4E"],

        ["\x52\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCF"],
        ["\xD2\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x4F"],

        ["\x52\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD0"],
        ["\xD2\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x50"],

        ["\x52\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],
        ["\xD2\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x51"],

        ["\x52\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD2"],
        ["\xD2\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x52"],

        ["\x52\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],
        ["\xD2\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x53"],

        ["\x52\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD4"],
        ["\xD2\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x54"],

        ["\x52\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD5"],
        ["\xD2\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x55"],

        ["\x52\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD6"],
        ["\xD2\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x56"],

        ["\x52\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD7"],
        ["\xD2\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x57"],

        ["\x52\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],
        ["\xD2\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x58"],

        ["\x52\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD9"],
        ["\xD2\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x59"],

        ["\x52\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDA"],
        ["\xD2\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x5A"],

        ["\x52\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDB"],
        ["\xD2\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x5B"],

        ["\x52\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDC"],
        ["\xD2\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x5C"],

        ["\x52\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDD"],
        ["\xD2\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x5D"],

        ["\x52\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDE"],
        ["\xD2\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x5E"],

        ["\x52\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDF"],
        ["\xD2\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x5F"],

        ["\x52\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE0"],
        ["\xD2\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x60"],

        ["\x52\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE1"],
        ["\xD2\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x61"],

        ["\x52\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE2"],
        ["\xD2\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x62"],

        ["\x52\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE3"],
        ["\xD2\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x63"],

        ["\x52\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE4"],
        ["\xD2\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x64"],

        ["\x52\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE5"],
        ["\xD2\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x65"],

        ["\x52\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE6"],
        ["\xD2\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x66"],

        ["\x52\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],
        ["\xD2\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x67"],

        ["\x52\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],
        ["\xD2\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x68"],

        ["\x52\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE9"],
        ["\xD2\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x69"],

        ["\x52\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEA"],
        ["\xD2\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x6A"],

        ["\x52\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEB"],
        ["\xD2\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x6B"],

        ["\x52\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEC"],
        ["\xD2\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x6C"],

        ["\x52\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xED"],
        ["\xD2\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x6D"],

        ["\x52\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEE"],
        ["\xD2\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x6E"],

        ["\x52\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEF"],
        ["\xD2\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x6F"],

        ["\x52\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF0"],
        ["\xD2\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x70"],

        ["\x52\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF1"],
        ["\xD2\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x71"],

        ["\x52\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],
        ["\xD2\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x72"],

        ["\x52\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],
        ["\xD2\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x73"],

        ["\x52\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],
        ["\xD2\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x74"],

        ["\x52\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF5"],
        ["\xD2\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x75"],

        ["\x52\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF6"],
        ["\xD2\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x76"],

        ["\x52\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],
        ["\xD2\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x77"],

        ["\x52\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],
        ["\xD2\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x78"],

        ["\x52\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF9"],
        ["\xD2\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x79"],

        ["\x52\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFA"],
        ["\xD2\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x7A"],

        ["\x52\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFB"],
        ["\xD2\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x7B"],

        ["\x52\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFC"],
        ["\xD2\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x7C"],

        ["\x52\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFD"],
        ["\xD2\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x7D"],

        ["\x52\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFE"],
        ["\xD2\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x52\x7E"],

        ["\x53\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],
        ["\xD3\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x21"],

        ["\x53\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA2"],
        ["\xD3\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x22"],

        ["\x53\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA3"],
        ["\xD3\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x23"],

        ["\x53\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA4"],
        ["\xD3\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x24"],

        ["\x53\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA5"],
        ["\xD3\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x25"],

        ["\x53\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA6"],
        ["\xD3\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x26"],

        ["\x53\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA7"],
        ["\xD3\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x27"],

        ["\x53\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA8"],
        ["\xD3\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x28"],

        ["\x53\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA9"],
        ["\xD3\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x29"],

        ["\x53\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAA"],
        ["\xD3\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x2A"],

        ["\x53\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAB"],
        ["\xD3\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x2B"],

        ["\x53\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAC"],
        ["\xD3\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x2C"],

        ["\x53\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAD"],
        ["\xD3\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x2D"],

        ["\x53\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAE"],
        ["\xD3\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x2E"],

        ["\x53\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAF"],
        ["\xD3\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x2F"],

        ["\x53\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],
        ["\xD3\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x30"],

        ["\x53\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB1"],
        ["\xD3\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x31"],

        ["\x53\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB2"],
        ["\xD3\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x32"],

        ["\x53\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB3"],
        ["\xD3\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x33"],

        ["\x53\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB4"],
        ["\xD3\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x34"],

        ["\x53\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB5"],
        ["\xD3\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x35"],

        ["\x53\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB6"],
        ["\xD3\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x36"],

        ["\x53\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB7"],
        ["\xD3\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x37"],

        ["\x53\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB8"],
        ["\xD3\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x38"],

        ["\x53\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB9"],
        ["\xD3\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x39"],

        ["\x53\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBA"],
        ["\xD3\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x3A"],

        ["\x53\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBB"],
        ["\xD3\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x3B"],

        ["\x53\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBC"],
        ["\xD3\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x3C"],

        ["\x53\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBD"],
        ["\xD3\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x3D"],

        ["\x53\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBE"],
        ["\xD3\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x3E"],

        ["\x53\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBF"],
        ["\xD3\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x3F"],

        ["\x53\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],
        ["\xD3\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x40"],

        ["\x53\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],
        ["\xD3\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x41"],

        ["\x53\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],
        ["\xD3\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x42"],

        ["\x53\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC3"],
        ["\xD3\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x43"],

        ["\x53\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],
        ["\xD3\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x44"],

        ["\x53\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC5"],
        ["\xD3\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x45"],

        ["\x53\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC6"],
        ["\xD3\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x46"],

        ["\x53\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC7"],
        ["\xD3\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x47"],

        ["\x53\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC8"],
        ["\xD3\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x48"],

        ["\x53\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],
        ["\xD3\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x49"],

        ["\x53\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCA"],
        ["\xD3\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x4A"],

        ["\x53\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCB"],
        ["\xD3\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x4B"],

        ["\x53\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCC"],
        ["\xD3\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x4C"],

        ["\x53\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCD"],
        ["\xD3\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x4D"],

        ["\x53\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCE"],
        ["\xD3\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x4E"],

        ["\x53\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCF"],
        ["\xD3\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x4F"],

        ["\x53\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD0"],
        ["\xD3\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x50"],

        ["\x53\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD1"],
        ["\xD3\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x51"],

        ["\x53\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD2"],
        ["\xD3\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x52"],

        ["\x53\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD3"],
        ["\xD3\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x53"],

        ["\x53\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],
        ["\xD3\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x54"],

        ["\x53\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],
        ["\xD3\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x55"],

        ["\x53\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD6"],
        ["\xD3\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x56"],

        ["\x53\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],
        ["\xD3\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x57"],

        ["\x53\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],
        ["\xD3\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x58"],

        ["\x53\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],
        ["\xD3\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x59"],

        ["\x53\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDA"],
        ["\xD3\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x5A"],

        ["\x53\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDB"],
        ["\xD3\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x5B"],

        ["\x53\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDC"],
        ["\xD3\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x5C"],

        ["\x53\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDD"],
        ["\xD3\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x5D"],

        ["\x53\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDE"],
        ["\xD3\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x5E"],

        ["\x53\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDF"],
        ["\xD3\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x5F"],

        ["\x53\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE0"],
        ["\xD3\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x60"],

        ["\x53\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE1"],
        ["\xD3\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x61"],

        ["\x53\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],
        ["\xD3\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x62"],

        ["\x53\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],
        ["\xD3\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x63"],

        ["\x53\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE4"],
        ["\xD3\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x64"],

        ["\x53\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE5"],
        ["\xD3\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x65"],

        ["\x53\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE6"],
        ["\xD3\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x66"],

        ["\x53\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],
        ["\xD3\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x67"],

        ["\x53\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE8"],
        ["\xD3\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x68"],

        ["\x53\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE9"],
        ["\xD3\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x69"],

        ["\x53\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEA"],
        ["\xD3\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x6A"],

        ["\x53\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEB"],
        ["\xD3\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x6B"],

        ["\x53\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEC"],
        ["\xD3\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x6C"],

        ["\x53\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xED"],
        ["\xD3\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x6D"],

        ["\x53\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEE"],
        ["\xD3\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x6E"],

        ["\x53\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEF"],
        ["\xD3\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x6F"],

        ["\x53\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF0"],
        ["\xD3\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x70"],

        ["\x53\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF1"],
        ["\xD3\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x71"],

        ["\x53\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],
        ["\xD3\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x72"],

        ["\x53\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],
        ["\xD3\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x73"],

        ["\x53\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF4"],
        ["\xD3\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x74"],

        ["\x53\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],
        ["\xD3\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x75"],

        ["\x53\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],
        ["\xD3\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x76"],

        ["\x53\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF7"],
        ["\xD3\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x77"],

        ["\x53\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF8"],
        ["\xD3\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x78"],

        ["\x53\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF9"],
        ["\xD3\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x79"],

        ["\x53\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFA"],
        ["\xD3\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x7A"],

        ["\x53\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFB"],
        ["\xD3\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x7B"],

        ["\x53\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFC"],
        ["\xD3\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x7C"],

        ["\x53\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFD"],
        ["\xD3\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x7D"],

        ["\x53\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFE"],
        ["\xD3\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x53\x7E"],

        ["\x54\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],
        ["\xD4\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x21"],

        ["\x54\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA2"],
        ["\xD4\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x22"],

        ["\x54\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA3"],
        ["\xD4\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x23"],

        ["\x54\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA4"],
        ["\xD4\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x24"],

        ["\x54\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA5"],
        ["\xD4\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x25"],

        ["\x54\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA6"],
        ["\xD4\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x26"],

        ["\x54\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA7"],
        ["\xD4\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x27"],

        ["\x54\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA8"],
        ["\xD4\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x28"],

        ["\x54\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA9"],
        ["\xD4\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x29"],

        ["\x54\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAA"],
        ["\xD4\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x2A"],

        ["\x54\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],
        ["\xD4\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x2B"],

        ["\x54\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAC"],
        ["\xD4\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x2C"],

        ["\x54\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAD"],
        ["\xD4\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x2D"],

        ["\x54\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAE"],
        ["\xD4\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x2E"],

        ["\x54\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAF"],
        ["\xD4\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x2F"],

        ["\x54\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB0"],
        ["\xD4\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x30"],

        ["\x54\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB1"],
        ["\xD4\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x31"],

        ["\x54\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB2"],
        ["\xD4\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x32"],

        ["\x54\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB3"],
        ["\xD4\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x33"],

        ["\x54\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB4"],
        ["\xD4\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x34"],

        ["\x54\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB5"],
        ["\xD4\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x35"],

        ["\x54\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB6"],
        ["\xD4\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x36"],

        ["\x54\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB7"],
        ["\xD4\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x37"],

        ["\x54\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB8"],
        ["\xD4\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x38"],

        ["\x54\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB9"],
        ["\xD4\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x39"],

        ["\x54\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBA"],
        ["\xD4\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x3A"],

        ["\x54\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBB"],
        ["\xD4\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x3B"],

        ["\x54\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBC"],
        ["\xD4\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x3C"],

        ["\x54\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBD"],
        ["\xD4\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x3D"],

        ["\x54\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBE"],
        ["\xD4\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x3E"],

        ["\x54\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBF"],
        ["\xD4\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x3F"],

        ["\x54\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC0"],
        ["\xD4\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x40"],

        ["\x54\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC1"],
        ["\xD4\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x41"],

        ["\x54\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC2"],
        ["\xD4\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x42"],

        ["\x54\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],
        ["\xD4\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x43"],

        ["\x54\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC4"],
        ["\xD4\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x44"],

        ["\x54\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC5"],
        ["\xD4\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x45"],

        ["\x54\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC6"],
        ["\xD4\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x46"],

        ["\x54\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC7"],
        ["\xD4\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x47"],

        ["\x54\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC8"],
        ["\xD4\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x48"],

        ["\x54\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC9"],
        ["\xD4\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x49"],

        ["\x54\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCA"],
        ["\xD4\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x4A"],

        ["\x54\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCB"],
        ["\xD4\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x4B"],

        ["\x54\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCC"],
        ["\xD4\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x4C"],

        ["\x54\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCD"],
        ["\xD4\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x4D"],

        ["\x54\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCE"],
        ["\xD4\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x4E"],

        ["\x54\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCF"],
        ["\xD4\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x4F"],

        ["\x54\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD0"],
        ["\xD4\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x50"],

        ["\x54\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD1"],
        ["\xD4\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x51"],

        ["\x54\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],
        ["\xD4\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x52"],

        ["\x54\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],
        ["\xD4\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x53"],

        ["\x54\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],
        ["\xD4\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x54"],

        ["\x54\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD5"],
        ["\xD4\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x55"],

        ["\x54\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD6"],
        ["\xD4\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x56"],

        ["\x54\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],
        ["\xD4\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x57"],

        ["\x54\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD8"],
        ["\xD4\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x58"],

        ["\x54\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD9"],
        ["\xD4\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x59"],

        ["\x54\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDA"],
        ["\xD4\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x5A"],

        ["\x54\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDB"],
        ["\xD4\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x5B"],

        ["\x54\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDC"],
        ["\xD4\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x5C"],

        ["\x54\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDD"],
        ["\xD4\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x5D"],

        ["\x54\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDE"],
        ["\xD4\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x5E"],

        ["\x54\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDF"],
        ["\xD4\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x5F"],

        ["\x54\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE0"],
        ["\xD4\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x60"],

        ["\x54\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE1"],
        ["\xD4\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x61"],

        ["\x54\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE2"],
        ["\xD4\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x62"],

        ["\x54\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],
        ["\xD4\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x63"],

        ["\x44\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDB"],
        ["\xC4\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x5B"],

        ["\x54\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],
        ["\xD4\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x65"],

        ["\x54\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE6"],
        ["\xD4\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x66"],

        ["\x54\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE7"],
        ["\xD4\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x67"],

        ["\x54\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE8"],
        ["\xD4\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x68"],

        ["\x54\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE9"],
        ["\xD4\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x69"],

        ["\x54\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEA"],
        ["\xD4\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x6A"],

        ["\x54\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEB"],
        ["\xD4\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x6B"],

        ["\x54\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEC"],
        ["\xD4\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x6C"],

        ["\x54\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xED"],
        ["\xD4\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x6D"],

        ["\x54\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEE"],
        ["\xD4\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x6E"],

        ["\x54\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEF"],
        ["\xD4\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x6F"],

        ["\x54\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],
        ["\xD4\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x70"],

        ["\x54\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],
        ["\xD4\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x71"],

        ["\x54\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],
        ["\xD4\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x72"],

        ["\x54\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],
        ["\xD4\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x73"],

        ["\x54\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF4"],
        ["\xD4\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x74"],

        ["\x54\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF5"],
        ["\xD4\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x75"],

        ["\x54\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF6"],
        ["\xD4\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x76"],

        ["\x54\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF7"],
        ["\xD4\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x77"],

        ["\x54\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],
        ["\xD4\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x78"],

        ["\x54\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF9"],
        ["\xD4\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x79"],

        ["\x54\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFA"],
        ["\xD4\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x7A"],

        ["\x54\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFB"],
        ["\xD4\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x7B"],

        ["\x54\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFC"],
        ["\xD4\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x7C"],

        ["\x54\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFD"],
        ["\xD4\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x7D"],

        ["\x54\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFE"],
        ["\xD4\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x54\x7E"],

        ["\x55\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],
        ["\xD5\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x21"],

        ["\x55\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA2"],
        ["\xD5\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x22"],

        ["\x55\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA3"],
        ["\xD5\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x23"],

        ["\x55\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA4"],
        ["\xD5\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x24"],

        ["\x55\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA5"],
        ["\xD5\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x25"],

        ["\x55\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA6"],
        ["\xD5\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x26"],

        ["\x55\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA7"],
        ["\xD5\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x27"],

        ["\x55\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA8"],
        ["\xD5\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x28"],

        ["\x55\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA9"],
        ["\xD5\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x29"],

        ["\x55\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAA"],
        ["\xD5\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x2A"],

        ["\x55\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAB"],
        ["\xD5\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x2B"],

        ["\x55\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAC"],
        ["\xD5\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x2C"],

        ["\x55\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAD"],
        ["\xD5\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x2D"],

        ["\x55\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAE"],
        ["\xD5\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x2E"],

        ["\x55\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAF"],
        ["\xD5\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x2F"],

        ["\x55\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB0"],
        ["\xD5\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x30"],

        ["\x55\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB1"],
        ["\xD5\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x31"],

        ["\x55\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB2"],
        ["\xD5\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x32"],

        ["\x55\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB3"],
        ["\xD5\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x33"],

        ["\x55\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB4"],
        ["\xD5\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x34"],

        ["\x55\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB5"],
        ["\xD5\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x35"],

        ["\x55\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB6"],
        ["\xD5\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x36"],

        ["\x55\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB7"],
        ["\xD5\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x37"],

        ["\x55\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB8"],
        ["\xD5\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x38"],

        ["\x55\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB9"],
        ["\xD5\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x39"],

        ["\x55\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBA"],
        ["\xD5\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x3A"],

        ["\x55\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBB"],
        ["\xD5\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x3B"],

        ["\x55\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBC"],
        ["\xD5\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x3C"],

        ["\x55\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBD"],
        ["\xD5\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x3D"],

        ["\x55\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBE"],
        ["\xD5\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x3E"],

        ["\x55\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBF"],
        ["\xD5\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x3F"],

        ["\x55\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC0"],
        ["\xD5\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x40"],

        ["\x55\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC1"],
        ["\xD5\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x41"],

        ["\x55\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],
        ["\xD5\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x42"],

        ["\x55\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC3"],
        ["\xD5\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x43"],

        ["\x55\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],
        ["\xD5\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x44"],

        ["\x55\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],
        ["\xD5\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x45"],

        ["\x55\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC6"],
        ["\xD5\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x46"],

        ["\x55\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],
        ["\xD5\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x47"],

        ["\x55\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC8"],
        ["\xD5\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x48"],

        ["\x55\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC9"],
        ["\xD5\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x49"],

        ["\x55\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCA"],
        ["\xD5\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x4A"],

        ["\x55\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCB"],
        ["\xD5\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x4B"],

        ["\x55\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCC"],
        ["\xD5\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x4C"],

        ["\x55\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCD"],
        ["\xD5\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x4D"],

        ["\x55\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCE"],
        ["\xD5\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x4E"],

        ["\x55\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCF"],
        ["\xD5\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x4F"],

        ["\x55\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD0"],
        ["\xD5\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x50"],

        ["\x55\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],
        ["\xD5\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x51"],

        ["\x55\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],
        ["\xD5\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x52"],

        ["\x55\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],
        ["\xD5\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x53"],

        ["\x55\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],
        ["\xD5\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x54"],

        ["\x55\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD5"],
        ["\xD5\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x55"],

        ["\x55\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],
        ["\xD5\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x56"],

        ["\x55\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],
        ["\xD5\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x57"],

        ["\x55\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],
        ["\xD5\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x58"],

        ["\x55\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD9"],
        ["\xD5\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x59"],

        ["\x55\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDA"],
        ["\xD5\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x5A"],

        ["\x55\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDB"],
        ["\xD5\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x5B"],

        ["\x55\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDC"],
        ["\xD5\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x5C"],

        ["\x55\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDD"],
        ["\xD5\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x5D"],

        ["\x55\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDE"],
        ["\xD5\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x5E"],

        ["\x55\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDF"],
        ["\xD5\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x5F"],

        ["\x55\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE0"],
        ["\xD5\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x60"],

        ["\x55\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE1"],
        ["\xD5\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x61"],

        ["\x55\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE2"],
        ["\xD5\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x62"],

        ["\x55\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE3"],
        ["\xD5\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x63"],

        ["\x55\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],
        ["\xD5\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x64"],

        ["\x55\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],
        ["\xD5\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x65"],

        ["\x55\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE6"],
        ["\xD5\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x66"],

        ["\x55\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE7"],
        ["\xD5\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x67"],

        ["\x55\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE8"],
        ["\xD5\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x68"],

        ["\x55\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE9"],
        ["\xD5\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x69"],

        ["\x55\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEA"],
        ["\xD5\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x6A"],

        ["\x55\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEB"],
        ["\xD5\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x6B"],

        ["\x55\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEC"],
        ["\xD5\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x6C"],

        ["\x55\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xED"],
        ["\xD5\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x6D"],

        ["\x55\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEE"],
        ["\xD5\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x6E"],

        ["\x55\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEF"],
        ["\xD5\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x6F"],

        ["\x55\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],
        ["\xD5\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x70"],

        ["\x55\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],
        ["\xD5\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x71"],

        ["\x55\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],
        ["\xD5\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x72"],

        ["\x55\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],
        ["\xD5\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x73"],

        ["\x55\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF4"],
        ["\xD5\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x74"],

        ["\x55\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],
        ["\xD5\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x75"],

        ["\x55\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],
        ["\xD5\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x76"],

        ["\x55\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF7"],
        ["\xD5\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x77"],

        ["\x55\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF8"],
        ["\xD5\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x78"],

        ["\x55\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],
        ["\xD5\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x79"],

        ["\x55\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFA"],
        ["\xD5\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x7A"],

        ["\x55\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFB"],
        ["\xD5\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x7B"],

        ["\x55\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFC"],
        ["\xD5\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x7C"],

        ["\x55\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFD"],
        ["\xD5\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x7D"],

        ["\x55\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFE"],
        ["\xD5\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x55\x7E"],

        ["\x56\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA1"],
        ["\xD6\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x21"],

        ["\x56\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA2"],
        ["\xD6\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x22"],

        ["\x56\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA3"],
        ["\xD6\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x23"],

        ["\x56\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA4"],
        ["\xD6\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x24"],

        ["\x56\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA5"],
        ["\xD6\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x25"],

        ["\x56\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA6"],
        ["\xD6\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x26"],

        ["\x56\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA7"],
        ["\xD6\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x27"],

        ["\x56\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA8"],
        ["\xD6\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x28"],

        ["\x56\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA9"],
        ["\xD6\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x29"],

        ["\x56\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAA"],
        ["\xD6\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x2A"],

        ["\x56\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAB"],
        ["\xD6\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x2B"],

        ["\x56\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAC"],
        ["\xD6\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x2C"],

        ["\x56\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAD"],
        ["\xD6\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x2D"],

        ["\x56\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAE"],
        ["\xD6\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x2E"],

        ["\x56\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAF"],
        ["\xD6\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x2F"],

        ["\x56\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB0"],
        ["\xD6\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x30"],

        ["\x56\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB1"],
        ["\xD6\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x31"],

        ["\x56\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB2"],
        ["\xD6\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x32"],

        ["\x56\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB3"],
        ["\xD6\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x33"],

        ["\x56\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB4"],
        ["\xD6\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x34"],

        ["\x56\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB5"],
        ["\xD6\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x35"],

        ["\x56\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB6"],
        ["\xD6\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x36"],

        ["\x56\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB7"],
        ["\xD6\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x37"],

        ["\x56\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB8"],
        ["\xD6\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x38"],

        ["\x56\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB9"],
        ["\xD6\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x39"],

        ["\x56\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBA"],
        ["\xD6\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x3A"],

        ["\x56\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBB"],
        ["\xD6\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x3B"],

        ["\x56\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBC"],
        ["\xD6\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x3C"],

        ["\x56\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBD"],
        ["\xD6\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x3D"],

        ["\x56\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBE"],
        ["\xD6\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x3E"],

        ["\x56\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBF"],
        ["\xD6\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x3F"],

        ["\x56\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC0"],
        ["\xD6\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x40"],

        ["\x56\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC1"],
        ["\xD6\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x41"],

        ["\x56\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC2"],
        ["\xD6\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x42"],

        ["\x56\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC3"],
        ["\xD6\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x43"],

        ["\x56\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC4"],
        ["\xD6\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x44"],

        ["\x56\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC5"],
        ["\xD6\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x45"],

        ["\x56\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC6"],
        ["\xD6\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x46"],

        ["\x56\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC7"],
        ["\xD6\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x47"],

        ["\x56\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC8"],
        ["\xD6\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x48"],

        ["\x56\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC9"],
        ["\xD6\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x49"],

        ["\x56\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCA"],
        ["\xD6\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x4A"],

        ["\x56\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCB"],
        ["\xD6\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x4B"],

        ["\x56\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCC"],
        ["\xD6\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x4C"],

        ["\x56\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCD"],
        ["\xD6\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x4D"],

        ["\x56\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCE"],
        ["\xD6\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x4E"],

        ["\x56\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCF"],
        ["\xD6\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x4F"],

        ["\x56\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD0"],
        ["\xD6\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x50"],

        ["\x56\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD1"],
        ["\xD6\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x51"],

        ["\x56\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD2"],
        ["\xD6\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x52"],

        ["\x56\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD3"],
        ["\xD6\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x53"],

        ["\x56\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD4"],
        ["\xD6\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x54"],

        ["\x56\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD5"],
        ["\xD6\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x55"],

        ["\x56\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD6"],
        ["\xD6\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x56"],

        ["\x56\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD7"],
        ["\xD6\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x57"],

        ["\x56\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD8"],
        ["\xD6\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x58"],

        ["\x56\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD9"],
        ["\xD6\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x59"],

        ["\x56\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDA"],
        ["\xD6\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x5A"],

        ["\x56\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDB"],
        ["\xD6\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x5B"],

        ["\x56\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDC"],
        ["\xD6\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x5C"],

        ["\x56\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDD"],
        ["\xD6\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x5D"],

        ["\x56\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDE"],
        ["\xD6\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x5E"],

        ["\x56\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDF"],
        ["\xD6\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x5F"],

        ["\x56\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE0"],
        ["\xD6\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x60"],

        ["\x56\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE1"],
        ["\xD6\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x61"],

        ["\x56\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE2"],
        ["\xD6\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x62"],

        ["\x56\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE3"],
        ["\xD6\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x63"],

        ["\x56\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE4"],
        ["\xD6\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x64"],

        ["\x56\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE5"],
        ["\xD6\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x65"],

        ["\x56\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE6"],
        ["\xD6\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x66"],

        ["\x56\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE7"],
        ["\xD6\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x67"],

        ["\x56\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE8"],
        ["\xD6\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x68"],

        ["\x56\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE9"],
        ["\xD6\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x69"],

        ["\x56\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEA"],
        ["\xD6\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x6A"],

        ["\x56\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEB"],
        ["\xD6\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x6B"],

        ["\x56\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEC"],
        ["\xD6\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x6C"],

        ["\x56\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xED"],
        ["\xD6\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x6D"],

        ["\x56\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEE"],
        ["\xD6\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x6E"],

        ["\x56\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEF"],
        ["\xD6\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x6F"],

        ["\x56\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF0"],
        ["\xD6\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x70"],

        ["\x56\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF1"],
        ["\xD6\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x71"],

        ["\x56\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF2"],
        ["\xD6\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x72"],

        ["\x56\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF3"],
        ["\xD6\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x73"],

        ["\x56\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF4"],
        ["\xD6\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x74"],

        ["\x56\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF5"],
        ["\xD6\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x75"],

        ["\x56\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF6"],
        ["\xD6\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x76"],

        ["\x56\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF7"],
        ["\xD6\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x77"],

        ["\x56\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF8"],
        ["\xD6\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x78"],

        ["\x56\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF9"],
        ["\xD6\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x79"],

        ["\x56\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFA"],
        ["\xD6\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x7A"],

        ["\x56\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFB"],
        ["\xD6\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x7B"],

        ["\x56\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFC"],
        ["\xD6\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x7C"],

        ["\x56\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFD"],
        ["\xD6\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x7D"],

        ["\x56\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFE"],
        ["\xD6\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x56\x7E"],

        ["\x57\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA1"],
        ["\xD7\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x21"],

        ["\x57\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA2"],
        ["\xD7\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x22"],

        ["\x57\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA3"],
        ["\xD7\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x23"],

        ["\x57\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA4"],
        ["\xD7\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x24"],

        ["\x57\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA5"],
        ["\xD7\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x25"],

        ["\x57\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA6"],
        ["\xD7\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x26"],

        ["\x57\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA7"],
        ["\xD7\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x27"],

        ["\x57\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA8"],
        ["\xD7\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x28"],

        ["\x57\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA9"],
        ["\xD7\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x29"],

        ["\x57\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAA"],
        ["\xD7\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x2A"],

        ["\x57\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAB"],
        ["\xD7\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x2B"],

        ["\x57\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAC"],
        ["\xD7\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x2C"],

        ["\x57\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAD"],
        ["\xD7\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x2D"],

        ["\x57\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAE"],
        ["\xD7\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x2E"],

        ["\x57\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAF"],
        ["\xD7\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x2F"],

        ["\x57\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB0"],
        ["\xD7\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x30"],

        ["\x57\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB1"],
        ["\xD7\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x31"],

        ["\x57\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB2"],
        ["\xD7\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x32"],

        ["\x57\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB3"],
        ["\xD7\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x33"],

        ["\x57\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB4"],
        ["\xD7\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x34"],

        ["\x57\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB5"],
        ["\xD7\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x35"],

        ["\x57\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB6"],
        ["\xD7\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x36"],

        ["\x57\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB7"],
        ["\xD7\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x37"],

        ["\x57\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB8"],
        ["\xD7\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x38"],

        ["\x57\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB9"],
        ["\xD7\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x39"],

        ["\x57\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBA"],
        ["\xD7\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x3A"],

        ["\x57\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBC"],
        ["\xD7\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x3C"],

        ["\x57\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBD"],
        ["\xD7\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x3D"],

        ["\x57\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBE"],
        ["\xD7\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x3E"],

        ["\x57\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBF"],
        ["\xD7\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x3F"],

        ["\x57\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC0"],
        ["\xD7\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x40"],

        ["\x57\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC1"],
        ["\xD7\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x41"],

        ["\x57\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC2"],
        ["\xD7\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x42"],

        ["\x57\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC3"],
        ["\xD7\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x43"],

        ["\x57\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC4"],
        ["\xD7\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x44"],

        ["\x57\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC5"],
        ["\xD7\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x45"],

        ["\x57\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC6"],
        ["\xD7\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x46"],

        ["\x57\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC7"],
        ["\xD7\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x47"],

        ["\x57\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC8"],
        ["\xD7\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x48"],

        ["\x57\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC9"],
        ["\xD7\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x49"],

        ["\x57\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCA"],
        ["\xD7\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x4A"],

        ["\x57\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCB"],
        ["\xD7\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x4B"],

        ["\x57\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCC"],
        ["\xD7\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x4C"],

        ["\x57\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCD"],
        ["\xD7\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x4D"],

        ["\x57\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCE"],
        ["\xD7\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x4E"],

        ["\x57\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCF"],
        ["\xD7\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x4F"],

        ["\x57\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD0"],
        ["\xD7\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x50"],

        ["\x57\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD1"],
        ["\xD7\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x51"],

        ["\x57\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD2"],
        ["\xD7\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x52"],

        ["\x57\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD3"],
        ["\xD7\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x53"],

        ["\x57\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD4"],
        ["\xD7\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x54"],

        ["\x57\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD5"],
        ["\xD7\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x55"],

        ["\x57\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD6"],
        ["\xD7\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x56"],

        ["\x57\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD7"],
        ["\xD7\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x57"],

        ["\x57\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD8"],
        ["\xD7\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x58"],

        ["\x57\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD9"],
        ["\xD7\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x59"],

        ["\x57\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDA"],
        ["\xD7\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x5A"],

        ["\x57\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDB"],
        ["\xD7\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x5B"],

        ["\x57\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDC"],
        ["\xD7\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x5C"],

        ["\x57\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDD"],
        ["\xD7\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x5D"],

        ["\x57\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDE"],
        ["\xD7\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x5E"],

        ["\x57\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDF"],
        ["\xD7\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x5F"],

        ["\x57\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE0"],
        ["\xD7\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x60"],

        ["\x57\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE1"],
        ["\xD7\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x61"],

        ["\x57\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE2"],
        ["\xD7\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x62"],

        ["\x57\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE3"],
        ["\xD7\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x63"],

        ["\x57\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE4"],
        ["\xD7\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x64"],

        ["\x57\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE5"],
        ["\xD7\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x65"],

        ["\x57\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE6"],
        ["\xD7\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x66"],

        ["\x57\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE7"],
        ["\xD7\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x67"],

        ["\x57\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE8"],
        ["\xD7\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x68"],

        ["\x57\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE9"],
        ["\xD7\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x69"],

        ["\x57\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEA"],
        ["\xD7\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x6A"],

        ["\x57\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEB"],
        ["\xD7\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x6B"],

        ["\x57\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEC"],
        ["\xD7\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x6C"],

        ["\x57\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xED"],
        ["\xD7\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x6D"],

        ["\x57\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEE"],
        ["\xD7\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x6E"],

        ["\x57\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEF"],
        ["\xD7\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x6F"],

        ["\x57\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF0"],
        ["\xD7\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x70"],

        ["\x57\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF1"],
        ["\xD7\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x71"],

        ["\x57\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF2"],
        ["\xD7\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x72"],

        ["\x57\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF3"],
        ["\xD7\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x73"],

        ["\x57\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF4"],
        ["\xD7\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x74"],

        ["\x57\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF5"],
        ["\xD7\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x75"],

        ["\x57\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF6"],
        ["\xD7\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x76"],

        ["\x57\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF7"],
        ["\xD7\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x77"],

        ["\x57\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF8"],
        ["\xD7\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x78"],

        ["\x57\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF9"],
        ["\xD7\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x79"],

        ["\x57\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFA"],
        ["\xD7\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x7A"],

        ["\x57\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFB"],
        ["\xD7\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x7B"],

        ["\x57\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFC"],
        ["\xD7\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x7C"],

        ["\x57\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFD"],
        ["\xD7\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x7D"],

        ["\x57\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFE"],
        ["\xD7\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x7E"],

        ["\x58\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA1"],
        ["\xD8\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x21"],

        ["\x58\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA2"],
        ["\xD8\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x22"],

        ["\x58\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA3"],
        ["\xD8\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x23"],

        ["\x58\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA4"],
        ["\xD8\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x24"],

        ["\x58\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA5"],
        ["\xD8\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x25"],

        ["\x58\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA6"],
        ["\xD8\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x26"],

        ["\x58\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA7"],
        ["\xD8\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x27"],

        ["\x58\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA8"],
        ["\xD8\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x28"],

        ["\x58\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA9"],
        ["\xD8\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x29"],

        ["\x58\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAA"],
        ["\xD8\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x2A"],

        ["\x58\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAB"],
        ["\xD8\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x2B"],

        ["\x58\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAC"],
        ["\xD8\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x2C"],

        ["\x58\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAD"],
        ["\xD8\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x2D"],

        ["\x58\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAE"],
        ["\xD8\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x2E"],

        ["\x58\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAF"],
        ["\xD8\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x2F"],

        ["\x58\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB0"],
        ["\xD8\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x30"],

        ["\x58\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB1"],
        ["\xD8\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x31"],

        ["\x58\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB2"],
        ["\xD8\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x32"],

        ["\x58\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB3"],
        ["\xD8\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x33"],

        ["\x58\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB4"],
        ["\xD8\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x34"],

        ["\x58\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB5"],
        ["\xD8\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x35"],

        ["\x58\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB6"],
        ["\xD8\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x36"],

        ["\x58\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB7"],
        ["\xD8\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x37"],

        ["\x58\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB8"],
        ["\xD8\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x38"],

        ["\x58\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB9"],
        ["\xD8\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x39"],

        ["\x58\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBA"],
        ["\xD8\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x3A"],

        ["\x58\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBB"],
        ["\xD8\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x3B"],

        ["\x58\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBC"],
        ["\xD8\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x3C"],

        ["\x58\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBD"],
        ["\xD8\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x3D"],

        ["\x58\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBE"],
        ["\xD8\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x3E"],

        ["\x58\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBF"],
        ["\xD8\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x3F"],

        ["\x58\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC0"],
        ["\xD8\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x40"],

        ["\x58\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC1"],
        ["\xD8\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x41"],

        ["\x58\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC2"],
        ["\xD8\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x42"],

        ["\x58\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC3"],
        ["\xD8\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x43"],

        ["\x58\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC4"],
        ["\xD8\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x44"],

        ["\x58\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC5"],
        ["\xD8\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x45"],

        ["\x58\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC6"],
        ["\xD8\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x46"],

        ["\x58\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC7"],
        ["\xD8\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x47"],

        ["\x58\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC8"],
        ["\xD8\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x48"],

        ["\x58\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC9"],
        ["\xD8\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x49"],

        ["\x58\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCA"],
        ["\xD8\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x4A"],

        ["\x58\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCB"],
        ["\xD8\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x4B"],

        ["\x58\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCC"],
        ["\xD8\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x4C"],

        ["\x58\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCD"],
        ["\xD8\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x4D"],

        ["\x58\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCE"],
        ["\xD8\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x4E"],

        ["\x58\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCF"],
        ["\xD8\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x4F"],

        ["\x58\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD0"],
        ["\xD8\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x50"],

        ["\x58\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD1"],
        ["\xD8\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x51"],

        ["\x58\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD2"],
        ["\xD8\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x52"],

        ["\x58\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD3"],
        ["\xD8\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x53"],

        ["\x58\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD4"],
        ["\xD8\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x54"],

        ["\x58\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD5"],
        ["\xD8\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x55"],

        ["\x58\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD6"],
        ["\xD8\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x56"],

        ["\x58\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD7"],
        ["\xD8\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x57"],

        ["\x58\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD8"],
        ["\xD8\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x58"],

        ["\x58\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD9"],
        ["\xD8\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x59"],

        ["\x58\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDA"],
        ["\xD8\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x5A"],

        ["\x58\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDB"],
        ["\xD8\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x5B"],

        ["\x58\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDC"],
        ["\xD8\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x5C"],

        ["\x58\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDD"],
        ["\xD8\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x5D"],

        ["\x58\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDE"],
        ["\xD8\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x5E"],

        ["\x58\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDF"],
        ["\xD8\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x5F"],

        ["\x58\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE0"],
        ["\xD8\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x60"],

        ["\x58\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE1"],
        ["\xD8\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x61"],

        ["\x58\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE2"],
        ["\xD8\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x62"],

        ["\x58\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE3"],
        ["\xD8\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x63"],

        ["\x58\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE4"],
        ["\xD8\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x64"],

        ["\x58\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE5"],
        ["\xD8\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x65"],

        ["\x58\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE6"],
        ["\xD8\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x66"],

        ["\x58\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE7"],
        ["\xD8\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x67"],

        ["\x58\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE8"],
        ["\xD8\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x68"],

        ["\x58\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE9"],
        ["\xD8\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x69"],

        ["\x58\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEA"],
        ["\xD8\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x6A"],

        ["\x58\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEB"],
        ["\xD8\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x6B"],

        ["\x58\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEC"],
        ["\xD8\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x6C"],

        ["\x58\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xED"],
        ["\xD8\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x6D"],

        ["\x58\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEE"],
        ["\xD8\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x6E"],

        ["\x58\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEF"],
        ["\xD8\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x6F"],

        ["\x58\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF0"],
        ["\xD8\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x70"],

        ["\x58\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF1"],
        ["\xD8\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x71"],

        ["\x58\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF2"],
        ["\xD8\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x72"],

        ["\x58\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF3"],
        ["\xD8\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x73"],

        ["\x58\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF4"],
        ["\xD8\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x74"],

        ["\x58\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF5"],
        ["\xD8\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x75"],

        ["\x58\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF6"],
        ["\xD8\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x76"],

        ["\x58\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF7"],
        ["\xD8\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x77"],

        ["\x58\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF8"],
        ["\xD8\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x78"],

        ["\x58\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF9"],
        ["\xD8\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x79"],

        ["\x58\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFA"],
        ["\xD8\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x7A"],

        ["\x58\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFB"],
        ["\xD8\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x7B"],

        ["\x58\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFC"],
        ["\xD8\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x7C"],

        ["\x58\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFD"],
        ["\xD8\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x7D"],

        ["\x58\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFE"],
        ["\xD8\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x58\x7E"],

        ["\x59\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA1"],
        ["\xD9\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x21"],

        ["\x59\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA2"],
        ["\xD9\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x22"],

        ["\x59\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA3"],
        ["\xD9\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x23"],

        ["\x59\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA4"],
        ["\xD9\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x24"],

        ["\x59\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA5"],
        ["\xD9\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x25"],

        ["\x59\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA6"],
        ["\xD9\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x26"],

        ["\x59\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA7"],
        ["\xD9\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x27"],

        ["\x59\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA8"],
        ["\xD9\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x28"],

        ["\x59\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA9"],
        ["\xD9\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x29"],

        ["\x59\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAA"],
        ["\xD9\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x2A"],

        ["\x59\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAB"],
        ["\xD9\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x2B"],

        ["\x59\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAC"],
        ["\xD9\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x2C"],

        ["\x59\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAD"],
        ["\xD9\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x2D"],

        ["\x59\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAE"],
        ["\xD9\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x2E"],

        ["\x59\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAF"],
        ["\xD9\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x2F"],

        ["\x59\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB0"],
        ["\xD9\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x30"],

        ["\x59\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB1"],
        ["\xD9\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x31"],

        ["\x59\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB2"],
        ["\xD9\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x32"],

        ["\x59\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB3"],
        ["\xD9\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x33"],

        ["\x59\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB4"],
        ["\xD9\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x34"],

        ["\x59\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB5"],
        ["\xD9\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x35"],

        ["\x59\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB6"],
        ["\xD9\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x36"],

        ["\x59\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB7"],
        ["\xD9\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x37"],

        ["\x59\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB8"],
        ["\xD9\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x38"],

        ["\x59\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB9"],
        ["\xD9\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x39"],

        ["\x59\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBA"],
        ["\xD9\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x3A"],

        ["\x59\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBB"],
        ["\xD9\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x3B"],

        ["\x59\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBC"],
        ["\xD9\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x3C"],

        ["\x59\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBD"],
        ["\xD9\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x3D"],

        ["\x59\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBE"],
        ["\xD9\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x3E"],

        ["\x59\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBF"],
        ["\xD9\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x3F"],

        ["\x59\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC0"],
        ["\xD9\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x40"],

        ["\x59\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC1"],
        ["\xD9\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x41"],

        ["\x59\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC2"],
        ["\xD9\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x42"],

        ["\x59\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC3"],
        ["\xD9\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x43"],

        ["\x59\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC4"],
        ["\xD9\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x44"],

        ["\x59\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC5"],
        ["\xD9\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x45"],

        ["\x59\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC6"],
        ["\xD9\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x46"],

        ["\x59\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC7"],
        ["\xD9\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x47"],

        ["\x59\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC8"],
        ["\xD9\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x48"],

        ["\x59\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC9"],
        ["\xD9\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x49"],

        ["\x59\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCA"],
        ["\xD9\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x4A"],

        ["\x59\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCB"],
        ["\xD9\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x4B"],

        ["\x59\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCC"],
        ["\xD9\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x4C"],

        ["\x59\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCD"],
        ["\xD9\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x4D"],

        ["\x59\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCE"],
        ["\xD9\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x4E"],

        ["\x59\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCF"],
        ["\xD9\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x4F"],

        ["\x59\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD0"],
        ["\xD9\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x50"],

        ["\x59\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD1"],
        ["\xD9\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x51"],

        ["\x59\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD2"],
        ["\xD9\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x52"],

        ["\x59\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD3"],
        ["\xD9\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x53"],

        ["\x59\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD4"],
        ["\xD9\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x54"],

        ["\x59\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD5"],
        ["\xD9\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x55"],

        ["\x59\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD6"],
        ["\xD9\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x56"],

        ["\x59\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD7"],
        ["\xD9\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x57"],

        ["\x59\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD8"],
        ["\xD9\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x58"],

        ["\x59\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD9"],
        ["\xD9\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x59"],

        ["\x59\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDA"],
        ["\xD9\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x5A"],

        ["\x59\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDB"],
        ["\xD9\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x5B"],

        ["\x59\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDC"],
        ["\xD9\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x5C"],

        ["\x59\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDD"],
        ["\xD9\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x5D"],

        ["\x59\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDE"],
        ["\xD9\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x5E"],

        ["\x59\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDF"],
        ["\xD9\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x5F"],

        ["\x59\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE0"],
        ["\xD9\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x60"],

        ["\x59\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE1"],
        ["\xD9\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x61"],

        ["\x59\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE2"],
        ["\xD9\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x62"],

        ["\x59\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE3"],
        ["\xD9\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x63"],

        ["\x59\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE4"],
        ["\xD9\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x64"],

        ["\x59\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE5"],
        ["\xD9\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x65"],

        ["\x59\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE6"],
        ["\xD9\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x66"],

        ["\x59\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE7"],
        ["\xD9\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x67"],

        ["\x59\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE8"],
        ["\xD9\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x68"],

        ["\x59\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE9"],
        ["\xD9\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x69"],

        ["\x59\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEA"],
        ["\xD9\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x6A"],

        ["\x59\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEB"],
        ["\xD9\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x6B"],

        ["\x59\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEC"],
        ["\xD9\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x6C"],

        ["\x59\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xED"],
        ["\xD9\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x6D"],

        ["\x59\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEE"],
        ["\xD9\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x6E"],

        ["\x59\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEF"],
        ["\xD9\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x6F"],

        ["\x59\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF0"],
        ["\xD9\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x70"],

        ["\x59\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF1"],
        ["\xD9\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x71"],

        ["\x59\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF2"],
        ["\xD9\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x72"],

        ["\x59\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF3"],
        ["\xD9\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x73"],

        ["\x59\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF4"],
        ["\xD9\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x74"],

        ["\x59\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF5"],
        ["\xD9\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x75"],

        ["\x59\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF6"],
        ["\xD9\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x76"],

        ["\x59\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF7"],
        ["\xD9\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x77"],

        ["\x33\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC9"],
        ["\xB3\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x49"],

        ["\x59\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF9"],
        ["\xD9\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x79"],

        ["\x59\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFA"],
        ["\xD9\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x7A"],

        ["\x59\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFB"],
        ["\xD9\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x7B"],

        ["\x59\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFC"],
        ["\xD9\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x7C"],

        ["\x59\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFD"],
        ["\xD9\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x7D"],

        ["\x59\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFE"],
        ["\xD9\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x59\x7E"],

        ["\x5A\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA1"],
        ["\xDA\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x21"],

        ["\x5A\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA2"],
        ["\xDA\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x22"],

        ["\x5A\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA3"],
        ["\xDA\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x23"],

        ["\x5A\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA4"],
        ["\xDA\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x24"],

        ["\x5A\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA5"],
        ["\xDA\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x25"],

        ["\x5A\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA6"],
        ["\xDA\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x26"],

        ["\x5A\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA7"],
        ["\xDA\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x27"],

        ["\x5A\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA8"],
        ["\xDA\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x28"],

        ["\x5A\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA9"],
        ["\xDA\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x29"],

        ["\x5A\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAA"],
        ["\xDA\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x2A"],

        ["\x5A\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAB"],
        ["\xDA\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x2B"],

        ["\x5A\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAC"],
        ["\xDA\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x2C"],

        ["\x5A\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAD"],
        ["\xDA\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x2D"],

        ["\x5A\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAE"],
        ["\xDA\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x2E"],

        ["\x5A\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAF"],
        ["\xDA\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x2F"],

        ["\x5A\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB0"],
        ["\xDA\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x30"],

        ["\x5A\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB1"],
        ["\xDA\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x31"],

        ["\x5A\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB2"],
        ["\xDA\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x32"],

        ["\x5A\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB3"],
        ["\xDA\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x33"],

        ["\x5A\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB4"],
        ["\xDA\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x34"],

        ["\x5A\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB5"],
        ["\xDA\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x35"],

        ["\x5A\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB6"],
        ["\xDA\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x36"],

        ["\x5A\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB7"],
        ["\xDA\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x37"],

        ["\x5A\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB8"],
        ["\xDA\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x38"],

        ["\x5A\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB9"],
        ["\xDA\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x39"],

        ["\x5A\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBA"],
        ["\xDA\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x3A"],

        ["\x5A\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBB"],
        ["\xDA\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x3B"],

        ["\x5A\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBC"],
        ["\xDA\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x3C"],

        ["\x5A\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBD"],
        ["\xDA\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x3D"],

        ["\x5A\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBE"],
        ["\xDA\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x3E"],

        ["\x5A\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBF"],
        ["\xDA\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x3F"],

        ["\x5A\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC0"],
        ["\xDA\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x40"],

        ["\x5A\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC1"],
        ["\xDA\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x41"],

        ["\x5A\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC2"],
        ["\xDA\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x42"],

        ["\x5A\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC3"],
        ["\xDA\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x43"],

        ["\x5A\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC4"],
        ["\xDA\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x44"],

        ["\x5A\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC5"],
        ["\xDA\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x45"],

        ["\x5A\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC6"],
        ["\xDA\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x46"],

        ["\x5A\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC7"],
        ["\xDA\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x47"],

        ["\x5A\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC8"],
        ["\xDA\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x48"],

        ["\x5A\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC9"],
        ["\xDA\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x49"],

        ["\x5A\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCA"],
        ["\xDA\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x4A"],

        ["\x5A\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCB"],
        ["\xDA\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x4B"],

        ["\x5A\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCC"],
        ["\xDA\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x4C"],

        ["\x5A\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCD"],
        ["\xDA\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x4D"],

        ["\x5A\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCE"],
        ["\xDA\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x4E"],

        ["\x5A\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCF"],
        ["\xDA\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x4F"],

        ["\x5A\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD0"],
        ["\xDA\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x50"],

        ["\x5A\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD1"],
        ["\xDA\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x51"],

        ["\x5A\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD2"],
        ["\xDA\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x52"],

        ["\x5A\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD3"],
        ["\xDA\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x53"],

        ["\x5A\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD4"],
        ["\xDA\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x54"],

        ["\x5A\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD5"],
        ["\xDA\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x55"],

        ["\x5A\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD6"],
        ["\xDA\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x56"],

        ["\x5A\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD7"],
        ["\xDA\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x57"],

        ["\x5A\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD8"],
        ["\xDA\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x58"],

        ["\x5A\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD9"],
        ["\xDA\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x59"],

        ["\x5A\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDA"],
        ["\xDA\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x5A"],

        ["\x5A\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDB"],
        ["\xDA\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x5B"],

        ["\x5A\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDC"],
        ["\xDA\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x5C"],

        ["\x5A\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDD"],
        ["\xDA\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x5D"],

        ["\x5A\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDE"],
        ["\xDA\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x5E"],

        ["\x5A\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDF"],
        ["\xDA\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x5F"],

        ["\x5A\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE0"],
        ["\xDA\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x60"],

        ["\x5A\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE1"],
        ["\xDA\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x61"],

        ["\x5A\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE2"],
        ["\xDA\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x62"],

        ["\x5A\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE3"],
        ["\xDA\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x63"],

        ["\x5A\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE4"],
        ["\xDA\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x64"],

        ["\x5A\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE5"],
        ["\xDA\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x65"],

        ["\x5A\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE6"],
        ["\xDA\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x66"],

        ["\x5A\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE7"],
        ["\xDA\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x67"],

        ["\x5A\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE8"],
        ["\xDA\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x68"],

        ["\x5A\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE9"],
        ["\xDA\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x69"],

        ["\x5A\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEA"],
        ["\xDA\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x6A"],

        ["\x5A\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEB"],
        ["\xDA\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x6B"],

        ["\x5A\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEC"],
        ["\xDA\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x6C"],

        ["\x5A\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xED"],
        ["\xDA\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x6D"],

        ["\x5A\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEE"],
        ["\xDA\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x6E"],

        ["\x5A\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEF"],
        ["\xDA\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x6F"],

        ["\x5A\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF0"],
        ["\xDA\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x70"],

        ["\x5A\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF1"],
        ["\xDA\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x71"],

        ["\x5A\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF2"],
        ["\xDA\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x72"],

        ["\x5A\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF3"],
        ["\xDA\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x73"],

        ["\x5A\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF4"],
        ["\xDA\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x74"],

        ["\x5A\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF5"],
        ["\xDA\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x75"],

        ["\x5A\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF6"],
        ["\xDA\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x76"],

        ["\x5A\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF7"],
        ["\xDA\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x77"],

        ["\x5A\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF8"],
        ["\xDA\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x78"],

        ["\x5A\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF9"],
        ["\xDA\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x79"],

        ["\x5A\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFA"],
        ["\xDA\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x7A"],

        ["\x5A\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFB"],
        ["\xDA\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x7B"],

        ["\x5A\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFC"],
        ["\xDA\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x7C"],

        ["\x5A\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFD"],
        ["\xDA\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x7D"],

        ["\x5A\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFE"],
        ["\xDA\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5A\x7E"],

        ["\x5B\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA1"],
        ["\xDB\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x21"],

        ["\x5B\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA2"],
        ["\xDB\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x22"],

        ["\x5B\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA3"],
        ["\xDB\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x23"],

        ["\x5B\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA4"],
        ["\xDB\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x24"],

        ["\x5B\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA5"],
        ["\xDB\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x25"],

        ["\x5B\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA6"],
        ["\xDB\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x26"],

        ["\x5B\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA7"],
        ["\xDB\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x27"],

        ["\x5B\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA8"],
        ["\xDB\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x28"],

        ["\x5B\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA9"],
        ["\xDB\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x29"],

        ["\x5B\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAA"],
        ["\xDB\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x2A"],

        ["\x5B\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAB"],
        ["\xDB\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x2B"],

        ["\x5B\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAC"],
        ["\xDB\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x2C"],

        ["\x5B\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAD"],
        ["\xDB\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x2D"],

        ["\x5B\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAE"],
        ["\xDB\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x2E"],

        ["\x5B\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAF"],
        ["\xDB\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x2F"],

        ["\x5B\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB0"],
        ["\xDB\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x30"],

        ["\x5B\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB1"],
        ["\xDB\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x31"],

        ["\x5B\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB2"],
        ["\xDB\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x32"],

        ["\x5B\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB3"],
        ["\xDB\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x33"],

        ["\x5B\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB4"],
        ["\xDB\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x34"],

        ["\x5B\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB5"],
        ["\xDB\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x35"],

        ["\x5B\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB6"],
        ["\xDB\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x36"],

        ["\x5B\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB7"],
        ["\xDB\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x37"],

        ["\x5B\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB8"],
        ["\xDB\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x38"],

        ["\x5B\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB9"],
        ["\xDB\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x39"],

        ["\x5B\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBA"],
        ["\xDB\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x3A"],

        ["\x5B\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBB"],
        ["\xDB\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x3B"],

        ["\x5B\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBC"],
        ["\xDB\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x3C"],

        ["\x5B\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBD"],
        ["\xDB\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x3D"],

        ["\x5B\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBE"],
        ["\xDB\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x3E"],

        ["\x5B\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBF"],
        ["\xDB\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x3F"],

        ["\x5B\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC0"],
        ["\xDB\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x40"],

        ["\x5B\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC1"],
        ["\xDB\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x41"],

        ["\x5B\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC2"],
        ["\xDB\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x42"],

        ["\x5B\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC3"],
        ["\xDB\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x43"],

        ["\x5B\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC4"],
        ["\xDB\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x44"],

        ["\x5B\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC5"],
        ["\xDB\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x45"],

        ["\x5B\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC6"],
        ["\xDB\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x46"],

        ["\x5B\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC7"],
        ["\xDB\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x47"],

        ["\x5B\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC8"],
        ["\xDB\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x48"],

        ["\x5B\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC9"],
        ["\xDB\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x49"],

        ["\x5B\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCA"],
        ["\xDB\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x4A"],

        ["\x5B\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCB"],
        ["\xDB\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x4B"],

        ["\x5B\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCC"],
        ["\xDB\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x4C"],

        ["\x5B\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCD"],
        ["\xDB\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x4D"],

        ["\x5B\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCE"],
        ["\xDB\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x4E"],

        ["\x5B\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCF"],
        ["\xDB\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x4F"],

        ["\x5B\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD0"],
        ["\xDB\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x50"],

        ["\x5B\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD1"],
        ["\xDB\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x51"],

        ["\x5B\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD2"],
        ["\xDB\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x52"],

        ["\x5B\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD3"],
        ["\xDB\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x53"],

        ["\x5B\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD4"],
        ["\xDB\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x54"],

        ["\x5B\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD5"],
        ["\xDB\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x55"],

        ["\x5B\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD6"],
        ["\xDB\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x56"],

        ["\x5B\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD7"],
        ["\xDB\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x57"],

        ["\x49\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],
        ["\xC9\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x49\x30"],

        ["\x5B\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD9"],
        ["\xDB\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x59"],

        ["\x5B\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDA"],
        ["\xDB\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x5A"],

        ["\x5B\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDB"],
        ["\xDB\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x5B"],

        ["\x5B\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDC"],
        ["\xDB\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x5C"],

        ["\x5B\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDD"],
        ["\xDB\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x5D"],

        ["\x5B\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDE"],
        ["\xDB\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x5E"],

        ["\x5B\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDF"],
        ["\xDB\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x5F"],

        ["\x5B\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE0"],
        ["\xDB\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x60"],

        ["\x5B\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE1"],
        ["\xDB\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x61"],

        ["\x5B\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE2"],
        ["\xDB\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x62"],

        ["\x5B\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE3"],
        ["\xDB\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x63"],

        ["\x5B\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE4"],
        ["\xDB\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x64"],

        ["\x5B\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE5"],
        ["\xDB\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x65"],

        ["\x5B\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE6"],
        ["\xDB\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x66"],

        ["\x5B\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE7"],
        ["\xDB\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x67"],

        ["\x5B\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE8"],
        ["\xDB\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x68"],

        ["\x5B\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE9"],
        ["\xDB\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x69"],

        ["\x5B\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEA"],
        ["\xDB\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x6A"],

        ["\x5B\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEB"],
        ["\xDB\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x6B"],

        ["\x5B\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEC"],
        ["\xDB\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x6C"],

        ["\x45\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEE"],
        ["\xC5\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x6E"],

        ["\x5B\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEE"],
        ["\xDB\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x6E"],

        ["\x5B\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEF"],
        ["\xDB\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x6F"],

        ["\x5B\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF0"],
        ["\xDB\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x70"],

        ["\x5B\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF1"],
        ["\xDB\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x71"],

        ["\x5B\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF2"],
        ["\xDB\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x72"],

        ["\x5B\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF3"],
        ["\xDB\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x73"],

        ["\x5B\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF4"],
        ["\xDB\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x74"],

        ["\x5B\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF5"],
        ["\xDB\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x75"],

        ["\x5B\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF6"],
        ["\xDB\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x76"],

        ["\x5B\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF7"],
        ["\xDB\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x77"],

        ["\x5B\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF8"],
        ["\xDB\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x78"],

        ["\x5B\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF9"],
        ["\xDB\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x79"],

        ["\x5B\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFA"],
        ["\xDB\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x7A"],

        ["\x5B\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFB"],
        ["\xDB\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x7B"],

        ["\x5B\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFC"],
        ["\xDB\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x7C"],

        ["\x5B\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFD"],
        ["\xDB\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x7D"],

        ["\x5B\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFE"],
        ["\xDB\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5B\x7E"],

        ["\x5C\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA1"],
        ["\xDC\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x21"],

        ["\x5C\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA2"],
        ["\xDC\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x22"],

        ["\x5C\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA3"],
        ["\xDC\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x23"],

        ["\x5C\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA4"],
        ["\xDC\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x24"],

        ["\x5C\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA5"],
        ["\xDC\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x25"],

        ["\x5C\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA6"],
        ["\xDC\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x26"],

        ["\x5C\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA7"],
        ["\xDC\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x27"],

        ["\x5C\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA8"],
        ["\xDC\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x28"],

        ["\x5C\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA9"],
        ["\xDC\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x29"],

        ["\x5C\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAA"],
        ["\xDC\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x2A"],

        ["\x5C\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAB"],
        ["\xDC\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x2B"],

        ["\x5C\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAC"],
        ["\xDC\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x2C"],

        ["\x5C\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAD"],
        ["\xDC\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x2D"],

        ["\x5C\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAE"],
        ["\xDC\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x2E"],

        ["\x5C\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAF"],
        ["\xDC\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x2F"],

        ["\x5C\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB0"],
        ["\xDC\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x30"],

        ["\x5C\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB1"],
        ["\xDC\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x31"],

        ["\x5C\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB2"],
        ["\xDC\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x32"],

        ["\x5C\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB3"],
        ["\xDC\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x33"],

        ["\x5C\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB4"],
        ["\xDC\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x34"],

        ["\x5C\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB5"],
        ["\xDC\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x35"],

        ["\x5C\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB6"],
        ["\xDC\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x36"],

        ["\x5C\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB7"],
        ["\xDC\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x37"],

        ["\x5C\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB8"],
        ["\xDC\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x38"],

        ["\x5C\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB9"],
        ["\xDC\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x39"],

        ["\x5C\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBA"],
        ["\xDC\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x3A"],

        ["\x5C\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBB"],
        ["\xDC\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x3B"],

        ["\x5C\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBC"],
        ["\xDC\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x3C"],

        ["\x5C\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBD"],
        ["\xDC\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x3D"],

        ["\x5C\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBE"],
        ["\xDC\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x3E"],

        ["\x5C\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBF"],
        ["\xDC\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x3F"],

        ["\x5C\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC0"],
        ["\xDC\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x40"],

        ["\x5C\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC1"],
        ["\xDC\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x41"],

        ["\x5C\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC2"],
        ["\xDC\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x42"],

        ["\x5C\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC3"],
        ["\xDC\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x43"],

        ["\x5C\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC4"],
        ["\xDC\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x44"],

        ["\x5C\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC5"],
        ["\xDC\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x45"],

        ["\x5C\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC6"],
        ["\xDC\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x46"],

        ["\x5C\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC7"],
        ["\xDC\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x47"],

        ["\x5C\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC8"],
        ["\xDC\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x48"],

        ["\x5C\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC9"],
        ["\xDC\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x49"],

        ["\x5C\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCA"],
        ["\xDC\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x4A"],

        ["\x5C\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCB"],
        ["\xDC\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x4B"],

        ["\x5C\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCC"],
        ["\xDC\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x4C"],

        ["\x5C\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCD"],
        ["\xDC\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x4D"],

        ["\x5C\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCE"],
        ["\xDC\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x4E"],

        ["\x5C\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCF"],
        ["\xDC\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x4F"],

        ["\x5C\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD0"],
        ["\xDC\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x50"],

        ["\x5C\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD1"],
        ["\xDC\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x51"],

        ["\x5C\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD2"],
        ["\xDC\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x52"],

        ["\x5C\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD3"],
        ["\xDC\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x53"],

        ["\x5C\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD4"],
        ["\xDC\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x54"],

        ["\x5C\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD5"],
        ["\xDC\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x55"],

        ["\x5C\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD6"],
        ["\xDC\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x56"],

        ["\x5C\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD7"],
        ["\xDC\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x57"],

        ["\x5C\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD8"],
        ["\xDC\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x58"],

        ["\x5C\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD9"],
        ["\xDC\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x59"],

        ["\x5C\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDA"],
        ["\xDC\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x5A"],

        ["\x5C\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDB"],
        ["\xDC\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x5B"],

        ["\x5C\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDC"],
        ["\xDC\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x5C"],

        ["\x5C\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDD"],
        ["\xDC\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x5D"],

        ["\x5C\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDE"],
        ["\xDC\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x5E"],

        ["\x5C\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDF"],
        ["\xDC\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x5F"],

        ["\x5C\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE0"],
        ["\xDC\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x60"],

        ["\x5C\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE1"],
        ["\xDC\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x61"],

        ["\x5C\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE2"],
        ["\xDC\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x62"],

        ["\x5C\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE3"],
        ["\xDC\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x63"],

        ["\x5C\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE4"],
        ["\xDC\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x64"],

        ["\x5C\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE5"],
        ["\xDC\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x65"],

        ["\x5C\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE6"],
        ["\xDC\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x66"],

        ["\x5C\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE7"],
        ["\xDC\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x67"],

        ["\x5C\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE8"],
        ["\xDC\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x68"],

        ["\x5C\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE9"],
        ["\xDC\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x69"],

        ["\x5C\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEA"],
        ["\xDC\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x6A"],

        ["\x5C\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEB"],
        ["\xDC\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x6B"],

        ["\x5C\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEC"],
        ["\xDC\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x6C"],

        ["\x5C\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xED"],
        ["\xDC\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x6D"],

        ["\x5C\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEE"],
        ["\xDC\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x6E"],

        ["\x5C\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEF"],
        ["\xDC\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x6F"],

        ["\x5C\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF0"],
        ["\xDC\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x70"],

        ["\x5C\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF1"],
        ["\xDC\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x71"],

        ["\x5C\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF2"],
        ["\xDC\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x72"],

        ["\x5C\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF3"],
        ["\xDC\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x73"],

        ["\x5C\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF4"],
        ["\xDC\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x74"],

        ["\x5C\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF5"],
        ["\xDC\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x75"],

        ["\x5C\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF6"],
        ["\xDC\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x76"],

        ["\x5C\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF7"],
        ["\xDC\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x77"],

        ["\x5C\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF8"],
        ["\xDC\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x78"],

        ["\x5C\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF9"],
        ["\xDC\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x79"],

        ["\x5C\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFA"],
        ["\xDC\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x7A"],

        ["\x5C\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFB"],
        ["\xDC\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x7B"],

        ["\x5C\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFC"],
        ["\xDC\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x7C"],

        ["\x5C\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFD"],
        ["\xDC\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x7D"],

        ["\x5C\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFE"],
        ["\xDC\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5C\x7E"],

        ["\x5D\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA1"],
        ["\xDD\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x21"],

        ["\x5D\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA2"],
        ["\xDD\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x22"],

        ["\x5D\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA3"],
        ["\xDD\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x23"],

        ["\x5D\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA4"],
        ["\xDD\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x24"],

        ["\x5D\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA5"],
        ["\xDD\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x25"],

        ["\x5D\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA6"],
        ["\xDD\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x26"],

        ["\x5D\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA7"],
        ["\xDD\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x27"],

        ["\x5D\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA8"],
        ["\xDD\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x28"],

        ["\x5D\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA9"],
        ["\xDD\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x29"],

        ["\x5D\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAA"],
        ["\xDD\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x2A"],

        ["\x5D\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAB"],
        ["\xDD\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x2B"],

        ["\x5D\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAC"],
        ["\xDD\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x2C"],

        ["\x5D\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAD"],
        ["\xDD\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x2D"],

        ["\x5D\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAE"],
        ["\xDD\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x2E"],

        ["\x5D\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAF"],
        ["\xDD\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x2F"],

        ["\x5D\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB0"],
        ["\xDD\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x30"],

        ["\x5D\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB1"],
        ["\xDD\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x31"],

        ["\x5D\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB2"],
        ["\xDD\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x32"],

        ["\x5D\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB3"],
        ["\xDD\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x33"],

        ["\x5D\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB4"],
        ["\xDD\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x34"],

        ["\x5D\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB5"],
        ["\xDD\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x35"],

        ["\x5D\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB6"],
        ["\xDD\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x36"],

        ["\x5D\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB7"],
        ["\xDD\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x37"],

        ["\x5D\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB8"],
        ["\xDD\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x38"],

        ["\x5D\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB9"],
        ["\xDD\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x39"],

        ["\x5D\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBA"],
        ["\xDD\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x3A"],

        ["\x5D\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBB"],
        ["\xDD\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x3B"],

        ["\x5D\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBC"],
        ["\xDD\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x3C"],

        ["\x5D\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBD"],
        ["\xDD\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x3D"],

        ["\x5D\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBE"],
        ["\xDD\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x3E"],

        ["\x5D\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBF"],
        ["\xDD\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x3F"],

        ["\x5D\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC0"],
        ["\xDD\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x40"],

        ["\x5D\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC1"],
        ["\xDD\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x41"],

        ["\x5D\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC2"],
        ["\xDD\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x42"],

        ["\x5D\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC3"],
        ["\xDD\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x43"],

        ["\x5D\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC4"],
        ["\xDD\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x44"],

        ["\x5D\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC5"],
        ["\xDD\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x45"],

        ["\x5D\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC6"],
        ["\xDD\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x46"],

        ["\x5D\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC7"],
        ["\xDD\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x47"],

        ["\x5D\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC8"],
        ["\xDD\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x48"],

        ["\x5D\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC9"],
        ["\xDD\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x49"],

        ["\x5D\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCA"],
        ["\xDD\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x4A"],

        ["\x5D\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCB"],
        ["\xDD\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x4B"],

        ["\x5D\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCC"],
        ["\xDD\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x4C"],

        ["\x5D\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCD"],
        ["\xDD\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x4D"],

        ["\x5D\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCE"],
        ["\xDD\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x4E"],

        ["\x5D\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCF"],
        ["\xDD\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x4F"],

        ["\x5D\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD0"],
        ["\xDD\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x50"],

        ["\x5D\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD1"],
        ["\xDD\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x51"],

        ["\x5D\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD2"],
        ["\xDD\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x52"],

        ["\x5D\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD3"],
        ["\xDD\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x53"],

        ["\x5D\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD4"],
        ["\xDD\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x54"],

        ["\x5D\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD5"],
        ["\xDD\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x55"],

        ["\x5D\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD6"],
        ["\xDD\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x56"],

        ["\x5D\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD7"],
        ["\xDD\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x57"],

        ["\x5D\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD8"],
        ["\xDD\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x58"],

        ["\x5D\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD9"],
        ["\xDD\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x59"],

        ["\x5D\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDA"],
        ["\xDD\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x5A"],

        ["\x5D\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDB"],
        ["\xDD\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x5B"],

        ["\x5D\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDC"],
        ["\xDD\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x5C"],

        ["\x5D\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDD"],
        ["\xDD\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x5D"],

        ["\x5D\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDE"],
        ["\xDD\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x5E"],

        ["\x5D\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDF"],
        ["\xDD\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x5F"],

        ["\x5D\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE0"],
        ["\xDD\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x60"],

        ["\x5D\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE1"],
        ["\xDD\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x61"],

        ["\x5D\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE2"],
        ["\xDD\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x62"],

        ["\x5D\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE3"],
        ["\xDD\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x63"],

        ["\x5D\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE4"],
        ["\xDD\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x64"],

        ["\x5D\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE5"],
        ["\xDD\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x65"],

        ["\x5D\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE6"],
        ["\xDD\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x66"],

        ["\x5D\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE7"],
        ["\xDD\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x67"],

        ["\x5D\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE8"],
        ["\xDD\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x68"],

        ["\x5D\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE9"],
        ["\xDD\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x69"],

        ["\x5D\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEA"],
        ["\xDD\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x6A"],

        ["\x5D\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEB"],
        ["\xDD\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x6B"],

        ["\x5D\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEC"],
        ["\xDD\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x6C"],

        ["\x5D\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xED"],
        ["\xDD\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x6D"],

        ["\x5D\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEE"],
        ["\xDD\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x6E"],

        ["\x5D\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEF"],
        ["\xDD\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x6F"],

        ["\x5D\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF0"],
        ["\xDD\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x70"],

        ["\x5D\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF1"],
        ["\xDD\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x71"],

        ["\x5D\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF2"],
        ["\xDD\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x72"],

        ["\x5D\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF3"],
        ["\xDD\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x73"],

        ["\x5D\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF4"],
        ["\xDD\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x74"],

        ["\x5D\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF5"],
        ["\xDD\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x75"],

        ["\x5D\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF6"],
        ["\xDD\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x76"],

        ["\x5D\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF7"],
        ["\xDD\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x77"],

        ["\x5D\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF8"],
        ["\xDD\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x78"],

        ["\x5D\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF9"],
        ["\xDD\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x79"],

        ["\x5D\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFA"],
        ["\xDD\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x7A"],

        ["\x5D\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFB"],
        ["\xDD\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x7B"],

        ["\x5D\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFC"],
        ["\xDD\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x7C"],

        ["\x5D\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFD"],
        ["\xDD\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x7D"],

        ["\x5D\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFE"],
        ["\xDD\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5D\x7E"],

        ["\x5E\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA1"],
        ["\xDE\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x21"],

        ["\x5E\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA2"],
        ["\xDE\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x22"],

        ["\x5E\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA3"],
        ["\xDE\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x23"],

        ["\x5E\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA4"],
        ["\xDE\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x24"],

        ["\x5E\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA5"],
        ["\xDE\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x25"],

        ["\x5E\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA6"],
        ["\xDE\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x26"],

        ["\x5E\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA7"],
        ["\xDE\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x27"],

        ["\x5E\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA8"],
        ["\xDE\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x28"],

        ["\x5E\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA9"],
        ["\xDE\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x29"],

        ["\x5E\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAA"],
        ["\xDE\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x2A"],

        ["\x5E\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAB"],
        ["\xDE\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x2B"],

        ["\x5E\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAC"],
        ["\xDE\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x2C"],

        ["\x5E\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAD"],
        ["\xDE\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x2D"],

        ["\x5E\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAE"],
        ["\xDE\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x2E"],

        ["\x5E\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAF"],
        ["\xDE\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x2F"],

        ["\x5E\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB0"],
        ["\xDE\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x30"],

        ["\x5E\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB1"],
        ["\xDE\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x31"],

        ["\x5E\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB2"],
        ["\xDE\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x32"],

        ["\x5E\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB3"],
        ["\xDE\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x33"],

        ["\x5E\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB4"],
        ["\xDE\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x34"],

        ["\x5E\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB5"],
        ["\xDE\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x35"],

        ["\x5E\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB6"],
        ["\xDE\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x36"],

        ["\x5E\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB7"],
        ["\xDE\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x37"],

        ["\x5E\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB8"],
        ["\xDE\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x38"],

        ["\x45\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],
        ["\xC5\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x73"],

        ["\x5E\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBA"],
        ["\xDE\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x3A"],

        ["\x5E\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBB"],
        ["\xDE\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x3B"],

        ["\x5E\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBC"],
        ["\xDE\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x3C"],

        ["\x5E\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBD"],
        ["\xDE\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x3D"],

        ["\x5E\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBE"],
        ["\xDE\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x3E"],

        ["\x5E\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBF"],
        ["\xDE\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x3F"],

        ["\x5E\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC0"],
        ["\xDE\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x40"],

        ["\x5E\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC1"],
        ["\xDE\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x41"],

        ["\x5E\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC2"],
        ["\xDE\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x42"],

        ["\x5E\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC3"],
        ["\xDE\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x43"],

        ["\x5E\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC4"],
        ["\xDE\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x44"],

        ["\x5E\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC5"],
        ["\xDE\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x45"],

        ["\x5E\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC6"],
        ["\xDE\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x46"],

        ["\x5E\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC7"],
        ["\xDE\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x47"],

        ["\x5E\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC8"],
        ["\xDE\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x48"],

        ["\x5E\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC9"],
        ["\xDE\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x49"],

        ["\x5E\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCA"],
        ["\xDE\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x4A"],

        ["\x5E\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCB"],
        ["\xDE\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x4B"],

        ["\x5E\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCC"],
        ["\xDE\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x4C"],

        ["\x5E\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCD"],
        ["\xDE\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x4D"],

        ["\x5E\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCE"],
        ["\xDE\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x4E"],

        ["\x5E\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCF"],
        ["\xDE\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x4F"],

        ["\x5E\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD0"],
        ["\xDE\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x50"],

        ["\x5E\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD1"],
        ["\xDE\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x51"],

        ["\x5E\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD2"],
        ["\xDE\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x52"],

        ["\x5E\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD3"],
        ["\xDE\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x53"],

        ["\x5E\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD4"],
        ["\xDE\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x54"],

        ["\x5E\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD5"],
        ["\xDE\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x55"],

        ["\x5E\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD6"],
        ["\xDE\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x56"],

        ["\x5E\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD7"],
        ["\xDE\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x57"],

        ["\x5E\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD8"],
        ["\xDE\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x58"],

        ["\x5E\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD9"],
        ["\xDE\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x59"],

        ["\x5E\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDA"],
        ["\xDE\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x5A"],

        ["\x5E\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDB"],
        ["\xDE\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x5B"],

        ["\x5E\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDC"],
        ["\xDE\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x5C"],

        ["\x5E\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDD"],
        ["\xDE\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x5D"],

        ["\x5E\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDE"],
        ["\xDE\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x5E"],

        ["\x5E\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDF"],
        ["\xDE\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x5F"],

        ["\x5E\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE0"],
        ["\xDE\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x60"],

        ["\x5E\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE1"],
        ["\xDE\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x61"],

        ["\x5E\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE2"],
        ["\xDE\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x62"],

        ["\x5E\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE3"],
        ["\xDE\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x63"],

        ["\x5E\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE4"],
        ["\xDE\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x64"],

        ["\x5E\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE5"],
        ["\xDE\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x65"],

        ["\x5E\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE6"],
        ["\xDE\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x66"],

        ["\x5E\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE7"],
        ["\xDE\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x67"],

        ["\x5E\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE8"],
        ["\xDE\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x68"],

        ["\x5E\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE9"],
        ["\xDE\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x69"],

        ["\x5E\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEA"],
        ["\xDE\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x6A"],

        ["\x5E\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEB"],
        ["\xDE\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x6B"],

        ["\x5E\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEC"],
        ["\xDE\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x6C"],

        ["\x5E\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xED"],
        ["\xDE\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x6D"],

        ["\x5E\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEE"],
        ["\xDE\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x6E"],

        ["\x5E\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEF"],
        ["\xDE\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x6F"],

        ["\x5E\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF0"],
        ["\xDE\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x70"],

        ["\x5E\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF1"],
        ["\xDE\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x71"],

        ["\x5E\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF2"],
        ["\xDE\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x72"],

        ["\x5E\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF3"],
        ["\xDE\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x73"],

        ["\x5E\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF4"],
        ["\xDE\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x74"],

        ["\x34\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC3"],
        ["\xB4\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x43"],

        ["\x5E\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF6"],
        ["\xDE\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x76"],

        ["\x5E\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF7"],
        ["\xDE\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x77"],

        ["\x5E\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF8"],
        ["\xDE\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x78"],

        ["\x5E\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF9"],
        ["\xDE\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x79"],

        ["\x5E\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFA"],
        ["\xDE\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x7A"],

        ["\x5E\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFB"],
        ["\xDE\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x7B"],

        ["\x5E\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFC"],
        ["\xDE\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x7C"],

        ["\x5E\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFD"],
        ["\xDE\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x7D"],

        ["\x5E\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFE"],
        ["\xDE\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5E\x7E"],

        ["\x5F\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA1"],
        ["\xDF\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x21"],

        ["\x5F\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA2"],
        ["\xDF\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x22"],

        ["\x5F\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA3"],
        ["\xDF\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x23"],

        ["\x5F\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA4"],
        ["\xDF\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x24"],

        ["\x5F\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA5"],
        ["\xDF\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x25"],

        ["\x5F\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA6"],
        ["\xDF\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x26"],

        ["\x5F\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA7"],
        ["\xDF\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x27"],

        ["\x5F\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA8"],
        ["\xDF\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x28"],

        ["\x5F\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA9"],
        ["\xDF\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x29"],

        ["\x5F\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAA"],
        ["\xDF\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x2A"],

        ["\x5F\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAB"],
        ["\xDF\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x2B"],

        ["\x5F\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAC"],
        ["\xDF\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x2C"],

        ["\x5F\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAD"],
        ["\xDF\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x2D"],

        ["\x5F\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAE"],
        ["\xDF\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x2E"],

        ["\x5F\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAF"],
        ["\xDF\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x2F"],

        ["\x5F\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB0"],
        ["\xDF\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x30"],

        ["\x5F\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB1"],
        ["\xDF\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x31"],

        ["\x5F\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB2"],
        ["\xDF\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x32"],

        ["\x5F\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB3"],
        ["\xDF\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x33"],

        ["\x5F\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB4"],
        ["\xDF\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x34"],

        ["\x5F\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB5"],
        ["\xDF\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x35"],

        ["\x5F\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB6"],
        ["\xDF\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x36"],

        ["\x5F\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB7"],
        ["\xDF\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x37"],

        ["\x5F\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB8"],
        ["\xDF\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x38"],

        ["\x5F\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB9"],
        ["\xDF\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x39"],

        ["\x5F\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBA"],
        ["\xDF\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x3A"],

        ["\x5F\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBB"],
        ["\xDF\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x3B"],

        ["\x5F\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBC"],
        ["\xDF\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x3C"],

        ["\x5F\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBD"],
        ["\xDF\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x3D"],

        ["\x5F\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBE"],
        ["\xDF\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x3E"],

        ["\x5F\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBF"],
        ["\xDF\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x3F"],

        ["\x5F\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC0"],
        ["\xDF\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x40"],

        ["\x5F\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC1"],
        ["\xDF\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x41"],

        ["\x5F\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC2"],
        ["\xDF\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x42"],

        ["\x5F\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC3"],
        ["\xDF\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x43"],

        ["\x5F\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC4"],
        ["\xDF\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x44"],

        ["\x5F\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC5"],
        ["\xDF\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x45"],

        ["\x5F\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC6"],
        ["\xDF\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x46"],

        ["\x5F\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC7"],
        ["\xDF\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x47"],

        ["\x5F\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC8"],
        ["\xDF\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x48"],

        ["\x5F\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC9"],
        ["\xDF\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x49"],

        ["\x5F\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCA"],
        ["\xDF\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x4A"],

        ["\x5F\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCB"],
        ["\xDF\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x4B"],

        ["\x5F\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCC"],
        ["\xDF\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x4C"],

        ["\x5F\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCD"],
        ["\xDF\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x4D"],

        ["\x5F\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCE"],
        ["\xDF\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x4E"],

        ["\x5F\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCF"],
        ["\xDF\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x4F"],

        ["\x5F\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD0"],
        ["\xDF\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x50"],

        ["\x5F\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD1"],
        ["\xDF\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x51"],

        ["\x5F\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD2"],
        ["\xDF\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x52"],

        ["\x5F\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD3"],
        ["\xDF\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x53"],

        ["\x5F\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD4"],
        ["\xDF\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x54"],

        ["\x5F\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD5"],
        ["\xDF\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x55"],

        ["\x5F\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD6"],
        ["\xDF\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x56"],

        ["\x5F\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD7"],
        ["\xDF\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x57"],

        ["\x5F\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD8"],
        ["\xDF\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x58"],

        ["\x5F\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD9"],
        ["\xDF\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x59"],

        ["\x5F\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDA"],
        ["\xDF\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x5A"],

        ["\x5F\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDB"],
        ["\xDF\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x5B"],

        ["\x5F\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDC"],
        ["\xDF\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x5C"],

        ["\x5F\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDD"],
        ["\xDF\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x5D"],

        ["\x5F\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDE"],
        ["\xDF\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x5E"],

        ["\x5F\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDF"],
        ["\xDF\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x5F"],

        ["\x5F\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE0"],
        ["\xDF\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x60"],

        ["\x5F\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE1"],
        ["\xDF\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x61"],

        ["\x5F\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE2"],
        ["\xDF\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x62"],

        ["\x5F\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE3"],
        ["\xDF\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x63"],

        ["\x5F\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE4"],
        ["\xDF\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x64"],

        ["\x5F\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE5"],
        ["\xDF\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x65"],

        ["\x5F\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE6"],
        ["\xDF\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x66"],

        ["\x5F\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE7"],
        ["\xDF\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x67"],

        ["\x5F\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE8"],
        ["\xDF\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x68"],

        ["\x5F\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE9"],
        ["\xDF\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x69"],

        ["\x5F\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEA"],
        ["\xDF\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x6A"],

        ["\x5F\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEB"],
        ["\xDF\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x6B"],

        ["\x5F\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEC"],
        ["\xDF\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x6C"],

        ["\x5F\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xED"],
        ["\xDF\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x6D"],

        ["\x5F\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEE"],
        ["\xDF\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x6E"],

        ["\x5F\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEF"],
        ["\xDF\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x6F"],

        ["\x5F\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF0"],
        ["\xDF\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x70"],

        ["\x5F\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF1"],
        ["\xDF\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x71"],

        ["\x5F\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF2"],
        ["\xDF\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x72"],

        ["\x5F\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF3"],
        ["\xDF\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x73"],

        ["\x5F\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF4"],
        ["\xDF\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x74"],

        ["\x5F\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF5"],
        ["\xDF\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x75"],

        ["\x5F\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF6"],
        ["\xDF\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x76"],

        ["\x5F\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF7"],
        ["\xDF\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x77"],

        ["\x5F\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF8"],
        ["\xDF\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x78"],

        ["\x5F\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF9"],
        ["\xDF\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x79"],

        ["\x5F\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFA"],
        ["\xDF\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x7A"],

        ["\x5F\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFB"],
        ["\xDF\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x7B"],

        ["\x5F\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFC"],
        ["\xDF\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x7C"],

        ["\x5F\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFD"],
        ["\xDF\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x7D"],

        ["\x5F\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFE"],
        ["\xDF\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x5F\x7E"],

        ["\x60\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA1"],
        ["\xE0\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x21"],

        ["\x60\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA2"],
        ["\xE0\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x22"],

        ["\x60\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA3"],
        ["\xE0\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x23"],

        ["\x60\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA4"],
        ["\xE0\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x24"],

        ["\x60\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA5"],
        ["\xE0\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x25"],

        ["\x60\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA6"],
        ["\xE0\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x26"],

        ["\x60\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA7"],
        ["\xE0\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x27"],

        ["\x60\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA8"],
        ["\xE0\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x28"],

        ["\x60\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA9"],
        ["\xE0\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x29"],

        ["\x60\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAA"],
        ["\xE0\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x2A"],

        ["\x60\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAB"],
        ["\xE0\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x2B"],

        ["\x60\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],
        ["\xE0\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x2C"],

        ["\x60\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAD"],
        ["\xE0\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x2D"],

        ["\x60\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAE"],
        ["\xE0\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x2E"],

        ["\x60\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAF"],
        ["\xE0\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x2F"],

        ["\x60\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB0"],
        ["\xE0\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x30"],

        ["\x60\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB1"],
        ["\xE0\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x31"],

        ["\x60\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB2"],
        ["\xE0\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x32"],

        ["\x60\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB3"],
        ["\xE0\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x33"],

        ["\x60\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB4"],
        ["\xE0\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x34"],

        ["\x60\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB5"],
        ["\xE0\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x35"],

        ["\x60\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB6"],
        ["\xE0\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x36"],

        ["\x60\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB7"],
        ["\xE0\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x37"],

        ["\x60\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB8"],
        ["\xE0\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x38"],

        ["\x60\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB9"],
        ["\xE0\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x39"],

        ["\x60\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBA"],
        ["\xE0\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x3A"],

        ["\x60\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBB"],
        ["\xE0\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x3B"],

        ["\x60\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBC"],
        ["\xE0\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x3C"],

        ["\x60\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBD"],
        ["\xE0\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x3D"],

        ["\x60\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBE"],
        ["\xE0\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x3E"],

        ["\x60\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBF"],
        ["\xE0\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x3F"],

        ["\x60\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC0"],
        ["\xE0\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x40"],

        ["\x60\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],
        ["\xE0\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x41"],

        ["\x60\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],
        ["\xE0\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x42"],

        ["\x60\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],
        ["\xE0\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x43"],

        ["\x60\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],
        ["\xE0\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x44"],

        ["\x60\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],
        ["\xE0\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x45"],

        ["\x60\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],
        ["\xE0\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x46"],

        ["\x60\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],
        ["\xE0\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x47"],

        ["\x60\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],
        ["\xE0\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x48"],

        ["\x60\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],
        ["\xE0\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x49"],

        ["\x60\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCA"],
        ["\xE0\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x4A"],

        ["\x60\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCB"],
        ["\xE0\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x4B"],

        ["\x60\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCC"],
        ["\xE0\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x4C"],

        ["\x60\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCD"],
        ["\xE0\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x4D"],

        ["\x60\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCE"],
        ["\xE0\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x4E"],

        ["\x60\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCF"],
        ["\xE0\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x4F"],

        ["\x60\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD0"],
        ["\xE0\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x50"],

        ["\x60\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],
        ["\xE0\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x51"],

        ["\x60\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],
        ["\xE0\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x52"],

        ["\x60\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],
        ["\xE0\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x53"],

        ["\x60\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],
        ["\xE0\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x54"],

        ["\x60\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],
        ["\xE0\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x55"],

        ["\x60\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],
        ["\xE0\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x56"],

        ["\x60\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],
        ["\xE0\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x57"],

        ["\x60\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],
        ["\xE0\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x58"],

        ["\x60\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],
        ["\xE0\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x59"],

        ["\x60\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDA"],
        ["\xE0\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x5A"],

        ["\x60\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDB"],
        ["\xE0\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x5B"],

        ["\x60\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDC"],
        ["\xE0\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x5C"],

        ["\x60\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDD"],
        ["\xE0\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x5D"],

        ["\x60\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDE"],
        ["\xE0\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x5E"],

        ["\x60\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDF"],
        ["\xE0\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x5F"],

        ["\x60\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],
        ["\xE0\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x60"],

        ["\x60\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE1"],
        ["\xE0\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x61"],

        ["\x60\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],
        ["\xE0\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x62"],

        ["\x60\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],
        ["\xE0\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x63"],

        ["\x60\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],
        ["\xE0\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x64"],

        ["\x60\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],
        ["\xE0\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x65"],

        ["\x60\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],
        ["\xE0\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x66"],

        ["\x60\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],
        ["\xE0\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x67"],

        ["\x60\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],
        ["\xE0\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x68"],

        ["\x60\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],
        ["\xE0\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x69"],

        ["\x60\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEA"],
        ["\xE0\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x6A"],

        ["\x60\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEB"],
        ["\xE0\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x6B"],

        ["\x60\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEC"],
        ["\xE0\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x6C"],

        ["\x60\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xED"],
        ["\xE0\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x6D"],

        ["\x60\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],
        ["\xE0\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x6E"],

        ["\x60\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],
        ["\xE0\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x6F"],

        ["\x60\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],
        ["\xE0\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x70"],

        ["\x60\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],
        ["\xE0\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x71"],

        ["\x60\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],
        ["\xE0\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x72"],

        ["\x60\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],
        ["\xE0\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x73"],

        ["\x60\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],
        ["\xE0\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x74"],

        ["\x60\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],
        ["\xE0\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x75"],

        ["\xC4\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xA2"],
        ["\x59\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],

        ["\x60\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],
        ["\xE0\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x77"],

        ["\x60\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],
        ["\xE0\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x78"],

        ["\x60\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],
        ["\xE0\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x79"],

        ["\x60\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],
        ["\xE0\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x7A"],

        ["\x60\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],
        ["\xE0\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x7B"],

        ["\x60\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],
        ["\xE0\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x7C"],

        ["\x60\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFD"],
        ["\xE0\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x7D"],

        ["\x60\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFE"],
        ["\xE0\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x7E"],

        ["\x61\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA1"],
        ["\xE1\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x21"],

        ["\x61\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA2"],
        ["\xE1\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x22"],

        ["\x61\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA3"],
        ["\xE1\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x23"],

        ["\x61\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA4"],
        ["\xE1\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x24"],

        ["\x61\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA5"],
        ["\xE1\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x25"],

        ["\x61\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA6"],
        ["\xE1\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x26"],

        ["\x61\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA7"],
        ["\xE1\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x27"],

        ["\x61\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA8"],
        ["\xE1\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x28"],

        ["\x61\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA9"],
        ["\xE1\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x29"],

        ["\x61\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAA"],
        ["\xE1\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x2A"],

        ["\x61\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAB"],
        ["\xE1\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x2B"],

        ["\x61\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAC"],
        ["\xE1\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x2C"],

        ["\x61\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAD"],
        ["\xE1\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x2D"],

        ["\x61\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAE"],
        ["\xE1\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x2E"],

        ["\x61\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAF"],
        ["\xE1\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x2F"],

        ["\x61\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB0"],
        ["\xE1\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x30"],

        ["\x61\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB1"],
        ["\xE1\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x31"],

        ["\x61\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB2"],
        ["\xE1\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x32"],

        ["\x61\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB3"],
        ["\xE1\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x33"],

        ["\x61\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB4"],
        ["\xE1\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x34"],

        ["\x61\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB5"],
        ["\xE1\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x35"],

        ["\x61\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB6"],
        ["\xE1\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x36"],

        ["\x61\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB7"],
        ["\xE1\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x37"],

        ["\x61\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8"],
        ["\xE1\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x38"],

        ["\x61\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB9"],
        ["\xE1\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x39"],

        ["\x61\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBA"],
        ["\xE1\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x3A"],

        ["\x61\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBB"],
        ["\xE1\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x3B"],

        ["\x61\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBC"],
        ["\xE1\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x3C"],

        ["\x61\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD"],
        ["\xE1\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x3D"],

        ["\x61\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBE"],
        ["\xE1\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x3E"],

        ["\x61\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBF"],
        ["\xE1\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x3F"],

        ["\x61\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC0"],
        ["\xE1\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x40"],

        ["\x61\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC1"],
        ["\xE1\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x41"],

        ["\x61\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC2"],
        ["\xE1\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x42"],

        ["\x61\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC3"],
        ["\xE1\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x43"],

        ["\x61\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC4"],
        ["\xE1\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x44"],

        ["\x61\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC5"],
        ["\xE1\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x45"],

        ["\x61\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC6"],
        ["\xE1\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x46"],

        ["\x61\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC7"],
        ["\xE1\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x47"],

        ["\x61\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC8"],
        ["\xE1\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x48"],

        ["\x61\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC9"],
        ["\xE1\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x49"],

        ["\x61\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCA"],
        ["\xE1\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x4A"],

        ["\x61\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCB"],
        ["\xE1\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x4B"],

        ["\x61\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCC"],
        ["\xE1\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x4C"],

        ["\x61\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCD"],
        ["\xE1\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x4D"],

        ["\x61\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCE"],
        ["\xE1\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x4E"],

        ["\x61\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCF"],
        ["\xE1\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x4F"],

        ["\x61\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD0"],
        ["\xE1\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x50"],

        ["\x61\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD1"],
        ["\xE1\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x51"],

        ["\x61\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD2"],
        ["\xE1\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x52"],

        ["\x61\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD3"],
        ["\xE1\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x53"],

        ["\x61\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD4"],
        ["\xE1\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x54"],

        ["\x61\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD5"],
        ["\xE1\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x55"],

        ["\x61\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD6"],
        ["\xE1\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x56"],

        ["\x61\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD7"],
        ["\xE1\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x57"],

        ["\x61\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD8"],
        ["\xE1\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x58"],

        ["\x61\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD9"],
        ["\xE1\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x59"],

        ["\x61\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDA"],
        ["\xE1\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x5A"],

        ["\x61\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDB"],
        ["\xE1\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x5B"],

        ["\x61\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDC"],
        ["\xE1\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x5C"],

        ["\x61\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDD"],
        ["\xE1\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x5D"],

        ["\x61\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDE"],
        ["\xE1\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x5E"],

        ["\x61\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDF"],
        ["\xE1\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x5F"],

        ["\x61\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE0"],
        ["\xE1\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x60"],

        ["\x61\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE1"],
        ["\xE1\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x61"],

        ["\x61\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE2"],
        ["\xE1\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x62"],

        ["\x61\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE3"],
        ["\xE1\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x63"],

        ["\x61\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE4"],
        ["\xE1\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x64"],

        ["\x61\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE5"],
        ["\xE1\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x65"],

        ["\x61\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE6"],
        ["\xE1\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x66"],

        ["\x61\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE7"],
        ["\xE1\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x67"],

        ["\x61\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE8"],
        ["\xE1\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x68"],

        ["\x61\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE9"],
        ["\xE1\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x69"],

        ["\x61\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEA"],
        ["\xE1\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x6A"],

        ["\x61\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEB"],
        ["\xE1\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x6B"],

        ["\x61\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEC"],
        ["\xE1\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x6C"],

        ["\x61\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xED"],
        ["\xE1\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x6D"],

        ["\x61\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEE"],
        ["\xE1\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x6E"],

        ["\x61\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEF"],
        ["\xE1\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x6F"],

        ["\x61\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF0"],
        ["\xE1\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x70"],

        ["\x61\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF1"],
        ["\xE1\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x71"],

        ["\x61\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF2"],
        ["\xE1\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x72"],

        ["\x61\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF3"],
        ["\xE1\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x73"],

        ["\x61\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF4"],
        ["\xE1\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x74"],

        ["\x61\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF5"],
        ["\xE1\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x75"],

        ["\x61\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF6"],
        ["\xE1\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x76"],

        ["\x61\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF7"],
        ["\xE1\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x77"],

        ["\x61\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF8"],
        ["\xE1\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x78"],

        ["\x61\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF9"],
        ["\xE1\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x79"],

        ["\x61\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFA"],
        ["\xE1\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x7A"],

        ["\x61\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFB"],
        ["\xE1\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x7B"],

        ["\x61\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFC"],
        ["\xE1\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x7C"],

        ["\x61\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFD"],
        ["\xE1\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x7D"],

        ["\x61\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFE"],
        ["\xE1\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x61\x7E"],

        ["\x62\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],
        ["\xE2\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x21"],

        ["\x62\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA2"],
        ["\xE2\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x22"],

        ["\x62\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA3"],
        ["\xE2\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x23"],

        ["\x62\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4"],
        ["\xE2\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x24"],

        ["\x62\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA5"],
        ["\xE2\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x25"],

        ["\x62\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6"],
        ["\xE2\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x26"],

        ["\x62\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7"],
        ["\xE2\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x27"],

        ["\x62\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA8"],
        ["\xE2\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x28"],

        ["\x62\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA9"],
        ["\xE2\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x29"],

        ["\x62\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAA"],
        ["\xE2\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x2A"],

        ["\x62\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],
        ["\xE2\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x2B"],

        ["\x62\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAC"],
        ["\xE2\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x2C"],

        ["\x62\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAD"],
        ["\xE2\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x2D"],

        ["\x62\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAE"],
        ["\xE2\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x2E"],

        ["\x62\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAF"],
        ["\xE2\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x2F"],

        ["\x62\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],
        ["\xE2\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x30"],

        ["\x62\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB1"],
        ["\xE2\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x31"],

        ["\x62\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB2"],
        ["\xE2\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x32"],

        ["\x62\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB3"],
        ["\xE2\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x33"],

        ["\x62\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB4"],
        ["\xE2\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x34"],

        ["\x62\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB5"],
        ["\xE2\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x35"],

        ["\x62\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB6"],
        ["\xE2\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x36"],

        ["\x62\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB7"],
        ["\xE2\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x37"],

        ["\x62\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB8"],
        ["\xE2\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x38"],

        ["\x62\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB9"],
        ["\xE2\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x39"],

        ["\x62\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBA"],
        ["\xE2\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x3A"],

        ["\x62\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBB"],
        ["\xE2\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x3B"],

        ["\x62\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBC"],
        ["\xE2\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x3C"],

        ["\x62\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBD"],
        ["\xE2\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x3D"],

        ["\x62\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBE"],
        ["\xE2\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x3E"],

        ["\x62\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBF"],
        ["\xE2\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x3F"],

        ["\x62\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],
        ["\xE2\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x40"],

        ["\x62\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],
        ["\xE2\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x41"],

        ["\x62\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],
        ["\xE2\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x42"],

        ["\x62\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],
        ["\xE2\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x43"],

        ["\x62\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],
        ["\xE2\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x44"],

        ["\x62\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],
        ["\xE2\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x45"],

        ["\x62\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],
        ["\xE2\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x46"],

        ["\x62\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],
        ["\xE2\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x47"],

        ["\x62\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],
        ["\xE2\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x48"],

        ["\x62\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],
        ["\xE2\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x49"],

        ["\x62\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCA"],
        ["\xE2\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x4A"],

        ["\x62\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCB"],
        ["\xE2\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x4B"],

        ["\x62\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCC"],
        ["\xE2\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x4C"],

        ["\x62\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCD"],
        ["\xE2\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x4D"],

        ["\x62\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCE"],
        ["\xE2\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x4E"],

        ["\x62\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCF"],
        ["\xE2\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x4F"],

        ["\x62\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],
        ["\xE2\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x50"],

        ["\x62\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],
        ["\xE2\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x51"],

        ["\x62\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],
        ["\xE2\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x52"],

        ["\x62\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],
        ["\xE2\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x53"],

        ["\x62\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],
        ["\xE2\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x54"],

        ["\x62\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],
        ["\xE2\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x55"],

        ["\x62\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],
        ["\xE2\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x56"],

        ["\x62\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],
        ["\xE2\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x57"],

        ["\x62\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],
        ["\xE2\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x58"],

        ["\x62\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],
        ["\xE2\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x59"],

        ["\x62\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDA"],
        ["\xE2\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x5A"],

        ["\x62\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDB"],
        ["\xE2\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x5B"],

        ["\x62\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDC"],
        ["\xE2\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x5C"],

        ["\x62\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDD"],
        ["\xE2\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x5D"],

        ["\x62\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDE"],
        ["\xE2\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x5E"],

        ["\x62\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDF"],
        ["\xE2\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x5F"],

        ["\x62\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],
        ["\xE2\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x60"],

        ["\x62\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],
        ["\xE2\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x61"],

        ["\x62\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],
        ["\xE2\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x62"],

        ["\x62\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],
        ["\xE2\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x63"],

        ["\x62\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],
        ["\xE2\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x64"],

        ["\x62\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],
        ["\xE2\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x65"],

        ["\x62\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],
        ["\xE2\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x66"],

        ["\x62\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],
        ["\xE2\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x67"],

        ["\x39\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDC"],
        ["\xB9\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x5C"],

        ["\x62\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],
        ["\xE2\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x69"],

        ["\x45\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD7"],
        ["\xC5\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x57"],

        ["\x62\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],
        ["\xE2\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x6B"],

        ["\x62\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],
        ["\xE2\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x6C"],

        ["\x62\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],
        ["\xE2\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x6D"],

        ["\x62\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],
        ["\xE2\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x6E"],

        ["\x62\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],
        ["\xE2\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x6F"],

        ["\x62\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],
        ["\xE2\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x70"],

        ["\x62\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],
        ["\xE2\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x71"],

        ["\x62\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],
        ["\xE2\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x72"],

        ["\x62\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],
        ["\xE2\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x73"],

        ["\x62\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],
        ["\xE2\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x74"],

        ["\x62\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],
        ["\xE2\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x75"],

        ["\x62\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],
        ["\xE2\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x76"],

        ["\x62\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],
        ["\xE2\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x77"],

        ["\x62\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],
        ["\xE2\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x78"],

        ["\x62\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],
        ["\xE2\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x79"],

        ["\x62\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFA"],
        ["\xE2\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x7A"],

        ["\x62\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],
        ["\xE2\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x7B"],

        ["\x62\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],
        ["\xE2\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x7C"],

        ["\x62\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFD"],
        ["\xE2\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x7D"],

        ["\x62\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFE"],
        ["\xE2\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x62\x7E"],

        ["\x63\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],
        ["\xE3\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x21"],

        ["\x63\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA2"],
        ["\xE3\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x22"],

        ["\x63\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3"],
        ["\xE3\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x23"],

        ["\x63\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4"],
        ["\xE3\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x24"],

        ["\x63\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5"],
        ["\xE3\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x25"],

        ["\x63\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA6"],
        ["\xE3\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x26"],

        ["\x63\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA7"],
        ["\xE3\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x27"],

        ["\x63\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA8"],
        ["\xE3\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x28"],

        ["\x63\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9"],
        ["\xE3\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x29"],

        ["\x63\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAA"],
        ["\xE3\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x2A"],

        ["\x63\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],
        ["\xE3\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x2B"],

        ["\x63\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC"],
        ["\xE3\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x2C"],

        ["\x63\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD"],
        ["\xE3\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x2D"],

        ["\x63\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE"],
        ["\xE3\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x2E"],

        ["\x63\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF"],
        ["\xE3\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x2F"],

        ["\x63\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],
        ["\xE3\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x30"],

        ["\x63\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB1"],
        ["\xE3\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x31"],

        ["\x63\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB2"],
        ["\xE3\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x32"],

        ["\x63\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3"],
        ["\xE3\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x33"],

        ["\x63\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4"],
        ["\xE3\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x34"],

        ["\x63\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5"],
        ["\xE3\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x35"],

        ["\x63\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6"],
        ["\xE3\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x36"],

        ["\x63\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7"],
        ["\xE3\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x37"],

        ["\x63\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8"],
        ["\xE3\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x38"],

        ["\x63\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9"],
        ["\xE3\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x39"],

        ["\x63\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA"],
        ["\xE3\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x3A"],

        ["\x63\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBB"],
        ["\xE3\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x3B"],

        ["\x63\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBC"],
        ["\xE3\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x3C"],

        ["\x63\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD"],
        ["\xE3\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x3D"],

        ["\x63\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE"],
        ["\xE3\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x3E"],

        ["\x63\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF"],
        ["\xE3\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x3F"],

        ["\x63\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],
        ["\xE3\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x40"],

        ["\x63\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],
        ["\xE3\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x41"],

        ["\x63\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],
        ["\xE3\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x42"],

        ["\x63\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],
        ["\xE3\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x43"],

        ["\x63\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],
        ["\xE3\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x44"],

        ["\x63\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],
        ["\xE3\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x45"],

        ["\x63\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],
        ["\xE3\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x46"],

        ["\x63\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],
        ["\xE3\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x47"],

        ["\x63\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],
        ["\xE3\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x48"],

        ["\x63\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],
        ["\xE3\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x49"],

        ["\x63\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCA"],
        ["\xE3\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x4A"],

        ["\x63\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCB"],
        ["\xE3\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x4B"],

        ["\x63\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCC"],
        ["\xE3\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x4C"],

        ["\x63\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCD"],
        ["\xE3\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x4D"],

        ["\x63\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCE"],
        ["\xE3\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x4E"],

        ["\x63\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCF"],
        ["\xE3\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x4F"],

        ["\x63\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],
        ["\xE3\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x50"],

        ["\x63\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],
        ["\xE3\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x51"],

        ["\x63\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],
        ["\xE3\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x52"],

        ["\x63\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],
        ["\xE3\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x53"],

        ["\x63\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],
        ["\xE3\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x54"],

        ["\x63\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],
        ["\xE3\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x55"],

        ["\x63\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],
        ["\xE3\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x56"],

        ["\x63\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],
        ["\xE3\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x57"],

        ["\x63\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],
        ["\xE3\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x58"],

        ["\x63\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],
        ["\xE3\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x59"],

        ["\x63\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDA"],
        ["\xE3\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x5A"],

        ["\x63\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDB"],
        ["\xE3\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x5B"],

        ["\x63\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDC"],
        ["\xE3\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x5C"],

        ["\x63\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDD"],
        ["\xE3\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x5D"],

        ["\x33\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF6"],
        ["\xB3\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x76"],

        ["\x63\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDF"],
        ["\xE3\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x5F"],

        ["\x63\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],
        ["\xE3\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x60"],

        ["\x63\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],
        ["\xE3\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x61"],

        ["\x63\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],
        ["\xE3\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x62"],

        ["\x63\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],
        ["\xE3\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x63"],

        ["\x63\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],
        ["\xE3\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x64"],

        ["\x63\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],
        ["\xE3\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x65"],

        ["\x63\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],
        ["\xE3\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x66"],

        ["\x63\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],
        ["\xE3\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x67"],

        ["\x63\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],
        ["\xE3\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x68"],

        ["\x63\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],
        ["\xE3\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x69"],

        ["\x63\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEA"],
        ["\xE3\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x6A"],

        ["\x63\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEB"],
        ["\xE3\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x6B"],

        ["\x63\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],
        ["\xE3\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x6C"],

        ["\x63\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],
        ["\xE3\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x6D"],

        ["\x63\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEE"],
        ["\xE3\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x6E"],

        ["\x63\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEF"],
        ["\xE3\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x6F"],

        ["\x63\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],
        ["\xE3\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x70"],

        ["\x63\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],
        ["\xE3\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x71"],

        ["\x63\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],
        ["\xE3\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x72"],

        ["\x63\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],
        ["\xE3\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x73"],

        ["\x63\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],
        ["\xE3\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x74"],

        ["\x63\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],
        ["\xE3\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x75"],

        ["\x63\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],
        ["\xE3\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x76"],

        ["\x63\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],
        ["\xE3\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x77"],

        ["\x63\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],
        ["\xE3\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x78"],

        ["\x63\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],
        ["\xE3\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x79"],

        ["\x63\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],
        ["\xE3\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x7A"],

        ["\x63\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFB"],
        ["\xE3\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x7B"],

        ["\x63\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFC"],
        ["\xE3\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x7C"],

        ["\x63\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFD"],
        ["\xE3\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x7D"],

        ["\x63\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFE"],
        ["\xE3\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x63\x7E"],

        ["\x64\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],
        ["\xE4\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x21"],

        ["\x64\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2"],
        ["\xE4\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x22"],

        ["\x64\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA3"],
        ["\xE4\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x23"],

        ["\x64\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA4"],
        ["\xE4\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x24"],

        ["\x64\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA5"],
        ["\xE4\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x25"],

        ["\x64\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6"],
        ["\xE4\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x26"],

        ["\x64\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7"],
        ["\xE4\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x27"],

        ["\x64\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8"],
        ["\xE4\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x28"],

        ["\x64\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA9"],
        ["\xE4\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x29"],

        ["\x64\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA"],
        ["\xE4\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x2A"],

        ["\x64\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],
        ["\xE4\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x2B"],

        ["\x64\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC"],
        ["\xE4\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x2C"],

        ["\x64\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAD"],
        ["\xE4\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x2D"],

        ["\x64\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAE"],
        ["\xE4\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x2E"],

        ["\x64\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF"],
        ["\xE4\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x2F"],

        ["\x64\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],
        ["\xE4\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x30"],

        ["\x64\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB1"],
        ["\xE4\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x31"],

        ["\x64\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB2"],
        ["\xE4\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x32"],

        ["\x64\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3"],
        ["\xE4\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x33"],

        ["\x64\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4"],
        ["\xE4\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x34"],

        ["\x64\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5"],
        ["\xE4\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x35"],

        ["\x64\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB6"],
        ["\xE4\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x36"],

        ["\x64\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB7"],
        ["\xE4\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x37"],

        ["\x64\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8"],
        ["\xE4\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x38"],

        ["\x64\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9"],
        ["\xE4\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x39"],

        ["\x64\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA"],
        ["\xE4\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x3A"],

        ["\x64\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB"],
        ["\xE4\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x3B"],

        ["\x64\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC"],
        ["\xE4\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x3C"],

        ["\x64\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD"],
        ["\xE4\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x3D"],

        ["\x64\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],
        ["\xE4\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x3E"],

        ["\x64\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],
        ["\xE4\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x3F"],

        ["\x64\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],
        ["\xE4\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x40"],

        ["\x64\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],
        ["\xE4\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x41"],

        ["\x64\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],
        ["\xE4\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x42"],

        ["\x64\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],
        ["\xE4\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x43"],

        ["\x64\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],
        ["\xE4\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x44"],

        ["\x64\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],
        ["\xE4\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x45"],

        ["\x4F\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB6"],
        ["\xCF\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4F\x36"],

        ["\x64\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],
        ["\xE4\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x47"],

        ["\x64\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],
        ["\xE4\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x48"],

        ["\x64\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],
        ["\xE4\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x49"],

        ["\x64\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],
        ["\xE4\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x4A"],

        ["\x64\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],
        ["\xE4\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x4B"],

        ["\x64\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],
        ["\xE4\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x4C"],

        ["\x64\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCD"],
        ["\xE4\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x4D"],

        ["\x64\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCE"],
        ["\xE4\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x4E"],

        ["\x64\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCF"],
        ["\xE4\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x4F"],

        ["\x64\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],
        ["\xE4\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x50"],

        ["\x64\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],
        ["\xE4\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x51"],

        ["\x64\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],
        ["\xE4\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x52"],

        ["\x64\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],
        ["\xE4\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x53"],

        ["\x64\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],
        ["\xE4\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x54"],

        ["\x64\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],
        ["\xE4\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x55"],

        ["\x64\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],
        ["\xE4\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x56"],

        ["\x64\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],
        ["\xE4\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x57"],

        ["\x64\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],
        ["\xE4\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x58"],

        ["\x64\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],
        ["\xE4\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x59"],

        ["\x64\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDA"],
        ["\xE4\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x5A"],

        ["\x64\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDB"],
        ["\xE4\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x5B"],

        ["\x64\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDC"],
        ["\xE4\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x5C"],

        ["\x64\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDD"],
        ["\xE4\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x5D"],

        ["\x64\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDE"],
        ["\xE4\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x5E"],

        ["\x64\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDF"],
        ["\xE4\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x5F"],

        ["\x64\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],
        ["\xE4\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x60"],

        ["\x64\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE1"],
        ["\xE4\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x61"],

        ["\x64\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],
        ["\xE4\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x62"],

        ["\x64\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],
        ["\xE4\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x63"],

        ["\x64\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],
        ["\xE4\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x64"],

        ["\x64\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],
        ["\xE4\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x65"],

        ["\x64\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],
        ["\xE4\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x66"],

        ["\x64\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],
        ["\xE4\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x67"],

        ["\x64\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],
        ["\xE4\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x68"],

        ["\x64\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],
        ["\xE4\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x69"],

        ["\x64\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEA"],
        ["\xE4\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x6A"],

        ["\x64\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEB"],
        ["\xE4\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x6B"],

        ["\x64\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEC"],
        ["\xE4\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x6C"],

        ["\x64\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xED"],
        ["\xE4\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x6D"],

        ["\x64\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEE"],
        ["\xE4\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x6E"],

        ["\x64\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEF"],
        ["\xE4\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x6F"],

        ["\x64\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],
        ["\xE4\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x70"],

        ["\x64\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],
        ["\xE4\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x71"],

        ["\x64\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],
        ["\xE4\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x72"],

        ["\x64\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],
        ["\xE4\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x73"],

        ["\x64\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],
        ["\xE4\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x74"],

        ["\x64\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],
        ["\xE4\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x75"],

        ["\x64\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],
        ["\xE4\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x76"],

        ["\x64\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],
        ["\xE4\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x77"],

        ["\x64\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],
        ["\xE4\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x78"],

        ["\x64\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],
        ["\xE4\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x79"],

        ["\x64\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFA"],
        ["\xE4\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x7A"],

        ["\x64\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFB"],
        ["\xE4\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x7B"],

        ["\x64\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFC"],
        ["\xE4\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x7C"],

        ["\x64\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFD"],
        ["\xE4\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x7D"],

        ["\x64\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFE"],
        ["\xE4\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x64\x7E"],

        ["\x65\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],
        ["\xE5\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x21"],

        ["\x65\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2"],
        ["\xE5\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x22"],

        ["\x65\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3"],
        ["\xE5\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x23"],

        ["\x65\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4"],
        ["\xE5\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x24"],

        ["\x65\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5"],
        ["\xE5\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x25"],

        ["\x65\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6"],
        ["\xE5\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x26"],

        ["\x65\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7"],
        ["\xE5\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x27"],

        ["\x65\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8"],
        ["\xE5\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x28"],

        ["\x65\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9"],
        ["\xE5\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x29"],

        ["\x65\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA"],
        ["\xE5\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x2A"],

        ["\x65\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],
        ["\xE5\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x2B"],

        ["\x65\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC"],
        ["\xE5\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x2C"],

        ["\x65\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD"],
        ["\xE5\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x2D"],

        ["\x65\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE"],
        ["\xE5\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x2E"],

        ["\x65\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF"],
        ["\xE5\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x2F"],

        ["\x65\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],
        ["\xE5\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x30"],

        ["\x65\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1"],
        ["\xE5\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x31"],

        ["\x65\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],
        ["\xE5\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x32"],

        ["\x65\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3"],
        ["\xE5\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x33"],

        ["\x65\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4"],
        ["\xE5\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x34"],

        ["\x65\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5"],
        ["\xE5\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x35"],

        ["\x65\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6"],
        ["\xE5\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x36"],

        ["\x65\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7"],
        ["\xE5\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x37"],

        ["\x65\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8"],
        ["\xE5\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x38"],

        ["\x65\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9"],
        ["\xE5\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x39"],

        ["\x65\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA"],
        ["\xE5\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x3A"],

        ["\x65\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB"],
        ["\xE5\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x3B"],

        ["\x65\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC"],
        ["\xE5\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x3C"],

        ["\x65\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD"],
        ["\xE5\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x3D"],

        ["\x65\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE"],
        ["\xE5\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x3E"],

        ["\x65\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF"],
        ["\xE5\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x3F"],

        ["\x65\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],
        ["\xE5\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x40"],

        ["\x65\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],
        ["\xE5\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x41"],

        ["\x65\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],
        ["\xE5\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x42"],

        ["\x65\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],
        ["\xE5\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x43"],

        ["\x65\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],
        ["\xE5\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x44"],

        ["\x65\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],
        ["\xE5\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x45"],

        ["\x65\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],
        ["\xE5\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x46"],

        ["\x65\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],
        ["\xE5\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x47"],

        ["\x65\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],
        ["\xE5\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x48"],

        ["\x65\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],
        ["\xE5\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x49"],

        ["\x65\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCA"],
        ["\xE5\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x4A"],

        ["\x65\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCB"],
        ["\xE5\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x4B"],

        ["\x65\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCC"],
        ["\xE5\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x4C"],

        ["\x65\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCD"],
        ["\xE5\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x4D"],

        ["\x65\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCE"],
        ["\xE5\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x4E"],

        ["\x65\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCF"],
        ["\xE5\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x4F"],

        ["\x65\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],
        ["\xE5\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x50"],

        ["\x65\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],
        ["\xE5\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x51"],

        ["\x65\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],
        ["\xE5\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x52"],

        ["\x65\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],
        ["\xE5\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x53"],

        ["\x65\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],
        ["\xE5\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x54"],

        ["\x65\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],
        ["\xE5\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x55"],

        ["\x65\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],
        ["\xE5\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x56"],

        ["\x65\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],
        ["\xE5\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x57"],

        ["\x65\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],
        ["\xE5\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x58"],

        ["\x65\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],
        ["\xE5\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x59"],

        ["\x65\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDA"],
        ["\xE5\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x5A"],

        ["\x65\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDB"],
        ["\xE5\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x5B"],

        ["\x65\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDC"],
        ["\xE5\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x5C"],

        ["\x65\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDD"],
        ["\xE5\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x5D"],

        ["\x65\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDE"],
        ["\xE5\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x5E"],

        ["\x65\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDF"],
        ["\xE5\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x5F"],

        ["\x65\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],
        ["\xE5\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x60"],

        ["\x65\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE1"],
        ["\xE5\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x61"],

        ["\x65\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],
        ["\xE5\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x62"],

        ["\x65\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],
        ["\xE5\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x63"],

        ["\x65\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],
        ["\xE5\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x64"],

        ["\x65\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],
        ["\xE5\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x65"],

        ["\x65\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],
        ["\xE5\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x66"],

        ["\x65\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],
        ["\xE5\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x67"],

        ["\x65\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],
        ["\xE5\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x68"],

        ["\x65\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],
        ["\xE5\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x69"],

        ["\x65\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEA"],
        ["\xE5\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x6A"],

        ["\x65\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEB"],
        ["\xE5\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x6B"],

        ["\x65\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEC"],
        ["\xE5\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x6C"],

        ["\x65\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xED"],
        ["\xE5\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x6D"],

        ["\x65\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEE"],
        ["\xE5\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x6E"],

        ["\x65\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],
        ["\xE5\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x6F"],

        ["\x65\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],
        ["\xE5\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x70"],

        ["\x65\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],
        ["\xE5\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x71"],

        ["\x65\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],
        ["\xE5\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x72"],

        ["\x65\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],
        ["\xE5\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x73"],

        ["\x65\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],
        ["\xE5\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x74"],

        ["\x65\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],
        ["\xE5\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x75"],

        ["\x65\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],
        ["\xE5\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x76"],

        ["\x65\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],
        ["\xE5\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x77"],

        ["\x65\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],
        ["\xE5\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x78"],

        ["\x65\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],
        ["\xE5\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x79"],

        ["\x65\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFA"],
        ["\xE5\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x7A"],

        ["\x65\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFB"],
        ["\xE5\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x7B"],

        ["\x65\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFC"],
        ["\xE5\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x7C"],

        ["\x65\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFD"],
        ["\xE5\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x7D"],

        ["\x65\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFE"],
        ["\xE5\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x65\x7E"],

        ["\x66\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],
        ["\xE6\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x21"],

        ["\x66\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2"],
        ["\xE6\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x22"],

        ["\x66\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3"],
        ["\xE6\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x23"],

        ["\x66\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4"],
        ["\xE6\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x24"],

        ["\x66\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5"],
        ["\xE6\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x25"],

        ["\x66\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],
        ["\xE6\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x26"],

        ["\x66\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],
        ["\xE6\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x27"],

        ["\x66\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],
        ["\xE6\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x28"],

        ["\x66\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],
        ["\xE6\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x29"],

        ["\x66\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA"],
        ["\xE6\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x2A"],

        ["\x66\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],
        ["\xE6\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x2B"],

        ["\x66\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],
        ["\xE6\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x2C"],

        ["\x66\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD"],
        ["\xE6\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x2D"],

        ["\x66\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],
        ["\xE6\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x2E"],

        ["\x66\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],
        ["\xE6\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x2F"],

        ["\x66\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],
        ["\xE6\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x30"],

        ["\x66\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1"],
        ["\xE6\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x31"],

        ["\x66\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2"],
        ["\xE6\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x32"],

        ["\x66\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],
        ["\xE6\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x33"],

        ["\x66\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],
        ["\xE6\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x34"],

        ["\x66\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],
        ["\xE6\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x35"],

        ["\x66\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6"],
        ["\xE6\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x36"],

        ["\x66\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7"],
        ["\xE6\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x37"],

        ["\x66\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],
        ["\xE6\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x38"],

        ["\x66\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],
        ["\xE6\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x39"],

        ["\x66\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],
        ["\xE6\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x3A"],

        ["\x66\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB"],
        ["\xE6\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x3B"],

        ["\x66\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC"],
        ["\xE6\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x3C"],

        ["\x66\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD"],
        ["\xE6\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x3D"],

        ["\x66\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE"],
        ["\xE6\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x3E"],

        ["\x66\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF"],
        ["\xE6\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x3F"],

        ["\x66\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],
        ["\xE6\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x40"],

        ["\x66\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],
        ["\xE6\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x41"],

        ["\x66\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],
        ["\xE6\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x42"],

        ["\x66\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],
        ["\xE6\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x43"],

        ["\x66\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],
        ["\xE6\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x44"],

        ["\x66\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],
        ["\xE6\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x45"],

        ["\x66\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],
        ["\xE6\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x46"],

        ["\x66\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],
        ["\xE6\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x47"],

        ["\x66\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],
        ["\xE6\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x48"],

        ["\x66\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],
        ["\xE6\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x49"],

        ["\x66\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCA"],
        ["\xE6\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x4A"],

        ["\x66\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCB"],
        ["\xE6\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x4B"],

        ["\x66\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCC"],
        ["\xE6\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x4C"],

        ["\x66\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCD"],
        ["\xE6\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x4D"],

        ["\x66\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCE"],
        ["\xE6\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x4E"],

        ["\x66\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],
        ["\xE6\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x4F"],

        ["\x66\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],
        ["\xE6\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x50"],

        ["\x66\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],
        ["\xE6\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x51"],

        ["\x66\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],
        ["\xE6\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x52"],

        ["\x66\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],
        ["\xE6\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x53"],

        ["\x66\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],
        ["\xE6\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x54"],

        ["\x66\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],
        ["\xE6\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x55"],

        ["\x66\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],
        ["\xE6\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x56"],

        ["\x66\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],
        ["\xE6\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x57"],

        ["\x66\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],
        ["\xE6\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x58"],

        ["\x66\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],
        ["\xE6\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x59"],

        ["\x66\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],
        ["\xE6\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x5A"],

        ["\x66\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],
        ["\xE6\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x5B"],

        ["\x66\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],
        ["\xE6\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x5C"],

        ["\x66\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],
        ["\xE6\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x5D"],

        ["\x66\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDE"],
        ["\xE6\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x5E"],

        ["\x66\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDF"],
        ["\xE6\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x5F"],

        ["\x66\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],
        ["\xE6\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x60"],

        ["\x66\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE1"],
        ["\xE6\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x61"],

        ["\x66\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],
        ["\xE6\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x62"],

        ["\x66\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],
        ["\xE6\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x63"],

        ["\x66\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],
        ["\xE6\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x64"],

        ["\x66\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],
        ["\xE6\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x65"],

        ["\x66\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],
        ["\xE6\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x66"],

        ["\x66\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],
        ["\xE6\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x67"],

        ["\x66\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],
        ["\xE6\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x68"],

        ["\x66\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],
        ["\xE6\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x69"],

        ["\x66\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEA"],
        ["\xE6\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x6A"],

        ["\x66\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEB"],
        ["\xE6\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x6B"],

        ["\x66\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEC"],
        ["\xE6\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x6C"],

        ["\x66\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xED"],
        ["\xE6\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x6D"],

        ["\x66\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEE"],
        ["\xE6\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x6E"],

        ["\x66\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],
        ["\xE6\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x6F"],

        ["\x66\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],
        ["\xE6\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x70"],

        ["\x66\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],
        ["\xE6\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x71"],

        ["\x66\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],
        ["\xE6\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x72"],

        ["\x66\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],
        ["\xE6\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x73"],

        ["\x66\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],
        ["\xE6\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x74"],

        ["\x66\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],
        ["\xE6\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x75"],

        ["\x66\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],
        ["\xE6\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x76"],

        ["\x66\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],
        ["\xE6\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x77"],

        ["\x66\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],
        ["\xE6\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x78"],

        ["\x66\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],
        ["\xE6\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x79"],

        ["\x66\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFA"],
        ["\xE6\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x7A"],

        ["\x66\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFB"],
        ["\xE6\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x7B"],

        ["\x66\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFC"],
        ["\xE6\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x7C"],

        ["\x66\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFD"],
        ["\xE6\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x7D"],

        ["\x66\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFE"],
        ["\xE6\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x66\x7E"],

        ["\x67\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],
        ["\xE7\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x21"],

        ["\x67\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2"],
        ["\xE7\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x22"],

        ["\x67\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3"],
        ["\xE7\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x23"],

        ["\x67\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4"],
        ["\xE7\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x24"],

        ["\x67\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5"],
        ["\xE7\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x25"],

        ["\x67\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6"],
        ["\xE7\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x26"],

        ["\x67\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7"],
        ["\xE7\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x27"],

        ["\x67\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8"],
        ["\xE7\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x28"],

        ["\x67\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9"],
        ["\xE7\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x29"],

        ["\x67\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],
        ["\xE7\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x2A"],

        ["\x67\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],
        ["\xE7\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x2B"],

        ["\x67\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC"],
        ["\xE7\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x2C"],

        ["\x67\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD"],
        ["\xE7\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x2D"],

        ["\x67\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE"],
        ["\xE7\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x2E"],

        ["\x67\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],
        ["\xE7\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x2F"],

        ["\x67\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],
        ["\xE7\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x30"],

        ["\x67\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],
        ["\xE7\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x31"],

        ["\x67\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],
        ["\xE7\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x32"],

        ["\x67\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],
        ["\xE7\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x33"],

        ["\x67\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],
        ["\xE7\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x34"],

        ["\x67\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],
        ["\xE7\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x35"],

        ["\x67\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],
        ["\xE7\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x36"],

        ["\x67\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],
        ["\xE7\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x37"],

        ["\x67\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],
        ["\xE7\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x38"],

        ["\x67\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],
        ["\xE7\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x39"],

        ["\x67\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],
        ["\xE7\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x3A"],

        ["\x67\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],
        ["\xE7\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x3B"],

        ["\x67\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],
        ["\xE7\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x3C"],

        ["\x67\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],
        ["\xE7\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x3D"],

        ["\x67\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],
        ["\xE7\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x3E"],

        ["\x67\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],
        ["\xE7\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x3F"],

        ["\x67\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],
        ["\xE7\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x40"],

        ["\x67\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],
        ["\xE7\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x41"],

        ["\x67\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],
        ["\xE7\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x42"],

        ["\x67\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],
        ["\xE7\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x43"],

        ["\x67\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],
        ["\xE7\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x44"],

        ["\x67\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],
        ["\xE7\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x45"],

        ["\x67\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],
        ["\xE7\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x46"],

        ["\x67\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],
        ["\xE7\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x47"],

        ["\x67\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],
        ["\xE7\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x48"],

        ["\x67\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],
        ["\xE7\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x49"],

        ["\x67\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],
        ["\xE7\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x4A"],

        ["\x67\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],
        ["\xE7\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x4B"],

        ["\x67\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],
        ["\xE7\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x4C"],

        ["\x67\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCD"],
        ["\xE7\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x4D"],

        ["\x67\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCE"],
        ["\xE7\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x4E"],

        ["\x67\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCF"],
        ["\xE7\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x4F"],

        ["\x67\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],
        ["\xE7\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x50"],

        ["\x67\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],
        ["\xE7\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x51"],

        ["\x67\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],
        ["\xE7\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x52"],

        ["\x67\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],
        ["\xE7\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x53"],

        ["\x67\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],
        ["\xE7\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x54"],

        ["\x67\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],
        ["\xE7\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x55"],

        ["\x67\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],
        ["\xE7\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x56"],

        ["\x67\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],
        ["\xE7\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x57"],

        ["\x67\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],
        ["\xE7\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x58"],

        ["\x67\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],
        ["\xE7\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x59"],

        ["\x67\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDA"],
        ["\xE7\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x5A"],

        ["\x67\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDB"],
        ["\xE7\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x5B"],

        ["\x67\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDC"],
        ["\xE7\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x5C"],

        ["\x67\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDD"],
        ["\xE7\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x5D"],

        ["\x67\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDE"],
        ["\xE7\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x5E"],

        ["\x67\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDF"],
        ["\xE7\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x5F"],

        ["\x67\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],
        ["\xE7\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x60"],

        ["\x67\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE1"],
        ["\xE7\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x61"],

        ["\x67\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],
        ["\xE7\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x62"],

        ["\x67\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],
        ["\xE7\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x63"],

        ["\x67\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],
        ["\xE7\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x64"],

        ["\x67\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],
        ["\xE7\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x65"],

        ["\x67\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],
        ["\xE7\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x66"],

        ["\x67\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],
        ["\xE7\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x67"],

        ["\x67\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],
        ["\xE7\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x68"],

        ["\x67\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],
        ["\xE7\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x69"],

        ["\x67\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEA"],
        ["\xE7\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x6A"],

        ["\x67\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEB"],
        ["\xE7\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x6B"],

        ["\x67\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEC"],
        ["\xE7\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x6C"],

        ["\x67\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xED"],
        ["\xE7\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x6D"],

        ["\x67\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEE"],
        ["\xE7\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x6E"],

        ["\x67\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEF"],
        ["\xE7\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x6F"],

        ["\x67\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],
        ["\xE7\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x70"],

        ["\x67\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],
        ["\xE7\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x71"],

        ["\x67\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],
        ["\xE7\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x72"],

        ["\x67\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],
        ["\xE7\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x73"],

        ["\x67\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],
        ["\xE7\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x74"],

        ["\x67\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],
        ["\xE7\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x75"],

        ["\x67\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],
        ["\xE7\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x76"],

        ["\x67\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],
        ["\xE7\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x77"],

        ["\x67\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],
        ["\xE7\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x78"],

        ["\x67\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],
        ["\xE7\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x79"],

        ["\x67\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFA"],
        ["\xE7\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x7A"],

        ["\x67\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFB"],
        ["\xE7\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x7B"],

        ["\x67\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFC"],
        ["\xE7\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x7C"],

        ["\x67\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFD"],
        ["\xE7\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x7D"],

        ["\x67\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFE"],
        ["\xE7\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x67\x7E"],

        ["\x68\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],
        ["\xE8\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x21"],

        ["\x68\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2"],
        ["\xE8\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x22"],

        ["\x68\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3"],
        ["\xE8\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x23"],

        ["\x68\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4"],
        ["\xE8\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x24"],

        ["\x68\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5"],
        ["\xE8\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x25"],

        ["\x68\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6"],
        ["\xE8\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x26"],

        ["\x68\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7"],
        ["\xE8\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x27"],

        ["\x68\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8"],
        ["\xE8\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x28"],

        ["\x68\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9"],
        ["\xE8\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x29"],

        ["\x68\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],
        ["\xE8\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x2A"],

        ["\x68\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],
        ["\xE8\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x2B"],

        ["\x68\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC"],
        ["\xE8\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x2C"],

        ["\x68\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD"],
        ["\xE8\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x2D"],

        ["\x68\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],
        ["\xE8\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x2E"],

        ["\x68\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAF"],
        ["\xE8\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x2F"],

        ["\x68\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],
        ["\xE8\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x30"],

        ["\x68\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1"],
        ["\xE8\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x31"],

        ["\x68\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],
        ["\xE8\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x32"],

        ["\x68\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3"],
        ["\xE8\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x33"],

        ["\x68\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4"],
        ["\xE8\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x34"],

        ["\x68\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5"],
        ["\xE8\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x35"],

        ["\x68\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6"],
        ["\xE8\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x36"],

        ["\x68\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7"],
        ["\xE8\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x37"],

        ["\x68\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],
        ["\xE8\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x38"],

        ["\x68\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9"],
        ["\xE8\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x39"],

        ["\x68\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA"],
        ["\xE8\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x3A"],

        ["\x68\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB"],
        ["\xE8\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x3B"],

        ["\x68\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC"],
        ["\xE8\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x3C"],

        ["\x68\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD"],
        ["\xE8\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x3D"],

        ["\x68\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE"],
        ["\xE8\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x3E"],

        ["\x68\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF"],
        ["\xE8\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x3F"],

        ["\x68\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],
        ["\xE8\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x40"],

        ["\x68\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],
        ["\xE8\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x41"],

        ["\x68\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],
        ["\xE8\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x42"],

        ["\x68\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],
        ["\xE8\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x43"],

        ["\x68\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],
        ["\xE8\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x44"],

        ["\x68\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],
        ["\xE8\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x45"],

        ["\x68\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],
        ["\xE8\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x46"],

        ["\x68\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],
        ["\xE8\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x47"],

        ["\x68\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],
        ["\xE8\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x48"],

        ["\x68\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],
        ["\xE8\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x49"],

        ["\x68\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCA"],
        ["\xE8\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x4A"],

        ["\x68\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCB"],
        ["\xE8\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x4B"],

        ["\x68\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCC"],
        ["\xE8\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x4C"],

        ["\x68\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCD"],
        ["\xE8\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x4D"],

        ["\x68\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCE"],
        ["\xE8\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x4E"],

        ["\x68\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCF"],
        ["\xE8\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x4F"],

        ["\x68\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],
        ["\xE8\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x50"],

        ["\x68\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],
        ["\xE8\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x51"],

        ["\x68\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],
        ["\xE8\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x52"],

        ["\x68\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],
        ["\xE8\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x53"],

        ["\x68\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],
        ["\xE8\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x54"],

        ["\x68\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],
        ["\xE8\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x55"],

        ["\x68\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],
        ["\xE8\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x56"],

        ["\x68\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],
        ["\xE8\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x57"],

        ["\x68\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],
        ["\xE8\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x58"],

        ["\x68\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],
        ["\xE8\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x59"],

        ["\x68\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],
        ["\xE8\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x5A"],

        ["\x68\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],
        ["\xE8\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x5B"],

        ["\x68\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDC"],
        ["\xE8\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x5C"],

        ["\x68\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDD"],
        ["\xE8\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x5D"],

        ["\x68\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDE"],
        ["\xE8\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x5E"],

        ["\x68\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDF"],
        ["\xE8\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x5F"],

        ["\x68\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],
        ["\xE8\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x60"],

        ["\x68\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE1"],
        ["\xE8\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x61"],

        ["\x68\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],
        ["\xE8\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x62"],

        ["\x68\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],
        ["\xE8\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x63"],

        ["\x68\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],
        ["\xE8\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x64"],

        ["\x68\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],
        ["\xE8\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x65"],

        ["\x68\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],
        ["\xE8\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x66"],

        ["\x68\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],
        ["\xE8\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x67"],

        ["\x68\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],
        ["\xE8\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x68"],

        ["\x68\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],
        ["\xE8\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x69"],

        ["\x68\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEA"],
        ["\xE8\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x6A"],

        ["\x68\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],
        ["\xE8\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x6B"],

        ["\x68\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],
        ["\xE8\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x6C"],

        ["\x68\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xED"],
        ["\xE8\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x6D"],

        ["\x68\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEE"],
        ["\xE8\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x6E"],

        ["\x68\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEF"],
        ["\xE8\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x6F"],

        ["\x68\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],
        ["\xE8\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x70"],

        ["\x68\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],
        ["\xE8\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x71"],

        ["\x68\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],
        ["\xE8\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x72"],

        ["\x68\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],
        ["\xE8\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x73"],

        ["\x68\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],
        ["\xE8\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x74"],

        ["\x68\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],
        ["\xE8\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x75"],

        ["\x68\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],
        ["\xE8\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x76"],

        ["\x68\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],
        ["\xE8\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x77"],

        ["\x68\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],
        ["\xE8\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x78"],

        ["\x68\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],
        ["\xE8\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x79"],

        ["\x68\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],
        ["\xE8\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x7A"],

        ["\x68\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],
        ["\xE8\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x7B"],

        ["\x68\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFC"],
        ["\xE8\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x7C"],

        ["\x68\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFD"],
        ["\xE8\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x7D"],

        ["\x68\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFE"],
        ["\xE8\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x68\x7E"],

        ["\x69\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],
        ["\xE9\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x21"],

        ["\x3C\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC9"],
        ["\xBC\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3C\x49"],

        ["\x69\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3"],
        ["\xE9\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x23"],

        ["\x69\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4"],
        ["\xE9\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x24"],

        ["\x69\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5"],
        ["\xE9\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x25"],

        ["\x69\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6"],
        ["\xE9\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x26"],

        ["\x69\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7"],
        ["\xE9\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x27"],

        ["\x69\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8"],
        ["\xE9\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x28"],

        ["\x69\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9"],
        ["\xE9\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x29"],

        ["\x69\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA"],
        ["\xE9\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x2A"],

        ["\x69\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],
        ["\xE9\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x2B"],

        ["\x69\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC"],
        ["\xE9\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x2C"],

        ["\x69\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD"],
        ["\xE9\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x2D"],

        ["\x4C\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF9"],
        ["\xCC\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4C\x79"],

        ["\x69\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF"],
        ["\xE9\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x2F"],

        ["\x69\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],
        ["\xE9\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x30"],

        ["\x69\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1"],
        ["\xE9\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x31"],

        ["\x69\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB2"],
        ["\xE9\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x32"],

        ["\x69\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3"],
        ["\xE9\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x33"],

        ["\x69\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4"],
        ["\xE9\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x34"],

        ["\x69\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5"],
        ["\xE9\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x35"],

        ["\x69\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6"],
        ["\xE9\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x36"],

        ["\x69\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7"],
        ["\xE9\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x37"],

        ["\x69\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8"],
        ["\xE9\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x38"],

        ["\x69\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9"],
        ["\xE9\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x39"],

        ["\x69\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA"],
        ["\xE9\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x3A"],

        ["\x69\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB"],
        ["\xE9\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x3B"],

        ["\x69\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC"],
        ["\xE9\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x3C"],

        ["\x69\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD"],
        ["\xE9\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x3D"],

        ["\x69\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE"],
        ["\xE9\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x3E"],

        ["\x69\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBF"],
        ["\xE9\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x3F"],

        ["\x69\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],
        ["\xE9\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x40"],

        ["\x69\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],
        ["\xE9\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x41"],

        ["\x69\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],
        ["\xE9\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x42"],

        ["\x69\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],
        ["\xE9\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x43"],

        ["\x69\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],
        ["\xE9\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x44"],

        ["\x69\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],
        ["\xE9\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x45"],

        ["\x69\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],
        ["\xE9\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x46"],

        ["\x69\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],
        ["\xE9\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x47"],

        ["\x69\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],
        ["\xE9\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x48"],

        ["\x69\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],
        ["\xE9\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x49"],

        ["\x69\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCA"],
        ["\xE9\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x4A"],

        ["\x69\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCB"],
        ["\xE9\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x4B"],

        ["\x69\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCC"],
        ["\xE9\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x4C"],

        ["\x69\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCD"],
        ["\xE9\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x4D"],

        ["\x69\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCE"],
        ["\xE9\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x4E"],

        ["\x69\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCF"],
        ["\xE9\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x4F"],

        ["\x69\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],
        ["\xE9\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x50"],

        ["\x69\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],
        ["\xE9\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x51"],

        ["\x69\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],
        ["\xE9\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x52"],

        ["\x69\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],
        ["\xE9\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x53"],

        ["\x69\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],
        ["\xE9\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x54"],

        ["\x69\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],
        ["\xE9\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x55"],

        ["\x69\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],
        ["\xE9\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x56"],

        ["\x69\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],
        ["\xE9\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x57"],

        ["\x69\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],
        ["\xE9\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x58"],

        ["\x69\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],
        ["\xE9\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x59"],

        ["\x33\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC2"],
        ["\xB3\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x33\x42"],

        ["\x69\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDB"],
        ["\xE9\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x5B"],

        ["\x69\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDC"],
        ["\xE9\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x5C"],

        ["\x69\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDD"],
        ["\xE9\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x5D"],

        ["\x69\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDE"],
        ["\xE9\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x5E"],

        ["\x69\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDF"],
        ["\xE9\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x5F"],

        ["\x69\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],
        ["\xE9\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x60"],

        ["\x69\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE1"],
        ["\xE9\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x61"],

        ["\x69\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],
        ["\xE9\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x62"],

        ["\x69\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],
        ["\xE9\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x63"],

        ["\x69\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],
        ["\xE9\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x64"],

        ["\x69\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],
        ["\xE9\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x65"],

        ["\x69\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],
        ["\xE9\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x66"],

        ["\x69\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],
        ["\xE9\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x67"],

        ["\x69\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],
        ["\xE9\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x68"],

        ["\x69\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],
        ["\xE9\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x69"],

        ["\x69\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEA"],
        ["\xE9\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x6A"],

        ["\x69\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEB"],
        ["\xE9\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x6B"],

        ["\x69\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEC"],
        ["\xE9\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x6C"],

        ["\x69\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xED"],
        ["\xE9\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x6D"],

        ["\x69\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEE"],
        ["\xE9\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x6E"],

        ["\x69\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEF"],
        ["\xE9\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x6F"],

        ["\x69\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],
        ["\xE9\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x70"],

        ["\x69\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],
        ["\xE9\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x71"],

        ["\x69\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],
        ["\xE9\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x72"],

        ["\x69\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],
        ["\xE9\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x73"],

        ["\x69\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],
        ["\xE9\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x74"],

        ["\x69\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],
        ["\xE9\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x75"],

        ["\x69\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],
        ["\xE9\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x76"],

        ["\x69\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],
        ["\xE9\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x77"],

        ["\x69\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],
        ["\xE9\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x78"],

        ["\x69\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],
        ["\xE9\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x79"],

        ["\x69\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFA"],
        ["\xE9\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x7A"],

        ["\x69\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFB"],
        ["\xE9\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x7B"],

        ["\x69\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFC"],
        ["\xE9\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x7C"],

        ["\x69\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFD"],
        ["\xE9\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x7D"],

        ["\x69\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFE"],
        ["\xE9\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x69\x7E"],

        ["\x6A\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA1"],
        ["\xEA\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x21"],

        ["\x6A\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA2"],
        ["\xEA\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x22"],

        ["\x6A\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA3"],
        ["\xEA\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x23"],

        ["\x47\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],
        ["\xC7\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x47\x68"],

        ["\x6A\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA5"],
        ["\xEA\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x25"],

        ["\x6A\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA6"],
        ["\xEA\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x26"],

        ["\x6A\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA7"],
        ["\xEA\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x27"],

        ["\x6A\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA8"],
        ["\xEA\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x28"],

        ["\x6A\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA9"],
        ["\xEA\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x29"],

        ["\x6A\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAA"],
        ["\xEA\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x2A"],

        ["\x6A\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAB"],
        ["\xEA\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x2B"],

        ["\x6A\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAC"],
        ["\xEA\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x2C"],

        ["\x6A\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAD"],
        ["\xEA\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x2D"],

        ["\x6A\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAE"],
        ["\xEA\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x2E"],

        ["\x6A\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAF"],
        ["\xEA\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x2F"],

        ["\x6A\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB0"],
        ["\xEA\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x30"],

        ["\x6A\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB1"],
        ["\xEA\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x31"],

        ["\x6A\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB2"],
        ["\xEA\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x32"],

        ["\x6A\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB3"],
        ["\xEA\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x33"],

        ["\x6A\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB4"],
        ["\xEA\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x34"],

        ["\x6A\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB5"],
        ["\xEA\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x35"],

        ["\x6A\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB6"],
        ["\xEA\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x36"],

        ["\x6A\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB7"],
        ["\xEA\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x37"],

        ["\x6A\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB8"],
        ["\xEA\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x38"],

        ["\x6A\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB9"],
        ["\xEA\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x39"],

        ["\x6A\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBA"],
        ["\xEA\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x3A"],

        ["\x6A\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBB"],
        ["\xEA\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x3B"],

        ["\x6A\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBC"],
        ["\xEA\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x3C"],

        ["\x6A\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBD"],
        ["\xEA\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x3D"],

        ["\x6A\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBE"],
        ["\xEA\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x3E"],

        ["\x6A\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBF"],
        ["\xEA\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x3F"],

        ["\x6A\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC0"],
        ["\xEA\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x40"],

        ["\x6A\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC1"],
        ["\xEA\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x41"],

        ["\x6A\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC2"],
        ["\xEA\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x42"],

        ["\x6A\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC3"],
        ["\xEA\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x43"],

        ["\x6A\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC4"],
        ["\xEA\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x44"],

        ["\x6A\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC5"],
        ["\xEA\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x45"],

        ["\x6A\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC6"],
        ["\xEA\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x46"],

        ["\x6A\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC7"],
        ["\xEA\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x47"],

        ["\x6A\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC8"],
        ["\xEA\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x48"],

        ["\x6A\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC9"],
        ["\xEA\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x49"],

        ["\x6A\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCA"],
        ["\xEA\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x4A"],

        ["\x6A\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCB"],
        ["\xEA\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x4B"],

        ["\x6A\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCC"],
        ["\xEA\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x4C"],

        ["\x6A\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCD"],
        ["\xEA\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x4D"],

        ["\x6A\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCE"],
        ["\xEA\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x4E"],

        ["\x6A\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCF"],
        ["\xEA\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x4F"],

        ["\x6A\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD0"],
        ["\xEA\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x50"],

        ["\x6A\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD1"],
        ["\xEA\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x51"],

        ["\x6A\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD2"],
        ["\xEA\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x52"],

        ["\x6A\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD3"],
        ["\xEA\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x53"],

        ["\x6A\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD4"],
        ["\xEA\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x54"],

        ["\x6A\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD5"],
        ["\xEA\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x55"],

        ["\x6A\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD6"],
        ["\xEA\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x56"],

        ["\x6A\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD7"],
        ["\xEA\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x57"],

        ["\x6A\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD8"],
        ["\xEA\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x58"],

        ["\x6A\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD9"],
        ["\xEA\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x59"],

        ["\x6A\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDA"],
        ["\xEA\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x5A"],

        ["\x6A\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDB"],
        ["\xEA\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x5B"],

        ["\x6A\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDC"],
        ["\xEA\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x5C"],

        ["\x6A\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDD"],
        ["\xEA\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x5D"],

        ["\x6A\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDE"],
        ["\xEA\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x5E"],

        ["\x6A\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDF"],
        ["\xEA\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x5F"],

        ["\x6A\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE0"],
        ["\xEA\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x60"],

        ["\x6A\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE1"],
        ["\xEA\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x61"],

        ["\x6A\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE2"],
        ["\xEA\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x62"],

        ["\x6A\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE3"],
        ["\xEA\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x63"],

        ["\x6A\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE4"],
        ["\xEA\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x64"],

        ["\x6A\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE5"],
        ["\xEA\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x65"],

        ["\x6A\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE6"],
        ["\xEA\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x66"],

        ["\x6A\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE7"],
        ["\xEA\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x67"],

        ["\x6A\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE8"],
        ["\xEA\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x68"],

        ["\x6A\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE9"],
        ["\xEA\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x69"],

        ["\x6A\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEA"],
        ["\xEA\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x6A"],

        ["\x6A\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEB"],
        ["\xEA\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x6B"],

        ["\x6A\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEC"],
        ["\xEA\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x6C"],

        ["\x6A\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xED"],
        ["\xEA\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x6D"],

        ["\x6A\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEE"],
        ["\xEA\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x6E"],

        ["\x6A\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEF"],
        ["\xEA\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x6F"],

        ["\x6A\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF0"],
        ["\xEA\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x70"],

        ["\x6A\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF1"],
        ["\xEA\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x71"],

        ["\x6A\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF2"],
        ["\xEA\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x72"],

        ["\x6A\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF3"],
        ["\xEA\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x73"],

        ["\x6A\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF4"],
        ["\xEA\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x74"],

        ["\x6A\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF5"],
        ["\xEA\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x75"],

        ["\x6A\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF6"],
        ["\xEA\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x76"],

        ["\x6A\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF7"],
        ["\xEA\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x77"],

        ["\x6A\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF8"],
        ["\xEA\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x78"],

        ["\x6A\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF9"],
        ["\xEA\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x79"],

        ["\x6A\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFA"],
        ["\xEA\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x7A"],

        ["\x6A\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFB"],
        ["\xEA\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x7B"],

        ["\x6A\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFC"],
        ["\xEA\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x7C"],

        ["\x6A\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFD"],
        ["\xEA\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x7D"],

        ["\x6A\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFE"],
        ["\xEA\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6A\x7E"],

        ["\x6B\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA1"],
        ["\xEB\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x21"],

        ["\x6B\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA2"],
        ["\xEB\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x22"],

        ["\x6B\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA3"],
        ["\xEB\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x23"],

        ["\x6B\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA4"],
        ["\xEB\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x24"],

        ["\x6B\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA5"],
        ["\xEB\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x25"],

        ["\x6B\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA6"],
        ["\xEB\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x26"],

        ["\x6B\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA7"],
        ["\xEB\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x27"],

        ["\x6B\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA8"],
        ["\xEB\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x28"],

        ["\x6B\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA9"],
        ["\xEB\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x29"],

        ["\x6B\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAA"],
        ["\xEB\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x2A"],

        ["\x6B\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAB"],
        ["\xEB\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x2B"],

        ["\x6B\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAC"],
        ["\xEB\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x2C"],

        ["\x6B\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAD"],
        ["\xEB\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x2D"],

        ["\x6B\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAE"],
        ["\xEB\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x2E"],

        ["\x6B\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAF"],
        ["\xEB\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x2F"],

        ["\x6B\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB0"],
        ["\xEB\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x30"],

        ["\x6B\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB1"],
        ["\xEB\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x31"],

        ["\x6B\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB2"],
        ["\xEB\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x32"],

        ["\x6B\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB3"],
        ["\xEB\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x33"],

        ["\x6B\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB4"],
        ["\xEB\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x34"],

        ["\x6B\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB5"],
        ["\xEB\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x35"],

        ["\x6B\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB6"],
        ["\xEB\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x36"],

        ["\x6B\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB7"],
        ["\xEB\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x37"],

        ["\x6B\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB8"],
        ["\xEB\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x38"],

        ["\x6B\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB9"],
        ["\xEB\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x39"],

        ["\x6B\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBA"],
        ["\xEB\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x3A"],

        ["\x6B\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBB"],
        ["\xEB\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x3B"],

        ["\x6B\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBC"],
        ["\xEB\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x3C"],

        ["\x6B\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBD"],
        ["\xEB\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x3D"],

        ["\x6B\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBE"],
        ["\xEB\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x3E"],

        ["\x6B\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBF"],
        ["\xEB\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x3F"],

        ["\x6B\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC0"],
        ["\xEB\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x40"],

        ["\x6B\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC1"],
        ["\xEB\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x41"],

        ["\x6B\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC2"],
        ["\xEB\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x42"],

        ["\x6B\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC3"],
        ["\xEB\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x43"],

        ["\x6B\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC4"],
        ["\xEB\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x44"],

        ["\x6B\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC5"],
        ["\xEB\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x45"],

        ["\x6B\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC6"],
        ["\xEB\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x46"],

        ["\x6B\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC7"],
        ["\xEB\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x47"],

        ["\x6B\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC8"],
        ["\xEB\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x48"],

        ["\x6B\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC9"],
        ["\xEB\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x49"],

        ["\x6B\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCA"],
        ["\xEB\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x4A"],

        ["\x6B\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCB"],
        ["\xEB\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x4B"],

        ["\x6B\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCC"],
        ["\xEB\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x4C"],

        ["\x6B\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCD"],
        ["\xEB\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x4D"],

        ["\x6B\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCE"],
        ["\xEB\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x4E"],

        ["\x6B\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCF"],
        ["\xEB\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x4F"],

        ["\x6B\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD0"],
        ["\xEB\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x50"],

        ["\x6B\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD1"],
        ["\xEB\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x51"],

        ["\x6B\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD2"],
        ["\xEB\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x52"],

        ["\x6B\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD3"],
        ["\xEB\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x53"],

        ["\x6B\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD4"],
        ["\xEB\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x54"],

        ["\x6B\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD5"],
        ["\xEB\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x55"],

        ["\x6B\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD6"],
        ["\xEB\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x56"],

        ["\x6B\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD7"],
        ["\xEB\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x57"],

        ["\x6B\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD8"],
        ["\xEB\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x58"],

        ["\x6B\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD9"],
        ["\xEB\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x59"],

        ["\x6B\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDA"],
        ["\xEB\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x5A"],

        ["\x6B\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDB"],
        ["\xEB\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x5B"],

        ["\x6B\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDC"],
        ["\xEB\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x5C"],

        ["\x34\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD2"],
        ["\xB4\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x34\x52"],

        ["\x6B\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDE"],
        ["\xEB\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x5E"],

        ["\x6B\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDF"],
        ["\xEB\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x5F"],

        ["\x6B\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE0"],
        ["\xEB\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x60"],

        ["\x6B\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE1"],
        ["\xEB\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x61"],

        ["\x6B\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE2"],
        ["\xEB\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x62"],

        ["\x6B\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE3"],
        ["\xEB\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x63"],

        ["\x6B\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE4"],
        ["\xEB\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x64"],

        ["\x6B\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE5"],
        ["\xEB\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x65"],

        ["\x6B\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE6"],
        ["\xEB\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x66"],

        ["\x6B\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE7"],
        ["\xEB\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x67"],

        ["\x6B\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE8"],
        ["\xEB\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x68"],

        ["\x6B\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE9"],
        ["\xEB\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x69"],

        ["\x6B\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEA"],
        ["\xEB\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x6A"],

        ["\x6B\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEB"],
        ["\xEB\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x6B"],

        ["\x6B\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEC"],
        ["\xEB\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x6C"],

        ["\x6B\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xED"],
        ["\xEB\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x6D"],

        ["\x6B\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEE"],
        ["\xEB\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x6E"],

        ["\x6B\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEF"],
        ["\xEB\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x6F"],

        ["\x6B\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF0"],
        ["\xEB\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x70"],

        ["\x6B\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF1"],
        ["\xEB\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x71"],

        ["\x6B\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF2"],
        ["\xEB\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x72"],

        ["\x6B\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF3"],
        ["\xEB\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x73"],

        ["\x6B\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF4"],
        ["\xEB\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x74"],

        ["\x6B\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF5"],
        ["\xEB\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x75"],

        ["\x6B\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF6"],
        ["\xEB\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x76"],

        ["\x6B\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF7"],
        ["\xEB\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x77"],

        ["\x6B\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF8"],
        ["\xEB\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x78"],

        ["\x6B\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF9"],
        ["\xEB\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x79"],

        ["\x6B\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFA"],
        ["\xEB\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x7A"],

        ["\x6B\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFB"],
        ["\xEB\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x7B"],

        ["\x6B\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFC"],
        ["\xEB\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x7C"],

        ["\x6B\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFD"],
        ["\xEB\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x7D"],

        ["\x6B\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFE"],
        ["\xEB\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6B\x7E"],

        ["\x6C\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA1"],
        ["\xEC\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x21"],

        ["\x6C\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA2"],
        ["\xEC\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x22"],

        ["\x6C\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA3"],
        ["\xEC\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x23"],

        ["\x6C\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA4"],
        ["\xEC\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x24"],

        ["\x6C\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA5"],
        ["\xEC\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x25"],

        ["\x6C\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA6"],
        ["\xEC\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x26"],

        ["\x6C\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA7"],
        ["\xEC\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x27"],

        ["\x6C\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA8"],
        ["\xEC\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x28"],

        ["\x6C\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA9"],
        ["\xEC\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x29"],

        ["\x6C\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAA"],
        ["\xEC\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x2A"],

        ["\x6C\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAB"],
        ["\xEC\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x2B"],

        ["\x6C\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAC"],
        ["\xEC\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x2C"],

        ["\x6C\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAD"],
        ["\xEC\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x2D"],

        ["\x6C\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAE"],
        ["\xEC\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x2E"],

        ["\x6C\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAF"],
        ["\xEC\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x2F"],

        ["\x6C\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB0"],
        ["\xEC\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x30"],

        ["\x6C\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB1"],
        ["\xEC\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x31"],

        ["\x6C\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB2"],
        ["\xEC\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x32"],

        ["\x6C\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB3"],
        ["\xEC\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x33"],

        ["\x6C\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB4"],
        ["\xEC\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x34"],

        ["\x6C\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB5"],
        ["\xEC\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x35"],

        ["\x6C\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB6"],
        ["\xEC\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x36"],

        ["\x6C\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB7"],
        ["\xEC\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x37"],

        ["\x6C\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB8"],
        ["\xEC\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x38"],

        ["\x6C\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB9"],
        ["\xEC\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x39"],

        ["\x6C\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBA"],
        ["\xEC\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x3A"],

        ["\x6C\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBB"],
        ["\xEC\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x3B"],

        ["\x6C\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBC"],
        ["\xEC\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x3C"],

        ["\x6C\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBD"],
        ["\xEC\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x3D"],

        ["\x6C\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBE"],
        ["\xEC\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x3E"],

        ["\x6C\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBF"],
        ["\xEC\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x3F"],

        ["\x6C\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC0"],
        ["\xEC\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x40"],

        ["\x6C\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC1"],
        ["\xEC\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x41"],

        ["\x6C\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC2"],
        ["\xEC\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x42"],

        ["\x6C\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC3"],
        ["\xEC\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x43"],

        ["\x6C\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC4"],
        ["\xEC\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x44"],

        ["\x6C\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC5"],
        ["\xEC\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x45"],

        ["\x6C\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC6"],
        ["\xEC\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x46"],

        ["\x6C\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC7"],
        ["\xEC\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x47"],

        ["\x6C\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC8"],
        ["\xEC\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x48"],

        ["\x6C\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC9"],
        ["\xEC\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x49"],

        ["\x6C\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCA"],
        ["\xEC\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x4A"],

        ["\x6C\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCB"],
        ["\xEC\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x4B"],

        ["\x6C\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCC"],
        ["\xEC\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x4C"],

        ["\x41\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA8"],
        ["\xC1\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x41\x28"],

        ["\x6C\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCE"],
        ["\xEC\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x4E"],

        ["\x6C\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCF"],
        ["\xEC\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x4F"],

        ["\x6C\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD0"],
        ["\xEC\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x50"],

        ["\x6C\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD1"],
        ["\xEC\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x51"],

        ["\x6C\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD2"],
        ["\xEC\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x52"],

        ["\x6C\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD3"],
        ["\xEC\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x53"],

        ["\x6C\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD4"],
        ["\xEC\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x54"],

        ["\x6C\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD5"],
        ["\xEC\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x55"],

        ["\x6C\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD6"],
        ["\xEC\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x56"],

        ["\x6C\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD7"],
        ["\xEC\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x57"],

        ["\x6C\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD8"],
        ["\xEC\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x58"],

        ["\x6C\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD9"],
        ["\xEC\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x59"],

        ["\x6C\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDA"],
        ["\xEC\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x5A"],

        ["\x6C\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDB"],
        ["\xEC\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x5B"],

        ["\x6C\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDC"],
        ["\xEC\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x5C"],

        ["\x6C\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDD"],
        ["\xEC\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x5D"],

        ["\x6C\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDE"],
        ["\xEC\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x5E"],

        ["\x6C\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDF"],
        ["\xEC\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x5F"],

        ["\x6C\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE0"],
        ["\xEC\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x60"],

        ["\x6C\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE1"],
        ["\xEC\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x61"],

        ["\x6C\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE2"],
        ["\xEC\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x62"],

        ["\x6C\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE3"],
        ["\xEC\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x63"],

        ["\x6C\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE4"],
        ["\xEC\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x64"],

        ["\x6C\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE5"],
        ["\xEC\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x65"],

        ["\x6C\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE6"],
        ["\xEC\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x66"],

        ["\x6C\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE7"],
        ["\xEC\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x67"],

        ["\x6C\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE8"],
        ["\xEC\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x68"],

        ["\x6C\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE9"],
        ["\xEC\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x69"],

        ["\x6C\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEA"],
        ["\xEC\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x6A"],

        ["\x6C\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEB"],
        ["\xEC\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x6B"],

        ["\x6C\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEC"],
        ["\xEC\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x6C"],

        ["\x6C\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xED"],
        ["\xEC\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x6D"],

        ["\x6C\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEE"],
        ["\xEC\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x6E"],

        ["\x6C\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEF"],
        ["\xEC\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x6F"],

        ["\x6C\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF0"],
        ["\xEC\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x70"],

        ["\x6C\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF1"],
        ["\xEC\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x71"],

        ["\x6C\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF2"],
        ["\xEC\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x72"],

        ["\x6C\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF3"],
        ["\xEC\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x73"],

        ["\x6C\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF4"],
        ["\xEC\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x74"],

        ["\x6C\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF5"],
        ["\xEC\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x75"],

        ["\x6C\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF6"],
        ["\xEC\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x76"],

        ["\x6C\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF7"],
        ["\xEC\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x77"],

        ["\x6C\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF8"],
        ["\xEC\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x78"],

        ["\x6C\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF9"],
        ["\xEC\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x79"],

        ["\x6C\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFA"],
        ["\xEC\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x7A"],

        ["\x6C\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFB"],
        ["\xEC\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x7B"],

        ["\x6C\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFC"],
        ["\xEC\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x7C"],

        ["\x6C\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFD"],
        ["\xEC\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x7D"],

        ["\x6C\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFE"],
        ["\xEC\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6C\x7E"],

        ["\x6D\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA1"],
        ["\xED\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x21"],

        ["\x6D\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA2"],
        ["\xED\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x22"],

        ["\x6D\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA3"],
        ["\xED\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x23"],

        ["\x6D\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA4"],
        ["\xED\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x24"],

        ["\x6D\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA5"],
        ["\xED\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x25"],

        ["\x6D\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA6"],
        ["\xED\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x26"],

        ["\x6D\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA7"],
        ["\xED\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x27"],

        ["\x6D\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA8"],
        ["\xED\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x28"],

        ["\x6D\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA9"],
        ["\xED\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x29"],

        ["\x6D\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAA"],
        ["\xED\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x2A"],

        ["\x6D\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAB"],
        ["\xED\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x2B"],

        ["\x6D\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAC"],
        ["\xED\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x2C"],

        ["\x6D\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAD"],
        ["\xED\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x2D"],

        ["\x6D\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAE"],
        ["\xED\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x2E"],

        ["\x6D\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAF"],
        ["\xED\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x2F"],

        ["\x6D\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB0"],
        ["\xED\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x30"],

        ["\x6D\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB1"],
        ["\xED\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x31"],

        ["\x6D\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB2"],
        ["\xED\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x32"],

        ["\x6D\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB3"],
        ["\xED\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x33"],

        ["\x6D\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB4"],
        ["\xED\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x34"],

        ["\x6D\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB5"],
        ["\xED\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x35"],

        ["\x6D\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB6"],
        ["\xED\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x36"],

        ["\x6D\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB7"],
        ["\xED\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x37"],

        ["\x6D\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB8"],
        ["\xED\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x38"],

        ["\x6D\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB9"],
        ["\xED\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x39"],

        ["\x6D\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBA"],
        ["\xED\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x3A"],

        ["\x6D\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBB"],
        ["\xED\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x3B"],

        ["\x6D\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBC"],
        ["\xED\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x3C"],

        ["\x6D\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBD"],
        ["\xED\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x3D"],

        ["\x6D\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBE"],
        ["\xED\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x3E"],

        ["\x6D\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBF"],
        ["\xED\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x3F"],

        ["\x6D\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC0"],
        ["\xED\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x40"],

        ["\x6D\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC1"],
        ["\xED\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x41"],

        ["\x6D\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC2"],
        ["\xED\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x42"],

        ["\x6D\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC3"],
        ["\xED\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x43"],

        ["\x6D\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC4"],
        ["\xED\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x44"],

        ["\x6D\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC5"],
        ["\xED\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x45"],

        ["\x6D\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC6"],
        ["\xED\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x46"],

        ["\x6D\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC7"],
        ["\xED\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x47"],

        ["\x6D\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC8"],
        ["\xED\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x48"],

        ["\x6D\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC9"],
        ["\xED\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x49"],

        ["\x6D\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCA"],
        ["\xED\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x4A"],

        ["\x6D\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCB"],
        ["\xED\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x4B"],

        ["\x6D\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCC"],
        ["\xED\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x4C"],

        ["\x6D\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCD"],
        ["\xED\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x4D"],

        ["\x6D\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCE"],
        ["\xED\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x4E"],

        ["\x6D\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCF"],
        ["\xED\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x4F"],

        ["\x6D\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD0"],
        ["\xED\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x50"],

        ["\x6D\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD1"],
        ["\xED\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x51"],

        ["\x6D\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD2"],
        ["\xED\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x52"],

        ["\x6D\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD3"],
        ["\xED\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x53"],

        ["\x6D\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD4"],
        ["\xED\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x54"],

        ["\x6D\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD5"],
        ["\xED\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x55"],

        ["\x6D\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD6"],
        ["\xED\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x56"],

        ["\x6D\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD7"],
        ["\xED\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x57"],

        ["\x6D\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD8"],
        ["\xED\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x58"],

        ["\x6D\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD9"],
        ["\xED\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x59"],

        ["\x6D\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDA"],
        ["\xED\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x5A"],

        ["\x6D\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDB"],
        ["\xED\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x5B"],

        ["\x6D\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDC"],
        ["\xED\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x5C"],

        ["\x6D\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDD"],
        ["\xED\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x5D"],

        ["\x6D\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDE"],
        ["\xED\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x5E"],

        ["\x6D\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDF"],
        ["\xED\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x5F"],

        ["\x6D\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE0"],
        ["\xED\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x60"],

        ["\x6D\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE1"],
        ["\xED\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x61"],

        ["\x6D\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE2"],
        ["\xED\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x62"],

        ["\x6D\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE3"],
        ["\xED\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x63"],

        ["\x6D\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE4"],
        ["\xED\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x64"],

        ["\x6D\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE5"],
        ["\xED\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x65"],

        ["\x6D\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE6"],
        ["\xED\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x66"],

        ["\x6D\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE7"],
        ["\xED\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x67"],

        ["\x6D\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE8"],
        ["\xED\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x68"],

        ["\x6D\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE9"],
        ["\xED\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x69"],

        ["\x6D\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEA"],
        ["\xED\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x6A"],

        ["\x6D\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEB"],
        ["\xED\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x6B"],

        ["\x6D\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEC"],
        ["\xED\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x6C"],

        ["\x6D\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xED"],
        ["\xED\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x6D"],

        ["\x46\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF6"],
        ["\xC6\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x46\x76"],

        ["\x6D\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEF"],
        ["\xED\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x6F"],

        ["\x6D\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF0"],
        ["\xED\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x70"],

        ["\x6D\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF1"],
        ["\xED\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x71"],

        ["\x6D\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF2"],
        ["\xED\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x72"],

        ["\x6D\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF3"],
        ["\xED\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x73"],

        ["\x6D\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF4"],
        ["\xED\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x74"],

        ["\x6D\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF5"],
        ["\xED\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x75"],

        ["\x6D\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF6"],
        ["\xED\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x76"],

        ["\x6D\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF7"],
        ["\xED\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x77"],

        ["\x6D\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF8"],
        ["\xED\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x78"],

        ["\x6D\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF9"],
        ["\xED\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x79"],

        ["\x6D\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFA"],
        ["\xED\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x7A"],

        ["\x6D\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFB"],
        ["\xED\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x7B"],

        ["\x6D\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFC"],
        ["\xED\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x7C"],

        ["\x6D\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFD"],
        ["\xED\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x7D"],

        ["\x6D\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFE"],
        ["\xED\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6D\x7E"],

        ["\x6E\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA1"],
        ["\xEE\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x21"],

        ["\x6E\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA2"],
        ["\xEE\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x22"],

        ["\x6E\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA3"],
        ["\xEE\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x23"],

        ["\x6E\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA4"],
        ["\xEE\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x24"],

        ["\x6E\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA5"],
        ["\xEE\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x25"],

        ["\x6E\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA6"],
        ["\xEE\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x26"],

        ["\x6E\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA7"],
        ["\xEE\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x27"],

        ["\x6E\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA8"],
        ["\xEE\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x28"],

        ["\x6E\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA9"],
        ["\xEE\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x29"],

        ["\x6E\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAA"],
        ["\xEE\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x2A"],

        ["\x6E\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAB"],
        ["\xEE\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x2B"],

        ["\x6E\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAC"],
        ["\xEE\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x2C"],

        ["\x6E\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAD"],
        ["\xEE\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x2D"],

        ["\x6E\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAE"],
        ["\xEE\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x2E"],

        ["\x6E\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAF"],
        ["\xEE\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x2F"],

        ["\x6E\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB0"],
        ["\xEE\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x30"],

        ["\x6E\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB1"],
        ["\xEE\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x31"],

        ["\x6E\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB2"],
        ["\xEE\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x32"],

        ["\x6E\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB3"],
        ["\xEE\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x33"],

        ["\x6E\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB4"],
        ["\xEE\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x34"],

        ["\x6E\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB5"],
        ["\xEE\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x35"],

        ["\x6E\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB6"],
        ["\xEE\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x36"],

        ["\x6E\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB7"],
        ["\xEE\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x37"],

        ["\x6E\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB8"],
        ["\xEE\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x38"],

        ["\x6E\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB9"],
        ["\xEE\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x39"],

        ["\x6E\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBA"],
        ["\xEE\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x3A"],

        ["\x6E\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBB"],
        ["\xEE\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x3B"],

        ["\x6E\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBC"],
        ["\xEE\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x3C"],

        ["\x6E\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBD"],
        ["\xEE\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x3D"],

        ["\x6E\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBE"],
        ["\xEE\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x3E"],

        ["\x6E\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBF"],
        ["\xEE\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x3F"],

        ["\x6E\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC0"],
        ["\xEE\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x40"],

        ["\x6E\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC1"],
        ["\xEE\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x41"],

        ["\x6E\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC2"],
        ["\xEE\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x42"],

        ["\x6E\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC3"],
        ["\xEE\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x43"],

        ["\x6E\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC4"],
        ["\xEE\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x44"],

        ["\x6E\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC5"],
        ["\xEE\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x45"],

        ["\x6E\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC6"],
        ["\xEE\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x46"],

        ["\x6E\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC7"],
        ["\xEE\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x47"],

        ["\x6E\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC8"],
        ["\xEE\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x48"],

        ["\x6E\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC9"],
        ["\xEE\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x49"],

        ["\x6E\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCA"],
        ["\xEE\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x4A"],

        ["\x6E\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCB"],
        ["\xEE\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x4B"],

        ["\x6E\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCC"],
        ["\xEE\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x4C"],

        ["\x6E\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCD"],
        ["\xEE\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x4D"],

        ["\x6E\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCE"],
        ["\xEE\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x4E"],

        ["\x6E\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCF"],
        ["\xEE\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x4F"],

        ["\x6E\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD0"],
        ["\xEE\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x50"],

        ["\x6E\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD1"],
        ["\xEE\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x51"],

        ["\x6E\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD2"],
        ["\xEE\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x52"],

        ["\x6E\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD3"],
        ["\xEE\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x53"],

        ["\x6E\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD4"],
        ["\xEE\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x54"],

        ["\x6E\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD5"],
        ["\xEE\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x55"],

        ["\x6E\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD6"],
        ["\xEE\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x56"],

        ["\x6E\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD7"],
        ["\xEE\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x57"],

        ["\x6E\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD8"],
        ["\xEE\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x58"],

        ["\x6E\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD9"],
        ["\xEE\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x59"],

        ["\x6E\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDA"],
        ["\xEE\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x5A"],

        ["\x6E\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDB"],
        ["\xEE\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x5B"],

        ["\x6E\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDC"],
        ["\xEE\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x5C"],

        ["\x6E\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDD"],
        ["\xEE\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x5D"],

        ["\x6E\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDE"],
        ["\xEE\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x5E"],

        ["\x6E\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDF"],
        ["\xEE\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x5F"],

        ["\x6E\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE0"],
        ["\xEE\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x60"],

        ["\x6E\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE1"],
        ["\xEE\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x61"],

        ["\x6E\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE2"],
        ["\xEE\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x62"],

        ["\x6E\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE3"],
        ["\xEE\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x63"],

        ["\x6E\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE4"],
        ["\xEE\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x64"],

        ["\x6E\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE5"],
        ["\xEE\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x65"],

        ["\x6E\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE6"],
        ["\xEE\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x66"],

        ["\x6E\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE7"],
        ["\xEE\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x67"],

        ["\x6E\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE8"],
        ["\xEE\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x68"],

        ["\x6E\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE9"],
        ["\xEE\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x69"],

        ["\x6E\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEA"],
        ["\xEE\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x6A"],

        ["\x6E\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEB"],
        ["\xEE\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x6B"],

        ["\x6E\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEC"],
        ["\xEE\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x6C"],

        ["\x6E\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xED"],
        ["\xEE\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x6D"],

        ["\x6E\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEE"],
        ["\xEE\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x6E"],

        ["\x6E\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEF"],
        ["\xEE\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x6F"],

        ["\x6E\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF0"],
        ["\xEE\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x70"],

        ["\x6E\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF1"],
        ["\xEE\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x71"],

        ["\x6E\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF2"],
        ["\xEE\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x72"],

        ["\x6E\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF3"],
        ["\xEE\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x73"],

        ["\x6E\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF4"],
        ["\xEE\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x74"],

        ["\x6E\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF5"],
        ["\xEE\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x75"],

        ["\x6E\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF6"],
        ["\xEE\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x76"],

        ["\x6E\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF7"],
        ["\xEE\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x77"],

        ["\x6E\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF8"],
        ["\xEE\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x78"],

        ["\x6E\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF9"],
        ["\xEE\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x79"],

        ["\x6E\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFA"],
        ["\xEE\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x7A"],

        ["\x6E\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFB"],
        ["\xEE\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x7B"],

        ["\x6E\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFC"],
        ["\xEE\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x7C"],

        ["\x6E\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFD"],
        ["\xEE\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x7D"],

        ["\x6E\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFE"],
        ["\xEE\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6E\x7E"],

        ["\x6F\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA1"],
        ["\xEF\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x21"],

        ["\x6F\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA2"],
        ["\xEF\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x22"],

        ["\x6F\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA3"],
        ["\xEF\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x23"],

        ["\x6F\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4"],
        ["\xEF\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x24"],

        ["\x6F\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA5"],
        ["\xEF\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x25"],

        ["\x6F\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA6"],
        ["\xEF\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x26"],

        ["\x6F\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7"],
        ["\xEF\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x27"],

        ["\x6F\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8"],
        ["\xEF\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x28"],

        ["\x6F\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9"],
        ["\xEF\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x29"],

        ["\x6F\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAA"],
        ["\xEF\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x2A"],

        ["\x6F\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAB"],
        ["\xEF\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x2B"],

        ["\x6F\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAC"],
        ["\xEF\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x2C"],

        ["\x6F\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAD"],
        ["\xEF\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x2D"],

        ["\x6F\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAE"],
        ["\xEF\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x2E"],

        ["\x6F\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAF"],
        ["\xEF\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x2F"],

        ["\x6F\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB0"],
        ["\xEF\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x30"],

        ["\x6F\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB1"],
        ["\xEF\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x31"],

        ["\x6F\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB2"],
        ["\xEF\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x32"],

        ["\x6F\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB3"],
        ["\xEF\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x33"],

        ["\x6F\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB4"],
        ["\xEF\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x34"],

        ["\x6F\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB5"],
        ["\xEF\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x35"],

        ["\x6F\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB6"],
        ["\xEF\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x36"],

        ["\x6F\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB7"],
        ["\xEF\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x37"],

        ["\x6F\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB8"],
        ["\xEF\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x38"],

        ["\x6F\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9"],
        ["\xEF\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x39"],

        ["\x6F\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBA"],
        ["\xEF\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x3A"],

        ["\x6F\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBB"],
        ["\xEF\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x3B"],

        ["\x6F\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC"],
        ["\xEF\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x3C"],

        ["\x6F\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD"],
        ["\xEF\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x3D"],

        ["\x6F\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBE"],
        ["\xEF\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x3E"],

        ["\x6F\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF"],
        ["\xEF\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x3F"],

        ["\x6F\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC0"],
        ["\xEF\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x40"],

        ["\x6F\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC1"],
        ["\xEF\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x41"],

        ["\x6F\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC2"],
        ["\xEF\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x42"],

        ["\x6F\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC3"],
        ["\xEF\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x43"],

        ["\x6F\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC4"],
        ["\xEF\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x44"],

        ["\x6F\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC5"],
        ["\xEF\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x45"],

        ["\x6F\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC6"],
        ["\xEF\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x46"],

        ["\x6F\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC7"],
        ["\xEF\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x47"],

        ["\x6F\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC8"],
        ["\xEF\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x48"],

        ["\x6F\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC9"],
        ["\xEF\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x49"],

        ["\x6F\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCA"],
        ["\xEF\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x4A"],

        ["\x6F\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCB"],
        ["\xEF\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x4B"],

        ["\x6F\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCC"],
        ["\xEF\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x4C"],

        ["\x6F\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCD"],
        ["\xEF\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x4D"],

        ["\x6F\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCE"],
        ["\xEF\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x4E"],

        ["\x6F\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCF"],
        ["\xEF\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x4F"],

        ["\x6F\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD0"],
        ["\xEF\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x50"],

        ["\x6F\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD1"],
        ["\xEF\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x51"],

        ["\x6F\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD2"],
        ["\xEF\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x52"],

        ["\x6F\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD3"],
        ["\xEF\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x53"],

        ["\x6F\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD4"],
        ["\xEF\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x54"],

        ["\x6F\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD5"],
        ["\xEF\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x55"],

        ["\x6F\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD6"],
        ["\xEF\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x56"],

        ["\x6F\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD7"],
        ["\xEF\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x57"],

        ["\x6F\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD8"],
        ["\xEF\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x58"],

        ["\x6F\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD9"],
        ["\xEF\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x59"],

        ["\x6F\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDA"],
        ["\xEF\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x5A"],

        ["\x6F\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDB"],
        ["\xEF\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x5B"],

        ["\x6F\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDC"],
        ["\xEF\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x5C"],

        ["\x6F\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDD"],
        ["\xEF\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x5D"],

        ["\x6F\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDE"],
        ["\xEF\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x5E"],

        ["\x6F\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDF"],
        ["\xEF\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x5F"],

        ["\x6F\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE0"],
        ["\xEF\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x60"],

        ["\x6F\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE1"],
        ["\xEF\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x61"],

        ["\x6F\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE2"],
        ["\xEF\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x62"],

        ["\x6F\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE3"],
        ["\xEF\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x63"],

        ["\x6F\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE4"],
        ["\xEF\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x64"],

        ["\x6F\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE5"],
        ["\xEF\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x65"],

        ["\x6F\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE6"],
        ["\xEF\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x66"],

        ["\x6F\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE7"],
        ["\xEF\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x67"],

        ["\x6F\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE8"],
        ["\xEF\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x68"],

        ["\x6F\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE9"],
        ["\xEF\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x69"],

        ["\x6F\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEA"],
        ["\xEF\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x6A"],

        ["\x6F\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEB"],
        ["\xEF\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x6B"],

        ["\x6F\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEC"],
        ["\xEF\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x6C"],

        ["\x6F\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xED"],
        ["\xEF\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x6D"],

        ["\x6F\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEE"],
        ["\xEF\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x6E"],

        ["\x6F\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEF"],
        ["\xEF\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x6F"],

        ["\x6F\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF0"],
        ["\xEF\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x70"],

        ["\x6F\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF1"],
        ["\xEF\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x71"],

        ["\x6F\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF2"],
        ["\xEF\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x72"],

        ["\x6F\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF3"],
        ["\xEF\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x73"],

        ["\x6F\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF4"],
        ["\xEF\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x74"],

        ["\x6F\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF5"],
        ["\xEF\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x75"],

        ["\x6F\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF6"],
        ["\xEF\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x76"],

        ["\x6F\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF7"],
        ["\xEF\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x77"],

        ["\x6F\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF8"],
        ["\xEF\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x78"],

        ["\x6F\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF9"],
        ["\xEF\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x79"],

        ["\x6F\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFA"],
        ["\xEF\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x7A"],

        ["\x6F\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFB"],
        ["\xEF\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x7B"],

        ["\x6F\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFC"],
        ["\xEF\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x7C"],

        ["\x6F\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFD"],
        ["\xEF\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x7D"],

        ["\x6F\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFE"],
        ["\xEF\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x6F\x7E"],

        ["\x70\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],
        ["\xF0\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x21"],

        ["\x70\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2"],
        ["\xF0\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x22"],

        ["\x70\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3"],
        ["\xF0\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x23"],

        ["\x70\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4"],
        ["\xF0\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x24"],

        ["\x70\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5"],
        ["\xF0\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x25"],

        ["\x70\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6"],
        ["\xF0\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x26"],

        ["\x70\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7"],
        ["\xF0\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x27"],

        ["\x70\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8"],
        ["\xF0\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x28"],

        ["\x70\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9"],
        ["\xF0\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x29"],

        ["\x70\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA"],
        ["\xF0\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x2A"],

        ["\x70\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],
        ["\xF0\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x2B"],

        ["\x70\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAC"],
        ["\xF0\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x2C"],

        ["\x70\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAD"],
        ["\xF0\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x2D"],

        ["\x70\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAE"],
        ["\xF0\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x2E"],

        ["\x70\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAF"],
        ["\xF0\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x2F"],

        ["\x70\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],
        ["\xF0\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x30"],

        ["\x70\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB1"],
        ["\xF0\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x31"],

        ["\x70\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB2"],
        ["\xF0\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x32"],

        ["\x70\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB3"],
        ["\xF0\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x33"],

        ["\x70\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB4"],
        ["\xF0\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x34"],

        ["\x70\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB5"],
        ["\xF0\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x35"],

        ["\x70\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB6"],
        ["\xF0\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x36"],

        ["\x70\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB7"],
        ["\xF0\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x37"],

        ["\x70\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB8"],
        ["\xF0\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x38"],

        ["\x70\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB9"],
        ["\xF0\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x39"],

        ["\x70\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBA"],
        ["\xF0\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x3A"],

        ["\x70\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBB"],
        ["\xF0\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x3B"],

        ["\x70\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBC"],
        ["\xF0\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x3C"],

        ["\x70\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBD"],
        ["\xF0\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x3D"],

        ["\x70\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBE"],
        ["\xF0\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x3E"],

        ["\x70\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBF"],
        ["\xF0\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x3F"],

        ["\x70\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],
        ["\xF0\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x40"],

        ["\x70\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],
        ["\xF0\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x41"],

        ["\x70\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],
        ["\xF0\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x42"],

        ["\x70\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],
        ["\xF0\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x43"],

        ["\x70\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],
        ["\xF0\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x44"],

        ["\x70\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],
        ["\xF0\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x45"],

        ["\x70\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],
        ["\xF0\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x46"],

        ["\x70\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],
        ["\xF0\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x47"],

        ["\x70\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],
        ["\xF0\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x48"],

        ["\x70\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],
        ["\xF0\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x49"],

        ["\x70\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCA"],
        ["\xF0\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x4A"],

        ["\x70\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCB"],
        ["\xF0\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x4B"],

        ["\x70\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCC"],
        ["\xF0\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x4C"],

        ["\x70\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCD"],
        ["\xF0\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x4D"],

        ["\x70\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCE"],
        ["\xF0\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x4E"],

        ["\x70\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCF"],
        ["\xF0\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x4F"],

        ["\x70\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],
        ["\xF0\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x50"],

        ["\x70\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],
        ["\xF0\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x51"],

        ["\x70\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],
        ["\xF0\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x52"],

        ["\x70\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],
        ["\xF0\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x53"],

        ["\x70\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],
        ["\xF0\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x54"],

        ["\x70\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],
        ["\xF0\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x55"],

        ["\x70\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],
        ["\xF0\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x56"],

        ["\x3F\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD9"],
        ["\xBF\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x3F\x59"],

        ["\x70\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],
        ["\xF0\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x58"],

        ["\x70\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],
        ["\xF0\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x59"],

        ["\x70\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDA"],
        ["\xF0\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x5A"],

        ["\x70\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDB"],
        ["\xF0\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x5B"],

        ["\x70\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDC"],
        ["\xF0\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x5C"],

        ["\x70\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDD"],
        ["\xF0\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x5D"],

        ["\x70\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDE"],
        ["\xF0\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x5E"],

        ["\x70\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDF"],
        ["\xF0\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x5F"],

        ["\x70\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],
        ["\xF0\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x60"],

        ["\x70\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE1"],
        ["\xF0\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x61"],

        ["\x70\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],
        ["\xF0\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x62"],

        ["\x70\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],
        ["\xF0\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x63"],

        ["\x70\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],
        ["\xF0\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x64"],

        ["\x70\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],
        ["\xF0\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x65"],

        ["\x70\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],
        ["\xF0\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x66"],

        ["\x70\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],
        ["\xF0\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x67"],

        ["\x70\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],
        ["\xF0\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x68"],

        ["\x70\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],
        ["\xF0\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x69"],

        ["\x70\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEA"],
        ["\xF0\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x6A"],

        ["\x70\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEB"],
        ["\xF0\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x6B"],

        ["\x70\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEC"],
        ["\xF0\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x6C"],

        ["\x70\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xED"],
        ["\xF0\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x6D"],

        ["\x70\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEE"],
        ["\xF0\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x6E"],

        ["\x70\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEF"],
        ["\xF0\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x6F"],

        ["\x70\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],
        ["\xF0\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x70"],

        ["\x70\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],
        ["\xF0\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x71"],

        ["\x70\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],
        ["\xF0\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x72"],

        ["\x70\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],
        ["\xF0\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x73"],

        ["\x37\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],
        ["\xB7\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x37\x5B"],

        ["\x70\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],
        ["\xF0\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x75"],

        ["\x70\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],
        ["\xF0\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x76"],

        ["\x70\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],
        ["\xF0\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x77"],

        ["\x70\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],
        ["\xF0\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x78"],

        ["\x70\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],
        ["\xF0\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x79"],

        ["\x70\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFA"],
        ["\xF0\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x7A"],

        ["\x70\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFB"],
        ["\xF0\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x7B"],

        ["\x70\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFC"],
        ["\xF0\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x7C"],

        ["\x70\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFD"],
        ["\xF0\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x7D"],

        ["\x70\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFE"],
        ["\xF0\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x70\x7E"],

        ["\x71\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],
        ["\xF1\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x21"],

        ["\x71\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA2"],
        ["\xF1\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x22"],

        ["\x71\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA3"],
        ["\xF1\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x23"],

        ["\x71\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA4"],
        ["\xF1\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x24"],

        ["\x71\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA5"],
        ["\xF1\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x25"],

        ["\x71\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA6"],
        ["\xF1\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x26"],

        ["\x71\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA7"],
        ["\xF1\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x27"],

        ["\x71\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA8"],
        ["\xF1\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x28"],

        ["\x71\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA9"],
        ["\xF1\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x29"],

        ["\x71\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAA"],
        ["\xF1\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x2A"],

        ["\x71\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],
        ["\xF1\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x2B"],

        ["\x71\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAC"],
        ["\xF1\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x2C"],

        ["\x71\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAD"],
        ["\xF1\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x2D"],

        ["\x71\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAE"],
        ["\xF1\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x2E"],

        ["\x71\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAF"],
        ["\xF1\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x2F"],

        ["\x71\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],
        ["\xF1\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x30"],

        ["\x71\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB1"],
        ["\xF1\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x31"],

        ["\x71\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB2"],
        ["\xF1\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x32"],

        ["\x71\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB3"],
        ["\xF1\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x33"],

        ["\x71\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB4"],
        ["\xF1\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x34"],

        ["\x71\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB5"],
        ["\xF1\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x35"],

        ["\x71\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB6"],
        ["\xF1\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x36"],

        ["\x71\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB7"],
        ["\xF1\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x37"],

        ["\x71\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB8"],
        ["\xF1\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x38"],

        ["\x71\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB9"],
        ["\xF1\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x39"],

        ["\x71\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBA"],
        ["\xF1\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x3A"],

        ["\x71\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBB"],
        ["\xF1\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x3B"],

        ["\x71\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBC"],
        ["\xF1\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x3C"],

        ["\x71\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBD"],
        ["\xF1\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x3D"],

        ["\x71\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBE"],
        ["\xF1\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x3E"],

        ["\x71\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBF"],
        ["\xF1\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x3F"],

        ["\x71\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC0"],
        ["\xF1\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x40"],

        ["\x71\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC1"],
        ["\xF1\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x41"],

        ["\x71\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC2"],
        ["\xF1\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x42"],

        ["\x71\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC3"],
        ["\xF1\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x43"],

        ["\x71\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC4"],
        ["\xF1\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x44"],

        ["\x71\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC5"],
        ["\xF1\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x45"],

        ["\x71\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC6"],
        ["\xF1\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x46"],

        ["\x71\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC7"],
        ["\xF1\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x47"],

        ["\x71\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC8"],
        ["\xF1\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x48"],

        ["\x71\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC9"],
        ["\xF1\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x49"],

        ["\x71\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCA"],
        ["\xF1\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x4A"],

        ["\x71\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCB"],
        ["\xF1\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x4B"],

        ["\x71\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCC"],
        ["\xF1\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x4C"],

        ["\x71\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCD"],
        ["\xF1\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x4D"],

        ["\x71\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCE"],
        ["\xF1\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x4E"],

        ["\x71\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCF"],
        ["\xF1\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x4F"],

        ["\x71\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD0"],
        ["\xF1\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x50"],

        ["\x71\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD1"],
        ["\xF1\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x51"],

        ["\x71\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD2"],
        ["\xF1\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x52"],

        ["\x71\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD3"],
        ["\xF1\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x53"],

        ["\x71\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD4"],
        ["\xF1\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x54"],

        ["\x71\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD5"],
        ["\xF1\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x55"],

        ["\x71\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD6"],
        ["\xF1\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x56"],

        ["\x71\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD7"],
        ["\xF1\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x57"],

        ["\x71\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD8"],
        ["\xF1\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x58"],

        ["\x71\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD9"],
        ["\xF1\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x59"],

        ["\x71\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDA"],
        ["\xF1\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x5A"],

        ["\x71\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDB"],
        ["\xF1\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x5B"],

        ["\x71\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDC"],
        ["\xF1\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x5C"],

        ["\x71\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDD"],
        ["\xF1\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x5D"],

        ["\x71\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDE"],
        ["\xF1\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x5E"],

        ["\x71\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDF"],
        ["\xF1\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x5F"],

        ["\x71\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE0"],
        ["\xF1\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x60"],

        ["\x71\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE1"],
        ["\xF1\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x61"],

        ["\x71\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE2"],
        ["\xF1\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x62"],

        ["\x71\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE3"],
        ["\xF1\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x63"],

        ["\x71\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE4"],
        ["\xF1\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x64"],

        ["\x71\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE5"],
        ["\xF1\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x65"],

        ["\x71\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE6"],
        ["\xF1\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x66"],

        ["\x71\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE7"],
        ["\xF1\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x67"],

        ["\x71\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE8"],
        ["\xF1\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x68"],

        ["\x71\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE9"],
        ["\xF1\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x69"],

        ["\x71\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEA"],
        ["\xF1\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x6A"],

        ["\x71\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEB"],
        ["\xF1\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x6B"],

        ["\x71\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEC"],
        ["\xF1\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x6C"],

        ["\x71\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xED"],
        ["\xF1\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x6D"],

        ["\x71\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEE"],
        ["\xF1\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x6E"],

        ["\x71\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEF"],
        ["\xF1\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x6F"],

        ["\x71\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF0"],
        ["\xF1\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x70"],

        ["\x71\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF1"],
        ["\xF1\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x71"],

        ["\x71\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF2"],
        ["\xF1\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x72"],

        ["\x71\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF3"],
        ["\xF1\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x73"],

        ["\x71\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF4"],
        ["\xF1\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x74"],

        ["\x71\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF5"],
        ["\xF1\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x75"],

        ["\x71\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF6"],
        ["\xF1\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x76"],

        ["\x71\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF7"],
        ["\xF1\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x77"],

        ["\x71\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF8"],
        ["\xF1\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x78"],

        ["\x71\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF9"],
        ["\xF1\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x79"],

        ["\x71\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFA"],
        ["\xF1\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x7A"],

        ["\x71\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFB"],
        ["\xF1\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x7B"],

        ["\x71\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFC"],
        ["\xF1\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x7C"],

        ["\x71\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFD"],
        ["\xF1\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x7D"],

        ["\x71\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFE"],
        ["\xF1\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x71\x7E"],

        ["\x72\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA1"],
        ["\xF2\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x21"],

        ["\x72\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA2"],
        ["\xF2\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x22"],

        ["\x72\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA3"],
        ["\xF2\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x23"],

        ["\x72\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA4"],
        ["\xF2\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x24"],

        ["\x72\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA5"],
        ["\xF2\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x25"],

        ["\x72\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA6"],
        ["\xF2\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x26"],

        ["\x72\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA7"],
        ["\xF2\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x27"],

        ["\x72\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA8"],
        ["\xF2\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x28"],

        ["\x72\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA9"],
        ["\xF2\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x29"],

        ["\x72\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAA"],
        ["\xF2\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x2A"],

        ["\x72\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAB"],
        ["\xF2\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x2B"],

        ["\x72\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAC"],
        ["\xF2\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x2C"],

        ["\x72\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAD"],
        ["\xF2\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x2D"],

        ["\x72\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAE"],
        ["\xF2\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x2E"],

        ["\x72\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAF"],
        ["\xF2\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x2F"],

        ["\x72\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB0"],
        ["\xF2\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x30"],

        ["\x72\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB1"],
        ["\xF2\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x31"],

        ["\x72\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB2"],
        ["\xF2\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x32"],

        ["\x72\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB3"],
        ["\xF2\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x33"],

        ["\x72\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB4"],
        ["\xF2\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x34"],

        ["\x72\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB5"],
        ["\xF2\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x35"],

        ["\x72\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB6"],
        ["\xF2\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x36"],

        ["\x72\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB7"],
        ["\xF2\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x37"],

        ["\x72\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB8"],
        ["\xF2\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x38"],

        ["\x72\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB9"],
        ["\xF2\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x39"],

        ["\x72\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBA"],
        ["\xF2\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x3A"],

        ["\x72\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBB"],
        ["\xF2\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x3B"],

        ["\x72\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBC"],
        ["\xF2\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x3C"],

        ["\x72\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBD"],
        ["\xF2\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x3D"],

        ["\x72\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBE"],
        ["\xF2\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x3E"],

        ["\x72\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBF"],
        ["\xF2\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x3F"],

        ["\x72\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC0"],
        ["\xF2\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x40"],

        ["\x72\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC1"],
        ["\xF2\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x41"],

        ["\x72\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC2"],
        ["\xF2\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x42"],

        ["\x72\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC3"],
        ["\xF2\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x43"],

        ["\x72\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC4"],
        ["\xF2\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x44"],

        ["\x72\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC5"],
        ["\xF2\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x45"],

        ["\x72\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC6"],
        ["\xF2\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x46"],

        ["\x72\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC7"],
        ["\xF2\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x47"],

        ["\x72\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC8"],
        ["\xF2\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x48"],

        ["\x72\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC9"],
        ["\xF2\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x49"],

        ["\x72\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCA"],
        ["\xF2\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x4A"],

        ["\x72\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCB"],
        ["\xF2\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x4B"],

        ["\x72\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCC"],
        ["\xF2\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x4C"],

        ["\x30\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB3"],
        ["\xB0\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x30\x33"],

        ["\x72\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCE"],
        ["\xF2\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x4E"],

        ["\x72\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCF"],
        ["\xF2\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x4F"],

        ["\x72\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD0"],
        ["\xF2\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x50"],

        ["\x72\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD1"],
        ["\xF2\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x51"],

        ["\x72\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD2"],
        ["\xF2\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x52"],

        ["\x72\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD3"],
        ["\xF2\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x53"],

        ["\x72\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD4"],
        ["\xF2\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x54"],

        ["\x72\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD5"],
        ["\xF2\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x55"],

        ["\x72\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD6"],
        ["\xF2\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x56"],

        ["\x72\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD7"],
        ["\xF2\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x57"],

        ["\x72\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD8"],
        ["\xF2\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x58"],

        ["\x72\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD9"],
        ["\xF2\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x59"],

        ["\x72\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDA"],
        ["\xF2\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x5A"],

        ["\x72\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDB"],
        ["\xF2\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x5B"],

        ["\x72\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDC"],
        ["\xF2\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x5C"],

        ["\x72\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDD"],
        ["\xF2\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x5D"],

        ["\x72\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDE"],
        ["\xF2\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x5E"],

        ["\x72\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDF"],
        ["\xF2\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x5F"],

        ["\x72\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE0"],
        ["\xF2\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x60"],

        ["\x72\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE1"],
        ["\xF2\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x61"],

        ["\x72\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE2"],
        ["\xF2\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x62"],

        ["\x72\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE3"],
        ["\xF2\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x63"],

        ["\x72\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE4"],
        ["\xF2\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x64"],

        ["\x72\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE5"],
        ["\xF2\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x65"],

        ["\x72\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE6"],
        ["\xF2\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x66"],

        ["\x72\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE7"],
        ["\xF2\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x67"],

        ["\x72\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE8"],
        ["\xF2\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x68"],

        ["\x72\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE9"],
        ["\xF2\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x69"],

        ["\x72\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEA"],
        ["\xF2\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x6A"],

        ["\x72\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEB"],
        ["\xF2\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x6B"],

        ["\x72\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEC"],
        ["\xF2\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x6C"],

        ["\x72\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xED"],
        ["\xF2\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x6D"],

        ["\x72\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEE"],
        ["\xF2\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x6E"],

        ["\x72\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEF"],
        ["\xF2\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x6F"],

        ["\x72\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF0"],
        ["\xF2\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x70"],

        ["\x72\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF1"],
        ["\xF2\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x71"],

        ["\x72\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF2"],
        ["\xF2\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x72"],

        ["\x72\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF3"],
        ["\xF2\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x73"],

        ["\x32\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA9"],
        ["\xB2\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x32\x29"],

        ["\x72\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF5"],
        ["\xF2\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x75"],

        ["\x72\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF6"],
        ["\xF2\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x76"],

        ["\x72\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF7"],
        ["\xF2\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x77"],

        ["\x72\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF8"],
        ["\xF2\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x78"],

        ["\x72\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF9"],
        ["\xF2\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x79"],

        ["\x72\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFA"],
        ["\xF2\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x7A"],

        ["\x72\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFB"],
        ["\xF2\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x7B"],

        ["\x72\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFC"],
        ["\xF2\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x7C"],

        ["\x72\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFD"],
        ["\xF2\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x7D"],

        ["\x72\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFE"],
        ["\xF2\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x72\x7E"],

        ["\x73\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA1"],
        ["\xF3\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x21"],

        ["\x73\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA2"],
        ["\xF3\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x22"],

        ["\x73\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA3"],
        ["\xF3\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x23"],

        ["\x73\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA4"],
        ["\xF3\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x24"],

        ["\x73\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA5"],
        ["\xF3\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x25"],

        ["\x73\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA6"],
        ["\xF3\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x26"],

        ["\x73\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA7"],
        ["\xF3\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x27"],

        ["\x73\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA8"],
        ["\xF3\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x28"],

        ["\x73\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA9"],
        ["\xF3\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x29"],

        ["\x73\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAA"],
        ["\xF3\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x2A"],

        ["\x73\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAB"],
        ["\xF3\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x2B"],

        ["\x73\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAC"],
        ["\xF3\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x2C"],

        ["\x73\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAD"],
        ["\xF3\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x2D"],

        ["\x73\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAE"],
        ["\xF3\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x2E"],

        ["\x73\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAF"],
        ["\xF3\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x2F"],

        ["\x73\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0"],
        ["\xF3\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x30"],

        ["\x73\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1"],
        ["\xF3\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x31"],

        ["\x73\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2"],
        ["\xF3\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x32"],

        ["\x73\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3"],
        ["\xF3\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x33"],

        ["\x73\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4"],
        ["\xF3\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x34"],

        ["\x73\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5"],
        ["\xF3\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x35"],

        ["\x73\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB6"],
        ["\xF3\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x36"],

        ["\x73\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB7"],
        ["\xF3\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x37"],

        ["\x73\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB8"],
        ["\xF3\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x38"],

        ["\x73\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB9"],
        ["\xF3\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x39"],

        ["\x73\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBA"],
        ["\xF3\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x3A"],

        ["\x73\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBB"],
        ["\xF3\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x3B"],

        ["\x73\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBC"],
        ["\xF3\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x3C"],

        ["\x73\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBD"],
        ["\xF3\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x3D"],

        ["\x73\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBE"],
        ["\xF3\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x3E"],

        ["\x73\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBF"],
        ["\xF3\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x3F"],

        ["\x73\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC0"],
        ["\xF3\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x40"],

        ["\x73\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC1"],
        ["\xF3\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x41"],

        ["\x73\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC2"],
        ["\xF3\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x42"],

        ["\x73\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC3"],
        ["\xF3\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x43"],

        ["\x73\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC4"],
        ["\xF3\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x44"],

        ["\x73\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC5"],
        ["\xF3\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x45"],

        ["\x73\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC6"],
        ["\xF3\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x46"],

        ["\x73\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC7"],
        ["\xF3\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x47"],

        ["\x73\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC8"],
        ["\xF3\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x48"],

        ["\x73\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC9"],
        ["\xF3\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x49"],

        ["\x73\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCA"],
        ["\xF3\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x4A"],

        ["\x73\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCB"],
        ["\xF3\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x4B"],

        ["\x73\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCC"],
        ["\xF3\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x4C"],

        ["\x73\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCD"],
        ["\xF3\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x4D"],

        ["\x73\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCE"],
        ["\xF3\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x4E"],

        ["\x73\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCF"],
        ["\xF3\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x4F"],

        ["\x73\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD0"],
        ["\xF3\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x50"],

        ["\x73\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD1"],
        ["\xF3\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x51"],

        ["\x73\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD2"],
        ["\xF3\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x52"],

        ["\x73\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD3"],
        ["\xF3\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x53"],

        ["\x73\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD4"],
        ["\xF3\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x54"],

        ["\x73\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD5"],
        ["\xF3\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x55"],

        ["\x73\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD6"],
        ["\xF3\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x56"],

        ["\x73\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD7"],
        ["\xF3\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x57"],

        ["\x73\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD8"],
        ["\xF3\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x58"],

        ["\x73\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD9"],
        ["\xF3\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x59"],

        ["\x73\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDA"],
        ["\xF3\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x5A"],

        ["\x73\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDB"],
        ["\xF3\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x5B"],

        ["\x73\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDC"],
        ["\xF3\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x5C"],

        ["\x73\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDD"],
        ["\xF3\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x5D"],

        ["\x73\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDE"],
        ["\xF3\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x5E"],

        ["\x73\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDF"],
        ["\xF3\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x5F"],

        ["\x73\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE0"],
        ["\xF3\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x60"],

        ["\x73\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE1"],
        ["\xF3\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x61"],

        ["\x73\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE2"],
        ["\xF3\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x62"],

        ["\x73\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE3"],
        ["\xF3\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x63"],

        ["\x73\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE4"],
        ["\xF3\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x64"],

        ["\x73\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE5"],
        ["\xF3\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x65"],

        ["\x73\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE6"],
        ["\xF3\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x66"],

        ["\x73\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE7"],
        ["\xF3\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x67"],

        ["\x73\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE8"],
        ["\xF3\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x68"],

        ["\x73\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE9"],
        ["\xF3\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x69"],

        ["\x73\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEA"],
        ["\xF3\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x6A"],

        ["\x73\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEB"],
        ["\xF3\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x6B"],

        ["\x73\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEC"],
        ["\xF3\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x6C"],

        ["\x73\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xED"],
        ["\xF3\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x6D"],

        ["\x73\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEE"],
        ["\xF3\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x6E"],

        ["\x73\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEF"],
        ["\xF3\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x6F"],

        ["\x73\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF0"],
        ["\xF3\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x70"],

        ["\x73\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF1"],
        ["\xF3\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x71"],

        ["\x73\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF2"],
        ["\xF3\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x72"],

        ["\x73\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF3"],
        ["\xF3\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x73"],

        ["\x73\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF4"],
        ["\xF3\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x74"],

        ["\x73\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF5"],
        ["\xF3\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x75"],

        ["\x73\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF6"],
        ["\xF3\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x76"],

        ["\x73\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF7"],
        ["\xF3\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x77"],

        ["\x73\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF8"],
        ["\xF3\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x78"],

        ["\x73\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF9"],
        ["\xF3\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x79"],

        ["\x73\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFA"],
        ["\xF3\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x7A"],

        ["\x73\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFB"],
        ["\xF3\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x7B"],

        ["\x73\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFC"],
        ["\xF3\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x7C"],

        ["\x73\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFD"],
        ["\xF3\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x7D"],

        ["\x73\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFE"],
        ["\xF3\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x73\x7E"],

        ["\x36\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC6"],
        ["\xB6\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x36\x46"],

        ["\x4B\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEA"],
        ["\xCB\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4B\x6A"],

        ["\x4D\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],
        ["\xCD\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x4D\x5A"],

        ["\x60\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],
        ["\xE0\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x60\x76"],

        ["\xB4\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xA4"],
        ["\x44\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],

        ["\xC3\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xA8"],
        ["\x58\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],

        ["\xA2\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xEB"],
        ["\x77\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xBD"],

        ["\xA2\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xEC"],
        ["\x77\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xBE"],

        ["\xA2\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xED"],
        ["\x77\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xBF"],

        ["\xA2\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xEE"],
        ["\x77\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xC0"],

        ["\xA2\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xEF"],
        ["\x77\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xC1"],

        ["\xA2\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF0"],
        ["\x77\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xC2"],

        ["\xA2\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF1"],
        ["\x77\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xC3"],

        ["\xA2\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF2"],
        ["\x77\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xC4"],

        ["\xA2\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF3"],
        ["\x77\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xC5"],

        ["\xA2\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF4"],
        ["\x77\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xC6"],

        ["\xA5\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xA1"],
        ["\x76\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xFB"],

        ["\xA3\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xA2"],
        ["\x76\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF9"],

        ["\xA3\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xA3"],
        ["\x76\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xFA"],

        ["\xC9\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xDC"],
        ["\x5F\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],

        ["\xCE\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xB5"],
        ["\x64\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],

        ["\xD2\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD9"],
        ["\x6A\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xB9"],

        ["\xD1\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xFE"],
        ["\x69\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xED"],

        ["\xCC\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC4"],
        ["\x62\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],

        ["\xB2\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xC7"],
        ["\x42\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xF6"],

        ["\xC2\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE1"],
        ["\x70\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xFE"],

        ["\xBD\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xA3"],
        ["\x51\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xBF"],

        ["\xBF\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xCD"],
        ["\x70\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xB7"],

        ["\xD2\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC9"],
        ["\x6A\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xB6"],

        ["\xBD\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xFC"],
        ["\x51\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xD5"],

        ["\xBA\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF6"],
        ["\x4C\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xC7"],

        ["\xB2\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xAC"],
        ["\x41\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xAB"],

        ["\xB2\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xE8"],
        ["\x41\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xC2"],

        ["\xB2\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xCF"],
        ["\x43\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xD3"],

        ["\xB2\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xEF"],
        ["\x41\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],

        ["\xB2\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xF0"],
        ["\x41\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],

        ["\xB2\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xFB"],
        ["\x41\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],

        ["\xB2\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xA8"],
        ["\x42\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xD6"],

        ["\xB2\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xB5"],
        ["\x42\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],

        ["\xB2\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xB3"],
        ["\x42\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xE7"],

        ["\xBA\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xB9"],
        ["\x42\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xDA"],

        ["\xB2\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xB7"],
        ["\x42\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xE1"],

        ["\xB2\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xCA"],
        ["\x42\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xF5"],

        ["\xB3\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xE7"],
        ["\x42\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],

        ["\xB3\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xDF"],
        ["\x42\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xA1"],

        ["\xB3\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xD0"],
        ["\x43\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],

        ["\xB3\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xDE"],
        ["\x42\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],

        ["\xB3\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xE9"],
        ["\x42\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xC0"],

        ["\xB3\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xF5"],
        ["\x42\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xC3"],

        ["\xB3\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xE8"],
        ["\x42\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xC4"],

        ["\xB3\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xFC"],
        ["\x42\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xC6"],

        ["\xB3\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB9"],
        ["\x43\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xD2"],

        ["\xB3\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB2"],
        ["\x43\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xD5"],

        ["\xB3\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xD3"],
        ["\x43\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xE8"],

        ["\xB3\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xD9"],
        ["\x43\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xF0"],

        ["\xB3\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xF2"],
        ["\x43\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xF7"],

        ["\xB4\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xF7"],
        ["\x43\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],

        ["\xD4\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xAC"],
        ["\x44\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xA8"],

        ["\xB4\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xB4"],
        ["\x44\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],

        ["\xB4\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xF7"],
        ["\x44\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xC1"],

        ["\xB4\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xD2"],
        ["\x44\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xC3"],

        ["\xB4\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xFA"],
        ["\x44\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xD0"],

        ["\xB4\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xED"],
        ["\x44\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xD8"],

        ["\xB4\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xA3"],
        ["\x45\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xE8"],

        ["\xB4\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xA8"],
        ["\x45\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],

        ["\xB4\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xB3"],
        ["\x45\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],

        ["\xB5\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xD2"],
        ["\x45\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],

        ["\xB5\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xDB"],
        ["\x45\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],

        ["\xB5\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xE2"],
        ["\x45\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xB1"],

        ["\xB5\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xF3"],
        ["\x45\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],

        ["\xB5\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xF2"],
        ["\x45\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],

        ["\xB5\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xC4"],
        ["\x46\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xD3"],

        ["\xB5\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xC1"],
        ["\x46\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],

        ["\xB5\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xC9"],
        ["\x46\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],

        ["\xB5\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xFA"],
        ["\x45\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xE0"],

        ["\xB5\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xF6"],
        ["\x45\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],

        ["\xB6\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xC9"],
        ["\x48\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xD6"],

        ["\xB6\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xCA"],
        ["\x48\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],

        ["\xB6\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xCB"],
        ["\x48\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xE3"],

        ["\xB6\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xF7"],
        ["\x47\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xE5"],

        ["\xB6\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xF6"],
        ["\x47\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xE6"],

        ["\xB6\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xCC"],
        ["\x48\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xE7"],

        ["\x44\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCD"],
        ["\xC4\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x44\x4D"],

        ["\xB7\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xBB"],
        ["\x48\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],

        ["\xB7\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xCD"],
        ["\x48\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],

        ["\xB7\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xD0"],
        ["\x48\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],

        ["\xB7\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xE3"],
        ["\x48\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],

        ["\xB7\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xE4"],
        ["\x48\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],

        ["\xB7\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xE5"],
        ["\x48\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],

        ["\xB7\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xEB"],
        ["\x48\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xD3"],

        ["\xB7\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xA3"],
        ["\x49\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],

        ["\xB7\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xF0"],
        ["\x49\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xE4"],

        ["\xB8\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xF2"],
        ["\x49\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],

        ["\xB8\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC9"],
        ["\x4A\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],

        ["\xB8\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xBD"],
        ["\x4A\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],

        ["\xB8\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC0"],
        ["\x4A\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],

        ["\xB8\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC6"],
        ["\x4A\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xD4"],

        ["\xB8\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD4"],
        ["\x4A\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xE3"],

        ["\xB8\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF1"],
        ["\x4A\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],

        ["\xB8\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF3"],
        ["\x4A\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xF9"],

        ["\xB9\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xE4"],
        ["\x4B\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],

        ["\xB9\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xFB"],
        ["\x4A\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xB1"],

        ["\xC6\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xA3"],
        ["\x4B\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xB7"],

        ["\xB9\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xD0"],
        ["\x4B\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],

        ["\xB9\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xA2"],
        ["\x4B\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],

        ["\xB9\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xD3"],
        ["\x4B\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xC0"],

        ["\xB9\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xDF"],
        ["\x4B\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xD3"],

        ["\xB9\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xE0"],
        ["\x4B\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xD5"],

        ["\xB9\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xE5"],
        ["\x4B\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],

        ["\xBA\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xEB"],
        ["\x4C\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xBF"],

        ["\xBA\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xEE"],
        ["\x4C\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xC1"],

        ["\xBA\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xA2"],
        ["\x4D\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xD1"],

        ["\xBA\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xC0"],
        ["\x4D\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xEC"],

        ["\xBA\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xC7"],
        ["\x4D\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xFE"],

        ["\xBB\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xCC"],
        ["\x4D\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xA9"],

        ["\xBB\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xA8"],
        ["\x4E\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xB1"],

        ["\xB5\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xD0"],
        ["\x4D\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xE5"],

        ["\xBB\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xC1"],
        ["\x4E\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xC4"],

        ["\xBB\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xBD"],
        ["\x4E\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xBD"],

        ["\xBB\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xED"],
        ["\x4E\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xC9"],

        ["\xBB\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xC2"],
        ["\x4E\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xCE"],

        ["\xBB\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xEE"],
        ["\x4E\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xD4"],

        ["\xBB\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xD0"],
        ["\x4E\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xD6"],

        ["\xBB\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xCE"],
        ["\x4E\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xD8"],

        ["\xB6\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xDB"],
        ["\x4E\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],

        ["\xBB\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xF7"],
        ["\x4E\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xF9"],

        ["\xBC\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xB5"],
        ["\x4F\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xB1"],

        ["\xBC\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xED"],
        ["\x4F\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xCC"],

        ["\xBC\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xFA"],
        ["\x4F\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xD9"],

        ["\xBC\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xA2"],
        ["\x50\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xDB"],

        ["\xBC\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xA7"],
        ["\x4F\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xDC"],

        ["\xBC\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC9"],
        ["\x50\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xF0"],

        ["\xBD\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xBD"],
        ["\x51\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xBD"],

        ["\xBD\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xC4"],
        ["\x51\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xB5"],

        ["\x39\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB7"],
        ["\xB9\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x37"],

        ["\xBD\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xC0"],
        ["\x51\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xB7"],

        ["\xBD\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xA1"],
        ["\x51\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xC2"],

        ["\xBD\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xC7"],
        ["\x51\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xC4"],

        ["\xBD\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xCA"],
        ["\x51\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xC7"],

        ["\xBD\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xD9"],
        ["\x51\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xD6"],

        ["\xBD\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xA1"],
        ["\x52\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xE0"],

        ["\xBD\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xD4"],
        ["\x51\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xDE"],

        ["\xBD\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xDE"],
        ["\x51\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xE4"],

        ["\xBD\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xB3"],
        ["\x51\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xE6"],

        ["\xBD\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xE5"],
        ["\x51\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xF7"],

        ["\xC5\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xAB"],
        ["\x51\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],

        ["\xBE\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xEB"],
        ["\x51\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xA5"],

        ["\xBE\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xF1"],
        ["\x51\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xAC"],

        ["\xBD\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xA2"],
        ["\x52\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xD1"],

        ["\xBE\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xBC"],
        ["\x52\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xBC"],

        ["\xBE\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xAD"],
        ["\x52\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xBE"],

        ["\xBE\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xCE"],
        ["\x70\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xC8"],

        ["\xBE\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xB2"],
        ["\x53\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xD9"],

        ["\xBE\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xEE"],
        ["\x52\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xE5"],

        ["\xBE\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xB4"],
        ["\x53\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xE8"],

        ["\xBE\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xC0"],
        ["\x53\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xE2"],

        ["\xBE\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xC7"],
        ["\x53\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xF0"],

        ["\xBF\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xCF"],
        ["\x70\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xBA"],

        ["\xBF\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD0"],
        ["\x70\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xBC"],

        ["\xBF\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xED"],
        ["\x53\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xC0"],

        ["\xBF\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD1"],
        ["\x70\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xD7"],

        ["\xC6\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xF4"],
        ["\x52\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xAA"],

        ["\xBF\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD2"],
        ["\x70\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xE4"],

        ["\xBF\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD3"],
        ["\x70\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xE5"],

        ["\xBF\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xAD"],
        ["\x54\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xE6"],

        ["\xBF\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xE8"],
        ["\x52\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xEC"],

        ["\xBF\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xAF"],
        ["\x54\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xF0"],

        ["\xBF\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xB0"],
        ["\x54\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xF8"],

        ["\xC0\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xBC"],
        ["\x54\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xA8"],

        ["\xC0\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xBD"],
        ["\x54\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xA5"],

        ["\xC0\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xF8"],
        ["\x54\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xCF"],

        ["\xC0\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xB5"],
        ["\x55\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],

        ["\xC0\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xBD"],
        ["\x55\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xDE"],

        ["\xC0\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xC3"],
        ["\x55\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],

        ["\xC0\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xBF"],
        ["\x55\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xEB"],

        ["\xC0\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xD3"],
        ["\x55\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],

        ["\xC1\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xDE"],
        ["\x55\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xA7"],

        ["\xC1\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xA3"],
        ["\x56\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xB6"],

        ["\xC1\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xDE"],
        ["\x70\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],

        ["\xC1\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xA7"],
        ["\x56\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xBF"],

        ["\xC1\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xAD"],
        ["\x56\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xCA"],

        ["\xC1\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xB2"],
        ["\x56\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],

        ["\xC1\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xB8"],
        ["\x56\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xCD"],

        ["\xC1\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xDF"],
        ["\x70\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xDF"],

        ["\xC1\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xB1"],
        ["\x55\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],

        ["\xC1\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xC2"],
        ["\x56\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xFB"],

        ["\xC1\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xCF"],
        ["\x56\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],

        ["\xC1\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xBE"],
        ["\x56\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],

        ["\xC1\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xC3"],
        ["\x56\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],

        ["\xC2\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xDF"],
        ["\x56\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],

        ["\xC2\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xFE"],
        ["\x56\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xCE"],

        ["\xC2\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xAE"],
        ["\x57\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xDF"],

        ["\xC2\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xB8"],
        ["\x57\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],

        ["\xC2\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xB9"],
        ["\x57\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xEF"],

        ["\xC2\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xBA"],
        ["\x57\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xEE"],

        ["\xC2\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xBC"],
        ["\x57\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],

        ["\xC2\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD1"],
        ["\x57\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xFB"],

        ["\xC2\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xDE"],
        ["\x57\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xFC"],

        ["\xC3\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xA6"],
        ["\x58\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],

        ["\xC3\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xA5"],
        ["\x58\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],

        ["\xC3\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF1"],
        ["\x57\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],

        ["\xC3\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xEB"],
        ["\x57\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xB9"],

        ["\xC3\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xEC"],
        ["\x57\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],

        ["\xC3\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE3"],
        ["\x70\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xCE"],

        ["\xC3\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF6"],
        ["\x57\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],

        ["\xC3\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xA9"],
        ["\x58\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],

        ["\xC3\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xFA"],
        ["\x58\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xEB"],

        ["\xC3\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xD6"],
        ["\x58\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xEE"],

        ["\xC3\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xED"],
        ["\x58\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xFB"],

        ["\xC3\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xEF"],
        ["\x58\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],

        ["\xC4\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xF6"],
        ["\x58\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xA5"],

        ["\xC4\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xBA"],
        ["\x59\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],

        ["\xC4\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xBC"],
        ["\x59\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xB8"],

        ["\xC4\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC0"],
        ["\x59\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],

        ["\xC4\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC3"],
        ["\x59\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],

        ["\xC4\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xAC"],
        ["\x5A\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],

        ["\xC4\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD0"],
        ["\x59\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],

        ["\xC4\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC7"],
        ["\x59\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xCB"],

        ["\xC4\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD7"],
        ["\x59\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],

        ["\xC4\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xDA"],
        ["\x59\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],

        ["\xC4\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD9"],
        ["\x59\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xDB"],

        ["\xC4\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xDD"],
        ["\x59\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],

        ["\xC4\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xAD"],
        ["\x5A\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xED"],

        ["\xC4\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF4"],
        ["\x59\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],

        ["\xC4\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xFB"],
        ["\x59\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xFB"],

        ["\xC5\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xB8"],
        ["\x5A\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],

        ["\xC5\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD0"],
        ["\x5A\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xB4"],

        ["\xC5\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xFE"],
        ["\x5A\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],

        ["\xC5\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xA4"],
        ["\x5B\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],

        ["\xC5\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xA5"],
        ["\x5B\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xDA"],

        ["\xC5\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xFD"],
        ["\x5A\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xDB"],

        ["\xC5\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xA9"],
        ["\x5B\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xDF"],

        ["\xC5\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xB7"],
        ["\x5B\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],

        ["\xC5\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xCC"],
        ["\x5B\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],

        ["\xB4\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xDC"],
        ["\x44\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xC7"],

        ["\xC6\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xFC"],
        ["\x5B\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xB1"],

        ["\xC6\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xA7"],
        ["\x5C\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xB5"],

        ["\xC6\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xAE"],
        ["\x5C\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xBD"],

        ["\xC6\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xB2"],
        ["\x5C\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],

        ["\xC6\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xCE"],
        ["\x5C\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xDA"],

        ["\xC6\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE5"],
        ["\x70\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xDD"],

        ["\xC6\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xDA"],
        ["\x5C\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xEB"],

        ["\xC6\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xDC"],
        ["\x5C\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],

        ["\xC7\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xE6"],
        ["\x5C\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xA3"],

        ["\xC7\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xE4"],
        ["\x5C\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xA6"],

        ["\xC7\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xE8"],
        ["\x5C\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xAA"],

        ["\xC7\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xDD"],
        ["\x5D\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],

        ["\xC7\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xE1"],
        ["\x5D\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],

        ["\xC7\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xE5"],
        ["\x5D\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],

        ["\xC7\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xE4"],
        ["\x5D\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],

        ["\xC8\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xA3"],
        ["\x5E\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xBB"],

        ["\xC8\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD3"],
        ["\x5E\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],

        ["\xC9\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xFD"],
        ["\x5E\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xA7"],

        ["\xC9\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE0"],
        ["\x5E\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],

        ["\xC9\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE4"],
        ["\x5F\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],

        ["\xC9\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xB6"],
        ["\x5F\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xB6"],

        ["\xC9\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xBE"],
        ["\x5F\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xBD"],

        ["\xC9\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD6"],
        ["\x5F\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],

        ["\xBF\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE8"],
        ["\x5F\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xFB"],

        ["\xC9\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF7"],
        ["\x5F\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],

        ["\xC9\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xA1"],
        ["\x60\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],

        ["\xCB\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xD9"],
        ["\x61\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],

        ["\xCB\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE7"],
        ["\x70\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xD3"],

        ["\xCB\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xF0"],
        ["\x61\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xD4"],

        ["\xCC\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xFE"],
        ["\x61\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xA1"],

        ["\xCB\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xAA"],
        ["\x62\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xF7"],

        ["\xCC\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE8"],
        ["\x70\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],

        ["\xCC\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE9"],
        ["\x70\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xC3"],

        ["\xCC\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD1"],
        ["\x62\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],

        ["\xCC\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD4"],
        ["\x62\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],

        ["\xCC\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD9"],
        ["\x62\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],

        ["\xCC\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE4"],
        ["\x62\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],

        ["\xCD\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE5"],
        ["\x62\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],

        ["\xCD\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xEA"],
        ["\x70\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xC2"],

        ["\xCD\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xDF"],
        ["\x63\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xD3"],

        ["\xCD\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE0"],
        ["\x63\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xE2"],

        ["\xCE\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF9"],
        ["\x63\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],

        ["\xCE\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE4"],
        ["\x64\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],

        ["\xCE\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xEC"],
        ["\x64\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],

        ["\xCE\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xDA"],
        ["\x64\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],

        ["\xCE\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xA7"],
        ["\x65\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xE2"],

        ["\xCE\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xEA"],
        ["\x6B\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xE3"],

        ["\xCE\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xB3"],
        ["\x65\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],

        ["\xCE\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xB7"],
        ["\x65\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],

        ["\xCE\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xB6"],
        ["\x65\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],

        ["\xCE\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC7"],
        ["\x65\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xF8"],

        ["\xCE\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD1"],
        ["\x65\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],

        ["\xCF\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xAB"],
        ["\x66\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],

        ["\xCF\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF9"],
        ["\x65\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],

        ["\xCF\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF8"],
        ["\x65\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xC2"],

        ["\xCF\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xB9"],
        ["\x66\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xC5"],

        ["\xCF\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC3"],
        ["\x66\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xC7"],

        ["\xCF\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xED"],
        ["\x66\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xDE"],

        ["\xCF\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF9"],
        ["\x70\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xFD"],

        ["\xD0\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xFB"],
        ["\x70\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],

        ["\xD0\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xFA"],
        ["\x70\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xCD"],

        ["\xD0\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xA6"],
        ["\x68\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xEC"],

        ["\xD0\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xA8"],
        ["\x68\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],

        ["\xD0\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xDF"],
        ["\x68\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],

        ["\xD0\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xB0"],
        ["\x68\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],

        ["\xD1\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xBE"],
        ["\x69\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xB8"],

        ["\xD1\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xBC"],
        ["\x69\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xB7"],

        ["\xD1\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xBF"],
        ["\x69\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xB9"],

        ["\xD1\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC5"],
        ["\x69\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xBB"],

        ["\xD1\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC6"],
        ["\x69\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],

        ["\xD1\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC0"],
        ["\x69\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xBE"],

        ["\xD1\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC1"],
        ["\x69\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xBD"],

        ["\xD1\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xCD"],
        ["\x69\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],

        ["\xD1\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD1"],
        ["\x69\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],

        ["\xD1\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD0"],
        ["\x69\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xCB"],

        ["\xD1\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE1"],
        ["\x69\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xDC"],

        ["\xD1\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE4"],
        ["\x69\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],

        ["\xD1\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE2"],
        ["\x69\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],

        ["\xD1\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE8"],
        ["\x69\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xDD"],

        ["\xD1\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xEE"],
        ["\x69\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xDB"],

        ["\xD1\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xEA"],
        ["\x69\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],

        ["\xD1\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE0"],
        ["\x69\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],

        ["\xD1\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xD2"],
        ["\x6B\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],

        ["\xD1\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xA7"],
        ["\x6A\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xEE"],

        ["\xD1\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF7"],
        ["\x69\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xEF"],

        ["\xD1\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF8"],
        ["\x69\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],

        ["\xD1\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC4"],
        ["\x6A\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],

        ["\xD1\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xBC"],
        ["\x6A\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],

        ["\xD1\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xBE"],
        ["\x6A\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],

        ["\xD2\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xB8"],
        ["\x6A\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xA4"],

        ["\xD2\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xD3"],
        ["\x6B\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xA6"],

        ["\xD2\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xBB"],
        ["\x6A\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xA3"],

        ["\xD1\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC2"],
        ["\x6A\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xFE"],

        ["\xD1\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xBA"],
        ["\x6A\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],

        ["\xD2\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD5"],
        ["\x6A\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xB4"],

        ["\xD2\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD3"],
        ["\x6A\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xA9"],

        ["\xD2\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xB3"],
        ["\x69\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xAF"],

        ["\xD2\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xD4"],
        ["\x6B\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xB7"],

        ["\xD2\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD1"],
        ["\x6A\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],

        ["\xD2\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xCA"],
        ["\x6A\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xB5"],

        ["\xD2\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD0"],
        ["\x6A\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xB3"],

        ["\xD2\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xCC"],
        ["\x6A\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xB2"],

        ["\xD2\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE4"],
        ["\x6A\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xBB"],

        ["\xD2\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xDE"],
        ["\x6A\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],

        ["\xD2\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF2"],
        ["\x6A\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],

        ["\xD2\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF9"],
        ["\x6A\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xDF"],

        ["\xD2\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xA3"],
        ["\x6B\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xDA"],

        ["\xD2\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xAE"],
        ["\x6B\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],

        ["\xD2\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xBD"],
        ["\x6B\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],

        ["\xD2\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xC5"],
        ["\x6B\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],

        ["\xD2\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xC6"],
        ["\x6B\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],

        ["\xD2\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xE1"],
        ["\x6B\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xFC"],

        ["\xD3\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xCC"],
        ["\x68\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xB9"],

        ["\xD3\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE0"],
        ["\x68\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],

        ["\xD3\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD4"],
        ["\x68\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],

        ["\xD3\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xDB"],
        ["\x68\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],

        ["\xD3\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xAC"],
        ["\x6C\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],

        ["\xD3\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xAD"],
        ["\x6C\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],

        ["\xD3\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xB0"],
        ["\x6C\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],

        ["\xD3\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xB1"],
        ["\x6C\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],

        ["\xD3\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xAE"],
        ["\x6C\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xDB"],

        ["\xD3\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xB3"],
        ["\x6C\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xDC"],

        ["\xD3\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xB5"],
        ["\x6C\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xDE"],

        ["\xD4\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF3"],
        ["\x6C\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],

        ["\xD4\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF7"],
        ["\x6C\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xA4"],

        ["\xD4\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xB3"],
        ["\x6D\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xB3"],

        ["\xD4\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xB4"],
        ["\x6D\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xB4"],

        ["\xD4\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xBD"],
        ["\x6D\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xB7"],

        ["\xD4\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xBE"],
        ["\x6D\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xB8"],

        ["\xD4\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xF3"],
        ["\x5C\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],

        ["\xD4\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF6"],
        ["\x6D\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],

        ["\xD4\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xA4"],
        ["\x6E\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xDC"],

        ["\xD4\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xA7"],
        ["\x6E\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xDE"],

        ["\xD4\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD0"],
        ["\x6E\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],

        ["\xD4\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xEE"],
        ["\x6E\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xEF"],

        ["\xD4\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD8"],
        ["\x6E\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],

        ["\xD4\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xDB"],
        ["\x6E\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xFB"],

        ["\xD5\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xEF"],
        ["\x6E\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xA8"],

        ["\xD5\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE3"],
        ["\x6E\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xAF"],

        ["\xD3\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xA3"],
        ["\x6F\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],

        ["\xD5\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xA1"],
        ["\x6F\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],

        ["\xD5\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xB2"],
        ["\x6F\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xDA"],

        ["\xD5\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xAE"],
        ["\x6F\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xDC"],

        ["\xD5\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD6"],
        ["\x6F\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xEB"],

        ["\x74\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB1"],
        ["\x80\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x22"],

        ["\x74\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB2"],
        ["\x80\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x23"],

        ["\x74\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB3"],
        ["\x80\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x24"],

        ["\x74\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB4"],
        ["\x80\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x25"],

        ["\x74\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB5"],
        ["\x80\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x26"],

        ["\x74\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB6"],
        ["\x80\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x27"],

        ["\x74\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB7"],
        ["\x80\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x28"],

        ["\x74\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB8"],
        ["\x80\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x29"],

        ["\x74\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB9"],
        ["\x80\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x2A"],

        ["\x74\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xBA"],
        ["\x80\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x2B"],

        ["\x74\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xBB"],
        ["\x80\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x2C"],

        ["\x74\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xBC"],
        ["\x80\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x2D"],

        ["\x74\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xBD"],
        ["\x80\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x2E"],

        ["\x74\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xBE"],
        ["\x80\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x2F"],

        ["\x74\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xBF"],
        ["\x80\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x30"],

        ["\x74\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC0"],
        ["\x80\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x31"],

        ["\x74\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC1"],
        ["\x80\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x32"],

        ["\x74\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC2"],
        ["\x80\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x33"],

        ["\x74\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC3"],
        ["\x80\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x34"],

        ["\x74\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC4"],
        ["\x80\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x35"],

        ["\x74\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC5"],
        ["\x80\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x36"],

        ["\xA5\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC6"],
        ["\x80\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xE9"],

        ["\xA5\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC7"],
        ["\x80\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],

        ["\xA5\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC8"],
        ["\x80\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xEB"],

        ["\x74\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC9"],
        ["\x80\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x37"],

        ["\x74\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xCA"],
        ["\x80\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x38"],

        ["\x74\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xCB"],
        ["\x80\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x39"],

        ["\x74\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xCC"],
        ["\x80\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x3A"],

        ["\x74\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xCD"],
        ["\x80\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x3B"],

        ["\x74\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xCE"],
        ["\x80\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x3C"],

        ["\x74\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xCF"],
        ["\x80\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x3D"],

        ["\xA5\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD0"],
        ["\x80\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xE0"],

        ["\xA5\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD1"],
        ["\x80\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xD7"],

        ["\x74\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD2"],
        ["\x80\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x3E"],

        ["\x74\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD3"],
        ["\x80\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x3F"],

        ["\xA5\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD4"],
        ["\x80\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xE4"],

        ["\xA5\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD5"],
        ["\x80\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xE3"],

        ["\xA3\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD6"],
        ["\x80\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xDE"],

        ["\x74\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD7"],
        ["\x80\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x40"],

        ["\x74\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD8"],
        ["\x80\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x41"],

        ["\x74\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD9"],
        ["\x80\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x42"],

        ["\x74\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xDA"],
        ["\x80\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x43"],

        ["\xA3\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xAF"],
        ["\x76\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],

        ["\xA3\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xDB"],
        ["\x80\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],

        ["\xA3\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xAE"],
        ["\x76\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],

        ["\xA3\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xDC"],
        ["\x80\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],

        ["\xA3\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xDD"],
        ["\x80\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xE1"],

        ["\xA3\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xDE"],
        ["\x80\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xE4"],

        ["\xA3\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xDF"],
        ["\x80\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xE2"],

        ["\xA3\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE0"],
        ["\x80\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xE3"],

        ["\xA3\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE1"],
        ["\x80\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xDD"],

        ["\x74\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xB3"],
        ["\x76\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x44"],

        ["\x74\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xB2"],
        ["\x76\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x45"],

        ["\x74\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xB1"],
        ["\x76\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x46"],

        ["\x74\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xB0"],
        ["\x76\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x47"],

        ["\x74\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE2"],
        ["\x80\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x48"],

        ["\x74\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE3"],
        ["\x80\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x49"],

        ["\x74\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE4"],
        ["\x80\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x4A"],

        ["\x74\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE5"],
        ["\x80\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x4B"],

        ["\x74\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE6"],
        ["\x80\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x4C"],

        ["\x74\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE7"],
        ["\x80\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x4D"],

        ["\x74\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE8"],
        ["\x80\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x4E"],

        ["\x74\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE9"],
        ["\x80\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x4F"],

        ["\x74\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xEA"],
        ["\x80\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x50"],

        ["\xA5\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xEB"],
        ["\x80\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xD6"],

        ["\x74\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xEC"],
        ["\x80\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x51"],

        ["\x74\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xED"],
        ["\x80\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x52"],

        ["\xA4\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD2"],
        ["\x76\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xF7"],

        ["\x74\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC8"],
        ["\x76\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x53"],

        ["\x74\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xEE"],
        ["\x80\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x54"],

        ["\x74\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xEF"],
        ["\x80\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x55"],

        ["\x74\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF0"],
        ["\x80\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x56"],

        ["\x74\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF1"],
        ["\x80\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x57"],

        ["\x74\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF2"],
        ["\x80\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x58"],

        ["\x74\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC5"],
        ["\x78\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x59"],

        ["\x74\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF3"],
        ["\x80\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x5A"],

        ["\x74\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF4"],
        ["\x80\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x5B"],

        ["\x74\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF5"],
        ["\x80\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x5C"],

        ["\x74\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF6"],
        ["\x80\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x5D"],

        ["\x74\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF7"],
        ["\x80\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x5E"],

        ["\x74\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF8"],
        ["\x80\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x5F"],

        ["\x74\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF9"],
        ["\x80\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x60"],

        ["\x74\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xFA"],
        ["\x80\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x61"],

        ["\x74\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xFB"],
        ["\x80\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x62"],

        ["\x74\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xFC"],
        ["\x80\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x63"],

        ["\x74\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xFD"],
        ["\x80\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x64"],

        ["\x74\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xFE"],
        ["\x80\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x65"],

        ["\x74\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xA1"],
        ["\x81\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x66"],

        ["\x74\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xA2"],
        ["\x81\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x67"],

        ["\x74\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xA3"],
        ["\x81\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x68"],

        ["\x74\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xB7"],
        ["\x76\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x69"],

        ["\xA5\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xA4"],
        ["\x81\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xF5"],

        ["\x74\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xB8"],
        ["\x76\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x6A"],

        ["\xA5\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xA5"],
        ["\x81\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xF3"],

        ["\x74\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xB6"],
        ["\x76\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x6B"],

        ["\xA5\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xA6"],
        ["\x81\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xF4"],

        ["\x74\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xB5"],
        ["\x76\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x6C"],

        ["\xA5\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xA7"],
        ["\x81\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xF2"],

        ["\x74\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xA8"],
        ["\x81\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x6D"],

        ["\x74\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xA9"],
        ["\x81\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x6E"],

        ["\x74\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xAA"],
        ["\x81\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x6F"],

        ["\x74\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xAB"],
        ["\x81\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x70"],

        ["\x74\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xAC"],
        ["\x81\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x71"],

        ["\x74\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xAD"],
        ["\x81\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x72"],

        ["\x74\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xAE"],
        ["\x81\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x73"],

        ["\x74\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xAF"],
        ["\x81\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x74"],

        ["\x74\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB0"],
        ["\x81\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x75"],

        ["\x74\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB1"],
        ["\x81\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x76"],

        ["\x74\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB2"],
        ["\x81\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x77"],

        ["\x74\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB3"],
        ["\x81\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x78"],

        ["\x74\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB4"],
        ["\x81\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x79"],

        ["\x74\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF9"],
        ["\x76\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x7A"],

        ["\x74\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF7"],
        ["\x76\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x7B"],

        ["\x74\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB5"],
        ["\x81\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x7C"],

        ["\x74\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB6"],
        ["\x81\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x7D"],

        ["\x74\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB7"],
        ["\x81\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x74\x7E"],

        ["\x75\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB8"],
        ["\x81\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x21"],

        ["\x75\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xB9"],
        ["\x81\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x22"],

        ["\x75\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xBA"],
        ["\x81\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x23"],

        ["\x75\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xBB"],
        ["\x81\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x24"],

        ["\x75\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xBC"],
        ["\x81\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x25"],

        ["\x75\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xBD"],
        ["\x81\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x26"],

        ["\x75\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xBE"],
        ["\x81\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x27"],

        ["\x75\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xBF"],
        ["\x81\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x28"],

        ["\x75\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC0"],
        ["\x81\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x29"],

        ["\x75\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC1"],
        ["\x81\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x2A"],

        ["\x75\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC2"],
        ["\x81\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x2B"],

        ["\x75\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC3"],
        ["\x81\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x2C"],

        ["\x75\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC4"],
        ["\x81\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x2D"],

        ["\x75\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC5"],
        ["\x81\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x2E"],

        ["\x75\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC6"],
        ["\x81\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x2F"],

        ["\x75\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC7"],
        ["\x81\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x30"],

        ["\x75\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC8"],
        ["\x81\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x31"],

        ["\x75\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xC9"],
        ["\x81\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x32"],

        ["\x75\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xCA"],
        ["\x81\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x33"],

        ["\x75\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xCB"],
        ["\x81\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x34"],

        ["\x75\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xCC"],
        ["\x81\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x35"],

        ["\x75\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xCD"],
        ["\x81\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x36"],

        ["\x75\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xCE"],
        ["\x81\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x37"],

        ["\x75\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xCF"],
        ["\x81\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x38"],

        ["\x75\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD0"],
        ["\x81\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x39"],

        ["\x75\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD1"],
        ["\x81\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x3A"],

        ["\x75\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD2"],
        ["\x81\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x3B"],

        ["\x75\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD3"],
        ["\x81\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x3C"],

        ["\x75\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD4"],
        ["\x81\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x3D"],

        ["\x75\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD5"],
        ["\x81\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x3E"],

        ["\x75\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD6"],
        ["\x81\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x3F"],

        ["\x75\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD7"],
        ["\x81\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x40"],

        ["\x75\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD8"],
        ["\x81\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x41"],

        ["\x75\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xD9"],
        ["\x81\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x42"],

        ["\x75\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xDA"],
        ["\x81\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x43"],

        ["\x75\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xDB"],
        ["\x81\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x44"],

        ["\x75\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xDC"],
        ["\x81\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x45"],

        ["\x75\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xDD"],
        ["\x81\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x46"],

        ["\x75\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xDE"],
        ["\x81\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x47"],

        ["\x75\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xDF"],
        ["\x81\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x48"],

        ["\x75\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE0"],
        ["\x81\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x49"],

        ["\xA2\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE1"],
        ["\x81\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xFA"],

        ["\xA2\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE2"],
        ["\x81\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xFB"],

        ["\x75\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE3"],
        ["\x81\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x4A"],

        ["\x75\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE4"],
        ["\x81\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x4B"],

        ["\x75\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE5"],
        ["\x81\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x4C"],

        ["\x75\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE6"],
        ["\x81\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x4D"],

        ["\x75\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE7"],
        ["\x81\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x4E"],

        ["\x75\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE8"],
        ["\x81\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x4F"],

        ["\x75\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xE9"],
        ["\x81\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x50"],

        ["\x75\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xEA"],
        ["\x81\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x51"],

        ["\x75\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xEB"],
        ["\x81\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x52"],

        ["\x75\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xEC"],
        ["\x81\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x53"],

        ["\x75\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xED"],
        ["\x81\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x54"],

        ["\x75\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xEE"],
        ["\x81\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x55"],

        ["\x75\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xEF"],
        ["\x81\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x56"],

        ["\x75\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF0"],
        ["\x81\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x57"],

        ["\x75\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF1"],
        ["\x81\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x58"],

        ["\x75\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF2"],
        ["\x81\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x59"],

        ["\x75\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF3"],
        ["\x81\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x5A"],

        ["\x75\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF4"],
        ["\x81\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x5B"],

        ["\x75\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF5"],
        ["\x81\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x5C"],

        ["\x75\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF6"],
        ["\x81\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x5D"],

        ["\x75\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF7"],
        ["\x81\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x5E"],

        ["\x75\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF8"],
        ["\x81\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x5F"],

        ["\x75\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xF9"],
        ["\x81\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x60"],

        ["\x75\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xFA"],
        ["\x81\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x61"],

        ["\x75\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xFB"],
        ["\x81\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x62"],

        ["\x75\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xFC"],
        ["\x81\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x63"],

        ["\x75\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xFD"],
        ["\x81\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x64"],

        ["\x75\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x81\xFE"],
        ["\x81\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x65"],

        ["\x75\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA1"],
        ["\x82\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x66"],

        ["\x75\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA2"],
        ["\x82\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x67"],

        ["\x75\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA3"],
        ["\x82\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x68"],

        ["\x75\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA4"],
        ["\x82\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x69"],

        ["\x75\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA5"],
        ["\x82\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x6A"],

        ["\x75\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA6"],
        ["\x82\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x6B"],

        ["\x75\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA7"],
        ["\x82\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x6C"],

        ["\x75\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA8"],
        ["\x82\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x6D"],

        ["\x75\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA9"],
        ["\x82\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x6E"],

        ["\x75\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xAA"],
        ["\x82\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x6F"],

        ["\x75\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xAB"],
        ["\x82\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x70"],

        ["\x75\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xAC"],
        ["\x82\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x71"],

        ["\x75\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xAD"],
        ["\x82\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x72"],

        ["\x75\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xAE"],
        ["\x82\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x73"],

        ["\x75\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xAF"],
        ["\x82\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x74"],

        ["\x75\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB0"],
        ["\x82\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x75"],

        ["\x75\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB1"],
        ["\x82\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x76"],

        ["\x75\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB2"],
        ["\x82\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x77"],

        ["\x75\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB3"],
        ["\x82\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x78"],

        ["\x75\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB4"],
        ["\x82\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x79"],

        ["\x75\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB5"],
        ["\x82\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x7A"],

        ["\x75\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB6"],
        ["\x82\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x7B"],

        ["\x75\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB7"],
        ["\x82\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x7C"],

        ["\x75\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB8"],
        ["\x82\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x7D"],

        ["\x75\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB9"],
        ["\x82\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x75\x7E"],

        ["\x76\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xBA"],
        ["\x82\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x21"],

        ["\x76\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xBB"],
        ["\x82\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x22"],

        ["\x76\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xBC"],
        ["\x82\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x23"],

        ["\x76\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xBD"],
        ["\x82\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x24"],

        ["\x76\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xBE"],
        ["\x82\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x25"],

        ["\x76\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xBF"],
        ["\x82\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x26"],

        ["\x76\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC0"],
        ["\x82\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x27"],

        ["\x76\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC1"],
        ["\x82\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x28"],

        ["\x76\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC2"],
        ["\x82\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x29"],

        ["\x76\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC3"],
        ["\x82\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x2A"],

        ["\x76\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC4"],
        ["\x82\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x2B"],

        ["\x76\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC5"],
        ["\x82\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x2C"],

        ["\x76\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC6"],
        ["\x82\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x2D"],

        ["\x76\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC7"],
        ["\x82\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x2E"],

        ["\x76\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC8"],
        ["\x82\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x2F"],

        ["\x76\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xC9"],
        ["\x82\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x30"],

        ["\x76\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xCA"],
        ["\x82\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x31"],

        ["\x76\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xCB"],
        ["\x82\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x32"],

        ["\x76\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xCC"],
        ["\x82\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x33"],

        ["\x76\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xCD"],
        ["\x82\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x34"],

        ["\x76\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xCE"],
        ["\x82\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x35"],

        ["\x76\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xCF"],
        ["\x82\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x36"],

        ["\x76\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD0"],
        ["\x82\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x37"],

        ["\x76\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD1"],
        ["\x82\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x38"],

        ["\x76\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD2"],
        ["\x82\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x39"],

        ["\x76\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD3"],
        ["\x82\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x3A"],

        ["\x76\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD4"],
        ["\x82\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x3B"],

        ["\xA5\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xAC"],
        ["\x79\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xA1"],

        ["\xA5\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC0"],
        ["\x79\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],

        ["\x76\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD5"],
        ["\x82\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x3C"],

        ["\x76\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD6"],
        ["\x82\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x3D"],

        ["\x76\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD7"],
        ["\x82\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x3E"],

        ["\x76\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD8"],
        ["\x82\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x3F"],

        ["\xA5\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD0"],
        ["\x79\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xA4"],

        ["\x76\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xD9"],
        ["\x82\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x40"],

        ["\xA5\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xAE"],
        ["\x79\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xA5"],

        ["\xA5\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC2"],
        ["\x79\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xA6"],

        ["\x76\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDA"],
        ["\x82\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x41"],

        ["\x76\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDB"],
        ["\x82\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x42"],

        ["\xA5\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xB0"],
        ["\x79\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xA7"],

        ["\xA5\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC4"],
        ["\x79\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xA8"],

        ["\xA5\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xA6"],
        ["\x79\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xBD"],

        ["\x76\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDC"],
        ["\x82\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x43"],

        ["\xA5\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xCA"],
        ["\x79\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],

        ["\x76\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDD"],
        ["\x82\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x44"],

        ["\xA5\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xB2"],
        ["\x79\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xAA"],

        ["\xA5\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC6"],
        ["\x79\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xAB"],

        ["\x76\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDE"],
        ["\x82\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x45"],

        ["\xA5\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xA8"],
        ["\x79\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xAC"],

        ["\x76\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDF"],
        ["\x82\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x46"],

        ["\x76\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE0"],
        ["\x82\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x47"],

        ["\xA5\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xB4"],
        ["\x79\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],

        ["\xA5\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC8"],
        ["\x79\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xAF"],

        ["\xA5\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xAA"],
        ["\x79\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB0"],

        ["\xA5\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE1"],
        ["\x82\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB1"],

        ["\x76\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE2"],
        ["\x82\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x48"],

        ["\x76\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE3"],
        ["\x82\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x49"],

        ["\xA5\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xB5"],
        ["\x79\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB3"],

        ["\xA5\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xAB"],
        ["\x79\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB2"],

        ["\xA5\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xBF"],
        ["\x79\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],

        ["\x76\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE4"],
        ["\x82\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x4A"],

        ["\xA5\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xA1"],
        ["\x79\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB5"],

        ["\x76\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE5"],
        ["\x82\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x4B"],

        ["\x76\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE6"],
        ["\x82\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x4C"],

        ["\xA5\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xCF"],
        ["\x79\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB6"],

        ["\xA5\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xB7"],
        ["\x79\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB8"],

        ["\xA5\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xAD"],
        ["\x79\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB7"],

        ["\xA5\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC1"],
        ["\x79\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xB9"],

        ["\xA5\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xA3"],
        ["\x79\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xBA"],

        ["\x76\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE7"],
        ["\x82\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x4D"],

        ["\xA5\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xAF"],
        ["\x79\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xBB"],

        ["\xA5\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC3"],
        ["\x79\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xBC"],

        ["\x76\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE8"],
        ["\x82\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x4E"],

        ["\x76\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xE9"],
        ["\x82\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x4F"],

        ["\xA5\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC9"],
        ["\x79\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xBE"],

        ["\x76\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xEA"],
        ["\x82\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x50"],

        ["\xA5\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xB1"],
        ["\x79\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xBF"],

        ["\xA5\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC5"],
        ["\x79\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xC0"],

        ["\x76\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xEB"],
        ["\x82\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x51"],

        ["\xA5\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xA7"],
        ["\x79\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xC1"],

        ["\x76\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xEC"],
        ["\x82\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x52"],

        ["\xA5\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xBD"],
        ["\x79\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xC5"],

        ["\xA5\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xB3"],
        ["\x79\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xC4"],

        ["\xA5\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC7"],
        ["\x79\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xC6"],

        ["\xA5\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xA9"],
        ["\x79\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xC7"],

        ["\x76\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xED"],
        ["\x82\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x53"],

        ["\x76\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xEE"],
        ["\x82\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x54"],

        ["\xA5\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xEF"],
        ["\x82\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xC8"],

        ["\x76\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF0"],
        ["\x82\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x55"],

        ["\x76\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF1"],
        ["\x82\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x56"],

        ["\x76\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF2"],
        ["\x82\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x57"],

        ["\x76\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF3"],
        ["\x82\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x58"],

        ["\x76\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF4"],
        ["\x82\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x59"],

        ["\x76\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF5"],
        ["\x82\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x5A"],

        ["\x76\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF6"],
        ["\x82\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x5B"],

        ["\x76\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF7"],
        ["\x82\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x5C"],

        ["\x76\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF8"],
        ["\x82\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x5D"],

        ["\x76\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xF9"],
        ["\x82\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x5E"],

        ["\x76\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xFA"],
        ["\x82\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x5F"],

        ["\x76\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xFB"],
        ["\x82\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x60"],

        ["\x76\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xFC"],
        ["\x82\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x61"],

        ["\x76\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xFD"],
        ["\x82\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x62"],

        ["\x76\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xFE"],
        ["\x82\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x63"],

        ["\x76\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA1"],
        ["\x83\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x64"],

        ["\x76\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA2"],
        ["\x83\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x65"],

        ["\x76\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA3"],
        ["\x83\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x66"],

        ["\x76\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA4"],
        ["\x83\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x67"],

        ["\x76\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA5"],
        ["\x83\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x68"],

        ["\x76\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA6"],
        ["\x83\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x69"],

        ["\x76\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA7"],
        ["\x83\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x6A"],

        ["\x76\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA8"],
        ["\x83\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x6B"],

        ["\x76\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA9"],
        ["\x83\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x6C"],

        ["\x76\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xAA"],
        ["\x83\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x6D"],

        ["\x76\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xAB"],
        ["\x83\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x6E"],

        ["\x76\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xAC"],
        ["\x83\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x6F"],

        ["\x76\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xAD"],
        ["\x83\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x70"],

        ["\x76\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xAE"],
        ["\x83\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x71"],

        ["\x76\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xAF"],
        ["\x83\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x72"],

        ["\x76\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB0"],
        ["\x83\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x73"],

        ["\x76\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB1"],
        ["\x83\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x74"],

        ["\x76\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB2"],
        ["\x83\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x75"],

        ["\x76\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB3"],
        ["\x83\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x76"],

        ["\x76\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB4"],
        ["\x83\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x77"],

        ["\x76\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB5"],
        ["\x83\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x78"],

        ["\x76\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB6"],
        ["\x83\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x79"],

        ["\x76\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB7"],
        ["\x83\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x7A"],

        ["\x76\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB8"],
        ["\x83\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x7B"],

        ["\x76\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB9"],
        ["\x83\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x7C"],

        ["\x76\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xBA"],
        ["\x83\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x7D"],

        ["\x76\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xBB"],
        ["\x83\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x76\x7E"],

        ["\x77\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xBC"],
        ["\x83\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x21"],

        ["\x77\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xBD"],
        ["\x83\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x22"],

        ["\x77\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xBE"],
        ["\x83\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x23"],

        ["\x77\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xBF"],
        ["\x83\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x24"],

        ["\x77\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC0"],
        ["\x83\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x25"],

        ["\x77\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC1"],
        ["\x83\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x26"],

        ["\x77\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC2"],
        ["\x83\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x27"],

        ["\x77\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC3"],
        ["\x83\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x28"],

        ["\x77\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC4"],
        ["\x83\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x29"],

        ["\x77\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC5"],
        ["\x83\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x2A"],

        ["\x77\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC6"],
        ["\x83\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x2B"],

        ["\x77\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC7"],
        ["\x83\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x2C"],

        ["\x77\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC8"],
        ["\x83\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x2D"],

        ["\x77\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xC9"],
        ["\x83\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x2E"],

        ["\x77\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xCA"],
        ["\x83\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x2F"],

        ["\x77\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xCB"],
        ["\x83\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x30"],

        ["\x77\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xCC"],
        ["\x83\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x31"],

        ["\x77\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xCD"],
        ["\x83\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x32"],

        ["\x77\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xCE"],
        ["\x83\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x33"],

        ["\x77\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xCF"],
        ["\x83\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x34"],

        ["\x77\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD0"],
        ["\x83\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x35"],

        ["\x77\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD1"],
        ["\x83\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x36"],

        ["\x77\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD2"],
        ["\x83\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x37"],

        ["\x77\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD3"],
        ["\x83\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x38"],

        ["\x77\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD4"],
        ["\x83\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x39"],

        ["\x77\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD5"],
        ["\x83\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x3A"],

        ["\x77\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD6"],
        ["\x83\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x3B"],

        ["\x77\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD7"],
        ["\x83\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x3C"],

        ["\x77\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD8"],
        ["\x83\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x3D"],

        ["\x77\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xD9"],
        ["\x83\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x3E"],

        ["\x77\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xDA"],
        ["\x83\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x3F"],

        ["\x77\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xDB"],
        ["\x83\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x40"],

        ["\x77\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xDC"],
        ["\x83\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x41"],

        ["\x77\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xDD"],
        ["\x83\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x42"],

        ["\x77\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xDE"],
        ["\x83\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x43"],

        ["\x77\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xDF"],
        ["\x83\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x44"],

        ["\x77\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE0"],
        ["\x83\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x45"],

        ["\x77\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE1"],
        ["\x83\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x46"],

        ["\x77\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE2"],
        ["\x83\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x47"],

        ["\x77\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE3"],
        ["\x83\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x48"],

        ["\x77\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE4"],
        ["\x83\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x49"],

        ["\x77\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE5"],
        ["\x83\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x4A"],

        ["\x77\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE6"],
        ["\x83\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x4B"],

        ["\x77\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE7"],
        ["\x83\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x4C"],

        ["\x77\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE8"],
        ["\x83\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x4D"],

        ["\x77\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xE9"],
        ["\x83\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x4E"],

        ["\x77\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xEA"],
        ["\x83\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x4F"],

        ["\x77\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xEB"],
        ["\x83\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x50"],

        ["\x77\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xEC"],
        ["\x83\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x51"],

        ["\x77\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xED"],
        ["\x83\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x52"],

        ["\x77\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xEE"],
        ["\x83\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x53"],

        ["\x77\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xEF"],
        ["\x83\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x54"],

        ["\x77\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF0"],
        ["\x83\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x55"],

        ["\x77\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF1"],
        ["\x83\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x56"],

        ["\x77\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF2"],
        ["\x83\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x57"],

        ["\x77\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF3"],
        ["\x83\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x58"],

        ["\x77\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF4"],
        ["\x83\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x59"],

        ["\x77\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF5"],
        ["\x83\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x5A"],

        ["\x77\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF6"],
        ["\x83\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x5B"],

        ["\x77\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF7"],
        ["\x83\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x5C"],

        ["\x77\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF8"],
        ["\x83\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x5D"],

        ["\x77\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xF9"],
        ["\x83\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x5E"],

        ["\x77\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xFA"],
        ["\x83\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x5F"],

        ["\x77\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xFB"],
        ["\x83\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x60"],

        ["\x77\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xFC"],
        ["\x83\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x61"],

        ["\x77\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xFD"],
        ["\x83\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x62"],

        ["\x77\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xFE"],
        ["\x83\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x63"],

        ["\x77\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA1"],
        ["\x84\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x64"],

        ["\x77\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA2"],
        ["\x84\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x65"],

        ["\x77\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA3"],
        ["\x84\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x66"],

        ["\x77\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA4"],
        ["\x84\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x67"],

        ["\xA5\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD8"],
        ["\x79\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xC2"],

        ["\xA5\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD9"],
        ["\x79\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA5\xAD"],

        ["\x77\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA5"],
        ["\x84\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x68"],

        ["\x77\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA6"],
        ["\x84\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x69"],

        ["\x77\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA7"],
        ["\x84\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x6A"],

        ["\x77\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA8"],
        ["\x84\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x6B"],

        ["\x77\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA9"],
        ["\x84\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x6C"],

        ["\x77\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xAA"],
        ["\x84\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x6D"],

        ["\x77\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xAB"],
        ["\x84\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x6E"],

        ["\x77\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xAC"],
        ["\x84\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x6F"],

        ["\x77\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xAD"],
        ["\x84\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x70"],

        ["\x77\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xAE"],
        ["\x84\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x71"],

        ["\x77\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xAF"],
        ["\x84\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x72"],

        ["\x77\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB0"],
        ["\x84\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x73"],

        ["\x77\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB1"],
        ["\x84\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x74"],

        ["\x77\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB2"],
        ["\x84\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x75"],

        ["\x77\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB3"],
        ["\x84\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x76"],

        ["\x77\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB4"],
        ["\x84\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x77"],

        ["\x77\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB5"],
        ["\x84\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x78"],

        ["\x77\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB6"],
        ["\x84\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x79"],

        ["\x77\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB7"],
        ["\x84\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x7A"],

        ["\x77\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB8"],
        ["\x84\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x7B"],

        ["\x77\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB9"],
        ["\x84\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x7C"],

        ["\x77\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xBA"],
        ["\x84\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x7D"],

        ["\x77\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xBB"],
        ["\x84\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x77\x7E"],

        ["\x78\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xBC"],
        ["\x84\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x21"],

        ["\x78\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xBD"],
        ["\x84\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x22"],

        ["\x78\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xBE"],
        ["\x84\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x23"],

        ["\x78\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xBF"],
        ["\x84\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x24"],

        ["\x78\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC0"],
        ["\x84\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x25"],

        ["\x78\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC1"],
        ["\x84\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x26"],

        ["\x78\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC2"],
        ["\x84\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x27"],

        ["\x78\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC3"],
        ["\x84\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x28"],

        ["\x78\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC4"],
        ["\x84\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x29"],

        ["\x78\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC5"],
        ["\x84\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x2A"],

        ["\x78\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC6"],
        ["\x84\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x2B"],

        ["\x78\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC7"],
        ["\x84\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x2C"],

        ["\x78\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC8"],
        ["\x84\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x2D"],

        ["\x78\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xC9"],
        ["\x84\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x2E"],

        ["\x78\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xCA"],
        ["\x84\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x2F"],

        ["\x78\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xCB"],
        ["\x84\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x30"],

        ["\x78\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xCC"],
        ["\x84\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x31"],

        ["\x78\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xCD"],
        ["\x84\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x32"],

        ["\x78\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xCE"],
        ["\x84\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x33"],

        ["\x78\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xCF"],
        ["\x84\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x34"],

        ["\x78\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD0"],
        ["\x84\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x35"],

        ["\x78\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD1"],
        ["\x84\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x36"],

        ["\x78\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD2"],
        ["\x84\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x37"],

        ["\x78\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD3"],
        ["\x84\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x38"],

        ["\x78\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD4"],
        ["\x84\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x39"],

        ["\x78\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD5"],
        ["\x84\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x3A"],

        ["\x78\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD6"],
        ["\x84\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x3B"],

        ["\x78\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD7"],
        ["\x84\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x3C"],

        ["\x78\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD8"],
        ["\x84\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x3D"],

        ["\x78\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xD9"],
        ["\x84\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x3E"],

        ["\x78\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xDA"],
        ["\x84\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x3F"],

        ["\x78\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xDB"],
        ["\x84\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x40"],

        ["\x78\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xDC"],
        ["\x84\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x41"],

        ["\x78\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xDD"],
        ["\x84\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x42"],

        ["\x78\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xDE"],
        ["\x84\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x43"],

        ["\x78\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xDF"],
        ["\x84\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x44"],

        ["\x78\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE0"],
        ["\x84\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x45"],

        ["\x78\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE1"],
        ["\x84\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x46"],

        ["\x78\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE2"],
        ["\x84\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x47"],

        ["\x78\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE3"],
        ["\x84\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x48"],

        ["\x78\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE4"],
        ["\x84\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x49"],

        ["\x78\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE5"],
        ["\x84\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x4A"],

        ["\x78\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE6"],
        ["\x84\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x4B"],

        ["\x78\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE7"],
        ["\x84\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x4C"],

        ["\x78\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE8"],
        ["\x84\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x4D"],

        ["\x78\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xE9"],
        ["\x84\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x4E"],

        ["\x78\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xEA"],
        ["\x84\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x4F"],

        ["\x78\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xEB"],
        ["\x84\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x50"],

        ["\x78\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xEC"],
        ["\x84\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x51"],

        ["\x78\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xED"],
        ["\x84\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x52"],

        ["\x78\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xEE"],
        ["\x84\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x53"],

        ["\x78\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xEF"],
        ["\x84\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x54"],

        ["\x78\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF0"],
        ["\x84\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x55"],

        ["\x78\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF1"],
        ["\x84\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x56"],

        ["\x78\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF2"],
        ["\x84\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x57"],

        ["\x78\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF3"],
        ["\x84\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x58"],

        ["\x78\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF4"],
        ["\x84\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x59"],

        ["\x78\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF5"],
        ["\x84\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x5A"],

        ["\x78\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF6"],
        ["\x84\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x5B"],

        ["\x78\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF7"],
        ["\x84\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x5C"],

        ["\xA3\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF8"],
        ["\x84\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xEF"],

        ["\xA3\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xF9"],
        ["\x84\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF0"],

        ["\xA3\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xFA"],
        ["\x84\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF1"],

        ["\xA3\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xFB"],
        ["\x84\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF2"],

        ["\xA3\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xFC"],
        ["\x84\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF3"],

        ["\xA3\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xFD"],
        ["\x84\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF4"],

        ["\xA3\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xFE"],
        ["\x84\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF5"],

        ["\xA3\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA1"],
        ["\x85\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF6"],

        ["\xA3\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA2"],
        ["\x85\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF7"],

        ["\xA3\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA3"],
        ["\x85\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA3\xF8"],

        ["\x78\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA4"],
        ["\x85\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x5D"],

        ["\x78\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA5"],
        ["\x85\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x5E"],

        ["\x78\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA6"],
        ["\x85\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x5F"],

        ["\x78\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA7"],
        ["\x85\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x60"],

        ["\x78\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA8"],
        ["\x85\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x61"],

        ["\x78\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA9"],
        ["\x85\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x62"],

        ["\x78\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xAA"],
        ["\x85\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x63"],

        ["\x78\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xAB"],
        ["\x85\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x64"],

        ["\x78\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xAC"],
        ["\x85\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x65"],

        ["\x78\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xAD"],
        ["\x85\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x66"],

        ["\xA2\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xAE"],
        ["\x85\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xDB"],

        ["\xA2\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xAF"],
        ["\x85\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xDC"],

        ["\xA1\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB0"],
        ["\x85\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],

        ["\xA1\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB1"],
        ["\x85\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],

        ["\xA1\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB2"],
        ["\x85\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xEA"],

        ["\xA1\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB3"],
        ["\x85\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xEB"],

        ["\xA1\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB4"],
        ["\x85\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xEC"],

        ["\xA1\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB5"],
        ["\x85\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xED"],

        ["\xA1\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB6"],
        ["\x85\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xEE"],

        ["\xA1\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB7"],
        ["\x85\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xEF"],

        ["\xA1\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB8"],
        ["\x85\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],

        ["\xA1\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB9"],
        ["\x85\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],

        ["\xA1\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xBA"],
        ["\x85\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],

        ["\xA4\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xBB"],
        ["\x85\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],

        ["\xA4\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xBC"],
        ["\x85\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xBC"],

        ["\xA4\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xBD"],
        ["\x85\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xBD"],

        ["\xA4\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xBE"],
        ["\x85\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],

        ["\xA4\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xBF"],
        ["\x85\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xBF"],

        ["\xA4\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC0"],
        ["\x85\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC0"],

        ["\xA4\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC1"],
        ["\x85\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC1"],

        ["\xA4\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC2"],
        ["\x85\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC2"],

        ["\xA4\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC3"],
        ["\x85\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC3"],

        ["\xA4\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC4"],
        ["\x85\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC4"],

        ["\xA4\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC5"],
        ["\x85\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC5"],

        ["\xA4\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC6"],
        ["\x85\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC6"],

        ["\xA4\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC7"],
        ["\x85\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC7"],

        ["\xA4\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC8"],
        ["\x85\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC8"],

        ["\xA4\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xC9"],
        ["\x85\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA4\xC9"],

        ["\xA1\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCA"],
        ["\x85\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xFD"],

        ["\xA1\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCB"],
        ["\x85\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],

        ["\xA1\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCC"],
        ["\x85\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xFE"],

        ["\xA2\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCD"],
        ["\x85\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xA1"],

        ["\xA2\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCE"],
        ["\x85\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],

        ["\xA2\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCF"],
        ["\x85\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],

        ["\xA2\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD0"],
        ["\x85\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xA4"],

        ["\xA2\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD1"],
        ["\x85\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xA5"],

        ["\xA2\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD2"],
        ["\x85\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xA6"],

        ["\xA2\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD3"],
        ["\x85\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],

        ["\x78\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD4"],
        ["\x85\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x67"],

        ["\x78\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD5"],
        ["\x85\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x68"],

        ["\x78\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD6"],
        ["\x85\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x69"],

        ["\x78\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD7"],
        ["\x85\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x6A"],

        ["\x78\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD8"],
        ["\x85\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x6B"],

        ["\x78\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xD9"],
        ["\x85\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x6C"],

        ["\xA1\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xDA"],
        ["\x85\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xFA"],

        ["\x78\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xDB"],
        ["\x85\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x6D"],

        ["\x78\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xDC"],
        ["\x85\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x6E"],

        ["\xA1\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xDD"],
        ["\x85\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],

        ["\xA1\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xDE"],
        ["\x85\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],

        ["\xA1\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xDF"],
        ["\x85\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],

        ["\xA1\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE0"],
        ["\x85\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],

        ["\xA1\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE1"],
        ["\x85\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],

        ["\xA1\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE2"],
        ["\x85\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],

        ["\x78\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE3"],
        ["\x85\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x6F"],

        ["\x78\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE4"],
        ["\x85\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x70"],

        ["\xA2\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE5"],
        ["\x85\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xD1"],

        ["\xA2\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE6"],
        ["\x85\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xA2\xD2"],

        ["\x78\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE7"],
        ["\x85\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x71"],

        ["\x78\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE8"],
        ["\x85\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x72"],

        ["\x78\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xE9"],
        ["\x85\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x73"],

        ["\x78\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xEA"],
        ["\x85\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x74"],

        ["\x78\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xEB"],
        ["\x85\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x75"],

        ["\x78\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xEC"],
        ["\x85\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x76"],

        ["\xB2\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xAD"],
        ["\x41\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],

        ["\xB2\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xCF"],
        ["\x41\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],

        ["\xB2\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xEC"],
        ["\x41\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xD0"],

        ["\xB2\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xEE"],
        ["\x41\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xC8"],

        ["\xB2\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xF2"],
        ["\x41\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xC6"],

        ["\x78\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xED"],
        ["\x85\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x77"],

        ["\xB2\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xA2"],
        ["\x42\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xD7"],

        ["\x78\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xA3"],
        ["\x42\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x78"],

        ["\x78\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xAA"],
        ["\x42\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x79"],

        ["\xB2\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xEE"],
        ["\x85\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],

        ["\x78\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xEF"],
        ["\x85\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x7A"],

        ["\xB2\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF0"],
        ["\x85\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],

        ["\xB2\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xB8"],
        ["\x42\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xE0"],

        ["\x78\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xBB"],
        ["\x42\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x7B"],

        ["\x78\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF1"],
        ["\x85\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x7C"],

        ["\x78\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xD3"],
        ["\x42\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x7D"],

        ["\x78\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF2"],
        ["\x85\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x78\x7E"],

        ["\xB3\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xD7"],
        ["\x42\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],

        ["\xB2\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xDB"],
        ["\x42\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],

        ["\xB3\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xE0"],
        ["\x42\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xAB"],

        ["\xB3\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xE1"],
        ["\x42\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],

        ["\x79\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF3"],
        ["\x85\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x21"],

        ["\x79\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF4"],
        ["\x85\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x22"],

        ["\xB3\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xAD"],
        ["\x43\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],

        ["\xB3\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF5"],
        ["\x85\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xD7"],

        ["\xB3\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF6"],
        ["\x85\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xD8"],

        ["\xB3\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB6"],
        ["\x43\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xD3"],

        ["\x79\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB7"],
        ["\x43\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x23"],

        ["\xB3\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xBE"],
        ["\x43\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],

        ["\xB3\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF7"],
        ["\x85\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xE1"],

        ["\x79\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF8"],
        ["\x85\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x24"],

        ["\xB3\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xC4"],
        ["\x43\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xE3"],

        ["\x79\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xF9"],
        ["\x85\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x25"],

        ["\x79\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xD5"],
        ["\x43\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x26"],

        ["\xB3\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xFA"],
        ["\x85\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],

        ["\x79\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xD7"],
        ["\x43\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x27"],

        ["\x79\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xFB"],
        ["\x85\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x28"],

        ["\x79\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xFC"],
        ["\x85\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x29"],

        ["\x79\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xFD"],
        ["\x85\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x2A"],

        ["\xB4\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xFE"],
        ["\x85\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],

        ["\x79\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xB8"],
        ["\x41\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x2B"],

        ["\xB4\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xA8"],
        ["\x44\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xAB"],

        ["\xB4\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA1"],
        ["\x86\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],

        ["\x79\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA2"],
        ["\x86\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x2C"],

        ["\x79\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA3"],
        ["\x86\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x2D"],

        ["\xB4\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xC2"],
        ["\x44\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],

        ["\xB4\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xC4"],
        ["\x44\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],

        ["\x79\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA4"],
        ["\x86\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x2E"],

        ["\x79\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xCC"],
        ["\x44\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x2F"],

        ["\xB4\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA5"],
        ["\x86\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],

        ["\x79\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xE7"],
        ["\x44\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x30"],

        ["\x79\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA6"],
        ["\x86\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x31"],

        ["\x79\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA7"],
        ["\x86\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x32"],

        ["\x79\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA8"],
        ["\x86\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x33"],

        ["\x79\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xEF"],
        ["\x44\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x34"],

        ["\x79\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA9"],
        ["\x86\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x35"],

        ["\x79\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xAA"],
        ["\x86\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x36"],

        ["\x79\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xB1"],
        ["\x45\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x37"],

        ["\x79\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xC3"],
        ["\x45\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x38"],

        ["\xB5\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xCB"],
        ["\x45\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],

        ["\xB5\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xAB"],
        ["\x86\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],

        ["\x79\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xAC"],
        ["\x86\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x39"],

        ["\xB5\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xDE"],
        ["\x45\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xB0"],

        ["\x79\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xAD"],
        ["\x86\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x3A"],

        ["\x79\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xAC"],
        ["\x46\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x3B"],

        ["\xB5\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xB3"],
        ["\x46\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],

        ["\x79\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xB9"],
        ["\x46\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x3C"],

        ["\x79\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xAE"],
        ["\x86\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x3D"],

        ["\xB5\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xBC"],
        ["\x46\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],

        ["\x79\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xBF"],
        ["\x46\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x3E"],

        ["\xB5\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xC3"],
        ["\x46\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xD2"],

        ["\xB5\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xC6"],
        ["\x46\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],

        ["\xB5\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xD0"],
        ["\x46\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xD9"],

        ["\xB5\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xDB"],
        ["\x46\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xE3"],

        ["\x79\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xDD"],
        ["\x46\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x3F"],

        ["\x79\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xDF"],
        ["\x46\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x40"],

        ["\xB5\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xE3"],
        ["\x46\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],

        ["\x79\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xAF"],
        ["\x86\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x41"],

        ["\x79\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xE5"],
        ["\x46\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x42"],

        ["\x79\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xE7"],
        ["\x46\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x43"],

        ["\x79\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB0"],
        ["\x86\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x44"],

        ["\xB5\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xED"],
        ["\x46\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xF0"],

        ["\xB5\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xEF"],
        ["\x46\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],

        ["\x79\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xF7"],
        ["\x46\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x45"],

        ["\xB6\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xF8"],
        ["\x46\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],

        ["\xB6\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xFA"],
        ["\x46\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],

        ["\xB6\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xA2"],
        ["\x47\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],

        ["\xB6\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xA6"],
        ["\x47\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],

        ["\x79\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB1"],
        ["\x86\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x46"],

        ["\xB6\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB2"],
        ["\x86\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],

        ["\x79\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xF4"],
        ["\x45\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x47"],

        ["\xB6\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xAD"],
        ["\x47\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],

        ["\x79\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB3"],
        ["\x86\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x48"],

        ["\xB6\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xA8"],
        ["\x47\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],

        ["\x79\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB4"],
        ["\x86\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x49"],

        ["\xB6\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xA7"],
        ["\x46\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],

        ["\x79\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB5"],
        ["\x86\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x4A"],

        ["\xB6\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xB3"],
        ["\x47\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],

        ["\x79\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB6"],
        ["\x86\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x4B"],

        ["\x79\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xB4"],
        ["\x47\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x4C"],

        ["\x79\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB7"],
        ["\x86\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x4D"],

        ["\xB6\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xC4"],
        ["\x47\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xC6"],

        ["\x79\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB8"],
        ["\x86\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x4E"],

        ["\x79\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB9"],
        ["\x86\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x4F"],

        ["\xB6\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xE1"],
        ["\x47\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],

        ["\xB6\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xE2"],
        ["\x47\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],

        ["\xB6\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xBA"],
        ["\x86\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xD0"],

        ["\x79\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xBB"],
        ["\x86\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x50"],

        ["\x79\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xEC"],
        ["\x47\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x51"],

        ["\x79\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xEE"],
        ["\x47\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x52"],

        ["\x79\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xBC"],
        ["\x86\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x53"],

        ["\x79\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xBD"],
        ["\x86\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x54"],

        ["\x79\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xBE"],
        ["\x86\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x55"],

        ["\x79\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xFA"],
        ["\x47\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x56"],

        ["\xB6\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xFD"],
        ["\x47\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],

        ["\x79\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xA2"],
        ["\x48\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x57"],

        ["\xB6\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xA4"],
        ["\x48\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],

        ["\x79\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xD1"],
        ["\x47\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x58"],

        ["\xC1\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xD0"],
        ["\x47\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],

        ["\xB6\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xA6"],
        ["\x48\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],

        ["\x45\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB6"],
        ["\xC5\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x36"],

        ["\xB6\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xBF"],
        ["\x86\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],

        ["\x79\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xB9"],
        ["\x48\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x59"],

        ["\xB6\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC0"],
        ["\x86\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],

        ["\xB7\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xB6"],
        ["\x48\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],

        ["\x79\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xDC"],
        ["\x47\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x5A"],

        ["\xB7\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xBD"],
        ["\x48\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xAB"],

        ["\x79\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC1"],
        ["\x86\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x5B"],

        ["\x79\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC2"],
        ["\x86\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x5C"],

        ["\xB7\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xBF"],
        ["\x48\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],

        ["\xB7\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xC0"],
        ["\x48\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],

        ["\xB7\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xC1"],
        ["\x48\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],

        ["\x79\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC3"],
        ["\x86\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x5D"],

        ["\xB7\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xC5"],
        ["\x48\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],

        ["\xB7\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xD1"],
        ["\x48\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],

        ["\x79\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xD3"],
        ["\x48\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x5E"],

        ["\xB7\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xEC"],
        ["\x48\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xD7"],

        ["\xB7\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xFB"],
        ["\x48\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],

        ["\xB7\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xFE"],
        ["\x48\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],

        ["\xB7\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xA8"],
        ["\x49\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xE5"],

        ["\xB7\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xAD"],
        ["\x49\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xE3"],

        ["\xB7\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xAE"],
        ["\x49\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],

        ["\xB7\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xB9"],
        ["\x49\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],

        ["\xB7\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xBC"],
        ["\x49\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],

        ["\x79\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xC7"],
        ["\x49\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x5F"],

        ["\xB7\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xC8"],
        ["\x49\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xF1"],

        ["\xB7\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xC9"],
        ["\x49\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],

        ["\xB7\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC4"],
        ["\x86\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xF8"],

        ["\x79\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC5"],
        ["\x86\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x60"],

        ["\xB7\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD1"],
        ["\x49\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],

        ["\x79\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD3"],
        ["\x49\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x61"],

        ["\xB8\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD9"],
        ["\x49\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],

        ["\x79\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC6"],
        ["\x86\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x62"],

        ["\xB8\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xE6"],
        ["\x49\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xB0"],

        ["\x79\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC7"],
        ["\x86\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x63"],

        ["\x79\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC8"],
        ["\x86\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x64"],

        ["\x79\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xC9"],
        ["\x86\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x65"],

        ["\x79\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCA"],
        ["\x86\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x66"],

        ["\xB8\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCB"],
        ["\x86\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],

        ["\xB8\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xA8"],
        ["\x4A\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xC0"],

        ["\x79\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCC"],
        ["\x86\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x67"],

        ["\x79\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCD"],
        ["\x86\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x68"],

        ["\x79\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xDB"],
        ["\x4A\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x69"],

        ["\x79\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCE"],
        ["\x86\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x6A"],

        ["\x79\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCF"],
        ["\x86\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x6B"],

        ["\x79\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE0"],
        ["\x4A\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x6C"],

        ["\x79\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD0"],
        ["\x86\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x6D"],

        ["\x79\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD1"],
        ["\x86\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x6E"],

        ["\xB8\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xB7"],
        ["\x4B\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],

        ["\xB8\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xBB"],
        ["\x4B\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xF2"],

        ["\xB8\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD2"],
        ["\x86\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],

        ["\x79\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD3"],
        ["\x86\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x6F"],

        ["\xB8\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD4"],
        ["\x86\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xF7"],

        ["\x79\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xC1"],
        ["\x4B\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x70"],

        ["\x79\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD5"],
        ["\x86\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x71"],

        ["\xB9\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xC2"],
        ["\x4B\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],

        ["\xB9\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xC6"],
        ["\x4B\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xAB"],

        ["\x79\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD6"],
        ["\x86\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x72"],

        ["\x79\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD7"],
        ["\x86\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x73"],

        ["\x79\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD8"],
        ["\x86\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x74"],

        ["\x79\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xB4"],
        ["\x4B\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x75"],

        ["\x79\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xD9"],
        ["\x86\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x76"],

        ["\x79\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xDA"],
        ["\x86\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x77"],

        ["\x79\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xDB"],
        ["\x86\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x78"],

        ["\xB9\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xDB"],
        ["\x4B\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],

        ["\x79\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xDC"],
        ["\x86\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x79"],

        ["\xB9\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xDC"],
        ["\x4B\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xD2"],

        ["\x79\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xB0"],
        ["\x4B\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x7A"],

        ["\x79\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xDD"],
        ["\x86\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x7B"],

        ["\x57\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBB"],
        ["\xD7\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x57\x3B"],

        ["\x79\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xDE"],
        ["\x86\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x7C"],

        ["\x79\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xDF"],
        ["\x86\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x7D"],

        ["\x79\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xA2"],
        ["\x4C\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x79\x7E"],

        ["\xB9\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xFA"],
        ["\x4B\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xE8"],

        ["\xB9\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xA9"],
        ["\x4C\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xF0"],

        ["\xB9\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE0"],
        ["\x86\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xF1"],

        ["\xBA\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC7"],
        ["\x4C\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xA7"],

        ["\x7A\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xCA"],
        ["\x4C\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x21"],

        ["\xBA\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE1"],
        ["\x86\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xAA"],

        ["\x7A\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE2"],
        ["\x86\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x22"],

        ["\x7A\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE3"],
        ["\x86\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x23"],

        ["\x7A\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE4"],
        ["\x86\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x24"],

        ["\xBA\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xDC"],
        ["\x4C\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xBA"],

        ["\x7A\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE5"],
        ["\x86\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x25"],

        ["\x7A\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xEC"],
        ["\x4C\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x26"],

        ["\xBA\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xEF"],
        ["\x4C\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xC2"],

        ["\xBA\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF2"],
        ["\x4C\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xC5"],

        ["\xBA\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE9"],
        ["\x4C\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xC6"],

        ["\x7A\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xFA"],
        ["\x4C\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x27"],

        ["\x7A\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE6"],
        ["\x86\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x28"],

        ["\xBA\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xA5"],
        ["\x4D\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xCD"],

        ["\xBA\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE7"],
        ["\x86\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xD9"],

        ["\xBA\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xB0"],
        ["\x4D\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xDC"],

        ["\xBA\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xB5"],
        ["\x4D\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xDE"],

        ["\xD0\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xBA"],
        ["\x4D\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],

        ["\xBA\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xBE"],
        ["\x4D\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xE8"],

        ["\x7A\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE8"],
        ["\x86\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x29"],

        ["\xBA\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xEC"],
        ["\x4D\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xF0"],

        ["\xBA\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xF0"],
        ["\x4D\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xF5"],

        ["\xBB\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xC9"],
        ["\x4D\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xA1"],

        ["\xBB\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xE9"],
        ["\x86\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xA3"],

        ["\xBB\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xF7"],
        ["\x4D\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xA6"],

        ["\x7A\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xEA"],
        ["\x86\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x2A"],

        ["\xBB\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xFA"],
        ["\x4D\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xA2"],

        ["\x7A\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xEB"],
        ["\x86\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x2B"],

        ["\xBB\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xFC"],
        ["\x4D\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xAA"],

        ["\x7A\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xAD"],
        ["\x4E\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x2C"],

        ["\xBB\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xB0"],
        ["\x4E\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xB2"],

        ["\xBB\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xB1"],
        ["\x4E\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xB3"],

        ["\x7A\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xBB"],
        ["\x4E\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x2D"],

        ["\x7A\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xEC"],
        ["\x86\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x2E"],

        ["\x7A\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xC0"],
        ["\x4E\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x2F"],

        ["\x7A\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xED"],
        ["\x86\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x30"],

        ["\xBB\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xCB"],
        ["\x4E\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xCA"],

        ["\xBB\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xCD"],
        ["\x4E\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xDA"],

        ["\x7A\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xEE"],
        ["\x86\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x31"],

        ["\xBB\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xEF"],
        ["\x86\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xEA"],

        ["\x7A\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xD8"],
        ["\x4E\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x32"],

        ["\xBB\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xE5"],
        ["\x4D\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xEE"],

        ["\x7A\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xE1"],
        ["\x4E\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x33"],

        ["\x7A\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF0"],
        ["\x86\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x34"],

        ["\xBB\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xF5"],
        ["\x4E\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xFB"],

        ["\x7A\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF1"],
        ["\x86\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x35"],

        ["\xBC\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xFD"],
        ["\x4E\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xA3"],

        ["\xBC\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xAB"],
        ["\x4F\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xA8"],

        ["\xBC\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xAC"],
        ["\x4F\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xAA"],

        ["\x7A\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xAF"],
        ["\x4F\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x36"],

        ["\x7A\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF2"],
        ["\x86\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x37"],

        ["\xBC\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xB7"],
        ["\x4F\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xAE"],

        ["\xBC\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF3"],
        ["\x86\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xAD"],

        ["\xBC\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC0"],
        ["\x4F\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xB8"],

        ["\xBA\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC4"],
        ["\x4F\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xB8"],

        ["\xBC\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF4"],
        ["\x86\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xB4"],

        ["\xBC\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xCC"],
        ["\x4F\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xBE"],

        ["\xBC\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xCE"],
        ["\x4F\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xBA"],

        ["\xBC\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF5"],
        ["\x86\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xC8"],

        ["\x7A\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF6"],
        ["\x86\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x38"],

        ["\xBC\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF7"],
        ["\x86\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xCE"],

        ["\x7A\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF8"],
        ["\x86\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x39"],

        ["\x7A\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xEF"],
        ["\x4F\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x3A"],

        ["\x7A\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xF9"],
        ["\x86\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x3B"],

        ["\x7A\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xFA"],
        ["\x86\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x3C"],

        ["\x7A\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xFB"],
        ["\x86\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x3D"],

        ["\x7A\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xFC"],
        ["\x86\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x3E"],

        ["\x7A\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xFD"],
        ["\x86\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x3F"],

        ["\xBC\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xFE"],
        ["\x86\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xE0"],

        ["\xBC\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xA5"],
        ["\x50\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xE2"],

        ["\x7A\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xA6"],
        ["\x50\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x40"],

        ["\xBC\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xA6"],
        ["\x4F\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xDE"],

        ["\xBC\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xA8"],
        ["\x50\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xDF"],

        ["\x7A\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA1"],
        ["\x87\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x41"],

        ["\x7A\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA2"],
        ["\x87\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x42"],

        ["\x7A\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA3"],
        ["\x87\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x43"],

        ["\xBC\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xB6"],
        ["\x50\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xEB"],

        ["\x7A\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xCA"],
        ["\x50\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x44"],

        ["\xBC\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA4"],
        ["\x87\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xF4"],

        ["\x7A\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xDD"],
        ["\x50\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x45"],

        ["\x7A\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA5"],
        ["\x87\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x46"],

        ["\x7A\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA6"],
        ["\x87\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x47"],

        ["\xBD\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xC9"],
        ["\x51\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xC8"],

        ["\xBD\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xCB"],
        ["\x51\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xC9"],

        ["\xBD\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xA2"],
        ["\x51\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xC3"],

        ["\x7A\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xCC"],
        ["\x51\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x48"],

        ["\x7A\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA7"],
        ["\x87\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x49"],

        ["\xBD\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xD2"],
        ["\x51\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xCA"],

        ["\x7A\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA8"],
        ["\x87\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x4A"],

        ["\x7A\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA9"],
        ["\x87\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x4B"],

        ["\xBD\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xD7"],
        ["\x51\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xD9"],

        ["\xBD\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xA7"],
        ["\x51\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xE3"],

        ["\xBD\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xA6"],
        ["\x51\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xEF"],

        ["\xBD\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xE1"],
        ["\x51\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xF2"],

        ["\x7A\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xAA"],
        ["\x51\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x4C"],

        ["\xBE\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xEE"],
        ["\x51\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xAB"],

        ["\x7A\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xAA"],
        ["\x87\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x4D"],

        ["\xBE\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xF4"],
        ["\x51\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xAA"],

        ["\x7A\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xAB"],
        ["\x87\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x4E"],

        ["\x7A\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xF7"],
        ["\x51\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x4F"],

        ["\xBE\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xAC"],
        ["\x87\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xB3"],

        ["\xBE\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xC0"],
        ["\x52\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xBD"],

        ["\xBE\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xFC"],
        ["\x52\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xC0"],

        ["\xBE\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xFE"],
        ["\x52\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xC2"],

        ["\x7A\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xAD"],
        ["\x87\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x50"],

        ["\xBE\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xA7"],
        ["\x53\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xCD"],

        ["\x7A\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xAE"],
        ["\x87\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x51"],

        ["\xBE\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xAB"],
        ["\x53\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xCC"],

        ["\xBE\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xAD"],
        ["\x53\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xCF"],

        ["\xBE\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xAF"],
        ["\x87\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xD4"],

        ["\xBE\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xB3"],
        ["\x53\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xDD"],

        ["\xBE\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xB7"],
        ["\x53\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xD8"],

        ["\x7A\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB0"],
        ["\x87\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x52"],

        ["\xBE\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB1"],
        ["\x87\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xEA"],

        ["\x7A\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB2"],
        ["\x87\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x53"],

        ["\xBE\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xC3"],
        ["\x53\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xF1"],

        ["\x7A\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xCC"],
        ["\x53\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x54"],

        ["\x7A\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xCF"],
        ["\x53\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x55"],

        ["\x7A\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xD0"],
        ["\x53\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x56"],

        ["\x7A\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xD3"],
        ["\x53\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x57"],

        ["\x7A\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xD7"],
        ["\x53\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x58"],

        ["\x7A\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB3"],
        ["\x87\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x59"],

        ["\xBE\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB4"],
        ["\x87\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xF9"],

        ["\xBF\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB5"],
        ["\x87\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xAD"],

        ["\xBF\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xF3"],
        ["\x52\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xA9"],

        ["\xBF\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xDF"],
        ["\x53\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xB3"],

        ["\xBF\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xE0"],
        ["\x53\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xAB"],

        ["\xBF\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xE1"],
        ["\x53\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xB0"],

        ["\xBF\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB6"],
        ["\x87\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xAE"],

        ["\xBF\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xE2"],
        ["\x53\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xBB"],

        ["\x7A\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xE7"],
        ["\x53\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x5A"],

        ["\x7A\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB7"],
        ["\x87\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x5B"],

        ["\xBF\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xE4"],
        ["\x53\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xC3"],

        ["\xBF\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB8"],
        ["\x87\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xBF"],

        ["\x7A\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB9"],
        ["\x87\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x5C"],

        ["\xBF\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xEA"],
        ["\x53\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xC1"],

        ["\x7A\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBA"],
        ["\x87\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x5D"],

        ["\xBF\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xEE"],
        ["\x53\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xC4"],

        ["\x7A\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xF1"],
        ["\x53\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x5E"],

        ["\x7A\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xF4"],
        ["\x53\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x5F"],

        ["\x7A\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBB"],
        ["\x87\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x60"],

        ["\x7A\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBC"],
        ["\x87\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x61"],

        ["\x7A\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBD"],
        ["\x87\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x62"],

        ["\x7A\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBE"],
        ["\x87\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x63"],

        ["\x7A\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBF"],
        ["\x87\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x64"],

        ["\x7A\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC0"],
        ["\x87\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x65"],

        ["\x7A\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC1"],
        ["\x87\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x66"],

        ["\xBF\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC2"],
        ["\x87\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xE0"],

        ["\x7A\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC3"],
        ["\x87\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x67"],

        ["\x7A\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC4"],
        ["\x87\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x68"],

        ["\x7A\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xA2"],
        ["\x54\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x69"],

        ["\x7A\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xA3"],
        ["\x54\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x6A"],

        ["\xBF\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xA5"],
        ["\x54\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xEF"],

        ["\xBF\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xF8"],
        ["\x52\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xEA"],

        ["\x7A\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC5"],
        ["\x87\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x6B"],

        ["\xBF\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xAA"],
        ["\x54\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xE7"],

        ["\x7A\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC6"],
        ["\x87\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x6C"],

        ["\xBF\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xB1"],
        ["\x54\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xF4"],

        ["\x7A\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC7"],
        ["\x87\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x6D"],

        ["\x7A\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xB4"],
        ["\x54\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x6E"],

        ["\x7A\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xB5"],
        ["\x54\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x6F"],

        ["\x7A\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC8"],
        ["\x87\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x70"],

        ["\xC0\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xBE"],
        ["\x54\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xAA"],

        ["\x7A\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xC9"],
        ["\x87\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x71"],

        ["\x7A\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xC0"],
        ["\x54\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x72"],

        ["\xC0\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCA"],
        ["\x87\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xB3"],

        ["\x7A\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCB"],
        ["\x87\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x73"],

        ["\x7A\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xCB"],
        ["\x54\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x74"],

        ["\xC0\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xCF"],
        ["\x54\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xB6"],

        ["\xC0\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xD1"],
        ["\x54\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xBA"],

        ["\xC0\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xD6"],
        ["\x54\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xBF"],

        ["\x7A\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCC"],
        ["\x87\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x75"],

        ["\x7A\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCD"],
        ["\x87\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x76"],

        ["\x7A\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xE0"],
        ["\x54\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x77"],

        ["\x7A\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCE"],
        ["\x87\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x78"],

        ["\xC0\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xE5"],
        ["\x54\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],

        ["\x7A\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCF"],
        ["\x87\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x79"],

        ["\xC0\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD0"],
        ["\x87\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],

        ["\x7A\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xED"],
        ["\x54\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x7A"],

        ["\xC0\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD1"],
        ["\x87\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xCD"],

        ["\x7A\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD2"],
        ["\x87\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x7B"],

        ["\x7A\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xFE"],
        ["\x54\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x7C"],

        ["\x7A\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD3"],
        ["\x87\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x7D"],

        ["\xC0\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xA8"],
        ["\x55\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],

        ["\xC0\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xAD"],
        ["\x55\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],

        ["\xC0\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xBB"],
        ["\x55\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xDC"],

        ["\x7A\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD4"],
        ["\x87\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7A\x7E"],

        ["\x7B\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD5"],
        ["\x87\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x21"],

        ["\x7B\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD6"],
        ["\x87\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x22"],

        ["\xC0\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xC2"],
        ["\x55\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],

        ["\x7B\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD7"],
        ["\x87\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x23"],

        ["\xC0\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD8"],
        ["\x87\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xED"],

        ["\x7B\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xD9"],
        ["\x87\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x24"],

        ["\xC0\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xCC"],
        ["\x55\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],

        ["\xC0\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xD1"],
        ["\x55\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],

        ["\xC0\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xD6"],
        ["\x55\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],

        ["\xC0\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xDB"],
        ["\x55\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],

        ["\xC0\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xDC"],
        ["\x55\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],

        ["\x7B\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDA"],
        ["\x87\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x25"],

        ["\xC1\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xE2"],
        ["\x55\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xA8"],

        ["\xC1\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xEB"],
        ["\x55\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xAA"],

        ["\x7B\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDB"],
        ["\x87\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x26"],

        ["\xC1\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xED"],
        ["\x55\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xAD"],

        ["\x7B\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xF0"],
        ["\x55\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x27"],

        ["\x7B\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDC"],
        ["\x87\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x28"],

        ["\xC1\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xF6"],
        ["\x55\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xBD"],

        ["\x7B\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xFA"],
        ["\x53\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x29"],

        ["\xC1\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xA2"],
        ["\x56\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xBA"],

        ["\x7B\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDD"],
        ["\x87\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x2A"],

        ["\xC1\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xA6"],
        ["\x56\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xB7"],

        ["\x7B\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDE"],
        ["\x87\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x2B"],

        ["\xC1\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xB0"],
        ["\x56\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xCE"],

        ["\xC1\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xB1"],
        ["\x56\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xCC"],

        ["\xC1\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDF"],
        ["\x87\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],

        ["\x7B\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xB4"],
        ["\x56\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x2C"],

        ["\x7B\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE0"],
        ["\x87\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x2D"],

        ["\x7B\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE1"],
        ["\x87\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x2E"],

        ["\x7B\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xFB"],
        ["\x55\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x2F"],

        ["\x7B\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE2"],
        ["\x87\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x30"],

        ["\xC1\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xC6"],
        ["\x56\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],

        ["\xC1\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xD0"],
        ["\x56\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],

        ["\x7B\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE3"],
        ["\x87\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x31"],

        ["\xC2\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xDD"],
        ["\x56\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],

        ["\x7B\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE4"],
        ["\x87\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x32"],

        ["\xC2\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xE1"],
        ["\x56\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xA2"],

        ["\x7B\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE5"],
        ["\x87\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x33"],

        ["\x7B\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE6"],
        ["\x87\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x34"],

        ["\xC2\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xF0"],
        ["\x56\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],

        ["\x7B\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE7"],
        ["\x87\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x35"],

        ["\xC2\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE8"],
        ["\x87\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xB3"],

        ["\x7B\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xE9"],
        ["\x87\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x36"],

        ["\xC2\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xF2"],
        ["\x56\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xBB"],

        ["\x7B\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xEA"],
        ["\x87\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x37"],

        ["\xC2\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xEB"],
        ["\x87\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],

        ["\xC2\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xEC"],
        ["\x87\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xE1"],

        ["\x7B\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xF6"],
        ["\x56\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x38"],

        ["\xC2\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xF7"],
        ["\x56\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],

        ["\xC2\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xED"],
        ["\x87\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xCF"],

        ["\xC2\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xA2"],
        ["\x57\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],

        ["\xC2\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xA3"],
        ["\x57\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],

        ["\xC2\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xEE"],
        ["\x87\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],

        ["\x7B\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xEF"],
        ["\x87\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x39"],

        ["\xC2\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xA7"],
        ["\x57\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xDB"],

        ["\x7B\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xAF"],
        ["\x57\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x3A"],

        ["\x7B\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF0"],
        ["\x87\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x3B"],

        ["\x7B\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xB2"],
        ["\x57\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x3C"],

        ["\x7B\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF1"],
        ["\x87\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x3D"],

        ["\xC2\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF2"],
        ["\x87\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xEA"],

        ["\xC2\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF3"],
        ["\x87\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],

        ["\x7B\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF4"],
        ["\x87\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x3E"],

        ["\x7B\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF5"],
        ["\x87\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x3F"],

        ["\xC2\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC2"],
        ["\x57\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],

        ["\x7B\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF6"],
        ["\x87\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x40"],

        ["\x7B\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC3"],
        ["\x57\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x41"],

        ["\xC2\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC4"],
        ["\x57\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],

        ["\x7B\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF7"],
        ["\x87\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x42"],

        ["\xBD\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xDD"],
        ["\x57\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xC0"],

        ["\xC2\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF8"],
        ["\x87\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xFD"],

        ["\xC3\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xF9"],
        ["\x87\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xA4"],

        ["\xC3\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE3"],
        ["\x57\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],

        ["\xC3\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE5"],
        ["\x57\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xA5"],

        ["\x7B\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xFA"],
        ["\x87\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x43"],

        ["\xC3\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE7"],
        ["\x57\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],

        ["\x7B\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xFB"],
        ["\x87\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x44"],

        ["\x7B\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xFC"],
        ["\x87\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x45"],

        ["\x7B\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xFD"],
        ["\x87\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x46"],

        ["\x7B\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xFE"],
        ["\x87\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x47"],

        ["\x7B\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xE6"],
        ["\x56\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x48"],

        ["\xC3\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xEF"],
        ["\x57\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],

        ["\xC3\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA1"],
        ["\x88\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],

        ["\x7B\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF2"],
        ["\x57\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x49"],

        ["\xC3\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA2"],
        ["\x88\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],

        ["\x7B\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA3"],
        ["\x88\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x4A"],

        ["\xC3\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xCD"],
        ["\x57\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],

        ["\x7B\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF9"],
        ["\x57\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x4B"],

        ["\xC3\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xA3"],
        ["\x58\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],

        ["\xC3\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xFD"],
        ["\x57\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],

        ["\x7B\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA4"],
        ["\x88\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x4C"],

        ["\x7B\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xC1"],
        ["\x58\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x4D"],

        ["\xC3\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA5"],
        ["\x88\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],

        ["\x7B\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA6"],
        ["\x88\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x4E"],

        ["\x7B\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA7"],
        ["\x88\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x4F"],

        ["\xC3\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xC9"],
        ["\x58\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],

        ["\x7B\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA8"],
        ["\x88\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x50"],

        ["\xC3\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA9"],
        ["\x88\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],

        ["\x7B\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xAA"],
        ["\x88\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x51"],

        ["\x7B\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xAB"],
        ["\x88\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x52"],

        ["\xC3\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xEE"],
        ["\x58\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xFA"],

        ["\x7B\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xF3"],
        ["\x58\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x53"],

        ["\x7B\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xAC"],
        ["\x88\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x54"],

        ["\xC4\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xF7"],
        ["\x58\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xA6"],

        ["\xC4\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xAD"],
        ["\x59\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xAE"],

        ["\x7B\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xAD"],
        ["\x88\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x55"],

        ["\x7B\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xAE"],
        ["\x88\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x56"],

        ["\x7B\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xB2"],
        ["\x59\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x57"],

        ["\x7B\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xB4"],
        ["\x59\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x58"],

        ["\x7B\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xAF"],
        ["\x88\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x59"],

        ["\xC4\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xA5"],
        ["\x59\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xBC"],

        ["\xC4\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC1"],
        ["\x59\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xBF"],

        ["\xC4\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC5"],
        ["\x59\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],

        ["\x7B\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB0"],
        ["\x88\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x5A"],

        ["\xC4\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD2"],
        ["\x59\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xDD"],

        ["\xC4\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD3"],
        ["\x59\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],

        ["\x7B\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB1"],
        ["\x88\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x5B"],

        ["\xC4\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD8"],
        ["\x59\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],

        ["\xC4\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xDB"],
        ["\x59\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xDC"],

        ["\x7B\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB2"],
        ["\x88\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x5C"],

        ["\xC4\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xDE"],
        ["\x59\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],

        ["\x7B\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB3"],
        ["\x88\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x5D"],

        ["\x7B\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE1"],
        ["\x59\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x5E"],

        ["\xC4\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE3"],
        ["\x59\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],

        ["\x7B\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE4"],
        ["\x59\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x5F"],

        ["\xC4\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB4"],
        ["\x88\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],

        ["\xC4\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE9"],
        ["\x59\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],

        ["\x7B\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB5"],
        ["\x88\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x60"],

        ["\x7B\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB6"],
        ["\x88\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x61"],

        ["\xC4\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB7"],
        ["\x88\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],

        ["\xC4\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF3"],
        ["\x59\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],

        ["\x7B\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF7"],
        ["\x59\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x62"],

        ["\xC4\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xFA"],
        ["\x59\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],

        ["\x7B\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB8"],
        ["\x88\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x63"],

        ["\xC5\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB9"],
        ["\x88\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xA2"],

        ["\xC5\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xFE"],
        ["\x59\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],

        ["\xC4\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xA1"],
        ["\x5A\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xFC"],

        ["\x7B\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xBA"],
        ["\x88\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x64"],

        ["\x7B\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xBB"],
        ["\x88\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x65"],

        ["\xC5\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xA7"],
        ["\x5A\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xA4"],

        ["\xC5\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xA8"],
        ["\x5A\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xA8"],

        ["\xC5\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xA9"],
        ["\x5A\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xA6"],

        ["\xC5\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xAA"],
        ["\x5A\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xA9"],

        ["\x7B\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xBC"],
        ["\x88\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x66"],

        ["\x7B\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xBD"],
        ["\x88\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x67"],

        ["\xC5\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xBE"],
        ["\x88\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xB7"],

        ["\xC5\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xDE"],
        ["\x5A\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xBD"],

        ["\x7B\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xBF"],
        ["\x88\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x68"],

        ["\x7B\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE2"],
        ["\x5A\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x69"],

        ["\xC5\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC0"],
        ["\x88\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],

        ["\xC5\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC1"],
        ["\x88\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],

        ["\x7B\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE6"],
        ["\x5A\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x6A"],

        ["\x7B\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC2"],
        ["\x88\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x6B"],

        ["\x7B\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC3"],
        ["\x88\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x6C"],

        ["\xC5\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE9"],
        ["\x5A\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],

        ["\xC5\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC4"],
        ["\x88\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xCA"],

        ["\x7B\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC5"],
        ["\x88\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x6D"],

        ["\xC5\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xEC"],
        ["\x5A\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xCC"],

        ["\x7B\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xEE"],
        ["\x5A\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x6E"],

        ["\x7B\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC6"],
        ["\x88\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x6F"],

        ["\x7B\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC7"],
        ["\x88\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x70"],

        ["\x7B\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC8"],
        ["\x88\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x71"],

        ["\xC5\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF1"],
        ["\x5A\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xCF"],

        ["\xC5\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF2"],
        ["\x5A\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],

        ["\x7B\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF3"],
        ["\x5A\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x72"],

        ["\xC5\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xC9"],
        ["\x88\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],

        ["\x7B\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xCA"],
        ["\x88\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x73"],

        ["\x7B\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xCB"],
        ["\x88\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x74"],

        ["\xC5\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xCC"],
        ["\x88\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xE1"],

        ["\x7B\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xCD"],
        ["\x88\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x75"],

        ["\x7B\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xB4"],
        ["\x5B\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x76"],

        ["\xC5\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xCE"],
        ["\x88\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],

        ["\xC5\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xCF"],
        ["\x88\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],

        ["\x7B\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD0"],
        ["\x88\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x77"],

        ["\x7B\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD1"],
        ["\x88\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x78"],

        ["\xC5\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xBF"],
        ["\x5B\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xEB"],

        ["\x7B\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC0"],
        ["\x5B\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x79"],

        ["\x7B\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD2"],
        ["\x88\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x7A"],

        ["\xC5\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC3"],
        ["\x5B\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xEE"],

        ["\x7B\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC8"],
        ["\x5B\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x7B"],

        ["\xC5\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC9"],
        ["\x5B\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],

        ["\xC5\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xCE"],
        ["\x5B\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],

        ["\x7B\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xCF"],
        ["\x5B\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x7C"],

        ["\xC5\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD2"],
        ["\x5B\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],

        ["\xC5\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD4"],
        ["\x5B\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],

        ["\x7B\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD5"],
        ["\x5B\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x7D"],

        ["\x7B\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD3"],
        ["\x88\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7B\x7E"],

        ["\x7C\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD4"],
        ["\x88\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x21"],

        ["\x7C\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD5"],
        ["\x88\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x22"],

        ["\xC6\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD6"],
        ["\x88\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xA2"],

        ["\x7C\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD7"],
        ["\x88\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x23"],

        ["\xC6\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xA2"],
        ["\x5C\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xAF"],

        ["\x7C\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD8"],
        ["\x88\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x24"],

        ["\xC6\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xFB"],
        ["\x5B\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xB4"],

        ["\x7C\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xD9"],
        ["\x88\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x25"],

        ["\x7C\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xDA"],
        ["\x88\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x26"],

        ["\xC6\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xAF"],
        ["\x5C\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xBA"],

        ["\xC6\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xB1"],
        ["\x5C\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xB8"],

        ["\x7C\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xDB"],
        ["\x88\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x27"],

        ["\x7C\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xDC"],
        ["\x88\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x28"],

        ["\x7C\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xDD"],
        ["\x88\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x29"],

        ["\xC6\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xB7"],
        ["\x5C\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],

        ["\x7C\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xDE"],
        ["\x88\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x2A"],

        ["\x7C\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xDF"],
        ["\x88\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x2B"],

        ["\xC6\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xC2"],
        ["\x5C\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],

        ["\xC6\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xC4"],
        ["\x5C\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],

        ["\x7C\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE0"],
        ["\x88\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x2C"],

        ["\x7C\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE1"],
        ["\x88\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x2D"],

        ["\xC6\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF5"],
        ["\x5B\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],

        ["\xC6\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE2"],
        ["\x88\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xDB"],

        ["\x7C\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xB3"],
        ["\x5C\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x2E"],

        ["\x7C\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xD3"],
        ["\x5C\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x2F"],

        ["\x7C\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE3"],
        ["\x88\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x30"],

        ["\x7C\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE4"],
        ["\x88\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x31"],

        ["\x7C\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xD5"],
        ["\x5C\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x32"],

        ["\x7C\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xD4"],
        ["\x5C\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x33"],

        ["\x7C\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xD6"],
        ["\x5C\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x34"],

        ["\xC6\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xD8"],
        ["\x5C\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],

        ["\x7C\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xD7"],
        ["\x5C\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x35"],

        ["\x7C\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xDF"],
        ["\x5C\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x36"],

        ["\x7C\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xD9"],
        ["\x5C\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x37"],

        ["\x7C\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xE2"],
        ["\x5C\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x38"],

        ["\x7C\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xE7"],
        ["\x5C\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x39"],

        ["\x7C\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE5"],
        ["\x88\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x3A"],

        ["\xC7\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xEE"],
        ["\x5C\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xB2"],

        ["\xC7\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE6"],
        ["\x88\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xB6"],

        ["\xB9\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xB1"],
        ["\x4C\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xF8"],

        ["\x7C\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE7"],
        ["\x88\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x3B"],

        ["\xC8\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xF9"],
        ["\x5C\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xDE"],

        ["\x7C\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xFC"],
        ["\x5C\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x3C"],

        ["\xC7\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE8"],
        ["\x88\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xBB"],

        ["\x7C\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xE9"],
        ["\x88\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x3D"],

        ["\xC7\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xA8"],
        ["\x5D\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],

        ["\x7C\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xE3"],
        ["\x5C\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x3E"],

        ["\xC7\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xBA"],
        ["\x5D\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],

        ["\xC7\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xBF"],
        ["\x5D\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],

        ["\x7C\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xC5"],
        ["\x5D\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x3F"],

        ["\x7C\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xF4"],
        ["\x5C\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x40"],

        ["\xC5\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xEA"],
        ["\x88\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xED"],

        ["\xC7\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xD3"],
        ["\x5D\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],

        ["\x7C\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xEB"],
        ["\x88\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x41"],

        ["\x7C\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xD4"],
        ["\x5D\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x42"],

        ["\x7C\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xD6"],
        ["\x5D\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x43"],

        ["\xC7\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xEC"],
        ["\x88\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],

        ["\xC7\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xEC"],
        ["\x5D\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xFE"],

        ["\x7C\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xED"],
        ["\x88\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x44"],

        ["\xC8\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xEE"],
        ["\x88\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xA6"],

        ["\x7C\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xEF"],
        ["\x88\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x45"],

        ["\xC8\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF0"],
        ["\x88\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xAA"],

        ["\x7C\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xF5"],
        ["\x5D\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x46"],

        ["\xC8\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xF7"],
        ["\x5D\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xAE"],

        ["\xC8\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xFC"],
        ["\x5D\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],

        ["\xC8\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xFD"],
        ["\x5D\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xB7"],

        ["\x7C\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF1"],
        ["\x88\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x47"],

        ["\x7C\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF2"],
        ["\x88\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x48"],

        ["\xC8\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xAE"],
        ["\x5E\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xCB"],

        ["\xC8\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xAF"],
        ["\x5E\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],

        ["\x7C\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF3"],
        ["\x88\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x49"],

        ["\xC8\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF4"],
        ["\x88\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],

        ["\x7C\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF5"],
        ["\x88\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x4A"],

        ["\xC5\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF6"],
        ["\x88\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xEA"],

        ["\x7C\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF7"],
        ["\x88\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x4B"],

        ["\x7C\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF8"],
        ["\x88\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x4C"],

        ["\x7C\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xF9"],
        ["\x88\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x4D"],

        ["\x7C\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xFA"],
        ["\x88\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x4E"],

        ["\xC8\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xFB"],
        ["\x88\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],

        ["\xC8\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xBF"],
        ["\x5E\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xDC"],

        ["\xC8\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xFC"],
        ["\x88\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xDF"],

        ["\x7C\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xFD"],
        ["\x88\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x4F"],

        ["\xC8\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xFE"],
        ["\x88\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],

        ["\xC8\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xCE"],
        ["\x5E\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],

        ["\x7C\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA1"],
        ["\x89\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x50"],

        ["\x7C\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD6"],
        ["\x5E\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x51"],

        ["\xC8\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD8"],
        ["\x5E\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],

        ["\xC8\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD9"],
        ["\x5E\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],

        ["\x7C\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA2"],
        ["\x89\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x52"],

        ["\xC8\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE8"],
        ["\x5E\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],

        ["\xC8\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xEF"],
        ["\x5E\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xFB"],

        ["\xC8\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF4"],
        ["\x5E\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],

        ["\xC8\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF5"],
        ["\x5E\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xFC"],

        ["\xC9\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF6"],
        ["\x5E\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],

        ["\xC9\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xFA"],
        ["\x5E\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xA4"],

        ["\xC9\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xA3"],
        ["\x5F\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],

        ["\x7C\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xAD"],
        ["\x5F\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x53"],

        ["\x7C\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA3"],
        ["\x89\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x54"],

        ["\xC9\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xB2"],
        ["\x5F\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xB1"],

        ["\xC9\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE1"],
        ["\x5E\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],

        ["\xC9\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA4"],
        ["\x89\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xB5"],

        ["\x7C\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA5"],
        ["\x89\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x55"],

        ["\x7C\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA6"],
        ["\x89\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x56"],

        ["\x7C\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA7"],
        ["\x89\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x57"],

        ["\x7C\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA8"],
        ["\x89\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x58"],

        ["\xC9\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE2"],
        ["\x5E\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],

        ["\xC9\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xCA"],
        ["\x5F\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],

        ["\xC9\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xCB"],
        ["\x5F\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],

        ["\x7C\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA9"],
        ["\x89\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x59"],

        ["\xC9\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE6"],
        ["\x5E\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],

        ["\x7C\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xAA"],
        ["\x89\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x5A"],

        ["\x7C\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE5"],
        ["\x5E\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x5B"],

        ["\x7C\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE3"],
        ["\x5E\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x5C"],

        ["\xC9\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xAB"],
        ["\x89\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xED"],

        ["\xC9\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF6"],
        ["\x5F\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xEF"],

        ["\xC9\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xA2"],
        ["\x60\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],

        ["\xC9\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xAB"],
        ["\x60\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],

        ["\x7C\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xAE"],
        ["\x43\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x5D"],

        ["\xC9\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xA6"],
        ["\x60\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xFB"],

        ["\xC9\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xA7"],
        ["\x60\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xFD"],

        ["\x7C\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xAD"],
        ["\x60\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x5E"],

        ["\xCA\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xAE"],
        ["\x60\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],

        ["\x7C\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF0"],
        ["\x5F\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x5F"],

        ["\xCA\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC1"],
        ["\x60\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],

        ["\xCA\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC7"],
        ["\x60\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],

        ["\x7C\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xAC"],
        ["\x89\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x60"],

        ["\x7C\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xAD"],
        ["\x89\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x61"],

        ["\x7C\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xAE"],
        ["\x89\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x62"],

        ["\x7C\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xAF"],
        ["\x89\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x63"],

        ["\x7C\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xB8"],
        ["\x52\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x64"],

        ["\xCA\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xBB"],
        ["\x52\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],

        ["\x7C\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xBE"],
        ["\x52\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x65"],

        ["\xCA\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xC5"],
        ["\x52\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],

        ["\xCA\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xCF"],
        ["\x52\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xC3"],

        ["\x7C\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB0"],
        ["\x89\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x66"],

        ["\x7C\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB1"],
        ["\x89\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x67"],

        ["\x7C\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB2"],
        ["\x89\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x68"],

        ["\xD5\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xD2"],
        ["\x52\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],

        ["\x7C\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB3"],
        ["\x89\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x69"],

        ["\x7C\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xDF"],
        ["\x52\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x6A"],

        ["\x7C\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xE0"],
        ["\x52\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x6B"],

        ["\x7C\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB4"],
        ["\x89\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x6C"],

        ["\x7C\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xB5"],
        ["\x60\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x6D"],

        ["\x7C\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB5"],
        ["\x89\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x6E"],

        ["\x7C\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB6"],
        ["\x89\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x6F"],

        ["\x7C\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB7"],
        ["\x89\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x70"],

        ["\xCA\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB8"],
        ["\x89\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xE4"],

        ["\x7C\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB9"],
        ["\x89\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x71"],

        ["\xCA\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xBF"],
        ["\x61\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],

        ["\x7C\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xC5"],
        ["\x61\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x72"],

        ["\x7C\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xC6"],
        ["\x61\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x73"],

        ["\x7C\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xBA"],
        ["\x89\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x74"],

        ["\xCB\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xBB"],
        ["\x89\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],

        ["\x7C\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xC9"],
        ["\x61\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x75"],

        ["\xCB\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xCC"],
        ["\x61\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],

        ["\x7C\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xCD"],
        ["\x61\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x76"],

        ["\x7C\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xCE"],
        ["\x61\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x77"],

        ["\x7C\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xD0"],
        ["\x61\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x78"],

        ["\x7C\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xBC"],
        ["\x89\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x79"],

        ["\x7C\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xD6"],
        ["\x61\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x7A"],

        ["\xCB\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xD7"],
        ["\x61\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],

        ["\x7C\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xD8"],
        ["\x61\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x7B"],

        ["\x7C\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xBD"],
        ["\x89\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x7C"],

        ["\x7C\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xBE"],
        ["\x89\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x7D"],

        ["\x7C\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xBF"],
        ["\x89\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7C\x7E"],

        ["\x7D\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xE8"],
        ["\x61\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x21"],

        ["\x7D\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xEB"],
        ["\x61\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x22"],

        ["\x7D\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xEC"],
        ["\x61\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x23"],

        ["\xCB\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC0"],
        ["\x89\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],

        ["\x7D\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xEF"],
        ["\x61\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x24"],

        ["\x7D\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xF1"],
        ["\x61\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x25"],

        ["\x7D\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xF2"],
        ["\x61\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x26"],

        ["\x7D\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xF4"],
        ["\x61\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x27"],

        ["\xCB\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xF5"],
        ["\x61\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xE1"],

        ["\x7D\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xF6"],
        ["\x61\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x28"],

        ["\xCB\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xFC"],
        ["\x61\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],

        ["\xCB\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xFD"],
        ["\x61\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xF8"],

        ["\x7D\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xA2"],
        ["\x62\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x29"],

        ["\x7D\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xA3"],
        ["\x62\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x2A"],

        ["\x7D\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC1"],
        ["\x89\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x2B"],

        ["\xCB\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xA7"],
        ["\x62\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],

        ["\x7D\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xAC"],
        ["\x62\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x2C"],

        ["\x7D\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC2"],
        ["\x89\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x2D"],

        ["\x7D\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC3"],
        ["\x89\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x2E"],

        ["\x7D\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xB3"],
        ["\x62\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x2F"],

        ["\x7D\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC4"],
        ["\x89\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x30"],

        ["\x7D\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xB7"],
        ["\x62\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x31"],

        ["\x7D\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xB8"],
        ["\x62\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x32"],

        ["\x7D\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC5"],
        ["\x89\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x33"],

        ["\x7D\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xBC"],
        ["\x62\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x34"],

        ["\xCC\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xFA"],
        ["\x62\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xC2"],

        ["\x7D\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC6"],
        ["\x89\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x35"],

        ["\x7D\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC7"],
        ["\x89\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x36"],

        ["\x7D\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC8"],
        ["\x89\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x37"],

        ["\x7D\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xC9"],
        ["\x89\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x38"],

        ["\x7D\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC6"],
        ["\x62\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x39"],

        ["\x7D\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC8"],
        ["\x62\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x3A"],

        ["\x7D\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xCA"],
        ["\x89\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x3B"],

        ["\x7D\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC9"],
        ["\x62\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x3C"],

        ["\x7D\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xCB"],
        ["\x89\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x3D"],

        ["\x7D\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE3"],
        ["\x62\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x3E"],

        ["\x7D\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xCC"],
        ["\x89\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x3F"],

        ["\x7D\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xCD"],
        ["\x89\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x40"],

        ["\xCC\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE0"],
        ["\x62\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],

        ["\x7D\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xCE"],
        ["\x89\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x41"],

        ["\x7D\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xCF"],
        ["\x89\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x42"],

        ["\xCD\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xEA"],
        ["\x62\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],

        ["\x7D\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD0"],
        ["\x89\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x43"],

        ["\xCD\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD1"],
        ["\x89\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],

        ["\x7D\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xEF"],
        ["\x62\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x44"],

        ["\x7D\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF0"],
        ["\x62\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x45"],

        ["\x7D\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD2"],
        ["\x89\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x46"],

        ["\xCD\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD3"],
        ["\x89\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],

        ["\x7D\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD4"],
        ["\x89\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x47"],

        ["\x7D\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF4"],
        ["\x62\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x48"],

        ["\xCD\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF3"],
        ["\x62\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],

        ["\xCD\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD5"],
        ["\x89\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],

        ["\xCD\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xA8"],
        ["\x63\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xC7"],

        ["\x7D\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD6"],
        ["\x89\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x49"],

        ["\x7D\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xAB"],
        ["\x63\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x4A"],

        ["\x7D\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xB0"],
        ["\x63\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x4B"],

        ["\x7D\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD7"],
        ["\x89\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x4C"],

        ["\xCD\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC2"],
        ["\x63\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],

        ["\x7D\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC3"],
        ["\x63\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x4D"],

        ["\x7D\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD8"],
        ["\x89\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x4E"],

        ["\x7D\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xD9"],
        ["\x89\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x4F"],

        ["\x7D\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xCA"],
        ["\x63\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x50"],

        ["\xCD\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xDA"],
        ["\x89\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xD5"],

        ["\xCD\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xCB"],
        ["\x63\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xD6"],

        ["\x7D\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xCD"],
        ["\x63\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x51"],

        ["\x7D\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xDB"],
        ["\x89\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x52"],

        ["\x7D\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xDC"],
        ["\x89\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x53"],

        ["\xCD\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xDD"],
        ["\x89\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],

        ["\x7D\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xDE"],
        ["\x89\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x54"],

        ["\x7D\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD7"],
        ["\x63\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x55"],

        ["\x7D\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xDF"],
        ["\x89\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x56"],

        ["\x7D\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE0"],
        ["\x89\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x57"],

        ["\xCD\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE1"],
        ["\x89\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xE0"],

        ["\x7D\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE2"],
        ["\x89\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x58"],

        ["\x7D\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE3"],
        ["\x89\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x59"],

        ["\x7D\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE4"],
        ["\x89\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x5A"],

        ["\x7D\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE5"],
        ["\x89\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x5B"],

        ["\x7D\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE6"],
        ["\x89\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x5C"],

        ["\x7D\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE7"],
        ["\x89\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x5D"],

        ["\xCD\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE8"],
        ["\x89\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xF2"],

        ["\xCD\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xA4"],
        ["\x64\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xF4"],

        ["\xCD\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF1"],
        ["\x63\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],

        ["\xCD\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xA8"],
        ["\x64\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],

        ["\x7D\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xE9"],
        ["\x89\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x5E"],

        ["\x7D\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xEA"],
        ["\x89\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x5F"],

        ["\x7D\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xEB"],
        ["\x89\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x60"],

        ["\x7D\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xEC"],
        ["\x89\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x61"],

        ["\xCE\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xAD"],
        ["\x64\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],

        ["\xCE\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xED"],
        ["\x89\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],

        ["\xCE\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF3"],
        ["\x63\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],

        ["\x7D\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xAE"],
        ["\x64\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x62"],

        ["\x7D\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xAF"],
        ["\x64\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x63"],

        ["\x7D\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xEE"],
        ["\x89\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x64"],

        ["\xCE\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC0"],
        ["\x64\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],

        ["\x7D\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC4"],
        ["\x64\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x65"],

        ["\x7D\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD0"],
        ["\x64\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x66"],

        ["\xCE\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD2"],
        ["\x64\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xC1"],

        ["\x7D\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xEF"],
        ["\x89\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x67"],

        ["\xCE\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE5"],
        ["\x64\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xC9"],

        ["\xCE\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE8"],
        ["\x64\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],

        ["\xCE\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF0"],
        ["\x64\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],

        ["\xCE\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF2"],
        ["\x64\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xD2"],

        ["\xCE\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF9"],
        ["\x64\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xD9"],

        ["\xCE\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xFA"],
        ["\x64\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],

        ["\xCE\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xFD"],
        ["\x64\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],

        ["\x7D\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF0"],
        ["\x89\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x68"],

        ["\x7D\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF1"],
        ["\x89\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x69"],

        ["\x7D\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xBB"],
        ["\x65\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x6A"],

        ["\x7D\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC4"],
        ["\x65\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x6B"],

        ["\xB6\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC5"],
        ["\x65\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],

        ["\xCE\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC9"],
        ["\x65\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xF7"],

        ["\xCE\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xCB"],
        ["\x65\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xF6"],

        ["\x7D\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF2"],
        ["\x89\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x6C"],

        ["\x7D\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF3"],
        ["\x89\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x6D"],

        ["\xCF\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE2"],
        ["\x65\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],

        ["\x7D\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF4"],
        ["\x89\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x6E"],

        ["\x7D\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF4"],
        ["\x65\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x6F"],

        ["\xCF\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF6"],
        ["\x65\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],

        ["\x7D\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xFA"],
        ["\x65\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x70"],

        ["\xCF\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF5"],
        ["\x89\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],

        ["\x7D\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xAF"],
        ["\x66\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x71"],

        ["\x7D\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF6"],
        ["\x89\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x72"],

        ["\x7D\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC2"],
        ["\x66\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x73"],

        ["\xCF\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC9"],
        ["\x66\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xD2"],

        ["\xCF\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xCA"],
        ["\x66\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xD1"],

        ["\xCF\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xCB"],
        ["\x66\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xD0"],

        ["\xCF\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD5"],
        ["\x66\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xD6"],

        ["\x7D\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF7"],
        ["\x89\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x74"],

        ["\x7D\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF8"],
        ["\x89\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x75"],

        ["\x7D\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xDE"],
        ["\x66\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x76"],

        ["\xCF\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xF9"],
        ["\x89\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xDB"],

        ["\x7D\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xFA"],
        ["\x89\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x77"],

        ["\x7D\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xFB"],
        ["\x89\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x78"],

        ["\x7D\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xFC"],
        ["\x89\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x79"],

        ["\xCF\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xFD"],
        ["\x89\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xE3"],

        ["\xCF\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF2"],
        ["\x66\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xE6"],

        ["\xCF\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF4"],
        ["\x66\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xE8"],

        ["\x7D\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF5"],
        ["\x66\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x7A"],

        ["\xCF\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF9"],
        ["\x66\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xEC"],

        ["\x7D\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xFE"],
        ["\x89\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x7B"],

        ["\xB4\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xF8"],
        ["\x44\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xE2"],

        ["\xCF\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xA4"],
        ["\x67\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xF1"],

        ["\xCF\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xB2"],
        ["\x67\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xFE"],

        ["\xD0\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xB3"],
        ["\x67\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xA2"],

        ["\xD0\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xB6"],
        ["\x67\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],

        ["\x7D\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC0"],
        ["\x67\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x7C"],

        ["\xD0\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xCE"],
        ["\x67\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xB4"],

        ["\x7D\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD5"],
        ["\x67\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x7D"],

        ["\xD0\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA1"],
        ["\x8A\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],

        ["\x7D\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA2"],
        ["\x8A\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7D\x7E"],

        ["\x7E\x21",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA3"],
        ["\x8A\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x21"],

        ["\x7E\x22",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF7"],
        ["\x67\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x22"],

        ["\x7E\x23",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA4"],
        ["\x8A\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x23"],

        ["\xD0\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF8"],
        ["\x67\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],

        ["\xD0\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA5"],
        ["\x8A\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],

        ["\x7E\x24",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA6"],
        ["\x8A\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x24"],

        ["\x7E\x25",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xA1"],
        ["\x68\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x25"],

        ["\xD0\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xA2"],
        ["\x68\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],

        ["\xD0\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xA3"],
        ["\x68\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xEA"],

        ["\x7E\x26",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA7"],
        ["\x8A\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x26"],

        ["\xD0\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xA5"],
        ["\x68\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xED"],

        ["\xD0\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA8"],
        ["\x8A\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xEF"],

        ["\xD0\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA9"],
        ["\x8A\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],

        ["\x7E\x27",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xAB"],
        ["\x68\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x27"],

        ["\xD0\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xAD"],
        ["\x68\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],

        ["\x7E\x28",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xAF"],
        ["\x68\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x28"],

        ["\x7E\x29",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xAA"],
        ["\x8A\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x29"],

        ["\xD0\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xB1"],
        ["\x68\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],

        ["\xD0\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xB2"],
        ["\x68\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xFA"],

        ["\xD0\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xAB"],
        ["\x8A\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xFB"],

        ["\x7E\x2A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xAC"],
        ["\x8A\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x2A"],

        ["\x7E\x2B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xB6"],
        ["\x68\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x2B"],

        ["\xD0\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE7"],
        ["\x68\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xFE"],

        ["\x7E\x2C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF3"],
        ["\x68\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x2C"],

        ["\xD1\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF7"],
        ["\x68\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xAD"],

        ["\x7E\x2D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xAD"],
        ["\x8A\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x2D"],

        ["\x7E\x2E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xAE"],
        ["\x8A\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x2E"],

        ["\xCF\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xAF"],
        ["\x8A\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xA1"],

        ["\xD1\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB0"],
        ["\x8A\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],

        ["\xD1\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC8"],
        ["\x69\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xBC"],

        ["\xD1\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xCF"],
        ["\x69\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],

        ["\xD1\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xDF"],
        ["\x69\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],

        ["\xD1\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB1"],
        ["\x8A\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],

        ["\xD1\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE9"],
        ["\x69\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],

        ["\x7E\x2F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB2"],
        ["\x8A\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x2F"],

        ["\x7E\x30",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xB5"],
        ["\x6A\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x30"],

        ["\x7E\x31",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xB6"],
        ["\x6A\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x31"],

        ["\x7E\x32",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB3"],
        ["\x8A\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x32"],

        ["\xD2\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD2"],
        ["\x6A\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xA7"],

        ["\xD2\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xDA"],
        ["\x6A\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],

        ["\x7E\x33",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB4"],
        ["\x8A\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x33"],

        ["\xD2\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB5"],
        ["\x8A\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xBD"],

        ["\x7E\x34",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB6"],
        ["\x8A\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x34"],

        ["\x7E\x35",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xB5"],
        ["\x69\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x35"],

        ["\x7E\x36",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB7"],
        ["\x8A\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x36"],

        ["\x7E\x37",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xB7"],
        ["\x69\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x37"],

        ["\xD2\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF5"],
        ["\x6A\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],

        ["\xD2\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xA4"],
        ["\x6B\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],

        ["\xD2\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xB3"],
        ["\x6B\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],

        ["\xD2\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xB1"],
        ["\x6B\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xEA"],

        ["\xD2\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xBF"],
        ["\x6B\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xEE"],

        ["\xD2\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xC7"],
        ["\x6B\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xED"],

        ["\x7E\x38",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB8"],
        ["\x8A\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x38"],

        ["\xD2\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xAC"],
        ["\x69\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],

        ["\xD2\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xB9"],
        ["\x8A\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],

        ["\x7E\x39",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xD0"],
        ["\x6B\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x39"],

        ["\xD2\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xDF"],
        ["\x6B\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xFD"],

        ["\x7E\x3A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xE3"],
        ["\x6B\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x3A"],

        ["\x7E\x3B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xBA"],
        ["\x8A\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x3B"],

        ["\xCD\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xE6"],
        ["\x6B\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xD8"],

        ["\x7E\x3C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xBB"],
        ["\x8A\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x3C"],

        ["\x7E\x3D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xBC"],
        ["\x8A\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x3D"],

        ["\xD3\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xEC"],
        ["\x6B\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xA6"],

        ["\xD3\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xBD"],
        ["\x8A\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xA7"],

        ["\xD3\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xBE"],
        ["\x8A\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xAA"],

        ["\x7E\x3E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xBF"],
        ["\x8A\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x3E"],

        ["\x7E\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC0"],
        ["\x8A\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x3F"],

        ["\x7E\x40",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xEF"],
        ["\x6B\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x40"],

        ["\x7E\x41",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xF0"],
        ["\x6B\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x41"],

        ["\xD3\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC3"],
        ["\x68\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],

        ["\xB6\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xCB"],
        ["\x68\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xF4"],

        ["\x7E\x42",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD5"],
        ["\x68\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x42"],

        ["\xD3\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD6"],
        ["\x68\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],

        ["\x7E\x43",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC1"],
        ["\x8A\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x43"],

        ["\xD5\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xFC"],
        ["\x6B\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xCD"],

        ["\x7E\x44",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xFD"],
        ["\x6B\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x44"],

        ["\xD3\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC2"],
        ["\x8A\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xCD"],

        ["\x7E\x45",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC3"],
        ["\x8A\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x45"],

        ["\xD3\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC4"],
        ["\x8A\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],

        ["\xCE\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC5"],
        ["\x8A\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],

        ["\x7E\x46",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC6"],
        ["\x8A\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x46"],

        ["\xD3\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC1"],
        ["\x6C\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],

        ["\x7E\x47",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC7"],
        ["\x8A\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x47"],

        ["\x7E\x48",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC3"],
        ["\x6C\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x48"],

        ["\xD5\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC8"],
        ["\x8A\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],

        ["\xD3\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC8"],
        ["\x6C\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],

        ["\x7E\x49",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xC9"],
        ["\x8A\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x49"],

        ["\xD3\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xCD"],
        ["\x6C\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xEB"],

        ["\x7E\x4A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xCE"],
        ["\x6C\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x4A"],

        ["\x7E\x4B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xCA"],
        ["\x8A\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x4B"],

        ["\x7E\x4C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xCB"],
        ["\x8A\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x4C"],

        ["\xD3\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE0"],
        ["\x6C\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],

        ["\xD3\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xCC"],
        ["\x8A\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],

        ["\xD3\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE9"],
        ["\x6C\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],

        ["\x7E\x4D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xCD"],
        ["\x8A\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x4D"],

        ["\x7E\x4E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xCE"],
        ["\x8A\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x4E"],

        ["\xD3\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xCF"],
        ["\x8A\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xFC"],

        ["\xD3\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF1"],
        ["\x6C\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xFD"],

        ["\x7E\x4F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD0"],
        ["\x8A\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x4F"],

        ["\xD4\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD1"],
        ["\x8A\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xA2"],

        ["\x45\x3F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBF"],
        ["\xC5\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x45\x3F"],

        ["\x7E\x50",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF5"],
        ["\x6C\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x50"],

        ["\xD4\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xFA"],
        ["\x6C\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xA6"],

        ["\xD4\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xA6"],
        ["\x6D\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],

        ["\xD4\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD2"],
        ["\x8A\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xAD"],

        ["\x7E\x51",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD3"],
        ["\x8A\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x51"],

        ["\x7E\x52",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC7"],
        ["\x6D\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x52"],

        ["\xD4\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xEB"],
        ["\x6D\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xCD"],

        ["\xD4\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xEC"],
        ["\x6D\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xCC"],

        ["\x7E\x53",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF2"],
        ["\x6D\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x53"],

        ["\x7E\x54",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD4"],
        ["\x8A\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x54"],

        ["\xD4\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF3"],
        ["\x6D\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],

        ["\xD4\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD5"],
        ["\x8A\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],

        ["\xD4\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF5"],
        ["\x6D\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],

        ["\x7E\x55",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD6"],
        ["\x8A\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x55"],

        ["\x7E\x56",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xFC"],
        ["\x6D\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x56"],

        ["\x7E\x57",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xFD"],
        ["\x6D\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x57"],

        ["\x7E\x58",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD7"],
        ["\x8A\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x58"],

        ["\x7E\x59",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD8"],
        ["\x8A\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x59"],

        ["\x7E\x5A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xD9"],
        ["\x8A\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x5A"],

        ["\x7E\x5B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xAD"],
        ["\x6E\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x5B"],

        ["\xD4\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xAE"],
        ["\x6E\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],

        ["\xD4\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xB0"],
        ["\x6E\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],

        ["\x7E\x5C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDA"],
        ["\x8A\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x5C"],

        ["\x7E\x5D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDB"],
        ["\x8A\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x5D"],

        ["\x7E\x5E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDC"],
        ["\x8A\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x5E"],

        ["\xD4\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDD"],
        ["\x8A\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xEB"],

        ["\xD4\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDE"],
        ["\x8A\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],

        ["\xD4\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xCE"],
        ["\x6E\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],

        ["\xD4\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD4"],
        ["\x6E\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],

        ["\x7E\x5F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD6"],
        ["\x6E\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x5F"],

        ["\xD4\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xDA"],
        ["\x6E\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xFA"],

        ["\x7E\x60",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDF"],
        ["\x8A\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x60"],

        ["\x7E\x61",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE0"],
        ["\x8A\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x61"],

        ["\xD5\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE1"],
        ["\x8A\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xA5"],

        ["\xD5\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE0"],
        ["\x6E\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xAA"],

        ["\x7E\x62",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE2"],
        ["\x8A\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x62"],

        ["\x7E\x63",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE3"],
        ["\x8A\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x63"],

        ["\xD5\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE7"],
        ["\x6E\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xB3"],

        ["\x7E\x64",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE4"],
        ["\x8A\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x64"],

        ["\x7E\x65",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE5"],
        ["\x8A\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x65"],

        ["\x7E\x66",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE6"],
        ["\x8A\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x66"],

        ["\xD5\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE7"],
        ["\x8A\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xB9"],

        ["\xD5\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xEA"],
        ["\x6E\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xBB"],

        ["\x7E\x67",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE8"],
        ["\x8A\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x67"],

        ["\xD5\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xEB"],
        ["\x6E\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xBF"],

        ["\xD5\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xE9"],
        ["\x8A\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],

        ["\xD5\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF9"],
        ["\x6E\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],

        ["\xD5\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xEA"],
        ["\x8A\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xCC"],

        ["\xD5\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xEB"],
        ["\x8A\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xCA"],

        ["\x7E\x68",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xEC"],
        ["\x8A\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x68"],

        ["\x7E\x69",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xFC"],
        ["\x6E\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x69"],

        ["\xD5\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xED"],
        ["\x8A\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],

        ["\x7E\x6A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xEE"],
        ["\x8A\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x6A"],

        ["\xD5\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF1"],
        ["\x6E\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],

        ["\x7E\x6B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xEF"],
        ["\x8A\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x6B"],

        ["\x7E\x6C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF0"],
        ["\x8A\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x6C"],

        ["\x7E\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF1"],
        ["\x8A\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x6D"],

        ["\x7E\x6E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF2"],
        ["\x8A\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x6E"],

        ["\x7E\x6F",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF3"],
        ["\x8A\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x6F"],

        ["\x7E\x70",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF4"],
        ["\x8A\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x70"],

        ["\x7E\x71",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF5"],
        ["\x8A\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x71"],

        ["\x7E\x72",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xAD"],
        ["\x6F\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x72"],

        ["\x7E\x73",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF6"],
        ["\x8A\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x73"],

        ["\x7E\x74",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF7"],
        ["\x8A\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x74"],

        ["\xD5\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xB7"],
        ["\x6F\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],

        ["\xD5\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC0"],
        ["\x6F\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],

        ["\x7E\x75",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF8"],
        ["\x8A\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x75"],

        ["\x39\x6D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xED"],
        ["\xB9\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x39\x6D"],

        ["\x7E\x76",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCD"],
        ["\xCC\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x76"],

        ["\x7E\x77",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xF9"],
        ["\x8A\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x77"],

        ["\xD5\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xFA"],
        ["\x8A\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xEF"],

        ["\xD5\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xFB"],
        ["\x8A\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],

        ["\x7E\x78",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xFC"],
        ["\x8A\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x78"],

        ["\xBA\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xAA"],
        ["\x70\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xB1"],

        ["\xD5\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xA8"],
        ["\x70\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],

        ["\x7E\x79",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xAC"],
        ["\x70\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x79"],

        ["\xB6\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xFD"],
        ["\x8A\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xC0"],

        ["\x7E\x7A",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xFE"],
        ["\x8A\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x7A"],

        ["\x7E\x7B",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA1"],
        ["\x8B\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x7B"],

        ["\x7E\x7C",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA2"],
        ["\x8B\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x7C"],

        ["\x7E\x7D",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA3"],
        ["\x8B\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x7D"],

        ["\x7E\x7E",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA4"],
        ["\x8B\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\x7E\x7E"],

        ["\xE0\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA5"],
        ["\x8B\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xA1"],

        ["\xB2\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xA1"],
        ["\x41\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xA1"],

        ["\xE0\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA6"],
        ["\x8B\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xA2"],

        ["\xE0\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA7"],
        ["\x8B\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xA3"],

        ["\xE0\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA8"],
        ["\x8B\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xA4"],

        ["\xB2\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA9"],
        ["\x8B\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],

        ["\xB2\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xAF"],
        ["\x41\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],

        ["\xE0\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xAA"],
        ["\x8B\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xA5"],

        ["\xE0\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xB7"],
        ["\x41\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xA6"],

        ["\xE0\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xAB"],
        ["\x8B\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xA7"],

        ["\xE0\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xAC"],
        ["\x8B\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xA8"],

        ["\xE0\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xB9"],
        ["\x41\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xA9"],

        ["\xE0\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xAD"],
        ["\x8B\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xAA"],

        ["\xE0\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xAE"],
        ["\x8B\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xAB"],

        ["\xE0\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xAF"],
        ["\x8B\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],

        ["\xE0\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB0"],
        ["\x8B\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xAD"],

        ["\xE0\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xD1"],
        ["\x41\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xAE"],

        ["\xE0\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB1"],
        ["\x8B\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xAF"],

        ["\xE0\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB2"],
        ["\x8B\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB0"],

        ["\xB2\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB3"],
        ["\x8B\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],

        ["\xE0\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB4"],
        ["\x8B\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB1"],

        ["\xE0\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB5"],
        ["\x8B\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB2"],

        ["\xE0\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB6"],
        ["\x8B\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB3"],

        ["\xE0\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xE5"],
        ["\x41\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB4"],

        ["\xE0\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB7"],
        ["\x8B\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB5"],

        ["\xB2\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB8"],
        ["\x8B\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],

        ["\xE0\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB9"],
        ["\x8B\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB6"],

        ["\xE0\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xBA"],
        ["\x8B\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB7"],

        ["\xB2\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xEA"],
        ["\x41\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],

        ["\xB2\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xBB"],
        ["\x8B\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xD2"],

        ["\xE0\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xBC"],
        ["\x8B\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB8"],

        ["\xE0\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xBD"],
        ["\x8B\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xB9"],

        ["\xE0\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xBE"],
        ["\x8B\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xBA"],

        ["\xB2\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xFD"],
        ["\x41\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xD5"],

        ["\xB2\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xA7"],
        ["\x42\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xD4"],

        ["\xE0\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xE2"],
        ["\x41\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xBB"],

        ["\xE0\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xBF"],
        ["\x8B\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xBC"],

        ["\xE0\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC0"],
        ["\x8B\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xBD"],

        ["\xB2\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xAD"],
        ["\x42\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xE9"],

        ["\xE0\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC1"],
        ["\x8B\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xBE"],

        ["\xE0\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC2"],
        ["\x8B\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xBF"],

        ["\xE0\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC3"],
        ["\x8B\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC0"],

        ["\xE0\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC4"],
        ["\x8B\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],

        ["\xE0\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC5"],
        ["\x8B\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],

        ["\xB2\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xBE"],
        ["\x42\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xF9"],

        ["\xB2\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xC3"],
        ["\x42\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xF4"],

        ["\xB2\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xC6"],
        ["\x42\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],

        ["\xB2\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xC8"],
        ["\x42\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xF2"],

        ["\xB2\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xCB"],
        ["\x42\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xF1"],

        ["\xE0\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC6"],
        ["\x8B\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],

        ["\xE0\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC7"],
        ["\x8B\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],

        ["\xB3\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xFE"],
        ["\x42\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],

        ["\xB3\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xD2"],
        ["\x42\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],

        ["\xE0\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xD8"],
        ["\x42\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],

        ["\xB3\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xD9"],
        ["\x42\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],

        ["\xB3\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xDD"],
        ["\x42\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],

        ["\xE0\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC8"],
        ["\x8B\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],

        ["\xE0\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xEA"],
        ["\x42\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],

        ["\xE0\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC9"],
        ["\x8B\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],

        ["\xB3\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xEC"],
        ["\x42\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],

        ["\xB3\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xF0"],
        ["\x42\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],

        ["\xB3\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xF2"],
        ["\x42\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],

        ["\xB3\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xF4"],
        ["\x42\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],

        ["\xE0\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xCA"],
        ["\x8B\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],

        ["\xE0\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xCB"],
        ["\x8B\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xCA"],

        ["\xE0\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xCC"],
        ["\x8B\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xCB"],

        ["\xE0\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xFB"],
        ["\x42\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xCC"],

        ["\xE0\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xCD"],
        ["\x8B\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xCD"],

        ["\xE0\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xFD"],
        ["\x42\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xCE"],

        ["\xE0\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xA2"],
        ["\x43\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xCF"],

        ["\xE0\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xCE"],
        ["\x8B\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD0"],

        ["\xE0\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xCF"],
        ["\x8B\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],

        ["\xE0\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD0"],
        ["\x8B\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],

        ["\xE0\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD1"],
        ["\x8B\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],

        ["\xE0\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD2"],
        ["\x8B\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],

        ["\xB3\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD3"],
        ["\x8B\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],

        ["\xE0\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xAC"],
        ["\x43\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],

        ["\xE0\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD4"],
        ["\x8B\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],

        ["\xE0\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD5"],
        ["\x8B\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],

        ["\xE0\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xAF"],
        ["\x43\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],

        ["\xE0\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD6"],
        ["\x8B\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],

        ["\xE0\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB1"],
        ["\x43\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xDA"],

        ["\xE0\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD7"],
        ["\x8B\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xDB"],

        ["\xE0\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD8"],
        ["\x8B\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xDC"],

        ["\xB3\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB8"],
        ["\x43\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xD1"],

        ["\xE0\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD9"],
        ["\x8B\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xDD"],

        ["\xE0\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xA9"],
        ["\x4A\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xDE"],

        ["\xE0\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xDA"],
        ["\x8B\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xDF"],

        ["\xE0\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xDB"],
        ["\x8B\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],

        ["\xE0\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xDC"],
        ["\x8B\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE1"],

        ["\xE0\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xDD"],
        ["\x8B\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],

        ["\xE0\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xBE"],
        ["\x4A\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],

        ["\xE0\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xDE"],
        ["\x8B\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],

        ["\xE0\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xDF"],
        ["\x8B\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],

        ["\xE0\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE0"],
        ["\x8B\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],

        ["\xE0\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE1"],
        ["\x8B\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],

        ["\xE0\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE2"],
        ["\x8B\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],

        ["\xE0\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE3"],
        ["\x8B\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],

        ["\xB8\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE4"],
        ["\x8B\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xE5"],

        ["\xE0\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE5"],
        ["\x8B\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xEA"],

        ["\xE0\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE6"],
        ["\x8B\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xEB"],

        ["\xE0\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE7"],
        ["\x8B\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xEC"],

        ["\xE0\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xDF"],
        ["\x4A\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xED"],

        ["\xE0\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE1"],
        ["\x4A\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],

        ["\xE0\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE2"],
        ["\x4A\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],

        ["\xE0\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE8"],
        ["\x8B\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],

        ["\xB8\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE9"],
        ["\x8B\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],

        ["\xE0\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xEA"],
        ["\x8B\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],

        ["\xE0\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xEB"],
        ["\x8B\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],

        ["\xE0\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xB9"],
        ["\x4B\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],

        ["\xE0\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xEC"],
        ["\x8B\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],

        ["\xE0\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xED"],
        ["\x8B\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],

        ["\xE0\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xEE"],
        ["\x8B\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],

        ["\xE0\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xEF"],
        ["\x8B\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],

        ["\xE0\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF0"],
        ["\x8B\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],

        ["\xE0\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF1"],
        ["\x8B\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],

        ["\xE0\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF2"],
        ["\x8B\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],

        ["\xE0\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF3"],
        ["\x8B\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],

        ["\xE0\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xEE"],
        ["\x4A\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],

        ["\xE0\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF4"],
        ["\x8B\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xFD"],

        ["\xE0\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF5"],
        ["\x8B\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE0\xFE"],

        ["\xE1\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xBE"],
        ["\x4B\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xA1"],

        ["\xB8\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xBF"],
        ["\x4B\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xF5"],

        ["\xE1\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF6"],
        ["\x8B\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xA2"],

        ["\xB9\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF5"],
        ["\x4A\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],

        ["\xE1\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF7"],
        ["\x8B\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xA3"],

        ["\xE1\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF8"],
        ["\x8B\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xA4"],

        ["\xB9\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xC8"],
        ["\x4B\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],

        ["\xE1\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF9"],
        ["\x8B\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xA5"],

        ["\xB9\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF8"],
        ["\x4A\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],

        ["\xE1\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xFA"],
        ["\x8B\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xA6"],

        ["\xE1\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xFB"],
        ["\x8B\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xA7"],

        ["\xE1\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xFC"],
        ["\x8B\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xA8"],

        ["\xE1\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xFD"],
        ["\x8B\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xA9"],

        ["\xE1\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xFE"],
        ["\x8B\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xAA"],

        ["\xE1\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xCC"],
        ["\x4B\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xAB"],

        ["\xE1\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA1"],
        ["\x8C\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xAC"],

        ["\xB9\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xA4"],
        ["\x4B\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xC1"],

        ["\xE1\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA2"],
        ["\x8C\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xAD"],

        ["\xE1\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA3"],
        ["\x8C\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xAE"],

        ["\xE1\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA4"],
        ["\x8C\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xAF"],

        ["\xE1\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA5"],
        ["\x8C\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB0"],

        ["\xE1\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA6"],
        ["\x8C\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB1"],

        ["\xB9\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xA8"],
        ["\x4B\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xC6"],

        ["\xE1\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA7"],
        ["\x8C\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB2"],

        ["\xB9\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xD6"],
        ["\x4B\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xD0"],

        ["\xB9\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xAA"],
        ["\x4B\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],

        ["\xE1\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA8"],
        ["\x8C\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB3"],

        ["\xE1\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xD8"],
        ["\x4B\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB4"],

        ["\xE1\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA9"],
        ["\x8C\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB5"],

        ["\xE1\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xAA"],
        ["\x8C\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB6"],

        ["\xE1\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xAB"],
        ["\x8C\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB7"],

        ["\xE1\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xAC"],
        ["\x8C\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8"],

        ["\xE1\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xAD"],
        ["\x8C\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xB9"],

        ["\xE1\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xAE"],
        ["\x8C\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xBA"],

        ["\xE1\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xAF"],
        ["\x8C\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xBB"],

        ["\xB9\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB0"],
        ["\x8C\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],

        ["\xE1\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB1"],
        ["\x8C\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xBC"],

        ["\xE1\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB2"],
        ["\x8C\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD"],

        ["\xE1\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB3"],
        ["\x8C\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xBE"],

        ["\xE1\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB4"],
        ["\x8C\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xBF"],

        ["\xB9\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xF7"],
        ["\x4B\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xE3"],

        ["\xE1\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB5"],
        ["\x8C\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC0"],

        ["\xB9\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xF9"],
        ["\x4B\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xE9"],

        ["\xB9\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xA3"],
        ["\x4C\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xE7"],

        ["\xE1\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB6"],
        ["\x8C\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC1"],

        ["\xE1\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB7"],
        ["\x8C\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC2"],

        ["\xB9\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4B\xFC"],
        ["\x4B\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],

        ["\xE1\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xA7"],
        ["\x4C\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC3"],

        ["\xE1\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB8"],
        ["\x8C\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC4"],

        ["\xE1\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB9"],
        ["\x8C\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC5"],

        ["\xE1\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xBA"],
        ["\x8C\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC6"],

        ["\xE1\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xBB"],
        ["\x8C\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC7"],

        ["\xE1\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xBC"],
        ["\x8C\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC8"],

        ["\xE1\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xAB"],
        ["\x4C\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xC9"],

        ["\xE1\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xBD"],
        ["\x8C\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xCA"],

        ["\xE1\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xBE"],
        ["\x8C\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xCB"],

        ["\xE1\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xBF"],
        ["\x8C\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xCC"],

        ["\xE1\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xC1"],
        ["\x43\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xCD"],

        ["\xE1\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC0"],
        ["\x8C\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xCE"],

        ["\xE1\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC1"],
        ["\x8C\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xCF"],

        ["\xE1\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC2"],
        ["\x8C\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD0"],

        ["\xE1\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC3"],
        ["\x8C\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD1"],

        ["\xE1\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC4"],
        ["\x8C\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD2"],

        ["\xE1\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC5"],
        ["\x8C\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD3"],

        ["\xE1\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xEC"],
        ["\x43\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD4"],

        ["\xE1\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC6"],
        ["\x8C\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD5"],

        ["\xE1\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC7"],
        ["\x8C\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD6"],

        ["\xB5\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xF1"],
        ["\x43\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],

        ["\xE1\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC8"],
        ["\x8C\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD7"],

        ["\xE1\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xC9"],
        ["\x8C\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD8"],

        ["\xB4\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xF6"],
        ["\x43\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xA1"],

        ["\xE1\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xCA"],
        ["\x8C\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xD9"],

        ["\xE1\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xCB"],
        ["\x8C\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xDA"],

        ["\xE1\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xCC"],
        ["\x8C\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xDB"],

        ["\xB4\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xAB"],
        ["\x44\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],

        ["\xB4\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xB2"],
        ["\x44\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],

        ["\xE1\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xCD"],
        ["\x8C\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xDC"],

        ["\xB4\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xCE"],
        ["\x8C\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],

        ["\xE1\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xCF"],
        ["\x8C\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xDD"],

        ["\xE1\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD0"],
        ["\x8C\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xDE"],

        ["\xE1\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD1"],
        ["\x8C\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xDF"],

        ["\xE1\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD2"],
        ["\x8C\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE0"],

        ["\xE1\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xC8"],
        ["\x44\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE1"],

        ["\xE1\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD3"],
        ["\x8C\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE2"],

        ["\xE1\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xCB"],
        ["\x44\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE3"],

        ["\xE1\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD4"],
        ["\x8C\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE4"],

        ["\xE1\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD5"],
        ["\x8C\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE5"],

        ["\xE1\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD6"],
        ["\x8C\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE6"],

        ["\xE1\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xD8"],
        ["\x44\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE7"],

        ["\xE1\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xE1"],
        ["\x44\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE8"],

        ["\xE1\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xE2"],
        ["\x44\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xE9"],

        ["\xE1\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD7"],
        ["\x8C\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xEA"],

        ["\xE1\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD8"],
        ["\x8C\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xEB"],

        ["\xB4\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xEA"],
        ["\x44\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xD1"],

        ["\xE1\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xD9"],
        ["\x8C\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xEC"],

        ["\xE1\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xDA"],
        ["\x8C\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xED"],

        ["\xB4\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xA6"],
        ["\x45\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],

        ["\xC9\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE5"],
        ["\x5F\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xDC"],

        ["\xE1\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xDB"],
        ["\x8C\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xEE"],

        ["\xE1\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xDC"],
        ["\x8C\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xEF"],

        ["\xB4\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xC2"],
        ["\x45\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xF3"],

        ["\xE1\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xDD"],
        ["\x8C\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF0"],

        ["\xE1\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xDE"],
        ["\x8C\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF1"],

        ["\xE1\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xDF"],
        ["\x8C\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF2"],

        ["\xB5\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xD0"],
        ["\x45\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],

        ["\xE1\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE0"],
        ["\x8C\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF3"],

        ["\xE1\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE1"],
        ["\x8C\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF4"],

        ["\xE1\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE2"],
        ["\x8C\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF5"],

        ["\xE1\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE3"],
        ["\x8C\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF6"],

        ["\xE1\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE4"],
        ["\x8C\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF7"],

        ["\xE1\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE5"],
        ["\x8C\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF8"],

        ["\xE1\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE6"],
        ["\x8C\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xF9"],

        ["\xE1\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE7"],
        ["\x8C\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xFA"],

        ["\xE1\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE8"],
        ["\x8C\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xFB"],

        ["\xB5\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xE9"],
        ["\x8C\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],

        ["\xB5\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xF1"],
        ["\x45\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],

        ["\xE1\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xEA"],
        ["\x8C\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xFC"],

        ["\xE1\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xEB"],
        ["\x8C\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xFD"],

        ["\xE1\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xEC"],
        ["\x8C\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE1\xFE"],

        ["\xE2\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xED"],
        ["\x8C\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],

        ["\xE2\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xEE"],
        ["\x8C\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xA2"],

        ["\xE2\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xAD"],
        ["\x46\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xA3"],

        ["\xE2\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xEF"],
        ["\x8C\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4"],

        ["\xE2\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xB1"],
        ["\x46\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xA5"],

        ["\xE2\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xB4"],
        ["\x46\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6"],

        ["\xB5\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xB7"],
        ["\x46\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],

        ["\xE2\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF0"],
        ["\x8C\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7"],

        ["\xE2\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF1"],
        ["\x8C\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xA8"],

        ["\xE2\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF2"],
        ["\x8C\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xA9"],

        ["\xE2\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF3"],
        ["\x8C\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xAA"],

        ["\xE2\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xC7"],
        ["\x46\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],

        ["\xE2\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xCA"],
        ["\x46\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xAC"],

        ["\xE2\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF4"],
        ["\x8C\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xAD"],

        ["\xE2\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xCD"],
        ["\x46\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xAE"],

        ["\xE2\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xCF"],
        ["\x46\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xAF"],

        ["\xB5\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF5"],
        ["\x8C\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xD8"],

        ["\xE2\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF6"],
        ["\x8C\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],

        ["\xE2\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF7"],
        ["\x8C\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB1"],

        ["\xE2\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xD5"],
        ["\x46\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB2"],

        ["\xE2\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF8"],
        ["\x8C\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB3"],

        ["\xE2\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xF9"],
        ["\x8C\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB4"],

        ["\xE2\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xFA"],
        ["\x8C\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB5"],

        ["\xE2\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xD6"],
        ["\x46\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB6"],

        ["\xB5\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xD7"],
        ["\x46\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xE1"],

        ["\xB5\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xD9"],
        ["\x46\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],

        ["\xE2\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xE0"],
        ["\x46\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB7"],

        ["\xE2\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xFB"],
        ["\x8C\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB8"],

        ["\xE2\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xFC"],
        ["\x8C\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xB9"],

        ["\xB5\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xA5"],
        ["\x46\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xE8"],

        ["\xB5\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xE2"],
        ["\x46\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],

        ["\xE2\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xFD"],
        ["\x8C\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xBA"],

        ["\xB5\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xFE"],
        ["\x8C\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xE9"],

        ["\xB5\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xE4"],
        ["\x46\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],

        ["\xE2\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA1"],
        ["\x8D\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xBB"],

        ["\xE2\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA2"],
        ["\x8D\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xBC"],

        ["\xE2\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA3"],
        ["\x8D\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xBD"],

        ["\xE2\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA4"],
        ["\x8D\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xBE"],

        ["\xE2\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xE6"],
        ["\x46\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xBF"],

        ["\xB5\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xE8"],
        ["\x46\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xF2"],

        ["\xE2\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA5"],
        ["\x8D\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],

        ["\xE2\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xF1"],
        ["\x46\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],

        ["\xE2\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA6"],
        ["\x8D\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],

        ["\xE2\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA7"],
        ["\x8D\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],

        ["\xE2\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA8"],
        ["\x8D\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],

        ["\xE2\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA9"],
        ["\x8D\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],

        ["\xE2\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xAA"],
        ["\x8D\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],

        ["\xE2\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xF0"],
        ["\x46\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],

        ["\xE2\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xAB"],
        ["\x8D\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],

        ["\xE2\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xAC"],
        ["\x8D\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],

        ["\xE2\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xAD"],
        ["\x8D\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xCA"],

        ["\xE2\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xAE"],
        ["\x8D\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xCB"],

        ["\xB5\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xF4"],
        ["\x46\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],

        ["\xE2\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xAF"],
        ["\x8D\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xCC"],

        ["\xE2\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB0"],
        ["\x8D\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xCD"],

        ["\xE2\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB1"],
        ["\x8D\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xCE"],

        ["\xB6\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xFB"],
        ["\x46\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],

        ["\xE2\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB2"],
        ["\x8D\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xCF"],

        ["\xE2\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB3"],
        ["\x8D\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],

        ["\xE2\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB4"],
        ["\x8D\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],

        ["\xB6\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB5"],
        ["\x8D\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],

        ["\xB6\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xA3"],
        ["\x47\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],

        ["\xE2\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB6"],
        ["\x8D\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],

        ["\xE2\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB7"],
        ["\x8D\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],

        ["\xE2\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB8"],
        ["\x8D\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],

        ["\xE2\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xAB"],
        ["\x47\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],

        ["\xE2\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xAC"],
        ["\x47\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],

        ["\xE2\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB9"],
        ["\x8D\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],

        ["\xE2\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBA"],
        ["\x8D\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],

        ["\xE2\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBB"],
        ["\x8D\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],

        ["\xE2\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBC"],
        ["\x8D\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xDA"],

        ["\xE2\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xF5"],
        ["\x45\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xDB"],

        ["\xE2\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xB1"],
        ["\x47\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xDC"],

        ["\xE2\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBD"],
        ["\x8D\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xDD"],

        ["\xB6\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xA8"],
        ["\x46\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],

        ["\xE2\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBE"],
        ["\x8D\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xDE"],

        ["\xE2\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBF"],
        ["\x8D\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xDF"],

        ["\xB6\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC0"],
        ["\x8D\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xC1"],

        ["\xE2\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC1"],
        ["\x8D\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],

        ["\xE2\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC2"],
        ["\x8D\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],

        ["\xE2\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC3"],
        ["\x8D\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],

        ["\xE2\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xC1"],
        ["\x47\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],

        ["\xE2\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC4"],
        ["\x8D\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],

        ["\xE2\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC5"],
        ["\x8D\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],

        ["\xE2\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xD2"],
        ["\x47\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],

        ["\xE2\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC6"],
        ["\x8D\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],

        ["\xE2\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC7"],
        ["\x8D\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],

        ["\xE2\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC8"],
        ["\x8D\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],

        ["\xE2\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xC9"],
        ["\x8D\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],

        ["\xE2\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xE4"],
        ["\x47\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],

        ["\xB6\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xD3"],
        ["\x47\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xD3"],

        ["\xE2\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xCA"],
        ["\x8D\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],

        ["\xE2\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xCB"],
        ["\x8D\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],

        ["\xE2\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xCC"],
        ["\x8D\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],

        ["\xE2\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xEB"],
        ["\x47\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],

        ["\xE2\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xCD"],
        ["\x8D\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],

        ["\xE2\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xCF"],
        ["\x47\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],

        ["\xE2\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xCE"],
        ["\x8D\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],

        ["\xB6\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xED"],
        ["\x47\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xD9"],

        ["\xE2\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xCF"],
        ["\x8D\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],

        ["\xE2\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD0"],
        ["\x8D\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],

        ["\xB6\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xCD"],
        ["\x47\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xE0"],

        ["\xE2\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD1"],
        ["\x8D\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],

        ["\xE2\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD2"],
        ["\x8D\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],

        ["\xE2\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xF5"],
        ["\x47\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],

        ["\xE2\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD3"],
        ["\x8D\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],

        ["\xE2\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD4"],
        ["\x8D\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],

        ["\xE2\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xF8"],
        ["\x47\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xFA"],

        ["\xE2\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD5"],
        ["\x8D\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],

        ["\xE2\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD6"],
        ["\x8D\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],

        ["\xB6\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xFC"],
        ["\x47\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],

        ["\xE2\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xFE"],
        ["\x47\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xFD"],

        ["\xE2\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xA3"],
        ["\x48\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE2\xFE"],

        ["\xE3\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD7"],
        ["\x8D\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],

        ["\xB6\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD8"],
        ["\x8D\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xE9"],

        ["\xE3\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xD9"],
        ["\x8D\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xA2"],

        ["\xE3\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xDA"],
        ["\x8D\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3"],

        ["\xE3\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xDB"],
        ["\x8D\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4"],

        ["\xB6\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xA7"],
        ["\x48\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xF3"],

        ["\xB6\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xA9"],
        ["\x48\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xF2"],

        ["\xE3\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xDC"],
        ["\x8D\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5"],

        ["\xE3\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xDD"],
        ["\x8D\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xA6"],

        ["\xB6\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xDE"],
        ["\x8D\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xF8"],

        ["\xE3\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xDF"],
        ["\x8D\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xA7"],

        ["\xE3\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE0"],
        ["\x8D\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xA8"],

        ["\xE3\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE1"],
        ["\x8D\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9"],

        ["\xE3\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xAF"],
        ["\x48\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xAA"],

        ["\xE3\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xD9"],
        ["\x47\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],

        ["\xE3\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE2"],
        ["\x8D\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC"],

        ["\xE3\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE3"],
        ["\x8D\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD"],

        ["\xB7\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x47\xDA"],
        ["\x47\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],

        ["\xB6\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE4"],
        ["\x8D\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],

        ["\xE3\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xB8"],
        ["\x48\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE"],

        ["\xE3\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xBA"],
        ["\x48\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF"],

        ["\xE3\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE5"],
        ["\x8D\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],

        ["\xB7\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE6"],
        ["\x8D\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],

        ["\xE3\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE7"],
        ["\x8D\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB1"],

        ["\xE3\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE8"],
        ["\x8D\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB2"],

        ["\xE3\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xE9"],
        ["\x8D\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3"],

        ["\xE3\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xC4"],
        ["\x48\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4"],

        ["\xE3\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xEA"],
        ["\x8D\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5"],

        ["\xE3\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xEB"],
        ["\x8D\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6"],

        ["\xE3\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xEC"],
        ["\x8D\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7"],

        ["\xB7\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xCF"],
        ["\x48\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],

        ["\xE3\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xED"],
        ["\x8D\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8"],

        ["\xE3\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xEE"],
        ["\x8D\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9"],

        ["\xB7\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xEF"],
        ["\x8D\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xC4"],

        ["\xE3\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF0"],
        ["\x8D\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA"],

        ["\xE3\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF1"],
        ["\x8D\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xBB"],

        ["\xE3\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF2"],
        ["\x8D\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xBC"],

        ["\xE3\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF3"],
        ["\x8D\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD"],

        ["\xE3\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF4"],
        ["\x8D\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE"],

        ["\xE3\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF5"],
        ["\x8D\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF"],

        ["\xE3\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF6"],
        ["\x8D\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],

        ["\xE3\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xE7"],
        ["\x48\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],

        ["\xE3\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF7"],
        ["\x8D\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],

        ["\xB7\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xF9"],
        ["\x48\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xD8"],

        ["\xE3\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xFA"],
        ["\x48\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],

        ["\xE3\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF8"],
        ["\x8D\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],

        ["\xB7\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xF0"],
        ["\x48\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],

        ["\xE3\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xF9"],
        ["\x8D\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],

        ["\xE3\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xFA"],
        ["\x8D\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],

        ["\xB7\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xAA"],
        ["\x49\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xE6"],

        ["\xE3\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xFB"],
        ["\x8D\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],

        ["\xB7\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xAF"],
        ["\x49\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],

        ["\xE3\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xFC"],
        ["\x8D\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],

        ["\xB7\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xB1"],
        ["\x49\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xE9"],

        ["\xE3\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xFD"],
        ["\x8D\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],

        ["\xB7\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xFE"],
        ["\x8D\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],

        ["\xE3\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA1"],
        ["\x8E\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xCA"],

        ["\xE3\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA2"],
        ["\x8E\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xCB"],

        ["\xE3\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA3"],
        ["\x8E\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xCC"],

        ["\xE3\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xB6"],
        ["\x49\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xCD"],

        ["\xE3\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xB7"],
        ["\x49\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xCE"],

        ["\xE3\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA4"],
        ["\x8E\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xCF"],

        ["\xE3\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xBD"],
        ["\x49\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],

        ["\xE3\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA5"],
        ["\x8E\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],

        ["\xB7\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD4"],
        ["\x49\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xF3"],

        ["\xB7\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xC5"],
        ["\x49\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xF2"],

        ["\xE3\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA6"],
        ["\x8E\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],

        ["\xE3\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xCC"],
        ["\x49\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],

        ["\xB7\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD0"],
        ["\x49\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],

        ["\xB7\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD2"],
        ["\x49\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB7\xF7"],

        ["\xE3\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA7"],
        ["\x8E\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],

        ["\xE3\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA8"],
        ["\x8E\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],

        ["\xE3\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD5"],
        ["\x49\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],

        ["\xE3\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD6"],
        ["\x49\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],

        ["\xE3\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xF7"],
        ["\x48\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],

        ["\xB8\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD7"],
        ["\x49\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],

        ["\xE3\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xD8"],
        ["\x49\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],

        ["\xE3\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA9"],
        ["\x8E\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xDA"],

        ["\xE3\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xDB"],
        ["\x49\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xDB"],

        ["\xE3\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xF8"],
        ["\x48\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xDC"],

        ["\xE3\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xDD"],
        ["\x49\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xDD"],

        ["\xE3\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xAA"],
        ["\x8E\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xDE"],

        ["\xE3\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xE0"],
        ["\x49\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xDF"],

        ["\xB8\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xAB"],
        ["\x8E\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],

        ["\xE3\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xE2"],
        ["\x49\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],

        ["\xB8\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xE5"],
        ["\x49\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],

        ["\xE3\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xAC"],
        ["\x8E\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],

        ["\xB8\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xAD"],
        ["\x8E\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],

        ["\xE3\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xE8"],
        ["\x49\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],

        ["\xB8\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x48\xF6"],
        ["\x48\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],

        ["\xE3\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xAE"],
        ["\x8E\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],

        ["\xE3\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xAF"],
        ["\x8E\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],

        ["\xE3\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xF5"],
        ["\x49\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],

        ["\xE3\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB0"],
        ["\x8E\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],

        ["\xB8\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x49\xF7"],
        ["\x49\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],

        ["\xB8\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xA1"],
        ["\x4A\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],

        ["\xE3\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xA2"],
        ["\x4A\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],

        ["\xE3\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB1"],
        ["\x8E\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],

        ["\xE3\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB2"],
        ["\x8E\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],

        ["\xE3\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB3"],
        ["\x8E\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xEA"],

        ["\xE3\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC0"],
        ["\x4C\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xEB"],

        ["\xE3\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB4"],
        ["\x8E\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],

        ["\xE3\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB5"],
        ["\x8E\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],

        ["\xE3\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB6"],
        ["\x8E\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xEE"],

        ["\xE3\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB7"],
        ["\x8E\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xEF"],

        ["\xE3\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB8"],
        ["\x8E\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],

        ["\xE3\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xCB"],
        ["\x4C\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],

        ["\xE3\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB9"],
        ["\x8E\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],

        ["\xE3\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xBA"],
        ["\x8E\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],

        ["\xE3\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xBB"],
        ["\x8E\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],

        ["\xBA\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xDD"],
        ["\x4C\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xB9"],

        ["\xB2\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xBC"],
        ["\x8E\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],

        ["\xBA\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE7"],
        ["\x4C\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xBE"],

        ["\xE3\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xBD"],
        ["\x8E\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],

        ["\xE3\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xBE"],
        ["\x8E\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],

        ["\xE3\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xBF"],
        ["\x8E\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],

        ["\xE3\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xA4"],
        ["\x4D\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],

        ["\xE3\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC0"],
        ["\x8E\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],

        ["\xE3\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xAE"],
        ["\x4D\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],

        ["\xE3\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC1"],
        ["\x8E\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xFB"],

        ["\xE3\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xB7"],
        ["\x4D\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xFC"],

        ["\xE3\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC2"],
        ["\x8E\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xFD"],

        ["\xE3\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC3"],
        ["\x8E\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE3\xFE"],

        ["\xBA\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xC3"],
        ["\x4D\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xEE"],

        ["\xE4\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC4"],
        ["\x8E\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],

        ["\xE4\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xEB"],
        ["\x4D\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2"],

        ["\xE4\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC5"],
        ["\x8E\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xA3"],

        ["\xBA\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xC4"],
        ["\x4D\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xF3"],

        ["\xE4\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xED"],
        ["\x4D\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xA4"],

        ["\xBA\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xEE"],
        ["\x4D\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xF1"],

        ["\xBA\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xC8"],
        ["\x4D\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xF8"],

        ["\xBA\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xF1"],
        ["\x4D\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xF4"],

        ["\xBA\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xF2"],
        ["\x4D\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xF7"],

        ["\xE4\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xF3"],
        ["\x4D\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xA5"],

        ["\xE4\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC6"],
        ["\x8E\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6"],

        ["\xE4\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC7"],
        ["\x8E\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7"],

        ["\xBB\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xF8"],
        ["\x4D\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xA4"],

        ["\xE4\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC8"],
        ["\x8E\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8"],

        ["\xE4\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xC9"],
        ["\x8E\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xA9"],

        ["\xE4\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xCA"],
        ["\x8E\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA"],

        ["\xE4\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xFE"],
        ["\x4D\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],

        ["\xB4\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xCE"],
        ["\x4D\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xD5"],

        ["\xE4\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xAE"],
        ["\x4E\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC"],

        ["\xE4\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xD3"],
        ["\x4D\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xAD"],

        ["\xE4\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xCB"],
        ["\x8E\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xAE"],

        ["\xBB\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xB4"],
        ["\x4E\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xC2"],

        ["\xBB\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xB5"],
        ["\x4E\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xBE"],

        ["\xE4\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xCC"],
        ["\x8E\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF"],

        ["\xE4\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xCD"],
        ["\x8E\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],

        ["\xE4\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xBE"],
        ["\x4E\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB1"],

        ["\xE4\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xBF"],
        ["\x4E\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB2"],

        ["\xE4\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xCE"],
        ["\x8E\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3"],

        ["\xE4\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xCF"],
        ["\x8E\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4"],

        ["\xE4\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD0"],
        ["\x8E\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5"],

        ["\xBB\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xC6"],
        ["\x4E\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xCB"],

        ["\xBB\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xC7"],
        ["\x4E\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xCC"],

        ["\xE4\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD1"],
        ["\x8E\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB6"],

        ["\xBB\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD2"],
        ["\x8E\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xCD"],

        ["\xE4\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD3"],
        ["\x8E\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB7"],

        ["\xE4\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD4"],
        ["\x8E\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8"],

        ["\xE4\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD5"],
        ["\x8E\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9"],

        ["\xE4\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xD3"],
        ["\x4E\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA"],

        ["\xE4\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xD5"],
        ["\x4E\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB"],

        ["\xBB\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xDD"],
        ["\x4D\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xDF"],

        ["\xE4\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD6"],
        ["\x8E\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC"],

        ["\xE4\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD7"],
        ["\x8E\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD"],

        ["\xBB\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xD9"],
        ["\x4E\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xE9"],

        ["\xBB\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xDF"],
        ["\x4D\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xE7"],

        ["\xE4\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xE2"],
        ["\x4D\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],

        ["\xBB\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4D\xE3"],
        ["\x4D\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xE6"],

        ["\xBB\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xDE"],
        ["\x4E\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xE8"],

        ["\xE4\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD8"],
        ["\x8E\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],

        ["\xBB\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xD9"],
        ["\x8E\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xF0"],

        ["\xE4\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xE6"],
        ["\x4E\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],

        ["\xBB\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDA"],
        ["\x8E\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xF1"],

        ["\xE4\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDB"],
        ["\x8E\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],

        ["\xE4\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDC"],
        ["\x8E\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],

        ["\xE4\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xF3"],
        ["\x4E\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],

        ["\xE4\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDD"],
        ["\x8E\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],

        ["\xBB\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4E\xF6"],
        ["\x4E\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBB\xFD"],

        ["\xE4\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDE"],
        ["\x8E\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],

        ["\xBC\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xA3"],
        ["\x4F\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xA5"],

        ["\xBC\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xA9"],
        ["\x4F\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xA6"],

        ["\xE4\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xAA"],
        ["\x4F\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],

        ["\xE4\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDF"],
        ["\x8E\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],

        ["\xE4\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE0"],
        ["\x8E\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],

        ["\xE4\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE1"],
        ["\x8E\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],

        ["\xE4\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xAE"],
        ["\x4F\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],

        ["\xE4\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xB1"],
        ["\x4F\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],

        ["\xE4\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE2"],
        ["\x8E\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],

        ["\xBC\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xBD"],
        ["\x4F\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xAC"],

        ["\xE4\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE3"],
        ["\x8E\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xCD"],

        ["\xBE\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC1"],
        ["\x4F\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xB7"],

        ["\xE4\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE4"],
        ["\x8E\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xCE"],

        ["\xE4\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC5"],
        ["\x4F\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xCF"],

        ["\xE4\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xA4"],
        ["\x4F\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],

        ["\xE4\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE5"],
        ["\x8E\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],

        ["\xE4\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE6"],
        ["\x8E\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],

        ["\xE4\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE7"],
        ["\x8E\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],

        ["\xBA\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC9"],
        ["\x4F\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xBB"],

        ["\xE4\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE8"],
        ["\x8E\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],

        ["\xE4\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xE9"],
        ["\x8E\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],

        ["\xE4\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xCD"],
        ["\x4F\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],

        ["\xBC\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xCF"],
        ["\x4F\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xB9"],

        ["\xBC\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xEA"],
        ["\x8E\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xBD"],

        ["\xE4\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xEB"],
        ["\x8E\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],

        ["\xE4\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xEC"],
        ["\x8E\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],

        ["\xE4\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xED"],
        ["\x8E\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],

        ["\xE4\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xEE"],
        ["\x8E\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xDA"],

        ["\xE4\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD6"],
        ["\x4F\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xDB"],

        ["\xBC\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xEF"],
        ["\x8E\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xC4"],

        ["\xE4\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF0"],
        ["\x8E\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xDC"],

        ["\xE4\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF1"],
        ["\x8E\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xDD"],

        ["\xE4\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF2"],
        ["\x8E\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xDE"],

        ["\xE4\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF3"],
        ["\x8E\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xDF"],

        ["\xE4\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF4"],
        ["\x8E\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],

        ["\xE4\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF5"],
        ["\x8E\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE1"],

        ["\xE4\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF6"],
        ["\x8E\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],

        ["\xBA\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE7"],
        ["\x4F\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBA\xBC"],

        ["\xE4\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE8"],
        ["\x4F\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],

        ["\xE4\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF7"],
        ["\x8E\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],

        ["\xE4\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF8"],
        ["\x8E\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],

        ["\xE4\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xEB"],
        ["\x4F\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],

        ["\xBC\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xEE"],
        ["\x4F\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xD3"],

        ["\xE4\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xF9"],
        ["\x8E\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],

        ["\xBC\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF3"],
        ["\x4F\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xD5"],

        ["\xE4\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xFA"],
        ["\x8E\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],

        ["\xE4\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xFB"],
        ["\x8E\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],

        ["\xE4\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF8"],
        ["\x4F\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xEA"],

        ["\xE4\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xFC"],
        ["\x8E\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xEB"],

        ["\xE4\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xFD"],
        ["\x8E\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xEC"],

        ["\xBC\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xFB"],
        ["\x4F\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xD8"],

        ["\xE4\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xFE"],
        ["\x8E\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xED"],

        ["\xE4\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA1"],
        ["\x8F\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xEE"],

        ["\xE4\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xFE"],
        ["\x4F\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xEF"],

        ["\xE4\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA2"],
        ["\x8F\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],

        ["\xE4\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xA7"],
        ["\x50\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],

        ["\xE4\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA3"],
        ["\x8F\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],

        ["\xE4\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA4"],
        ["\x8F\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],

        ["\xBC\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xAA"],
        ["\x50\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xE1"],

        ["\xE4\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA5"],
        ["\x8F\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],

        ["\xE4\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA6"],
        ["\x8F\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],

        ["\xE4\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xA8"],
        ["\x4F\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],

        ["\xE4\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA7"],
        ["\x8F\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],

        ["\xBC\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xB0"],
        ["\x50\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xE8"],

        ["\xE4\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA8"],
        ["\x8F\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],

        ["\xE4\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA9"],
        ["\x8F\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],

        ["\xBC\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xB4"],
        ["\x50\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xEA"],

        ["\xE4\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xB5"],
        ["\x50\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xFA"],

        ["\xE4\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xAA"],
        ["\x8F\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xFB"],

        ["\xE4\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xAB"],
        ["\x8F\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xFC"],

        ["\xE4\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xAC"],
        ["\x8F\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xFD"],

        ["\xE4\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xAD"],
        ["\x8F\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE4\xFE"],

        ["\xE5\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xCC"],
        ["\x50\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],

        ["\xE5\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xCE"],
        ["\x50\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2"],

        ["\xE5\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC4"],
        ["\x50\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3"],

        ["\xBC\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xAE"],
        ["\x8F\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xF9"],

        ["\xE5\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xAF"],
        ["\x8F\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4"],

        ["\xE5\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB0"],
        ["\x8F\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5"],

        ["\xE5\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD7"],
        ["\x50\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6"],

        ["\xE5\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB1"],
        ["\x8F\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7"],

        ["\xE5\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB2"],
        ["\x8F\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8"],

        ["\xE5\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB3"],
        ["\x8F\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9"],

        ["\xBD\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB4"],
        ["\x8F\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xAA"],

        ["\xBD\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xEB"],
        ["\x50\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xAC"],

        ["\xE5\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB5"],
        ["\x8F\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA"],

        ["\xE5\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xEE"],
        ["\x50\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],

        ["\xE5\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB6"],
        ["\x8F\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC"],

        ["\xBD\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xFA"],
        ["\x50\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xB3"],

        ["\xBD\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xB0"],
        ["\x51\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xB8"],

        ["\xE5\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB7"],
        ["\x8F\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD"],

        ["\xBD\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xBE"],
        ["\x51\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xB9"],

        ["\xBD\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xBF"],
        ["\x51\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xBB"],

        ["\xBD\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xC8"],
        ["\x51\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xC6"],

        ["\xE5\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xFE"],
        ["\x50\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE"],

        ["\xBD\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xCF"],
        ["\x51\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xCD"],

        ["\xBD\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xA5"],
        ["\x51\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xCE"],

        ["\xE5\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xD3"],
        ["\x51\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF"],

        ["\xE5\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB8"],
        ["\x8F\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],

        ["\xE5\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB9"],
        ["\x8F\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1"],

        ["\xBD\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xD6"],
        ["\x51\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xDD"],

        ["\xE5\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xBA"],
        ["\x8F\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],

        ["\xE5\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xBB"],
        ["\x8F\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3"],

        ["\xE5\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xBC"],
        ["\x8F\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4"],

        ["\xBD\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xDB"],
        ["\x51\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xE9"],

        ["\xBD\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xDC"],
        ["\x51\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xEA"],

        ["\xE5\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xBD"],
        ["\x8F\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5"],

        ["\xE5\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xBE"],
        ["\x8F\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6"],

        ["\xE5\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xBF"],
        ["\x8F\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7"],

        ["\xE5\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC0"],
        ["\x8F\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8"],

        ["\xE5\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC1"],
        ["\x8F\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9"],

        ["\xBD\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xE2"],
        ["\x51\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xF1"],

        ["\xE5\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC2"],
        ["\x8F\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA"],

        ["\xE5\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC3"],
        ["\x8F\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB"],

        ["\xBD\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xEA"],
        ["\x51\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xFE"],

        ["\xBE\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xEC"],
        ["\x51\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xA3"],

        ["\xE5\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC4"],
        ["\x8F\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC"],

        ["\xE5\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC5"],
        ["\x8F\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD"],

        ["\xE5\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xFA"],
        ["\x51\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE"],

        ["\xE5\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC6"],
        ["\x8F\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF"],

        ["\xE5\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC7"],
        ["\x8F\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],

        ["\xBE\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x51\xAD"],
        ["\x51\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xB9"],

        ["\xE5\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC8"],
        ["\x8F\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],

        ["\xE5\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xC9"],
        ["\x8F\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],

        ["\xE5\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xAE"],
        ["\x52\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],

        ["\xE5\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCA"],
        ["\x8F\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],

        ["\xE5\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCB"],
        ["\x8F\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],

        ["\xBE\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xA2"],
        ["\x53\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xC3"],

        ["\xE5\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCC"],
        ["\x8F\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],

        ["\xE5\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCD"],
        ["\x8F\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],

        ["\xBE\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xA4"],
        ["\x53\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xC7"],

        ["\xE5\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCE"],
        ["\x8F\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],

        ["\xE5\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCF"],
        ["\x8F\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],

        ["\xE5\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD0"],
        ["\x8F\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xCA"],

        ["\xE5\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD1"],
        ["\x8F\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xCB"],

        ["\xBE\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD2"],
        ["\x8F\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xD7"],

        ["\xE5\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD3"],
        ["\x8F\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xCC"],

        ["\xE5\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD4"],
        ["\x8F\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xCD"],

        ["\xE5\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD5"],
        ["\x8F\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xCE"],

        ["\xE5\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD6"],
        ["\x8F\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xCF"],

        ["\xE5\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD7"],
        ["\x8F\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],

        ["\xE5\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD8"],
        ["\x8F\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],

        ["\xE5\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xD9"],
        ["\x8F\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],

        ["\xE5\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xDA"],
        ["\x8F\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],

        ["\xE5\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xDB"],
        ["\x8F\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],

        ["\xE5\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xED"],
        ["\x52\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],

        ["\xBE\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xB8"],
        ["\x53\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xDB"],

        ["\xE5\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xDC"],
        ["\x8F\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],

        ["\xE5\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xDD"],
        ["\x8F\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],

        ["\xBE\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xBF"],
        ["\x53\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xE0"],

        ["\xE5\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xDE"],
        ["\x8F\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],

        ["\xE5\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xDF"],
        ["\x8F\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],

        ["\xE5\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE0"],
        ["\x8F\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xDA"],

        ["\xE5\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE1"],
        ["\x8F\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xDB"],

        ["\xE5\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE2"],
        ["\x8F\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xDC"],

        ["\xE5\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE3"],
        ["\x8F\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xDD"],

        ["\xE5\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE4"],
        ["\x8F\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xDE"],

        ["\xE5\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xC4"],
        ["\x53\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xDF"],

        ["\xBE\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xC5"],
        ["\x53\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xED"],

        ["\xE5\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE5"],
        ["\x8F\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],

        ["\xE5\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE6"],
        ["\x8F\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE1"],

        ["\xE5\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE7"],
        ["\x8F\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],

        ["\xB4\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xEF"],
        ["\x52\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB4\xF9"],

        ["\xE5\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE8"],
        ["\x8F\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],

        ["\xE5\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xCA"],
        ["\x53\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],

        ["\xE5\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xE9"],
        ["\x8F\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],

        ["\xE5\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xEA"],
        ["\x8F\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],

        ["\xE5\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xEB"],
        ["\x8F\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],

        ["\xE5\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xEC"],
        ["\x8F\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],

        ["\xE5\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xEA"],
        ["\x52\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],

        ["\xE5\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xED"],
        ["\x8F\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xEA"],

        ["\xE5\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xEE"],
        ["\x8F\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xEB"],

        ["\xBE\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xEF"],
        ["\x8F\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xFB"],

        ["\xE5\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF0"],
        ["\x8F\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xEC"],

        ["\xE5\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF1"],
        ["\x8F\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xED"],

        ["\xE5\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF2"],
        ["\x8F\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xEE"],

        ["\xBF\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xD5"],
        ["\x53\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xA5"],

        ["\xE5\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xD6"],
        ["\x53\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],

        ["\xBF\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xD8"],
        ["\x53\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xA3"],

        ["\xE5\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF3"],
        ["\x8F\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],

        ["\xE5\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF4"],
        ["\x8F\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],

        ["\xE5\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xD9"],
        ["\x53\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],

        ["\xE5\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF5"],
        ["\x8F\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],

        ["\xE5\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF6"],
        ["\x8F\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],

        ["\xE5\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF7"],
        ["\x8F\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],

        ["\xE5\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF8"],
        ["\x8F\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],

        ["\xE5\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xF9"],
        ["\x8F\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],

        ["\xE5\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xFA"],
        ["\x8F\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],

        ["\xBF\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xDB"],
        ["\x53\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xAC"],

        ["\xBF\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xFB"],
        ["\x8F\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xB1"],

        ["\xE5\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xFC"],
        ["\x8F\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],

        ["\xE5\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xFD"],
        ["\x8F\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xFA"],

        ["\xBF\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xDE"],
        ["\x53\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xAA"],

        ["\xE5\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xFE"],
        ["\x8F\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xFB"],

        ["\xE5\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA1"],
        ["\x90\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xFC"],

        ["\xE5\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA2"],
        ["\x90\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xFD"],

        ["\xE5\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA3"],
        ["\x90\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE5\xFE"],

        ["\xE6\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA4"],
        ["\x90\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],

        ["\xE6\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA5"],
        ["\x90\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2"],

        ["\xBF\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA6"],
        ["\x90\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xC5"],

        ["\xE6\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA7"],
        ["\x90\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3"],

        ["\xE6\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA8"],
        ["\x90\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4"],

        ["\xE6\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA9"],
        ["\x90\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5"],

        ["\xE6\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xAA"],
        ["\x90\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],

        ["\xE6\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xAB"],
        ["\x90\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],

        ["\xE6\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xAC"],
        ["\x90\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],

        ["\xE6\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xAD"],
        ["\x90\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],

        ["\xE6\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xEF"],
        ["\x53\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA"],

        ["\xE6\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xAE"],
        ["\x90\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],

        ["\xBF\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xAF"],
        ["\x90\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xCC"],

        ["\xB9\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xFA"],
        ["\x52\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],

        ["\xE6\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB0"],
        ["\x90\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],

        ["\xBF\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xF5"],
        ["\x53\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xCA"],

        ["\xE6\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB1"],
        ["\x90\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD"],

        ["\xE6\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB2"],
        ["\x90\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],

        ["\xE6\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB3"],
        ["\x90\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],

        ["\xE6\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB4"],
        ["\x90\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],

        ["\xBF\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB5"],
        ["\x90\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xD2"],

        ["\xE6\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB6"],
        ["\x90\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1"],

        ["\xE6\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB7"],
        ["\x90\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2"],

        ["\xE6\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB8"],
        ["\x90\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],

        ["\xE6\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB9"],
        ["\x90\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],

        ["\xE6\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xBA"],
        ["\x90\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],

        ["\xE6\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xBB"],
        ["\x90\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6"],

        ["\xE6\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xBC"],
        ["\x90\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7"],

        ["\xBF\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xF6"],
        ["\x52\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xDB"],

        ["\xE6\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xBD"],
        ["\x90\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],

        ["\xE6\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xBE"],
        ["\x90\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],

        ["\xE6\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xBF"],
        ["\x90\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],

        ["\xBF\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x53\xFD"],
        ["\x53\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xDF"],

        ["\xE6\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC0"],
        ["\x90\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB"],

        ["\xE6\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC1"],
        ["\x90\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC"],

        ["\xE6\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC2"],
        ["\x90\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD"],

        ["\xBF\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xA1"],
        ["\x54\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xE8"],

        ["\xE6\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC3"],
        ["\x90\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE"],

        ["\xE6\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC4"],
        ["\x90\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF"],

        ["\xE6\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xA4"],
        ["\x54\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],

        ["\xE6\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC5"],
        ["\x90\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],

        ["\xE6\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC6"],
        ["\x90\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],

        ["\xE6\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC7"],
        ["\x90\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],

        ["\xE6\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xA7"],
        ["\x54\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],

        ["\xBF\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC8"],
        ["\x90\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xE9"],

        ["\xE6\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xC9"],
        ["\x90\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],

        ["\xE6\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCA"],
        ["\x90\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],

        ["\xE6\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCB"],
        ["\x90\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],

        ["\xE6\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCC"],
        ["\x90\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],

        ["\xBF\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xB3"],
        ["\x54\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xFA"],

        ["\xBF\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCD"],
        ["\x90\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBF\xF2"],

        ["\xE6\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCE"],
        ["\x90\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],

        ["\xE6\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCF"],
        ["\x90\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xCA"],

        ["\xE6\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD0"],
        ["\x90\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xCB"],

        ["\xE6\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD1"],
        ["\x90\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xCC"],

        ["\xE6\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD2"],
        ["\x90\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xCD"],

        ["\xE6\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD3"],
        ["\x90\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xCE"],

        ["\xC0\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD4"],
        ["\x90\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xA7"],

        ["\xE6\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD5"],
        ["\x90\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],

        ["\xE6\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD6"],
        ["\x90\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],

        ["\xE6\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD7"],
        ["\x90\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],

        ["\xE6\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD8"],
        ["\x90\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],

        ["\xC0\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xBF"],
        ["\x54\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],

        ["\xC0\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xD9"],
        ["\x90\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xA9"],

        ["\xE6\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xDA"],
        ["\x90\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],

        ["\xE6\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xDB"],
        ["\x90\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],

        ["\xE6\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xDC"],
        ["\x90\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],

        ["\xE6\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xDD"],
        ["\x90\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],

        ["\xE6\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xDE"],
        ["\x90\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],

        ["\xE6\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xDF"],
        ["\x90\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],

        ["\xC0\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE0"],
        ["\x90\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xB2"],

        ["\xC0\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE1"],
        ["\x90\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xB1"],

        ["\xE6\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE2"],
        ["\x90\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],

        ["\xE6\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE3"],
        ["\x90\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],

        ["\xE6\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE4"],
        ["\x90\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],

        ["\xC0\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xCC"],
        ["\x54\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xB5"],

        ["\xC0\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xD2"],
        ["\x54\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xBB"],

        ["\xC0\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE5"],
        ["\x90\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xBE"],

        ["\xE6\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE6"],
        ["\x90\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],

        ["\xE6\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE7"],
        ["\x90\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],

        ["\xE6\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE8"],
        ["\x90\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xDE"],

        ["\xE6\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xE9"],
        ["\x90\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xDF"],

        ["\xE6\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xE7"],
        ["\x54\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],

        ["\xE6\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xE8"],
        ["\x54\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE1"],

        ["\xE6\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xEA"],
        ["\x90\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],

        ["\xE6\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xEE"],
        ["\x54\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],

        ["\xE6\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xEF"],
        ["\x54\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],

        ["\xE6\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xEB"],
        ["\x90\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],

        ["\xE6\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xEC"],
        ["\x90\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],

        ["\xD1\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xEC"],
        ["\x54\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],

        ["\xE6\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xED"],
        ["\x90\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],

        ["\xE6\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xEE"],
        ["\x90\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],

        ["\xC0\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xEF"],
        ["\x90\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],

        ["\xBC\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF0"],
        ["\x90\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBC\xC9"],

        ["\xD3\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xA3"],
        ["\x55\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],

        ["\xE6\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x54\xFD"],
        ["\x54\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],

        ["\xE6\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF1"],
        ["\x90\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xEA"],

        ["\xE6\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF2"],
        ["\x90\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xEB"],

        ["\xC0\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xB0"],
        ["\x55\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],

        ["\xE6\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF3"],
        ["\x90\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xEC"],

        ["\xE6\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF4"],
        ["\x90\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xED"],

        ["\xE6\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF5"],
        ["\x90\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xEE"],

        ["\xC0\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xB7"],
        ["\x55\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xDD"],

        ["\xE6\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF6"],
        ["\x90\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],

        ["\xE6\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xBE"],
        ["\x55\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],

        ["\xE6\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF7"],
        ["\x90\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],

        ["\xC0\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xC4"],
        ["\x55\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],

        ["\xE6\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF8"],
        ["\x90\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],

        ["\xC0\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xC5"],
        ["\x55\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xEA"],

        ["\xE6\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xC6"],
        ["\x55\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],

        ["\xC0\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xB3"],
        ["\x55\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],

        ["\xE6\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xF9"],
        ["\x90\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],

        ["\xE6\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xCB"],
        ["\x55\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],

        ["\xE6\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xFA"],
        ["\x90\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],

        ["\xE6\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xFB"],
        ["\x90\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],

        ["\xC0\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xD2"],
        ["\x55\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xFB"],

        ["\xE6\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xD4"],
        ["\x55\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],

        ["\xC0\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xDA"],
        ["\x55\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC0\xFA"],

        ["\xC1\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xFC"],
        ["\x90\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xA2"],

        ["\xE6\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xFD"],
        ["\x90\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],

        ["\xE6\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xFE"],
        ["\x90\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xFA"],

        ["\xC1\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA1"],
        ["\x91\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xB2"],

        ["\xC1\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xE1"],
        ["\x55\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xA9"],

        ["\xE6\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA2"],
        ["\x91\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xFB"],

        ["\xE6\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xE9"],
        ["\x55\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xFC"],

        ["\xC1\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xEA"],
        ["\x55\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xAE"],

        ["\xE6\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA3"],
        ["\x91\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xFD"],

        ["\xE6\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA4"],
        ["\x91\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE6\xFE"],

        ["\xC1\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xEE"],
        ["\x55\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],

        ["\xE7\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA5"],
        ["\x91\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],

        ["\xE7\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xF3"],
        ["\x55\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2"],

        ["\xE7\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA6"],
        ["\x91\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3"],

        ["\xC1\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x55\xFA"],
        ["\x55\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],

        ["\xE7\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA7"],
        ["\x91\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4"],

        ["\xE7\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA8"],
        ["\x91\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5"],

        ["\xE7\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA9"],
        ["\x91\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6"],

        ["\xE7\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xAA"],
        ["\x91\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7"],

        ["\xE7\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xAB"],
        ["\x91\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8"],

        ["\xE7\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xA9"],
        ["\x56\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9"],

        ["\xE7\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xAC"],
        ["\x91\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],

        ["\xE7\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xAD"],
        ["\x91\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],

        ["\xE7\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xAE"],
        ["\x91\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC"],

        ["\xE7\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xAF"],
        ["\x91\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD"],

        ["\xE7\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB0"],
        ["\x91\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE"],

        ["\xE7\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB1"],
        ["\x91\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],

        ["\xE7\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB2"],
        ["\x91\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],

        ["\xE7\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB3"],
        ["\x91\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],

        ["\xE7\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB4"],
        ["\x91\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],

        ["\xE7\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB5"],
        ["\x91\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],

        ["\xC1\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB6"],
        ["\x91\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xCB"],

        ["\xC1\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB7"],
        ["\x91\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xDB"],

        ["\xE7\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB8"],
        ["\x91\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],

        ["\xC1\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB9"],
        ["\x91\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xCF"],

        ["\xC1\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xB7"],
        ["\x56\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],

        ["\xE7\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xBA"],
        ["\x91\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],

        ["\xC1\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xC1"],
        ["\x56\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xE1"],

        ["\xE7\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xBB"],
        ["\x91\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],

        ["\xE7\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xBD"],
        ["\x56\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],

        ["\xE7\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xBC"],
        ["\x91\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],

        ["\xE7\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xBD"],
        ["\x91\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],

        ["\xE7\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xC8"],
        ["\x56\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],

        ["\xE7\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xBE"],
        ["\x91\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],

        ["\xE7\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xBF"],
        ["\x91\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],

        ["\xE7\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC0"],
        ["\x91\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],

        ["\xE7\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xC9"],
        ["\x56\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],

        ["\xC1\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xCA"],
        ["\x56\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],

        ["\xC1\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xCB"],
        ["\x56\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xEA"],

        ["\xE7\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xCC"],
        ["\x56\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],

        ["\xC1\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xCE"],
        ["\x56\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xEF"],

        ["\xC1\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xD2"],
        ["\x56\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],

        ["\xE7\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC1"],
        ["\x91\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],

        ["\xE7\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xD8"],
        ["\x56\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],

        ["\xE7\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC2"],
        ["\x91\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],

        ["\xE7\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC3"],
        ["\x91\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],

        ["\xC1\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xE0"],
        ["\x56\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC1\xFE"],

        ["\xE7\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xE3"],
        ["\x56\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],

        ["\xE7\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC4"],
        ["\x91\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],

        ["\xE7\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC5"],
        ["\x91\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],

        ["\xE7\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC6"],
        ["\x91\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],

        ["\xC2\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xEA"],
        ["\x56\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],

        ["\xE7\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC7"],
        ["\x91\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],

        ["\xE7\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC8"],
        ["\x91\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],

        ["\xE7\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xED"],
        ["\x56\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],

        ["\xE7\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xC9"],
        ["\x91\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],

        ["\xE7\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xCA"],
        ["\x91\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],

        ["\xE7\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xCB"],
        ["\x91\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xCD"],

        ["\xC2\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xF3"],
        ["\x56\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xB7"],

        ["\xE7\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xCC"],
        ["\x91\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xCE"],

        ["\xE7\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xCD"],
        ["\x91\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xCF"],

        ["\xE7\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xCE"],
        ["\x91\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],

        ["\xE7\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x56\xF5"],
        ["\x56\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],

        ["\xE7\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xCF"],
        ["\x91\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],

        ["\xE7\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD0"],
        ["\x91\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],

        ["\xE7\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD1"],
        ["\x91\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],

        ["\xC2\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD2"],
        ["\x91\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],

        ["\xC2\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xA4"],
        ["\x57\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],

        ["\xC2\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD3"],
        ["\x91\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],

        ["\xE7\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD4"],
        ["\x91\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],

        ["\xE7\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD5"],
        ["\x91\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],

        ["\xE7\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD6"],
        ["\x91\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],

        ["\xC2\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xAB"],
        ["\x57\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],

        ["\xE7\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD7"],
        ["\x91\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],

        ["\xE7\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD8"],
        ["\x91\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],

        ["\xE7\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xD9"],
        ["\x91\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xDA"],

        ["\xC2\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xB4"],
        ["\x57\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],

        ["\xE7\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDA"],
        ["\x91\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xDB"],

        ["\xE7\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDB"],
        ["\x91\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xDC"],

        ["\xE7\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDC"],
        ["\x91\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xDD"],

        ["\xE7\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDD"],
        ["\x91\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xDE"],

        ["\xE7\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDE"],
        ["\x91\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xDF"],

        ["\xE7\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDF"],
        ["\x91\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],

        ["\xE7\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE0"],
        ["\x91\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE1"],

        ["\xE7\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE1"],
        ["\x91\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],

        ["\xE7\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE2"],
        ["\x91\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],

        ["\xE7\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE3"],
        ["\x91\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],

        ["\xC2\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE4"],
        ["\x91\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],

        ["\xE7\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE5"],
        ["\x91\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],

        ["\xE7\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE6"],
        ["\x91\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],

        ["\xE7\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE7"],
        ["\x91\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],

        ["\xE7\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE8"],
        ["\x91\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],

        ["\xE7\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC1"],
        ["\x57\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],

        ["\xE7\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xE9"],
        ["\x91\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xEA"],

        ["\xE7\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xEA"],
        ["\x91\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xEB"],

        ["\xC2\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xCA"],
        ["\x57\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],

        ["\xC2\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xCE"],
        ["\x57\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],

        ["\xC7\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD7"],
        ["\x57\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],

        ["\xE7\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xEB"],
        ["\x91\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xEC"],

        ["\xE7\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xEC"],
        ["\x91\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xED"],

        ["\xE7\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD9"],
        ["\x57\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xEE"],

        ["\xC2\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xDB"],
        ["\x57\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xFA"],

        ["\xB3\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD0"],
        ["\x57\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],

        ["\xE7\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xED"],
        ["\x91\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xEF"],

        ["\xE7\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xEE"],
        ["\x91\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],

        ["\xE7\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xEF"],
        ["\x91\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],

        ["\xE7\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF0"],
        ["\x91\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],

        ["\xE7\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF1"],
        ["\x91\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],

        ["\xE7\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE0"],
        ["\x57\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],

        ["\xE7\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE1"],
        ["\x57\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],

        ["\xC3\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE2"],
        ["\x57\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xA3"],

        ["\xC3\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE4"],
        ["\x57\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],

        ["\xE7\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF2"],
        ["\x91\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],

        ["\xE7\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF3"],
        ["\x91\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],

        ["\xC3\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE6"],
        ["\x57\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],

        ["\xE7\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF4"],
        ["\x91\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],

        ["\xE7\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF5"],
        ["\x91\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],

        ["\xE7\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF6"],
        ["\x91\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xFA"],

        ["\xC3\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE9"],
        ["\x57\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],

        ["\xC3\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF7"],
        ["\x91\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],

        ["\xE7\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF8"],
        ["\x91\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xFB"],

        ["\xBD\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xED"],
        ["\x57\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBD\xF3"],

        ["\xE7\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xF9"],
        ["\x91\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xFC"],

        ["\xE7\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xFA"],
        ["\x91\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xFD"],

        ["\xE7\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xFB"],
        ["\x91\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE7\xFE"],

        ["\xE8\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xFC"],
        ["\x91\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],

        ["\xC3\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF4"],
        ["\x57\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],

        ["\xE8\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xFD"],
        ["\x91\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2"],

        ["\xC3\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xFE"],
        ["\x91\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xCA"],

        ["\xE8\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA1"],
        ["\x92\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3"],

        ["\xE8\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA2"],
        ["\x92\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4"],

        ["\xE8\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA3"],
        ["\x92\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5"],

        ["\xE8\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF8"],
        ["\x57\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6"],

        ["\xE8\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA4"],
        ["\x92\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7"],

        ["\xE8\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xFA"],
        ["\x57\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8"],

        ["\xE8\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD4"],
        ["\x57\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9"],

        ["\xE8\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA5"],
        ["\x92\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],

        ["\xE8\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA6"],
        ["\x92\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],

        ["\xE8\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA7"],
        ["\x92\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC"],

        ["\xE8\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA8"],
        ["\x92\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD"],

        ["\xE8\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xA7"],
        ["\x58\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],

        ["\xE8\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xFB"],
        ["\x72\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xAF"],

        ["\xE8\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA9"],
        ["\x92\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],

        ["\xE8\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xAA"],
        ["\x92\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1"],

        ["\xE8\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xAB"],
        ["\x92\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],

        ["\xE8\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xAC"],
        ["\x92\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3"],

        ["\xC9\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xAD"],
        ["\x92\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],

        ["\xE8\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xC0"],
        ["\x58\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4"],

        ["\xE8\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xAE"],
        ["\x92\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5"],

        ["\xC3\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xCC"],
        ["\x58\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],

        ["\xE8\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xAF"],
        ["\x92\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6"],

        ["\xE8\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB0"],
        ["\x92\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7"],

        ["\xE8\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB1"],
        ["\x92\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],

        ["\xC3\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB2"],
        ["\x92\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],

        ["\xC3\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB3"],
        ["\x92\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],

        ["\xE8\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB4"],
        ["\x92\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9"],

        ["\xE8\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB5"],
        ["\x92\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA"],

        ["\xC3\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xD2"],
        ["\x58\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],

        ["\xC3\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB6"],
        ["\x92\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],

        ["\xE8\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB7"],
        ["\x92\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB"],

        ["\xE8\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xDB"],
        ["\x58\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC"],

        ["\xE8\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB8"],
        ["\x92\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD"],

        ["\xC3\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xDF"],
        ["\x58\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xEF"],

        ["\xE8\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB9"],
        ["\x92\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE"],

        ["\xE8\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xBA"],
        ["\x92\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF"],

        ["\xE8\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xBB"],
        ["\x92\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],

        ["\xE8\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xE9"],
        ["\x58\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],

        ["\xE8\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xEB"],
        ["\x58\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],

        ["\xE8\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xBC"],
        ["\x92\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],

        ["\xE8\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xBD"],
        ["\x92\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],

        ["\xC3\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xBE"],
        ["\x92\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],

        ["\xE8\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xBF"],
        ["\x92\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],

        ["\xE8\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC0"],
        ["\x92\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],

        ["\xCD\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC1"],
        ["\x92\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xD4"],

        ["\xC3\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC2"],
        ["\x92\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],

        ["\xE8\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC3"],
        ["\x92\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],

        ["\xC3\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC4"],
        ["\x92\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC3\xFC"],

        ["\xE8\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC5"],
        ["\x92\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],

        ["\xE8\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC6"],
        ["\x92\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],

        ["\xC4\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC7"],
        ["\x92\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xA4"],

        ["\xE8\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC8"],
        ["\x92\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xCA"],

        ["\xE8\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xC9"],
        ["\x92\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xCB"],

        ["\xE8\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xF5"],
        ["\x58\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xCC"],

        ["\xE8\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xCA"],
        ["\x92\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xCD"],

        ["\xE8\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xCB"],
        ["\x92\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xCE"],

        ["\xC4\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xF8"],
        ["\x58\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xA7"],

        ["\xC4\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x58\xFE"],
        ["\x58\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xA8"],

        ["\xE8\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xCC"],
        ["\x92\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xCF"],

        ["\xE8\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xCD"],
        ["\x92\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],

        ["\xC4\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xAE"],
        ["\x59\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],

        ["\xC4\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xAF"],
        ["\x59\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xB3"],

        ["\xC4\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xB0"],
        ["\x59\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xB2"],

        ["\xE8\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xB6"],
        ["\x59\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],

        ["\xE8\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xCE"],
        ["\x92\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],

        ["\xE8\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xB7"],
        ["\x59\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],

        ["\xE8\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xB8"],
        ["\x59\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],

        ["\xC4\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xB9"],
        ["\x59\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xBB"],

        ["\xE8\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xCF"],
        ["\x92\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],

        ["\xE8\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xBB"],
        ["\x59\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],

        ["\xC4\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD0"],
        ["\x92\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],

        ["\xC4\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xBE"],
        ["\x59\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xB9"],

        ["\xE8\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD1"],
        ["\x92\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],

        ["\xE8\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC4"],
        ["\x59\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],

        ["\xC4\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC9"],
        ["\x59\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],

        ["\xE8\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD2"],
        ["\x92\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],

        ["\xC4\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xCA"],
        ["\x59\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xCA"],

        ["\xC4\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xCD"],
        ["\x59\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xCD"],

        ["\xC4\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD6"],
        ["\x59\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],

        ["\xE8\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD3"],
        ["\x92\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],

        ["\xC4\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xA6"],
        ["\x59\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],

        ["\xE8\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD4"],
        ["\x92\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],

        ["\xE8\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD5"],
        ["\x92\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xDC"],

        ["\xE8\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE0"],
        ["\x59\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xDD"],

        ["\xE8\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE6"],
        ["\x59\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xDE"],

        ["\xC4\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE8"],
        ["\x59\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],

        ["\xE8\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xEA"],
        ["\x59\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xDF"],

        ["\xC4\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xEE"],
        ["\x59\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xEB"],

        ["\xE8\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF1"],
        ["\x59\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],

        ["\xE8\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD6"],
        ["\x92\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE1"],

        ["\xE8\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD7"],
        ["\x92\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],

        ["\xE8\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD8"],
        ["\x92\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],

        ["\xE8\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF5"],
        ["\x59\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],

        ["\xE8\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xD9"],
        ["\x92\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],

        ["\xC4\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF8"],
        ["\x59\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xFA"],

        ["\xE8\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDA"],
        ["\x92\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],

        ["\xE8\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xFC"],
        ["\x59\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],

        ["\xE8\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDB"],
        ["\x92\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],

        ["\xE8\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDC"],
        ["\x92\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],

        ["\xC4\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xA3"],
        ["\x5A\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC4\xFD"],

        ["\xC5\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xA6"],
        ["\x5A\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xA5"],

        ["\xE8\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDD"],
        ["\x92\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xEA"],

        ["\xE8\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDE"],
        ["\x92\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],

        ["\xE8\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDF"],
        ["\x92\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],

        ["\xE8\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE0"],
        ["\x92\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xED"],

        ["\xE8\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xB0"],
        ["\x5A\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xEE"],

        ["\xE8\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE1"],
        ["\x92\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xEF"],

        ["\xE8\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE2"],
        ["\x92\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],

        ["\xE8\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE3"],
        ["\x92\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],

        ["\xE8\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xB5"],
        ["\x5A\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],

        ["\xE8\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE4"],
        ["\x92\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],

        ["\xE8\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE5"],
        ["\x92\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],

        ["\xE8\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE6"],
        ["\x92\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],

        ["\xE8\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE7"],
        ["\x92\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],

        ["\xE8\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE8"],
        ["\x92\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],

        ["\xE8\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xE9"],
        ["\x92\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],

        ["\xE8\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xEA"],
        ["\x92\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],

        ["\xE8\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC9"],
        ["\x5A\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],

        ["\xC5\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC8"],
        ["\x5A\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],

        ["\xE8\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xCE"],
        ["\x5A\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],

        ["\xE8\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xEB"],
        ["\x92\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xFC"],

        ["\xC5\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xCA"],
        ["\x5A\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],

        ["\xE8\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xEC"],
        ["\x92\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xFD"],

        ["\xE8\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xED"],
        ["\x92\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE8\xFE"],

        ["\xE9\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xEE"],
        ["\x92\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],

        ["\xC5\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xEF"],
        ["\x92\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xB3"],

        ["\xE9\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD6"],
        ["\x5A\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2"],

        ["\xE9\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD2"],
        ["\x5A\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3"],

        ["\xC5\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC7"],
        ["\x5A\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xB8"],

        ["\xC5\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD3"],
        ["\x5A\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],

        ["\xE9\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF0"],
        ["\x92\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4"],

        ["\xE9\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF1"],
        ["\x92\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5"],

        ["\xE9\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF2"],
        ["\x92\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6"],

        ["\xE9\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF3"],
        ["\x92\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7"],

        ["\xE9\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF4"],
        ["\x92\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8"],

        ["\xE9\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF5"],
        ["\x92\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9"],

        ["\xE9\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF6"],
        ["\x92\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA"],

        ["\xE9\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF7"],
        ["\x92\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],

        ["\xC5\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE1"],
        ["\x5A\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xBF"],

        ["\xE9\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF8"],
        ["\x92\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC"],

        ["\xE9\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xF9"],
        ["\x92\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD"],

        ["\xE9\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xFA"],
        ["\x92\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE"],

        ["\xE9\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xFB"],
        ["\x92\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF"],

        ["\xE9\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xFC"],
        ["\x92\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],

        ["\xE9\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xFD"],
        ["\x92\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1"],

        ["\xE9\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xFE"],
        ["\x92\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB2"],

        ["\xE9\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE3"],
        ["\x5A\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3"],

        ["\xE9\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA1"],
        ["\x93\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4"],

        ["\xE9\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA2"],
        ["\x93\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5"],

        ["\xC5\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA3"],
        ["\x93\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],

        ["\xE9\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA4"],
        ["\x93\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6"],

        ["\xE9\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA5"],
        ["\x93\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7"],

        ["\xE9\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA6"],
        ["\x93\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8"],

        ["\xE9\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA7"],
        ["\x93\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9"],

        ["\xE9\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA8"],
        ["\x93\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA"],

        ["\xE9\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA9"],
        ["\x93\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB"],

        ["\xC5\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xAA"],
        ["\x93\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],

        ["\xE9\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xAB"],
        ["\x93\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC"],

        ["\xE9\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xAC"],
        ["\x93\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD"],

        ["\xE9\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xAD"],
        ["\x93\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE"],

        ["\xC5\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xEB"],
        ["\x5A\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],

        ["\xE9\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xAE"],
        ["\x93\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xBF"],

        ["\xE9\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xAF"],
        ["\x93\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],

        ["\xC5\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xED"],
        ["\x5A\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xCB"],

        ["\xE9\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB0"],
        ["\x93\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],

        ["\xE9\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB1"],
        ["\x93\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],

        ["\xE9\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB2"],
        ["\x93\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],

        ["\xE9\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB3"],
        ["\x93\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],

        ["\xE9\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB4"],
        ["\x93\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],

        ["\xE9\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB5"],
        ["\x93\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],

        ["\xE9\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB6"],
        ["\x93\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],

        ["\xE9\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB7"],
        ["\x93\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],

        ["\xE9\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xFC"],
        ["\x5A\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],

        ["\xE9\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB8"],
        ["\x93\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xCA"],

        ["\xE9\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB9"],
        ["\x93\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xCB"],

        ["\xC5\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xAA"],
        ["\x5B\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],

        ["\xE9\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xBA"],
        ["\x93\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xCC"],

        ["\xE9\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xBB"],
        ["\x93\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xCD"],

        ["\xE9\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xBC"],
        ["\x93\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xCE"],

        ["\xE9\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xBD"],
        ["\x93\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xCF"],

        ["\xE9\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xBE"],
        ["\x93\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],

        ["\xE9\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xBF"],
        ["\x93\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],

        ["\xE9\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC0"],
        ["\x93\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],

        ["\xE9\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC1"],
        ["\x93\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],

        ["\xE9\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC2"],
        ["\x93\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],

        ["\xE9\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC3"],
        ["\x93\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],

        ["\xE9\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC6"],
        ["\x5B\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],

        ["\xE9\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC4"],
        ["\x93\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],

        ["\xE9\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC5"],
        ["\x93\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],

        ["\xE9\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC6"],
        ["\x93\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],

        ["\xE9\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC7"],
        ["\x93\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xDA"],

        ["\xE9\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC8"],
        ["\x93\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xDB"],

        ["\xE9\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xC9"],
        ["\x93\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xDC"],

        ["\xE9\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xCA"],
        ["\x93\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xDD"],

        ["\xC5\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE1"],
        ["\x5B\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],

        ["\xE9\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xCB"],
        ["\x93\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xDE"],

        ["\xC5\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD7"],
        ["\x5B\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xFB"],

        ["\xE9\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xCC"],
        ["\x93\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xDF"],

        ["\xE9\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xDB"],
        ["\x5B\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],

        ["\xE9\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xCD"],
        ["\x93\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE1"],

        ["\xE9\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xCE"],
        ["\x93\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],

        ["\xC5\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xDD"],
        ["\x5B\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xFE"],

        ["\xE9\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xCF"],
        ["\x93\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],

        ["\xC5\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xBE"],
        ["\x5B\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xFD"],

        ["\xE9\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD0"],
        ["\x93\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],

        ["\xE9\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD1"],
        ["\x93\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],

        ["\xC6\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE5"],
        ["\x5B\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xA5"],

        ["\xE9\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD2"],
        ["\x93\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],

        ["\xC6\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xEA"],
        ["\x5B\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xA7"],

        ["\xB2\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE9"],
        ["\x5B\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB2\xF0"],

        ["\xE9\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD3"],
        ["\x93\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],

        ["\xE9\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD4"],
        ["\x93\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],

        ["\xE9\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD5"],
        ["\x93\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],

        ["\xE9\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD6"],
        ["\x93\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xEA"],

        ["\xC6\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF6"],
        ["\x5B\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],

        ["\xC6\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF8"],
        ["\x5B\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xAC"],

        ["\xE9\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD7"],
        ["\x93\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xEB"],

        ["\xE9\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD8"],
        ["\x93\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xEC"],

        ["\xC6\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF9"],
        ["\x5B\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xAE"],

        ["\xE9\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xD9"],
        ["\x93\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xED"],

        ["\xE9\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xDA"],
        ["\x93\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xEE"],

        ["\xE9\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xDB"],
        ["\x93\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xEF"],

        ["\xE9\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xDC"],
        ["\x93\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],

        ["\xE9\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xDD"],
        ["\x93\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],

        ["\xE9\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xDE"],
        ["\x93\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],

        ["\xE9\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xDF"],
        ["\x93\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],

        ["\xE9\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE0"],
        ["\x93\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],

        ["\xE9\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE1"],
        ["\x93\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],

        ["\xC6\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xB5"],
        ["\x5C\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],

        ["\xE9\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE2"],
        ["\x93\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],

        ["\xC6\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF2"],
        ["\x5B\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],

        ["\xE9\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE3"],
        ["\x93\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],

        ["\xE9\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE4"],
        ["\x93\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],

        ["\xC6\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xB8"],
        ["\x5C\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],

        ["\xE9\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE5"],
        ["\x93\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],

        ["\xE9\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xBA"],
        ["\x5C\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xFA"],

        ["\xE9\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE6"],
        ["\x93\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xFB"],

        ["\xC6\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xBC"],
        ["\x5C\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xCF"],

        ["\xC6\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xBD"],
        ["\x5C\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xCC"],

        ["\xE9\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xBE"],
        ["\x5C\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xFC"],

        ["\xE9\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE7"],
        ["\x93\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xFD"],

        ["\xD2\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xC5"],
        ["\x5C\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD2\xB8"],

        ["\xC6\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xC6"],
        ["\x5C\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],

        ["\xE9\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE8"],
        ["\x93\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xE9\xFE"],

        ["\xEA\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xE9"],
        ["\x93\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xA1"],

        ["\xEA\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xEA"],
        ["\x93\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xA2"],

        ["\xEA\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xEB"],
        ["\x93\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xA3"],

        ["\xEA\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xC8"],
        ["\x5C\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xA4"],

        ["\xC6\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xFE"],
        ["\x72\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xDC"],

        ["\xEA\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xEC"],
        ["\x93\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xA5"],

        ["\xEA\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xED"],
        ["\x93\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xA6"],

        ["\xC6\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xEE"],
        ["\x93\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],

        ["\xEA\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xEF"],
        ["\x93\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xA7"],

        ["\xC6\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF0"],
        ["\x93\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],

        ["\xC6\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xDE"],
        ["\x5C\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC6\xFA"],

        ["\xEA\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF1"],
        ["\x93\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xA8"],

        ["\xC7\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF2"],
        ["\x93\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xA5"],

        ["\xEA\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF3"],
        ["\x93\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xA9"],

        ["\xEA\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF4"],
        ["\x93\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xAA"],

        ["\xEA\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF5"],
        ["\x93\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xAB"],

        ["\xEA\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF6"],
        ["\x93\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xAC"],

        ["\xC7\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xF2"],
        ["\x5C\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xB3"],

        ["\xEA\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xF7"],
        ["\x5C\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xAD"],

        ["\xEA\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF7"],
        ["\x93\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xAE"],

        ["\xEA\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF8"],
        ["\x93\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xAF"],

        ["\xC7\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5C\xFA"],
        ["\x5C\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xBA"],

        ["\xEA\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xF9"],
        ["\x93\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB0"],

        ["\xEA\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFA"],
        ["\x93\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB1"],

        ["\xEA\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFB"],
        ["\x93\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB2"],

        ["\xEA\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFC"],
        ["\x93\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB3"],

        ["\xC7\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xAB"],
        ["\x5D\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],

        ["\xC7\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xAF"],
        ["\x5D\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xCA"],

        ["\xEA\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFD"],
        ["\x93\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB4"],

        ["\xC7\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFE"],
        ["\x93\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],

        ["\xC7\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xB0"],
        ["\x5D\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xCB"],

        ["\xEA\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA1"],
        ["\x94\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB5"],

        ["\xEA\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA2"],
        ["\x94\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB6"],

        ["\xC7\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xB9"],
        ["\x5D\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],

        ["\xEA\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xBC"],
        ["\x5D\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB7"],

        ["\xC7\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA3"],
        ["\x94\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],

        ["\xEA\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA4"],
        ["\x94\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB8"],

        ["\xEA\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xBD"],
        ["\x5D\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xB9"],

        ["\xEA\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xBE"],
        ["\x5D\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xBA"],

        ["\xC7\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xC0"],
        ["\x5D\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xDB"],

        ["\xEA\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xC1"],
        ["\x5D\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xBB"],

        ["\xEA\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xC3"],
        ["\x5D\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xBC"],

        ["\xC7\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xC4"],
        ["\x5D\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xDE"],

        ["\xEA\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA5"],
        ["\x94\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xBD"],

        ["\xEA\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA6"],
        ["\x94\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xBE"],

        ["\xEA\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA7"],
        ["\x94\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xBF"],

        ["\xEA\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xCF"],
        ["\x5D\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC0"],

        ["\xEA\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA8"],
        ["\x94\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC1"],

        ["\xEA\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA9"],
        ["\x94\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC2"],

        ["\xC7\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xAA"],
        ["\x94\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],

        ["\xEA\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xAB"],
        ["\x94\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC3"],

        ["\xEA\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xAC"],
        ["\x94\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC4"],

        ["\xEA\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xD5"],
        ["\x5D\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC5"],

        ["\xC7\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xAD"],
        ["\x94\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC7\xEE"],

        ["\xEA\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xAE"],
        ["\x94\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC6"],

        ["\xEA\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xAF"],
        ["\x94\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC7"],

        ["\xEA\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB0"],
        ["\x94\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC8"],

        ["\xEA\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xE2"],
        ["\x5D\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xC9"],

        ["\xEA\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB1"],
        ["\x94\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xCA"],

        ["\xEA\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB2"],
        ["\x94\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xCB"],

        ["\xEA\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB3"],
        ["\x94\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xCC"],

        ["\xEA\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB4"],
        ["\x94\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xCD"],

        ["\xEA\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB5"],
        ["\x94\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xCE"],

        ["\xC8\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB6"],
        ["\x94\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xA9"],

        ["\xEA\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xEF"],
        ["\x5D\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xCF"],

        ["\xEA\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB7"],
        ["\x94\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD0"],

        ["\xC8\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB8"],
        ["\x94\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xA5"],

        ["\xEA\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xF1"],
        ["\x5D\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD1"],

        ["\xC8\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB9"],
        ["\x94\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xA4"],

        ["\xEA\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xBA"],
        ["\x94\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD2"],

        ["\xEA\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xBB"],
        ["\x94\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD3"],

        ["\xEA\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xBC"],
        ["\x94\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD4"],

        ["\xEA\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xBD"],
        ["\x94\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD5"],

        ["\xEA\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xBE"],
        ["\x94\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD6"],

        ["\xEA\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xBF"],
        ["\x94\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD7"],

        ["\xEA\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC0"],
        ["\x94\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD8"],

        ["\xC8\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xF8"],
        ["\x5D\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xB4"],

        ["\xC8\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xF9"],
        ["\x5D\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xB5"],

        ["\xC8\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xFA"],
        ["\x5D\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xAF"],

        ["\xEA\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC1"],
        ["\x94\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xD9"],

        ["\xEA\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC2"],
        ["\x94\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xDA"],

        ["\xEA\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC3"],
        ["\x94\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xDB"],

        ["\xEA\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC4"],
        ["\x94\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xDC"],

        ["\xC8\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5D\xFE"],
        ["\x5D\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xB9"],

        ["\xC8\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xA2"],
        ["\x5E\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xBC"],

        ["\xEA\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC5"],
        ["\x94\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xDD"],

        ["\xEA\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC6"],
        ["\x94\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xDE"],

        ["\xEA\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC7"],
        ["\x94\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xDF"],

        ["\xC8\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC8"],
        ["\x94\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],

        ["\xEA\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xC9"],
        ["\x94\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE0"],

        ["\xEA\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xCA"],
        ["\x94\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE1"],

        ["\xEA\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xCB"],
        ["\x94\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE2"],

        ["\xEA\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xCC"],
        ["\x94\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE3"],

        ["\xC8\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xAD"],
        ["\x5E\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xCD"],

        ["\xEA\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xCD"],
        ["\x94\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE4"],

        ["\xC8\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xB0"],
        ["\x5E\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],

        ["\xEA\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xB2"],
        ["\x5E\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE5"],

        ["\xEA\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xCE"],
        ["\x94\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE6"],

        ["\xEA\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xCF"],
        ["\x94\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE7"],

        ["\xC5\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD0"],
        ["\x94\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],

        ["\xEA\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD1"],
        ["\x94\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE8"],

        ["\xC8\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xB5"],
        ["\x5E\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xCF"],

        ["\xEA\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD2"],
        ["\x94\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xE9"],

        ["\xEA\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD3"],
        ["\x94\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xEA"],

        ["\xEA\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD4"],
        ["\x94\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xEB"],

        ["\xEA\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD5"],
        ["\x94\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xEC"],

        ["\xEA\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD6"],
        ["\x94\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xED"],

        ["\xEA\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD7"],
        ["\x94\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xEE"],

        ["\xEA\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD8"],
        ["\x94\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xEF"],

        ["\xEA\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xD9"],
        ["\x94\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF0"],

        ["\xC8\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDA"],
        ["\x94\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xDD"],

        ["\xEA\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDB"],
        ["\x94\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF1"],

        ["\xEA\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC0"],
        ["\x5E\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF2"],

        ["\xEA\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDC"],
        ["\x94\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF3"],

        ["\xEA\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDD"],
        ["\x94\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF4"],

        ["\xEA\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDE"],
        ["\x94\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF5"],

        ["\xEA\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC7"],
        ["\x5E\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF6"],

        ["\xEA\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDF"],
        ["\x94\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF7"],

        ["\xEA\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD0"],
        ["\x5E\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF8"],

        ["\xC8\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD1"],
        ["\x5E\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],

        ["\xEA\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD4"],
        ["\x5E\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xF9"],

        ["\xEA\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE0"],
        ["\x94\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xFA"],

        ["\xEA\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE1"],
        ["\x94\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xFB"],

        ["\xEA\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE2"],
        ["\x94\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xFC"],

        ["\xC8\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE3"],
        ["\x94\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xEC"],

        ["\xEA\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE4"],
        ["\x94\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xFD"],

        ["\xEA\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE5"],
        ["\x94\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEA\xFE"],

        ["\xEB\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE6"],
        ["\x94\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xA1"],

        ["\xEB\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE7"],
        ["\x94\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xA2"],

        ["\xD4\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xDA"],
        ["\x5E\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xBA"],

        ["\xEB\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE8"],
        ["\x94\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xA3"],

        ["\xEB\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xE9"],
        ["\x94\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xA4"],

        ["\xEB\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xEA"],
        ["\x94\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xA5"],

        ["\xC8\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xEA"],
        ["\x5E\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],

        ["\xC8\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE9"],
        ["\x5E\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],

        ["\xEB\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xEB"],
        ["\x94\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xA6"],

        ["\xEB\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xEE"],
        ["\x5E\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xA7"],

        ["\xEB\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xEC"],
        ["\x94\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xA8"],

        ["\xEB\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xED"],
        ["\x94\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xA9"],

        ["\xEB\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xEE"],
        ["\x94\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xAA"],

        ["\xEB\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xEF"],
        ["\x94\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xAB"],

        ["\xC9\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF8"],
        ["\x5E\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],

        ["\xEB\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF9"],
        ["\x5E\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xAC"],

        ["\xC9\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xFC"],
        ["\x5E\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xA3"],

        ["\xEB\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF0"],
        ["\x94\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xAD"],

        ["\xEB\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF1"],
        ["\x94\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xAE"],

        ["\xEB\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF2"],
        ["\x94\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xAF"],

        ["\xEB\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xA6"],
        ["\x5F\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB0"],

        ["\xEB\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF3"],
        ["\x94\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB1"],

        ["\xC9\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF4"],
        ["\x94\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xAA"],

        ["\xEB\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF5"],
        ["\x94\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB2"],

        ["\xEB\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF6"],
        ["\x94\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB3"],

        ["\xEB\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xAE"],
        ["\x5F\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB4"],

        ["\xEB\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF7"],
        ["\x94\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB5"],

        ["\xEB\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF8"],
        ["\x94\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB6"],

        ["\xC9\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xB1"],
        ["\x5F\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],

        ["\xC9\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xB3"],
        ["\x5F\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xAE"],

        ["\xEB\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xF9"],
        ["\x94\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB7"],

        ["\xEB\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xFA"],
        ["\x94\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB8"],

        ["\xEB\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xFB"],
        ["\x94\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xB9"],

        ["\xEB\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xB8"],
        ["\x5F\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xBA"],

        ["\xEB\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xFC"],
        ["\x94\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xBB"],

        ["\xEB\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xB9"],
        ["\x5F\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xBC"],

        ["\xEB\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xFD"],
        ["\x94\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xBD"],

        ["\xC9\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xFE"],
        ["\x94\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],

        ["\xEB\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA1"],
        ["\x95\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xBE"],

        ["\xEB\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA2"],
        ["\x95\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xBF"],

        ["\xC9\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC7"],
        ["\x5F\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],

        ["\xEB\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA3"],
        ["\x95\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC0"],

        ["\xEB\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA4"],
        ["\x95\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC1"],

        ["\xEB\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA5"],
        ["\x95\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC2"],

        ["\xEB\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC8"],
        ["\x5F\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC3"],

        ["\xEB\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA6"],
        ["\x95\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC4"],

        ["\xEB\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA7"],
        ["\x95\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC5"],

        ["\xC9\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xCF"],
        ["\x5F\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],

        ["\xC9\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA8"],
        ["\x95\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],

        ["\xC9\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA9"],
        ["\x95\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xCD"],

        ["\xEB\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAA"],
        ["\x95\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC6"],

        ["\xEB\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAB"],
        ["\x95\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC7"],

        ["\xEB\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xDA"],
        ["\x5F\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC8"],

        ["\xEB\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAC"],
        ["\x95\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xC9"],

        ["\xC9\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xDB"],
        ["\x5F\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],

        ["\xC9\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAD"],
        ["\x95\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],

        ["\xEB\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAE"],
        ["\x95\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xCA"],

        ["\xEB\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAF"],
        ["\x95\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xCB"],

        ["\xC9\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xDD"],
        ["\x5F\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xDB"],

        ["\xEB\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xDE"],
        ["\x5F\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xCC"],

        ["\xEB\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB0"],
        ["\x95\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xCD"],

        ["\xEB\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB1"],
        ["\x95\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xCE"],

        ["\xEB\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE7"],
        ["\x5F\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xCF"],

        ["\xEB\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB2"],
        ["\x95\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD0"],

        ["\xEB\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB3"],
        ["\x95\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD1"],

        ["\xC9\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB4"],
        ["\x95\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xDE"],

        ["\xC9\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE6"],
        ["\x5F\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xDF"],

        ["\xEB\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE9"],
        ["\x5F\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD2"],

        ["\xEB\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB5"],
        ["\x95\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD3"],

        ["\xEB\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB6"],
        ["\x95\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD4"],

        ["\xC9\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xEC"],
        ["\x5F\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],

        ["\xEB\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB7"],
        ["\x95\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD5"],

        ["\xC9\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xEE"],
        ["\x5F\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],

        ["\xC9\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xEF"],
        ["\x5F\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],

        ["\xEB\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB8"],
        ["\x95\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD6"],

        ["\xEB\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB9"],
        ["\x95\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD7"],

        ["\xEB\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xBA"],
        ["\x95\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD8"],

        ["\xEB\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xBB"],
        ["\x95\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xD9"],

        ["\xEB\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xBC"],
        ["\x95\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xDA"],

        ["\xEB\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xBD"],
        ["\x95\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xDB"],

        ["\xEB\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xBE"],
        ["\x95\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xDC"],

        ["\xEB\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xBF"],
        ["\x95\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xDD"],

        ["\xEB\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC0"],
        ["\x95\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xDE"],

        ["\xEB\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC1"],
        ["\x95\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xDF"],

        ["\xC9\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xFA"],
        ["\x5F\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],

        ["\xEB\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC2"],
        ["\x95\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE0"],

        ["\xEB\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC3"],
        ["\x95\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE1"],

        ["\xC9\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xA4"],
        ["\x60\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],

        ["\xEB\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC4"],
        ["\x95\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE2"],

        ["\xC9\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC5"],
        ["\x95\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xFE"],

        ["\xCA\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xA8"],
        ["\x60\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],

        ["\xEB\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xB0"],
        ["\x60\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE3"],

        ["\xEB\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC6"],
        ["\x95\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE4"],

        ["\xCA\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xB6"],
        ["\x60\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],

        ["\xEB\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC7"],
        ["\x95\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE5"],

        ["\xEB\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xBB"],
        ["\x60\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE6"],

        ["\xEB\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xBC"],
        ["\x60\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE7"],

        ["\xEB\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC8"],
        ["\x95\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE8"],

        ["\xCA\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC6"],
        ["\x60\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],

        ["\xEB\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xC9"],
        ["\x95\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xE9"],

        ["\xCA\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xCA"],
        ["\x95\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xAB"],

        ["\xEB\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xCB"],
        ["\x95\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xEA"],

        ["\xEB\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD0"],
        ["\x60\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xEB"],

        ["\xEB\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xCC"],
        ["\x95\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xEC"],

        ["\xCA\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD1"],
        ["\x60\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xB0"],

        ["\xEB\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xCD"],
        ["\x95\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xED"],

        ["\xEB\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xCE"],
        ["\x95\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xEE"],

        ["\xEB\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xCF"],
        ["\x95\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xEF"],

        ["\xEB\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD0"],
        ["\x95\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF0"],

        ["\xEB\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xB2"],
        ["\x52\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF1"],

        ["\xEB\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD1"],
        ["\x95\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF2"],

        ["\xEB\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD2"],
        ["\x95\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF3"],

        ["\xEB\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD3"],
        ["\x95\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF4"],

        ["\xEB\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xB7"],
        ["\x52\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF5"],

        ["\xCA\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xB9"],
        ["\x52\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],

        ["\xEB\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD4"],
        ["\x95\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF6"],

        ["\xEB\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD5"],
        ["\x95\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF7"],

        ["\xEB\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD6"],
        ["\x95\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF8"],

        ["\xEB\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD7"],
        ["\x95\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xF9"],

        ["\xEB\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD8"],
        ["\x95\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xFA"],

        ["\xEB\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xD9"],
        ["\x95\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xFB"],

        ["\xEB\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xDA"],
        ["\x95\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xFC"],

        ["\xCA\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xC4"],
        ["\x52\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xC0"],

        ["\xEB\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xDB"],
        ["\x95\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xFD"],

        ["\xEB\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xDC"],
        ["\x95\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEB\xFE"],

        ["\xEC\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xDD"],
        ["\x95\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xA1"],

        ["\xEC\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xDE"],
        ["\x95\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xA2"],

        ["\xEC\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xCA"],
        ["\x52\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xA3"],

        ["\xEC\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xDF"],
        ["\x95\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xA4"],

        ["\xEC\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE0"],
        ["\x95\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xA5"],

        ["\xEC\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE1"],
        ["\x95\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xA6"],

        ["\xEC\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE2"],
        ["\x95\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xA7"],

        ["\xEC\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE3"],
        ["\x95\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xA8"],

        ["\xEC\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE4"],
        ["\x95\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xA9"],

        ["\xEC\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE5"],
        ["\x95\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xAA"],

        ["\xEC\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE6"],
        ["\x95\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xAB"],

        ["\xEC\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xD8"],
        ["\x52\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xAC"],

        ["\xEC\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE7"],
        ["\x95\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xAD"],

        ["\xEC\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE8"],
        ["\x95\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xAE"],

        ["\xEC\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xE9"],
        ["\x95\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xAF"],

        ["\xEC\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xEA"],
        ["\x95\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB0"],

        ["\xEC\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xEB"],
        ["\x95\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB1"],

        ["\xEC\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xEC"],
        ["\x95\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB2"],

        ["\xEC\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xED"],
        ["\x95\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB3"],

        ["\xEC\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xEE"],
        ["\x95\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB4"],

        ["\xCA\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xDF"],
        ["\x60\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],

        ["\xEC\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xEF"],
        ["\x95\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB5"],

        ["\xBE\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF0"],
        ["\x95\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xBE\xEB"],

        ["\xEC\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF1"],
        ["\x95\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB6"],

        ["\xEC\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x52\xE1"],
        ["\x52\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB7"],

        ["\xEC\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF2"],
        ["\x95\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB8"],

        ["\xEC\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF3"],
        ["\x95\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xB9"],

        ["\xEC\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF4"],
        ["\x95\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xBA"],

        ["\xEC\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF5"],
        ["\x95\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xBB"],

        ["\xEC\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF6"],
        ["\x95\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xBC"],

        ["\xCA\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xA1"],
        ["\x61\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],

        ["\xCA\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF7"],
        ["\x95\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],

        ["\xEC\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF8"],
        ["\x95\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xBD"],

        ["\xEC\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xF9"],
        ["\x95\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xBE"],

        ["\xCA\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xA3"],
        ["\x61\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],

        ["\xEC\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xFA"],
        ["\x95\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xBF"],

        ["\xCA\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xA8"],
        ["\x61\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],

        ["\xEC\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xFB"],
        ["\x95\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC0"],

        ["\xEC\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xA7"],
        ["\x61\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC1"],

        ["\xEC\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xFC"],
        ["\x95\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC2"],

        ["\xEC\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xAA"],
        ["\x61\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC3"],

        ["\xEC\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xFD"],
        ["\x95\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC4"],

        ["\xEC\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xAB"],
        ["\x61\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC5"],

        ["\xEC\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xFE"],
        ["\x95\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC6"],

        ["\xEC\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA1"],
        ["\x96\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC7"],

        ["\xEC\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA2"],
        ["\x96\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC8"],

        ["\xEC\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA3"],
        ["\x96\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xC9"],

        ["\xEC\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xAD"],
        ["\x61\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xCA"],

        ["\xEC\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA4"],
        ["\x96\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xCB"],

        ["\xEC\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xE3"],
        ["\x60\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xCC"],

        ["\xEC\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA5"],
        ["\x96\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xCD"],

        ["\xCA\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA6"],
        ["\x96\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xE6"],

        ["\xEC\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA7"],
        ["\x96\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xCE"],

        ["\xEC\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA8"],
        ["\x96\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xCF"],

        ["\xEC\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xBB"],
        ["\x61\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD0"],

        ["\xEC\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xBC"],
        ["\x61\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD1"],

        ["\xEC\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xBE"],
        ["\x61\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD2"],

        ["\xEC\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA9"],
        ["\x96\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD3"],

        ["\xEC\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xC7"],
        ["\x61\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD4"],

        ["\xEC\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xC8"],
        ["\x61\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD5"],

        ["\xEC\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xAA"],
        ["\x96\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD6"],

        ["\xEC\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xAB"],
        ["\x96\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD7"],

        ["\xCB\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xAC"],
        ["\x96\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],

        ["\xEC\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xAD"],
        ["\x96\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD8"],

        ["\xEC\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xD3"],
        ["\x61\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xD9"],

        ["\xEC\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xAE"],
        ["\x96\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xDA"],

        ["\xEC\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xAF"],
        ["\x96\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xDB"],

        ["\xEC\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xDA"],
        ["\x61\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xDC"],

        ["\xEC\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB0"],
        ["\x96\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xDD"],

        ["\xEC\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB1"],
        ["\x96\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xDE"],

        ["\xEC\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xDD"],
        ["\x61\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xDF"],

        ["\xEC\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB2"],
        ["\x96\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE0"],

        ["\xEC\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB3"],
        ["\x96\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE1"],

        ["\xEC\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB4"],
        ["\x96\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE2"],

        ["\xEC\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB5"],
        ["\x96\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE3"],

        ["\xEC\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x61\xE9"],
        ["\x61\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE4"],

        ["\xEC\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB6"],
        ["\x96\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE5"],

        ["\xEC\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB7"],
        ["\x96\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE6"],

        ["\xEC\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB8"],
        ["\x96\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE7"],

        ["\xEC\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB9"],
        ["\x96\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE8"],

        ["\xCB\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xBA"],
        ["\x96\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xE4"],

        ["\xEC\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xBB"],
        ["\x96\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xE9"],

        ["\xEC\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xBC"],
        ["\x96\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xEA"],

        ["\xEC\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xBD"],
        ["\x96\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xEB"],

        ["\xEC\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xBE"],
        ["\x96\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xEC"],

        ["\xEC\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xA1"],
        ["\x62\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xED"],

        ["\xEC\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xBF"],
        ["\x96\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xEE"],

        ["\xEC\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xA4"],
        ["\x62\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xEF"],

        ["\xEC\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC0"],
        ["\x96\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF0"],

        ["\xEC\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC1"],
        ["\x96\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF1"],

        ["\xEC\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xAB"],
        ["\x62\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF2"],

        ["\xEC\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xAD"],
        ["\x62\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF3"],

        ["\xCB\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xAE"],
        ["\x62\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCB\xF9"],

        ["\xEC\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC2"],
        ["\x96\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF4"],

        ["\xEC\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC3"],
        ["\x96\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF5"],

        ["\xEC\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC4"],
        ["\x96\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF6"],

        ["\xEC\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC5"],
        ["\x96\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF7"],

        ["\xCC\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xB1"],
        ["\x62\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],

        ["\xCC\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xB2"],
        ["\x62\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],

        ["\xEC\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC6"],
        ["\x96\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF8"],

        ["\xEC\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC7"],
        ["\x96\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xF9"],

        ["\xEC\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC8"],
        ["\x96\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xFA"],

        ["\xCC\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xB4"],
        ["\x62\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],

        ["\xEC\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xC9"],
        ["\x96\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xFB"],

        ["\xEC\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCA"],
        ["\x96\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xFC"],

        ["\xEC\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xB6"],
        ["\x62\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xFD"],

        ["\xEC\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCB"],
        ["\x96\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEC\xFE"],

        ["\xED\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xBA"],
        ["\x62\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xA1"],

        ["\xED\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCC"],
        ["\x96\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xA2"],

        ["\xED\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCD"],
        ["\x96\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xA3"],

        ["\xED\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCE"],
        ["\x96\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xA4"],

        ["\xED\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCF"],
        ["\x96\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xA5"],

        ["\xCC\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD0"],
        ["\x96\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xC9"],

        ["\xED\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD1"],
        ["\x96\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xA6"],

        ["\xED\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD2"],
        ["\x96\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xA7"],

        ["\xED\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD3"],
        ["\x96\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xA8"],

        ["\xED\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC1"],
        ["\x62\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xA9"],

        ["\xED\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC2"],
        ["\x62\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xAA"],

        ["\xED\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD4"],
        ["\x96\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xAB"],

        ["\xED\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD5"],
        ["\x96\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xAC"],

        ["\xED\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD6"],
        ["\x96\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xAD"],

        ["\xED\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD7"],
        ["\x96\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xAE"],

        ["\xCC\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC5"],
        ["\x62\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xD9"],

        ["\xED\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD8"],
        ["\x96\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xAF"],

        ["\xED\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xD9"],
        ["\x96\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB0"],

        ["\xED\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDA"],
        ["\x96\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB1"],

        ["\xED\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDB"],
        ["\x96\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB2"],

        ["\xED\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDC"],
        ["\x96\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB3"],

        ["\xED\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDD"],
        ["\x96\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB4"],

        ["\xED\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDE"],
        ["\x96\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB5"],

        ["\xED\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDF"],
        ["\x96\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB6"],

        ["\xED\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xCB"],
        ["\x62\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB7"],

        ["\xED\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xCF"],
        ["\x62\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB8"],

        ["\xED\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE0"],
        ["\x96\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xB9"],

        ["\xED\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE1"],
        ["\x96\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xBA"],

        ["\xED\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE2"],
        ["\x96\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xBB"],

        ["\xED\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE3"],
        ["\x96\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xBC"],

        ["\xED\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD0"],
        ["\x62\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xBD"],

        ["\xED\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD7"],
        ["\x62\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xBE"],

        ["\xED\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE4"],
        ["\x96\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xBF"],

        ["\xCC\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE5"],
        ["\x96\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCC\xE9"],

        ["\xED\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE6"],
        ["\x96\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC0"],

        ["\xED\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE7"],
        ["\x96\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC1"],

        ["\xED\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE8"],
        ["\x96\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC2"],

        ["\xED\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xE9"],
        ["\x96\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC3"],

        ["\xED\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xEA"],
        ["\x96\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC4"],

        ["\xED\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xDE"],
        ["\x62\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC5"],

        ["\xED\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xEB"],
        ["\x96\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC6"],

        ["\xED\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE1"],
        ["\x62\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC7"],

        ["\xED\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xEC"],
        ["\x96\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC8"],

        ["\xED\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xED"],
        ["\x96\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xC9"],

        ["\xED\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xEE"],
        ["\x96\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xCA"],

        ["\xED\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xEF"],
        ["\x96\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xCB"],

        ["\xED\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF0"],
        ["\x96\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xCC"],

        ["\xED\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE6"],
        ["\x62\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xCD"],

        ["\xED\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE9"],
        ["\x62\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xCE"],

        ["\xED\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF1"],
        ["\x96\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xCF"],

        ["\xED\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xEB"],
        ["\x62\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD0"],

        ["\xED\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF2"],
        ["\x96\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD1"],

        ["\xED\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xEC"],
        ["\x62\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD2"],

        ["\xED\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF3"],
        ["\x96\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD3"],

        ["\xED\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF4"],
        ["\x96\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD4"],

        ["\xED\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xEE"],
        ["\x62\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD5"],

        ["\xED\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF5"],
        ["\x96\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD6"],

        ["\xED\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF6"],
        ["\x96\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD7"],

        ["\xED\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF7"],
        ["\x96\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD8"],

        ["\xED\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF8"],
        ["\x96\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xD9"],

        ["\xED\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xF9"],
        ["\x96\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xDA"],

        ["\xED\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF5"],
        ["\x62\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xDB"],

        ["\xED\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xFA"],
        ["\x96\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xDC"],

        ["\xED\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xFB"],
        ["\x96\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xDD"],

        ["\xED\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xFC"],
        ["\x96\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xDE"],

        ["\xED\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xFD"],
        ["\x96\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xDF"],

        ["\xED\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xFE"],
        ["\x96\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE0"],

        ["\xED\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA1"],
        ["\x97\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE1"],

        ["\xCD\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xA7"],
        ["\x63\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xC8"],

        ["\xED\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA2"],
        ["\x97\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE2"],

        ["\xCD\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA3"],
        ["\x97\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],

        ["\xCD\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC1"],
        ["\x63\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],

        ["\xED\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA4"],
        ["\x97\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE3"],

        ["\xED\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA5"],
        ["\x97\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE4"],

        ["\xED\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC5"],
        ["\x63\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE5"],

        ["\xED\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA6"],
        ["\x97\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE6"],

        ["\xED\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA7"],
        ["\x97\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE7"],

        ["\xED\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA8"],
        ["\x97\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE8"],

        ["\xED\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC7"],
        ["\x63\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xE9"],

        ["\xCD\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC8"],
        ["\x63\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xD2"],

        ["\xED\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA9"],
        ["\x97\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xEA"],

        ["\xED\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xAA"],
        ["\x97\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xEB"],

        ["\xED\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xAB"],
        ["\x97\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xEC"],

        ["\xED\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xAC"],
        ["\x97\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xED"],

        ["\xED\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xAD"],
        ["\x97\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xEE"],

        ["\xED\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xAE"],
        ["\x97\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xEF"],

        ["\xED\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xAF"],
        ["\x97\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF0"],

        ["\xED\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB0"],
        ["\x97\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF1"],

        ["\xED\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB1"],
        ["\x97\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF2"],

        ["\xED\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xCC"],
        ["\x63\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF3"],

        ["\xED\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB2"],
        ["\x97\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF4"],

        ["\xED\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB3"],
        ["\x97\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF5"],

        ["\xED\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB4"],
        ["\x97\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF6"],

        ["\xED\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xCE"],
        ["\x63\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF7"],

        ["\xCD\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xCF"],
        ["\x63\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xD9"],

        ["\xED\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB5"],
        ["\x97\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF8"],

        ["\xED\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB6"],
        ["\x97\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xF9"],

        ["\xED\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB7"],
        ["\x97\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xFA"],

        ["\xED\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB8"],
        ["\x97\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xFB"],

        ["\xED\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB9"],
        ["\x97\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xFC"],

        ["\xED\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBA"],
        ["\x97\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xFD"],

        ["\xED\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBB"],
        ["\x97\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xED\xFE"],

        ["\xEE\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBC"],
        ["\x97\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xA1"],

        ["\xEE\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBD"],
        ["\x97\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xA2"],

        ["\xCD\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD2"],
        ["\x63\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],

        ["\xEE\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBE"],
        ["\x97\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xA3"],

        ["\xEE\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBF"],
        ["\x97\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xA4"],

        ["\xEE\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC0"],
        ["\x97\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xA5"],

        ["\xEE\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC1"],
        ["\x97\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xA6"],

        ["\xEE\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC2"],
        ["\x97\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xA7"],

        ["\xEE\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC3"],
        ["\x97\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xA8"],

        ["\xEE\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC4"],
        ["\x97\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xA9"],

        ["\xEE\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC5"],
        ["\x97\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xAA"],

        ["\xEE\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC6"],
        ["\x97\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xAB"],

        ["\xEE\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC7"],
        ["\x97\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xAC"],

        ["\xCD\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC8"],
        ["\x97\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],

        ["\xEE\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xC9"],
        ["\x97\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xAD"],

        ["\xEE\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xCA"],
        ["\x97\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xAE"],

        ["\xEE\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xCB"],
        ["\x97\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xAF"],

        ["\xEE\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xCC"],
        ["\x97\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB0"],

        ["\xEE\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xCD"],
        ["\x97\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB1"],

        ["\xEE\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xCE"],
        ["\x97\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB2"],

        ["\xEE\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xCF"],
        ["\x97\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB3"],

        ["\xEE\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD9"],
        ["\x63\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB4"],

        ["\xEE\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD0"],
        ["\x97\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB5"],

        ["\xEE\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xDA"],
        ["\x63\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB6"],

        ["\xEE\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD1"],
        ["\x97\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB7"],

        ["\xEE\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD2"],
        ["\x97\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB8"],

        ["\xEE\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD3"],
        ["\x97\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xB9"],

        ["\xEE\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD4"],
        ["\x97\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xBA"],

        ["\xEE\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xDB"],
        ["\x63\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xBB"],

        ["\xCD\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD5"],
        ["\x97\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xE5"],

        ["\xEE\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC0"],
        ["\x63\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xBC"],

        ["\xCD\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xDC"],
        ["\x63\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xE3"],

        ["\xEE\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD6"],
        ["\x97\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xBD"],

        ["\xCD\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD7"],
        ["\x97\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xE6"],

        ["\xEE\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD8"],
        ["\x97\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xBE"],

        ["\xCD\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xBF"],
        ["\x63\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xE7"],

        ["\xEE\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xD9"],
        ["\x97\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xBF"],

        ["\xEE\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xDA"],
        ["\x97\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC0"],

        ["\xEE\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE3"],
        ["\x63\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC1"],

        ["\xEE\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xDB"],
        ["\x97\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC2"],

        ["\xD0\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xEB"],
        ["\x63\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],

        ["\xCD\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF0"],
        ["\x63\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],

        ["\xEE\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xDC"],
        ["\x97\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC3"],

        ["\xEE\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xDD"],
        ["\x97\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC4"],

        ["\xEE\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xDE"],
        ["\x97\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC5"],

        ["\xEE\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xDF"],
        ["\x97\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC6"],

        ["\xEE\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE0"],
        ["\x97\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC7"],

        ["\xEE\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE1"],
        ["\x97\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC8"],

        ["\xEE\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE2"],
        ["\x97\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xC9"],

        ["\xEE\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE3"],
        ["\x97\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xCA"],

        ["\xEE\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE4"],
        ["\x97\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xCB"],

        ["\xCD\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xA6"],
        ["\x64\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCD\xF8"],

        ["\xEE\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE5"],
        ["\x97\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xCC"],

        ["\xEE\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE6"],
        ["\x97\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xCD"],

        ["\xEE\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE7"],
        ["\x97\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xCE"],

        ["\xEE\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE8"],
        ["\x97\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xCF"],

        ["\xCE\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF8"],
        ["\x63\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xA1"],

        ["\xEE\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xAB"],
        ["\x64\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD0"],

        ["\xCE\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xE9"],
        ["\x97\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],

        ["\xEE\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xEA"],
        ["\x97\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD1"],

        ["\xEE\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xEB"],
        ["\x97\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD2"],

        ["\xEE\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xEC"],
        ["\x97\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD3"],

        ["\xEE\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xED"],
        ["\x97\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD4"],

        ["\xEE\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xEE"],
        ["\x97\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD5"],

        ["\xEE\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xEF"],
        ["\x97\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD6"],

        ["\xEE\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF0"],
        ["\x97\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD7"],

        ["\xEE\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF1"],
        ["\x97\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD8"],

        ["\xEE\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF2"],
        ["\x97\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xD9"],

        ["\xEE\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF3"],
        ["\x97\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xDA"],

        ["\xEE\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF4"],
        ["\x97\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xDB"],

        ["\xEE\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF5"],
        ["\x97\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xDC"],

        ["\xC9\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF6"],
        ["\x97\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC9\xEB"],

        ["\xEE\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF7"],
        ["\x97\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xDD"],

        ["\xEE\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF8"],
        ["\x97\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xDE"],

        ["\xCE\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC7"],
        ["\x64\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],

        ["\xEE\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xF9"],
        ["\x97\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xDF"],

        ["\xEE\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD1"],
        ["\x64\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE0"],

        ["\xEE\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xFA"],
        ["\x97\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE1"],

        ["\xEE\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD3"],
        ["\x64\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE2"],

        ["\xEE\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xFB"],
        ["\x97\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE3"],

        ["\xEE\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xFC"],
        ["\x97\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE4"],

        ["\xEE\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xCF"],
        ["\x64\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE5"],

        ["\xEE\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xFD"],
        ["\x97\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE6"],

        ["\xEE\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xFE"],
        ["\x97\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE7"],

        ["\xEE\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA1"],
        ["\x98\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE8"],

        ["\xCE\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE3"],
        ["\x64\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],

        ["\xEE\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA2"],
        ["\x98\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xE9"],

        ["\xEE\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA3"],
        ["\x98\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xEA"],

        ["\xEE\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA4"],
        ["\x98\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xEB"],

        ["\xEE\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xEB"],
        ["\x64\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xEC"],

        ["\xEE\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD8"],
        ["\x64\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xED"],

        ["\xCE\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xEF"],
        ["\x64\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xD7"],

        ["\xCE\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF1"],
        ["\x64\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xD1"],

        ["\xCE\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF7"],
        ["\x64\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xD3"],

        ["\xEE\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA5"],
        ["\x98\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xEE"],

        ["\xEE\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA6"],
        ["\x98\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xEF"],

        ["\xEE\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA7"],
        ["\x98\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF0"],

        ["\xCE\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xB1"],
        ["\x65\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xE4"],

        ["\xCE\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xB9"],
        ["\x65\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],

        ["\xEE\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA8"],
        ["\x98\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF1"],

        ["\xEE\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC1"],
        ["\x65\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF2"],

        ["\xEE\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA9"],
        ["\x98\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF3"],

        ["\xEE\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xAA"],
        ["\x98\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF4"],

        ["\xEE\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xBF"],
        ["\x65\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF5"],

        ["\xEE\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC0"],
        ["\x65\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF6"],

        ["\xEE\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC2"],
        ["\x65\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF7"],

        ["\xCE\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xAB"],
        ["\x98\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCE\xF5"],

        ["\xEE\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xAC"],
        ["\x98\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF8"],

        ["\xEE\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xAD"],
        ["\x98\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xF9"],

        ["\xEE\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xAE"],
        ["\x98\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xFA"],

        ["\xEE\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xAF"],
        ["\x98\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xFB"],

        ["\xEE\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB0"],
        ["\x98\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xFC"],

        ["\xEE\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xDE"],
        ["\x64\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xFD"],

        ["\xEE\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB1"],
        ["\x98\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEE\xFE"],

        ["\xEF\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB2"],
        ["\x98\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xA1"],

        ["\xEF\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD2"],
        ["\x65\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xA2"],

        ["\xEF\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD3"],
        ["\x65\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xA3"],

        ["\xCF\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD8"],
        ["\x65\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],

        ["\xEF\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB3"],
        ["\x98\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4"],

        ["\xEF\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB4"],
        ["\x98\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xA5"],

        ["\xEF\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB5"],
        ["\x98\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xA6"],

        ["\xEF\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB6"],
        ["\x98\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7"],

        ["\xCF\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xDA"],
        ["\x65\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],

        ["\xCF\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE1"],
        ["\x65\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],

        ["\xEF\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB7"],
        ["\x98\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8"],

        ["\xCA\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE0"],
        ["\x65\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCA\xE5"],

        ["\xEF\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xFB"],
        ["\x65\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9"],

        ["\xCF\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xA6"],
        ["\x66\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],

        ["\xEF\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB8"],
        ["\x98\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xAA"],

        ["\xCF\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xA7"],
        ["\x66\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],

        ["\xEF\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB9"],
        ["\x98\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xAB"],

        ["\xEF\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xBA"],
        ["\x98\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xAC"],

        ["\xEF\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xBB"],
        ["\x98\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xAD"],

        ["\xEF\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xBC"],
        ["\x98\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xAE"],

        ["\xEF\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xBD"],
        ["\x98\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xAF"],

        ["\xEF\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xBE"],
        ["\x98\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB0"],

        ["\xCF\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xBC"],
        ["\x66\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xC8"],

        ["\xEF\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xBE"],
        ["\x66\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB1"],

        ["\xEF\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC0"],
        ["\x66\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB2"],

        ["\xEF\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xBF"],
        ["\x98\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB3"],

        ["\xEF\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC0"],
        ["\x98\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB4"],

        ["\xEF\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC1"],
        ["\x98\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB5"],

        ["\xEF\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xCC"],
        ["\x66\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB6"],

        ["\xEF\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC2"],
        ["\x98\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB7"],

        ["\xEF\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC3"],
        ["\x98\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB8"],

        ["\xEF\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD6"],
        ["\x66\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9"],

        ["\xEF\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC4"],
        ["\x98\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xBA"],

        ["\xEF\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC5"],
        ["\x98\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xBB"],

        ["\xCF\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC6"],
        ["\x98\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xCF\xFB"],

        ["\xEF\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC7"],
        ["\x98\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC"],

        ["\xD0\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD9"],
        ["\x67\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD0\xBE"],

        ["\xEF\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC8"],
        ["\x98\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD"],

        ["\xEF\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xC9"],
        ["\x98\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xBE"],

        ["\xEF\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xCA"],
        ["\x98\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF"],

        ["\xD1\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF3"],
        ["\x69\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],

        ["\xD1\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xA1"],
        ["\x6A\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD1\xEB"],

        ["\xEF\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xA3"],
        ["\x6A\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC0"],

        ["\xEF\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xEC"],
        ["\x6A\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC1"],

        ["\xEF\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xCB"],
        ["\x98\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC2"],

        ["\xD3\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xDE"],
        ["\x6B\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],

        ["\xB6\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xCC"],
        ["\x98\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xB6\xD2"],

        ["\xEF\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xBA"],
        ["\x68\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC3"],

        ["\xEF\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xCD"],
        ["\x98\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC4"],

        ["\xEF\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xCE"],
        ["\x98\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC5"],

        ["\xD3\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xCA"],
        ["\x68\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xB8"],

        ["\xEF\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xCF"],
        ["\x98\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC6"],

        ["\xEF\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD0"],
        ["\x98\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC7"],

        ["\xEF\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD1"],
        ["\x98\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC8"],

        ["\xEF\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD2"],
        ["\x98\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xC9"],

        ["\xEF\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD3"],
        ["\x98\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xCA"],

        ["\xEF\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD4"],
        ["\x98\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xCB"],

        ["\xEF\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD5"],
        ["\x98\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xCC"],

        ["\xD3\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD6"],
        ["\x98\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xE1"],

        ["\xD3\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE1"],
        ["\x6C\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],

        ["\xEF\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD7"],
        ["\x98\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xCD"],

        ["\xC2\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD8"],
        ["\x98\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],

        ["\xEF\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xD9"],
        ["\x98\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xCE"],

        ["\xEF\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xDA"],
        ["\x98\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xCF"],

        ["\xEF\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xDB"],
        ["\x98\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD0"],

        ["\xEF\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xDC"],
        ["\x98\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD1"],

        ["\xEF\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xDD"],
        ["\x98\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD2"],

        ["\xEF\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xDE"],
        ["\x98\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD3"],

        ["\xEF\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xDF"],
        ["\x98\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD4"],

        ["\xEF\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE0"],
        ["\x98\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD5"],

        ["\xEF\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE1"],
        ["\x98\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD6"],

        ["\xEF\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE2"],
        ["\x98\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD7"],

        ["\xEF\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE3"],
        ["\x98\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD8"],

        ["\xEF\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE4"],
        ["\x98\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xD9"],

        ["\xEF\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF4"],
        ["\x6D\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xDA"],

        ["\xEF\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE5"],
        ["\x98\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xDB"],

        ["\xEF\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE6"],
        ["\x98\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xDC"],

        ["\xEF\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE7"],
        ["\x98\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xDD"],

        ["\xEF\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE8"],
        ["\x98\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xDE"],

        ["\xD4\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xE9"],
        ["\x98\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xDA"],

        ["\xEF\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xEA"],
        ["\x98\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xDF"],

        ["\xEF\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xEB"],
        ["\x98\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE0"],

        ["\xEF\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xEC"],
        ["\x98\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE1"],

        ["\xEF\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xED"],
        ["\x98\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE2"],

        ["\xEF\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xEE"],
        ["\x98\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE3"],

        ["\xEF\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xEF"],
        ["\x98\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE4"],

        ["\xEF\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF0"],
        ["\x98\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE5"],

        ["\xEF\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF1"],
        ["\x98\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE6"],

        ["\xEF\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF2"],
        ["\x98\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE7"],

        ["\xEF\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF3"],
        ["\x98\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE8"],

        ["\xEF\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF4"],
        ["\x98\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xE9"],

        ["\xD4\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF5"],
        ["\x98\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xE1"],

        ["\xEF\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xAF"],
        ["\x6E\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xEA"],

        ["\xEF\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF6"],
        ["\x98\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xEB"],

        ["\xEF\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF7"],
        ["\x98\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xEC"],

        ["\xD4\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF8"],
        ["\x98\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],

        ["\xEF\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xF9"],
        ["\x98\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xED"],

        ["\xEF\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xFA"],
        ["\x98\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xEE"],

        ["\xEF\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xFB"],
        ["\x98\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xEF"],

        ["\xEF\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xFC"],
        ["\x98\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF0"],

        ["\xEF\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xFD"],
        ["\x98\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF1"],

        ["\xEF\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xFE"],
        ["\x98\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF2"],

        ["\xEF\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA1"],
        ["\x99\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF3"],

        ["\xEF\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA2"],
        ["\x99\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF4"],

        ["\xEF\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA3"],
        ["\x99\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF5"],

        ["\xEF\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA4"],
        ["\x99\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF6"],

        ["\xEF\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA5"],
        ["\x99\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF7"],

        ["\xD4\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xCF"],
        ["\x6E\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xEE"],

        ["\xEF\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA6"],
        ["\x99\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF8"],

        ["\xEF\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD1"],
        ["\x6E\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xF9"],

        ["\xEF\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA7"],
        ["\x99\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xFA"],

        ["\xEF\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA8"],
        ["\x99\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xFB"],

        ["\xEF\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA9"],
        ["\x99\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xFC"],

        ["\xEF\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xAA"],
        ["\x99\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xFD"],

        ["\xD4\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xDC"],
        ["\x6E\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD4\xFC"],

        ["\xEF\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xAB"],
        ["\x99\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xEF\xFE"],

        ["\xF0\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xAC"],
        ["\x99\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],

        ["\xD5\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xAD"],
        ["\x99\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],

        ["\xF0\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xAE"],
        ["\x99\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2"],

        ["\xF0\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xAF"],
        ["\x99\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3"],

        ["\xF0\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB0"],
        ["\x99\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4"],

        ["\xF0\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB1"],
        ["\x99\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5"],

        ["\xD5\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE1"],
        ["\x6E\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xAD"],

        ["\xD5\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB2"],
        ["\x99\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xA9"],

        ["\xF0\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB3"],
        ["\x99\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6"],

        ["\xF0\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB4"],
        ["\x99\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7"],

        ["\xF0\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB5"],
        ["\x99\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8"],

        ["\xD5\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB6"],
        ["\x99\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xB1"],

        ["\xF0\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB7"],
        ["\x99\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9"],

        ["\xF0\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB8"],
        ["\x99\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA"],

        ["\xF0\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB9"],
        ["\x99\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],

        ["\xF0\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBA"],
        ["\x99\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xAC"],

        ["\xF0\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBB"],
        ["\x99\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xAD"],

        ["\xF0\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBC"],
        ["\x99\xBC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xAE"],

        ["\xF0\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBD"],
        ["\x99\xBD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xAF"],

        ["\xF0\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBE"],
        ["\x99\xBE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],

        ["\xF0\xB1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBF"],
        ["\x99\xBF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB1"],

        ["\xF0\xB2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC0"],
        ["\x99\xC0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB2"],

        ["\xD5\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC1"],
        ["\x99\xC1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xB4"],

        ["\xD5\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC2"],
        ["\x99\xC2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xB6"],

        ["\xF0\xB3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC3"],
        ["\x99\xC3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB3"],

        ["\xD5\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC4"],
        ["\x99\xC4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xB7"],

        ["\xF0\xB4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE8"],
        ["\x6E\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB4"],

        ["\xF0\xB5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC5"],
        ["\x99\xC5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB5"],

        ["\xF0\xB6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC6"],
        ["\x99\xC6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB6"],

        ["\xF0\xB7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC7"],
        ["\x99\xC7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB7"],

        ["\xF0\xB8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC8"],
        ["\x99\xC8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB8"],

        ["\xF0\xB9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xC9"],
        ["\x99\xC9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xB9"],

        ["\xF0\xBA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xCA"],
        ["\x99\xCA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xBA"],

        ["\xF0\xBB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xCB"],
        ["\x99\xCB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xBB"],

        ["\xF0\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xCC"],
        ["\x99\xCC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xBC"],

        ["\xF0\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE9"],
        ["\x6E\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xBD"],

        ["\xF0\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xCD"],
        ["\x99\xCD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xBE"],

        ["\xF0\xBF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xCE"],
        ["\x99\xCE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xBF"],

        ["\xF0\xC0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xCF"],
        ["\x99\xCF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],

        ["\xD5\xBC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD0"],
        ["\x99\xD0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xBC"],

        ["\xF0\xC1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD1"],
        ["\x99\xD1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],

        ["\xF0\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD2"],
        ["\x99\xD2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],

        ["\xF0\xC3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD3"],
        ["\x99\xD3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],

        ["\xD5\xBD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD4"],
        ["\x99\xD4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xBD"],

        ["\xD5\xBE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD5"],
        ["\x99\xD5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xBE"],

        ["\xF0\xC4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD6"],
        ["\x99\xD6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],

        ["\xF0\xC5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD7"],
        ["\x99\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],

        ["\xF0\xC6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD8"],
        ["\x99\xD8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],

        ["\xF0\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xD9"],
        ["\x99\xD9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],

        ["\xF0\xC8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xDA"],
        ["\x99\xDA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],

        ["\xD5\xC2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF4"],
        ["\x6E\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],

        ["\xF0\xC9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF5"],
        ["\x6E\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],

        ["\xF0\xCA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xDB"],
        ["\x99\xDB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xCA"],

        ["\xF0\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xDC"],
        ["\x99\xDC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xCB"],

        ["\xF0\xCC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xDD"],
        ["\x99\xDD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xCC"],

        ["\xD5\xC7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF8"],
        ["\x6E\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],

        ["\xF0\xCD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xDE"],
        ["\x99\xDE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xCD"],

        ["\xF0\xCE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xDF"],
        ["\x99\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xCE"],

        ["\xF0\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE0"],
        ["\x99\xE0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xCF"],

        ["\xF0\xD0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE1"],
        ["\x99\xE1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],

        ["\xF0\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE2"],
        ["\x99\xE2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],

        ["\xF0\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xFA"],
        ["\x6E\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],

        ["\xF0\xD3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE3"],
        ["\x99\xE3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],

        ["\xF0\xD4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE4"],
        ["\x99\xE4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],

        ["\xD5\xCF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xFD"],
        ["\x6E\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xCF"],

        ["\xF0\xD5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE5"],
        ["\x99\xE5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],

        ["\xF0\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE6"],
        ["\x99\xE6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],

        ["\xF0\xD7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE7"],
        ["\x99\xE7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],

        ["\xF0\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE8"],
        ["\x99\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],

        ["\xF0\xD9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xE9"],
        ["\x99\xE9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],

        ["\xD5\xD1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xEA"],
        ["\x99\xEA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],

        ["\xF0\xDA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xEB"],
        ["\x99\xEB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xDA"],

        ["\xF0\xDB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xEC"],
        ["\x99\xEC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xDB"],

        ["\xD5\xD2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xED"],
        ["\x99\xED",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],

        ["\xF0\xDC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xEE"],
        ["\x99\xEE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xDC"],

        ["\xD5\xD6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xA7"],
        ["\x6F\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],

        ["\xF0\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xEF"],
        ["\x99\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xDD"],

        ["\xD3\xCB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xA8"],
        ["\x6F\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD3\xCB"],

        ["\xF0\xDE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF0"],
        ["\x99\xF0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xDE"],

        ["\xF0\xDF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF1"],
        ["\x99\xF1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xDF"],

        ["\xD5\xD8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xA9"],
        ["\x6F\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],

        ["\xF0\xE0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF2"],
        ["\x99\xF2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],

        ["\xF0\xE1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF3"],
        ["\x99\xF3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE1"],

        ["\xF0\xE2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF4"],
        ["\x99\xF4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],

        ["\xF0\xE3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF5"],
        ["\x99\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],

        ["\xF0\xE4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF6"],
        ["\x99\xF6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],

        ["\xF0\xE5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xAA"],
        ["\x6F\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],

        ["\xF0\xE6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF7"],
        ["\x99\xF7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],

        ["\xF0\xE7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF8"],
        ["\x99\xF8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],

        ["\xF0\xE8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xF9"],
        ["\x99\xF9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],

        ["\xF0\xE9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xFA"],
        ["\x99\xFA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],

        ["\xF0\xEA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xAB"],
        ["\x6F\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xEA"],

        ["\xF0\xEB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xFB"],
        ["\x99\xFB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xEB"],

        ["\xD5\xDD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xAF"],
        ["\x6F\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xDD"],

        ["\xF0\xEC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xFC"],
        ["\x99\xFC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xEC"],

        ["\xF0\xED",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xFD"],
        ["\x99\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xED"],

        ["\xF0\xEE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xFE"],
        ["\x99\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xEE"],

        ["\xF0\xEF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA1"],
        ["\x9A\xA1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xEF"],

        ["\xF0\xF0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA2"],
        ["\x9A\xA2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],

        ["\xF0\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xBB"],
        ["\x6F\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],

        ["\xF0\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA3"],
        ["\x9A\xA3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],

        ["\xF0\xF3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA4"],
        ["\x9A\xA4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],

        ["\xF0\xF4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA5"],
        ["\x9A\xA5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],

        ["\xF0\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA6"],
        ["\x9A\xA6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],

        ["\xF0\xF6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA7"],
        ["\x9A\xA7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],

        ["\xF0\xF7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD7"],
        ["\x6F\xD7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],

        ["\xF0\xF8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA8"],
        ["\x9A\xA8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],

        ["\xF0\xF9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xDF"],
        ["\x6F\xDF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],

        ["\xF0\xFA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA9"],
        ["\x9A\xA9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xFA"],

        ["\xF0\xFB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAA"],
        ["\x9A\xAA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xFB"],

        ["\xF0\xFC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAB"],
        ["\x9A\xAB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xFC"],

        ["\xF0\xFD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAC"],
        ["\x9A\xAC",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xFD"],

        ["\xD5\xF1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE8"],
        ["\x6F\xE8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],

        ["\xF0\xFE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xEF"],
        ["\x6F\xEF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF0\xFE"],

        ["\xD5\xF2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAD"],
        ["\x9A\xAD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],

        ["\xF1\xA1",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAE"],
        ["\x9A\xAE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],

        ["\xF1\xA2",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAF"],
        ["\x9A\xAF",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xA2"],

        ["\xD5\xF5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF5"],
        ["\x6F\xF5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],

        ["\xF1\xA3",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB0"],
        ["\x9A\xB0",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xA3"],

        ["\xF1\xA4",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB1"],
        ["\x9A\xB1",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xA4"],

        ["\xF1\xA5",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB2"],
        ["\x9A\xB2",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xA5"],

        ["\xF1\xA6",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xFD"],
        ["\x6F\xFD",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xA6"],

        ["\xF1\xA7",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB3"],
        ["\x9A\xB3",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xA7"],

        ["\xF1\xA8",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB4"],
        ["\x9A\xB4",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xA8"],

        ["\xF1\xA9",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB5"],
        ["\x9A\xB5",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xA9"],

        ["\xF1\xAA",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB6"],
        ["\x9A\xB6",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xAA"],

        ["\xF1\xAB",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xFE"],
        ["\x6F\xFE",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],

        ["\xF1\xAC",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB7"],
        ["\x9A\xB7",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xAC"],

        ["\xF1\xAD",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB8"],
        ["\x9A\xB8",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xAD"],

        ["\xF1\xAE",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB9"],
        ["\x9A\xB9",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xAE"],

        ["\xF1\xAF",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xBA"],
        ["\x9A\xBA",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xAF"],

        ["\xF1\xB0",'jef','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xBB"],
        ["\x9A\xBB",'jipsj','jef',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],

    );
    $|=1; print "1..",scalar(@test),"\n"; my $testno=1; sub ok { print $_[0]?'ok ':'not ok ',$testno++,$_[1]?" - $_[1]\n":"\n" }
}

use Jacode4e::RoundTrip;

for my $test (@test) {
    my($give,$OUTPUT_encoding,$INPUT_encoding,$option,$want) = @{$test};
    my $got = $give;
    my $return = Jacode4e::RoundTrip::convert(\$got,$OUTPUT_encoding,$INPUT_encoding,$option);

    my $option_content = '';
    if (defined $option) {
        $option_content .= qq{INPUT_LAYOUT=>$option->{'INPUT_LAYOUT'}}        if exists $option->{'INPUT_LAYOUT'};
        $option_content .= qq{OUTPUT_SHIFTING=>$option->{'OUTPUT_SHIFTING'}}  if exists $option->{'OUTPUT_SHIFTING'};
        $option_content .= qq{SPACE=>@{[uc unpack('H*',$option->{'SPACE'})]}} if exists $option->{'SPACE'};
        $option_content .= qq{GETA=>@{[uc unpack('H*',$option->{'GETA'})]}}   if exists $option->{'GETA'};
        $option_content = "{$option_content}";
    }

    ok(($return > 0) and ($got eq $want),
        sprintf(qq{$INPUT_encoding(%s) to $OUTPUT_encoding(%s), $option_content => return=$return,got=(%s)},
            uc unpack('H*',$give),
            uc unpack('H*',$want),
            uc unpack('H*',$got),
        )
    );
}

__END__
