######################################################################
#
# 5086_jipse_by_jipsj_RT_DBCS.t
#
# Copyright (c) 2018, 2019 INABA Hitoshi <ina@cpan.org> in a CPAN
######################################################################

use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";

BEGIN {
    use vars qw(@test);
    @test = (
        ["\x21\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4F"],
        ["\x4F\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x21"],

        ["\x21\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x7F"],
        ["\x4F\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x22"],

        ["\x21\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x7B"],
        ["\x4F\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x23"],

        ["\x21\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE0"],
        ["\x4F\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x24"],

        ["\x21\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x6C"],
        ["\x4F\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x25"],

        ["\x21\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x50"],
        ["\x4F\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x26"],

        ["\x21\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x7D"],
        ["\x4F\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x27"],

        ["\x21\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4D"],
        ["\x4F\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x28"],

        ["\x21\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x5D"],
        ["\x4F\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x29"],

        ["\x21\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x5C"],
        ["\x4F\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x2A"],

        ["\x21\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4E"],
        ["\x4F\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x2B"],

        ["\x21\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x6B"],
        ["\x4F\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x2C"],

        ["\x21\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x60"],
        ["\x4F\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x2D"],

        ["\x21\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4B"],
        ["\x4F\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x2E"],

        ["\x21\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x61"],
        ["\x4F\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x2F"],

        ["\x21\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF0"],
        ["\x4F\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x30"],

        ["\x21\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF1"],
        ["\x4F\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x31"],

        ["\x21\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF2"],
        ["\x4F\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x32"],

        ["\x21\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF3"],
        ["\x4F\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x33"],

        ["\x21\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF4"],
        ["\x4F\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x34"],

        ["\x21\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF5"],
        ["\x4F\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x35"],

        ["\x21\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF6"],
        ["\x4F\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x36"],

        ["\x21\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF7"],
        ["\x4F\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x37"],

        ["\x21\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF8"],
        ["\x4F\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x38"],

        ["\x21\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xF9"],
        ["\x4F\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x39"],

        ["\x21\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x7A"],
        ["\x4F\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x3A"],

        ["\x21\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x5E"],
        ["\x4F\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x3B"],

        ["\x21\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4C"],
        ["\x4F\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x3C"],

        ["\x21\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x7E"],
        ["\x4F\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x3D"],

        ["\x21\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x6E"],
        ["\x4F\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x3E"],

        ["\x21\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x6F"],
        ["\x4F\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x3F"],

        ["\x21\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x7C"],
        ["\x4F\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x40"],

        ["\x21\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC1"],
        ["\x4F\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x41"],

        ["\x21\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC2"],
        ["\x4F\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x42"],

        ["\x21\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC3"],
        ["\x4F\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x43"],

        ["\x21\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC4"],
        ["\x4F\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x44"],

        ["\x21\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC5"],
        ["\x4F\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x45"],

        ["\x21\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC6"],
        ["\x4F\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x46"],

        ["\x21\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC7"],
        ["\x4F\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x47"],

        ["\x21\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC8"],
        ["\x4F\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x48"],

        ["\x21\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC9"],
        ["\x4F\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x49"],

        ["\x21\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD1"],
        ["\x4F\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x4A"],

        ["\x21\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD2"],
        ["\x4F\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x4B"],

        ["\x21\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD3"],
        ["\x4F\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x4C"],

        ["\x21\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD4"],
        ["\x4F\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x4D"],

        ["\x21\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD5"],
        ["\x4F\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x4E"],

        ["\x21\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD6"],
        ["\x4F\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x4F"],

        ["\x21\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD7"],
        ["\x4F\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x50"],

        ["\x21\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD8"],
        ["\x4F\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x51"],

        ["\x21\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD9"],
        ["\x4F\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x52"],

        ["\x21\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE2"],
        ["\x4F\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x53"],

        ["\x21\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE3"],
        ["\x4F\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x54"],

        ["\x21\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE4"],
        ["\x4F\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x55"],

        ["\x21\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE5"],
        ["\x4F\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x56"],

        ["\x21\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE6"],
        ["\x4F\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x57"],

        ["\x21\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE7"],
        ["\x4F\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x58"],

        ["\x21\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE8"],
        ["\x4F\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x59"],

        ["\x21\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xE9"],
        ["\x4F\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x5A"],

        ["\x21\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4A"],
        ["\x4F\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x5B"],

        ["\x21\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x5B"],
        ["\x4F\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x5C"],

        ["\x21\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x5A"],
        ["\x4F\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x5D"],

        ["\x21\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x5F"],
        ["\x4F\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x5E"],

        ["\x21\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x6D"],
        ["\x4F\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x5F"],

        ["\x21\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x79"],
        ["\x4F\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x60"],

        ["\x21\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x57"],
        ["\x4F\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x61"],

        ["\x21\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x59"],
        ["\x4F\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x62"],

        ["\x21\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x62"],
        ["\x4F\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x63"],

        ["\x21\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x63"],
        ["\x4F\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x64"],

        ["\x21\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x64"],
        ["\x4F\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x65"],

        ["\x21\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x65"],
        ["\x4F\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x66"],

        ["\x21\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x66"],
        ["\x4F\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x67"],

        ["\x21\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x67"],
        ["\x4F\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x68"],

        ["\x21\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x68"],
        ["\x4F\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x69"],

        ["\x21\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x69"],
        ["\x4F\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x6A"],

        ["\x21\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x70"],
        ["\x4F\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x6B"],

        ["\x21\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x71"],
        ["\x4F\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x6C"],

        ["\x21\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x72"],
        ["\x4F\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x6D"],

        ["\x21\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x73"],
        ["\x4F\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x6E"],

        ["\x21\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x74"],
        ["\x4F\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x6F"],

        ["\x21\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x75"],
        ["\x4F\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x70"],

        ["\x21\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x76"],
        ["\x4F\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x71"],

        ["\x21\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x77"],
        ["\x4F\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x72"],

        ["\x21\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x78"],
        ["\x4F\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x73"],

        ["\x21\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x80"],
        ["\x4F\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x74"],

        ["\x21\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x8B"],
        ["\x4F\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x75"],

        ["\x21\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x9B"],
        ["\x4F\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x76"],

        ["\x21\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x9C"],
        ["\x4F\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x77"],

        ["\x21\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xA0"],
        ["\x4F\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x78"],

        ["\x21\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xAB"],
        ["\x4F\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x79"],

        ["\x21\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xB0"],
        ["\x4F\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x7A"],

        ["\x21\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xC0"],
        ["\x4F\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x7B"],

        ["\x21\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x6A"],
        ["\x4F\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x7C"],

        ["\x21\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xD0"],
        ["\x4F\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x7D"],

        ["\x21\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4F\xA1"],
        ["\x4F\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x21\x7E"],

        ["\x22\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x4F"],
        ["\x7F\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x21"],

        ["\x22\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x7F"],
        ["\x7F\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x22"],

        ["\x22\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x7B"],
        ["\x7F\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x23"],

        ["\x22\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\xE0"],
        ["\x7F\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x24"],

        ["\x22\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x6C"],
        ["\x7F\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x25"],

        ["\x22\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x50"],
        ["\x7F\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x26"],

        ["\x22\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x7D"],
        ["\x7F\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x27"],

        ["\x22\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x4D"],
        ["\x7F\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x28"],

        ["\x22\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x5D"],
        ["\x7F\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x29"],

        ["\x22\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x5C"],
        ["\x7F\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x2A"],

        ["\x22\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x4E"],
        ["\x7F\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x2B"],

        ["\x22\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x6B"],
        ["\x7F\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x2C"],

        ["\x22\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x60"],
        ["\x7F\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x2D"],

        ["\x22\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7F\x4B"],
        ["\x7F\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x22\x2E"],

        ["\xA5\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xA9"],
        ["\x45\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xD4"],

        ["\xA5\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xAA"],
        ["\x45\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xD5"],

        ["\xA6\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xEA"],
        ["\x46\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xF4"],

        ["\xA6\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xEB"],
        ["\x46\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xF5"],

        ["\xA5\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xA7"],
        ["\x45\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xD2"],

        ["\xA5\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xA8"],
        ["\x45\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xD3"],

        ["\x2D\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6A"],
        ["\x60\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x7C"],

        ["\x2D\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC0"],
        ["\x60\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x7B"],

        ["\xA5\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xA5"],
        ["\x45\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xD0"],

        ["\xA5\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xA6"],
        ["\x45\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xD1"],

        ["\x74\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x4F"],
        ["\x80\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x21"],

        ["\xA6\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xEC"],
        ["\x46\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xF6"],

        ["\xA6\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xED"],
        ["\x46\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xF7"],

        ["\xA5\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xB9"],
        ["\x45\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xE7"],

        ["\xA5\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xCA"],
        ["\x45\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xE8"],

        ["\x2D\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x9C"],
        ["\x60\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x77"],

        ["\x2D\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x9B"],
        ["\x60\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x76"],

        ["\xA6\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xEE"],
        ["\x46\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xF8"],

        ["\xA5\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x9D"],
        ["\x45\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],

        ["\xA6\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xEF"],
        ["\x46\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xF9"],

        ["\x2D\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x76"],
        ["\x60\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x71"],

        ["\x2D\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x75"],
        ["\x60\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x70"],

        ["\xA5\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xB3"],
        ["\x45\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xE1"],

        ["\xA5\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xB4"],
        ["\x45\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xE2"],

        ["\x2D\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x8B"],
        ["\x60\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x75"],

        ["\xA5\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xBD"],
        ["\x45\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xDD"],

        ["\xA5\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xBC"],
        ["\x45\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],

        ["\x2D\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xB0"],
        ["\x60\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x7A"],

        ["\x2D\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x77"],
        ["\x60\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x72"],

        ["\xA6\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xFA"],
        ["\x46\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xFA"],

        ["\xA4\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xBF"],
        ["\x44\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xDF"],

        ["\xA4\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xFE"],
        ["\x44\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xFE"],

        ["\xA6\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xFB"],
        ["\x46\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xFB"],

        ["\xA6\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xFC"],
        ["\x46\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xFC"],

        ["\xA6\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xFD"],
        ["\x46\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xFD"],

        ["\xA5\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xDA"],
        ["\x45\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],

        ["\xA5\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xDB"],
        ["\x45\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],

        ["\xA5\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xDC"],
        ["\x45\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xF0"],

        ["\xA6\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x46\xFE"],
        ["\x46\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA6\xFE"],

        ["\x23\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF0"],
        ["\x7B\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x30"],

        ["\x23\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF1"],
        ["\x7B\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x31"],

        ["\x23\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF2"],
        ["\x7B\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x32"],

        ["\x23\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF3"],
        ["\x7B\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x33"],

        ["\x23\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF4"],
        ["\x7B\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x34"],

        ["\x23\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF5"],
        ["\x7B\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x35"],

        ["\x23\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF6"],
        ["\x7B\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x36"],

        ["\x23\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF7"],
        ["\x7B\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x37"],

        ["\x23\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF8"],
        ["\x7B\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x38"],

        ["\x23\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xF9"],
        ["\x7B\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x39"],

        ["\x23\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xC1"],
        ["\x7B\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x41"],

        ["\x23\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xC2"],
        ["\x7B\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x42"],

        ["\x23\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xC3"],
        ["\x7B\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x43"],

        ["\x23\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xC4"],
        ["\x7B\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x44"],

        ["\x23\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xC5"],
        ["\x7B\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x45"],

        ["\x23\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xC6"],
        ["\x7B\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x46"],

        ["\x23\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xC7"],
        ["\x7B\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x47"],

        ["\x23\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xC8"],
        ["\x7B\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x48"],

        ["\x23\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xC9"],
        ["\x7B\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x49"],

        ["\x23\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xD1"],
        ["\x7B\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x4A"],

        ["\x23\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xD2"],
        ["\x7B\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x4B"],

        ["\x23\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xD3"],
        ["\x7B\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x4C"],

        ["\x23\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xD4"],
        ["\x7B\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x4D"],

        ["\x23\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xD5"],
        ["\x7B\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x4E"],

        ["\x23\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xD6"],
        ["\x7B\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x4F"],

        ["\x23\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xD7"],
        ["\x7B\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x50"],

        ["\x23\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xD8"],
        ["\x7B\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x51"],

        ["\x23\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xD9"],
        ["\x7B\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x52"],

        ["\x23\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xE2"],
        ["\x7B\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x53"],

        ["\x23\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xE3"],
        ["\x7B\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x54"],

        ["\x23\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xE4"],
        ["\x7B\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x55"],

        ["\x23\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xE5"],
        ["\x7B\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x56"],

        ["\x23\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xE6"],
        ["\x7B\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x57"],

        ["\x23\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xE7"],
        ["\x7B\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x58"],

        ["\x23\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xE8"],
        ["\x7B\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x59"],

        ["\x23\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xE9"],
        ["\x7B\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x5A"],

        ["\x23\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x57"],
        ["\x7B\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x61"],

        ["\x23\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x59"],
        ["\x7B\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x62"],

        ["\x23\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x62"],
        ["\x7B\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x63"],

        ["\x23\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x63"],
        ["\x7B\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x64"],

        ["\x23\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x64"],
        ["\x7B\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x65"],

        ["\x23\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x65"],
        ["\x7B\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x66"],

        ["\x23\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x66"],
        ["\x7B\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x67"],

        ["\x23\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x67"],
        ["\x7B\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x68"],

        ["\x23\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x68"],
        ["\x7B\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x69"],

        ["\x23\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x69"],
        ["\x7B\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x6A"],

        ["\x23\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x70"],
        ["\x7B\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x6B"],

        ["\x23\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x71"],
        ["\x7B\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x6C"],

        ["\x23\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x72"],
        ["\x7B\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x6D"],

        ["\x23\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x73"],
        ["\x7B\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x6E"],

        ["\x23\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x74"],
        ["\x7B\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x6F"],

        ["\x23\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x75"],
        ["\x7B\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x70"],

        ["\x23\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x76"],
        ["\x7B\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x71"],

        ["\x23\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x77"],
        ["\x7B\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x72"],

        ["\x23\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x78"],
        ["\x7B\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x73"],

        ["\x23\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x80"],
        ["\x7B\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x74"],

        ["\x23\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x8B"],
        ["\x7B\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x75"],

        ["\x23\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x9B"],
        ["\x7B\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x76"],

        ["\x23\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x9C"],
        ["\x7B\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x77"],

        ["\x23\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xA0"],
        ["\x7B\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x78"],

        ["\x23\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xAB"],
        ["\x7B\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x79"],

        ["\x23\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7B\xB0"],
        ["\x7B\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x23\x7A"],

        ["\x24\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x4F"],
        ["\xE0\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x21"],

        ["\x24\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x7F"],
        ["\xE0\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x22"],

        ["\x24\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x7B"],
        ["\xE0\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x23"],

        ["\x24\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],
        ["\xE0\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x24"],

        ["\x24\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x6C"],
        ["\xE0\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x25"],

        ["\x24\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x50"],
        ["\xE0\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x26"],

        ["\x24\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x7D"],
        ["\xE0\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x27"],

        ["\x24\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x4D"],
        ["\xE0\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x28"],

        ["\x24\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x5D"],
        ["\xE0\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x29"],

        ["\x24\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x5C"],
        ["\xE0\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x2A"],

        ["\x24\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x4E"],
        ["\xE0\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x2B"],

        ["\x24\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x6B"],
        ["\xE0\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x2C"],

        ["\x24\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x60"],
        ["\xE0\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x2D"],

        ["\x24\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x4B"],
        ["\xE0\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x2E"],

        ["\x24\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x61"],
        ["\xE0\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x2F"],

        ["\x24\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],
        ["\xE0\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x30"],

        ["\x24\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],
        ["\xE0\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x31"],

        ["\x24\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],
        ["\xE0\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x32"],

        ["\x24\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],
        ["\xE0\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x33"],

        ["\x24\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],
        ["\xE0\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x34"],

        ["\x24\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],
        ["\xE0\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x35"],

        ["\x24\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],
        ["\xE0\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x36"],

        ["\x24\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],
        ["\xE0\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x37"],

        ["\x24\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],
        ["\xE0\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x38"],

        ["\x24\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],
        ["\xE0\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x39"],

        ["\x24\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x7A"],
        ["\xE0\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x3A"],

        ["\x24\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x5E"],
        ["\xE0\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x3B"],

        ["\x24\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x4C"],
        ["\xE0\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x3C"],

        ["\x24\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x7E"],
        ["\xE0\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x3D"],

        ["\x24\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x6E"],
        ["\xE0\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x3E"],

        ["\x24\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x6F"],
        ["\xE0\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x3F"],

        ["\x24\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x7C"],
        ["\xE0\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x40"],

        ["\x24\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],
        ["\xE0\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x41"],

        ["\x24\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],
        ["\xE0\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x42"],

        ["\x24\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],
        ["\xE0\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x43"],

        ["\x24\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],
        ["\xE0\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x44"],

        ["\x24\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],
        ["\xE0\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x45"],

        ["\x24\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],
        ["\xE0\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x46"],

        ["\x24\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],
        ["\xE0\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x47"],

        ["\x24\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],
        ["\xE0\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x48"],

        ["\x24\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],
        ["\xE0\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x49"],

        ["\x24\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],
        ["\xE0\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x4A"],

        ["\x24\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],
        ["\xE0\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x4B"],

        ["\x24\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],
        ["\xE0\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x4C"],

        ["\x24\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],
        ["\xE0\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x4D"],

        ["\x24\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],
        ["\xE0\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x4E"],

        ["\x24\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],
        ["\xE0\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x4F"],

        ["\x24\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],
        ["\xE0\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x50"],

        ["\x24\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],
        ["\xE0\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x51"],

        ["\x24\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],
        ["\xE0\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x52"],

        ["\x24\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],
        ["\xE0\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x53"],

        ["\x24\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],
        ["\xE0\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x54"],

        ["\x24\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],
        ["\xE0\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x55"],

        ["\x24\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],
        ["\xE0\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x56"],

        ["\x24\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],
        ["\xE0\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x57"],

        ["\x24\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],
        ["\xE0\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x58"],

        ["\x24\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],
        ["\xE0\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x59"],

        ["\x24\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],
        ["\xE0\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x5A"],

        ["\x24\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x4A"],
        ["\xE0\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x5B"],

        ["\x24\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x5B"],
        ["\xE0\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x5C"],

        ["\x24\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x5A"],
        ["\xE0\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x5D"],

        ["\x24\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x5F"],
        ["\xE0\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x5E"],

        ["\x24\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x6D"],
        ["\xE0\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x5F"],

        ["\x24\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x79"],
        ["\xE0\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x60"],

        ["\x24\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x57"],
        ["\xE0\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x61"],

        ["\x24\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x59"],
        ["\xE0\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x62"],

        ["\x24\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x62"],
        ["\xE0\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x63"],

        ["\x24\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x63"],
        ["\xE0\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x64"],

        ["\x24\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x64"],
        ["\xE0\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x65"],

        ["\x24\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x65"],
        ["\xE0\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x66"],

        ["\x24\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x66"],
        ["\xE0\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x67"],

        ["\x24\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x67"],
        ["\xE0\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x68"],

        ["\x24\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x68"],
        ["\xE0\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x69"],

        ["\x24\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x69"],
        ["\xE0\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x6A"],

        ["\x24\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x70"],
        ["\xE0\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x6B"],

        ["\x24\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x71"],
        ["\xE0\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x6C"],

        ["\x24\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x72"],
        ["\xE0\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x6D"],

        ["\x24\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x73"],
        ["\xE0\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x6E"],

        ["\x24\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x74"],
        ["\xE0\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x6F"],

        ["\x24\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x75"],
        ["\xE0\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x70"],

        ["\x24\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x76"],
        ["\xE0\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x71"],

        ["\x24\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x77"],
        ["\xE0\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x72"],

        ["\x24\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x78"],
        ["\xE0\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x24\x73"],

        ["\x25\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4F"],
        ["\x6C\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x21"],

        ["\x25\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7F"],
        ["\x6C\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x22"],

        ["\x25\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7B"],
        ["\x6C\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x23"],

        ["\x25\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE0"],
        ["\x6C\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x24"],

        ["\x25\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6C"],
        ["\x6C\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x25"],

        ["\x25\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x50"],
        ["\x6C\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x26"],

        ["\x25\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7D"],
        ["\x6C\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x27"],

        ["\x25\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4D"],
        ["\x6C\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x28"],

        ["\x25\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5D"],
        ["\x6C\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x29"],

        ["\x25\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5C"],
        ["\x6C\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x2A"],

        ["\x25\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4E"],
        ["\x6C\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x2B"],

        ["\x25\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6B"],
        ["\x6C\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x2C"],

        ["\x25\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x60"],
        ["\x6C\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x2D"],

        ["\x25\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4B"],
        ["\x6C\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x2E"],

        ["\x25\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x61"],
        ["\x6C\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x2F"],

        ["\x25\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF0"],
        ["\x6C\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x30"],

        ["\x25\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF1"],
        ["\x6C\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x31"],

        ["\x25\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF2"],
        ["\x6C\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x32"],

        ["\x25\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF3"],
        ["\x6C\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x33"],

        ["\x25\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF4"],
        ["\x6C\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x34"],

        ["\x25\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF5"],
        ["\x6C\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x35"],

        ["\x25\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF6"],
        ["\x6C\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x36"],

        ["\x25\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF7"],
        ["\x6C\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x37"],

        ["\x25\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF8"],
        ["\x6C\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x38"],

        ["\x25\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xF9"],
        ["\x6C\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x39"],

        ["\x25\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7A"],
        ["\x6C\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x3A"],

        ["\x25\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5E"],
        ["\x6C\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x3B"],

        ["\x25\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4C"],
        ["\x6C\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x3C"],

        ["\x25\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7E"],
        ["\x6C\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x3D"],

        ["\x25\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6E"],
        ["\x6C\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x3E"],

        ["\x25\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6F"],
        ["\x6C\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x3F"],

        ["\x25\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7C"],
        ["\x6C\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x40"],

        ["\x25\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC1"],
        ["\x6C\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x41"],

        ["\x25\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC2"],
        ["\x6C\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x42"],

        ["\x25\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC3"],
        ["\x6C\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x43"],

        ["\x25\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC4"],
        ["\x6C\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x44"],

        ["\x25\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC5"],
        ["\x6C\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x45"],

        ["\x25\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC6"],
        ["\x6C\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x46"],

        ["\x25\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC7"],
        ["\x6C\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x47"],

        ["\x25\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC8"],
        ["\x6C\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x48"],

        ["\x25\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xC9"],
        ["\x6C\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x49"],

        ["\x25\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xD1"],
        ["\x6C\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x4A"],

        ["\x25\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xD2"],
        ["\x6C\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x4B"],

        ["\x25\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xD3"],
        ["\x6C\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x4C"],

        ["\x25\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xD4"],
        ["\x6C\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x4D"],

        ["\x25\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xD5"],
        ["\x6C\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x4E"],

        ["\x25\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xD6"],
        ["\x6C\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x4F"],

        ["\x25\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xD7"],
        ["\x6C\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x50"],

        ["\x25\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xD8"],
        ["\x6C\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x51"],

        ["\x25\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xD9"],
        ["\x6C\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x52"],

        ["\x25\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE2"],
        ["\x6C\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x53"],

        ["\x25\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE3"],
        ["\x6C\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x54"],

        ["\x25\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE4"],
        ["\x6C\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x55"],

        ["\x25\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE5"],
        ["\x6C\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x56"],

        ["\x25\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE6"],
        ["\x6C\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x57"],

        ["\x25\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE7"],
        ["\x6C\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x58"],

        ["\x25\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE8"],
        ["\x6C\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x59"],

        ["\x25\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\xE9"],
        ["\x6C\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x5A"],

        ["\x25\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4A"],
        ["\x6C\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x5B"],

        ["\x25\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5B"],
        ["\x6C\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x5C"],

        ["\x25\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5A"],
        ["\x6C\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x5D"],

        ["\x25\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5F"],
        ["\x6C\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x5E"],

        ["\x25\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6D"],
        ["\x6C\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x5F"],

        ["\x25\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x79"],
        ["\x6C\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x60"],

        ["\x25\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x57"],
        ["\x6C\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x61"],

        ["\x25\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x59"],
        ["\x6C\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x62"],

        ["\x25\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x62"],
        ["\x6C\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x63"],

        ["\x25\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x63"],
        ["\x6C\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x64"],

        ["\x25\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x64"],
        ["\x6C\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x65"],

        ["\x25\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x65"],
        ["\x6C\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x66"],

        ["\x25\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x66"],
        ["\x6C\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x67"],

        ["\x25\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x67"],
        ["\x6C\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x68"],

        ["\x25\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x68"],
        ["\x6C\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x69"],

        ["\x25\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x69"],
        ["\x6C\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x6A"],

        ["\x25\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x70"],
        ["\x6C\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x6B"],

        ["\x25\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x71"],
        ["\x6C\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x6C"],

        ["\x25\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x72"],
        ["\x6C\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x6D"],

        ["\x25\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x73"],
        ["\x6C\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x6E"],

        ["\x25\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x74"],
        ["\x6C\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x6F"],

        ["\x25\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x75"],
        ["\x6C\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x70"],

        ["\x25\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x76"],
        ["\x6C\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x71"],

        ["\x25\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x77"],
        ["\x6C\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x72"],

        ["\x25\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x78"],
        ["\x6C\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x73"],

        ["\x25\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x80"],
        ["\x6C\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x74"],

        ["\x25\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x8B"],
        ["\x6C\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x75"],

        ["\x25\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x9B"],
        ["\x6C\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x25\x76"],

        ["\x26\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4F"],
        ["\x50\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x21"],

        ["\x26\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x7F"],
        ["\x50\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x22"],

        ["\x26\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x7B"],
        ["\x50\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x23"],

        ["\x26\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xE0"],
        ["\x50\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x24"],

        ["\x26\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x6C"],
        ["\x50\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x25"],

        ["\x26\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x50"],
        ["\x50\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x26"],

        ["\x26\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x7D"],
        ["\x50\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x27"],

        ["\x26\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4D"],
        ["\x50\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x28"],

        ["\x26\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x5D"],
        ["\x50\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x29"],

        ["\x26\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x5C"],
        ["\x50\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x2A"],

        ["\x26\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4E"],
        ["\x50\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x2B"],

        ["\x26\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x6B"],
        ["\x50\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x2C"],

        ["\x26\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x60"],
        ["\x50\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x2D"],

        ["\x26\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4B"],
        ["\x50\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x2E"],

        ["\x26\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\x61"],
        ["\x50\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x2F"],

        ["\x26\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xF0"],
        ["\x50\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x30"],

        ["\x26\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xF1"],
        ["\x50\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x31"],

        ["\x26\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xF2"],
        ["\x50\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x32"],

        ["\x26\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xF3"],
        ["\x50\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x33"],

        ["\x26\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xF4"],
        ["\x50\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x34"],

        ["\x26\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xF5"],
        ["\x50\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x35"],

        ["\x26\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xF6"],
        ["\x50\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x36"],

        ["\x26\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xF7"],
        ["\x50\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x37"],

        ["\x26\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xF8"],
        ["\x50\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x38"],

        ["\x26\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC1"],
        ["\x50\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x41"],

        ["\x26\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC2"],
        ["\x50\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x42"],

        ["\x26\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC3"],
        ["\x50\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x43"],

        ["\x26\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC4"],
        ["\x50\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x44"],

        ["\x26\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC5"],
        ["\x50\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x45"],

        ["\x26\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC6"],
        ["\x50\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x46"],

        ["\x26\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC7"],
        ["\x50\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x47"],

        ["\x26\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC8"],
        ["\x50\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x48"],

        ["\x26\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xC9"],
        ["\x50\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x49"],

        ["\x26\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD1"],
        ["\x50\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x4A"],

        ["\x26\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD2"],
        ["\x50\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x4B"],

        ["\x26\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD3"],
        ["\x50\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x4C"],

        ["\x26\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD4"],
        ["\x50\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x4D"],

        ["\x26\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD5"],
        ["\x50\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x4E"],

        ["\x26\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD6"],
        ["\x50\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x4F"],

        ["\x26\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD7"],
        ["\x50\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x50"],

        ["\x26\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD8"],
        ["\x50\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x51"],

        ["\x26\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xD9"],
        ["\x50\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x52"],

        ["\x26\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xE2"],
        ["\x50\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x53"],

        ["\x26\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xE3"],
        ["\x50\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x54"],

        ["\x26\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xE4"],
        ["\x50\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x55"],

        ["\x26\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xE5"],
        ["\x50\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x56"],

        ["\x26\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xE6"],
        ["\x50\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x57"],

        ["\x26\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x50\xE7"],
        ["\x50\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x26\x58"],

        ["\x27\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4F"],
        ["\x7D\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x21"],

        ["\x27\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7F"],
        ["\x7D\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x22"],

        ["\x27\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7B"],
        ["\x7D\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x23"],

        ["\x27\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xE0"],
        ["\x7D\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x24"],

        ["\x27\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6C"],
        ["\x7D\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x25"],

        ["\x27\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x50"],
        ["\x7D\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x26"],

        ["\x27\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7D"],
        ["\x7D\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x27"],

        ["\x27\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4D"],
        ["\x7D\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x28"],

        ["\x27\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5D"],
        ["\x7D\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x29"],

        ["\x27\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5C"],
        ["\x7D\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x2A"],

        ["\x27\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4E"],
        ["\x7D\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x2B"],

        ["\x27\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6B"],
        ["\x7D\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x2C"],

        ["\x27\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x60"],
        ["\x7D\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x2D"],

        ["\x27\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4B"],
        ["\x7D\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x2E"],

        ["\x27\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x61"],
        ["\x7D\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x2F"],

        ["\x27\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF0"],
        ["\x7D\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x30"],

        ["\x27\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF1"],
        ["\x7D\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x31"],

        ["\x27\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF2"],
        ["\x7D\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x32"],

        ["\x27\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF3"],
        ["\x7D\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x33"],

        ["\x27\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF4"],
        ["\x7D\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x34"],

        ["\x27\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF5"],
        ["\x7D\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x35"],

        ["\x27\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF6"],
        ["\x7D\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x36"],

        ["\x27\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF7"],
        ["\x7D\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x37"],

        ["\x27\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF8"],
        ["\x7D\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x38"],

        ["\x27\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xF9"],
        ["\x7D\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x39"],

        ["\x27\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7A"],
        ["\x7D\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x3A"],

        ["\x27\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5E"],
        ["\x7D\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x3B"],

        ["\x27\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4C"],
        ["\x7D\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x3C"],

        ["\x27\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7E"],
        ["\x7D\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x3D"],

        ["\x27\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6E"],
        ["\x7D\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x3E"],

        ["\x27\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6F"],
        ["\x7D\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x3F"],

        ["\x27\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7C"],
        ["\x7D\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x40"],

        ["\x27\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xC1"],
        ["\x7D\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x41"],

        ["\x27\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xD8"],
        ["\x7D\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x51"],

        ["\x27\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xD9"],
        ["\x7D\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x52"],

        ["\x27\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xE2"],
        ["\x7D\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x53"],

        ["\x27\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xE3"],
        ["\x7D\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x54"],

        ["\x27\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xE4"],
        ["\x7D\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x55"],

        ["\x27\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xE5"],
        ["\x7D\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x56"],

        ["\x27\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xE6"],
        ["\x7D\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x57"],

        ["\x27\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xE7"],
        ["\x7D\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x58"],

        ["\x27\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xE8"],
        ["\x7D\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x59"],

        ["\x27\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\xE9"],
        ["\x7D\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x5A"],

        ["\x27\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4A"],
        ["\x7D\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x5B"],

        ["\x27\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5B"],
        ["\x7D\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x5C"],

        ["\x27\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5A"],
        ["\x7D\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x5D"],

        ["\x27\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5F"],
        ["\x7D\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x5E"],

        ["\x27\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6D"],
        ["\x7D\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x5F"],

        ["\x27\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x79"],
        ["\x7D\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x60"],

        ["\x27\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x57"],
        ["\x7D\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x61"],

        ["\x27\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x59"],
        ["\x7D\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x62"],

        ["\x27\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x62"],
        ["\x7D\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x63"],

        ["\x27\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x63"],
        ["\x7D\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x64"],

        ["\x27\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x64"],
        ["\x7D\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x65"],

        ["\x27\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x65"],
        ["\x7D\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x66"],

        ["\x27\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x66"],
        ["\x7D\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x67"],

        ["\x27\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x67"],
        ["\x7D\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x68"],

        ["\x27\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x68"],
        ["\x7D\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x69"],

        ["\x27\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x69"],
        ["\x7D\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x6A"],

        ["\x27\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x70"],
        ["\x7D\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x6B"],

        ["\x27\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x71"],
        ["\x7D\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x6C"],

        ["\x27\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x72"],
        ["\x7D\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x6D"],

        ["\x27\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x73"],
        ["\x7D\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x6E"],

        ["\x27\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x74"],
        ["\x7D\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x6F"],

        ["\x27\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x75"],
        ["\x7D\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x70"],

        ["\x27\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x76"],
        ["\x7D\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x27\x71"],

        ["\x2C\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xE0"],
        ["\x6B\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x24"],

        ["\x2C\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x50"],
        ["\x6B\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x26"],

        ["\x2C\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xF0"],
        ["\x6B\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x30"],

        ["\x2C\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xF4"],
        ["\x6B\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x34"],

        ["\x2C\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x4C"],
        ["\x6B\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x3C"],

        ["\x2C\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xF8"],
        ["\x6B\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x38"],

        ["\x2C\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x7C"],
        ["\x6B\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x40"],

        ["\x2C\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xD7"],
        ["\x6B\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x50"],

        ["\x2C\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xC8"],
        ["\x6B\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x48"],

        ["\x2C\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xE7"],
        ["\x6B\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x58"],

        ["\x2C\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x79"],
        ["\x6B\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x60"],

        ["\x2C\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x6C"],
        ["\x6B\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x25"],

        ["\x2C\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x7D"],
        ["\x6B\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x27"],

        ["\x2C\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xF3"],
        ["\x6B\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x33"],

        ["\x2C\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xF7"],
        ["\x6B\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x37"],

        ["\x2C\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x6F"],
        ["\x6B\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x3F"],

        ["\x2C\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x5E"],
        ["\x6B\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x3B"],

        ["\x2C\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xC7"],
        ["\x6B\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x47"],

        ["\x2C\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xE6"],
        ["\x6B\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x57"],

        ["\x2C\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xD6"],
        ["\x6B\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x4F"],

        ["\x2C\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x6D"],
        ["\x6B\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x5F"],

        ["\x2C\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x74"],
        ["\x6B\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x6F"],

        ["\x2C\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xC4"],
        ["\x6B\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x44"],

        ["\x2C\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xE2"],
        ["\x6B\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x53"],

        ["\x2C\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xD3"],
        ["\x6B\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x4C"],

        ["\x2C\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x4A"],
        ["\x6B\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x5B"],

        ["\x2C\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x62"],
        ["\x6B\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x63"],

        ["\x2C\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xC1"],
        ["\x6B\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x41"],

        ["\x2C\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xE3"],
        ["\x6B\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x54"],

        ["\x2C\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\xC9"],
        ["\x6B\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x49"],

        ["\x2C\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x5B"],
        ["\x6B\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x5C"],

        ["\x2C\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x65"],
        ["\x6B\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2C\x66"],

        ["\x2D\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4F"],
        ["\x60\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x21"],

        ["\x2D\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7F"],
        ["\x60\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x22"],

        ["\x2D\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7B"],
        ["\x60\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x23"],

        ["\x2D\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xE0"],
        ["\x60\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x24"],

        ["\x2D\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6C"],
        ["\x60\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x25"],

        ["\x2D\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x50"],
        ["\x60\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x26"],

        ["\x2D\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7D"],
        ["\x60\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x27"],

        ["\x2D\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4D"],
        ["\x60\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x28"],

        ["\x2D\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x5D"],
        ["\x60\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x29"],

        ["\x2D\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x5C"],
        ["\x60\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x2A"],

        ["\x2D\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4E"],
        ["\x60\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x2B"],

        ["\x2D\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6B"],
        ["\x60\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x2C"],

        ["\x2D\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x60"],
        ["\x60\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x2D"],

        ["\x2D\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4B"],
        ["\x60\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x2E"],

        ["\x2D\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x61"],
        ["\x60\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x2F"],

        ["\x2D\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF0"],
        ["\x60\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x30"],

        ["\x2D\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF1"],
        ["\x60\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x31"],

        ["\x2D\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF2"],
        ["\x60\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x32"],

        ["\x2D\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF3"],
        ["\x60\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x33"],

        ["\x2D\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF4"],
        ["\x60\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x34"],

        ["\x2D\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF5"],
        ["\x60\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x35"],

        ["\x2D\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF6"],
        ["\x60\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x36"],

        ["\x2D\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF7"],
        ["\x60\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x37"],

        ["\x2D\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF8"],
        ["\x60\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x38"],

        ["\x2D\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xF9"],
        ["\x60\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x39"],

        ["\x2D\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7A"],
        ["\x60\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x3A"],

        ["\x2D\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x5E"],
        ["\x60\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x3B"],

        ["\x2D\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4C"],
        ["\x60\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x3C"],

        ["\x2D\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7E"],
        ["\x60\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x3D"],

        ["\x2D\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6E"],
        ["\x60\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x3E"],

        ["\x2D\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7C"],
        ["\x60\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x40"],

        ["\x2D\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC1"],
        ["\x60\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x41"],

        ["\x2D\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC2"],
        ["\x60\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x42"],

        ["\x2D\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC3"],
        ["\x60\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x43"],

        ["\x2D\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC4"],
        ["\x60\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x44"],

        ["\x2D\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC5"],
        ["\x60\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x45"],

        ["\x2D\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC6"],
        ["\x60\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x46"],

        ["\x2D\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC7"],
        ["\x60\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x47"],

        ["\x2D\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC8"],
        ["\x60\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x48"],

        ["\x2D\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xC9"],
        ["\x60\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x49"],

        ["\x2D\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD1"],
        ["\x60\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x4A"],

        ["\x2D\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD2"],
        ["\x60\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x4B"],

        ["\x2D\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD3"],
        ["\x60\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x4C"],

        ["\x2D\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD4"],
        ["\x60\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x4D"],

        ["\x2D\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD5"],
        ["\x60\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x4E"],

        ["\x2D\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD6"],
        ["\x60\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x4F"],

        ["\x2D\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD7"],
        ["\x60\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x50"],

        ["\x2D\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD8"],
        ["\x60\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x51"],

        ["\x2D\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xD9"],
        ["\x60\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x52"],

        ["\x2D\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xE2"],
        ["\x60\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x53"],

        ["\x2D\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xE3"],
        ["\x60\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x54"],

        ["\x2D\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xE4"],
        ["\x60\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x55"],

        ["\x2D\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xE5"],
        ["\x60\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x56"],

        ["\x2D\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6D"],
        ["\x60\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x5F"],

        ["\x2D\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x79"],
        ["\x60\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x60"],

        ["\x2D\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x57"],
        ["\x60\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x61"],

        ["\x2D\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x59"],
        ["\x60\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x62"],

        ["\x2D\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x62"],
        ["\x60\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x63"],

        ["\x2D\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x63"],
        ["\x60\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x64"],

        ["\x2D\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x64"],
        ["\x60\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x65"],

        ["\x2D\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x65"],
        ["\x60\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x66"],

        ["\x2D\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x66"],
        ["\x60\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x67"],

        ["\x2D\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x67"],
        ["\x60\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x68"],

        ["\x2D\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x68"],
        ["\x60\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x69"],

        ["\x2D\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x69"],
        ["\x60\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x6A"],

        ["\x2D\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x70"],
        ["\x60\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x6B"],

        ["\x2D\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x71"],
        ["\x60\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x6C"],

        ["\x2D\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x72"],
        ["\x60\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x6D"],

        ["\x2D\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x73"],
        ["\x60\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x6E"],

        ["\x2D\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x74"],
        ["\x60\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x6F"],

        ["\x2D\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x78"],
        ["\x60\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x73"],

        ["\x2D\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\x80"],
        ["\x60\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x74"],

        ["\x2D\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xA0"],
        ["\x60\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x78"],

        ["\x2D\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x60\xAB"],
        ["\x60\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x2D\x79"],

        ["\x30\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x4F"],
        ["\xF0\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x21"],

        ["\x30\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x7F"],
        ["\xF0\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x22"],

        ["\x30\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x7B"],
        ["\xF0\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x23"],

        ["\x30\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],
        ["\xF0\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x24"],

        ["\x30\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x6C"],
        ["\xF0\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x25"],

        ["\x30\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x50"],
        ["\xF0\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x26"],

        ["\x30\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x7D"],
        ["\xF0\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x27"],

        ["\x30\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x4D"],
        ["\xF0\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x28"],

        ["\x30\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x5D"],
        ["\xF0\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x29"],

        ["\x30\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x5C"],
        ["\xF0\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x2A"],

        ["\x30\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x4E"],
        ["\xF0\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x2B"],

        ["\x30\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x6B"],
        ["\xF0\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x2C"],

        ["\x30\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x60"],
        ["\xF0\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x2D"],

        ["\x30\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x4B"],
        ["\xF0\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x2E"],

        ["\x30\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x61"],
        ["\xF0\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x2F"],

        ["\x30\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],
        ["\xF0\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x30"],

        ["\x30\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],
        ["\xF0\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x31"],

        ["\x30\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],
        ["\xF0\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x32"],

        ["\x72\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD4"],
        ["\x77\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x4D"],

        ["\x30\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],
        ["\xF0\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x34"],

        ["\x30\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],
        ["\xF0\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x35"],

        ["\x30\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],
        ["\xF0\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x36"],

        ["\x30\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],
        ["\xF0\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x37"],

        ["\x30\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],
        ["\xF0\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x38"],

        ["\x30\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],
        ["\xF0\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x39"],

        ["\x30\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x7A"],
        ["\xF0\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x3A"],

        ["\x30\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x5E"],
        ["\xF0\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x3B"],

        ["\x30\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x4C"],
        ["\xF0\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x3C"],

        ["\x30\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x7E"],
        ["\xF0\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x3D"],

        ["\x30\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x6E"],
        ["\xF0\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x3E"],

        ["\x30\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x6F"],
        ["\xF0\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x3F"],

        ["\x30\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x7C"],
        ["\xF0\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x40"],

        ["\x30\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],
        ["\xF0\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x41"],

        ["\x30\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],
        ["\xF0\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x42"],

        ["\x30\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],
        ["\xF0\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x43"],

        ["\x30\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],
        ["\xF0\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x44"],

        ["\x30\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],
        ["\xF0\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x45"],

        ["\x30\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],
        ["\xF0\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x46"],

        ["\x30\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],
        ["\xF0\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x47"],

        ["\x30\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],
        ["\xF0\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x48"],

        ["\x30\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],
        ["\xF0\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x49"],

        ["\x30\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],
        ["\xF0\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x4A"],

        ["\x30\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],
        ["\xF0\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x4B"],

        ["\x30\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],
        ["\xF0\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x4C"],

        ["\x30\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],
        ["\xF0\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x4D"],

        ["\x30\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],
        ["\xF0\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x4E"],

        ["\x30\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],
        ["\xF0\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x4F"],

        ["\x30\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],
        ["\xF0\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x50"],

        ["\x30\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],
        ["\xF0\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x51"],

        ["\x30\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],
        ["\xF0\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x52"],

        ["\x30\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],
        ["\xF0\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x53"],

        ["\x30\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],
        ["\xF0\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x54"],

        ["\x30\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],
        ["\xF0\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x55"],

        ["\x30\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],
        ["\xF0\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x56"],

        ["\x30\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],
        ["\xF0\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x57"],

        ["\x30\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],
        ["\xF0\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x58"],

        ["\x30\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],
        ["\xF0\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x59"],

        ["\x30\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],
        ["\xF0\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x5A"],

        ["\x30\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x4A"],
        ["\xF0\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x5B"],

        ["\x30\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x5B"],
        ["\xF0\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x5C"],

        ["\x30\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x5A"],
        ["\xF0\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x5D"],

        ["\x30\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x5F"],
        ["\xF0\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x5E"],

        ["\x30\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x6D"],
        ["\xF0\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x5F"],

        ["\x30\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x79"],
        ["\xF0\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x60"],

        ["\x30\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x57"],
        ["\xF0\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x61"],

        ["\x30\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x59"],
        ["\xF0\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x62"],

        ["\x30\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x62"],
        ["\xF0\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x63"],

        ["\x30\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x63"],
        ["\xF0\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x64"],

        ["\x30\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x64"],
        ["\xF0\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x65"],

        ["\x30\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x65"],
        ["\xF0\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x66"],

        ["\x30\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x66"],
        ["\xF0\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x67"],

        ["\x30\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x67"],
        ["\xF0\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x68"],

        ["\x30\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x68"],
        ["\xF0\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x69"],

        ["\x30\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x69"],
        ["\xF0\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x6A"],

        ["\x30\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x70"],
        ["\xF0\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x6B"],

        ["\x30\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x71"],
        ["\xF0\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x6C"],

        ["\x30\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x72"],
        ["\xF0\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x6D"],

        ["\x30\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x73"],
        ["\xF0\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x6E"],

        ["\x30\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x74"],
        ["\xF0\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x6F"],

        ["\x30\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x75"],
        ["\xF0\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x70"],

        ["\x30\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x76"],
        ["\xF0\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x71"],

        ["\x30\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x77"],
        ["\xF0\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x72"],

        ["\x30\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x78"],
        ["\xF0\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x73"],

        ["\x30\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x80"],
        ["\xF0\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x74"],

        ["\x30\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x8B"],
        ["\xF0\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x75"],

        ["\x30\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x9B"],
        ["\xF0\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x76"],

        ["\x30\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x9C"],
        ["\xF0\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x77"],

        ["\x30\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0"],
        ["\xF0\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x78"],

        ["\x30\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],
        ["\xF0\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x79"],

        ["\x30\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],
        ["\xF0\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x7A"],

        ["\x30\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],
        ["\xF0\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x7B"],

        ["\x30\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\x6A"],
        ["\xF0\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x7C"],

        ["\x30\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],
        ["\xF0\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x7D"],

        ["\x30\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],
        ["\xF0\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x7E"],

        ["\x31\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x4F"],
        ["\xF1\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x21"],

        ["\x31\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x7F"],
        ["\xF1\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x22"],

        ["\x31\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x7B"],
        ["\xF1\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x23"],

        ["\x31\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE0"],
        ["\xF1\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x24"],

        ["\x31\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x6C"],
        ["\xF1\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x25"],

        ["\x31\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x50"],
        ["\xF1\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x26"],

        ["\x31\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x7D"],
        ["\xF1\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x27"],

        ["\x31\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x4D"],
        ["\xF1\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x28"],

        ["\x31\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x5D"],
        ["\xF1\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x29"],

        ["\x31\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x5C"],
        ["\xF1\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x2A"],

        ["\x31\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x4E"],
        ["\xF1\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x2B"],

        ["\x31\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x6B"],
        ["\xF1\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x2C"],

        ["\x31\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x60"],
        ["\xF1\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x2D"],

        ["\x31\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x4B"],
        ["\xF1\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x2E"],

        ["\x31\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x61"],
        ["\xF1\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x2F"],

        ["\x31\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF0"],
        ["\xF1\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x30"],

        ["\x31\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF1"],
        ["\xF1\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x31"],

        ["\x31\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF2"],
        ["\xF1\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x32"],

        ["\x31\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF3"],
        ["\xF1\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x33"],

        ["\x31\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF4"],
        ["\xF1\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x34"],

        ["\x31\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF5"],
        ["\xF1\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x35"],

        ["\x31\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF6"],
        ["\xF1\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x36"],

        ["\x31\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF7"],
        ["\xF1\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x37"],

        ["\x31\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF8"],
        ["\xF1\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x38"],

        ["\x31\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF9"],
        ["\xF1\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x39"],

        ["\x31\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x7A"],
        ["\xF1\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x3A"],

        ["\x31\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x5E"],
        ["\xF1\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x3B"],

        ["\x31\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x4C"],
        ["\xF1\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x3C"],

        ["\x31\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x7E"],
        ["\xF1\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x3D"],

        ["\x31\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x6E"],
        ["\xF1\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x3E"],

        ["\x31\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x6F"],
        ["\xF1\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x3F"],

        ["\x31\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x7C"],
        ["\xF1\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x40"],

        ["\x31\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC1"],
        ["\xF1\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x41"],

        ["\x31\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC2"],
        ["\xF1\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x42"],

        ["\x31\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC3"],
        ["\xF1\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x43"],

        ["\x31\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC4"],
        ["\xF1\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x44"],

        ["\x31\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC5"],
        ["\xF1\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x45"],

        ["\x31\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC6"],
        ["\xF1\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x46"],

        ["\x31\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC7"],
        ["\xF1\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x47"],

        ["\x31\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC8"],
        ["\xF1\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x48"],

        ["\x31\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC9"],
        ["\xF1\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x49"],

        ["\x31\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD1"],
        ["\xF1\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x4A"],

        ["\x31\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD2"],
        ["\xF1\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x4B"],

        ["\x31\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD3"],
        ["\xF1\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x4C"],

        ["\x31\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD4"],
        ["\xF1\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x4D"],

        ["\x31\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD5"],
        ["\xF1\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x4E"],

        ["\x31\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD6"],
        ["\xF1\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x4F"],

        ["\x31\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD7"],
        ["\xF1\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x50"],

        ["\x31\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD8"],
        ["\xF1\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x51"],

        ["\x31\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD9"],
        ["\xF1\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x52"],

        ["\x31\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE2"],
        ["\xF1\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x53"],

        ["\x31\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE3"],
        ["\xF1\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x54"],

        ["\x31\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE4"],
        ["\xF1\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x55"],

        ["\x31\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE5"],
        ["\xF1\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x56"],

        ["\x31\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE6"],
        ["\xF1\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x57"],

        ["\x31\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE7"],
        ["\xF1\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x58"],

        ["\x31\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE8"],
        ["\xF1\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x59"],

        ["\x31\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE9"],
        ["\xF1\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x5A"],

        ["\x31\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x4A"],
        ["\xF1\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x5B"],

        ["\x31\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x5B"],
        ["\xF1\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x5C"],

        ["\x31\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x5A"],
        ["\xF1\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x5D"],

        ["\x31\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x5F"],
        ["\xF1\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x5E"],

        ["\x31\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x6D"],
        ["\xF1\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x5F"],

        ["\x31\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x79"],
        ["\xF1\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x60"],

        ["\x31\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x57"],
        ["\xF1\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x61"],

        ["\x31\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x59"],
        ["\xF1\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x62"],

        ["\x31\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x62"],
        ["\xF1\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x63"],

        ["\x31\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x63"],
        ["\xF1\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x64"],

        ["\x31\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x64"],
        ["\xF1\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x65"],

        ["\x31\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x65"],
        ["\xF1\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x66"],

        ["\x31\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x66"],
        ["\xF1\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x67"],

        ["\x31\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x67"],
        ["\xF1\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x68"],

        ["\x31\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x68"],
        ["\xF1\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x69"],

        ["\x31\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x69"],
        ["\xF1\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x6A"],

        ["\x31\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x70"],
        ["\xF1\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x6B"],

        ["\x31\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x71"],
        ["\xF1\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x6C"],

        ["\x31\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x72"],
        ["\xF1\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x6D"],

        ["\x31\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x73"],
        ["\xF1\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x6E"],

        ["\x31\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x74"],
        ["\xF1\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x6F"],

        ["\x31\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x75"],
        ["\xF1\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x70"],

        ["\x31\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x76"],
        ["\xF1\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x71"],

        ["\x31\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x77"],
        ["\xF1\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x72"],

        ["\x31\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x78"],
        ["\xF1\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x73"],

        ["\x31\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x80"],
        ["\xF1\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x74"],

        ["\x31\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x8B"],
        ["\xF1\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x75"],

        ["\x31\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x9B"],
        ["\xF1\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x76"],

        ["\x31\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x9C"],
        ["\xF1\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x77"],

        ["\x31\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA0"],
        ["\xF1\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x78"],

        ["\x31\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],
        ["\xF1\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x79"],

        ["\x31\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],
        ["\xF1\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x7A"],

        ["\x31\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC0"],
        ["\xF1\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x7B"],

        ["\x31\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\x6A"],
        ["\xF1\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x7C"],

        ["\x31\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD0"],
        ["\xF1\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x7D"],

        ["\x31\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],
        ["\xF1\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x31\x7E"],

        ["\x32\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x4F"],
        ["\xF2\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x21"],

        ["\x32\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x7F"],
        ["\xF2\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x22"],

        ["\x32\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x7B"],
        ["\xF2\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x23"],

        ["\x32\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE0"],
        ["\xF2\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x24"],

        ["\x32\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x6C"],
        ["\xF2\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x25"],

        ["\x32\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x50"],
        ["\xF2\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x26"],

        ["\x32\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x7D"],
        ["\xF2\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x27"],

        ["\x32\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x4D"],
        ["\xF2\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x28"],

        ["\x72\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x80"],
        ["\x77\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x74"],

        ["\x32\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x5C"],
        ["\xF2\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x2A"],

        ["\x32\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x4E"],
        ["\xF2\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x2B"],

        ["\x32\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x6B"],
        ["\xF2\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x2C"],

        ["\x32\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x60"],
        ["\xF2\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x2D"],

        ["\x32\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x4B"],
        ["\xF2\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x2E"],

        ["\x32\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x61"],
        ["\xF2\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x2F"],

        ["\x32\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF0"],
        ["\xF2\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x30"],

        ["\x32\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF1"],
        ["\xF2\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x31"],

        ["\x32\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF2"],
        ["\xF2\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x32"],

        ["\x32\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF3"],
        ["\xF2\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x33"],

        ["\x32\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF4"],
        ["\xF2\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x34"],

        ["\x32\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF5"],
        ["\xF2\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x35"],

        ["\x32\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF6"],
        ["\xF2\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x36"],

        ["\x32\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF7"],
        ["\xF2\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x37"],

        ["\x32\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF8"],
        ["\xF2\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x38"],

        ["\x32\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF9"],
        ["\xF2\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x39"],

        ["\x32\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x7A"],
        ["\xF2\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x3A"],

        ["\x32\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x5E"],
        ["\xF2\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x3B"],

        ["\x32\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x4C"],
        ["\xF2\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x3C"],

        ["\x32\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x7E"],
        ["\xF2\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x3D"],

        ["\x32\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x6E"],
        ["\xF2\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x3E"],

        ["\x32\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x6F"],
        ["\xF2\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x3F"],

        ["\x32\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x7C"],
        ["\xF2\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x40"],

        ["\x32\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC1"],
        ["\xF2\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x41"],

        ["\x32\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC2"],
        ["\xF2\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x42"],

        ["\x32\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC3"],
        ["\xF2\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x43"],

        ["\x32\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC4"],
        ["\xF2\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x44"],

        ["\x32\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC5"],
        ["\xF2\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x45"],

        ["\x32\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC6"],
        ["\xF2\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x46"],

        ["\x32\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC7"],
        ["\xF2\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x47"],

        ["\x32\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC8"],
        ["\xF2\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x48"],

        ["\x32\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC9"],
        ["\xF2\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x49"],

        ["\x32\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD1"],
        ["\xF2\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x4A"],

        ["\x32\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD2"],
        ["\xF2\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x4B"],

        ["\x32\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD3"],
        ["\xF2\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x4C"],

        ["\x32\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD4"],
        ["\xF2\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x4D"],

        ["\x32\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD5"],
        ["\xF2\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x4E"],

        ["\x32\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD6"],
        ["\xF2\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x4F"],

        ["\x32\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD7"],
        ["\xF2\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x50"],

        ["\x32\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD8"],
        ["\xF2\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x51"],

        ["\x32\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD9"],
        ["\xF2\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x52"],

        ["\x32\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE2"],
        ["\xF2\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x53"],

        ["\x32\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE3"],
        ["\xF2\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x54"],

        ["\x32\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE4"],
        ["\xF2\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x55"],

        ["\x32\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE5"],
        ["\xF2\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x56"],

        ["\x32\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE6"],
        ["\xF2\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x57"],

        ["\x32\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE7"],
        ["\xF2\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x58"],

        ["\x32\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE8"],
        ["\xF2\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x59"],

        ["\x32\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE9"],
        ["\xF2\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x5A"],

        ["\x32\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x4A"],
        ["\xF2\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x5B"],

        ["\x32\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x5B"],
        ["\xF2\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x5C"],

        ["\x32\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x5A"],
        ["\xF2\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x5D"],

        ["\x32\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x5F"],
        ["\xF2\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x5E"],

        ["\x32\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x6D"],
        ["\xF2\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x5F"],

        ["\x32\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x79"],
        ["\xF2\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x60"],

        ["\x32\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x57"],
        ["\xF2\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x61"],

        ["\x32\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x59"],
        ["\xF2\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x62"],

        ["\x32\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x62"],
        ["\xF2\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x63"],

        ["\x32\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x63"],
        ["\xF2\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x64"],

        ["\x32\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x64"],
        ["\xF2\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x65"],

        ["\x32\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x65"],
        ["\xF2\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x66"],

        ["\x32\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x66"],
        ["\xF2\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x67"],

        ["\x32\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x67"],
        ["\xF2\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x68"],

        ["\x32\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x68"],
        ["\xF2\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x69"],

        ["\x32\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x69"],
        ["\xF2\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x6A"],

        ["\x32\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x70"],
        ["\xF2\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x6B"],

        ["\x32\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x71"],
        ["\xF2\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x6C"],

        ["\x32\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x72"],
        ["\xF2\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x6D"],

        ["\x32\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x73"],
        ["\xF2\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x6E"],

        ["\x32\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x74"],
        ["\xF2\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x6F"],

        ["\x32\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x75"],
        ["\xF2\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x70"],

        ["\x32\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x76"],
        ["\xF2\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x71"],

        ["\x32\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x77"],
        ["\xF2\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x72"],

        ["\x32\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x78"],
        ["\xF2\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x73"],

        ["\x32\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x80"],
        ["\xF2\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x74"],

        ["\x32\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x8B"],
        ["\xF2\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x75"],

        ["\x32\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x9B"],
        ["\xF2\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x76"],

        ["\x32\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x9C"],
        ["\xF2\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x77"],

        ["\x32\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA0"],
        ["\xF2\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x78"],

        ["\x32\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAB"],
        ["\xF2\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x79"],

        ["\x32\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB0"],
        ["\xF2\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x7A"],

        ["\x32\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC0"],
        ["\xF2\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x7B"],

        ["\x32\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x6A"],
        ["\xF2\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x7C"],

        ["\x32\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD0"],
        ["\xF2\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x7D"],

        ["\x32\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA1"],
        ["\xF2\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x7E"],

        ["\x33\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x4F"],
        ["\xF3\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x21"],

        ["\x33\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x7F"],
        ["\xF3\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x22"],

        ["\x33\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x7B"],
        ["\xF3\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x23"],

        ["\x33\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE0"],
        ["\xF3\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x24"],

        ["\x33\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x6C"],
        ["\xF3\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x25"],

        ["\x33\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x50"],
        ["\xF3\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x26"],

        ["\x33\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x7D"],
        ["\xF3\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x27"],

        ["\x33\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x4D"],
        ["\xF3\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x28"],

        ["\x33\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x5D"],
        ["\xF3\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x29"],

        ["\x33\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x5C"],
        ["\xF3\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x2A"],

        ["\x33\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x4E"],
        ["\xF3\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x2B"],

        ["\x33\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x6B"],
        ["\xF3\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x2C"],

        ["\x33\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x60"],
        ["\xF3\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x2D"],

        ["\x33\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x4B"],
        ["\xF3\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x2E"],

        ["\x33\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x61"],
        ["\xF3\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x2F"],

        ["\x33\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF0"],
        ["\xF3\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x30"],

        ["\x33\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF1"],
        ["\xF3\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x31"],

        ["\x33\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF2"],
        ["\xF3\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x32"],

        ["\x33\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF3"],
        ["\xF3\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x33"],

        ["\x33\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF4"],
        ["\xF3\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x34"],

        ["\x33\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF5"],
        ["\xF3\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x35"],

        ["\x33\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF6"],
        ["\xF3\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x36"],

        ["\x33\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF7"],
        ["\xF3\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x37"],

        ["\x33\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF8"],
        ["\xF3\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x38"],

        ["\x33\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF9"],
        ["\xF3\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x39"],

        ["\x33\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x7A"],
        ["\xF3\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x3A"],

        ["\x33\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x5E"],
        ["\xF3\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x3B"],

        ["\x33\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x4C"],
        ["\xF3\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x3C"],

        ["\x33\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x7E"],
        ["\xF3\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x3D"],

        ["\x33\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x6E"],
        ["\xF3\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x3E"],

        ["\x33\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x6F"],
        ["\xF3\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x3F"],

        ["\x33\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x7C"],
        ["\xF3\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x40"],

        ["\x33\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC1"],
        ["\xF3\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x41"],

        ["\x69\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE9"],
        ["\x68\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x5A"],

        ["\x33\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC3"],
        ["\xF3\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x43"],

        ["\x33\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC4"],
        ["\xF3\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x44"],

        ["\x33\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC5"],
        ["\xF3\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x45"],

        ["\x33\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC6"],
        ["\xF3\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x46"],

        ["\x33\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC7"],
        ["\xF3\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x47"],

        ["\x33\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC8"],
        ["\xF3\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x48"],

        ["\x59\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0"],
        ["\xE8\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x78"],

        ["\x33\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD1"],
        ["\xF3\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x4A"],

        ["\x33\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD2"],
        ["\xF3\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x4B"],

        ["\x33\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD3"],
        ["\xF3\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x4C"],

        ["\x33\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD4"],
        ["\xF3\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x4D"],

        ["\x33\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD5"],
        ["\xF3\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x4E"],

        ["\x33\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD6"],
        ["\xF3\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x4F"],

        ["\x33\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD7"],
        ["\xF3\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x50"],

        ["\x33\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD8"],
        ["\xF3\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x51"],

        ["\x33\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD9"],
        ["\xF3\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x52"],

        ["\x33\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE2"],
        ["\xF3\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x53"],

        ["\x33\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE3"],
        ["\xF3\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x54"],

        ["\x33\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE4"],
        ["\xF3\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x55"],

        ["\x33\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE5"],
        ["\xF3\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x56"],

        ["\x33\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE6"],
        ["\xF3\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x57"],

        ["\x33\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE7"],
        ["\xF3\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x58"],

        ["\x33\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE8"],
        ["\xF3\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x59"],

        ["\x33\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE9"],
        ["\xF3\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x5A"],

        ["\x33\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x4A"],
        ["\xF3\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x5B"],

        ["\x33\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x5B"],
        ["\xF3\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x5C"],

        ["\x33\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x5A"],
        ["\xF3\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x5D"],

        ["\x33\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x5F"],
        ["\xF3\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x5E"],

        ["\x33\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x6D"],
        ["\xF3\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x5F"],

        ["\x33\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x79"],
        ["\xF3\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x60"],

        ["\x33\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x57"],
        ["\xF3\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x61"],

        ["\x33\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x59"],
        ["\xF3\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x62"],

        ["\x33\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x62"],
        ["\xF3\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x63"],

        ["\x33\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x63"],
        ["\xF3\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x64"],

        ["\x33\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x64"],
        ["\xF3\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x65"],

        ["\x33\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x65"],
        ["\xF3\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x66"],

        ["\x33\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x66"],
        ["\xF3\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x67"],

        ["\x33\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x67"],
        ["\xF3\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x68"],

        ["\x33\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x68"],
        ["\xF3\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x69"],

        ["\x33\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x69"],
        ["\xF3\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x6A"],

        ["\x33\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x70"],
        ["\xF3\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x6B"],

        ["\x33\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x71"],
        ["\xF3\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x6C"],

        ["\x33\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x72"],
        ["\xF3\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x6D"],

        ["\x33\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x73"],
        ["\xF3\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x6E"],

        ["\x33\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x74"],
        ["\xF3\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x6F"],

        ["\x33\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x75"],
        ["\xF3\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x70"],

        ["\x33\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x76"],
        ["\xF3\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x71"],

        ["\x33\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x77"],
        ["\xF3\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x72"],

        ["\x33\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x78"],
        ["\xF3\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x73"],

        ["\x33\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x80"],
        ["\xF3\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x74"],

        ["\x33\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x8B"],
        ["\xF3\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x75"],

        ["\x63\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5F"],
        ["\x62\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x5E"],

        ["\x33\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x9C"],
        ["\xF3\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x77"],

        ["\x33\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA0"],
        ["\xF3\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x78"],

        ["\x33\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAB"],
        ["\xF3\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x79"],

        ["\x33\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0"],
        ["\xF3\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x7A"],

        ["\x33\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC0"],
        ["\xF3\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x7B"],

        ["\x33\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x6A"],
        ["\xF3\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x7C"],

        ["\x33\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD0"],
        ["\xF3\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x7D"],

        ["\x33\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA1"],
        ["\xF3\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x7E"],

        ["\x34\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x4F"],
        ["\xF4\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x21"],

        ["\x34\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x7F"],
        ["\xF4\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x22"],

        ["\x34\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x7B"],
        ["\xF4\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x23"],

        ["\x34\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xE0"],
        ["\xF4\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x24"],

        ["\x34\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x6C"],
        ["\xF4\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x25"],

        ["\x34\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x50"],
        ["\xF4\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x26"],

        ["\x34\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x7D"],
        ["\xF4\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x27"],

        ["\x34\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x4D"],
        ["\xF4\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x28"],

        ["\x34\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x5D"],
        ["\xF4\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x29"],

        ["\x34\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x5C"],
        ["\xF4\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x2A"],

        ["\x34\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x4E"],
        ["\xF4\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x2B"],

        ["\x34\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x6B"],
        ["\xF4\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x2C"],

        ["\x34\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x60"],
        ["\xF4\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x2D"],

        ["\x34\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x4B"],
        ["\xF4\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x2E"],

        ["\x34\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x61"],
        ["\xF4\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x2F"],

        ["\x34\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF0"],
        ["\xF4\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x30"],

        ["\x34\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF1"],
        ["\xF4\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x31"],

        ["\x34\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF2"],
        ["\xF4\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x32"],

        ["\x34\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF3"],
        ["\xF4\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x33"],

        ["\x34\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF4"],
        ["\xF4\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x34"],

        ["\x34\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF5"],
        ["\xF4\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x35"],

        ["\x34\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF6"],
        ["\xF4\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x36"],

        ["\x34\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF7"],
        ["\xF4\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x37"],

        ["\x34\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF8"],
        ["\xF4\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x38"],

        ["\x34\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xF9"],
        ["\xF4\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x39"],

        ["\x34\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x7A"],
        ["\xF4\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x3A"],

        ["\x34\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x5E"],
        ["\xF4\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x3B"],

        ["\x34\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x4C"],
        ["\xF4\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x3C"],

        ["\x34\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x7E"],
        ["\xF4\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x3D"],

        ["\x34\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x6E"],
        ["\xF4\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x3E"],

        ["\x34\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x6F"],
        ["\xF4\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x3F"],

        ["\x34\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x7C"],
        ["\xF4\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x40"],

        ["\x34\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC1"],
        ["\xF4\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x41"],

        ["\x34\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC2"],
        ["\xF4\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x42"],

        ["\x5E\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x8B"],
        ["\x5F\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x75"],

        ["\x34\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC4"],
        ["\xF4\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x44"],

        ["\x34\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC5"],
        ["\xF4\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x45"],

        ["\x34\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC6"],
        ["\xF4\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x46"],

        ["\x34\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC7"],
        ["\xF4\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x47"],

        ["\x34\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC8"],
        ["\xF4\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x48"],

        ["\x34\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC9"],
        ["\xF4\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x49"],

        ["\x34\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD1"],
        ["\xF4\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x4A"],

        ["\x34\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD2"],
        ["\xF4\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x4B"],

        ["\x34\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD3"],
        ["\xF4\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x4C"],

        ["\x34\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD4"],
        ["\xF4\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x4D"],

        ["\x34\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD5"],
        ["\xF4\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x4E"],

        ["\x34\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD6"],
        ["\xF4\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x4F"],

        ["\x34\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD7"],
        ["\xF4\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x50"],

        ["\x34\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD8"],
        ["\xF4\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x51"],

        ["\x6B\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5A"],
        ["\x70\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x5D"],

        ["\x34\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xE2"],
        ["\xF4\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x53"],

        ["\x34\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xE3"],
        ["\xF4\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x54"],

        ["\x34\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xE4"],
        ["\xF4\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x55"],

        ["\x34\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xE5"],
        ["\xF4\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x56"],

        ["\x34\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xE6"],
        ["\xF4\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x57"],

        ["\x34\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xE7"],
        ["\xF4\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x58"],

        ["\x34\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xE8"],
        ["\xF4\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x59"],

        ["\x34\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xE9"],
        ["\xF4\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x5A"],

        ["\x34\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x4A"],
        ["\xF4\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x5B"],

        ["\x34\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x5B"],
        ["\xF4\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x5C"],

        ["\x34\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x5A"],
        ["\xF4\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x5D"],

        ["\x34\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x5F"],
        ["\xF4\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x5E"],

        ["\x34\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x6D"],
        ["\xF4\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x5F"],

        ["\x34\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x79"],
        ["\xF4\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x60"],

        ["\x34\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x57"],
        ["\xF4\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x61"],

        ["\x34\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x59"],
        ["\xF4\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x62"],

        ["\x34\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x62"],
        ["\xF4\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x63"],

        ["\x34\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x63"],
        ["\xF4\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x64"],

        ["\x34\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x64"],
        ["\xF4\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x65"],

        ["\x34\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x65"],
        ["\xF4\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x66"],

        ["\x34\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x66"],
        ["\xF4\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x67"],

        ["\x34\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x67"],
        ["\xF4\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x68"],

        ["\x34\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x68"],
        ["\xF4\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x69"],

        ["\x34\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x69"],
        ["\xF4\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x6A"],

        ["\x34\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x70"],
        ["\xF4\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x6B"],

        ["\x34\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x71"],
        ["\xF4\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x6C"],

        ["\x34\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x72"],
        ["\xF4\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x6D"],

        ["\x34\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x73"],
        ["\xF4\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x6E"],

        ["\x34\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x74"],
        ["\xF4\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x6F"],

        ["\x34\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x75"],
        ["\xF4\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x70"],

        ["\x34\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x76"],
        ["\xF4\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x71"],

        ["\x34\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x77"],
        ["\xF4\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x72"],

        ["\x34\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x78"],
        ["\xF4\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x73"],

        ["\x34\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x80"],
        ["\xF4\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x74"],

        ["\x34\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x8B"],
        ["\xF4\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x75"],

        ["\x34\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x9B"],
        ["\xF4\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x76"],

        ["\x34\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x9C"],
        ["\xF4\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x77"],

        ["\x34\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xA0"],
        ["\xF4\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x78"],

        ["\x34\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xAB"],
        ["\xF4\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x79"],

        ["\x34\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xB0"],
        ["\xF4\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x7A"],

        ["\x34\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC0"],
        ["\xF4\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x7B"],

        ["\x34\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\x6A"],
        ["\xF4\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x7C"],

        ["\x34\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD0"],
        ["\xF4\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x7D"],

        ["\x34\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xA1"],
        ["\xF4\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x7E"],

        ["\x35\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x4F"],
        ["\xF5\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x21"],

        ["\x35\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x7F"],
        ["\xF5\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x22"],

        ["\x35\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x7B"],
        ["\xF5\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x23"],

        ["\x35\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xE0"],
        ["\xF5\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x24"],

        ["\x35\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x6C"],
        ["\xF5\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x25"],

        ["\x35\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x50"],
        ["\xF5\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x26"],

        ["\x35\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x7D"],
        ["\xF5\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x27"],

        ["\x35\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x4D"],
        ["\xF5\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x28"],

        ["\x35\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x5D"],
        ["\xF5\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x29"],

        ["\x35\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x5C"],
        ["\xF5\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x2A"],

        ["\x35\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x4E"],
        ["\xF5\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x2B"],

        ["\x35\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x6B"],
        ["\xF5\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x2C"],

        ["\x35\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x60"],
        ["\xF5\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x2D"],

        ["\x35\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x4B"],
        ["\xF5\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x2E"],

        ["\x35\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x61"],
        ["\xF5\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x2F"],

        ["\x35\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF0"],
        ["\xF5\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x30"],

        ["\x35\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF1"],
        ["\xF5\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x31"],

        ["\x35\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF2"],
        ["\xF5\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x32"],

        ["\x35\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF3"],
        ["\xF5\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x33"],

        ["\x35\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF4"],
        ["\xF5\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x34"],

        ["\x35\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF5"],
        ["\xF5\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x35"],

        ["\x35\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF6"],
        ["\xF5\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x36"],

        ["\x35\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF7"],
        ["\xF5\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x37"],

        ["\x35\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF8"],
        ["\xF5\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x38"],

        ["\x35\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xF9"],
        ["\xF5\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x39"],

        ["\x35\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x7A"],
        ["\xF5\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x3A"],

        ["\x35\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x5E"],
        ["\xF5\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x3B"],

        ["\x35\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x4C"],
        ["\xF5\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x3C"],

        ["\x35\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x7E"],
        ["\xF5\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x3D"],

        ["\x35\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x6E"],
        ["\xF5\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x3E"],

        ["\x35\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x6F"],
        ["\xF5\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x3F"],

        ["\x35\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x7C"],
        ["\xF5\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x40"],

        ["\x35\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC1"],
        ["\xF5\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x41"],

        ["\x35\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC2"],
        ["\xF5\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x42"],

        ["\x35\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC3"],
        ["\xF5\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x43"],

        ["\x35\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC4"],
        ["\xF5\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x44"],

        ["\x35\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC5"],
        ["\xF5\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x45"],

        ["\x35\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC6"],
        ["\xF5\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x46"],

        ["\x35\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC7"],
        ["\xF5\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x47"],

        ["\x35\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC8"],
        ["\xF5\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x48"],

        ["\x35\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC9"],
        ["\xF5\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x49"],

        ["\x35\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD1"],
        ["\xF5\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x4A"],

        ["\x35\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD2"],
        ["\xF5\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x4B"],

        ["\x35\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD3"],
        ["\xF5\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x4C"],

        ["\x35\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD4"],
        ["\xF5\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x4D"],

        ["\x35\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD5"],
        ["\xF5\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x4E"],

        ["\x35\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD6"],
        ["\xF5\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x4F"],

        ["\x35\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD7"],
        ["\xF5\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x50"],

        ["\x35\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD8"],
        ["\xF5\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x51"],

        ["\x35\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD9"],
        ["\xF5\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x52"],

        ["\x35\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xE2"],
        ["\xF5\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x53"],

        ["\x35\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xE3"],
        ["\xF5\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x54"],

        ["\x35\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xE4"],
        ["\xF5\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x55"],

        ["\x35\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xE5"],
        ["\xF5\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x56"],

        ["\x35\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xE6"],
        ["\xF5\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x57"],

        ["\x35\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xE7"],
        ["\xF5\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x58"],

        ["\x35\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xE8"],
        ["\xF5\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x59"],

        ["\x35\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xE9"],
        ["\xF5\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x5A"],

        ["\x35\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x4A"],
        ["\xF5\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x5B"],

        ["\x35\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x5B"],
        ["\xF5\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x5C"],

        ["\x35\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x5A"],
        ["\xF5\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x5D"],

        ["\x35\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x5F"],
        ["\xF5\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x5E"],

        ["\x35\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x6D"],
        ["\xF5\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x5F"],

        ["\x35\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x79"],
        ["\xF5\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x60"],

        ["\x35\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x57"],
        ["\xF5\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x61"],

        ["\x35\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x59"],
        ["\xF5\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x62"],

        ["\x35\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x62"],
        ["\xF5\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x63"],

        ["\x35\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x63"],
        ["\xF5\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x64"],

        ["\x35\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x64"],
        ["\xF5\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x65"],

        ["\x35\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x65"],
        ["\xF5\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x66"],

        ["\x35\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x66"],
        ["\xF5\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x67"],

        ["\x35\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x67"],
        ["\xF5\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x68"],

        ["\x35\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x68"],
        ["\xF5\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x69"],

        ["\x35\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x69"],
        ["\xF5\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x6A"],

        ["\x35\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x70"],
        ["\xF5\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x6B"],

        ["\x35\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x71"],
        ["\xF5\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x6C"],

        ["\x35\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x72"],
        ["\xF5\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x6D"],

        ["\x35\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x73"],
        ["\xF5\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x6E"],

        ["\x35\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x74"],
        ["\xF5\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x6F"],

        ["\x35\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x75"],
        ["\xF5\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x70"],

        ["\x35\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x76"],
        ["\xF5\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x71"],

        ["\x35\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x77"],
        ["\xF5\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x72"],

        ["\x35\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x78"],
        ["\xF5\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x73"],

        ["\x35\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x80"],
        ["\xF5\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x74"],

        ["\x35\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x8B"],
        ["\xF5\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x75"],

        ["\x35\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x9B"],
        ["\xF5\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x76"],

        ["\x35\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x9C"],
        ["\xF5\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x77"],

        ["\x35\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xA0"],
        ["\xF5\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x78"],

        ["\x35\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xAB"],
        ["\xF5\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x79"],

        ["\x35\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xB0"],
        ["\xF5\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x7A"],

        ["\x35\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xC0"],
        ["\xF5\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x7B"],

        ["\x35\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\x6A"],
        ["\xF5\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x7C"],

        ["\x35\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xD0"],
        ["\xF5\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x7D"],

        ["\x35\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF5\xA1"],
        ["\xF5\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x35\x7E"],

        ["\x36\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x4F"],
        ["\xF6\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x21"],

        ["\x36\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x7F"],
        ["\xF6\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x22"],

        ["\x36\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x7B"],
        ["\xF6\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x23"],

        ["\x36\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xE0"],
        ["\xF6\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x24"],

        ["\x36\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x6C"],
        ["\xF6\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x25"],

        ["\x36\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x50"],
        ["\xF6\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x26"],

        ["\x36\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x7D"],
        ["\xF6\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x27"],

        ["\x36\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x4D"],
        ["\xF6\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x28"],

        ["\x36\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x5D"],
        ["\xF6\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x29"],

        ["\x36\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x5C"],
        ["\xF6\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x2A"],

        ["\x36\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x4E"],
        ["\xF6\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x2B"],

        ["\x36\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x6B"],
        ["\xF6\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x2C"],

        ["\x36\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x60"],
        ["\xF6\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x2D"],

        ["\x36\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x4B"],
        ["\xF6\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x2E"],

        ["\x36\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x61"],
        ["\xF6\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x2F"],

        ["\x36\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF0"],
        ["\xF6\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x30"],

        ["\x36\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF1"],
        ["\xF6\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x31"],

        ["\x36\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF2"],
        ["\xF6\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x32"],

        ["\x36\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF3"],
        ["\xF6\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x33"],

        ["\x36\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF4"],
        ["\xF6\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x34"],

        ["\x36\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF5"],
        ["\xF6\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x35"],

        ["\x36\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF6"],
        ["\xF6\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x36"],

        ["\x36\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF7"],
        ["\xF6\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x37"],

        ["\x36\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF8"],
        ["\xF6\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x38"],

        ["\x36\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xF9"],
        ["\xF6\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x39"],

        ["\x36\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x7A"],
        ["\xF6\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x3A"],

        ["\x36\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x5E"],
        ["\xF6\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x3B"],

        ["\x36\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x4C"],
        ["\xF6\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x3C"],

        ["\x36\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x7E"],
        ["\xF6\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x3D"],

        ["\x36\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x6E"],
        ["\xF6\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x3E"],

        ["\x36\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x6F"],
        ["\xF6\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x3F"],

        ["\x36\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x7C"],
        ["\xF6\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x40"],

        ["\x36\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC1"],
        ["\xF6\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x41"],

        ["\x36\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC2"],
        ["\xF6\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x42"],

        ["\x36\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC3"],
        ["\xF6\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x43"],

        ["\x36\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC4"],
        ["\xF6\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x44"],

        ["\x36\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC5"],
        ["\xF6\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x45"],

        ["\xB6\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xBA"],
        ["\x86\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],

        ["\x36\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC7"],
        ["\xF6\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x47"],

        ["\x36\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC8"],
        ["\xF6\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x48"],

        ["\x36\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC9"],
        ["\xF6\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x49"],

        ["\x36\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD1"],
        ["\xF6\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x4A"],

        ["\x36\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD2"],
        ["\xF6\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x4B"],

        ["\x36\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD3"],
        ["\xF6\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x4C"],

        ["\x36\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD4"],
        ["\xF6\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x4D"],

        ["\x36\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD5"],
        ["\xF6\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x4E"],

        ["\x36\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD6"],
        ["\xF6\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x4F"],

        ["\x36\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD7"],
        ["\xF6\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x50"],

        ["\x36\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD8"],
        ["\xF6\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x51"],

        ["\x36\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD9"],
        ["\xF6\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x52"],

        ["\x36\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xE2"],
        ["\xF6\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x53"],

        ["\x36\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xE3"],
        ["\xF6\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x54"],

        ["\x36\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xE4"],
        ["\xF6\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x55"],

        ["\x36\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xE5"],
        ["\xF6\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x56"],

        ["\x36\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xE6"],
        ["\xF6\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x57"],

        ["\x36\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xE7"],
        ["\xF6\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x58"],

        ["\x36\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xE8"],
        ["\xF6\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x59"],

        ["\x36\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xE9"],
        ["\xF6\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x5A"],

        ["\x36\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x4A"],
        ["\xF6\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x5B"],

        ["\x36\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x5B"],
        ["\xF6\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x5C"],

        ["\x36\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x5A"],
        ["\xF6\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x5D"],

        ["\x36\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x5F"],
        ["\xF6\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x5E"],

        ["\x36\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x6D"],
        ["\xF6\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x5F"],

        ["\x36\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x79"],
        ["\xF6\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x60"],

        ["\x36\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x57"],
        ["\xF6\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x61"],

        ["\x36\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x59"],
        ["\xF6\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x62"],

        ["\x36\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x62"],
        ["\xF6\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x63"],

        ["\x36\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x63"],
        ["\xF6\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x64"],

        ["\x36\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x64"],
        ["\xF6\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x65"],

        ["\x36\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x65"],
        ["\xF6\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x66"],

        ["\x36\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x66"],
        ["\xF6\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x67"],

        ["\x36\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x67"],
        ["\xF6\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x68"],

        ["\x36\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x68"],
        ["\xF6\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x69"],

        ["\x36\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x69"],
        ["\xF6\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x6A"],

        ["\x36\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x70"],
        ["\xF6\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x6B"],

        ["\x36\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x71"],
        ["\xF6\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x6C"],

        ["\x36\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x72"],
        ["\xF6\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x6D"],

        ["\x36\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x73"],
        ["\xF6\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x6E"],

        ["\x36\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x74"],
        ["\xF6\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x6F"],

        ["\x36\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x75"],
        ["\xF6\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x70"],

        ["\x36\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x76"],
        ["\xF6\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x71"],

        ["\x36\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x77"],
        ["\xF6\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x72"],

        ["\x36\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x78"],
        ["\xF6\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x73"],

        ["\x36\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x80"],
        ["\xF6\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x74"],

        ["\x36\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x8B"],
        ["\xF6\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x75"],

        ["\x36\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x9B"],
        ["\xF6\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x76"],

        ["\x36\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x9C"],
        ["\xF6\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x77"],

        ["\x36\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xA0"],
        ["\xF6\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x78"],

        ["\x36\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xAB"],
        ["\xF6\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x79"],

        ["\x36\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xB0"],
        ["\xF6\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x7A"],

        ["\x36\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC0"],
        ["\xF6\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x7B"],

        ["\x36\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\x6A"],
        ["\xF6\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x7C"],

        ["\x36\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xD0"],
        ["\xF6\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x7D"],

        ["\x36\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xA1"],
        ["\xF6\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x7E"],

        ["\x37\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x4F"],
        ["\xF7\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x21"],

        ["\x37\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x7F"],
        ["\xF7\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x22"],

        ["\x37\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x7B"],
        ["\xF7\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x23"],

        ["\x37\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xE0"],
        ["\xF7\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x24"],

        ["\x37\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x6C"],
        ["\xF7\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x25"],

        ["\x37\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x50"],
        ["\xF7\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x26"],

        ["\x37\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x7D"],
        ["\xF7\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x27"],

        ["\x37\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x4D"],
        ["\xF7\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x28"],

        ["\x37\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x5D"],
        ["\xF7\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x29"],

        ["\x37\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x5C"],
        ["\xF7\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x2A"],

        ["\x37\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x4E"],
        ["\xF7\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x2B"],

        ["\x37\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x6B"],
        ["\xF7\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x2C"],

        ["\x37\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x60"],
        ["\xF7\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x2D"],

        ["\x37\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x4B"],
        ["\xF7\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x2E"],

        ["\x37\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x61"],
        ["\xF7\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x2F"],

        ["\x37\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF0"],
        ["\xF7\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x30"],

        ["\x37\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF1"],
        ["\xF7\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x31"],

        ["\x37\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF2"],
        ["\xF7\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x32"],

        ["\x37\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF3"],
        ["\xF7\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x33"],

        ["\x37\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF4"],
        ["\xF7\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x34"],

        ["\x37\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF5"],
        ["\xF7\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x35"],

        ["\x37\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF6"],
        ["\xF7\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x36"],

        ["\x37\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF7"],
        ["\xF7\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x37"],

        ["\x37\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF8"],
        ["\xF7\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x38"],

        ["\x37\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xF9"],
        ["\xF7\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x39"],

        ["\x37\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x7A"],
        ["\xF7\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x3A"],

        ["\x37\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x5E"],
        ["\xF7\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x3B"],

        ["\x37\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x4C"],
        ["\xF7\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x3C"],

        ["\x37\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x7E"],
        ["\xF7\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x3D"],

        ["\x37\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x6E"],
        ["\xF7\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x3E"],

        ["\x37\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x6F"],
        ["\xF7\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x3F"],

        ["\x37\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x7C"],
        ["\xF7\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x40"],

        ["\x37\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC1"],
        ["\xF7\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x41"],

        ["\x37\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC2"],
        ["\xF7\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x42"],

        ["\x37\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC3"],
        ["\xF7\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x43"],

        ["\x37\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC4"],
        ["\xF7\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x44"],

        ["\x37\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC5"],
        ["\xF7\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x45"],

        ["\x37\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC6"],
        ["\xF7\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x46"],

        ["\x37\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC7"],
        ["\xF7\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x47"],

        ["\x37\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC8"],
        ["\xF7\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x48"],

        ["\x37\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC9"],
        ["\xF7\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x49"],

        ["\x37\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD1"],
        ["\xF7\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x4A"],

        ["\x37\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD2"],
        ["\xF7\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x4B"],

        ["\x37\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD3"],
        ["\xF7\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x4C"],

        ["\x37\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD4"],
        ["\xF7\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x4D"],

        ["\x37\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD5"],
        ["\xF7\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x4E"],

        ["\x37\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD6"],
        ["\xF7\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x4F"],

        ["\x37\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD7"],
        ["\xF7\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x50"],

        ["\x37\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD8"],
        ["\xF7\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x51"],

        ["\x37\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD9"],
        ["\xF7\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x52"],

        ["\x37\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xE2"],
        ["\xF7\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x53"],

        ["\x37\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xE3"],
        ["\xF7\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x54"],

        ["\x37\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xE4"],
        ["\xF7\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x55"],

        ["\x37\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xE5"],
        ["\xF7\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x56"],

        ["\x37\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xE6"],
        ["\xF7\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x57"],

        ["\x37\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xE7"],
        ["\xF7\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x58"],

        ["\x37\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xE8"],
        ["\xF7\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x59"],

        ["\x37\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xE9"],
        ["\xF7\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x5A"],

        ["\x70\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x80"],
        ["\x75\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x74"],

        ["\x37\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x5B"],
        ["\xF7\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x5C"],

        ["\x37\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x5A"],
        ["\xF7\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x5D"],

        ["\x37\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x5F"],
        ["\xF7\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x5E"],

        ["\x37\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x6D"],
        ["\xF7\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x5F"],

        ["\x37\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x79"],
        ["\xF7\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x60"],

        ["\x37\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x57"],
        ["\xF7\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x61"],

        ["\x37\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x59"],
        ["\xF7\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x62"],

        ["\x37\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x62"],
        ["\xF7\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x63"],

        ["\x37\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x63"],
        ["\xF7\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x64"],

        ["\x37\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x64"],
        ["\xF7\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x65"],

        ["\x37\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x65"],
        ["\xF7\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x66"],

        ["\x37\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x66"],
        ["\xF7\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x67"],

        ["\x37\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x67"],
        ["\xF7\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x68"],

        ["\x37\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x68"],
        ["\xF7\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x69"],

        ["\x37\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x69"],
        ["\xF7\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x6A"],

        ["\x37\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x70"],
        ["\xF7\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x6B"],

        ["\x37\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x71"],
        ["\xF7\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x6C"],

        ["\x37\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x72"],
        ["\xF7\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x6D"],

        ["\x37\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x73"],
        ["\xF7\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x6E"],

        ["\x37\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x74"],
        ["\xF7\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x6F"],

        ["\x37\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x75"],
        ["\xF7\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x70"],

        ["\x37\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x76"],
        ["\xF7\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x71"],

        ["\x37\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x77"],
        ["\xF7\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x72"],

        ["\x37\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x78"],
        ["\xF7\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x73"],

        ["\x37\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x80"],
        ["\xF7\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x74"],

        ["\x37\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x8B"],
        ["\xF7\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x75"],

        ["\x37\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x9B"],
        ["\xF7\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x76"],

        ["\x37\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x9C"],
        ["\xF7\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x77"],

        ["\x37\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xA0"],
        ["\xF7\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x78"],

        ["\x37\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xAB"],
        ["\xF7\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x79"],

        ["\x37\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xB0"],
        ["\xF7\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x7A"],

        ["\x37\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xC0"],
        ["\xF7\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x7B"],

        ["\x37\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x6A"],
        ["\xF7\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x7C"],

        ["\x37\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xD0"],
        ["\xF7\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x7D"],

        ["\x37\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\xA1"],
        ["\xF7\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x7E"],

        ["\x38\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x4F"],
        ["\xF8\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x21"],

        ["\x38\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x7F"],
        ["\xF8\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x22"],

        ["\x38\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x7B"],
        ["\xF8\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x23"],

        ["\x38\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xE0"],
        ["\xF8\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x24"],

        ["\x38\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x6C"],
        ["\xF8\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x25"],

        ["\x38\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x50"],
        ["\xF8\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x26"],

        ["\x38\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x7D"],
        ["\xF8\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x27"],

        ["\x38\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x4D"],
        ["\xF8\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x28"],

        ["\x38\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x5D"],
        ["\xF8\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x29"],

        ["\x38\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x5C"],
        ["\xF8\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x2A"],

        ["\x38\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x4E"],
        ["\xF8\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x2B"],

        ["\x38\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x6B"],
        ["\xF8\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x2C"],

        ["\x38\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x60"],
        ["\xF8\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x2D"],

        ["\x38\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x4B"],
        ["\xF8\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x2E"],

        ["\x38\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x61"],
        ["\xF8\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x2F"],

        ["\x38\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF0"],
        ["\xF8\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x30"],

        ["\x38\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF1"],
        ["\xF8\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x31"],

        ["\x38\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF2"],
        ["\xF8\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x32"],

        ["\x38\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF3"],
        ["\xF8\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x33"],

        ["\x38\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF4"],
        ["\xF8\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x34"],

        ["\x38\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF5"],
        ["\xF8\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x35"],

        ["\x38\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF6"],
        ["\xF8\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x36"],

        ["\x38\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF7"],
        ["\xF8\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x37"],

        ["\x38\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF8"],
        ["\xF8\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x38"],

        ["\x38\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xF9"],
        ["\xF8\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x39"],

        ["\x38\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x7A"],
        ["\xF8\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x3A"],

        ["\x38\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x5E"],
        ["\xF8\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x3B"],

        ["\x38\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x4C"],
        ["\xF8\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x3C"],

        ["\x38\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x7E"],
        ["\xF8\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x3D"],

        ["\x38\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x6E"],
        ["\xF8\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x3E"],

        ["\x38\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x6F"],
        ["\xF8\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x3F"],

        ["\x38\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x7C"],
        ["\xF8\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x40"],

        ["\x38\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC1"],
        ["\xF8\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x41"],

        ["\x38\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC2"],
        ["\xF8\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x42"],

        ["\x38\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC3"],
        ["\xF8\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x43"],

        ["\x38\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC4"],
        ["\xF8\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x44"],

        ["\x38\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC5"],
        ["\xF8\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x45"],

        ["\x38\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC6"],
        ["\xF8\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x46"],

        ["\x38\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC7"],
        ["\xF8\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x47"],

        ["\x38\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC8"],
        ["\xF8\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x48"],

        ["\x38\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC9"],
        ["\xF8\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x49"],

        ["\x38\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD1"],
        ["\xF8\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x4A"],

        ["\x38\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD2"],
        ["\xF8\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x4B"],

        ["\x38\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD3"],
        ["\xF8\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x4C"],

        ["\x38\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD4"],
        ["\xF8\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x4D"],

        ["\x38\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD5"],
        ["\xF8\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x4E"],

        ["\x38\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD6"],
        ["\xF8\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x4F"],

        ["\x38\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD7"],
        ["\xF8\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x50"],

        ["\x38\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD8"],
        ["\xF8\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x51"],

        ["\x38\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD9"],
        ["\xF8\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x52"],

        ["\x38\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xE2"],
        ["\xF8\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x53"],

        ["\x38\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xE3"],
        ["\xF8\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x54"],

        ["\x38\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xE4"],
        ["\xF8\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x55"],

        ["\x38\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xE5"],
        ["\xF8\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x56"],

        ["\x38\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xE6"],
        ["\xF8\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x57"],

        ["\x38\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xE7"],
        ["\xF8\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x58"],

        ["\x38\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xE8"],
        ["\xF8\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x59"],

        ["\x38\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xE9"],
        ["\xF8\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x5A"],

        ["\x38\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x4A"],
        ["\xF8\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x5B"],

        ["\x38\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x5B"],
        ["\xF8\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x5C"],

        ["\x38\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x5A"],
        ["\xF8\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x5D"],

        ["\x38\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x5F"],
        ["\xF8\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x5E"],

        ["\x38\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x6D"],
        ["\xF8\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x5F"],

        ["\x38\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x79"],
        ["\xF8\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x60"],

        ["\x38\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x57"],
        ["\xF8\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x61"],

        ["\x38\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x59"],
        ["\xF8\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x62"],

        ["\x38\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x62"],
        ["\xF8\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x63"],

        ["\x38\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x63"],
        ["\xF8\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x64"],

        ["\x38\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x64"],
        ["\xF8\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x65"],

        ["\x38\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x65"],
        ["\xF8\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x66"],

        ["\x38\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x66"],
        ["\xF8\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x67"],

        ["\x38\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x67"],
        ["\xF8\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x68"],

        ["\x38\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x68"],
        ["\xF8\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x69"],

        ["\x38\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x69"],
        ["\xF8\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x6A"],

        ["\x38\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x70"],
        ["\xF8\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x6B"],

        ["\x38\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x71"],
        ["\xF8\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x6C"],

        ["\x38\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x72"],
        ["\xF8\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x6D"],

        ["\x38\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x73"],
        ["\xF8\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x6E"],

        ["\x38\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x74"],
        ["\xF8\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x6F"],

        ["\x38\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x75"],
        ["\xF8\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x70"],

        ["\x38\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x76"],
        ["\xF8\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x71"],

        ["\x38\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x77"],
        ["\xF8\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x72"],

        ["\x38\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x78"],
        ["\xF8\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x73"],

        ["\x38\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x80"],
        ["\xF8\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x74"],

        ["\x38\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x8B"],
        ["\xF8\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x75"],

        ["\x38\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x9B"],
        ["\xF8\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x76"],

        ["\x38\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x9C"],
        ["\xF8\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x77"],

        ["\x38\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xA0"],
        ["\xF8\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x78"],

        ["\x38\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xAB"],
        ["\xF8\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x79"],

        ["\x38\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xB0"],
        ["\xF8\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x7A"],

        ["\x38\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xC0"],
        ["\xF8\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x7B"],

        ["\x38\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\x6A"],
        ["\xF8\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x7C"],

        ["\x38\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xD0"],
        ["\xF8\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x7D"],

        ["\x38\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF8\xA1"],
        ["\xF8\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x38\x7E"],

        ["\x39\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x4F"],
        ["\xF9\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x21"],

        ["\x39\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x7F"],
        ["\xF9\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x22"],

        ["\x39\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x7B"],
        ["\xF9\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x23"],

        ["\x39\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xE0"],
        ["\xF9\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x24"],

        ["\x39\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x6C"],
        ["\xF9\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x25"],

        ["\x39\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x50"],
        ["\xF9\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x26"],

        ["\x39\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x7D"],
        ["\xF9\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x27"],

        ["\x39\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x4D"],
        ["\xF9\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x28"],

        ["\x39\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x5D"],
        ["\xF9\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x29"],

        ["\x39\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x5C"],
        ["\xF9\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x2A"],

        ["\x39\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x4E"],
        ["\xF9\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x2B"],

        ["\x39\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x6B"],
        ["\xF9\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x2C"],

        ["\x39\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x60"],
        ["\xF9\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x2D"],

        ["\x39\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x4B"],
        ["\xF9\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x2E"],

        ["\x39\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x61"],
        ["\xF9\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x2F"],

        ["\x39\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF0"],
        ["\xF9\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x30"],

        ["\x39\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF1"],
        ["\xF9\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x31"],

        ["\x39\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF2"],
        ["\xF9\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x32"],

        ["\x39\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF3"],
        ["\xF9\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x33"],

        ["\x39\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF4"],
        ["\xF9\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x34"],

        ["\x39\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF5"],
        ["\xF9\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x35"],

        ["\x39\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF6"],
        ["\xF9\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x36"],

        ["\xBD\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x86"],
        ["\x8E\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xB6"],

        ["\x39\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF8"],
        ["\xF9\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x38"],

        ["\x39\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF9"],
        ["\xF9\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x39"],

        ["\x39\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x7A"],
        ["\xF9\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x3A"],

        ["\x39\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x5E"],
        ["\xF9\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x3B"],

        ["\x39\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x4C"],
        ["\xF9\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x3C"],

        ["\x39\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x7E"],
        ["\xF9\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x3D"],

        ["\x39\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x6E"],
        ["\xF9\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x3E"],

        ["\x39\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x6F"],
        ["\xF9\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x3F"],

        ["\x39\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x7C"],
        ["\xF9\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x40"],

        ["\x39\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC1"],
        ["\xF9\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x41"],

        ["\x39\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC2"],
        ["\xF9\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x42"],

        ["\x39\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC3"],
        ["\xF9\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x43"],

        ["\x39\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC4"],
        ["\xF9\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x44"],

        ["\x39\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC5"],
        ["\xF9\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x45"],

        ["\x39\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC6"],
        ["\xF9\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x46"],

        ["\x39\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC7"],
        ["\xF9\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x47"],

        ["\x39\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC8"],
        ["\xF9\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x48"],

        ["\x39\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC9"],
        ["\xF9\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x49"],

        ["\x39\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD1"],
        ["\xF9\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x4A"],

        ["\x39\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD2"],
        ["\xF9\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x4B"],

        ["\x39\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD3"],
        ["\xF9\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x4C"],

        ["\x39\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD4"],
        ["\xF9\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x4D"],

        ["\x39\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD5"],
        ["\xF9\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x4E"],

        ["\x39\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD6"],
        ["\xF9\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x4F"],

        ["\x39\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD7"],
        ["\xF9\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x50"],

        ["\x39\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD8"],
        ["\xF9\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x51"],

        ["\x39\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD9"],
        ["\xF9\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x52"],

        ["\x39\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xE2"],
        ["\xF9\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x53"],

        ["\x39\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xE3"],
        ["\xF9\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x54"],

        ["\x39\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xE4"],
        ["\xF9\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x55"],

        ["\x39\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xE5"],
        ["\xF9\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x56"],

        ["\x39\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xE6"],
        ["\xF9\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x57"],

        ["\x39\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xE7"],
        ["\xF9\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x58"],

        ["\x39\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xE8"],
        ["\xF9\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x59"],

        ["\x39\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xE9"],
        ["\xF9\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x5A"],

        ["\x39\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x4A"],
        ["\xF9\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x5B"],

        ["\x62\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x67"],
        ["\x59\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x68"],

        ["\x39\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x5A"],
        ["\xF9\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x5D"],

        ["\x39\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x5F"],
        ["\xF9\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x5E"],

        ["\x39\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x6D"],
        ["\xF9\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x5F"],

        ["\x39\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x79"],
        ["\xF9\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x60"],

        ["\x39\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x57"],
        ["\xF9\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x61"],

        ["\x39\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x59"],
        ["\xF9\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x62"],

        ["\x39\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x62"],
        ["\xF9\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x63"],

        ["\x39\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x63"],
        ["\xF9\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x64"],

        ["\x39\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x64"],
        ["\xF9\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x65"],

        ["\x39\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x65"],
        ["\xF9\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x66"],

        ["\x39\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x66"],
        ["\xF9\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x67"],

        ["\x39\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x67"],
        ["\xF9\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x68"],

        ["\x39\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x68"],
        ["\xF9\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x69"],

        ["\x39\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x69"],
        ["\xF9\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x6A"],

        ["\x39\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x70"],
        ["\xF9\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x6B"],

        ["\x39\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x71"],
        ["\xF9\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x6C"],

        ["\xD6\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAC\x8C"],
        ["\xAC\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD6\xBB"],

        ["\x39\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x73"],
        ["\xF9\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x6E"],

        ["\x39\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x74"],
        ["\xF9\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x6F"],

        ["\x39\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x75"],
        ["\xF9\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x70"],

        ["\x39\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x76"],
        ["\xF9\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x71"],

        ["\x39\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x77"],
        ["\xF9\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x72"],

        ["\x39\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x78"],
        ["\xF9\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x73"],

        ["\x39\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x80"],
        ["\xF9\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x74"],

        ["\x39\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x8B"],
        ["\xF9\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x75"],

        ["\x39\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x9B"],
        ["\xF9\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x76"],

        ["\x39\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x9C"],
        ["\xF9\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x77"],

        ["\x39\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xA0"],
        ["\xF9\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x78"],

        ["\x39\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xAB"],
        ["\xF9\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x79"],

        ["\x39\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xB0"],
        ["\xF9\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x7A"],

        ["\x39\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xC0"],
        ["\xF9\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x7B"],

        ["\x39\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x6A"],
        ["\xF9\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x7C"],

        ["\x39\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xD0"],
        ["\xF9\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x7D"],

        ["\x39\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xA1"],
        ["\xF9\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x7E"],

        ["\x3A\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4F"],
        ["\x7A\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x21"],

        ["\x3A\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7F"],
        ["\x7A\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x22"],

        ["\x3A\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7B"],
        ["\x7A\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x23"],

        ["\x3A\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xE0"],
        ["\x7A\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x24"],

        ["\x3A\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6C"],
        ["\x7A\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x25"],

        ["\x3A\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x50"],
        ["\x7A\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x26"],

        ["\x3A\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7D"],
        ["\x7A\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x27"],

        ["\x3A\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4D"],
        ["\x7A\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x28"],

        ["\x3A\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5D"],
        ["\x7A\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x29"],

        ["\x3A\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5C"],
        ["\x7A\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x2A"],

        ["\x3A\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4E"],
        ["\x7A\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x2B"],

        ["\x3A\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6B"],
        ["\x7A\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x2C"],

        ["\x3A\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x60"],
        ["\x7A\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x2D"],

        ["\x3A\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4B"],
        ["\x7A\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x2E"],

        ["\x3A\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x61"],
        ["\x7A\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x2F"],

        ["\x3A\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF0"],
        ["\x7A\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x30"],

        ["\x3A\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF1"],
        ["\x7A\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x31"],

        ["\x3A\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF2"],
        ["\x7A\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x32"],

        ["\x3A\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF3"],
        ["\x7A\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x33"],

        ["\x3A\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF4"],
        ["\x7A\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x34"],

        ["\x3A\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF5"],
        ["\x7A\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x35"],

        ["\x3A\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF6"],
        ["\x7A\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x36"],

        ["\x3A\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF7"],
        ["\x7A\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x37"],

        ["\x3A\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF8"],
        ["\x7A\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x38"],

        ["\x3A\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xF9"],
        ["\x7A\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x39"],

        ["\x3A\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7A"],
        ["\x7A\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x3A"],

        ["\x3A\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5E"],
        ["\x7A\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x3B"],

        ["\x3A\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4C"],
        ["\x7A\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x3C"],

        ["\x3A\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7E"],
        ["\x7A\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x3D"],

        ["\x3A\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6E"],
        ["\x7A\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x3E"],

        ["\x3A\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6F"],
        ["\x7A\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x3F"],

        ["\x3A\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7C"],
        ["\x7A\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x40"],

        ["\x3A\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC1"],
        ["\x7A\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x41"],

        ["\x3A\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC2"],
        ["\x7A\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x42"],

        ["\x3A\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC3"],
        ["\x7A\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x43"],

        ["\x3A\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC4"],
        ["\x7A\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x44"],

        ["\x3A\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC5"],
        ["\x7A\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x45"],

        ["\x3A\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC6"],
        ["\x7A\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x46"],

        ["\x3A\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC7"],
        ["\x7A\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x47"],

        ["\x3A\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC8"],
        ["\x7A\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x48"],

        ["\x3A\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC9"],
        ["\x7A\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x49"],

        ["\x3A\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD1"],
        ["\x7A\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x4A"],

        ["\x3A\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD2"],
        ["\x7A\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x4B"],

        ["\x3A\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD3"],
        ["\x7A\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x4C"],

        ["\x3A\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD4"],
        ["\x7A\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x4D"],

        ["\x3A\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD5"],
        ["\x7A\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x4E"],

        ["\x3A\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD6"],
        ["\x7A\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x4F"],

        ["\x3A\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD7"],
        ["\x7A\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x50"],

        ["\x3A\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD8"],
        ["\x7A\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x51"],

        ["\x3A\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD9"],
        ["\x7A\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x52"],

        ["\x3A\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xE2"],
        ["\x7A\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x53"],

        ["\x3A\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xE3"],
        ["\x7A\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x54"],

        ["\x3A\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xE4"],
        ["\x7A\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x55"],

        ["\x3A\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xE5"],
        ["\x7A\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x56"],

        ["\x3A\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xE6"],
        ["\x7A\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x57"],

        ["\x3A\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xE7"],
        ["\x7A\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x58"],

        ["\x3A\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xE8"],
        ["\x7A\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x59"],

        ["\x3A\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xE9"],
        ["\x7A\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x5A"],

        ["\x3A\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4A"],
        ["\x7A\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x5B"],

        ["\x3A\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5B"],
        ["\x7A\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x5C"],

        ["\x3A\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5A"],
        ["\x7A\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x5D"],

        ["\x3A\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5F"],
        ["\x7A\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x5E"],

        ["\x3A\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6D"],
        ["\x7A\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x5F"],

        ["\x3A\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x79"],
        ["\x7A\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x60"],

        ["\x3A\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x57"],
        ["\x7A\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x61"],

        ["\x3A\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x59"],
        ["\x7A\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x62"],

        ["\x3A\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x62"],
        ["\x7A\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x63"],

        ["\x3A\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x63"],
        ["\x7A\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x64"],

        ["\x3A\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x64"],
        ["\x7A\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x65"],

        ["\x3A\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x65"],
        ["\x7A\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x66"],

        ["\x3A\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x66"],
        ["\x7A\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x67"],

        ["\x3A\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x67"],
        ["\x7A\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x68"],

        ["\x3A\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x68"],
        ["\x7A\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x69"],

        ["\x3A\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x69"],
        ["\x7A\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x6A"],

        ["\x3A\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x70"],
        ["\x7A\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x6B"],

        ["\x3A\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x71"],
        ["\x7A\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x6C"],

        ["\x3A\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x72"],
        ["\x7A\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x6D"],

        ["\x3A\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x73"],
        ["\x7A\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x6E"],

        ["\x3A\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x74"],
        ["\x7A\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x6F"],

        ["\x3A\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x75"],
        ["\x7A\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x70"],

        ["\x3A\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x76"],
        ["\x7A\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x71"],

        ["\x3A\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x77"],
        ["\x7A\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x72"],

        ["\x3A\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x78"],
        ["\x7A\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x73"],

        ["\x3A\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x80"],
        ["\x7A\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x74"],

        ["\x3A\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x8B"],
        ["\x7A\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x75"],

        ["\x3A\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x9B"],
        ["\x7A\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x76"],

        ["\x3A\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x9C"],
        ["\x7A\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x77"],

        ["\x3A\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xA0"],
        ["\x7A\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x78"],

        ["\x3A\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xAB"],
        ["\x7A\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x79"],

        ["\x3A\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xB0"],
        ["\x7A\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x7A"],

        ["\x3A\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xC0"],
        ["\x7A\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x7B"],

        ["\x3A\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6A"],
        ["\x7A\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x7C"],

        ["\x3A\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xD0"],
        ["\x7A\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x7D"],

        ["\x3A\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7A\xA1"],
        ["\x7A\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3A\x7E"],

        ["\x3B\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4F"],
        ["\x5E\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x21"],

        ["\x3B\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7F"],
        ["\x5E\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x22"],

        ["\x3B\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7B"],
        ["\x5E\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x23"],

        ["\x3B\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE0"],
        ["\x5E\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x24"],

        ["\x3B\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6C"],
        ["\x5E\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x25"],

        ["\x3B\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x50"],
        ["\x5E\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x26"],

        ["\x3B\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7D"],
        ["\x5E\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x27"],

        ["\x3B\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4D"],
        ["\x5E\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x28"],

        ["\x3B\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5D"],
        ["\x5E\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x29"],

        ["\x3B\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5C"],
        ["\x5E\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x2A"],

        ["\x3B\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4E"],
        ["\x5E\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x2B"],

        ["\x3B\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6B"],
        ["\x5E\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x2C"],

        ["\x3B\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x60"],
        ["\x5E\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x2D"],

        ["\x3B\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4B"],
        ["\x5E\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x2E"],

        ["\x3B\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x61"],
        ["\x5E\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x2F"],

        ["\x3B\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF0"],
        ["\x5E\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x30"],

        ["\x3B\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF1"],
        ["\x5E\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x31"],

        ["\x3B\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF2"],
        ["\x5E\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x32"],

        ["\x3B\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF3"],
        ["\x5E\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x33"],

        ["\x3B\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF4"],
        ["\x5E\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x34"],

        ["\x3B\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF5"],
        ["\x5E\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x35"],

        ["\x3B\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF6"],
        ["\x5E\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x36"],

        ["\x3B\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF7"],
        ["\x5E\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x37"],

        ["\x3B\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF8"],
        ["\x5E\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x38"],

        ["\x3B\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xF9"],
        ["\x5E\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x39"],

        ["\x3B\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7A"],
        ["\x5E\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x3A"],

        ["\x3B\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5E"],
        ["\x5E\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x3B"],

        ["\x3B\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4C"],
        ["\x5E\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x3C"],

        ["\x3B\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7E"],
        ["\x5E\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x3D"],

        ["\x3B\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6E"],
        ["\x5E\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x3E"],

        ["\x3B\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6F"],
        ["\x5E\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x3F"],

        ["\x3B\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7C"],
        ["\x5E\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x40"],

        ["\x3B\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC1"],
        ["\x5E\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x41"],

        ["\x3B\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC2"],
        ["\x5E\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x42"],

        ["\x3B\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC3"],
        ["\x5E\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x43"],

        ["\x3B\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC4"],
        ["\x5E\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x44"],

        ["\x3B\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC5"],
        ["\x5E\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x45"],

        ["\x3B\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC6"],
        ["\x5E\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x46"],

        ["\x3B\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC7"],
        ["\x5E\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x47"],

        ["\x3B\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC8"],
        ["\x5E\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x48"],

        ["\x3B\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC9"],
        ["\x5E\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x49"],

        ["\x3B\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD1"],
        ["\x5E\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x4A"],

        ["\x3B\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD2"],
        ["\x5E\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x4B"],

        ["\x3B\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD3"],
        ["\x5E\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x4C"],

        ["\x3B\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD4"],
        ["\x5E\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x4D"],

        ["\x3B\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD5"],
        ["\x5E\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x4E"],

        ["\x3B\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD6"],
        ["\x5E\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x4F"],

        ["\x3B\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD7"],
        ["\x5E\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x50"],

        ["\x3B\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD8"],
        ["\x5E\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x51"],

        ["\x3B\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD9"],
        ["\x5E\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x52"],

        ["\x3B\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE2"],
        ["\x5E\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x53"],

        ["\x3B\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE3"],
        ["\x5E\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x54"],

        ["\x3B\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE4"],
        ["\x5E\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x55"],

        ["\x3B\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE5"],
        ["\x5E\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x56"],

        ["\x3B\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE6"],
        ["\x5E\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x57"],

        ["\x3B\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE7"],
        ["\x5E\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x58"],

        ["\x3B\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE8"],
        ["\x5E\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x59"],

        ["\x3B\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xE9"],
        ["\x5E\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x5A"],

        ["\x3B\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4A"],
        ["\x5E\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x5B"],

        ["\x3B\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5B"],
        ["\x5E\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x5C"],

        ["\x3B\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5A"],
        ["\x5E\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x5D"],

        ["\x3B\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5F"],
        ["\x5E\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x5E"],

        ["\x3B\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6D"],
        ["\x5E\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x5F"],

        ["\x3B\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x79"],
        ["\x5E\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x60"],

        ["\x3B\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x57"],
        ["\x5E\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x61"],

        ["\x3B\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x59"],
        ["\x5E\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x62"],

        ["\x3B\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x62"],
        ["\x5E\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x63"],

        ["\x3B\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x63"],
        ["\x5E\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x64"],

        ["\x3B\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x64"],
        ["\x5E\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x65"],

        ["\x3B\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x65"],
        ["\x5E\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x66"],

        ["\x3B\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x66"],
        ["\x5E\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x67"],

        ["\x3B\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x67"],
        ["\x5E\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x68"],

        ["\x3B\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x68"],
        ["\x5E\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x69"],

        ["\x3B\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x69"],
        ["\x5E\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x6A"],

        ["\x3B\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x70"],
        ["\x5E\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x6B"],

        ["\x3B\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x71"],
        ["\x5E\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x6C"],

        ["\x3B\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x72"],
        ["\x5E\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x6D"],

        ["\x3B\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x73"],
        ["\x5E\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x6E"],

        ["\x3B\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x74"],
        ["\x5E\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x6F"],

        ["\x3B\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x75"],
        ["\x5E\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x70"],

        ["\x3B\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x76"],
        ["\x5E\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x71"],

        ["\x3B\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x77"],
        ["\x5E\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x72"],

        ["\x3B\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x78"],
        ["\x5E\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x73"],

        ["\x3B\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x80"],
        ["\x5E\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x74"],

        ["\x3B\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x8B"],
        ["\x5E\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x75"],

        ["\x3B\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x9B"],
        ["\x5E\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x76"],

        ["\x3B\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x9C"],
        ["\x5E\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x77"],

        ["\x3B\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xA0"],
        ["\x5E\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x78"],

        ["\x3B\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xAB"],
        ["\x5E\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x79"],

        ["\x3B\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xB0"],
        ["\x5E\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x7A"],

        ["\x3B\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xC0"],
        ["\x5E\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x7B"],

        ["\x3B\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6A"],
        ["\x5E\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x7C"],

        ["\x3B\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xD0"],
        ["\x5E\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x7D"],

        ["\x3B\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5E\xA1"],
        ["\x5E\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3B\x7E"],

        ["\x3C\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4F"],
        ["\x4C\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x21"],

        ["\x3C\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7F"],
        ["\x4C\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x22"],

        ["\x3C\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7B"],
        ["\x4C\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x23"],

        ["\x3C\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE0"],
        ["\x4C\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x24"],

        ["\x3C\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6C"],
        ["\x4C\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x25"],

        ["\x3C\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x50"],
        ["\x4C\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x26"],

        ["\x3C\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7D"],
        ["\x4C\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x27"],

        ["\x3C\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4D"],
        ["\x4C\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x28"],

        ["\x3C\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5D"],
        ["\x4C\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x29"],

        ["\x3C\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5C"],
        ["\x4C\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x2A"],

        ["\x3C\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4E"],
        ["\x4C\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x2B"],

        ["\x3C\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6B"],
        ["\x4C\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x2C"],

        ["\x3C\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x60"],
        ["\x4C\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x2D"],

        ["\x3C\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4B"],
        ["\x4C\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x2E"],

        ["\x3C\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x61"],
        ["\x4C\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x2F"],

        ["\x3C\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF0"],
        ["\x4C\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x30"],

        ["\x3C\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF1"],
        ["\x4C\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x31"],

        ["\x3C\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF2"],
        ["\x4C\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x32"],

        ["\x3C\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF3"],
        ["\x4C\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x33"],

        ["\x3C\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF4"],
        ["\x4C\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x34"],

        ["\x3C\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF5"],
        ["\x4C\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x35"],

        ["\x3C\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF6"],
        ["\x4C\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x36"],

        ["\x3C\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF7"],
        ["\x4C\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x37"],

        ["\x3C\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF8"],
        ["\x4C\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x38"],

        ["\x3C\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xF9"],
        ["\x4C\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x39"],

        ["\x3C\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7A"],
        ["\x4C\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x3A"],

        ["\x3C\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5E"],
        ["\x4C\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x3B"],

        ["\x3C\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4C"],
        ["\x4C\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x3C"],

        ["\x3C\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7E"],
        ["\x4C\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x3D"],

        ["\x3C\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6E"],
        ["\x4C\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x3E"],

        ["\x3C\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6F"],
        ["\x4C\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x3F"],

        ["\x3C\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7C"],
        ["\x4C\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x40"],

        ["\x3C\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC1"],
        ["\x4C\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x41"],

        ["\x3C\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC2"],
        ["\x4C\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x42"],

        ["\x3C\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC3"],
        ["\x4C\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x43"],

        ["\x3C\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC4"],
        ["\x4C\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x44"],

        ["\x3C\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC5"],
        ["\x4C\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x45"],

        ["\x3C\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC6"],
        ["\x4C\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x46"],

        ["\x3C\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC7"],
        ["\x4C\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x47"],

        ["\x3C\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC8"],
        ["\x4C\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x48"],

        ["\x69\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7F"],
        ["\x68\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x22"],

        ["\x3C\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD1"],
        ["\x4C\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x4A"],

        ["\x3C\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD2"],
        ["\x4C\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x4B"],

        ["\x3C\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD3"],
        ["\x4C\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x4C"],

        ["\x3C\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD4"],
        ["\x4C\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x4D"],

        ["\x3C\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD5"],
        ["\x4C\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x4E"],

        ["\x3C\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD6"],
        ["\x4C\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x4F"],

        ["\x3C\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD7"],
        ["\x4C\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x50"],

        ["\x3C\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD8"],
        ["\x4C\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x51"],

        ["\x3C\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD9"],
        ["\x4C\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x52"],

        ["\x3C\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE2"],
        ["\x4C\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x53"],

        ["\x3C\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE3"],
        ["\x4C\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x54"],

        ["\x3C\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE4"],
        ["\x4C\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x55"],

        ["\x3C\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE5"],
        ["\x4C\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x56"],

        ["\x3C\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE6"],
        ["\x4C\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x57"],

        ["\x3C\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE7"],
        ["\x4C\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x58"],

        ["\x3C\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE8"],
        ["\x4C\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x59"],

        ["\x3C\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xE9"],
        ["\x4C\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x5A"],

        ["\x3C\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4A"],
        ["\x4C\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x5B"],

        ["\x3C\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5B"],
        ["\x4C\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x5C"],

        ["\x3C\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5A"],
        ["\x4C\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x5D"],

        ["\x3C\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5F"],
        ["\x4C\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x5E"],

        ["\x3C\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6D"],
        ["\x4C\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x5F"],

        ["\x3C\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x79"],
        ["\x4C\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x60"],

        ["\x3C\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x57"],
        ["\x4C\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x61"],

        ["\x3C\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x59"],
        ["\x4C\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x62"],

        ["\x3C\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x62"],
        ["\x4C\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x63"],

        ["\x3C\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x63"],
        ["\x4C\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x64"],

        ["\x3C\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x64"],
        ["\x4C\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x65"],

        ["\x3C\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x65"],
        ["\x4C\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x66"],

        ["\x3C\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x66"],
        ["\x4C\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x67"],

        ["\x3C\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x67"],
        ["\x4C\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x68"],

        ["\x3C\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x68"],
        ["\x4C\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x69"],

        ["\x3C\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x69"],
        ["\x4C\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x6A"],

        ["\x3C\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x70"],
        ["\x4C\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x6B"],

        ["\x3C\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x71"],
        ["\x4C\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x6C"],

        ["\x3C\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x72"],
        ["\x4C\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x6D"],

        ["\x3C\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x73"],
        ["\x4C\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x6E"],

        ["\x3C\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x74"],
        ["\x4C\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x6F"],

        ["\x3C\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x75"],
        ["\x4C\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x70"],

        ["\x3C\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x76"],
        ["\x4C\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x71"],

        ["\x3C\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x77"],
        ["\x4C\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x72"],

        ["\x3C\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x78"],
        ["\x4C\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x73"],

        ["\x3C\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x80"],
        ["\x4C\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x74"],

        ["\x3C\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x8B"],
        ["\x4C\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x75"],

        ["\x3C\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x9B"],
        ["\x4C\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x76"],

        ["\x3C\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x9C"],
        ["\x4C\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x77"],

        ["\x3C\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xA0"],
        ["\x4C\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x78"],

        ["\x3C\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xAB"],
        ["\x4C\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x79"],

        ["\x3C\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xB0"],
        ["\x4C\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x7A"],

        ["\x3C\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC0"],
        ["\x4C\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x7B"],

        ["\x3C\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6A"],
        ["\x4C\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x7C"],

        ["\x3C\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xD0"],
        ["\x4C\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x7D"],

        ["\x3C\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xA1"],
        ["\x4C\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x7E"],

        ["\x3D\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4F"],
        ["\x7E\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x21"],

        ["\x3D\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7F"],
        ["\x7E\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x22"],

        ["\x3D\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7B"],
        ["\x7E\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x23"],

        ["\x3D\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xE0"],
        ["\x7E\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x24"],

        ["\x3D\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6C"],
        ["\x7E\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x25"],

        ["\x3D\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x50"],
        ["\x7E\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x26"],

        ["\x3D\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7D"],
        ["\x7E\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x27"],

        ["\x3D\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4D"],
        ["\x7E\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x28"],

        ["\x3D\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5D"],
        ["\x7E\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x29"],

        ["\x3D\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5C"],
        ["\x7E\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x2A"],

        ["\x3D\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4E"],
        ["\x7E\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x2B"],

        ["\x3D\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6B"],
        ["\x7E\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x2C"],

        ["\x3D\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x60"],
        ["\x7E\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x2D"],

        ["\x3D\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4B"],
        ["\x7E\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x2E"],

        ["\x3D\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x61"],
        ["\x7E\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x2F"],

        ["\x3D\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF0"],
        ["\x7E\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x30"],

        ["\x3D\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF1"],
        ["\x7E\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x31"],

        ["\x3D\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF2"],
        ["\x7E\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x32"],

        ["\x3D\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF3"],
        ["\x7E\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x33"],

        ["\x3D\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF4"],
        ["\x7E\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x34"],

        ["\x3D\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF5"],
        ["\x7E\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x35"],

        ["\x3D\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF6"],
        ["\x7E\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x36"],

        ["\x3D\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF7"],
        ["\x7E\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x37"],

        ["\x3D\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF8"],
        ["\x7E\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x38"],

        ["\x3D\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xF9"],
        ["\x7E\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x39"],

        ["\x3D\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7A"],
        ["\x7E\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x3A"],

        ["\x3D\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5E"],
        ["\x7E\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x3B"],

        ["\x3D\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4C"],
        ["\x7E\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x3C"],

        ["\x3D\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7E"],
        ["\x7E\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x3D"],

        ["\x3D\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6E"],
        ["\x7E\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x3E"],

        ["\x3D\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6F"],
        ["\x7E\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x3F"],

        ["\x3D\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7C"],
        ["\x7E\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x40"],

        ["\x3D\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC1"],
        ["\x7E\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x41"],

        ["\x3D\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC2"],
        ["\x7E\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x42"],

        ["\x3D\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC3"],
        ["\x7E\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x43"],

        ["\x3D\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC4"],
        ["\x7E\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x44"],

        ["\x3D\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC5"],
        ["\x7E\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x45"],

        ["\x3D\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC6"],
        ["\x7E\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x46"],

        ["\x3D\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC7"],
        ["\x7E\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x47"],

        ["\x3D\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC8"],
        ["\x7E\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x48"],

        ["\x3D\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC9"],
        ["\x7E\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x49"],

        ["\x3D\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD1"],
        ["\x7E\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x4A"],

        ["\x3D\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD2"],
        ["\x7E\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x4B"],

        ["\x3D\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD3"],
        ["\x7E\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x4C"],

        ["\x3D\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD4"],
        ["\x7E\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x4D"],

        ["\x3D\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD5"],
        ["\x7E\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x4E"],

        ["\x3D\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD6"],
        ["\x7E\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x4F"],

        ["\x3D\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD7"],
        ["\x7E\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x50"],

        ["\x3D\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD8"],
        ["\x7E\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x51"],

        ["\x3D\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD9"],
        ["\x7E\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x52"],

        ["\x3D\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xE2"],
        ["\x7E\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x53"],

        ["\x3D\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xE3"],
        ["\x7E\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x54"],

        ["\x3D\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xE4"],
        ["\x7E\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x55"],

        ["\x3D\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xE5"],
        ["\x7E\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x56"],

        ["\x3D\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xE6"],
        ["\x7E\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x57"],

        ["\x3D\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xE7"],
        ["\x7E\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x58"],

        ["\x3D\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xE8"],
        ["\x7E\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x59"],

        ["\x3D\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xE9"],
        ["\x7E\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x5A"],

        ["\x3D\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4A"],
        ["\x7E\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x5B"],

        ["\x3D\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5B"],
        ["\x7E\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x5C"],

        ["\x3D\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5A"],
        ["\x7E\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x5D"],

        ["\x3D\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5F"],
        ["\x7E\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x5E"],

        ["\x3D\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6D"],
        ["\x7E\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x5F"],

        ["\x3D\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x79"],
        ["\x7E\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x60"],

        ["\x3D\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x57"],
        ["\x7E\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x61"],

        ["\x3D\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x59"],
        ["\x7E\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x62"],

        ["\x3D\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x62"],
        ["\x7E\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x63"],

        ["\x3D\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x63"],
        ["\x7E\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x64"],

        ["\x3D\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x64"],
        ["\x7E\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x65"],

        ["\x3D\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x65"],
        ["\x7E\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x66"],

        ["\x3D\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x66"],
        ["\x7E\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x67"],

        ["\x3D\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x67"],
        ["\x7E\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x68"],

        ["\x3D\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x68"],
        ["\x7E\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x69"],

        ["\x3D\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x69"],
        ["\x7E\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x6A"],

        ["\x3D\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x70"],
        ["\x7E\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x6B"],

        ["\x3D\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x71"],
        ["\x7E\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x6C"],

        ["\x3D\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x72"],
        ["\x7E\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x6D"],

        ["\x3D\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x73"],
        ["\x7E\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x6E"],

        ["\x3D\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x74"],
        ["\x7E\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x6F"],

        ["\x3D\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x75"],
        ["\x7E\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x70"],

        ["\x3D\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x76"],
        ["\x7E\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x71"],

        ["\x3D\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x77"],
        ["\x7E\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x72"],

        ["\x3D\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x78"],
        ["\x7E\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x73"],

        ["\x3D\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x80"],
        ["\x7E\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x74"],

        ["\x3D\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x8B"],
        ["\x7E\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x75"],

        ["\x3D\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x9B"],
        ["\x7E\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x76"],

        ["\x3D\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x9C"],
        ["\x7E\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x77"],

        ["\x3D\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xA0"],
        ["\x7E\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x78"],

        ["\x3D\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xAB"],
        ["\x7E\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x79"],

        ["\x3D\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xB0"],
        ["\x7E\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x7A"],

        ["\x3D\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xC0"],
        ["\x7E\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x7B"],

        ["\x3D\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6A"],
        ["\x7E\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x7C"],

        ["\x3D\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xD0"],
        ["\x7E\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x7D"],

        ["\x3D\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7E\xA1"],
        ["\x7E\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3D\x7E"],

        ["\x3E\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4F"],
        ["\x6E\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x21"],

        ["\x3E\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7F"],
        ["\x6E\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x22"],

        ["\x3E\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7B"],
        ["\x6E\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x23"],

        ["\x3E\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE0"],
        ["\x6E\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x24"],

        ["\x3E\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6C"],
        ["\x6E\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x25"],

        ["\x3E\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x50"],
        ["\x6E\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x26"],

        ["\x3E\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7D"],
        ["\x6E\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x27"],

        ["\x3E\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4D"],
        ["\x6E\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x28"],

        ["\x3E\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5D"],
        ["\x6E\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x29"],

        ["\x3E\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5C"],
        ["\x6E\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x2A"],

        ["\x3E\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4E"],
        ["\x6E\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x2B"],

        ["\x3E\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6B"],
        ["\x6E\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x2C"],

        ["\x3E\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x60"],
        ["\x6E\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x2D"],

        ["\x3E\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4B"],
        ["\x6E\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x2E"],

        ["\x3E\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x61"],
        ["\x6E\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x2F"],

        ["\x3E\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF0"],
        ["\x6E\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x30"],

        ["\x3E\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF1"],
        ["\x6E\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x31"],

        ["\x3E\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF2"],
        ["\x6E\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x32"],

        ["\x3E\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF3"],
        ["\x6E\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x33"],

        ["\x3E\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF4"],
        ["\x6E\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x34"],

        ["\x3E\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF5"],
        ["\x6E\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x35"],

        ["\x3E\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF6"],
        ["\x6E\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x36"],

        ["\x3E\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF7"],
        ["\x6E\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x37"],

        ["\x3E\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF8"],
        ["\x6E\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x38"],

        ["\x3E\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xF9"],
        ["\x6E\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x39"],

        ["\x3E\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7A"],
        ["\x6E\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x3A"],

        ["\x3E\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5E"],
        ["\x6E\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x3B"],

        ["\x3E\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4C"],
        ["\x6E\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x3C"],

        ["\x3E\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7E"],
        ["\x6E\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x3D"],

        ["\x3E\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6E"],
        ["\x6E\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x3E"],

        ["\x3E\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6F"],
        ["\x6E\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x3F"],

        ["\x3E\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7C"],
        ["\x6E\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x40"],

        ["\x3E\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC1"],
        ["\x6E\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x41"],

        ["\x3E\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC2"],
        ["\x6E\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x42"],

        ["\x3E\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC3"],
        ["\x6E\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x43"],

        ["\x3E\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC4"],
        ["\x6E\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x44"],

        ["\x3E\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC5"],
        ["\x6E\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x45"],

        ["\x3E\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC6"],
        ["\x6E\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x46"],

        ["\x3E\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC7"],
        ["\x6E\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x47"],

        ["\x3E\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC8"],
        ["\x6E\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x48"],

        ["\x3E\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC9"],
        ["\x6E\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x49"],

        ["\x3E\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD1"],
        ["\x6E\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x4A"],

        ["\x3E\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD2"],
        ["\x6E\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x4B"],

        ["\x3E\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD3"],
        ["\x6E\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x4C"],

        ["\x3E\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD4"],
        ["\x6E\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x4D"],

        ["\x3E\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD5"],
        ["\x6E\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x4E"],

        ["\x3E\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD6"],
        ["\x6E\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x4F"],

        ["\x3E\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD7"],
        ["\x6E\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x50"],

        ["\x3E\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD8"],
        ["\x6E\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x51"],

        ["\x3E\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD9"],
        ["\x6E\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x52"],

        ["\x3E\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE2"],
        ["\x6E\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x53"],

        ["\x3E\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE3"],
        ["\x6E\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x54"],

        ["\x3E\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE4"],
        ["\x6E\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x55"],

        ["\x3E\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE5"],
        ["\x6E\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x56"],

        ["\x3E\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE6"],
        ["\x6E\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x57"],

        ["\x3E\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE7"],
        ["\x6E\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x58"],

        ["\x3E\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE8"],
        ["\x6E\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x59"],

        ["\x3E\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xE9"],
        ["\x6E\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x5A"],

        ["\x3E\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4A"],
        ["\x6E\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x5B"],

        ["\x3E\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5B"],
        ["\x6E\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x5C"],

        ["\x3E\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5A"],
        ["\x6E\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x5D"],

        ["\x3E\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5F"],
        ["\x6E\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x5E"],

        ["\x3E\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6D"],
        ["\x6E\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x5F"],

        ["\x3E\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x79"],
        ["\x6E\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x60"],

        ["\x3E\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x57"],
        ["\x6E\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x61"],

        ["\x3E\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x59"],
        ["\x6E\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x62"],

        ["\x3E\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x62"],
        ["\x6E\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x63"],

        ["\x3E\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x63"],
        ["\x6E\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x64"],

        ["\x3E\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x64"],
        ["\x6E\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x65"],

        ["\x3E\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x65"],
        ["\x6E\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x66"],

        ["\x3E\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x66"],
        ["\x6E\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x67"],

        ["\x3E\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x67"],
        ["\x6E\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x68"],

        ["\x3E\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x68"],
        ["\x6E\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x69"],

        ["\x3E\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x69"],
        ["\x6E\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x6A"],

        ["\x3E\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x70"],
        ["\x6E\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x6B"],

        ["\x3E\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x71"],
        ["\x6E\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x6C"],

        ["\x3E\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x72"],
        ["\x6E\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x6D"],

        ["\x3E\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x73"],
        ["\x6E\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x6E"],

        ["\x3E\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x74"],
        ["\x6E\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x6F"],

        ["\x3E\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x75"],
        ["\x6E\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x70"],

        ["\x3E\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x76"],
        ["\x6E\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x71"],

        ["\x3E\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x77"],
        ["\x6E\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x72"],

        ["\x3E\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x78"],
        ["\x6E\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x73"],

        ["\x3E\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x80"],
        ["\x6E\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x74"],

        ["\x3E\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x8B"],
        ["\x6E\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x75"],

        ["\x3E\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x9B"],
        ["\x6E\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x76"],

        ["\x3E\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x9C"],
        ["\x6E\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x77"],

        ["\x3E\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xA0"],
        ["\x6E\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x78"],

        ["\x3E\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xAB"],
        ["\x6E\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x79"],

        ["\x3E\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xB0"],
        ["\x6E\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x7A"],

        ["\x3E\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xC0"],
        ["\x6E\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x7B"],

        ["\x3E\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6A"],
        ["\x6E\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x7C"],

        ["\x3E\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xD0"],
        ["\x6E\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x7D"],

        ["\x3E\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6E\xA1"],
        ["\x6E\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3E\x7E"],

        ["\x3F\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4F"],
        ["\x6F\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x21"],

        ["\x3F\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7F"],
        ["\x6F\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x22"],

        ["\x3F\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7B"],
        ["\x6F\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x23"],

        ["\x3F\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE0"],
        ["\x6F\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x24"],

        ["\x3F\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6C"],
        ["\x6F\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x25"],

        ["\x3F\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x50"],
        ["\x6F\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x26"],

        ["\x3F\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7D"],
        ["\x6F\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x27"],

        ["\x3F\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4D"],
        ["\x6F\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x28"],

        ["\x3F\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5D"],
        ["\x6F\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x29"],

        ["\x3F\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5C"],
        ["\x6F\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x2A"],

        ["\x3F\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4E"],
        ["\x6F\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x2B"],

        ["\x3F\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6B"],
        ["\x6F\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x2C"],

        ["\x3F\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x60"],
        ["\x6F\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x2D"],

        ["\x3F\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4B"],
        ["\x6F\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x2E"],

        ["\x3F\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x61"],
        ["\x6F\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x2F"],

        ["\x3F\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF0"],
        ["\x6F\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x30"],

        ["\x3F\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF1"],
        ["\x6F\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x31"],

        ["\x3F\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF2"],
        ["\x6F\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x32"],

        ["\x3F\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF3"],
        ["\x6F\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x33"],

        ["\x3F\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF4"],
        ["\x6F\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x34"],

        ["\x3F\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF5"],
        ["\x6F\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x35"],

        ["\x3F\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF6"],
        ["\x6F\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x36"],

        ["\x3F\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF7"],
        ["\x6F\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x37"],

        ["\x3F\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF8"],
        ["\x6F\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x38"],

        ["\x3F\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xF9"],
        ["\x6F\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x39"],

        ["\x3F\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7A"],
        ["\x6F\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x3A"],

        ["\x3F\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5E"],
        ["\x6F\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x3B"],

        ["\x3F\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4C"],
        ["\x6F\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x3C"],

        ["\x3F\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7E"],
        ["\x6F\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x3D"],

        ["\x3F\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6E"],
        ["\x6F\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x3E"],

        ["\x3F\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6F"],
        ["\x6F\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x3F"],

        ["\x3F\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7C"],
        ["\x6F\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x40"],

        ["\x3F\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC1"],
        ["\x6F\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x41"],

        ["\x3F\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC2"],
        ["\x6F\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x42"],

        ["\x3F\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC3"],
        ["\x6F\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x43"],

        ["\x3F\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC4"],
        ["\x6F\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x44"],

        ["\x3F\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC5"],
        ["\x6F\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x45"],

        ["\x3F\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC6"],
        ["\x6F\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x46"],

        ["\x3F\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC7"],
        ["\x6F\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x47"],

        ["\x3F\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC8"],
        ["\x6F\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x48"],

        ["\x3F\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC9"],
        ["\x6F\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x49"],

        ["\x3F\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD1"],
        ["\x6F\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x4A"],

        ["\x3F\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD2"],
        ["\x6F\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x4B"],

        ["\x3F\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD3"],
        ["\x6F\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x4C"],

        ["\x3F\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD4"],
        ["\x6F\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x4D"],

        ["\x3F\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD5"],
        ["\x6F\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x4E"],

        ["\x3F\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD6"],
        ["\x6F\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x4F"],

        ["\x3F\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD7"],
        ["\x6F\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x50"],

        ["\x3F\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD8"],
        ["\x6F\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x51"],

        ["\x3F\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD9"],
        ["\x6F\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x52"],

        ["\x3F\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE2"],
        ["\x6F\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x53"],

        ["\x3F\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE3"],
        ["\x6F\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x54"],

        ["\x3F\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE4"],
        ["\x6F\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x55"],

        ["\x3F\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE5"],
        ["\x6F\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x56"],

        ["\x3F\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE6"],
        ["\x6F\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x57"],

        ["\x3F\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE7"],
        ["\x6F\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x58"],

        ["\x70\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xE6"],
        ["\x75\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x57"],

        ["\x3F\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE9"],
        ["\x6F\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x5A"],

        ["\x3F\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4A"],
        ["\x6F\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x5B"],

        ["\x3F\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5B"],
        ["\x6F\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x5C"],

        ["\x3F\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5A"],
        ["\x6F\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x5D"],

        ["\x3F\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5F"],
        ["\x6F\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x5E"],

        ["\x3F\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6D"],
        ["\x6F\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x5F"],

        ["\x3F\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x79"],
        ["\x6F\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x60"],

        ["\x3F\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x57"],
        ["\x6F\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x61"],

        ["\x3F\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x59"],
        ["\x6F\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x62"],

        ["\x3F\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x62"],
        ["\x6F\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x63"],

        ["\x3F\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x63"],
        ["\x6F\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x64"],

        ["\x3F\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x64"],
        ["\x6F\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x65"],

        ["\x3F\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x65"],
        ["\x6F\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x66"],

        ["\x3F\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x66"],
        ["\x6F\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x67"],

        ["\x3F\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x67"],
        ["\x6F\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x68"],

        ["\x3F\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x68"],
        ["\x6F\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x69"],

        ["\x3F\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x69"],
        ["\x6F\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x6A"],

        ["\x3F\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x70"],
        ["\x6F\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x6B"],

        ["\x3F\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x71"],
        ["\x6F\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x6C"],

        ["\x3F\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x72"],
        ["\x6F\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x6D"],

        ["\x3F\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x73"],
        ["\x6F\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x6E"],

        ["\x3F\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x74"],
        ["\x6F\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x6F"],

        ["\x3F\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x75"],
        ["\x6F\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x70"],

        ["\x3F\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x76"],
        ["\x6F\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x71"],

        ["\x3F\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x77"],
        ["\x6F\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x72"],

        ["\x3F\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x78"],
        ["\x6F\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x73"],

        ["\x3F\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x80"],
        ["\x6F\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x74"],

        ["\x3F\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x8B"],
        ["\x6F\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x75"],

        ["\x3F\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x9B"],
        ["\x6F\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x76"],

        ["\x3F\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x9C"],
        ["\x6F\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x77"],

        ["\x3F\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xA0"],
        ["\x6F\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x78"],

        ["\x3F\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xAB"],
        ["\x6F\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x79"],

        ["\x3F\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xB0"],
        ["\x6F\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x7A"],

        ["\x3F\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xC0"],
        ["\x6F\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x7B"],

        ["\x3F\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6A"],
        ["\x6F\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x7C"],

        ["\x3F\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xD0"],
        ["\x6F\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x7D"],

        ["\x3F\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xA1"],
        ["\x6F\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x7E"],

        ["\x40\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4F"],
        ["\x7C\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x21"],

        ["\x40\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7F"],
        ["\x7C\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x22"],

        ["\x40\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7B"],
        ["\x7C\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x23"],

        ["\x40\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE0"],
        ["\x7C\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x24"],

        ["\x40\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6C"],
        ["\x7C\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x25"],

        ["\x40\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x50"],
        ["\x7C\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x26"],

        ["\x40\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7D"],
        ["\x7C\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x27"],

        ["\x40\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4D"],
        ["\x7C\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x28"],

        ["\x40\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5D"],
        ["\x7C\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x29"],

        ["\x40\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5C"],
        ["\x7C\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x2A"],

        ["\x40\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4E"],
        ["\x7C\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x2B"],

        ["\x40\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6B"],
        ["\x7C\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x2C"],

        ["\x40\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x60"],
        ["\x7C\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x2D"],

        ["\x40\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4B"],
        ["\x7C\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x2E"],

        ["\x40\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x61"],
        ["\x7C\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x2F"],

        ["\x40\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF0"],
        ["\x7C\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x30"],

        ["\x40\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF1"],
        ["\x7C\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x31"],

        ["\x40\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF2"],
        ["\x7C\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x32"],

        ["\x40\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF3"],
        ["\x7C\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x33"],

        ["\x40\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF4"],
        ["\x7C\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x34"],

        ["\x40\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF5"],
        ["\x7C\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x35"],

        ["\x40\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF6"],
        ["\x7C\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x36"],

        ["\x40\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF7"],
        ["\x7C\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x37"],

        ["\x40\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF8"],
        ["\x7C\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x38"],

        ["\x40\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xF9"],
        ["\x7C\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x39"],

        ["\x40\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7A"],
        ["\x7C\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x3A"],

        ["\x40\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5E"],
        ["\x7C\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x3B"],

        ["\x40\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4C"],
        ["\x7C\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x3C"],

        ["\x40\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7E"],
        ["\x7C\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x3D"],

        ["\x40\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6E"],
        ["\x7C\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x3E"],

        ["\x40\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6F"],
        ["\x7C\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x3F"],

        ["\x40\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7C"],
        ["\x7C\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x40"],

        ["\x40\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC1"],
        ["\x7C\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x41"],

        ["\x40\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC2"],
        ["\x7C\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x42"],

        ["\x40\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC3"],
        ["\x7C\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x43"],

        ["\x40\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC4"],
        ["\x7C\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x44"],

        ["\x40\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC5"],
        ["\x7C\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x45"],

        ["\x40\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC6"],
        ["\x7C\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x46"],

        ["\x40\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC7"],
        ["\x7C\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x47"],

        ["\x40\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC8"],
        ["\x7C\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x48"],

        ["\x40\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC9"],
        ["\x7C\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x49"],

        ["\x40\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD1"],
        ["\x7C\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x4A"],

        ["\x40\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD2"],
        ["\x7C\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x4B"],

        ["\x40\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD3"],
        ["\x7C\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x4C"],

        ["\x40\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD4"],
        ["\x7C\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x4D"],

        ["\x40\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD5"],
        ["\x7C\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x4E"],

        ["\x40\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD6"],
        ["\x7C\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x4F"],

        ["\x40\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD7"],
        ["\x7C\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x50"],

        ["\x40\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD8"],
        ["\x7C\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x51"],

        ["\x40\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD9"],
        ["\x7C\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x52"],

        ["\x40\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE2"],
        ["\x7C\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x53"],

        ["\x40\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE3"],
        ["\x7C\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x54"],

        ["\x40\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE4"],
        ["\x7C\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x55"],

        ["\x40\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE5"],
        ["\x7C\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x56"],

        ["\x40\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE6"],
        ["\x7C\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x57"],

        ["\x40\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE7"],
        ["\x7C\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x58"],

        ["\x40\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE8"],
        ["\x7C\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x59"],

        ["\x40\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xE9"],
        ["\x7C\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x5A"],

        ["\x40\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4A"],
        ["\x7C\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x5B"],

        ["\x40\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5B"],
        ["\x7C\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x5C"],

        ["\x40\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5A"],
        ["\x7C\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x5D"],

        ["\x40\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5F"],
        ["\x7C\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x5E"],

        ["\x40\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6D"],
        ["\x7C\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x5F"],

        ["\x40\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x79"],
        ["\x7C\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x60"],

        ["\x40\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x57"],
        ["\x7C\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x61"],

        ["\x40\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x59"],
        ["\x7C\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x62"],

        ["\x40\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x62"],
        ["\x7C\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x63"],

        ["\x40\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x63"],
        ["\x7C\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x64"],

        ["\x40\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x64"],
        ["\x7C\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x65"],

        ["\x40\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x65"],
        ["\x7C\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x66"],

        ["\x40\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x66"],
        ["\x7C\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x67"],

        ["\x40\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x67"],
        ["\x7C\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x68"],

        ["\x40\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x68"],
        ["\x7C\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x69"],

        ["\x40\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x69"],
        ["\x7C\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x6A"],

        ["\x40\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x70"],
        ["\x7C\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x6B"],

        ["\x40\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x71"],
        ["\x7C\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x6C"],

        ["\x40\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x72"],
        ["\x7C\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x6D"],

        ["\x40\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x73"],
        ["\x7C\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x6E"],

        ["\x40\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x74"],
        ["\x7C\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x6F"],

        ["\x40\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x75"],
        ["\x7C\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x70"],

        ["\x40\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x76"],
        ["\x7C\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x71"],

        ["\x40\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x77"],
        ["\x7C\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x72"],

        ["\x40\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x78"],
        ["\x7C\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x73"],

        ["\x40\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x80"],
        ["\x7C\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x74"],

        ["\x40\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x8B"],
        ["\x7C\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x75"],

        ["\x40\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x9B"],
        ["\x7C\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x76"],

        ["\x40\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x9C"],
        ["\x7C\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x77"],

        ["\x40\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xA0"],
        ["\x7C\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x78"],

        ["\x40\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xAB"],
        ["\x7C\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x79"],

        ["\x40\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xB0"],
        ["\x7C\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x7A"],

        ["\x40\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xC0"],
        ["\x7C\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x7B"],

        ["\x40\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6A"],
        ["\x7C\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x7C"],

        ["\x40\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xD0"],
        ["\x7C\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x7D"],

        ["\x40\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x7C\xA1"],
        ["\x7C\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x40\x7E"],

        ["\x41\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x4F"],
        ["\xC1\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x21"],

        ["\x41\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x7F"],
        ["\xC1\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x22"],

        ["\x41\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x7B"],
        ["\xC1\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x23"],

        ["\x41\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE0"],
        ["\xC1\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x24"],

        ["\x41\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x6C"],
        ["\xC1\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x25"],

        ["\x41\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x50"],
        ["\xC1\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x26"],

        ["\x41\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x7D"],
        ["\xC1\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x27"],

        ["\x6C\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD4"],
        ["\x71\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x4D"],

        ["\x41\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x5D"],
        ["\xC1\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x29"],

        ["\x41\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x5C"],
        ["\xC1\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x2A"],

        ["\x41\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x4E"],
        ["\xC1\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x2B"],

        ["\x41\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x6B"],
        ["\xC1\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x2C"],

        ["\x41\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x60"],
        ["\xC1\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x2D"],

        ["\x41\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x4B"],
        ["\xC1\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x2E"],

        ["\x41\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x61"],
        ["\xC1\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x2F"],

        ["\x41\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],
        ["\xC1\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x30"],

        ["\x41\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],
        ["\xC1\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x31"],

        ["\x41\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF2"],
        ["\xC1\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x32"],

        ["\x41\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],
        ["\xC1\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x33"],

        ["\x41\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],
        ["\xC1\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x34"],

        ["\x41\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF5"],
        ["\xC1\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x35"],

        ["\x41\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF6"],
        ["\xC1\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x36"],

        ["\x41\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF7"],
        ["\xC1\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x37"],

        ["\x41\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF8"],
        ["\xC1\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x38"],

        ["\x41\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF9"],
        ["\xC1\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x39"],

        ["\x41\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x7A"],
        ["\xC1\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x3A"],

        ["\x41\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x5E"],
        ["\xC1\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x3B"],

        ["\x41\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x4C"],
        ["\xC1\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x3C"],

        ["\x41\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x7E"],
        ["\xC1\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x3D"],

        ["\x41\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x6E"],
        ["\xC1\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x3E"],

        ["\x41\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x6F"],
        ["\xC1\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x3F"],

        ["\x41\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x7C"],
        ["\xC1\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x40"],

        ["\x41\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC1"],
        ["\xC1\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x41"],

        ["\x41\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC2"],
        ["\xC1\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x42"],

        ["\x41\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC3"],
        ["\xC1\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x43"],

        ["\x41\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],
        ["\xC1\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x44"],

        ["\x41\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC5"],
        ["\xC1\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x45"],

        ["\x41\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC6"],
        ["\xC1\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x46"],

        ["\x41\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],
        ["\xC1\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x47"],

        ["\x41\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],
        ["\xC1\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x48"],

        ["\x41\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC9"],
        ["\xC1\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x49"],

        ["\x41\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],
        ["\xC1\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x4A"],

        ["\x41\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD2"],
        ["\xC1\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x4B"],

        ["\x41\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],
        ["\xC1\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x4C"],

        ["\x41\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD4"],
        ["\xC1\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x4D"],

        ["\x41\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD5"],
        ["\xC1\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x4E"],

        ["\x41\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD6"],
        ["\xC1\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x4F"],

        ["\x41\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD7"],
        ["\xC1\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x50"],

        ["\x41\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD8"],
        ["\xC1\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x51"],

        ["\x41\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],
        ["\xC1\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x52"],

        ["\x41\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE2"],
        ["\xC1\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x53"],

        ["\x41\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE3"],
        ["\xC1\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x54"],

        ["\x41\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE4"],
        ["\xC1\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x55"],

        ["\x41\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE5"],
        ["\xC1\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x56"],

        ["\x41\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],
        ["\xC1\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x57"],

        ["\x41\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE7"],
        ["\xC1\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x58"],

        ["\x41\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],
        ["\xC1\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x59"],

        ["\x41\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],
        ["\xC1\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x5A"],

        ["\x41\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x4A"],
        ["\xC1\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x5B"],

        ["\x41\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x5B"],
        ["\xC1\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x5C"],

        ["\x41\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x5A"],
        ["\xC1\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x5D"],

        ["\x41\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x5F"],
        ["\xC1\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x5E"],

        ["\x41\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x6D"],
        ["\xC1\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x5F"],

        ["\x41\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x79"],
        ["\xC1\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x60"],

        ["\x41\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x57"],
        ["\xC1\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x61"],

        ["\x41\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x59"],
        ["\xC1\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x62"],

        ["\x41\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x62"],
        ["\xC1\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x63"],

        ["\x41\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x63"],
        ["\xC1\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x64"],

        ["\x41\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x64"],
        ["\xC1\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x65"],

        ["\x41\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x65"],
        ["\xC1\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x66"],

        ["\x41\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x66"],
        ["\xC1\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x67"],

        ["\x41\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x67"],
        ["\xC1\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x68"],

        ["\x41\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x68"],
        ["\xC1\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x69"],

        ["\x41\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x69"],
        ["\xC1\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x6A"],

        ["\x41\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x70"],
        ["\xC1\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x6B"],

        ["\x41\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x71"],
        ["\xC1\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x6C"],

        ["\x41\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x72"],
        ["\xC1\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x6D"],

        ["\x41\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x73"],
        ["\xC1\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x6E"],

        ["\x41\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x74"],
        ["\xC1\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x6F"],

        ["\x41\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x75"],
        ["\xC1\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x70"],

        ["\x41\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x76"],
        ["\xC1\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x71"],

        ["\x41\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x77"],
        ["\xC1\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x72"],

        ["\x41\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x78"],
        ["\xC1\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x73"],

        ["\x41\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x80"],
        ["\xC1\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x74"],

        ["\x41\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x8B"],
        ["\xC1\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x75"],

        ["\x41\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x9B"],
        ["\xC1\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x76"],

        ["\x41\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x9C"],
        ["\xC1\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x77"],

        ["\x41\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA0"],
        ["\xC1\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x78"],

        ["\x41\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],
        ["\xC1\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x79"],

        ["\x41\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB0"],
        ["\xC1\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x7A"],

        ["\x41\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC0"],
        ["\xC1\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x7B"],

        ["\x41\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x6A"],
        ["\xC1\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x7C"],

        ["\x41\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],
        ["\xC1\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x7D"],

        ["\x41\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA1"],
        ["\xC1\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x7E"],

        ["\x42\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x4F"],
        ["\xC2\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x21"],

        ["\x42\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7F"],
        ["\xC2\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x22"],

        ["\x42\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7B"],
        ["\xC2\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x23"],

        ["\x42\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],
        ["\xC2\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x24"],

        ["\x42\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x6C"],
        ["\xC2\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x25"],

        ["\x42\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x50"],
        ["\xC2\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x26"],

        ["\x42\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7D"],
        ["\xC2\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x27"],

        ["\x42\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x4D"],
        ["\xC2\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x28"],

        ["\x42\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5D"],
        ["\xC2\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x29"],

        ["\x42\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5C"],
        ["\xC2\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x2A"],

        ["\x42\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x4E"],
        ["\xC2\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x2B"],

        ["\x42\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x6B"],
        ["\xC2\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x2C"],

        ["\x42\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x60"],
        ["\xC2\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x2D"],

        ["\x42\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x4B"],
        ["\xC2\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x2E"],

        ["\x42\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x61"],
        ["\xC2\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x2F"],

        ["\x42\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF0"],
        ["\xC2\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x30"],

        ["\x42\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],
        ["\xC2\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x31"],

        ["\x42\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF2"],
        ["\xC2\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x32"],

        ["\x42\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF3"],
        ["\xC2\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x33"],

        ["\x42\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],
        ["\xC2\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x34"],

        ["\x42\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],
        ["\xC2\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x35"],

        ["\x42\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],
        ["\xC2\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x36"],

        ["\x42\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],
        ["\xC2\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x37"],

        ["\x42\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],
        ["\xC2\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x38"],

        ["\x42\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF9"],
        ["\xC2\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x39"],

        ["\x42\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7A"],
        ["\xC2\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x3A"],

        ["\x42\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5E"],
        ["\xC2\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x3B"],

        ["\x42\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x4C"],
        ["\xC2\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x3C"],

        ["\x42\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7E"],
        ["\xC2\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x3D"],

        ["\x42\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x6E"],
        ["\xC2\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x3E"],

        ["\x42\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x6F"],
        ["\xC2\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x3F"],

        ["\x42\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7C"],
        ["\xC2\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x40"],

        ["\x42\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC1"],
        ["\xC2\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x41"],

        ["\x42\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC2"],
        ["\xC2\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x42"],

        ["\x42\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],
        ["\xC2\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x43"],

        ["\x42\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],
        ["\xC2\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x44"],

        ["\x42\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC5"],
        ["\xC2\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x45"],

        ["\x42\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC6"],
        ["\xC2\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x46"],

        ["\x42\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],
        ["\xC2\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x47"],

        ["\x42\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],
        ["\xC2\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x48"],

        ["\x42\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],
        ["\xC2\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x49"],

        ["\x42\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],
        ["\xC2\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x4A"],

        ["\x42\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD2"],
        ["\xC2\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x4B"],

        ["\x42\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD3"],
        ["\xC2\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x4C"],

        ["\x42\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],
        ["\xC2\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x4D"],

        ["\x42\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD5"],
        ["\xC2\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x4E"],

        ["\x42\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD6"],
        ["\xC2\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x4F"],

        ["\x42\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD7"],
        ["\xC2\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x50"],

        ["\x42\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD8"],
        ["\xC2\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x51"],

        ["\x42\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD9"],
        ["\xC2\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x52"],

        ["\x42\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE2"],
        ["\xC2\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x53"],

        ["\x42\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE3"],
        ["\xC2\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x54"],

        ["\x42\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],
        ["\xC2\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x55"],

        ["\x42\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],
        ["\xC2\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x56"],

        ["\x42\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE6"],
        ["\xC2\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x57"],

        ["\x42\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE7"],
        ["\xC2\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x58"],

        ["\x42\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],
        ["\xC2\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x59"],

        ["\x42\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE9"],
        ["\xC2\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x5A"],

        ["\x42\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x4A"],
        ["\xC2\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x5B"],

        ["\x42\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5B"],
        ["\xC2\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x5C"],

        ["\x42\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5A"],
        ["\xC2\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x5D"],

        ["\x42\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5F"],
        ["\xC2\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x5E"],

        ["\x42\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x6D"],
        ["\xC2\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x5F"],

        ["\x42\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x79"],
        ["\xC2\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x60"],

        ["\x42\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x57"],
        ["\xC2\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x61"],

        ["\x42\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x59"],
        ["\xC2\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x62"],

        ["\x42\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x62"],
        ["\xC2\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x63"],

        ["\x42\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x63"],
        ["\xC2\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x64"],

        ["\x42\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x64"],
        ["\xC2\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x65"],

        ["\x42\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x65"],
        ["\xC2\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x66"],

        ["\x42\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x66"],
        ["\xC2\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x67"],

        ["\x42\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x67"],
        ["\xC2\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x68"],

        ["\x42\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x68"],
        ["\xC2\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x69"],

        ["\x42\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x69"],
        ["\xC2\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x6A"],

        ["\x42\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x70"],
        ["\xC2\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x6B"],

        ["\x42\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x71"],
        ["\xC2\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x6C"],

        ["\x42\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x72"],
        ["\xC2\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x6D"],

        ["\x42\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x73"],
        ["\xC2\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x6E"],

        ["\x42\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x74"],
        ["\xC2\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x6F"],

        ["\x42\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x75"],
        ["\xC2\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x70"],

        ["\x42\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x76"],
        ["\xC2\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x71"],

        ["\x42\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x77"],
        ["\xC2\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x72"],

        ["\x42\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x78"],
        ["\xC2\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x73"],

        ["\x42\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x80"],
        ["\xC2\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x74"],

        ["\x42\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x8B"],
        ["\xC2\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x75"],

        ["\x42\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x9B"],
        ["\xC2\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x76"],

        ["\x42\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x9C"],
        ["\xC2\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x77"],

        ["\x42\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA0"],
        ["\xC2\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x78"],

        ["\x42\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAB"],
        ["\xC2\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x79"],

        ["\x42\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],
        ["\xC2\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x7A"],

        ["\x42\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC0"],
        ["\xC2\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x7B"],

        ["\x42\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x6A"],
        ["\xC2\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x7C"],

        ["\x42\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],
        ["\xC2\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x7D"],

        ["\x42\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],
        ["\xC2\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x42\x7E"],

        ["\x43\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x4F"],
        ["\xC3\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x21"],

        ["\x43\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7F"],
        ["\xC3\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x22"],

        ["\x43\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7B"],
        ["\xC3\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x23"],

        ["\x43\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],
        ["\xC3\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x24"],

        ["\x43\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x6C"],
        ["\xC3\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x25"],

        ["\x43\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x50"],
        ["\xC3\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x26"],

        ["\x43\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7D"],
        ["\xC3\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x27"],

        ["\x43\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x4D"],
        ["\xC3\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x28"],

        ["\x43\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5D"],
        ["\xC3\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x29"],

        ["\x43\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5C"],
        ["\xC3\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x2A"],

        ["\x43\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x4E"],
        ["\xC3\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x2B"],

        ["\x43\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x6B"],
        ["\xC3\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x2C"],

        ["\x43\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x60"],
        ["\xC3\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x2D"],

        ["\x43\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x4B"],
        ["\xC3\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x2E"],

        ["\x43\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x61"],
        ["\xC3\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x2F"],

        ["\x43\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],
        ["\xC3\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x30"],

        ["\x43\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF1"],
        ["\xC3\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x31"],

        ["\x43\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF2"],
        ["\xC3\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x32"],

        ["\x43\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],
        ["\xC3\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x33"],

        ["\x43\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF4"],
        ["\xC3\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x34"],

        ["\x43\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF5"],
        ["\xC3\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x35"],

        ["\x43\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF6"],
        ["\xC3\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x36"],

        ["\x43\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF7"],
        ["\xC3\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x37"],

        ["\x43\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],
        ["\xC3\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x38"],

        ["\x43\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],
        ["\xC3\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x39"],

        ["\x43\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7A"],
        ["\xC3\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x3A"],

        ["\x43\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5E"],
        ["\xC3\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x3B"],

        ["\x43\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x4C"],
        ["\xC3\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x3C"],

        ["\x43\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7E"],
        ["\xC3\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x3D"],

        ["\x43\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x6E"],
        ["\xC3\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x3E"],

        ["\x43\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x6F"],
        ["\xC3\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x3F"],

        ["\x43\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7C"],
        ["\xC3\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x40"],

        ["\x43\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],
        ["\xC3\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x41"],

        ["\x43\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC2"],
        ["\xC3\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x42"],

        ["\x43\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC3"],
        ["\xC3\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x43"],

        ["\x43\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC4"],
        ["\xC3\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x44"],

        ["\x43\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC5"],
        ["\xC3\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x45"],

        ["\x43\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],
        ["\xC3\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x46"],

        ["\x43\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],
        ["\xC3\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x47"],

        ["\x43\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],
        ["\xC3\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x48"],

        ["\x43\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC9"],
        ["\xC3\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x49"],

        ["\x43\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],
        ["\xC3\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x4A"],

        ["\x43\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD2"],
        ["\xC3\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x4B"],

        ["\x43\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD3"],
        ["\xC3\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x4C"],

        ["\x43\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD4"],
        ["\xC3\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x4D"],

        ["\x43\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],
        ["\xC3\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x4E"],

        ["\x43\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],
        ["\xC3\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x4F"],

        ["\x43\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD7"],
        ["\xC3\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x50"],

        ["\x43\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD8"],
        ["\xC3\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x51"],

        ["\x43\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD9"],
        ["\xC3\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x52"],

        ["\x43\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE2"],
        ["\xC3\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x53"],

        ["\x43\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],
        ["\xC3\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x54"],

        ["\x43\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],
        ["\xC3\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x55"],

        ["\x43\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],
        ["\xC3\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x56"],

        ["\x43\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],
        ["\xC3\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x57"],

        ["\x43\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],
        ["\xC3\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x58"],

        ["\x43\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],
        ["\xC3\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x59"],

        ["\x43\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE9"],
        ["\xC3\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x5A"],

        ["\x43\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x4A"],
        ["\xC3\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x5B"],

        ["\x43\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5B"],
        ["\xC3\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x5C"],

        ["\x43\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5A"],
        ["\xC3\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x5D"],

        ["\x43\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5F"],
        ["\xC3\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x5E"],

        ["\x43\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x6D"],
        ["\xC3\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x5F"],

        ["\x43\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x79"],
        ["\xC3\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x60"],

        ["\x43\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x57"],
        ["\xC3\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x61"],

        ["\x43\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x59"],
        ["\xC3\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x62"],

        ["\x43\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x62"],
        ["\xC3\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x63"],

        ["\x43\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x63"],
        ["\xC3\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x64"],

        ["\x43\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x64"],
        ["\xC3\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x65"],

        ["\x43\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x65"],
        ["\xC3\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x66"],

        ["\x43\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x66"],
        ["\xC3\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x67"],

        ["\x43\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x67"],
        ["\xC3\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x68"],

        ["\x43\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x68"],
        ["\xC3\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x69"],

        ["\x43\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x69"],
        ["\xC3\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x6A"],

        ["\x43\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x70"],
        ["\xC3\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x6B"],

        ["\x43\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x71"],
        ["\xC3\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x6C"],

        ["\x43\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x72"],
        ["\xC3\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x6D"],

        ["\x43\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x73"],
        ["\xC3\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x6E"],

        ["\x43\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x74"],
        ["\xC3\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x6F"],

        ["\x43\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x75"],
        ["\xC3\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x70"],

        ["\x43\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x76"],
        ["\xC3\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x71"],

        ["\x43\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x77"],
        ["\xC3\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x72"],

        ["\x43\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x78"],
        ["\xC3\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x73"],

        ["\x43\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x80"],
        ["\xC3\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x74"],

        ["\x43\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x8B"],
        ["\xC3\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x75"],

        ["\x43\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x9B"],
        ["\xC3\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x76"],

        ["\x43\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x9C"],
        ["\xC3\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x77"],

        ["\x43\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA0"],
        ["\xC3\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x78"],

        ["\x43\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAB"],
        ["\xC3\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x79"],

        ["\x43\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB0"],
        ["\xC3\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x7A"],

        ["\x43\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC0"],
        ["\xC3\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x7B"],

        ["\x43\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x6A"],
        ["\xC3\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x7C"],

        ["\x43\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],
        ["\xC3\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x7D"],

        ["\x43\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],
        ["\xC3\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x43\x7E"],

        ["\x44\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x4F"],
        ["\xC4\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x21"],

        ["\x44\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x7F"],
        ["\xC4\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x22"],

        ["\x44\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x7B"],
        ["\xC4\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x23"],

        ["\x44\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE0"],
        ["\xC4\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x24"],

        ["\x44\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6C"],
        ["\xC4\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x25"],

        ["\x44\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x50"],
        ["\xC4\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x26"],

        ["\x44\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x7D"],
        ["\xC4\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x27"],

        ["\x44\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x4D"],
        ["\xC4\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x28"],

        ["\x44\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x5D"],
        ["\xC4\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x29"],

        ["\x44\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x5C"],
        ["\xC4\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x2A"],

        ["\x44\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x4E"],
        ["\xC4\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x2B"],

        ["\x44\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6B"],
        ["\xC4\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x2C"],

        ["\x44\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x60"],
        ["\xC4\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x2D"],

        ["\x44\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x4B"],
        ["\xC4\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x2E"],

        ["\x44\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x61"],
        ["\xC4\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x2F"],

        ["\x44\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],
        ["\xC4\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x30"],

        ["\x44\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF1"],
        ["\xC4\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x31"],

        ["\x44\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],
        ["\xC4\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x32"],

        ["\x44\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],
        ["\xC4\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x33"],

        ["\x44\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF4"],
        ["\xC4\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x34"],

        ["\x44\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF5"],
        ["\xC4\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x35"],

        ["\x44\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF6"],
        ["\xC4\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x36"],

        ["\x44\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF7"],
        ["\xC4\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x37"],

        ["\x44\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF8"],
        ["\xC4\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x38"],

        ["\x44\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],
        ["\xC4\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x39"],

        ["\x44\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x7A"],
        ["\xC4\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x3A"],

        ["\x44\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x5E"],
        ["\xC4\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x3B"],

        ["\x44\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x4C"],
        ["\xC4\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x3C"],

        ["\x44\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x7E"],
        ["\xC4\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x3D"],

        ["\x44\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6E"],
        ["\xC4\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x3E"],

        ["\x44\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6F"],
        ["\xC4\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x3F"],

        ["\x44\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x7C"],
        ["\xC4\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x40"],

        ["\x44\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],
        ["\xC4\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x41"],

        ["\x44\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],
        ["\xC4\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x42"],

        ["\x44\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC3"],
        ["\xC4\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x43"],

        ["\x44\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],
        ["\xC4\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x44"],

        ["\x44\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC5"],
        ["\xC4\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x45"],

        ["\x44\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],
        ["\xC4\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x46"],

        ["\x44\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],
        ["\xC4\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x47"],

        ["\x44\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC8"],
        ["\xC4\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x48"],

        ["\x44\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC9"],
        ["\xC4\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x49"],

        ["\x44\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],
        ["\xC4\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x4A"],

        ["\x44\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],
        ["\xC4\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x4B"],

        ["\x44\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],
        ["\xC4\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x4C"],

        ["\xB6\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xEB"],
        ["\x86\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xF5"],

        ["\x44\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],
        ["\xC4\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x4E"],

        ["\x44\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],
        ["\xC4\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x4F"],

        ["\x44\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],
        ["\xC4\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x50"],

        ["\x44\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD8"],
        ["\xC4\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x51"],

        ["\x44\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],
        ["\xC4\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x52"],

        ["\x44\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE2"],
        ["\xC4\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x53"],

        ["\x44\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],
        ["\xC4\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x54"],

        ["\x44\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE4"],
        ["\xC4\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x55"],

        ["\x44\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],
        ["\xC4\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x56"],

        ["\x44\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],
        ["\xC4\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x57"],

        ["\x44\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],
        ["\xC4\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x58"],

        ["\x44\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],
        ["\xC4\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x59"],

        ["\x44\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE9"],
        ["\xC4\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x5A"],

        ["\x54\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x63"],
        ["\xE3\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x64"],

        ["\x44\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x5B"],
        ["\xC4\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x5C"],

        ["\x44\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x5A"],
        ["\xC4\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x5D"],

        ["\x44\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x5F"],
        ["\xC4\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x5E"],

        ["\x44\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6D"],
        ["\xC4\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x5F"],

        ["\x44\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x79"],
        ["\xC4\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x60"],

        ["\x44\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x57"],
        ["\xC4\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x61"],

        ["\x44\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x59"],
        ["\xC4\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x62"],

        ["\x44\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x62"],
        ["\xC4\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x63"],

        ["\x44\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x63"],
        ["\xC4\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x64"],

        ["\x44\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x64"],
        ["\xC4\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x65"],

        ["\x44\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x65"],
        ["\xC4\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x66"],

        ["\x44\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x66"],
        ["\xC4\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x67"],

        ["\x44\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x67"],
        ["\xC4\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x68"],

        ["\x44\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x68"],
        ["\xC4\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x69"],

        ["\x44\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x69"],
        ["\xC4\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x6A"],

        ["\x44\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x70"],
        ["\xC4\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x6B"],

        ["\x44\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x71"],
        ["\xC4\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x6C"],

        ["\x44\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x72"],
        ["\xC4\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x6D"],

        ["\x44\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x73"],
        ["\xC4\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x6E"],

        ["\x44\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x74"],
        ["\xC4\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x6F"],

        ["\x44\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x75"],
        ["\xC4\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x70"],

        ["\x44\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x76"],
        ["\xC4\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x71"],

        ["\x44\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x77"],
        ["\xC4\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x72"],

        ["\x44\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x78"],
        ["\xC4\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x73"],

        ["\x44\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x80"],
        ["\xC4\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x74"],

        ["\x44\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x8B"],
        ["\xC4\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x75"],

        ["\x44\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x9B"],
        ["\xC4\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x76"],

        ["\x44\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x9C"],
        ["\xC4\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x77"],

        ["\x44\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA0"],
        ["\xC4\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x78"],

        ["\x44\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAB"],
        ["\xC4\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x79"],

        ["\x44\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],
        ["\xC4\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x7A"],

        ["\x44\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],
        ["\xC4\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x7B"],

        ["\x44\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6A"],
        ["\xC4\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x7C"],

        ["\x44\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD0"],
        ["\xC4\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x7D"],

        ["\x44\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA1"],
        ["\xC4\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x7E"],

        ["\x45\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x4F"],
        ["\xC5\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x21"],

        ["\x45\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x7F"],
        ["\xC5\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x22"],

        ["\x45\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x7B"],
        ["\xC5\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x23"],

        ["\x45\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],
        ["\xC5\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x24"],

        ["\x45\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x6C"],
        ["\xC5\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x25"],

        ["\x45\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x50"],
        ["\xC5\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x26"],

        ["\x45\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x7D"],
        ["\xC5\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x27"],

        ["\x45\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x4D"],
        ["\xC5\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x28"],

        ["\x45\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x5D"],
        ["\xC5\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x29"],

        ["\x45\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x5C"],
        ["\xC5\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x2A"],

        ["\x45\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x4E"],
        ["\xC5\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x2B"],

        ["\x45\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x6B"],
        ["\xC5\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x2C"],

        ["\x45\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x60"],
        ["\xC5\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x2D"],

        ["\x45\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x4B"],
        ["\xC5\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x2E"],

        ["\x45\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x61"],
        ["\xC5\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x2F"],

        ["\x45\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],
        ["\xC5\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x30"],

        ["\x45\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF1"],
        ["\xC5\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x31"],

        ["\x45\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],
        ["\xC5\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x32"],

        ["\x45\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],
        ["\xC5\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x33"],

        ["\x45\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF4"],
        ["\xC5\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x34"],

        ["\x45\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],
        ["\xC5\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x35"],

        ["\xD6\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAC\xB8"],
        ["\xAC\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD6\xE6"],

        ["\x45\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],
        ["\xC5\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x37"],

        ["\x45\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF8"],
        ["\xC5\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x38"],

        ["\x45\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF9"],
        ["\xC5\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x39"],

        ["\x45\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x7A"],
        ["\xC5\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x3A"],

        ["\x45\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x5E"],
        ["\xC5\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x3B"],

        ["\x45\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x4C"],
        ["\xC5\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x3C"],

        ["\x45\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x7E"],
        ["\xC5\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x3D"],

        ["\x45\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x6E"],
        ["\xC5\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x3E"],

        ["\xD4\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x43"],
        ["\xA9\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xA3"],

        ["\x45\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x7C"],
        ["\xC5\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x40"],

        ["\x45\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC1"],
        ["\xC5\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x41"],

        ["\x45\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],
        ["\xC5\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x42"],

        ["\x45\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC3"],
        ["\xC5\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x43"],

        ["\x45\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC4"],
        ["\xC5\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x44"],

        ["\x45\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],
        ["\xC5\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x45"],

        ["\x45\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],
        ["\xC5\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x46"],

        ["\x45\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],
        ["\xC5\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x47"],

        ["\x45\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],
        ["\xC5\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x48"],

        ["\x45\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],
        ["\xC5\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x49"],

        ["\x45\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],
        ["\xC5\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x4A"],

        ["\x45\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD2"],
        ["\xC5\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x4B"],

        ["\x45\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],
        ["\xC5\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x4C"],

        ["\x45\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD4"],
        ["\xC5\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x4D"],

        ["\x45\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD5"],
        ["\xC5\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x4E"],

        ["\x45\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD6"],
        ["\xC5\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x4F"],

        ["\x45\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD7"],
        ["\xC5\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x50"],

        ["\x45\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],
        ["\xC5\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x51"],

        ["\x45\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],
        ["\xC5\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x52"],

        ["\x45\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE2"],
        ["\xC5\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x53"],

        ["\x45\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE3"],
        ["\xC5\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x54"],

        ["\x45\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE4"],
        ["\xC5\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x55"],

        ["\x45\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],
        ["\xC5\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x56"],

        ["\x62\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x69"],
        ["\x59\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x6A"],

        ["\x45\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],
        ["\xC5\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x58"],

        ["\x45\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE8"],
        ["\xC5\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x59"],

        ["\x45\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],
        ["\xC5\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x5A"],

        ["\x45\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x4A"],
        ["\xC5\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x5B"],

        ["\x45\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x5B"],
        ["\xC5\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x5C"],

        ["\x45\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x5A"],
        ["\xC5\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x5D"],

        ["\x45\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x5F"],
        ["\xC5\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x5E"],

        ["\x45\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x6D"],
        ["\xC5\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x5F"],

        ["\x45\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x79"],
        ["\xC5\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x60"],

        ["\x45\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x57"],
        ["\xC5\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x61"],

        ["\x45\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x59"],
        ["\xC5\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x62"],

        ["\x45\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x62"],
        ["\xC5\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x63"],

        ["\x45\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x63"],
        ["\xC5\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x64"],

        ["\x45\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x64"],
        ["\xC5\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x65"],

        ["\x45\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x65"],
        ["\xC5\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x66"],

        ["\x45\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x66"],
        ["\xC5\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x67"],

        ["\x45\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x67"],
        ["\xC5\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x68"],

        ["\x45\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x68"],
        ["\xC5\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x69"],

        ["\x45\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x69"],
        ["\xC5\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x6A"],

        ["\x45\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x70"],
        ["\xC5\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x6B"],

        ["\x45\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x71"],
        ["\xC5\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x6C"],

        ["\x45\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x72"],
        ["\xC5\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x6D"],

        ["\x5B\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x72"],
        ["\x4A\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x6D"],

        ["\x45\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x74"],
        ["\xC5\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x6F"],

        ["\x45\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x75"],
        ["\xC5\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x70"],

        ["\x45\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x76"],
        ["\xC5\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x71"],

        ["\x45\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x77"],
        ["\xC5\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x72"],

        ["\x5E\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF9"],
        ["\x5F\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x39"],

        ["\x45\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x80"],
        ["\xC5\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x74"],

        ["\x45\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x8B"],
        ["\xC5\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x75"],

        ["\x45\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x9B"],
        ["\xC5\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x76"],

        ["\x45\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x9C"],
        ["\xC5\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x77"],

        ["\x45\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA0"],
        ["\xC5\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x78"],

        ["\x45\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAB"],
        ["\xC5\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x79"],

        ["\x45\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],
        ["\xC5\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x7A"],

        ["\x45\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC0"],
        ["\xC5\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x7B"],

        ["\x45\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x6A"],
        ["\xC5\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x7C"],

        ["\x45\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],
        ["\xC5\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x7D"],

        ["\x45\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],
        ["\xC5\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x7E"],

        ["\x46\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x4F"],
        ["\xC6\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x21"],

        ["\x46\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x7F"],
        ["\xC6\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x22"],

        ["\x46\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x7B"],
        ["\xC6\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x23"],

        ["\x46\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE0"],
        ["\xC6\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x24"],

        ["\x46\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6C"],
        ["\xC6\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x25"],

        ["\x46\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x50"],
        ["\xC6\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x26"],

        ["\x46\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x7D"],
        ["\xC6\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x27"],

        ["\x46\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x4D"],
        ["\xC6\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x28"],

        ["\x46\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x5D"],
        ["\xC6\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x29"],

        ["\x46\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x5C"],
        ["\xC6\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x2A"],

        ["\x46\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x4E"],
        ["\xC6\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x2B"],

        ["\x46\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6B"],
        ["\xC6\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x2C"],

        ["\x46\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x60"],
        ["\xC6\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x2D"],

        ["\x46\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x4B"],
        ["\xC6\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x2E"],

        ["\x46\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x61"],
        ["\xC6\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x2F"],

        ["\x46\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF0"],
        ["\xC6\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x30"],

        ["\x46\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF1"],
        ["\xC6\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x31"],

        ["\x46\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF2"],
        ["\xC6\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x32"],

        ["\x46\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF3"],
        ["\xC6\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x33"],

        ["\x46\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF4"],
        ["\xC6\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x34"],

        ["\x46\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF5"],
        ["\xC6\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x35"],

        ["\x46\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF6"],
        ["\xC6\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x36"],

        ["\x46\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],
        ["\xC6\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x37"],

        ["\x46\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],
        ["\xC6\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x38"],

        ["\x46\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF9"],
        ["\xC6\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x39"],

        ["\x46\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x7A"],
        ["\xC6\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x3A"],

        ["\x46\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x5E"],
        ["\xC6\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x3B"],

        ["\x46\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x4C"],
        ["\xC6\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x3C"],

        ["\x46\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x7E"],
        ["\xC6\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x3D"],

        ["\x46\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6E"],
        ["\xC6\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x3E"],

        ["\x46\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6F"],
        ["\xC6\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x3F"],

        ["\x46\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x7C"],
        ["\xC6\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x40"],

        ["\x46\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC1"],
        ["\xC6\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x41"],

        ["\x46\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC2"],
        ["\xC6\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x42"],

        ["\x46\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC3"],
        ["\xC6\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x43"],

        ["\x46\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],
        ["\xC6\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x44"],

        ["\x46\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],
        ["\xC6\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x45"],

        ["\x46\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],
        ["\xC6\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x46"],

        ["\x46\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],
        ["\xC6\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x47"],

        ["\x46\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC8"],
        ["\xC6\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x48"],

        ["\x46\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],
        ["\xC6\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x49"],

        ["\x46\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],
        ["\xC6\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x4A"],

        ["\x46\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD2"],
        ["\xC6\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x4B"],

        ["\x46\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],
        ["\xC6\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x4C"],

        ["\x46\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD4"],
        ["\xC6\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x4D"],

        ["\x46\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD5"],
        ["\xC6\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x4E"],

        ["\x46\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD6"],
        ["\xC6\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x4F"],

        ["\x46\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD7"],
        ["\xC6\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x50"],

        ["\x46\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD8"],
        ["\xC6\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x51"],

        ["\x46\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],
        ["\xC6\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x52"],

        ["\x46\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE2"],
        ["\xC6\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x53"],

        ["\x46\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE3"],
        ["\xC6\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x54"],

        ["\x46\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE4"],
        ["\xC6\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x55"],

        ["\x46\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE5"],
        ["\xC6\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x56"],

        ["\x46\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE6"],
        ["\xC6\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x57"],

        ["\x46\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],
        ["\xC6\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x58"],

        ["\x46\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],
        ["\xC6\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x59"],

        ["\x46\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE9"],
        ["\xC6\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x5A"],

        ["\x46\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x4A"],
        ["\xC6\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x5B"],

        ["\x46\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x5B"],
        ["\xC6\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x5C"],

        ["\x46\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x5A"],
        ["\xC6\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x5D"],

        ["\x46\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x5F"],
        ["\xC6\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x5E"],

        ["\x46\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6D"],
        ["\xC6\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x5F"],

        ["\x46\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x79"],
        ["\xC6\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x60"],

        ["\x46\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x57"],
        ["\xC6\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x61"],

        ["\x46\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x59"],
        ["\xC6\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x62"],

        ["\x46\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x62"],
        ["\xC6\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x63"],

        ["\x46\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x63"],
        ["\xC6\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x64"],

        ["\x46\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x64"],
        ["\xC6\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x65"],

        ["\x46\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x65"],
        ["\xC6\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x66"],

        ["\x46\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x66"],
        ["\xC6\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x67"],

        ["\x46\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x67"],
        ["\xC6\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x68"],

        ["\x46\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x68"],
        ["\xC6\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x69"],

        ["\x46\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x69"],
        ["\xC6\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x6A"],

        ["\x46\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x70"],
        ["\xC6\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x6B"],

        ["\x46\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x71"],
        ["\xC6\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x6C"],

        ["\x46\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x72"],
        ["\xC6\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x6D"],

        ["\x46\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x73"],
        ["\xC6\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x6E"],

        ["\x46\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x74"],
        ["\xC6\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x6F"],

        ["\x46\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x75"],
        ["\xC6\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x70"],

        ["\x46\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x76"],
        ["\xC6\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x71"],

        ["\x46\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x77"],
        ["\xC6\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x72"],

        ["\x46\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x78"],
        ["\xC6\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x73"],

        ["\x46\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x80"],
        ["\xC6\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x74"],

        ["\x46\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x8B"],
        ["\xC6\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x75"],

        ["\x6D\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x73"],
        ["\x72\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x6E"],

        ["\x46\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x9C"],
        ["\xC6\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x77"],

        ["\x46\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA0"],
        ["\xC6\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x78"],

        ["\x46\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],
        ["\xC6\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x79"],

        ["\x46\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB0"],
        ["\xC6\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x7A"],

        ["\x46\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC0"],
        ["\xC6\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x7B"],

        ["\x46\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6A"],
        ["\xC6\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x7C"],

        ["\x46\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],
        ["\xC6\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x7D"],

        ["\x46\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA1"],
        ["\xC6\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x7E"],

        ["\x47\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4F"],
        ["\xC7\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x21"],

        ["\x47\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7F"],
        ["\xC7\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x22"],

        ["\x47\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7B"],
        ["\xC7\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x23"],

        ["\x47\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],
        ["\xC7\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x24"],

        ["\x47\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6C"],
        ["\xC7\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x25"],

        ["\x47\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x50"],
        ["\xC7\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x26"],

        ["\x47\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7D"],
        ["\xC7\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x27"],

        ["\x47\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4D"],
        ["\xC7\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x28"],

        ["\x47\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5D"],
        ["\xC7\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x29"],

        ["\x47\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5C"],
        ["\xC7\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x2A"],

        ["\x47\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4E"],
        ["\xC7\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x2B"],

        ["\x47\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6B"],
        ["\xC7\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x2C"],

        ["\x47\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x60"],
        ["\xC7\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x2D"],

        ["\x47\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4B"],
        ["\xC7\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x2E"],

        ["\x47\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x61"],
        ["\xC7\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x2F"],

        ["\x47\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF0"],
        ["\xC7\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x30"],

        ["\x47\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],
        ["\xC7\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x31"],

        ["\x47\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],
        ["\xC7\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x32"],

        ["\x47\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF3"],
        ["\xC7\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x33"],

        ["\x47\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF4"],
        ["\xC7\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x34"],

        ["\x47\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],
        ["\xC7\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x35"],

        ["\x47\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF6"],
        ["\xC7\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x36"],

        ["\x47\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],
        ["\xC7\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x37"],

        ["\x47\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],
        ["\xC7\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x38"],

        ["\x47\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF9"],
        ["\xC7\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x39"],

        ["\x47\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7A"],
        ["\xC7\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x3A"],

        ["\x47\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5E"],
        ["\xC7\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x3B"],

        ["\x47\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4C"],
        ["\xC7\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x3C"],

        ["\x47\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7E"],
        ["\xC7\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x3D"],

        ["\x47\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6E"],
        ["\xC7\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x3E"],

        ["\x47\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6F"],
        ["\xC7\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x3F"],

        ["\x47\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7C"],
        ["\xC7\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x40"],

        ["\x47\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC1"],
        ["\xC7\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x41"],

        ["\x47\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC2"],
        ["\xC7\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x42"],

        ["\x47\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC3"],
        ["\xC7\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x43"],

        ["\x47\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],
        ["\xC7\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x44"],

        ["\x47\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC5"],
        ["\xC7\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x45"],

        ["\x47\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC6"],
        ["\xC7\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x46"],

        ["\x47\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],
        ["\xC7\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x47"],

        ["\x47\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC8"],
        ["\xC7\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x48"],

        ["\x47\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],
        ["\xC7\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x49"],

        ["\x47\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],
        ["\xC7\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x4A"],

        ["\x47\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],
        ["\xC7\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x4B"],

        ["\x47\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD3"],
        ["\xC7\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x4C"],

        ["\x47\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD4"],
        ["\xC7\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x4D"],

        ["\x47\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD5"],
        ["\xC7\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x4E"],

        ["\x47\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],
        ["\xC7\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x4F"],

        ["\x47\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],
        ["\xC7\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x50"],

        ["\x47\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD8"],
        ["\xC7\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x51"],

        ["\x47\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD9"],
        ["\xC7\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x52"],

        ["\x47\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE2"],
        ["\xC7\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x53"],

        ["\x47\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE3"],
        ["\xC7\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x54"],

        ["\x47\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE4"],
        ["\xC7\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x55"],

        ["\x47\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],
        ["\xC7\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x56"],

        ["\x47\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE6"],
        ["\xC7\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x57"],

        ["\x47\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE7"],
        ["\xC7\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x58"],

        ["\x47\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],
        ["\xC7\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x59"],

        ["\x47\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE9"],
        ["\xC7\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x5A"],

        ["\x47\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4A"],
        ["\xC7\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x5B"],

        ["\x47\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5B"],
        ["\xC7\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x5C"],

        ["\x47\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5A"],
        ["\xC7\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x5D"],

        ["\x47\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5F"],
        ["\xC7\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x5E"],

        ["\x47\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6D"],
        ["\xC7\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x5F"],

        ["\x47\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x79"],
        ["\xC7\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x60"],

        ["\x47\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x57"],
        ["\xC7\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x61"],

        ["\x47\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x59"],
        ["\xC7\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x62"],

        ["\x47\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x62"],
        ["\xC7\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x63"],

        ["\x47\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x63"],
        ["\xC7\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x64"],

        ["\x47\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x64"],
        ["\xC7\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x65"],

        ["\x47\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x65"],
        ["\xC7\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x66"],

        ["\x47\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x66"],
        ["\xC7\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x67"],

        ["\x6A\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE0"],
        ["\x69\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x24"],

        ["\x47\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x68"],
        ["\xC7\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x69"],

        ["\x47\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x69"],
        ["\xC7\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x6A"],

        ["\x47\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x70"],
        ["\xC7\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x6B"],

        ["\x47\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x71"],
        ["\xC7\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x6C"],

        ["\x47\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x72"],
        ["\xC7\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x6D"],

        ["\x47\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x73"],
        ["\xC7\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x6E"],

        ["\x47\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x74"],
        ["\xC7\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x6F"],

        ["\x47\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x75"],
        ["\xC7\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x70"],

        ["\x47\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x76"],
        ["\xC7\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x71"],

        ["\x47\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x77"],
        ["\xC7\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x72"],

        ["\x47\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x78"],
        ["\xC7\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x73"],

        ["\x47\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x80"],
        ["\xC7\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x74"],

        ["\x47\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x8B"],
        ["\xC7\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x75"],

        ["\x47\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x9B"],
        ["\xC7\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x76"],

        ["\x47\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x9C"],
        ["\xC7\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x77"],

        ["\x47\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA0"],
        ["\xC7\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x78"],

        ["\x47\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAB"],
        ["\xC7\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x79"],

        ["\x47\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB0"],
        ["\xC7\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x7A"],

        ["\x47\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC0"],
        ["\xC7\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x7B"],

        ["\x47\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6A"],
        ["\xC7\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x7C"],

        ["\x47\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD0"],
        ["\xC7\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x7D"],

        ["\x47\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA1"],
        ["\xC7\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x7E"],

        ["\x48\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x4F"],
        ["\xC8\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x21"],

        ["\x48\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7F"],
        ["\xC8\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x22"],

        ["\x48\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7B"],
        ["\xC8\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x23"],

        ["\x48\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],
        ["\xC8\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x24"],

        ["\x48\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x6C"],
        ["\xC8\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x25"],

        ["\x48\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x50"],
        ["\xC8\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x26"],

        ["\x48\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7D"],
        ["\xC8\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x27"],

        ["\x48\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x4D"],
        ["\xC8\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x28"],

        ["\x48\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5D"],
        ["\xC8\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x29"],

        ["\x48\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5C"],
        ["\xC8\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x2A"],

        ["\x48\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x4E"],
        ["\xC8\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x2B"],

        ["\x48\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x6B"],
        ["\xC8\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x2C"],

        ["\x48\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x60"],
        ["\xC8\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x2D"],

        ["\x48\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x4B"],
        ["\xC8\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x2E"],

        ["\x48\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x61"],
        ["\xC8\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x2F"],

        ["\x48\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],
        ["\xC8\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x30"],

        ["\x48\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],
        ["\xC8\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x31"],

        ["\x48\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF2"],
        ["\xC8\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x32"],

        ["\x48\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF3"],
        ["\xC8\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x33"],

        ["\x48\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF4"],
        ["\xC8\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x34"],

        ["\x48\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF5"],
        ["\xC8\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x35"],

        ["\x48\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],
        ["\xC8\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x36"],

        ["\x48\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],
        ["\xC8\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x37"],

        ["\x48\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],
        ["\xC8\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x38"],

        ["\x48\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],
        ["\xC8\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x39"],

        ["\x48\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7A"],
        ["\xC8\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x3A"],

        ["\x48\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5E"],
        ["\xC8\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x3B"],

        ["\x48\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x4C"],
        ["\xC8\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x3C"],

        ["\x48\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7E"],
        ["\xC8\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x3D"],

        ["\x48\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x6E"],
        ["\xC8\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x3E"],

        ["\x48\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x6F"],
        ["\xC8\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x3F"],

        ["\x48\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7C"],
        ["\xC8\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x40"],

        ["\x48\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC1"],
        ["\xC8\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x41"],

        ["\x48\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC2"],
        ["\xC8\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x42"],

        ["\x48\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC3"],
        ["\xC8\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x43"],

        ["\x48\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC4"],
        ["\xC8\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x44"],

        ["\x48\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC5"],
        ["\xC8\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x45"],

        ["\x48\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],
        ["\xC8\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x46"],

        ["\x48\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC7"],
        ["\xC8\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x47"],

        ["\x48\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],
        ["\xC8\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x48"],

        ["\x48\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],
        ["\xC8\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x49"],

        ["\x48\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD1"],
        ["\xC8\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x4A"],

        ["\x48\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD2"],
        ["\xC8\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x4B"],

        ["\x48\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD3"],
        ["\xC8\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x4C"],

        ["\x48\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],
        ["\xC8\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x4D"],

        ["\x48\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD5"],
        ["\xC8\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x4E"],

        ["\x48\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD6"],
        ["\xC8\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x4F"],

        ["\x48\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD7"],
        ["\xC8\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x50"],

        ["\x48\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD8"],
        ["\xC8\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x51"],

        ["\x48\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],
        ["\xC8\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x52"],

        ["\x48\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE2"],
        ["\xC8\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x53"],

        ["\x48\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE3"],
        ["\xC8\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x54"],

        ["\x48\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE4"],
        ["\xC8\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x55"],

        ["\x48\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],
        ["\xC8\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x56"],

        ["\x48\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE6"],
        ["\xC8\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x57"],

        ["\x48\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE7"],
        ["\xC8\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x58"],

        ["\x48\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],
        ["\xC8\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x59"],

        ["\x48\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],
        ["\xC8\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x5A"],

        ["\x48\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x4A"],
        ["\xC8\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x5B"],

        ["\x48\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5B"],
        ["\xC8\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x5C"],

        ["\x48\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5A"],
        ["\xC8\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x5D"],

        ["\x48\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5F"],
        ["\xC8\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x5E"],

        ["\x48\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x6D"],
        ["\xC8\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x5F"],

        ["\x48\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x79"],
        ["\xC8\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x60"],

        ["\x48\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x57"],
        ["\xC8\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x61"],

        ["\x48\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x59"],
        ["\xC8\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x62"],

        ["\x48\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x62"],
        ["\xC8\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x63"],

        ["\x48\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x63"],
        ["\xC8\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x64"],

        ["\x48\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x64"],
        ["\xC8\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x65"],

        ["\x48\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x65"],
        ["\xC8\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x66"],

        ["\x48\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x66"],
        ["\xC8\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x67"],

        ["\x48\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x67"],
        ["\xC8\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x68"],

        ["\x48\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x68"],
        ["\xC8\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x69"],

        ["\x48\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x69"],
        ["\xC8\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x6A"],

        ["\x48\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x70"],
        ["\xC8\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x6B"],

        ["\x48\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x71"],
        ["\xC8\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x6C"],

        ["\x48\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x72"],
        ["\xC8\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x6D"],

        ["\x48\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x73"],
        ["\xC8\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x6E"],

        ["\x48\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x74"],
        ["\xC8\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x6F"],

        ["\x48\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x75"],
        ["\xC8\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x70"],

        ["\x48\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x76"],
        ["\xC8\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x71"],

        ["\x48\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x77"],
        ["\xC8\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x72"],

        ["\x48\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x78"],
        ["\xC8\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x73"],

        ["\x48\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x80"],
        ["\xC8\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x74"],

        ["\x48\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x8B"],
        ["\xC8\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x75"],

        ["\x48\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x9B"],
        ["\xC8\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x76"],

        ["\x48\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x9C"],
        ["\xC8\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x77"],

        ["\x48\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA0"],
        ["\xC8\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x78"],

        ["\x48\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAB"],
        ["\xC8\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x79"],

        ["\x48\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],
        ["\xC8\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x7A"],

        ["\x48\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC0"],
        ["\xC8\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x7B"],

        ["\x48\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x6A"],
        ["\xC8\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x7C"],

        ["\x48\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD0"],
        ["\xC8\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x7D"],

        ["\x48\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA1"],
        ["\xC8\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x48\x7E"],

        ["\x49\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4F"],
        ["\xC9\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x21"],

        ["\x49\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x7F"],
        ["\xC9\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x22"],

        ["\x49\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x7B"],
        ["\xC9\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x23"],

        ["\x49\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE0"],
        ["\xC9\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x24"],

        ["\x49\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6C"],
        ["\xC9\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x25"],

        ["\x49\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x50"],
        ["\xC9\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x26"],

        ["\x49\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x7D"],
        ["\xC9\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x27"],

        ["\x49\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4D"],
        ["\xC9\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x28"],

        ["\x49\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5D"],
        ["\xC9\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x29"],

        ["\x49\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5C"],
        ["\xC9\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x2A"],

        ["\x49\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4E"],
        ["\xC9\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x2B"],

        ["\x49\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6B"],
        ["\xC9\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x2C"],

        ["\x49\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x60"],
        ["\xC9\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x2D"],

        ["\x49\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4B"],
        ["\xC9\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x2E"],

        ["\x49\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x61"],
        ["\xC9\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x2F"],

        ["\x5B\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE7"],
        ["\x4A\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x58"],

        ["\x49\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF1"],
        ["\xC9\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x31"],

        ["\x49\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],
        ["\xC9\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x32"],

        ["\x49\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF3"],
        ["\xC9\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x33"],

        ["\x49\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],
        ["\xC9\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x34"],

        ["\x49\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF5"],
        ["\xC9\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x35"],

        ["\x49\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],
        ["\xC9\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x36"],

        ["\x49\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],
        ["\xC9\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x37"],

        ["\x49\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],
        ["\xC9\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x38"],

        ["\x49\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],
        ["\xC9\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x39"],

        ["\x49\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x7A"],
        ["\xC9\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x3A"],

        ["\x49\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5E"],
        ["\xC9\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x3B"],

        ["\x49\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4C"],
        ["\xC9\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x3C"],

        ["\x49\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x7E"],
        ["\xC9\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x3D"],

        ["\x49\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6E"],
        ["\xC9\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x3E"],

        ["\x49\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6F"],
        ["\xC9\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x3F"],

        ["\x49\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x7C"],
        ["\xC9\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x40"],

        ["\x49\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC1"],
        ["\xC9\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x41"],

        ["\x49\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],
        ["\xC9\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x42"],

        ["\x49\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],
        ["\xC9\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x43"],

        ["\x49\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],
        ["\xC9\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x44"],

        ["\x49\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],
        ["\xC9\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x45"],

        ["\x49\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],
        ["\xC9\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x46"],

        ["\x49\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC7"],
        ["\xC9\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x47"],

        ["\x49\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],
        ["\xC9\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x48"],

        ["\x49\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC9"],
        ["\xC9\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x49"],

        ["\x49\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],
        ["\xC9\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x4A"],

        ["\x49\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD2"],
        ["\xC9\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x4B"],

        ["\x49\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD3"],
        ["\xC9\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x4C"],

        ["\x49\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD4"],
        ["\xC9\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x4D"],

        ["\x49\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],
        ["\xC9\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x4E"],

        ["\x49\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD6"],
        ["\xC9\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x4F"],

        ["\x49\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],
        ["\xC9\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x50"],

        ["\x49\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],
        ["\xC9\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x51"],

        ["\x49\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],
        ["\xC9\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x52"],

        ["\x49\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE2"],
        ["\xC9\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x53"],

        ["\x49\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],
        ["\xC9\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x54"],

        ["\x49\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE4"],
        ["\xC9\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x55"],

        ["\x49\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE5"],
        ["\xC9\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x56"],

        ["\x49\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE6"],
        ["\xC9\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x57"],

        ["\x49\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],
        ["\xC9\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x58"],

        ["\x49\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],
        ["\xC9\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x59"],

        ["\x49\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE9"],
        ["\xC9\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x5A"],

        ["\x49\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4A"],
        ["\xC9\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x5B"],

        ["\x49\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5B"],
        ["\xC9\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x5C"],

        ["\x49\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5A"],
        ["\xC9\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x5D"],

        ["\x49\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5F"],
        ["\xC9\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x5E"],

        ["\x49\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6D"],
        ["\xC9\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x5F"],

        ["\x49\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x79"],
        ["\xC9\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x60"],

        ["\x49\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x57"],
        ["\xC9\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x61"],

        ["\x49\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x59"],
        ["\xC9\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x62"],

        ["\x49\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x62"],
        ["\xC9\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x63"],

        ["\x49\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x63"],
        ["\xC9\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x64"],

        ["\x49\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x64"],
        ["\xC9\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x65"],

        ["\x49\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x65"],
        ["\xC9\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x66"],

        ["\x49\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x66"],
        ["\xC9\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x67"],

        ["\x49\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x67"],
        ["\xC9\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x68"],

        ["\x49\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x68"],
        ["\xC9\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x69"],

        ["\x49\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x69"],
        ["\xC9\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x6A"],

        ["\x49\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x70"],
        ["\xC9\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x6B"],

        ["\x49\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x71"],
        ["\xC9\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x6C"],

        ["\x49\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x72"],
        ["\xC9\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x6D"],

        ["\x49\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x73"],
        ["\xC9\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x6E"],

        ["\x49\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x74"],
        ["\xC9\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x6F"],

        ["\x49\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x75"],
        ["\xC9\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x70"],

        ["\x49\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x76"],
        ["\xC9\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x71"],

        ["\x49\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x77"],
        ["\xC9\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x72"],

        ["\x49\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x78"],
        ["\xC9\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x73"],

        ["\x49\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x80"],
        ["\xC9\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x74"],

        ["\x49\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x8B"],
        ["\xC9\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x75"],

        ["\x49\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x9B"],
        ["\xC9\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x76"],

        ["\x49\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x9C"],
        ["\xC9\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x77"],

        ["\x49\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA0"],
        ["\xC9\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x78"],

        ["\x49\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],
        ["\xC9\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x79"],

        ["\x49\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],
        ["\xC9\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x7A"],

        ["\x49\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],
        ["\xC9\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x7B"],

        ["\x49\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6A"],
        ["\xC9\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x7C"],

        ["\x49\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD0"],
        ["\xC9\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x7D"],

        ["\x49\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA1"],
        ["\xC9\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x7E"],

        ["\x4A\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4F"],
        ["\xD1\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x21"],

        ["\x4A\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x7F"],
        ["\xD1\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x22"],

        ["\x4A\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x7B"],
        ["\xD1\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x23"],

        ["\x4A\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE0"],
        ["\xD1\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x24"],

        ["\x4A\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x6C"],
        ["\xD1\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x25"],

        ["\x4A\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x50"],
        ["\xD1\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x26"],

        ["\x4A\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x7D"],
        ["\xD1\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x27"],

        ["\x4A\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4D"],
        ["\xD1\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x28"],

        ["\x4A\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5D"],
        ["\xD1\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x29"],

        ["\x4A\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5C"],
        ["\xD1\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x2A"],

        ["\x4A\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4E"],
        ["\xD1\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x2B"],

        ["\x4A\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x6B"],
        ["\xD1\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x2C"],

        ["\x4A\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x60"],
        ["\xD1\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x2D"],

        ["\x4A\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4B"],
        ["\xD1\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x2E"],

        ["\x4A\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x61"],
        ["\xD1\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x2F"],

        ["\x4A\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],
        ["\xD1\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x30"],

        ["\x4A\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF1"],
        ["\xD1\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x31"],

        ["\x4A\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF2"],
        ["\xD1\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x32"],

        ["\x4A\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF3"],
        ["\xD1\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x33"],

        ["\x4A\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],
        ["\xD1\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x34"],

        ["\x4A\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF5"],
        ["\xD1\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x35"],

        ["\x4A\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF6"],
        ["\xD1\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x36"],

        ["\x4A\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],
        ["\xD1\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x37"],

        ["\x4A\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF8"],
        ["\xD1\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x38"],

        ["\x4A\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],
        ["\xD1\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x39"],

        ["\x4A\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x7A"],
        ["\xD1\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x3A"],

        ["\x4A\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5E"],
        ["\xD1\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x3B"],

        ["\x4A\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4C"],
        ["\xD1\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x3C"],

        ["\x4A\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x7E"],
        ["\xD1\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x3D"],

        ["\x4A\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x6E"],
        ["\xD1\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x3E"],

        ["\x4A\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x6F"],
        ["\xD1\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x3F"],

        ["\x4A\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x7C"],
        ["\xD1\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x40"],

        ["\x4A\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],
        ["\xD1\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x41"],

        ["\x4A\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC2"],
        ["\xD1\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x42"],

        ["\x4A\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],
        ["\xD1\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x43"],

        ["\x4A\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],
        ["\xD1\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x44"],

        ["\x4A\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],
        ["\xD1\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x45"],

        ["\x4A\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],
        ["\xD1\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x46"],

        ["\x4A\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC7"],
        ["\xD1\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x47"],

        ["\x4A\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC8"],
        ["\xD1\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x48"],

        ["\x4A\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC9"],
        ["\xD1\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x49"],

        ["\x4A\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],
        ["\xD1\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x4A"],

        ["\x4A\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],
        ["\xD1\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x4B"],

        ["\x4A\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],
        ["\xD1\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x4C"],

        ["\x4A\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],
        ["\xD1\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x4D"],

        ["\x4A\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],
        ["\xD1\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x4E"],

        ["\x4A\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],
        ["\xD1\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x4F"],

        ["\x4A\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD7"],
        ["\xD1\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x50"],

        ["\x4A\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD8"],
        ["\xD1\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x51"],

        ["\x4A\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],
        ["\xD1\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x52"],

        ["\x4A\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],
        ["\xD1\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x53"],

        ["\x4A\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE3"],
        ["\xD1\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x54"],

        ["\x4A\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],
        ["\xD1\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x55"],

        ["\x4A\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE5"],
        ["\xD1\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x56"],

        ["\x4A\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],
        ["\xD1\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x57"],

        ["\x4A\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE7"],
        ["\xD1\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x58"],

        ["\x4A\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE8"],
        ["\xD1\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x59"],

        ["\x4A\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE9"],
        ["\xD1\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x5A"],

        ["\x4A\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4A"],
        ["\xD1\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x5B"],

        ["\x4A\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5B"],
        ["\xD1\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x5C"],

        ["\x4A\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5A"],
        ["\xD1\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x5D"],

        ["\x4A\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5F"],
        ["\xD1\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x5E"],

        ["\x4A\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x6D"],
        ["\xD1\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x5F"],

        ["\x4A\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x79"],
        ["\xD1\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x60"],

        ["\x4A\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x57"],
        ["\xD1\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x61"],

        ["\x4A\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x59"],
        ["\xD1\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x62"],

        ["\x4A\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x62"],
        ["\xD1\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x63"],

        ["\x4A\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x63"],
        ["\xD1\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x64"],

        ["\x4A\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x64"],
        ["\xD1\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x65"],

        ["\x4A\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x65"],
        ["\xD1\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x66"],

        ["\x4A\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x66"],
        ["\xD1\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x67"],

        ["\x4A\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x67"],
        ["\xD1\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x68"],

        ["\x4A\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x68"],
        ["\xD1\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x69"],

        ["\x4A\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x69"],
        ["\xD1\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x6A"],

        ["\x4A\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x70"],
        ["\xD1\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x6B"],

        ["\x4A\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x71"],
        ["\xD1\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x6C"],

        ["\x4A\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x72"],
        ["\xD1\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x6D"],

        ["\x4A\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x73"],
        ["\xD1\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x6E"],

        ["\x4A\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x74"],
        ["\xD1\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x6F"],

        ["\x4A\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x75"],
        ["\xD1\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x70"],

        ["\x4A\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x76"],
        ["\xD1\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x71"],

        ["\x4A\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x77"],
        ["\xD1\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x72"],

        ["\x4A\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x78"],
        ["\xD1\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x73"],

        ["\x4A\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x80"],
        ["\xD1\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x74"],

        ["\x4A\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x8B"],
        ["\xD1\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x75"],

        ["\x4A\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x9B"],
        ["\xD1\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x76"],

        ["\x4A\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x9C"],
        ["\xD1\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x77"],

        ["\x4A\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA0"],
        ["\xD1\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x78"],

        ["\x4A\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAB"],
        ["\xD1\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x79"],

        ["\x4A\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],
        ["\xD1\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x7A"],

        ["\x4A\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC0"],
        ["\xD1\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x7B"],

        ["\x4A\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x6A"],
        ["\xD1\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x7C"],

        ["\x4A\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD0"],
        ["\xD1\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x7D"],

        ["\x4A\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA1"],
        ["\xD1\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4A\x7E"],

        ["\x4B\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4F"],
        ["\xD2\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x21"],

        ["\x4B\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x7F"],
        ["\xD2\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x22"],

        ["\x4B\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x7B"],
        ["\xD2\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x23"],

        ["\x4B\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE0"],
        ["\xD2\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x24"],

        ["\x4B\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x6C"],
        ["\xD2\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x25"],

        ["\x4B\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x50"],
        ["\xD2\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x26"],

        ["\x4B\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x7D"],
        ["\xD2\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x27"],

        ["\x4B\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4D"],
        ["\xD2\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x28"],

        ["\x4B\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x5D"],
        ["\xD2\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x29"],

        ["\x4B\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x5C"],
        ["\xD2\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x2A"],

        ["\x4B\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4E"],
        ["\xD2\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x2B"],

        ["\x4B\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x6B"],
        ["\xD2\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x2C"],

        ["\x4B\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x60"],
        ["\xD2\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x2D"],

        ["\x4B\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4B"],
        ["\xD2\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x2E"],

        ["\x4B\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x61"],
        ["\xD2\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x2F"],

        ["\x4B\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF0"],
        ["\xD2\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x30"],

        ["\x4B\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF1"],
        ["\xD2\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x31"],

        ["\x4B\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],
        ["\xD2\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x32"],

        ["\x4B\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],
        ["\xD2\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x33"],

        ["\x4B\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],
        ["\xD2\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x34"],

        ["\x4B\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF5"],
        ["\xD2\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x35"],

        ["\x4B\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF6"],
        ["\xD2\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x36"],

        ["\x4B\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],
        ["\xD2\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x37"],

        ["\x4B\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],
        ["\xD2\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x38"],

        ["\x4B\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF9"],
        ["\xD2\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x39"],

        ["\x4B\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x7A"],
        ["\xD2\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x3A"],

        ["\x4B\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x5E"],
        ["\xD2\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x3B"],

        ["\x4B\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4C"],
        ["\xD2\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x3C"],

        ["\x4B\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x7E"],
        ["\xD2\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x3D"],

        ["\x4B\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x6E"],
        ["\xD2\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x3E"],

        ["\x4B\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x6F"],
        ["\xD2\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x3F"],

        ["\x4B\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x7C"],
        ["\xD2\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x40"],

        ["\x4B\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC1"],
        ["\xD2\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x41"],

        ["\x4B\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC2"],
        ["\xD2\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x42"],

        ["\x4B\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],
        ["\xD2\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x43"],

        ["\x4B\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC4"],
        ["\xD2\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x44"],

        ["\x4B\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],
        ["\xD2\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x45"],

        ["\x4B\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC6"],
        ["\xD2\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x46"],

        ["\x4B\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC7"],
        ["\xD2\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x47"],

        ["\x4B\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC8"],
        ["\xD2\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x48"],

        ["\x4B\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC9"],
        ["\xD2\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x49"],

        ["\x4B\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],
        ["\xD2\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x4A"],

        ["\x4B\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD2"],
        ["\xD2\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x4B"],

        ["\x4B\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],
        ["\xD2\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x4C"],

        ["\x4B\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD4"],
        ["\xD2\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x4D"],

        ["\x4B\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD5"],
        ["\xD2\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x4E"],

        ["\x4B\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD6"],
        ["\xD2\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x4F"],

        ["\x4B\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD7"],
        ["\xD2\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x50"],

        ["\x4B\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],
        ["\xD2\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x51"],

        ["\x4B\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD9"],
        ["\xD2\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x52"],

        ["\x4B\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE2"],
        ["\xD2\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x53"],

        ["\x4B\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE3"],
        ["\xD2\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x54"],

        ["\x4B\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE4"],
        ["\xD2\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x55"],

        ["\x4B\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE5"],
        ["\xD2\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x56"],

        ["\x4B\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE6"],
        ["\xD2\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x57"],

        ["\x4B\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],
        ["\xD2\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x58"],

        ["\x4B\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],
        ["\xD2\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x59"],

        ["\x4B\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE9"],
        ["\xD2\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x5A"],

        ["\x4B\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4A"],
        ["\xD2\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x5B"],

        ["\x4B\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x5B"],
        ["\xD2\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x5C"],

        ["\x4B\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x5A"],
        ["\xD2\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x5D"],

        ["\x4B\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x5F"],
        ["\xD2\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x5E"],

        ["\x4B\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x6D"],
        ["\xD2\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x5F"],

        ["\x4B\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x79"],
        ["\xD2\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x60"],

        ["\x4B\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x57"],
        ["\xD2\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x61"],

        ["\x4B\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x59"],
        ["\xD2\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x62"],

        ["\x4B\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x62"],
        ["\xD2\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x63"],

        ["\x4B\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x63"],
        ["\xD2\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x64"],

        ["\x4B\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x64"],
        ["\xD2\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x65"],

        ["\x4B\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x65"],
        ["\xD2\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x66"],

        ["\x4B\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x66"],
        ["\xD2\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x67"],

        ["\x4B\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x67"],
        ["\xD2\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x68"],

        ["\x4B\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x68"],
        ["\xD2\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x69"],

        ["\xBF\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA3"],
        ["\x90\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xCE"],

        ["\x4B\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x70"],
        ["\xD2\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x6B"],

        ["\x4B\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x71"],
        ["\xD2\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x6C"],

        ["\x4B\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x72"],
        ["\xD2\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x6D"],

        ["\x4B\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x73"],
        ["\xD2\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x6E"],

        ["\x4B\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x74"],
        ["\xD2\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x6F"],

        ["\x4B\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x75"],
        ["\xD2\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x70"],

        ["\x4B\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x76"],
        ["\xD2\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x71"],

        ["\x4B\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x77"],
        ["\xD2\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x72"],

        ["\x4B\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x78"],
        ["\xD2\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x73"],

        ["\x4B\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x80"],
        ["\xD2\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x74"],

        ["\x4B\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x8B"],
        ["\xD2\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x75"],

        ["\x4B\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x9B"],
        ["\xD2\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x76"],

        ["\x4B\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x9C"],
        ["\xD2\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x77"],

        ["\x4B\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA0"],
        ["\xD2\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x78"],

        ["\x50\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE5"],
        ["\xD7\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x56"],

        ["\x4B\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB0"],
        ["\xD2\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x7A"],

        ["\x4B\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC0"],
        ["\xD2\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x7B"],

        ["\x4B\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x6A"],
        ["\xD2\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x7C"],

        ["\x4B\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD0"],
        ["\xD2\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x7D"],

        ["\x4B\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA1"],
        ["\xD2\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x7E"],

        ["\x4C\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4F"],
        ["\xD3\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x21"],

        ["\x4C\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x7F"],
        ["\xD3\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x22"],

        ["\x4C\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x7B"],
        ["\xD3\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x23"],

        ["\x4C\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE0"],
        ["\xD3\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x24"],

        ["\x4C\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x6C"],
        ["\xD3\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x25"],

        ["\x4C\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x50"],
        ["\xD3\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x26"],

        ["\x4C\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x7D"],
        ["\xD3\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x27"],

        ["\x4C\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4D"],
        ["\xD3\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x28"],

        ["\x4C\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5D"],
        ["\xD3\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x29"],

        ["\x4C\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5C"],
        ["\xD3\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x2A"],

        ["\x4C\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4E"],
        ["\xD3\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x2B"],

        ["\x4C\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x6B"],
        ["\xD3\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x2C"],

        ["\x4C\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x60"],
        ["\xD3\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x2D"],

        ["\x4C\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4B"],
        ["\xD3\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x2E"],

        ["\x4C\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x61"],
        ["\xD3\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x2F"],

        ["\x4C\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF0"],
        ["\xD3\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x30"],

        ["\x4C\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF1"],
        ["\xD3\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x31"],

        ["\x4C\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],
        ["\xD3\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x32"],

        ["\x4C\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],
        ["\xD3\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x33"],

        ["\x4C\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF4"],
        ["\xD3\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x34"],

        ["\x4C\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],
        ["\xD3\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x35"],

        ["\x4C\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],
        ["\xD3\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x36"],

        ["\x4C\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF7"],
        ["\xD3\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x37"],

        ["\x4C\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF8"],
        ["\xD3\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x38"],

        ["\x4C\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF9"],
        ["\xD3\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x39"],

        ["\x4C\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x7A"],
        ["\xD3\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x3A"],

        ["\x4C\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5E"],
        ["\xD3\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x3B"],

        ["\x4C\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4C"],
        ["\xD3\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x3C"],

        ["\x4C\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x7E"],
        ["\xD3\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x3D"],

        ["\x4C\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x6E"],
        ["\xD3\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x3E"],

        ["\x4C\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x6F"],
        ["\xD3\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x3F"],

        ["\x4C\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x7C"],
        ["\xD3\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x40"],

        ["\x4C\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],
        ["\xD3\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x41"],

        ["\x4C\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],
        ["\xD3\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x42"],

        ["\x4C\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC3"],
        ["\xD3\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x43"],

        ["\x4C\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],
        ["\xD3\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x44"],

        ["\x4C\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC5"],
        ["\xD3\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x45"],

        ["\x4C\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC6"],
        ["\xD3\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x46"],

        ["\x4C\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC7"],
        ["\xD3\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x47"],

        ["\x4C\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC8"],
        ["\xD3\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x48"],

        ["\x4C\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],
        ["\xD3\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x49"],

        ["\x4C\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD1"],
        ["\xD3\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x4A"],

        ["\x4C\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD2"],
        ["\xD3\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x4B"],

        ["\x4C\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD3"],
        ["\xD3\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x4C"],

        ["\x4C\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],
        ["\xD3\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x4D"],

        ["\x4C\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],
        ["\xD3\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x4E"],

        ["\x4C\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD6"],
        ["\xD3\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x4F"],

        ["\x4C\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],
        ["\xD3\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x50"],

        ["\x4C\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],
        ["\xD3\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x51"],

        ["\x4C\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],
        ["\xD3\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x52"],

        ["\x4C\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],
        ["\xD3\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x53"],

        ["\x4C\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],
        ["\xD3\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x54"],

        ["\x4C\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE4"],
        ["\xD3\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x55"],

        ["\x4C\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE5"],
        ["\xD3\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x56"],

        ["\x4C\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE6"],
        ["\xD3\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x57"],

        ["\x4C\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],
        ["\xD3\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x58"],

        ["\x4C\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE8"],
        ["\xD3\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x59"],

        ["\x4C\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE9"],
        ["\xD3\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x5A"],

        ["\x4C\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4A"],
        ["\xD3\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x5B"],

        ["\x4C\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5B"],
        ["\xD3\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x5C"],

        ["\x4C\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5A"],
        ["\xD3\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x5D"],

        ["\x4C\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5F"],
        ["\xD3\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x5E"],

        ["\x4C\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x6D"],
        ["\xD3\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x5F"],

        ["\x4C\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x79"],
        ["\xD3\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x60"],

        ["\x4C\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x57"],
        ["\xD3\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x61"],

        ["\x4C\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x59"],
        ["\xD3\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x62"],

        ["\x4C\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x62"],
        ["\xD3\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x63"],

        ["\x4C\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x63"],
        ["\xD3\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x64"],

        ["\x4C\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x64"],
        ["\xD3\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x65"],

        ["\x4C\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x65"],
        ["\xD3\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x66"],

        ["\x4C\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x66"],
        ["\xD3\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x67"],

        ["\x4C\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x67"],
        ["\xD3\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x68"],

        ["\x4C\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x68"],
        ["\xD3\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x69"],

        ["\x4C\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x69"],
        ["\xD3\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x6A"],

        ["\x4C\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x70"],
        ["\xD3\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x6B"],

        ["\x4C\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x71"],
        ["\xD3\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x6C"],

        ["\x4C\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x72"],
        ["\xD3\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x6D"],

        ["\x4C\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x73"],
        ["\xD3\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x6E"],

        ["\x4C\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x74"],
        ["\xD3\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x6F"],

        ["\x4C\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x75"],
        ["\xD3\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x70"],

        ["\x4C\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x76"],
        ["\xD3\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x71"],

        ["\x4C\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x77"],
        ["\xD3\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x72"],

        ["\x4C\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x78"],
        ["\xD3\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x73"],

        ["\x4C\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x80"],
        ["\xD3\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x74"],

        ["\x4C\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x8B"],
        ["\xD3\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x75"],

        ["\x4C\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x9B"],
        ["\xD3\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x76"],

        ["\x4C\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x9C"],
        ["\xD3\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x77"],

        ["\x4C\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA0"],
        ["\xD3\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x78"],

        ["\x69\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4B"],
        ["\x68\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x2E"],

        ["\x4C\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],
        ["\xD3\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x7A"],

        ["\x4C\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],
        ["\xD3\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x7B"],

        ["\x4C\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x6A"],
        ["\xD3\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x7C"],

        ["\x4C\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD0"],
        ["\xD3\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x7D"],

        ["\x4C\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],
        ["\xD3\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x7E"],

        ["\x4D\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x4F"],
        ["\xD4\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x21"],

        ["\x4D\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x7F"],
        ["\xD4\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x22"],

        ["\x4D\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x7B"],
        ["\xD4\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x23"],

        ["\x4D\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE0"],
        ["\xD4\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x24"],

        ["\x4D\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x6C"],
        ["\xD4\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x25"],

        ["\x4D\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x50"],
        ["\xD4\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x26"],

        ["\x4D\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x7D"],
        ["\xD4\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x27"],

        ["\x4D\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x4D"],
        ["\xD4\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x28"],

        ["\x4D\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x5D"],
        ["\xD4\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x29"],

        ["\x4D\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x5C"],
        ["\xD4\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x2A"],

        ["\x4D\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x4E"],
        ["\xD4\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x2B"],

        ["\x4D\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x6B"],
        ["\xD4\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x2C"],

        ["\x4D\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x60"],
        ["\xD4\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x2D"],

        ["\x4D\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x4B"],
        ["\xD4\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x2E"],

        ["\x4D\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x61"],
        ["\xD4\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x2F"],

        ["\x4D\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],
        ["\xD4\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x30"],

        ["\x4D\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],
        ["\xD4\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x31"],

        ["\x4D\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],
        ["\xD4\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x32"],

        ["\x4D\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],
        ["\xD4\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x33"],

        ["\x4D\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF4"],
        ["\xD4\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x34"],

        ["\x4D\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF5"],
        ["\xD4\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x35"],

        ["\x4D\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF6"],
        ["\xD4\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x36"],

        ["\x4D\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF7"],
        ["\xD4\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x37"],

        ["\x4D\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],
        ["\xD4\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x38"],

        ["\x4D\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF9"],
        ["\xD4\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x39"],

        ["\x4D\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x7A"],
        ["\xD4\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x3A"],

        ["\x4D\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x5E"],
        ["\xD4\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x3B"],

        ["\x4D\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x4C"],
        ["\xD4\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x3C"],

        ["\x4D\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x7E"],
        ["\xD4\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x3D"],

        ["\x4D\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x6E"],
        ["\xD4\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x3E"],

        ["\x4D\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x6F"],
        ["\xD4\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x3F"],

        ["\x4D\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x7C"],
        ["\xD4\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x40"],

        ["\x4D\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC1"],
        ["\xD4\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x41"],

        ["\x4D\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC2"],
        ["\xD4\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x42"],

        ["\x4D\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],
        ["\xD4\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x43"],

        ["\x4D\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC4"],
        ["\xD4\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x44"],

        ["\x4D\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC5"],
        ["\xD4\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x45"],

        ["\x4D\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC6"],
        ["\xD4\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x46"],

        ["\x4D\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC7"],
        ["\xD4\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x47"],

        ["\x4D\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC8"],
        ["\xD4\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x48"],

        ["\x4D\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC9"],
        ["\xD4\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x49"],

        ["\x4D\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD1"],
        ["\xD4\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x4A"],

        ["\x4D\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],
        ["\xD4\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x4B"],

        ["\x4D\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],
        ["\xD4\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x4C"],

        ["\x4D\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],
        ["\xD4\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x4D"],

        ["\x4D\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD5"],
        ["\xD4\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x4E"],

        ["\x4D\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD6"],
        ["\xD4\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x4F"],

        ["\x4D\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],
        ["\xD4\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x50"],

        ["\x4D\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD8"],
        ["\xD4\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x51"],

        ["\x4D\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD9"],
        ["\xD4\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x52"],

        ["\x4D\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE2"],
        ["\xD4\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x53"],

        ["\x4D\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],
        ["\xD4\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x54"],

        ["\x4D\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],
        ["\xD4\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x55"],

        ["\x4D\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],
        ["\xD4\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x56"],

        ["\x4D\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE6"],
        ["\xD4\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x57"],

        ["\x4D\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE7"],
        ["\xD4\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x58"],

        ["\x4D\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE8"],
        ["\xD4\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x59"],

        ["\xD0\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\x95"],
        ["\xA5\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],

        ["\x4D\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x4A"],
        ["\xD4\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x5B"],

        ["\x4D\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x5B"],
        ["\xD4\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x5C"],

        ["\x4D\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x5A"],
        ["\xD4\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x5D"],

        ["\x4D\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x5F"],
        ["\xD4\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x5E"],

        ["\x4D\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x6D"],
        ["\xD4\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x5F"],

        ["\x4D\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x79"],
        ["\xD4\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x60"],

        ["\x4D\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x57"],
        ["\xD4\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x61"],

        ["\x4D\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x59"],
        ["\xD4\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x62"],

        ["\x4D\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x62"],
        ["\xD4\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x63"],

        ["\x4D\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x63"],
        ["\xD4\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x64"],

        ["\x4D\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x64"],
        ["\xD4\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x65"],

        ["\x4D\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x65"],
        ["\xD4\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x66"],

        ["\x4D\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x66"],
        ["\xD4\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x67"],

        ["\x4D\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x67"],
        ["\xD4\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x68"],

        ["\x4D\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x68"],
        ["\xD4\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x69"],

        ["\x4D\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x69"],
        ["\xD4\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x6A"],

        ["\x4D\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x70"],
        ["\xD4\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x6B"],

        ["\x4D\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x71"],
        ["\xD4\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x6C"],

        ["\x4D\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x72"],
        ["\xD4\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x6D"],

        ["\x4D\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x73"],
        ["\xD4\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x6E"],

        ["\x4D\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x74"],
        ["\xD4\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x6F"],

        ["\x4D\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x75"],
        ["\xD4\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x70"],

        ["\x4D\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x76"],
        ["\xD4\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x71"],

        ["\x4D\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x77"],
        ["\xD4\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x72"],

        ["\x4D\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x78"],
        ["\xD4\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x73"],

        ["\x4D\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x80"],
        ["\xD4\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x74"],

        ["\x4D\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x8B"],
        ["\xD4\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x75"],

        ["\x4D\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x9B"],
        ["\xD4\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x76"],

        ["\x4D\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x9C"],
        ["\xD4\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x77"],

        ["\x4D\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA0"],
        ["\xD4\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x78"],

        ["\x4D\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],
        ["\xD4\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x79"],

        ["\x4D\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB0"],
        ["\xD4\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x7A"],

        ["\x4D\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC0"],
        ["\xD4\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x7B"],

        ["\x4D\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x6A"],
        ["\xD4\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x7C"],

        ["\x4D\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD0"],
        ["\xD4\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x7D"],

        ["\x4D\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],
        ["\xD4\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x7E"],

        ["\x4E\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x4F"],
        ["\xD5\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x21"],

        ["\x4E\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x7F"],
        ["\xD5\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x22"],

        ["\x4E\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x7B"],
        ["\xD5\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x23"],

        ["\x4E\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE0"],
        ["\xD5\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x24"],

        ["\x4E\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x6C"],
        ["\xD5\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x25"],

        ["\x4E\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x50"],
        ["\xD5\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x26"],

        ["\x4E\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x7D"],
        ["\xD5\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x27"],

        ["\x4E\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x4D"],
        ["\xD5\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x28"],

        ["\x4E\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x5D"],
        ["\xD5\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x29"],

        ["\x4E\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x5C"],
        ["\xD5\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x2A"],

        ["\x4E\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x4E"],
        ["\xD5\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x2B"],

        ["\x4E\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x6B"],
        ["\xD5\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x2C"],

        ["\x4E\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x60"],
        ["\xD5\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x2D"],

        ["\x4E\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x4B"],
        ["\xD5\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x2E"],

        ["\x4E\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x61"],
        ["\xD5\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x2F"],

        ["\x4E\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],
        ["\xD5\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x30"],

        ["\x4E\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],
        ["\xD5\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x31"],

        ["\x4E\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],
        ["\xD5\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x32"],

        ["\x4E\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],
        ["\xD5\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x33"],

        ["\x4E\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF4"],
        ["\xD5\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x34"],

        ["\x4E\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],
        ["\xD5\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x35"],

        ["\x4E\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],
        ["\xD5\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x36"],

        ["\x4E\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF7"],
        ["\xD5\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x37"],

        ["\x4E\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF8"],
        ["\xD5\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x38"],

        ["\x4E\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],
        ["\xD5\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x39"],

        ["\x4E\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x7A"],
        ["\xD5\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x3A"],

        ["\x4E\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x5E"],
        ["\xD5\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x3B"],

        ["\x4E\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x4C"],
        ["\xD5\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x3C"],

        ["\x4E\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x7E"],
        ["\xD5\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x3D"],

        ["\x4E\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x6E"],
        ["\xD5\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x3E"],

        ["\x4E\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x6F"],
        ["\xD5\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x3F"],

        ["\x4E\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x7C"],
        ["\xD5\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x40"],

        ["\x4E\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC1"],
        ["\xD5\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x41"],

        ["\x4E\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],
        ["\xD5\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x42"],

        ["\x4E\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC3"],
        ["\xD5\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x43"],

        ["\x4E\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],
        ["\xD5\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x44"],

        ["\x4E\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],
        ["\xD5\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x45"],

        ["\x4E\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC6"],
        ["\xD5\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x46"],

        ["\x4E\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],
        ["\xD5\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x47"],

        ["\x4E\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC8"],
        ["\xD5\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x48"],

        ["\x4E\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC9"],
        ["\xD5\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x49"],

        ["\x4E\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],
        ["\xD5\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x4A"],

        ["\x4E\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],
        ["\xD5\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x4B"],

        ["\x4E\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],
        ["\xD5\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x4C"],

        ["\x4E\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],
        ["\xD5\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x4D"],

        ["\x4E\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD5"],
        ["\xD5\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x4E"],

        ["\x4E\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],
        ["\xD5\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x4F"],

        ["\x4E\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],
        ["\xD5\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x50"],

        ["\x4E\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],
        ["\xD5\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x51"],

        ["\x4E\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD9"],
        ["\xD5\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x52"],

        ["\x4E\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE2"],
        ["\xD5\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x53"],

        ["\x4E\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE3"],
        ["\xD5\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x54"],

        ["\x4E\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],
        ["\xD5\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x55"],

        ["\x4E\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],
        ["\xD5\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x56"],

        ["\x4E\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE6"],
        ["\xD5\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x57"],

        ["\x4E\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE7"],
        ["\xD5\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x58"],

        ["\x4E\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE8"],
        ["\xD5\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x59"],

        ["\x4E\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE9"],
        ["\xD5\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x5A"],

        ["\x4E\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x4A"],
        ["\xD5\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x5B"],

        ["\x4E\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x5B"],
        ["\xD5\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x5C"],

        ["\x4E\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x5A"],
        ["\xD5\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x5D"],

        ["\x4E\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x5F"],
        ["\xD5\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x5E"],

        ["\x4E\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x6D"],
        ["\xD5\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x5F"],

        ["\x4E\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x79"],
        ["\xD5\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x60"],

        ["\x4E\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x57"],
        ["\xD5\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x61"],

        ["\x4E\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x59"],
        ["\xD5\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x62"],

        ["\x4E\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x62"],
        ["\xD5\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x63"],

        ["\x4E\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x63"],
        ["\xD5\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x64"],

        ["\x4E\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x64"],
        ["\xD5\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x65"],

        ["\x4E\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x65"],
        ["\xD5\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x66"],

        ["\x4E\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x66"],
        ["\xD5\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x67"],

        ["\x4E\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x67"],
        ["\xD5\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x68"],

        ["\x4E\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x68"],
        ["\xD5\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x69"],

        ["\x4E\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x69"],
        ["\xD5\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x6A"],

        ["\x4E\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x70"],
        ["\xD5\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x6B"],

        ["\x4E\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x71"],
        ["\xD5\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x6C"],

        ["\x4E\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x72"],
        ["\xD5\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x6D"],

        ["\x4E\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x73"],
        ["\xD5\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x6E"],

        ["\x4E\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x74"],
        ["\xD5\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x6F"],

        ["\x4E\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x75"],
        ["\xD5\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x70"],

        ["\x4E\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x76"],
        ["\xD5\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x71"],

        ["\x4E\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x77"],
        ["\xD5\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x72"],

        ["\x4E\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x78"],
        ["\xD5\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x73"],

        ["\x4E\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x80"],
        ["\xD5\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x74"],

        ["\x4E\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x8B"],
        ["\xD5\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x75"],

        ["\x4E\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x9B"],
        ["\xD5\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x76"],

        ["\x4E\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x9C"],
        ["\xD5\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x77"],

        ["\x4E\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA0"],
        ["\xD5\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x78"],

        ["\x4E\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAB"],
        ["\xD5\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x79"],

        ["\x4E\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB0"],
        ["\xD5\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x7A"],

        ["\x4E\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC0"],
        ["\xD5\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x7B"],

        ["\x4E\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x6A"],
        ["\xD5\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x7C"],

        ["\x4E\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD0"],
        ["\xD5\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x7D"],

        ["\x4E\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],
        ["\xD5\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4E\x7E"],

        ["\x4F\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x4F"],
        ["\xD6\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x21"],

        ["\x4F\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x7F"],
        ["\xD6\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x22"],

        ["\x4F\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x7B"],
        ["\xD6\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x23"],

        ["\x4F\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE0"],
        ["\xD6\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x24"],

        ["\x4F\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x6C"],
        ["\xD6\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x25"],

        ["\x4F\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x50"],
        ["\xD6\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x26"],

        ["\x4F\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x7D"],
        ["\xD6\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x27"],

        ["\x4F\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x4D"],
        ["\xD6\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x28"],

        ["\x4F\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x5D"],
        ["\xD6\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x29"],

        ["\x4F\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x5C"],
        ["\xD6\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x2A"],

        ["\x4F\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x4E"],
        ["\xD6\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x2B"],

        ["\x4F\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x6B"],
        ["\xD6\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x2C"],

        ["\x4F\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x60"],
        ["\xD6\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x2D"],

        ["\x4F\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x4B"],
        ["\xD6\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x2E"],

        ["\x4F\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x61"],
        ["\xD6\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x2F"],

        ["\x4F\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF0"],
        ["\xD6\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x30"],

        ["\x4F\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF1"],
        ["\xD6\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x31"],

        ["\x4F\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF2"],
        ["\xD6\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x32"],

        ["\x4F\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF3"],
        ["\xD6\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x33"],

        ["\x4F\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF4"],
        ["\xD6\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x34"],

        ["\x4F\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF5"],
        ["\xD6\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x35"],

        ["\x64\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC6"],
        ["\x63\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x46"],

        ["\x4F\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF7"],
        ["\xD6\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x37"],

        ["\x4F\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF8"],
        ["\xD6\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x38"],

        ["\x4F\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF9"],
        ["\xD6\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x39"],

        ["\x4F\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x7A"],
        ["\xD6\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x3A"],

        ["\x4F\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x5E"],
        ["\xD6\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x3B"],

        ["\x4F\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x4C"],
        ["\xD6\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x3C"],

        ["\x4F\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x7E"],
        ["\xD6\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x3D"],

        ["\x4F\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x6E"],
        ["\xD6\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x3E"],

        ["\x4F\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x6F"],
        ["\xD6\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x3F"],

        ["\x4F\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x7C"],
        ["\xD6\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x40"],

        ["\x4F\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC1"],
        ["\xD6\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x41"],

        ["\x4F\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC2"],
        ["\xD6\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x42"],

        ["\x4F\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC3"],
        ["\xD6\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x43"],

        ["\x4F\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC4"],
        ["\xD6\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x44"],

        ["\x4F\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC5"],
        ["\xD6\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x45"],

        ["\x4F\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC6"],
        ["\xD6\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x46"],

        ["\x4F\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC7"],
        ["\xD6\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x47"],

        ["\x4F\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC8"],
        ["\xD6\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x48"],

        ["\x4F\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC9"],
        ["\xD6\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x49"],

        ["\x4F\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD1"],
        ["\xD6\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x4A"],

        ["\x4F\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD2"],
        ["\xD6\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x4B"],

        ["\x4F\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD3"],
        ["\xD6\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x4C"],

        ["\x4F\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD4"],
        ["\xD6\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x4D"],

        ["\x4F\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD5"],
        ["\xD6\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x4E"],

        ["\x4F\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD6"],
        ["\xD6\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x4F"],

        ["\x4F\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD7"],
        ["\xD6\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x50"],

        ["\x4F\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD8"],
        ["\xD6\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x51"],

        ["\x4F\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD9"],
        ["\xD6\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x52"],

        ["\x4F\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE2"],
        ["\xD6\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x53"],

        ["\x50\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4F"],
        ["\xD7\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x21"],

        ["\x50\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x7F"],
        ["\xD7\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x22"],

        ["\x50\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x7B"],
        ["\xD7\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x23"],

        ["\x50\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE0"],
        ["\xD7\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x24"],

        ["\x50\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x6C"],
        ["\xD7\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x25"],

        ["\x50\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x50"],
        ["\xD7\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x26"],

        ["\x50\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x7D"],
        ["\xD7\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x27"],

        ["\x50\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4D"],
        ["\xD7\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x28"],

        ["\x50\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5D"],
        ["\xD7\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x29"],

        ["\x50\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5C"],
        ["\xD7\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x2A"],

        ["\x50\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4E"],
        ["\xD7\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x2B"],

        ["\x50\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x6B"],
        ["\xD7\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x2C"],

        ["\x50\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x60"],
        ["\xD7\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x2D"],

        ["\x50\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4B"],
        ["\xD7\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x2E"],

        ["\x50\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x61"],
        ["\xD7\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x2F"],

        ["\x50\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF0"],
        ["\xD7\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x30"],

        ["\x50\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF1"],
        ["\xD7\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x31"],

        ["\x50\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF2"],
        ["\xD7\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x32"],

        ["\x50\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF3"],
        ["\xD7\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x33"],

        ["\x50\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF4"],
        ["\xD7\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x34"],

        ["\x50\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF5"],
        ["\xD7\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x35"],

        ["\x50\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF6"],
        ["\xD7\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x36"],

        ["\x50\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF7"],
        ["\xD7\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x37"],

        ["\x50\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF8"],
        ["\xD7\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x38"],

        ["\x50\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF9"],
        ["\xD7\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x39"],

        ["\x50\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x7A"],
        ["\xD7\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x3A"],

        ["\x50\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5E"],
        ["\xD7\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x3B"],

        ["\x50\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4C"],
        ["\xD7\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x3C"],

        ["\x50\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x7E"],
        ["\xD7\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x3D"],

        ["\x50\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x6E"],
        ["\xD7\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x3E"],

        ["\x50\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x6F"],
        ["\xD7\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x3F"],

        ["\x50\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x7C"],
        ["\xD7\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x40"],

        ["\x50\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC1"],
        ["\xD7\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x41"],

        ["\x50\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC2"],
        ["\xD7\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x42"],

        ["\x50\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC3"],
        ["\xD7\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x43"],

        ["\x50\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC4"],
        ["\xD7\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x44"],

        ["\x50\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC5"],
        ["\xD7\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x45"],

        ["\x50\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC6"],
        ["\xD7\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x46"],

        ["\x50\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC7"],
        ["\xD7\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x47"],

        ["\x50\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC8"],
        ["\xD7\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x48"],

        ["\x50\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC9"],
        ["\xD7\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x49"],

        ["\x50\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD1"],
        ["\xD7\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x4A"],

        ["\x50\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD2"],
        ["\xD7\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x4B"],

        ["\x50\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD3"],
        ["\xD7\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x4C"],

        ["\x50\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD4"],
        ["\xD7\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x4D"],

        ["\x50\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD5"],
        ["\xD7\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x4E"],

        ["\x50\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD6"],
        ["\xD7\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x4F"],

        ["\x50\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD7"],
        ["\xD7\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x50"],

        ["\x50\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD8"],
        ["\xD7\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x51"],

        ["\x50\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD9"],
        ["\xD7\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x52"],

        ["\x50\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE2"],
        ["\xD7\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x53"],

        ["\x50\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE3"],
        ["\xD7\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x54"],

        ["\x50\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE4"],
        ["\xD7\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x55"],

        ["\x4B\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],
        ["\xD2\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x79"],

        ["\x50\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE6"],
        ["\xD7\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x57"],

        ["\x50\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE7"],
        ["\xD7\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x58"],

        ["\x50\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE8"],
        ["\xD7\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x59"],

        ["\x50\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE9"],
        ["\xD7\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x5A"],

        ["\x50\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4A"],
        ["\xD7\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x5B"],

        ["\x50\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5B"],
        ["\xD7\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x5C"],

        ["\x50\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5A"],
        ["\xD7\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x5D"],

        ["\x50\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5F"],
        ["\xD7\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x5E"],

        ["\x50\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x6D"],
        ["\xD7\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x5F"],

        ["\x50\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x79"],
        ["\xD7\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x60"],

        ["\x50\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x57"],
        ["\xD7\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x61"],

        ["\x50\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x59"],
        ["\xD7\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x62"],

        ["\x50\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x62"],
        ["\xD7\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x63"],

        ["\x50\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x63"],
        ["\xD7\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x64"],

        ["\x50\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x64"],
        ["\xD7\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x65"],

        ["\x50\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x65"],
        ["\xD7\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x66"],

        ["\x50\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x66"],
        ["\xD7\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x67"],

        ["\x50\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x67"],
        ["\xD7\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x68"],

        ["\x50\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x68"],
        ["\xD7\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x69"],

        ["\x50\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x69"],
        ["\xD7\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x6A"],

        ["\x50\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x70"],
        ["\xD7\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x6B"],

        ["\x50\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x71"],
        ["\xD7\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x6C"],

        ["\x50\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x72"],
        ["\xD7\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x6D"],

        ["\x50\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x73"],
        ["\xD7\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x6E"],

        ["\x50\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x74"],
        ["\xD7\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x6F"],

        ["\x50\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x75"],
        ["\xD7\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x70"],

        ["\x50\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x76"],
        ["\xD7\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x71"],

        ["\x50\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x77"],
        ["\xD7\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x72"],

        ["\x50\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x78"],
        ["\xD7\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x73"],

        ["\x50\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x80"],
        ["\xD7\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x74"],

        ["\x50\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x8B"],
        ["\xD7\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x75"],

        ["\x50\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x9B"],
        ["\xD7\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x76"],

        ["\x50\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x9C"],
        ["\xD7\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x77"],

        ["\x50\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA0"],
        ["\xD7\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x78"],

        ["\x50\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAB"],
        ["\xD7\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x79"],

        ["\x50\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB0"],
        ["\xD7\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x7A"],

        ["\x50\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC0"],
        ["\xD7\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x7B"],

        ["\x50\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x6A"],
        ["\xD7\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x7C"],

        ["\x50\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD0"],
        ["\xD7\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x7D"],

        ["\x50\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA1"],
        ["\xD7\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x50\x7E"],

        ["\x51\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x4F"],
        ["\xD8\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x21"],

        ["\x51\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x7F"],
        ["\xD8\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x22"],

        ["\x51\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x7B"],
        ["\xD8\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x23"],

        ["\x51\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE0"],
        ["\xD8\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x24"],

        ["\x51\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x6C"],
        ["\xD8\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x25"],

        ["\x51\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x50"],
        ["\xD8\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x26"],

        ["\x51\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x7D"],
        ["\xD8\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x27"],

        ["\x51\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x4D"],
        ["\xD8\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x28"],

        ["\x51\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x5D"],
        ["\xD8\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x29"],

        ["\x51\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x5C"],
        ["\xD8\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x2A"],

        ["\x51\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x4E"],
        ["\xD8\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x2B"],

        ["\x51\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x6B"],
        ["\xD8\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x2C"],

        ["\x51\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x60"],
        ["\xD8\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x2D"],

        ["\x51\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x4B"],
        ["\xD8\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x2E"],

        ["\x51\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x61"],
        ["\xD8\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x2F"],

        ["\x51\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF0"],
        ["\xD8\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x30"],

        ["\x51\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF1"],
        ["\xD8\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x31"],

        ["\x51\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF2"],
        ["\xD8\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x32"],

        ["\x51\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF3"],
        ["\xD8\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x33"],

        ["\x51\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF4"],
        ["\xD8\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x34"],

        ["\x51\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF5"],
        ["\xD8\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x35"],

        ["\x51\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF6"],
        ["\xD8\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x36"],

        ["\x51\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF7"],
        ["\xD8\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x37"],

        ["\x51\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF8"],
        ["\xD8\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x38"],

        ["\x51\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF9"],
        ["\xD8\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x39"],

        ["\x51\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x7A"],
        ["\xD8\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x3A"],

        ["\x51\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x5E"],
        ["\xD8\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x3B"],

        ["\x51\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x4C"],
        ["\xD8\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x3C"],

        ["\x51\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x7E"],
        ["\xD8\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x3D"],

        ["\x51\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x6E"],
        ["\xD8\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x3E"],

        ["\x51\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x6F"],
        ["\xD8\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x3F"],

        ["\x51\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x7C"],
        ["\xD8\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x40"],

        ["\x51\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC1"],
        ["\xD8\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x41"],

        ["\x51\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC2"],
        ["\xD8\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x42"],

        ["\x51\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC3"],
        ["\xD8\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x43"],

        ["\x51\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC4"],
        ["\xD8\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x44"],

        ["\x51\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC5"],
        ["\xD8\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x45"],

        ["\x51\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC6"],
        ["\xD8\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x46"],

        ["\x51\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC7"],
        ["\xD8\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x47"],

        ["\x51\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC8"],
        ["\xD8\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x48"],

        ["\x51\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC9"],
        ["\xD8\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x49"],

        ["\x51\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD1"],
        ["\xD8\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x4A"],

        ["\x51\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD2"],
        ["\xD8\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x4B"],

        ["\x51\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD3"],
        ["\xD8\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x4C"],

        ["\x51\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD4"],
        ["\xD8\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x4D"],

        ["\x51\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD5"],
        ["\xD8\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x4E"],

        ["\x51\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD6"],
        ["\xD8\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x4F"],

        ["\x51\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD7"],
        ["\xD8\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x50"],

        ["\x51\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD8"],
        ["\xD8\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x51"],

        ["\x51\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD9"],
        ["\xD8\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x52"],

        ["\x51\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE2"],
        ["\xD8\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x53"],

        ["\x51\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE3"],
        ["\xD8\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x54"],

        ["\x51\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE4"],
        ["\xD8\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x55"],

        ["\x51\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE5"],
        ["\xD8\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x56"],

        ["\x51\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE6"],
        ["\xD8\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x57"],

        ["\x51\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE7"],
        ["\xD8\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x58"],

        ["\x51\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE8"],
        ["\xD8\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x59"],

        ["\x51\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE9"],
        ["\xD8\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x5A"],

        ["\x51\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x4A"],
        ["\xD8\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x5B"],

        ["\x51\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x5B"],
        ["\xD8\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x5C"],

        ["\x51\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x5A"],
        ["\xD8\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x5D"],

        ["\x51\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x5F"],
        ["\xD8\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x5E"],

        ["\x51\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x6D"],
        ["\xD8\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x5F"],

        ["\x51\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x79"],
        ["\xD8\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x60"],

        ["\x51\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x57"],
        ["\xD8\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x61"],

        ["\x51\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x59"],
        ["\xD8\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x62"],

        ["\x51\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x62"],
        ["\xD8\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x63"],

        ["\x51\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x63"],
        ["\xD8\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x64"],

        ["\x51\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x64"],
        ["\xD8\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x65"],

        ["\x51\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x65"],
        ["\xD8\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x66"],

        ["\x51\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x66"],
        ["\xD8\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x67"],

        ["\x51\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x67"],
        ["\xD8\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x68"],

        ["\x51\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x68"],
        ["\xD8\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x69"],

        ["\x51\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x69"],
        ["\xD8\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x6A"],

        ["\x51\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x70"],
        ["\xD8\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x6B"],

        ["\x51\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x71"],
        ["\xD8\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x6C"],

        ["\x51\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x72"],
        ["\xD8\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x6D"],

        ["\x51\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x73"],
        ["\xD8\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x6E"],

        ["\x51\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x74"],
        ["\xD8\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x6F"],

        ["\x51\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x75"],
        ["\xD8\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x70"],

        ["\x51\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x76"],
        ["\xD8\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x71"],

        ["\x51\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x77"],
        ["\xD8\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x72"],

        ["\x51\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x78"],
        ["\xD8\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x73"],

        ["\x51\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x80"],
        ["\xD8\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x74"],

        ["\x51\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x8B"],
        ["\xD8\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x75"],

        ["\x51\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x9B"],
        ["\xD8\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x76"],

        ["\x51\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x9C"],
        ["\xD8\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x77"],

        ["\x51\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA0"],
        ["\xD8\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x78"],

        ["\x51\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAB"],
        ["\xD8\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x79"],

        ["\x51\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB0"],
        ["\xD8\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x7A"],

        ["\x51\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC0"],
        ["\xD8\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x7B"],

        ["\x51\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x6A"],
        ["\xD8\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x7C"],

        ["\x51\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD0"],
        ["\xD8\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x7D"],

        ["\x51\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA1"],
        ["\xD8\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x51\x7E"],

        ["\x52\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x4F"],
        ["\xD9\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x21"],

        ["\x52\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x7F"],
        ["\xD9\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x22"],

        ["\x52\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x7B"],
        ["\xD9\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x23"],

        ["\x52\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE0"],
        ["\xD9\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x24"],

        ["\x52\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x6C"],
        ["\xD9\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x25"],

        ["\x52\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x50"],
        ["\xD9\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x26"],

        ["\x52\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x7D"],
        ["\xD9\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x27"],

        ["\x52\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x4D"],
        ["\xD9\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x28"],

        ["\x52\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5D"],
        ["\xD9\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x29"],

        ["\x52\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5C"],
        ["\xD9\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x2A"],

        ["\x52\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x4E"],
        ["\xD9\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x2B"],

        ["\x52\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x6B"],
        ["\xD9\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x2C"],

        ["\x52\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x60"],
        ["\xD9\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x2D"],

        ["\x52\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x4B"],
        ["\xD9\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x2E"],

        ["\x52\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x61"],
        ["\xD9\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x2F"],

        ["\x52\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF0"],
        ["\xD9\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x30"],

        ["\x52\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF1"],
        ["\xD9\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x31"],

        ["\x52\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF2"],
        ["\xD9\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x32"],

        ["\x52\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF3"],
        ["\xD9\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x33"],

        ["\x52\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF4"],
        ["\xD9\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x34"],

        ["\x52\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF5"],
        ["\xD9\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x35"],

        ["\x52\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF6"],
        ["\xD9\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x36"],

        ["\x52\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF7"],
        ["\xD9\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x37"],

        ["\x52\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF8"],
        ["\xD9\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x38"],

        ["\x52\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF9"],
        ["\xD9\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x39"],

        ["\x52\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x7A"],
        ["\xD9\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x3A"],

        ["\x52\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5E"],
        ["\xD9\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x3B"],

        ["\x52\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x4C"],
        ["\xD9\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x3C"],

        ["\x52\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x7E"],
        ["\xD9\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x3D"],

        ["\x52\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x6E"],
        ["\xD9\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x3E"],

        ["\x52\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x6F"],
        ["\xD9\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x3F"],

        ["\x52\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x7C"],
        ["\xD9\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x40"],

        ["\x52\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC1"],
        ["\xD9\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x41"],

        ["\x52\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC2"],
        ["\xD9\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x42"],

        ["\x52\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC3"],
        ["\xD9\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x43"],

        ["\x52\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC4"],
        ["\xD9\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x44"],

        ["\x52\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC5"],
        ["\xD9\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x45"],

        ["\x52\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC6"],
        ["\xD9\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x46"],

        ["\x52\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC7"],
        ["\xD9\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x47"],

        ["\x52\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC8"],
        ["\xD9\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x48"],

        ["\x52\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC9"],
        ["\xD9\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x49"],

        ["\x52\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD1"],
        ["\xD9\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x4A"],

        ["\x52\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD2"],
        ["\xD9\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x4B"],

        ["\x52\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD3"],
        ["\xD9\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x4C"],

        ["\x52\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD4"],
        ["\xD9\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x4D"],

        ["\x52\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD5"],
        ["\xD9\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x4E"],

        ["\x52\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD6"],
        ["\xD9\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x4F"],

        ["\x52\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD7"],
        ["\xD9\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x50"],

        ["\x52\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD8"],
        ["\xD9\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x51"],

        ["\x52\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD9"],
        ["\xD9\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x52"],

        ["\x52\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE2"],
        ["\xD9\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x53"],

        ["\x52\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE3"],
        ["\xD9\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x54"],

        ["\x52\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE4"],
        ["\xD9\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x55"],

        ["\x52\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE5"],
        ["\xD9\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x56"],

        ["\x52\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE6"],
        ["\xD9\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x57"],

        ["\x52\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE7"],
        ["\xD9\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x58"],

        ["\x52\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE8"],
        ["\xD9\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x59"],

        ["\x52\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE9"],
        ["\xD9\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x5A"],

        ["\x52\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x4A"],
        ["\xD9\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x5B"],

        ["\x52\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5B"],
        ["\xD9\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x5C"],

        ["\x52\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5A"],
        ["\xD9\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x5D"],

        ["\x52\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5F"],
        ["\xD9\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x5E"],

        ["\x52\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x6D"],
        ["\xD9\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x5F"],

        ["\x52\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x79"],
        ["\xD9\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x60"],

        ["\x52\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x57"],
        ["\xD9\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x61"],

        ["\x52\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x59"],
        ["\xD9\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x62"],

        ["\x52\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x62"],
        ["\xD9\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x63"],

        ["\x52\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x63"],
        ["\xD9\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x64"],

        ["\x52\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x64"],
        ["\xD9\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x65"],

        ["\x52\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x65"],
        ["\xD9\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x66"],

        ["\x52\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x66"],
        ["\xD9\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x67"],

        ["\x52\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x67"],
        ["\xD9\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x68"],

        ["\x52\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x68"],
        ["\xD9\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x69"],

        ["\x52\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x69"],
        ["\xD9\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x6A"],

        ["\x52\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x70"],
        ["\xD9\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x6B"],

        ["\x52\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x71"],
        ["\xD9\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x6C"],

        ["\x52\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x72"],
        ["\xD9\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x6D"],

        ["\x52\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x73"],
        ["\xD9\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x6E"],

        ["\x52\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x74"],
        ["\xD9\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x6F"],

        ["\x52\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x75"],
        ["\xD9\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x70"],

        ["\x52\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x76"],
        ["\xD9\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x71"],

        ["\x52\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x77"],
        ["\xD9\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x72"],

        ["\x52\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x78"],
        ["\xD9\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x73"],

        ["\x52\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x80"],
        ["\xD9\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x74"],

        ["\x52\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x8B"],
        ["\xD9\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x75"],

        ["\x52\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x9B"],
        ["\xD9\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x76"],

        ["\x52\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x9C"],
        ["\xD9\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x77"],

        ["\x52\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA0"],
        ["\xD9\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x78"],

        ["\x52\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAB"],
        ["\xD9\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x79"],

        ["\x52\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB0"],
        ["\xD9\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x7A"],

        ["\x52\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC0"],
        ["\xD9\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x7B"],

        ["\x52\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x6A"],
        ["\xD9\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x7C"],

        ["\x52\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD0"],
        ["\xD9\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x7D"],

        ["\x52\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA1"],
        ["\xD9\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x52\x7E"],

        ["\x53\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x4F"],
        ["\xE2\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x21"],

        ["\x53\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x7F"],
        ["\xE2\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x22"],

        ["\x53\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x7B"],
        ["\xE2\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x23"],

        ["\x53\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],
        ["\xE2\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x24"],

        ["\x53\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x6C"],
        ["\xE2\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x25"],

        ["\x53\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x50"],
        ["\xE2\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x26"],

        ["\x53\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x7D"],
        ["\xE2\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x27"],

        ["\x53\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x4D"],
        ["\xE2\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x28"],

        ["\x53\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x5D"],
        ["\xE2\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x29"],

        ["\x53\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x5C"],
        ["\xE2\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x2A"],

        ["\x53\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x4E"],
        ["\xE2\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x2B"],

        ["\x53\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x6B"],
        ["\xE2\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x2C"],

        ["\x53\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x60"],
        ["\xE2\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x2D"],

        ["\x53\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x4B"],
        ["\xE2\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x2E"],

        ["\x53\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x61"],
        ["\xE2\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x2F"],

        ["\x53\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],
        ["\xE2\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x30"],

        ["\x53\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],
        ["\xE2\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x31"],

        ["\x53\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],
        ["\xE2\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x32"],

        ["\x53\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],
        ["\xE2\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x33"],

        ["\x53\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],
        ["\xE2\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x34"],

        ["\x53\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],
        ["\xE2\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x35"],

        ["\x53\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],
        ["\xE2\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x36"],

        ["\x53\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],
        ["\xE2\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x37"],

        ["\x53\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],
        ["\xE2\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x38"],

        ["\x53\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],
        ["\xE2\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x39"],

        ["\x53\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x7A"],
        ["\xE2\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x3A"],

        ["\x53\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x5E"],
        ["\xE2\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x3B"],

        ["\x53\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x4C"],
        ["\xE2\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x3C"],

        ["\x53\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x7E"],
        ["\xE2\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x3D"],

        ["\x53\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x6E"],
        ["\xE2\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x3E"],

        ["\x53\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x6F"],
        ["\xE2\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x3F"],

        ["\x53\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x7C"],
        ["\xE2\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x40"],

        ["\x53\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],
        ["\xE2\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x41"],

        ["\x53\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],
        ["\xE2\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x42"],

        ["\x53\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],
        ["\xE2\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x43"],

        ["\x53\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],
        ["\xE2\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x44"],

        ["\x53\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],
        ["\xE2\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x45"],

        ["\x53\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],
        ["\xE2\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x46"],

        ["\x53\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],
        ["\xE2\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x47"],

        ["\x53\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],
        ["\xE2\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x48"],

        ["\x53\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],
        ["\xE2\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x49"],

        ["\x53\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],
        ["\xE2\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x4A"],

        ["\x53\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],
        ["\xE2\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x4B"],

        ["\x53\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],
        ["\xE2\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x4C"],

        ["\x53\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],
        ["\xE2\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x4D"],

        ["\x53\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],
        ["\xE2\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x4E"],

        ["\x53\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],
        ["\xE2\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x4F"],

        ["\x53\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],
        ["\xE2\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x50"],

        ["\x53\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],
        ["\xE2\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x51"],

        ["\x53\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],
        ["\xE2\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x52"],

        ["\x53\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],
        ["\xE2\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x53"],

        ["\x53\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],
        ["\xE2\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x54"],

        ["\x53\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],
        ["\xE2\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x55"],

        ["\x53\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],
        ["\xE2\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x56"],

        ["\x53\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],
        ["\xE2\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x57"],

        ["\x53\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],
        ["\xE2\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x58"],

        ["\x53\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],
        ["\xE2\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x59"],

        ["\x53\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],
        ["\xE2\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x5A"],

        ["\x53\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x4A"],
        ["\xE2\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x5B"],

        ["\x53\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x5B"],
        ["\xE2\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x5C"],

        ["\x53\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x5A"],
        ["\xE2\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x5D"],

        ["\x53\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x5F"],
        ["\xE2\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x5E"],

        ["\x53\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x6D"],
        ["\xE2\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x5F"],

        ["\x53\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x79"],
        ["\xE2\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x60"],

        ["\x53\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x57"],
        ["\xE2\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x61"],

        ["\x53\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x59"],
        ["\xE2\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x62"],

        ["\x53\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x62"],
        ["\xE2\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x63"],

        ["\x53\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x63"],
        ["\xE2\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x64"],

        ["\x53\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x64"],
        ["\xE2\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x65"],

        ["\x53\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x65"],
        ["\xE2\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x66"],

        ["\x53\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x66"],
        ["\xE2\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x67"],

        ["\x53\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x67"],
        ["\xE2\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x68"],

        ["\x53\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x68"],
        ["\xE2\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x69"],

        ["\x53\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x69"],
        ["\xE2\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x6A"],

        ["\x53\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x70"],
        ["\xE2\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x6B"],

        ["\x53\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x71"],
        ["\xE2\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x6C"],

        ["\x53\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x72"],
        ["\xE2\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x6D"],

        ["\x53\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x73"],
        ["\xE2\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x6E"],

        ["\x53\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x74"],
        ["\xE2\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x6F"],

        ["\x53\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x75"],
        ["\xE2\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x70"],

        ["\x53\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x76"],
        ["\xE2\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x71"],

        ["\x53\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x77"],
        ["\xE2\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x72"],

        ["\x53\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x78"],
        ["\xE2\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x73"],

        ["\x53\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80"],
        ["\xE2\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x74"],

        ["\x53\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8B"],
        ["\xE2\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x75"],

        ["\x53\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9B"],
        ["\xE2\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x76"],

        ["\x53\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9C"],
        ["\xE2\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x77"],

        ["\x53\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA0"],
        ["\xE2\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x78"],

        ["\x53\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],
        ["\xE2\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x79"],

        ["\x53\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],
        ["\xE2\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x7A"],

        ["\x53\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],
        ["\xE2\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x7B"],

        ["\x53\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x6A"],
        ["\xE2\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x7C"],

        ["\x53\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],
        ["\xE2\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x7D"],

        ["\x53\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],
        ["\xE2\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x53\x7E"],

        ["\x54\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x4F"],
        ["\xE3\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x21"],

        ["\x54\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x7F"],
        ["\xE3\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x22"],

        ["\x54\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x7B"],
        ["\xE3\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x23"],

        ["\x54\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],
        ["\xE3\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x24"],

        ["\x54\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x6C"],
        ["\xE3\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x25"],

        ["\x54\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x50"],
        ["\xE3\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x26"],

        ["\x54\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x7D"],
        ["\xE3\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x27"],

        ["\x54\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x4D"],
        ["\xE3\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x28"],

        ["\x54\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x5D"],
        ["\xE3\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x29"],

        ["\x54\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x5C"],
        ["\xE3\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x2A"],

        ["\x54\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x4E"],
        ["\xE3\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x2B"],

        ["\x54\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x6B"],
        ["\xE3\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x2C"],

        ["\x54\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x60"],
        ["\xE3\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x2D"],

        ["\x54\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x4B"],
        ["\xE3\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x2E"],

        ["\x54\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x61"],
        ["\xE3\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x2F"],

        ["\x54\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],
        ["\xE3\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x30"],

        ["\x54\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],
        ["\xE3\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x31"],

        ["\x54\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],
        ["\xE3\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x32"],

        ["\x54\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],
        ["\xE3\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x33"],

        ["\x54\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],
        ["\xE3\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x34"],

        ["\x54\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],
        ["\xE3\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x35"],

        ["\x54\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],
        ["\xE3\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x36"],

        ["\x54\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],
        ["\xE3\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x37"],

        ["\x54\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],
        ["\xE3\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x38"],

        ["\x54\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],
        ["\xE3\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x39"],

        ["\x54\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x7A"],
        ["\xE3\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x3A"],

        ["\x54\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x5E"],
        ["\xE3\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x3B"],

        ["\x54\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x4C"],
        ["\xE3\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x3C"],

        ["\x54\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x7E"],
        ["\xE3\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x3D"],

        ["\x54\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x6E"],
        ["\xE3\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x3E"],

        ["\x54\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x6F"],
        ["\xE3\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x3F"],

        ["\x54\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x7C"],
        ["\xE3\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x40"],

        ["\x54\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],
        ["\xE3\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x41"],

        ["\x54\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],
        ["\xE3\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x42"],

        ["\x54\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],
        ["\xE3\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x43"],

        ["\x54\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],
        ["\xE3\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x44"],

        ["\x54\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],
        ["\xE3\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x45"],

        ["\x54\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],
        ["\xE3\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x46"],

        ["\x54\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],
        ["\xE3\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x47"],

        ["\x54\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],
        ["\xE3\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x48"],

        ["\x54\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],
        ["\xE3\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x49"],

        ["\x54\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],
        ["\xE3\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x4A"],

        ["\x54\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],
        ["\xE3\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x4B"],

        ["\x54\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],
        ["\xE3\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x4C"],

        ["\x54\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],
        ["\xE3\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x4D"],

        ["\x54\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],
        ["\xE3\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x4E"],

        ["\x54\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],
        ["\xE3\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x4F"],

        ["\x54\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],
        ["\xE3\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x50"],

        ["\x54\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],
        ["\xE3\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x51"],

        ["\x54\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],
        ["\xE3\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x52"],

        ["\x54\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],
        ["\xE3\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x53"],

        ["\x54\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],
        ["\xE3\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x54"],

        ["\x54\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],
        ["\xE3\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x55"],

        ["\x54\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],
        ["\xE3\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x56"],

        ["\x54\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],
        ["\xE3\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x57"],

        ["\x54\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],
        ["\xE3\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x58"],

        ["\x54\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],
        ["\xE3\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x59"],

        ["\x54\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],
        ["\xE3\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x5A"],

        ["\x54\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x4A"],
        ["\xE3\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x5B"],

        ["\x54\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x5B"],
        ["\xE3\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x5C"],

        ["\x54\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x5A"],
        ["\xE3\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x5D"],

        ["\x54\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x5F"],
        ["\xE3\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x5E"],

        ["\x54\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x6D"],
        ["\xE3\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x5F"],

        ["\x54\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x79"],
        ["\xE3\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x60"],

        ["\x54\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x57"],
        ["\xE3\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x61"],

        ["\x54\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x59"],
        ["\xE3\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x62"],

        ["\x54\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x62"],
        ["\xE3\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x63"],

        ["\x44\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x4A"],
        ["\xC4\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x5B"],

        ["\x54\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x64"],
        ["\xE3\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x65"],

        ["\x54\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x65"],
        ["\xE3\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x66"],

        ["\x54\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x66"],
        ["\xE3\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x67"],

        ["\x54\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x67"],
        ["\xE3\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x68"],

        ["\x54\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x68"],
        ["\xE3\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x69"],

        ["\x54\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x69"],
        ["\xE3\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x6A"],

        ["\x54\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x70"],
        ["\xE3\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x6B"],

        ["\x54\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x71"],
        ["\xE3\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x6C"],

        ["\x54\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x72"],
        ["\xE3\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x6D"],

        ["\x54\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x73"],
        ["\xE3\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x6E"],

        ["\x54\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x74"],
        ["\xE3\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x6F"],

        ["\x54\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x75"],
        ["\xE3\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x70"],

        ["\x54\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x76"],
        ["\xE3\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x71"],

        ["\x54\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x77"],
        ["\xE3\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x72"],

        ["\x54\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x78"],
        ["\xE3\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x73"],

        ["\x54\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80"],
        ["\xE3\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x74"],

        ["\x54\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B"],
        ["\xE3\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x75"],

        ["\x54\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9B"],
        ["\xE3\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x76"],

        ["\x54\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9C"],
        ["\xE3\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x77"],

        ["\x54\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0"],
        ["\xE3\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x78"],

        ["\x54\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],
        ["\xE3\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x79"],

        ["\x54\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],
        ["\xE3\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x7A"],

        ["\x54\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],
        ["\xE3\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x7B"],

        ["\x54\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x6A"],
        ["\xE3\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x7C"],

        ["\x54\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],
        ["\xE3\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x7D"],

        ["\x54\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],
        ["\xE3\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x54\x7E"],

        ["\x55\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x4F"],
        ["\xE4\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x21"],

        ["\x55\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x7F"],
        ["\xE4\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x22"],

        ["\x55\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x7B"],
        ["\xE4\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x23"],

        ["\x55\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],
        ["\xE4\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x24"],

        ["\x55\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x6C"],
        ["\xE4\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x25"],

        ["\x55\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x50"],
        ["\xE4\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x26"],

        ["\x55\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x7D"],
        ["\xE4\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x27"],

        ["\x55\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x4D"],
        ["\xE4\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x28"],

        ["\x55\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5D"],
        ["\xE4\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x29"],

        ["\x55\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5C"],
        ["\xE4\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x2A"],

        ["\x55\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x4E"],
        ["\xE4\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x2B"],

        ["\x55\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x6B"],
        ["\xE4\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x2C"],

        ["\x55\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x60"],
        ["\xE4\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x2D"],

        ["\x55\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x4B"],
        ["\xE4\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x2E"],

        ["\x55\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x61"],
        ["\xE4\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x2F"],

        ["\x55\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],
        ["\xE4\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x30"],

        ["\x55\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],
        ["\xE4\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x31"],

        ["\x55\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],
        ["\xE4\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x32"],

        ["\x55\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],
        ["\xE4\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x33"],

        ["\x55\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],
        ["\xE4\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x34"],

        ["\x55\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],
        ["\xE4\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x35"],

        ["\x55\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],
        ["\xE4\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x36"],

        ["\x55\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],
        ["\xE4\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x37"],

        ["\x55\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],
        ["\xE4\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x38"],

        ["\x55\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],
        ["\xE4\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x39"],

        ["\x55\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x7A"],
        ["\xE4\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x3A"],

        ["\x55\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5E"],
        ["\xE4\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x3B"],

        ["\x55\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x4C"],
        ["\xE4\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x3C"],

        ["\x55\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x7E"],
        ["\xE4\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x3D"],

        ["\x55\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x6E"],
        ["\xE4\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x3E"],

        ["\x55\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x6F"],
        ["\xE4\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x3F"],

        ["\x55\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x7C"],
        ["\xE4\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x40"],

        ["\x55\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],
        ["\xE4\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x41"],

        ["\x55\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],
        ["\xE4\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x42"],

        ["\x55\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],
        ["\xE4\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x43"],

        ["\x55\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],
        ["\xE4\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x44"],

        ["\x55\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],
        ["\xE4\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x45"],

        ["\x55\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],
        ["\xE4\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x46"],

        ["\x55\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],
        ["\xE4\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x47"],

        ["\x55\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],
        ["\xE4\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x48"],

        ["\x55\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],
        ["\xE4\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x49"],

        ["\x55\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],
        ["\xE4\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x4A"],

        ["\x55\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],
        ["\xE4\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x4B"],

        ["\x55\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],
        ["\xE4\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x4C"],

        ["\x55\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],
        ["\xE4\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x4D"],

        ["\x55\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],
        ["\xE4\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x4E"],

        ["\x55\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],
        ["\xE4\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x4F"],

        ["\x55\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],
        ["\xE4\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x50"],

        ["\x55\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],
        ["\xE4\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x51"],

        ["\x55\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],
        ["\xE4\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x52"],

        ["\x55\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],
        ["\xE4\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x53"],

        ["\x55\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],
        ["\xE4\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x54"],

        ["\x55\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],
        ["\xE4\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x55"],

        ["\x55\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],
        ["\xE4\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x56"],

        ["\x55\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],
        ["\xE4\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x57"],

        ["\x55\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],
        ["\xE4\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x58"],

        ["\x55\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],
        ["\xE4\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x59"],

        ["\x55\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],
        ["\xE4\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x5A"],

        ["\x55\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x4A"],
        ["\xE4\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x5B"],

        ["\x55\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5B"],
        ["\xE4\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x5C"],

        ["\x55\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5A"],
        ["\xE4\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x5D"],

        ["\x55\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5F"],
        ["\xE4\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x5E"],

        ["\x55\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x6D"],
        ["\xE4\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x5F"],

        ["\x55\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x79"],
        ["\xE4\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x60"],

        ["\x55\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x57"],
        ["\xE4\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x61"],

        ["\x55\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x59"],
        ["\xE4\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x62"],

        ["\x55\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x62"],
        ["\xE4\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x63"],

        ["\x55\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x63"],
        ["\xE4\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x64"],

        ["\x55\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x64"],
        ["\xE4\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x65"],

        ["\x55\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x65"],
        ["\xE4\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x66"],

        ["\x55\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x66"],
        ["\xE4\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x67"],

        ["\x55\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x67"],
        ["\xE4\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x68"],

        ["\x55\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x68"],
        ["\xE4\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x69"],

        ["\x55\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x69"],
        ["\xE4\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x6A"],

        ["\x55\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x70"],
        ["\xE4\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x6B"],

        ["\x55\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x71"],
        ["\xE4\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x6C"],

        ["\x55\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x72"],
        ["\xE4\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x6D"],

        ["\x55\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x73"],
        ["\xE4\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x6E"],

        ["\x55\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x74"],
        ["\xE4\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x6F"],

        ["\x55\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x75"],
        ["\xE4\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x70"],

        ["\x55\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x76"],
        ["\xE4\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x71"],

        ["\x55\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x77"],
        ["\xE4\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x72"],

        ["\x55\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x78"],
        ["\xE4\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x73"],

        ["\x55\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x80"],
        ["\xE4\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x74"],

        ["\x55\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B"],
        ["\xE4\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x75"],

        ["\x55\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x9B"],
        ["\xE4\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x76"],

        ["\x55\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x9C"],
        ["\xE4\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x77"],

        ["\x55\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA0"],
        ["\xE4\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x78"],

        ["\x55\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],
        ["\xE4\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x79"],

        ["\x55\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],
        ["\xE4\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x7A"],

        ["\x55\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],
        ["\xE4\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x7B"],

        ["\x55\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x6A"],
        ["\xE4\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x7C"],

        ["\x55\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],
        ["\xE4\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x7D"],

        ["\x55\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],
        ["\xE4\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x55\x7E"],

        ["\x56\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x4F"],
        ["\xE5\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x21"],

        ["\x56\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x7F"],
        ["\xE5\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x22"],

        ["\x56\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x7B"],
        ["\xE5\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x23"],

        ["\x56\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],
        ["\xE5\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x24"],

        ["\x56\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x6C"],
        ["\xE5\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x25"],

        ["\x56\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x50"],
        ["\xE5\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x26"],

        ["\x56\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x7D"],
        ["\xE5\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x27"],

        ["\x56\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x4D"],
        ["\xE5\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x28"],

        ["\x56\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x5D"],
        ["\xE5\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x29"],

        ["\x56\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x5C"],
        ["\xE5\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x2A"],

        ["\x56\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x4E"],
        ["\xE5\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x2B"],

        ["\x56\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x6B"],
        ["\xE5\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x2C"],

        ["\x56\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x60"],
        ["\xE5\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x2D"],

        ["\x56\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x4B"],
        ["\xE5\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x2E"],

        ["\x56\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x61"],
        ["\xE5\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x2F"],

        ["\x56\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],
        ["\xE5\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x30"],

        ["\x56\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],
        ["\xE5\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x31"],

        ["\x56\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],
        ["\xE5\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x32"],

        ["\x56\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],
        ["\xE5\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x33"],

        ["\x56\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],
        ["\xE5\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x34"],

        ["\x56\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],
        ["\xE5\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x35"],

        ["\x56\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],
        ["\xE5\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x36"],

        ["\x56\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],
        ["\xE5\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x37"],

        ["\x56\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],
        ["\xE5\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x38"],

        ["\x56\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],
        ["\xE5\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x39"],

        ["\x56\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x7A"],
        ["\xE5\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x3A"],

        ["\x56\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x5E"],
        ["\xE5\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x3B"],

        ["\x56\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x4C"],
        ["\xE5\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x3C"],

        ["\x56\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x7E"],
        ["\xE5\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x3D"],

        ["\x56\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x6E"],
        ["\xE5\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x3E"],

        ["\x56\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x6F"],
        ["\xE5\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x3F"],

        ["\x56\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x7C"],
        ["\xE5\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x40"],

        ["\x56\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],
        ["\xE5\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x41"],

        ["\x56\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],
        ["\xE5\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x42"],

        ["\x56\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],
        ["\xE5\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x43"],

        ["\x56\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],
        ["\xE5\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x44"],

        ["\x56\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],
        ["\xE5\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x45"],

        ["\x56\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],
        ["\xE5\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x46"],

        ["\x56\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],
        ["\xE5\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x47"],

        ["\x56\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],
        ["\xE5\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x48"],

        ["\x56\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],
        ["\xE5\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x49"],

        ["\x56\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],
        ["\xE5\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x4A"],

        ["\x56\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],
        ["\xE5\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x4B"],

        ["\x56\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],
        ["\xE5\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x4C"],

        ["\x56\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],
        ["\xE5\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x4D"],

        ["\x56\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],
        ["\xE5\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x4E"],

        ["\x56\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],
        ["\xE5\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x4F"],

        ["\x56\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],
        ["\xE5\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x50"],

        ["\x56\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],
        ["\xE5\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x51"],

        ["\x56\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],
        ["\xE5\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x52"],

        ["\x56\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],
        ["\xE5\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x53"],

        ["\x56\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],
        ["\xE5\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x54"],

        ["\x56\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],
        ["\xE5\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x55"],

        ["\x56\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],
        ["\xE5\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x56"],

        ["\x56\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],
        ["\xE5\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x57"],

        ["\x56\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],
        ["\xE5\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x58"],

        ["\x56\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],
        ["\xE5\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x59"],

        ["\x56\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],
        ["\xE5\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x5A"],

        ["\x56\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x4A"],
        ["\xE5\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x5B"],

        ["\x56\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x5B"],
        ["\xE5\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x5C"],

        ["\x56\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x5A"],
        ["\xE5\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x5D"],

        ["\x56\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x5F"],
        ["\xE5\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x5E"],

        ["\x56\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x6D"],
        ["\xE5\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x5F"],

        ["\x56\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x79"],
        ["\xE5\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x60"],

        ["\x56\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x57"],
        ["\xE5\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x61"],

        ["\x56\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x59"],
        ["\xE5\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x62"],

        ["\x56\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x62"],
        ["\xE5\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x63"],

        ["\x56\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x63"],
        ["\xE5\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x64"],

        ["\x56\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x64"],
        ["\xE5\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x65"],

        ["\x56\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x65"],
        ["\xE5\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x66"],

        ["\x56\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x66"],
        ["\xE5\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x67"],

        ["\x56\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x67"],
        ["\xE5\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x68"],

        ["\x56\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x68"],
        ["\xE5\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x69"],

        ["\x56\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x69"],
        ["\xE5\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x6A"],

        ["\x56\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x70"],
        ["\xE5\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x6B"],

        ["\x56\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x71"],
        ["\xE5\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x6C"],

        ["\x56\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x72"],
        ["\xE5\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x6D"],

        ["\x56\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x73"],
        ["\xE5\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x6E"],

        ["\x56\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x74"],
        ["\xE5\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x6F"],

        ["\x56\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x75"],
        ["\xE5\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x70"],

        ["\x56\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x76"],
        ["\xE5\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x71"],

        ["\x56\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x77"],
        ["\xE5\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x72"],

        ["\x56\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x78"],
        ["\xE5\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x73"],

        ["\x56\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80"],
        ["\xE5\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x74"],

        ["\x56\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B"],
        ["\xE5\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x75"],

        ["\x56\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B"],
        ["\xE5\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x76"],

        ["\x56\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C"],
        ["\xE5\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x77"],

        ["\x56\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0"],
        ["\xE5\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x78"],

        ["\x56\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],
        ["\xE5\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x79"],

        ["\x56\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],
        ["\xE5\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x7A"],

        ["\x56\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],
        ["\xE5\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x7B"],

        ["\x56\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x6A"],
        ["\xE5\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x7C"],

        ["\x56\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],
        ["\xE5\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x7D"],

        ["\x56\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],
        ["\xE5\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x56\x7E"],

        ["\x57\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x4F"],
        ["\xE6\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x21"],

        ["\x57\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x7F"],
        ["\xE6\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x22"],

        ["\x57\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x7B"],
        ["\xE6\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x23"],

        ["\x57\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],
        ["\xE6\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x24"],

        ["\x57\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x6C"],
        ["\xE6\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x25"],

        ["\x57\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x50"],
        ["\xE6\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x26"],

        ["\x57\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x7D"],
        ["\xE6\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x27"],

        ["\x57\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x4D"],
        ["\xE6\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x28"],

        ["\x57\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x5D"],
        ["\xE6\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x29"],

        ["\x57\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x5C"],
        ["\xE6\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x2A"],

        ["\x57\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x4E"],
        ["\xE6\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x2B"],

        ["\x57\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x6B"],
        ["\xE6\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x2C"],

        ["\x57\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x60"],
        ["\xE6\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x2D"],

        ["\x57\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x4B"],
        ["\xE6\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x2E"],

        ["\x57\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x61"],
        ["\xE6\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x2F"],

        ["\x57\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],
        ["\xE6\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x30"],

        ["\x57\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],
        ["\xE6\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x31"],

        ["\x57\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],
        ["\xE6\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x32"],

        ["\x57\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],
        ["\xE6\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x33"],

        ["\x57\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],
        ["\xE6\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x34"],

        ["\x57\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],
        ["\xE6\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x35"],

        ["\x57\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],
        ["\xE6\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x36"],

        ["\x57\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],
        ["\xE6\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x37"],

        ["\x57\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],
        ["\xE6\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x38"],

        ["\x57\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],
        ["\xE6\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x39"],

        ["\x57\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x7A"],
        ["\xE6\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x3A"],

        ["\x57\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x4C"],
        ["\xE6\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x3C"],

        ["\x57\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x7E"],
        ["\xE6\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x3D"],

        ["\x57\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x6E"],
        ["\xE6\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x3E"],

        ["\x57\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x6F"],
        ["\xE6\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x3F"],

        ["\x57\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x7C"],
        ["\xE6\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x40"],

        ["\x57\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],
        ["\xE6\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x41"],

        ["\x57\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],
        ["\xE6\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x42"],

        ["\x57\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],
        ["\xE6\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x43"],

        ["\x57\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],
        ["\xE6\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x44"],

        ["\x57\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],
        ["\xE6\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x45"],

        ["\x57\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],
        ["\xE6\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x46"],

        ["\x57\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],
        ["\xE6\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x47"],

        ["\x57\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],
        ["\xE6\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x48"],

        ["\x57\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],
        ["\xE6\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x49"],

        ["\x57\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],
        ["\xE6\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x4A"],

        ["\x57\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],
        ["\xE6\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x4B"],

        ["\x57\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],
        ["\xE6\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x4C"],

        ["\x57\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],
        ["\xE6\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x4D"],

        ["\x57\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],
        ["\xE6\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x4E"],

        ["\x57\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],
        ["\xE6\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x4F"],

        ["\x57\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],
        ["\xE6\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x50"],

        ["\x57\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],
        ["\xE6\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x51"],

        ["\x57\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],
        ["\xE6\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x52"],

        ["\x57\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],
        ["\xE6\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x53"],

        ["\x57\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],
        ["\xE6\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x54"],

        ["\x57\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],
        ["\xE6\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x55"],

        ["\x57\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],
        ["\xE6\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x56"],

        ["\x57\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],
        ["\xE6\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x57"],

        ["\x57\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],
        ["\xE6\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x58"],

        ["\x57\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],
        ["\xE6\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x59"],

        ["\x57\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],
        ["\xE6\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x5A"],

        ["\x57\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x4A"],
        ["\xE6\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x5B"],

        ["\x57\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x5B"],
        ["\xE6\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x5C"],

        ["\x57\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x5A"],
        ["\xE6\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x5D"],

        ["\x57\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x5F"],
        ["\xE6\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x5E"],

        ["\x57\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x6D"],
        ["\xE6\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x5F"],

        ["\x57\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x79"],
        ["\xE6\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x60"],

        ["\x57\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x57"],
        ["\xE6\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x61"],

        ["\x57\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x59"],
        ["\xE6\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x62"],

        ["\x57\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x62"],
        ["\xE6\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x63"],

        ["\x57\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x63"],
        ["\xE6\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x64"],

        ["\x57\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x64"],
        ["\xE6\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x65"],

        ["\x57\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x65"],
        ["\xE6\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x66"],

        ["\x57\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x66"],
        ["\xE6\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x67"],

        ["\x57\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x67"],
        ["\xE6\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x68"],

        ["\x57\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x68"],
        ["\xE6\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x69"],

        ["\x57\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x69"],
        ["\xE6\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x6A"],

        ["\x57\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x70"],
        ["\xE6\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x6B"],

        ["\x57\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x71"],
        ["\xE6\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x6C"],

        ["\x57\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x72"],
        ["\xE6\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x6D"],

        ["\x57\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x73"],
        ["\xE6\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x6E"],

        ["\x57\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x74"],
        ["\xE6\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x6F"],

        ["\x57\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x75"],
        ["\xE6\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x70"],

        ["\x57\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x76"],
        ["\xE6\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x71"],

        ["\x57\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x77"],
        ["\xE6\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x72"],

        ["\x57\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x78"],
        ["\xE6\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x73"],

        ["\x57\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80"],
        ["\xE6\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x74"],

        ["\x57\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B"],
        ["\xE6\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x75"],

        ["\x57\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B"],
        ["\xE6\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x76"],

        ["\x57\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C"],
        ["\xE6\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x77"],

        ["\x57\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0"],
        ["\xE6\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x78"],

        ["\x57\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],
        ["\xE6\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x79"],

        ["\x57\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],
        ["\xE6\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x7A"],

        ["\x57\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],
        ["\xE6\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x7B"],

        ["\x57\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x6A"],
        ["\xE6\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x7C"],

        ["\x57\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],
        ["\xE6\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x7D"],

        ["\x57\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],
        ["\xE6\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x7E"],

        ["\x58\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x4F"],
        ["\xE7\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x21"],

        ["\x58\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x7F"],
        ["\xE7\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x22"],

        ["\x58\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x7B"],
        ["\xE7\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x23"],

        ["\x58\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],
        ["\xE7\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x24"],

        ["\x58\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x6C"],
        ["\xE7\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x25"],

        ["\x58\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x50"],
        ["\xE7\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x26"],

        ["\x58\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x7D"],
        ["\xE7\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x27"],

        ["\x58\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x4D"],
        ["\xE7\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x28"],

        ["\x58\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x5D"],
        ["\xE7\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x29"],

        ["\x58\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x5C"],
        ["\xE7\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x2A"],

        ["\x58\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x4E"],
        ["\xE7\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x2B"],

        ["\x58\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x6B"],
        ["\xE7\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x2C"],

        ["\x58\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x60"],
        ["\xE7\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x2D"],

        ["\x58\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x4B"],
        ["\xE7\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x2E"],

        ["\x58\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x61"],
        ["\xE7\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x2F"],

        ["\x58\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],
        ["\xE7\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x30"],

        ["\x58\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],
        ["\xE7\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x31"],

        ["\x58\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],
        ["\xE7\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x32"],

        ["\x58\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],
        ["\xE7\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x33"],

        ["\x58\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],
        ["\xE7\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x34"],

        ["\x58\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],
        ["\xE7\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x35"],

        ["\x58\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],
        ["\xE7\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x36"],

        ["\x58\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],
        ["\xE7\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x37"],

        ["\x58\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],
        ["\xE7\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x38"],

        ["\x58\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],
        ["\xE7\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x39"],

        ["\x58\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x7A"],
        ["\xE7\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x3A"],

        ["\x58\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x5E"],
        ["\xE7\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x3B"],

        ["\x58\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x4C"],
        ["\xE7\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x3C"],

        ["\x58\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x7E"],
        ["\xE7\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x3D"],

        ["\x58\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x6E"],
        ["\xE7\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x3E"],

        ["\x58\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x6F"],
        ["\xE7\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x3F"],

        ["\x58\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x7C"],
        ["\xE7\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x40"],

        ["\x58\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],
        ["\xE7\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x41"],

        ["\x58\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],
        ["\xE7\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x42"],

        ["\x58\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],
        ["\xE7\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x43"],

        ["\x58\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],
        ["\xE7\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x44"],

        ["\x58\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],
        ["\xE7\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x45"],

        ["\x58\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],
        ["\xE7\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x46"],

        ["\x58\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],
        ["\xE7\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x47"],

        ["\x58\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],
        ["\xE7\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x48"],

        ["\x58\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],
        ["\xE7\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x49"],

        ["\x58\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],
        ["\xE7\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x4A"],

        ["\x58\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],
        ["\xE7\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x4B"],

        ["\x58\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],
        ["\xE7\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x4C"],

        ["\x58\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],
        ["\xE7\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x4D"],

        ["\x58\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],
        ["\xE7\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x4E"],

        ["\x58\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],
        ["\xE7\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x4F"],

        ["\x58\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],
        ["\xE7\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x50"],

        ["\x58\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],
        ["\xE7\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x51"],

        ["\x58\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],
        ["\xE7\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x52"],

        ["\x58\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],
        ["\xE7\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x53"],

        ["\x58\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],
        ["\xE7\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x54"],

        ["\x58\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],
        ["\xE7\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x55"],

        ["\x58\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],
        ["\xE7\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x56"],

        ["\x58\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],
        ["\xE7\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x57"],

        ["\x58\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],
        ["\xE7\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x58"],

        ["\x58\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],
        ["\xE7\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x59"],

        ["\x58\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],
        ["\xE7\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x5A"],

        ["\x58\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x4A"],
        ["\xE7\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x5B"],

        ["\x58\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x5B"],
        ["\xE7\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x5C"],

        ["\x58\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x5A"],
        ["\xE7\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x5D"],

        ["\x58\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x5F"],
        ["\xE7\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x5E"],

        ["\x58\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x6D"],
        ["\xE7\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x5F"],

        ["\x58\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x79"],
        ["\xE7\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x60"],

        ["\x58\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x57"],
        ["\xE7\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x61"],

        ["\x58\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x59"],
        ["\xE7\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x62"],

        ["\x58\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x62"],
        ["\xE7\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x63"],

        ["\x58\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x63"],
        ["\xE7\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x64"],

        ["\x58\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x64"],
        ["\xE7\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x65"],

        ["\x58\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x65"],
        ["\xE7\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x66"],

        ["\x58\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x66"],
        ["\xE7\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x67"],

        ["\x58\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x67"],
        ["\xE7\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x68"],

        ["\x58\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x68"],
        ["\xE7\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x69"],

        ["\x58\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x69"],
        ["\xE7\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x6A"],

        ["\x58\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x70"],
        ["\xE7\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x6B"],

        ["\x58\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x71"],
        ["\xE7\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x6C"],

        ["\x58\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x72"],
        ["\xE7\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x6D"],

        ["\x58\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x73"],
        ["\xE7\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x6E"],

        ["\x58\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x74"],
        ["\xE7\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x6F"],

        ["\x58\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x75"],
        ["\xE7\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x70"],

        ["\x58\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x76"],
        ["\xE7\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x71"],

        ["\x58\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x77"],
        ["\xE7\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x72"],

        ["\x58\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x78"],
        ["\xE7\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x73"],

        ["\x58\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80"],
        ["\xE7\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x74"],

        ["\x58\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B"],
        ["\xE7\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x75"],

        ["\x58\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B"],
        ["\xE7\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x76"],

        ["\x58\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C"],
        ["\xE7\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x77"],

        ["\x58\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0"],
        ["\xE7\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x78"],

        ["\x58\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],
        ["\xE7\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x79"],

        ["\x58\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],
        ["\xE7\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x7A"],

        ["\x58\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],
        ["\xE7\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x7B"],

        ["\x58\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x6A"],
        ["\xE7\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x7C"],

        ["\x58\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],
        ["\xE7\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x7D"],

        ["\x58\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],
        ["\xE7\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x58\x7E"],

        ["\x59\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x4F"],
        ["\xE8\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x21"],

        ["\x59\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x7F"],
        ["\xE8\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x22"],

        ["\x59\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x7B"],
        ["\xE8\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x23"],

        ["\x59\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],
        ["\xE8\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x24"],

        ["\x59\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x6C"],
        ["\xE8\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x25"],

        ["\x59\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x50"],
        ["\xE8\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x26"],

        ["\x59\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x7D"],
        ["\xE8\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x27"],

        ["\x59\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x4D"],
        ["\xE8\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x28"],

        ["\x59\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x5D"],
        ["\xE8\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x29"],

        ["\x59\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x5C"],
        ["\xE8\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x2A"],

        ["\x59\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x4E"],
        ["\xE8\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x2B"],

        ["\x59\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x6B"],
        ["\xE8\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x2C"],

        ["\x59\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x60"],
        ["\xE8\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x2D"],

        ["\x59\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x4B"],
        ["\xE8\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x2E"],

        ["\x59\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x61"],
        ["\xE8\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x2F"],

        ["\x59\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],
        ["\xE8\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x30"],

        ["\x59\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],
        ["\xE8\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x31"],

        ["\x59\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],
        ["\xE8\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x32"],

        ["\x59\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],
        ["\xE8\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x33"],

        ["\x59\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],
        ["\xE8\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x34"],

        ["\x59\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],
        ["\xE8\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x35"],

        ["\x59\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],
        ["\xE8\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x36"],

        ["\x59\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],
        ["\xE8\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x37"],

        ["\x59\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],
        ["\xE8\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x38"],

        ["\x59\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],
        ["\xE8\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x39"],

        ["\x59\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x7A"],
        ["\xE8\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x3A"],

        ["\x59\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x5E"],
        ["\xE8\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x3B"],

        ["\x59\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x4C"],
        ["\xE8\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x3C"],

        ["\x59\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x7E"],
        ["\xE8\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x3D"],

        ["\x59\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x6E"],
        ["\xE8\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x3E"],

        ["\x59\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x6F"],
        ["\xE8\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x3F"],

        ["\x59\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x7C"],
        ["\xE8\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x40"],

        ["\x59\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],
        ["\xE8\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x41"],

        ["\x59\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],
        ["\xE8\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x42"],

        ["\x59\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],
        ["\xE8\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x43"],

        ["\x59\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],
        ["\xE8\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x44"],

        ["\x59\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],
        ["\xE8\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x45"],

        ["\x59\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],
        ["\xE8\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x46"],

        ["\x59\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],
        ["\xE8\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x47"],

        ["\x59\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],
        ["\xE8\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x48"],

        ["\x59\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],
        ["\xE8\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x49"],

        ["\x59\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],
        ["\xE8\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x4A"],

        ["\x59\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],
        ["\xE8\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x4B"],

        ["\x59\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],
        ["\xE8\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x4C"],

        ["\x59\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],
        ["\xE8\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x4D"],

        ["\x59\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],
        ["\xE8\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x4E"],

        ["\x59\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],
        ["\xE8\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x4F"],

        ["\x59\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],
        ["\xE8\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x50"],

        ["\x59\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],
        ["\xE8\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x51"],

        ["\x59\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],
        ["\xE8\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x52"],

        ["\x59\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],
        ["\xE8\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x53"],

        ["\x59\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],
        ["\xE8\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x54"],

        ["\x59\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],
        ["\xE8\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x55"],

        ["\x59\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],
        ["\xE8\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x56"],

        ["\x59\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],
        ["\xE8\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x57"],

        ["\x59\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],
        ["\xE8\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x58"],

        ["\x59\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],
        ["\xE8\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x59"],

        ["\x59\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],
        ["\xE8\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x5A"],

        ["\x59\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x4A"],
        ["\xE8\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x5B"],

        ["\x59\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x5B"],
        ["\xE8\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x5C"],

        ["\x59\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x5A"],
        ["\xE8\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x5D"],

        ["\x59\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x5F"],
        ["\xE8\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x5E"],

        ["\x59\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x6D"],
        ["\xE8\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x5F"],

        ["\x59\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x79"],
        ["\xE8\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x60"],

        ["\x59\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x57"],
        ["\xE8\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x61"],

        ["\x59\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x59"],
        ["\xE8\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x62"],

        ["\x59\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x62"],
        ["\xE8\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x63"],

        ["\x59\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x63"],
        ["\xE8\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x64"],

        ["\x59\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x64"],
        ["\xE8\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x65"],

        ["\x59\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x65"],
        ["\xE8\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x66"],

        ["\x59\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x66"],
        ["\xE8\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x67"],

        ["\x59\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x67"],
        ["\xE8\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x68"],

        ["\x59\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x68"],
        ["\xE8\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x69"],

        ["\x59\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x69"],
        ["\xE8\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x6A"],

        ["\x59\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x70"],
        ["\xE8\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x6B"],

        ["\x59\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x71"],
        ["\xE8\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x6C"],

        ["\x59\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x72"],
        ["\xE8\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x6D"],

        ["\x59\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x73"],
        ["\xE8\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x6E"],

        ["\x59\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x74"],
        ["\xE8\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x6F"],

        ["\x59\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x75"],
        ["\xE8\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x70"],

        ["\x59\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x76"],
        ["\xE8\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x71"],

        ["\x59\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x77"],
        ["\xE8\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x72"],

        ["\x59\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x78"],
        ["\xE8\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x73"],

        ["\x59\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80"],
        ["\xE8\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x74"],

        ["\x59\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B"],
        ["\xE8\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x75"],

        ["\x59\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B"],
        ["\xE8\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x76"],

        ["\x59\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C"],
        ["\xE8\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x77"],

        ["\x33\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC9"],
        ["\xF3\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x49"],

        ["\x59\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],
        ["\xE8\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x79"],

        ["\x59\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],
        ["\xE8\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x7A"],

        ["\x59\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],
        ["\xE8\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x7B"],

        ["\x59\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x6A"],
        ["\xE8\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x7C"],

        ["\x59\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],
        ["\xE8\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x7D"],

        ["\x59\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],
        ["\xE8\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x59\x7E"],

        ["\x5A\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x4F"],
        ["\xE9\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x21"],

        ["\x5A\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x7F"],
        ["\xE9\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x22"],

        ["\x5A\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x7B"],
        ["\xE9\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x23"],

        ["\x5A\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],
        ["\xE9\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x24"],

        ["\x5A\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x6C"],
        ["\xE9\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x25"],

        ["\x5A\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x50"],
        ["\xE9\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x26"],

        ["\x5A\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x7D"],
        ["\xE9\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x27"],

        ["\x5A\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x4D"],
        ["\xE9\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x28"],

        ["\x5A\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x5D"],
        ["\xE9\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x29"],

        ["\x5A\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x5C"],
        ["\xE9\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x2A"],

        ["\x5A\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x4E"],
        ["\xE9\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x2B"],

        ["\x5A\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x6B"],
        ["\xE9\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x2C"],

        ["\x5A\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x60"],
        ["\xE9\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x2D"],

        ["\x5A\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x4B"],
        ["\xE9\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x2E"],

        ["\x5A\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x61"],
        ["\xE9\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x2F"],

        ["\x5A\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],
        ["\xE9\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x30"],

        ["\x5A\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],
        ["\xE9\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x31"],

        ["\x5A\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],
        ["\xE9\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x32"],

        ["\x5A\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],
        ["\xE9\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x33"],

        ["\x5A\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],
        ["\xE9\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x34"],

        ["\x5A\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],
        ["\xE9\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x35"],

        ["\x5A\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],
        ["\xE9\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x36"],

        ["\x5A\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],
        ["\xE9\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x37"],

        ["\x5A\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],
        ["\xE9\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x38"],

        ["\x5A\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],
        ["\xE9\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x39"],

        ["\x5A\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x7A"],
        ["\xE9\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x3A"],

        ["\x5A\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x5E"],
        ["\xE9\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x3B"],

        ["\x5A\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x4C"],
        ["\xE9\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x3C"],

        ["\x5A\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x7E"],
        ["\xE9\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x3D"],

        ["\x5A\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x6E"],
        ["\xE9\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x3E"],

        ["\x5A\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x6F"],
        ["\xE9\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x3F"],

        ["\x5A\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x7C"],
        ["\xE9\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x40"],

        ["\x5A\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],
        ["\xE9\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x41"],

        ["\x5A\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],
        ["\xE9\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x42"],

        ["\x5A\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],
        ["\xE9\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x43"],

        ["\x5A\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],
        ["\xE9\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x44"],

        ["\x5A\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],
        ["\xE9\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x45"],

        ["\x5A\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],
        ["\xE9\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x46"],

        ["\x5A\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],
        ["\xE9\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x47"],

        ["\x5A\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],
        ["\xE9\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x48"],

        ["\x5A\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],
        ["\xE9\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x49"],

        ["\x5A\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],
        ["\xE9\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x4A"],

        ["\x5A\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],
        ["\xE9\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x4B"],

        ["\x5A\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],
        ["\xE9\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x4C"],

        ["\x5A\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],
        ["\xE9\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x4D"],

        ["\x5A\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],
        ["\xE9\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x4E"],

        ["\x5A\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],
        ["\xE9\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x4F"],

        ["\x5A\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],
        ["\xE9\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x50"],

        ["\x5A\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],
        ["\xE9\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x51"],

        ["\x5A\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],
        ["\xE9\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x52"],

        ["\x5A\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],
        ["\xE9\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x53"],

        ["\x5A\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],
        ["\xE9\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x54"],

        ["\x5A\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],
        ["\xE9\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x55"],

        ["\x5A\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],
        ["\xE9\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x56"],

        ["\x5A\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],
        ["\xE9\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x57"],

        ["\x5A\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],
        ["\xE9\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x58"],

        ["\x5A\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],
        ["\xE9\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x59"],

        ["\x5A\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],
        ["\xE9\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x5A"],

        ["\x5A\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x4A"],
        ["\xE9\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x5B"],

        ["\x5A\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x5B"],
        ["\xE9\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x5C"],

        ["\x5A\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x5A"],
        ["\xE9\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x5D"],

        ["\x5A\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x5F"],
        ["\xE9\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x5E"],

        ["\x5A\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x6D"],
        ["\xE9\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x5F"],

        ["\x5A\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x79"],
        ["\xE9\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x60"],

        ["\x5A\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x57"],
        ["\xE9\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x61"],

        ["\x5A\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x59"],
        ["\xE9\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x62"],

        ["\x5A\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x62"],
        ["\xE9\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x63"],

        ["\x5A\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x63"],
        ["\xE9\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x64"],

        ["\x5A\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x64"],
        ["\xE9\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x65"],

        ["\x5A\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x65"],
        ["\xE9\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x66"],

        ["\x5A\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x66"],
        ["\xE9\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x67"],

        ["\x5A\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x67"],
        ["\xE9\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x68"],

        ["\x5A\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x68"],
        ["\xE9\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x69"],

        ["\x5A\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x69"],
        ["\xE9\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x6A"],

        ["\x5A\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x70"],
        ["\xE9\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x6B"],

        ["\x5A\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x71"],
        ["\xE9\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x6C"],

        ["\x5A\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x72"],
        ["\xE9\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x6D"],

        ["\x5A\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x73"],
        ["\xE9\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x6E"],

        ["\x5A\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x74"],
        ["\xE9\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x6F"],

        ["\x5A\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x75"],
        ["\xE9\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x70"],

        ["\x5A\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x76"],
        ["\xE9\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x71"],

        ["\x5A\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x77"],
        ["\xE9\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x72"],

        ["\x5A\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x78"],
        ["\xE9\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x73"],

        ["\x5A\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80"],
        ["\xE9\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x74"],

        ["\x5A\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B"],
        ["\xE9\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x75"],

        ["\x5A\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B"],
        ["\xE9\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x76"],

        ["\x5A\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C"],
        ["\xE9\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x77"],

        ["\x5A\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0"],
        ["\xE9\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x78"],

        ["\x5A\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],
        ["\xE9\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x79"],

        ["\x5A\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],
        ["\xE9\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x7A"],

        ["\x5A\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],
        ["\xE9\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x7B"],

        ["\x5A\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x6A"],
        ["\xE9\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x7C"],

        ["\x5A\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],
        ["\xE9\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x7D"],

        ["\x5A\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],
        ["\xE9\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5A\x7E"],

        ["\x5B\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4F"],
        ["\x4A\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x21"],

        ["\x5B\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7F"],
        ["\x4A\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x22"],

        ["\x5B\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7B"],
        ["\x4A\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x23"],

        ["\x5B\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE0"],
        ["\x4A\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x24"],

        ["\x5B\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6C"],
        ["\x4A\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x25"],

        ["\x5B\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x50"],
        ["\x4A\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x26"],

        ["\x5B\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7D"],
        ["\x4A\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x27"],

        ["\x5B\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4D"],
        ["\x4A\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x28"],

        ["\x5B\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5D"],
        ["\x4A\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x29"],

        ["\x5B\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5C"],
        ["\x4A\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x2A"],

        ["\x5B\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4E"],
        ["\x4A\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x2B"],

        ["\x5B\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6B"],
        ["\x4A\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x2C"],

        ["\x5B\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x60"],
        ["\x4A\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x2D"],

        ["\x5B\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4B"],
        ["\x4A\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x2E"],

        ["\x5B\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x61"],
        ["\x4A\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x2F"],

        ["\x5B\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF0"],
        ["\x4A\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x30"],

        ["\x5B\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF1"],
        ["\x4A\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x31"],

        ["\x5B\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF2"],
        ["\x4A\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x32"],

        ["\x5B\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF3"],
        ["\x4A\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x33"],

        ["\x5B\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF4"],
        ["\x4A\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x34"],

        ["\x5B\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF5"],
        ["\x4A\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x35"],

        ["\x5B\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF6"],
        ["\x4A\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x36"],

        ["\x5B\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF7"],
        ["\x4A\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x37"],

        ["\x5B\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF8"],
        ["\x4A\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x38"],

        ["\x5B\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xF9"],
        ["\x4A\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x39"],

        ["\x5B\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7A"],
        ["\x4A\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x3A"],

        ["\x5B\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5E"],
        ["\x4A\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x3B"],

        ["\x5B\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4C"],
        ["\x4A\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x3C"],

        ["\x5B\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7E"],
        ["\x4A\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x3D"],

        ["\x5B\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6E"],
        ["\x4A\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x3E"],

        ["\x5B\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6F"],
        ["\x4A\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x3F"],

        ["\x5B\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7C"],
        ["\x4A\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x40"],

        ["\x5B\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC1"],
        ["\x4A\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x41"],

        ["\x5B\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC2"],
        ["\x4A\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x42"],

        ["\x5B\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC3"],
        ["\x4A\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x43"],

        ["\x5B\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC4"],
        ["\x4A\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x44"],

        ["\x5B\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC5"],
        ["\x4A\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x45"],

        ["\x5B\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC6"],
        ["\x4A\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x46"],

        ["\x5B\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC7"],
        ["\x4A\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x47"],

        ["\x5B\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC8"],
        ["\x4A\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x48"],

        ["\x5B\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC9"],
        ["\x4A\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x49"],

        ["\x5B\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD1"],
        ["\x4A\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x4A"],

        ["\x5B\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD2"],
        ["\x4A\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x4B"],

        ["\x5B\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD3"],
        ["\x4A\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x4C"],

        ["\x5B\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD4"],
        ["\x4A\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x4D"],

        ["\x5B\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD5"],
        ["\x4A\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x4E"],

        ["\x5B\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD6"],
        ["\x4A\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x4F"],

        ["\x5B\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD7"],
        ["\x4A\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x50"],

        ["\x5B\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD8"],
        ["\x4A\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x51"],

        ["\x5B\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD9"],
        ["\x4A\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x52"],

        ["\x5B\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE2"],
        ["\x4A\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x53"],

        ["\x5B\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE3"],
        ["\x4A\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x54"],

        ["\x5B\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE4"],
        ["\x4A\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x55"],

        ["\x5B\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE5"],
        ["\x4A\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x56"],

        ["\x5B\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE6"],
        ["\x4A\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x57"],

        ["\x49\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],
        ["\xC9\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x49\x30"],

        ["\x5B\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE8"],
        ["\x4A\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x59"],

        ["\x5B\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xE9"],
        ["\x4A\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x5A"],

        ["\x5B\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4A"],
        ["\x4A\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x5B"],

        ["\x5B\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5B"],
        ["\x4A\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x5C"],

        ["\x5B\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5A"],
        ["\x4A\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x5D"],

        ["\x5B\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5F"],
        ["\x4A\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x5E"],

        ["\x5B\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6D"],
        ["\x4A\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x5F"],

        ["\x5B\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x79"],
        ["\x4A\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x60"],

        ["\x5B\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x57"],
        ["\x4A\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x61"],

        ["\x5B\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x59"],
        ["\x4A\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x62"],

        ["\x5B\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x62"],
        ["\x4A\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x63"],

        ["\x5B\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x63"],
        ["\x4A\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x64"],

        ["\x5B\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x64"],
        ["\x4A\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x65"],

        ["\x5B\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x65"],
        ["\x4A\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x66"],

        ["\x5B\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x66"],
        ["\x4A\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x67"],

        ["\x5B\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x67"],
        ["\x4A\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x68"],

        ["\x5B\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x68"],
        ["\x4A\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x69"],

        ["\x5B\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x69"],
        ["\x4A\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x6A"],

        ["\x5B\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x70"],
        ["\x4A\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x6B"],

        ["\x5B\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x71"],
        ["\x4A\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x6C"],

        ["\x45\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x73"],
        ["\xC5\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x6E"],

        ["\x5B\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x73"],
        ["\x4A\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x6E"],

        ["\x5B\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x74"],
        ["\x4A\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x6F"],

        ["\x5B\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x75"],
        ["\x4A\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x70"],

        ["\x5B\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x76"],
        ["\x4A\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x71"],

        ["\x5B\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x77"],
        ["\x4A\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x72"],

        ["\x5B\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x78"],
        ["\x4A\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x73"],

        ["\x5B\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x80"],
        ["\x4A\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x74"],

        ["\x5B\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x8B"],
        ["\x4A\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x75"],

        ["\x5B\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x9B"],
        ["\x4A\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x76"],

        ["\x5B\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x9C"],
        ["\x4A\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x77"],

        ["\x5B\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xA0"],
        ["\x4A\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x78"],

        ["\x5B\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xAB"],
        ["\x4A\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x79"],

        ["\x5B\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xB0"],
        ["\x4A\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x7A"],

        ["\x5B\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xC0"],
        ["\x4A\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x7B"],

        ["\x5B\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6A"],
        ["\x4A\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x7C"],

        ["\x5B\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xD0"],
        ["\x4A\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x7D"],

        ["\x5B\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4A\xA1"],
        ["\x4A\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5B\x7E"],

        ["\x5C\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4F"],
        ["\x5B\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x21"],

        ["\x5C\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7F"],
        ["\x5B\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x22"],

        ["\x5C\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7B"],
        ["\x5B\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x23"],

        ["\x5C\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE0"],
        ["\x5B\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x24"],

        ["\x5C\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6C"],
        ["\x5B\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x25"],

        ["\x5C\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x50"],
        ["\x5B\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x26"],

        ["\x5C\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7D"],
        ["\x5B\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x27"],

        ["\x5C\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4D"],
        ["\x5B\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x28"],

        ["\x5C\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5D"],
        ["\x5B\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x29"],

        ["\x5C\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5C"],
        ["\x5B\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x2A"],

        ["\x5C\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4E"],
        ["\x5B\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x2B"],

        ["\x5C\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6B"],
        ["\x5B\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x2C"],

        ["\x5C\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x60"],
        ["\x5B\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x2D"],

        ["\x5C\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4B"],
        ["\x5B\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x2E"],

        ["\x5C\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x61"],
        ["\x5B\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x2F"],

        ["\x5C\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF0"],
        ["\x5B\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x30"],

        ["\x5C\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF1"],
        ["\x5B\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x31"],

        ["\x5C\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF2"],
        ["\x5B\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x32"],

        ["\x5C\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF3"],
        ["\x5B\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x33"],

        ["\x5C\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF4"],
        ["\x5B\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x34"],

        ["\x5C\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF5"],
        ["\x5B\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x35"],

        ["\x5C\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF6"],
        ["\x5B\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x36"],

        ["\x5C\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF7"],
        ["\x5B\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x37"],

        ["\x5C\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF8"],
        ["\x5B\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x38"],

        ["\x5C\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xF9"],
        ["\x5B\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x39"],

        ["\x5C\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7A"],
        ["\x5B\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x3A"],

        ["\x5C\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5E"],
        ["\x5B\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x3B"],

        ["\x5C\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4C"],
        ["\x5B\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x3C"],

        ["\x5C\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7E"],
        ["\x5B\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x3D"],

        ["\x5C\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6E"],
        ["\x5B\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x3E"],

        ["\x5C\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6F"],
        ["\x5B\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x3F"],

        ["\x5C\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7C"],
        ["\x5B\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x40"],

        ["\x5C\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC1"],
        ["\x5B\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x41"],

        ["\x5C\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC2"],
        ["\x5B\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x42"],

        ["\x5C\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC3"],
        ["\x5B\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x43"],

        ["\x5C\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC4"],
        ["\x5B\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x44"],

        ["\x5C\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC5"],
        ["\x5B\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x45"],

        ["\x5C\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC6"],
        ["\x5B\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x46"],

        ["\x5C\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC7"],
        ["\x5B\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x47"],

        ["\x5C\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC8"],
        ["\x5B\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x48"],

        ["\x5C\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC9"],
        ["\x5B\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x49"],

        ["\x5C\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD1"],
        ["\x5B\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x4A"],

        ["\x5C\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD2"],
        ["\x5B\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x4B"],

        ["\x5C\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD3"],
        ["\x5B\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x4C"],

        ["\x5C\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD4"],
        ["\x5B\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x4D"],

        ["\x5C\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD5"],
        ["\x5B\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x4E"],

        ["\x5C\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD6"],
        ["\x5B\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x4F"],

        ["\x5C\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD7"],
        ["\x5B\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x50"],

        ["\x5C\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD8"],
        ["\x5B\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x51"],

        ["\x5C\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD9"],
        ["\x5B\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x52"],

        ["\x5C\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE2"],
        ["\x5B\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x53"],

        ["\x5C\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE3"],
        ["\x5B\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x54"],

        ["\x5C\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE4"],
        ["\x5B\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x55"],

        ["\x5C\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE5"],
        ["\x5B\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x56"],

        ["\x5C\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE6"],
        ["\x5B\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x57"],

        ["\x5C\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE7"],
        ["\x5B\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x58"],

        ["\x5C\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE8"],
        ["\x5B\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x59"],

        ["\x5C\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xE9"],
        ["\x5B\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x5A"],

        ["\x5C\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4A"],
        ["\x5B\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x5B"],

        ["\x5C\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5B"],
        ["\x5B\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x5C"],

        ["\x5C\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5A"],
        ["\x5B\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x5D"],

        ["\x5C\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5F"],
        ["\x5B\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x5E"],

        ["\x5C\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6D"],
        ["\x5B\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x5F"],

        ["\x5C\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x79"],
        ["\x5B\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x60"],

        ["\x5C\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x57"],
        ["\x5B\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x61"],

        ["\x5C\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x59"],
        ["\x5B\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x62"],

        ["\x5C\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x62"],
        ["\x5B\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x63"],

        ["\x5C\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x63"],
        ["\x5B\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x64"],

        ["\x5C\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x64"],
        ["\x5B\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x65"],

        ["\x5C\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x65"],
        ["\x5B\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x66"],

        ["\x5C\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x66"],
        ["\x5B\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x67"],

        ["\x5C\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x67"],
        ["\x5B\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x68"],

        ["\x5C\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x68"],
        ["\x5B\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x69"],

        ["\x5C\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x69"],
        ["\x5B\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x6A"],

        ["\x5C\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x70"],
        ["\x5B\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x6B"],

        ["\x5C\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x71"],
        ["\x5B\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x6C"],

        ["\x5C\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x72"],
        ["\x5B\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x6D"],

        ["\x5C\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x73"],
        ["\x5B\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x6E"],

        ["\x5C\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x74"],
        ["\x5B\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x6F"],

        ["\x5C\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x75"],
        ["\x5B\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x70"],

        ["\x5C\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x76"],
        ["\x5B\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x71"],

        ["\x5C\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x77"],
        ["\x5B\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x72"],

        ["\x5C\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x78"],
        ["\x5B\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x73"],

        ["\x5C\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x80"],
        ["\x5B\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x74"],

        ["\x5C\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x8B"],
        ["\x5B\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x75"],

        ["\x5C\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x9B"],
        ["\x5B\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x76"],

        ["\x5C\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x9C"],
        ["\x5B\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x77"],

        ["\x5C\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xA0"],
        ["\x5B\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x78"],

        ["\x5C\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xAB"],
        ["\x5B\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x79"],

        ["\x5C\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xB0"],
        ["\x5B\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x7A"],

        ["\x5C\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xC0"],
        ["\x5B\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x7B"],

        ["\x5C\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6A"],
        ["\x5B\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x7C"],

        ["\x5C\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xD0"],
        ["\x5B\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x7D"],

        ["\x5C\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5B\xA1"],
        ["\x5B\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5C\x7E"],

        ["\x5D\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4F"],
        ["\x5A\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x21"],

        ["\x5D\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7F"],
        ["\x5A\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x22"],

        ["\x5D\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7B"],
        ["\x5A\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x23"],

        ["\x5D\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE0"],
        ["\x5A\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x24"],

        ["\x5D\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6C"],
        ["\x5A\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x25"],

        ["\x5D\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x50"],
        ["\x5A\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x26"],

        ["\x5D\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7D"],
        ["\x5A\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x27"],

        ["\x5D\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4D"],
        ["\x5A\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x28"],

        ["\x5D\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5D"],
        ["\x5A\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x29"],

        ["\x5D\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5C"],
        ["\x5A\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x2A"],

        ["\x5D\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4E"],
        ["\x5A\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x2B"],

        ["\x5D\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6B"],
        ["\x5A\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x2C"],

        ["\x5D\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x60"],
        ["\x5A\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x2D"],

        ["\x5D\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4B"],
        ["\x5A\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x2E"],

        ["\x5D\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x61"],
        ["\x5A\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x2F"],

        ["\x5D\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF0"],
        ["\x5A\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x30"],

        ["\x5D\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF1"],
        ["\x5A\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x31"],

        ["\x5D\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF2"],
        ["\x5A\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x32"],

        ["\x5D\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF3"],
        ["\x5A\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x33"],

        ["\x5D\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF4"],
        ["\x5A\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x34"],

        ["\x5D\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF5"],
        ["\x5A\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x35"],

        ["\x5D\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF6"],
        ["\x5A\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x36"],

        ["\x5D\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF7"],
        ["\x5A\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x37"],

        ["\x5D\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF8"],
        ["\x5A\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x38"],

        ["\x5D\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xF9"],
        ["\x5A\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x39"],

        ["\x5D\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7A"],
        ["\x5A\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x3A"],

        ["\x5D\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5E"],
        ["\x5A\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x3B"],

        ["\x5D\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4C"],
        ["\x5A\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x3C"],

        ["\x5D\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7E"],
        ["\x5A\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x3D"],

        ["\x5D\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6E"],
        ["\x5A\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x3E"],

        ["\x5D\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6F"],
        ["\x5A\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x3F"],

        ["\x5D\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7C"],
        ["\x5A\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x40"],

        ["\x5D\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC1"],
        ["\x5A\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x41"],

        ["\x5D\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC2"],
        ["\x5A\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x42"],

        ["\x5D\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC3"],
        ["\x5A\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x43"],

        ["\x5D\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC4"],
        ["\x5A\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x44"],

        ["\x5D\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC5"],
        ["\x5A\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x45"],

        ["\x5D\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC6"],
        ["\x5A\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x46"],

        ["\x5D\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC7"],
        ["\x5A\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x47"],

        ["\x5D\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC8"],
        ["\x5A\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x48"],

        ["\x5D\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC9"],
        ["\x5A\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x49"],

        ["\x5D\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD1"],
        ["\x5A\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x4A"],

        ["\x5D\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD2"],
        ["\x5A\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x4B"],

        ["\x5D\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD3"],
        ["\x5A\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x4C"],

        ["\x5D\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD4"],
        ["\x5A\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x4D"],

        ["\x5D\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD5"],
        ["\x5A\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x4E"],

        ["\x5D\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD6"],
        ["\x5A\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x4F"],

        ["\x5D\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD7"],
        ["\x5A\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x50"],

        ["\x5D\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD8"],
        ["\x5A\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x51"],

        ["\x5D\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD9"],
        ["\x5A\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x52"],

        ["\x5D\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE2"],
        ["\x5A\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x53"],

        ["\x5D\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE3"],
        ["\x5A\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x54"],

        ["\x5D\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE4"],
        ["\x5A\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x55"],

        ["\x5D\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE5"],
        ["\x5A\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x56"],

        ["\x5D\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE6"],
        ["\x5A\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x57"],

        ["\x5D\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE7"],
        ["\x5A\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x58"],

        ["\x5D\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE8"],
        ["\x5A\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x59"],

        ["\x5D\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xE9"],
        ["\x5A\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x5A"],

        ["\x5D\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4A"],
        ["\x5A\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x5B"],

        ["\x5D\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5B"],
        ["\x5A\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x5C"],

        ["\x5D\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5A"],
        ["\x5A\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x5D"],

        ["\x5D\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5F"],
        ["\x5A\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x5E"],

        ["\x5D\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6D"],
        ["\x5A\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x5F"],

        ["\x5D\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x79"],
        ["\x5A\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x60"],

        ["\x5D\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x57"],
        ["\x5A\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x61"],

        ["\x5D\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x59"],
        ["\x5A\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x62"],

        ["\x5D\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x62"],
        ["\x5A\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x63"],

        ["\x5D\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x63"],
        ["\x5A\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x64"],

        ["\x5D\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x64"],
        ["\x5A\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x65"],

        ["\x5D\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x65"],
        ["\x5A\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x66"],

        ["\x5D\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x66"],
        ["\x5A\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x67"],

        ["\x5D\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x67"],
        ["\x5A\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x68"],

        ["\x5D\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x68"],
        ["\x5A\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x69"],

        ["\x5D\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x69"],
        ["\x5A\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x6A"],

        ["\x5D\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x70"],
        ["\x5A\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x6B"],

        ["\x5D\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x71"],
        ["\x5A\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x6C"],

        ["\x5D\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x72"],
        ["\x5A\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x6D"],

        ["\x5D\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x73"],
        ["\x5A\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x6E"],

        ["\x5D\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x74"],
        ["\x5A\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x6F"],

        ["\x5D\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x75"],
        ["\x5A\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x70"],

        ["\x5D\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x76"],
        ["\x5A\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x71"],

        ["\x5D\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x77"],
        ["\x5A\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x72"],

        ["\x5D\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x78"],
        ["\x5A\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x73"],

        ["\x5D\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x80"],
        ["\x5A\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x74"],

        ["\x5D\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x8B"],
        ["\x5A\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x75"],

        ["\x5D\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x9B"],
        ["\x5A\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x76"],

        ["\x5D\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x9C"],
        ["\x5A\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x77"],

        ["\x5D\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xA0"],
        ["\x5A\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x78"],

        ["\x5D\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xAB"],
        ["\x5A\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x79"],

        ["\x5D\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xB0"],
        ["\x5A\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x7A"],

        ["\x5D\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xC0"],
        ["\x5A\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x7B"],

        ["\x5D\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6A"],
        ["\x5A\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x7C"],

        ["\x5D\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xD0"],
        ["\x5A\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x7D"],

        ["\x5D\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5A\xA1"],
        ["\x5A\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5D\x7E"],

        ["\x5E\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4F"],
        ["\x5F\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x21"],

        ["\x5E\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7F"],
        ["\x5F\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x22"],

        ["\x5E\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7B"],
        ["\x5F\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x23"],

        ["\x5E\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE0"],
        ["\x5F\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x24"],

        ["\x5E\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6C"],
        ["\x5F\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x25"],

        ["\x5E\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x50"],
        ["\x5F\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x26"],

        ["\x5E\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7D"],
        ["\x5F\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x27"],

        ["\x5E\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4D"],
        ["\x5F\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x28"],

        ["\x5E\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5D"],
        ["\x5F\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x29"],

        ["\x5E\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5C"],
        ["\x5F\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x2A"],

        ["\x5E\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4E"],
        ["\x5F\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x2B"],

        ["\x5E\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6B"],
        ["\x5F\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x2C"],

        ["\x5E\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x60"],
        ["\x5F\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x2D"],

        ["\x5E\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4B"],
        ["\x5F\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x2E"],

        ["\x5E\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x61"],
        ["\x5F\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x2F"],

        ["\x5E\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF0"],
        ["\x5F\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x30"],

        ["\x5E\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF1"],
        ["\x5F\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x31"],

        ["\x5E\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF2"],
        ["\x5F\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x32"],

        ["\x5E\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF3"],
        ["\x5F\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x33"],

        ["\x5E\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF4"],
        ["\x5F\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x34"],

        ["\x5E\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF5"],
        ["\x5F\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x35"],

        ["\x5E\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF6"],
        ["\x5F\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x36"],

        ["\x5E\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF7"],
        ["\x5F\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x37"],

        ["\x5E\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xF8"],
        ["\x5F\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x38"],

        ["\x45\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x78"],
        ["\xC5\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x73"],

        ["\x5E\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7A"],
        ["\x5F\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x3A"],

        ["\x5E\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5E"],
        ["\x5F\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x3B"],

        ["\x5E\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4C"],
        ["\x5F\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x3C"],

        ["\x5E\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7E"],
        ["\x5F\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x3D"],

        ["\x5E\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6E"],
        ["\x5F\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x3E"],

        ["\x5E\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6F"],
        ["\x5F\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x3F"],

        ["\x5E\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7C"],
        ["\x5F\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x40"],

        ["\x5E\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC1"],
        ["\x5F\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x41"],

        ["\x5E\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC2"],
        ["\x5F\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x42"],

        ["\x5E\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC3"],
        ["\x5F\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x43"],

        ["\x5E\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC4"],
        ["\x5F\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x44"],

        ["\x5E\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC5"],
        ["\x5F\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x45"],

        ["\x5E\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC6"],
        ["\x5F\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x46"],

        ["\x5E\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC7"],
        ["\x5F\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x47"],

        ["\x5E\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC8"],
        ["\x5F\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x48"],

        ["\x5E\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC9"],
        ["\x5F\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x49"],

        ["\x5E\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD1"],
        ["\x5F\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x4A"],

        ["\x5E\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD2"],
        ["\x5F\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x4B"],

        ["\x5E\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD3"],
        ["\x5F\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x4C"],

        ["\x5E\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD4"],
        ["\x5F\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x4D"],

        ["\x5E\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD5"],
        ["\x5F\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x4E"],

        ["\x5E\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD6"],
        ["\x5F\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x4F"],

        ["\x5E\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD7"],
        ["\x5F\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x50"],

        ["\x5E\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD8"],
        ["\x5F\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x51"],

        ["\x5E\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD9"],
        ["\x5F\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x52"],

        ["\x5E\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE2"],
        ["\x5F\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x53"],

        ["\x5E\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE3"],
        ["\x5F\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x54"],

        ["\x5E\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE4"],
        ["\x5F\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x55"],

        ["\x5E\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE5"],
        ["\x5F\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x56"],

        ["\x5E\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE6"],
        ["\x5F\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x57"],

        ["\x5E\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE7"],
        ["\x5F\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x58"],

        ["\x5E\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE8"],
        ["\x5F\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x59"],

        ["\x5E\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xE9"],
        ["\x5F\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x5A"],

        ["\x5E\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4A"],
        ["\x5F\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x5B"],

        ["\x5E\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5B"],
        ["\x5F\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x5C"],

        ["\x5E\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5A"],
        ["\x5F\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x5D"],

        ["\x5E\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5F"],
        ["\x5F\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x5E"],

        ["\x5E\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6D"],
        ["\x5F\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x5F"],

        ["\x5E\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x79"],
        ["\x5F\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x60"],

        ["\x5E\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x57"],
        ["\x5F\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x61"],

        ["\x5E\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x59"],
        ["\x5F\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x62"],

        ["\x5E\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x62"],
        ["\x5F\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x63"],

        ["\x5E\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x63"],
        ["\x5F\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x64"],

        ["\x5E\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x64"],
        ["\x5F\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x65"],

        ["\x5E\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x65"],
        ["\x5F\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x66"],

        ["\x5E\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x66"],
        ["\x5F\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x67"],

        ["\x5E\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x67"],
        ["\x5F\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x68"],

        ["\x5E\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x68"],
        ["\x5F\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x69"],

        ["\x5E\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x69"],
        ["\x5F\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x6A"],

        ["\x5E\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x70"],
        ["\x5F\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x6B"],

        ["\x5E\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x71"],
        ["\x5F\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x6C"],

        ["\x5E\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x72"],
        ["\x5F\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x6D"],

        ["\x5E\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x73"],
        ["\x5F\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x6E"],

        ["\x5E\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x74"],
        ["\x5F\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x6F"],

        ["\x5E\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x75"],
        ["\x5F\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x70"],

        ["\x5E\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x76"],
        ["\x5F\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x71"],

        ["\x5E\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x77"],
        ["\x5F\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x72"],

        ["\x5E\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x78"],
        ["\x5F\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x73"],

        ["\x5E\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x80"],
        ["\x5F\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x74"],

        ["\x34\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xC3"],
        ["\xF4\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x43"],

        ["\x5E\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x9B"],
        ["\x5F\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x76"],

        ["\x5E\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x9C"],
        ["\x5F\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x77"],

        ["\x5E\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xA0"],
        ["\x5F\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x78"],

        ["\x5E\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xAB"],
        ["\x5F\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x79"],

        ["\x5E\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xB0"],
        ["\x5F\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x7A"],

        ["\x5E\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xC0"],
        ["\x5F\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x7B"],

        ["\x5E\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6A"],
        ["\x5F\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x7C"],

        ["\x5E\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xD0"],
        ["\x5F\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x7D"],

        ["\x5E\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x5F\xA1"],
        ["\x5F\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5E\x7E"],

        ["\x5F\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4F"],
        ["\x6D\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x21"],

        ["\x5F\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7F"],
        ["\x6D\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x22"],

        ["\x5F\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7B"],
        ["\x6D\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x23"],

        ["\x5F\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xE0"],
        ["\x6D\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x24"],

        ["\x5F\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6C"],
        ["\x6D\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x25"],

        ["\x5F\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x50"],
        ["\x6D\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x26"],

        ["\x5F\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7D"],
        ["\x6D\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x27"],

        ["\x5F\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4D"],
        ["\x6D\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x28"],

        ["\x5F\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5D"],
        ["\x6D\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x29"],

        ["\x5F\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5C"],
        ["\x6D\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x2A"],

        ["\x5F\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4E"],
        ["\x6D\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x2B"],

        ["\x5F\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6B"],
        ["\x6D\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x2C"],

        ["\x5F\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x60"],
        ["\x6D\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x2D"],

        ["\x5F\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4B"],
        ["\x6D\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x2E"],

        ["\x5F\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x61"],
        ["\x6D\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x2F"],

        ["\x5F\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF0"],
        ["\x6D\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x30"],

        ["\x5F\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF1"],
        ["\x6D\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x31"],

        ["\x5F\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF2"],
        ["\x6D\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x32"],

        ["\x5F\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF3"],
        ["\x6D\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x33"],

        ["\x5F\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF4"],
        ["\x6D\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x34"],

        ["\x5F\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF5"],
        ["\x6D\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x35"],

        ["\x5F\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF6"],
        ["\x6D\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x36"],

        ["\x5F\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF7"],
        ["\x6D\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x37"],

        ["\x5F\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF8"],
        ["\x6D\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x38"],

        ["\x5F\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xF9"],
        ["\x6D\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x39"],

        ["\x5F\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7A"],
        ["\x6D\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x3A"],

        ["\x5F\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5E"],
        ["\x6D\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x3B"],

        ["\x5F\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4C"],
        ["\x6D\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x3C"],

        ["\x5F\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7E"],
        ["\x6D\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x3D"],

        ["\x5F\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6E"],
        ["\x6D\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x3E"],

        ["\x5F\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6F"],
        ["\x6D\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x3F"],

        ["\x5F\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7C"],
        ["\x6D\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x40"],

        ["\x5F\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC1"],
        ["\x6D\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x41"],

        ["\x5F\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC2"],
        ["\x6D\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x42"],

        ["\x5F\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC3"],
        ["\x6D\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x43"],

        ["\x5F\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC4"],
        ["\x6D\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x44"],

        ["\x5F\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC5"],
        ["\x6D\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x45"],

        ["\x5F\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC6"],
        ["\x6D\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x46"],

        ["\x5F\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC7"],
        ["\x6D\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x47"],

        ["\x5F\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC8"],
        ["\x6D\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x48"],

        ["\x5F\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC9"],
        ["\x6D\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x49"],

        ["\x5F\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD1"],
        ["\x6D\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x4A"],

        ["\x5F\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD2"],
        ["\x6D\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x4B"],

        ["\x5F\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD3"],
        ["\x6D\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x4C"],

        ["\x5F\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD4"],
        ["\x6D\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x4D"],

        ["\x5F\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD5"],
        ["\x6D\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x4E"],

        ["\x5F\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD6"],
        ["\x6D\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x4F"],

        ["\x5F\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD7"],
        ["\x6D\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x50"],

        ["\x5F\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD8"],
        ["\x6D\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x51"],

        ["\x5F\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD9"],
        ["\x6D\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x52"],

        ["\x5F\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xE2"],
        ["\x6D\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x53"],

        ["\x5F\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xE3"],
        ["\x6D\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x54"],

        ["\x5F\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xE4"],
        ["\x6D\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x55"],

        ["\x5F\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xE5"],
        ["\x6D\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x56"],

        ["\x5F\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xE6"],
        ["\x6D\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x57"],

        ["\x5F\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xE7"],
        ["\x6D\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x58"],

        ["\x5F\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xE8"],
        ["\x6D\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x59"],

        ["\x5F\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xE9"],
        ["\x6D\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x5A"],

        ["\x5F\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4A"],
        ["\x6D\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x5B"],

        ["\x5F\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5B"],
        ["\x6D\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x5C"],

        ["\x5F\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5A"],
        ["\x6D\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x5D"],

        ["\x5F\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5F"],
        ["\x6D\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x5E"],

        ["\x5F\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6D"],
        ["\x6D\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x5F"],

        ["\x5F\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x79"],
        ["\x6D\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x60"],

        ["\x5F\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x57"],
        ["\x6D\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x61"],

        ["\x5F\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x59"],
        ["\x6D\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x62"],

        ["\x5F\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x62"],
        ["\x6D\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x63"],

        ["\x5F\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x63"],
        ["\x6D\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x64"],

        ["\x5F\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x64"],
        ["\x6D\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x65"],

        ["\x5F\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x65"],
        ["\x6D\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x66"],

        ["\x5F\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x66"],
        ["\x6D\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x67"],

        ["\x5F\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x67"],
        ["\x6D\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x68"],

        ["\x5F\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x68"],
        ["\x6D\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x69"],

        ["\x5F\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x69"],
        ["\x6D\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x6A"],

        ["\x5F\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x70"],
        ["\x6D\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x6B"],

        ["\x5F\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x71"],
        ["\x6D\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x6C"],

        ["\x5F\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x72"],
        ["\x6D\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x6D"],

        ["\x5F\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x73"],
        ["\x6D\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x6E"],

        ["\x5F\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x74"],
        ["\x6D\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x6F"],

        ["\x5F\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x75"],
        ["\x6D\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x70"],

        ["\x5F\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x76"],
        ["\x6D\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x71"],

        ["\x5F\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x77"],
        ["\x6D\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x72"],

        ["\x5F\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x78"],
        ["\x6D\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x73"],

        ["\x5F\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x80"],
        ["\x6D\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x74"],

        ["\x5F\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x8B"],
        ["\x6D\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x75"],

        ["\x5F\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x9B"],
        ["\x6D\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x76"],

        ["\x5F\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x9C"],
        ["\x6D\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x77"],

        ["\x5F\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xA0"],
        ["\x6D\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x78"],

        ["\x5F\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xAB"],
        ["\x6D\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x79"],

        ["\x5F\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xB0"],
        ["\x6D\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x7A"],

        ["\x5F\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xC0"],
        ["\x6D\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x7B"],

        ["\x5F\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6A"],
        ["\x6D\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x7C"],

        ["\x5F\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xD0"],
        ["\x6D\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x7D"],

        ["\x5F\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6D\xA1"],
        ["\x6D\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x5F\x7E"],

        ["\x60\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4F"],
        ["\x79\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x21"],

        ["\x60\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7F"],
        ["\x79\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x22"],

        ["\x60\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7B"],
        ["\x79\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x23"],

        ["\x60\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xE0"],
        ["\x79\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x24"],

        ["\x60\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6C"],
        ["\x79\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x25"],

        ["\x60\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x50"],
        ["\x79\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x26"],

        ["\x60\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7D"],
        ["\x79\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x27"],

        ["\x60\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4D"],
        ["\x79\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x28"],

        ["\x60\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5D"],
        ["\x79\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x29"],

        ["\x60\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5C"],
        ["\x79\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x2A"],

        ["\x60\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4E"],
        ["\x79\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x2B"],

        ["\x60\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6B"],
        ["\x79\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x2C"],

        ["\x60\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x60"],
        ["\x79\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x2D"],

        ["\x60\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4B"],
        ["\x79\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x2E"],

        ["\x60\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x61"],
        ["\x79\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x2F"],

        ["\x60\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF0"],
        ["\x79\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x30"],

        ["\x60\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF1"],
        ["\x79\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x31"],

        ["\x60\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF2"],
        ["\x79\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x32"],

        ["\x60\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF3"],
        ["\x79\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x33"],

        ["\x60\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF4"],
        ["\x79\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x34"],

        ["\x60\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF5"],
        ["\x79\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x35"],

        ["\x60\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF6"],
        ["\x79\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x36"],

        ["\x60\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF7"],
        ["\x79\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x37"],

        ["\x60\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF8"],
        ["\x79\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x38"],

        ["\x60\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xF9"],
        ["\x79\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x39"],

        ["\x60\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7A"],
        ["\x79\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x3A"],

        ["\x60\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5E"],
        ["\x79\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x3B"],

        ["\x60\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4C"],
        ["\x79\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x3C"],

        ["\x60\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7E"],
        ["\x79\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x3D"],

        ["\x60\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6E"],
        ["\x79\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x3E"],

        ["\x60\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6F"],
        ["\x79\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x3F"],

        ["\x60\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7C"],
        ["\x79\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x40"],

        ["\x60\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC1"],
        ["\x79\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x41"],

        ["\x60\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC2"],
        ["\x79\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x42"],

        ["\x60\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC3"],
        ["\x79\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x43"],

        ["\x60\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC4"],
        ["\x79\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x44"],

        ["\x60\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC5"],
        ["\x79\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x45"],

        ["\x60\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC6"],
        ["\x79\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x46"],

        ["\x60\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC7"],
        ["\x79\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x47"],

        ["\x60\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC8"],
        ["\x79\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x48"],

        ["\x60\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC9"],
        ["\x79\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x49"],

        ["\x60\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD1"],
        ["\x79\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x4A"],

        ["\x60\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD2"],
        ["\x79\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x4B"],

        ["\x60\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD3"],
        ["\x79\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x4C"],

        ["\x60\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD4"],
        ["\x79\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x4D"],

        ["\x60\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD5"],
        ["\x79\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x4E"],

        ["\x60\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD6"],
        ["\x79\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x4F"],

        ["\x60\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD7"],
        ["\x79\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x50"],

        ["\x60\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD8"],
        ["\x79\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x51"],

        ["\x60\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD9"],
        ["\x79\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x52"],

        ["\x60\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xE2"],
        ["\x79\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x53"],

        ["\x60\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xE3"],
        ["\x79\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x54"],

        ["\x60\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xE4"],
        ["\x79\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x55"],

        ["\x60\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xE5"],
        ["\x79\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x56"],

        ["\x60\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xE6"],
        ["\x79\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x57"],

        ["\x60\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xE7"],
        ["\x79\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x58"],

        ["\x60\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xE8"],
        ["\x79\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x59"],

        ["\x60\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xE9"],
        ["\x79\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x5A"],

        ["\x60\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4A"],
        ["\x79\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x5B"],

        ["\x60\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5B"],
        ["\x79\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x5C"],

        ["\x60\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5A"],
        ["\x79\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x5D"],

        ["\x60\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5F"],
        ["\x79\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x5E"],

        ["\x60\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6D"],
        ["\x79\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x5F"],

        ["\x60\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x79"],
        ["\x79\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x60"],

        ["\x60\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x57"],
        ["\x79\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x61"],

        ["\x60\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x59"],
        ["\x79\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x62"],

        ["\x60\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x62"],
        ["\x79\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x63"],

        ["\x60\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x63"],
        ["\x79\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x64"],

        ["\x60\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x64"],
        ["\x79\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x65"],

        ["\x60\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x65"],
        ["\x79\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x66"],

        ["\x60\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x66"],
        ["\x79\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x67"],

        ["\x60\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x67"],
        ["\x79\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x68"],

        ["\x60\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x68"],
        ["\x79\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x69"],

        ["\x60\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x69"],
        ["\x79\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x6A"],

        ["\x60\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x70"],
        ["\x79\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x6B"],

        ["\x60\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x71"],
        ["\x79\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x6C"],

        ["\x60\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x72"],
        ["\x79\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x6D"],

        ["\x60\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x73"],
        ["\x79\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x6E"],

        ["\x60\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x74"],
        ["\x79\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x6F"],

        ["\x60\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x75"],
        ["\x79\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x70"],

        ["\x60\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x76"],
        ["\x79\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x71"],

        ["\x60\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x77"],
        ["\x79\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x72"],

        ["\x60\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x78"],
        ["\x79\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x73"],

        ["\x60\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x80"],
        ["\x79\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x74"],

        ["\x60\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x8B"],
        ["\x79\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x75"],

        ["\xC4\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xCA"],
        ["\x95\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],

        ["\x60\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x9C"],
        ["\x79\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x77"],

        ["\x60\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xA0"],
        ["\x79\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x78"],

        ["\x60\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xAB"],
        ["\x79\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x79"],

        ["\x60\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xB0"],
        ["\x79\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x7A"],

        ["\x60\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xC0"],
        ["\x79\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x7B"],

        ["\x60\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6A"],
        ["\x79\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x7C"],

        ["\x60\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xD0"],
        ["\x79\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x7D"],

        ["\x60\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\xA1"],
        ["\x79\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x7E"],

        ["\x61\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4F"],
        ["\x57\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x21"],

        ["\x61\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7F"],
        ["\x57\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x22"],

        ["\x61\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7B"],
        ["\x57\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x23"],

        ["\x61\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE0"],
        ["\x57\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x24"],

        ["\x61\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6C"],
        ["\x57\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x25"],

        ["\x61\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x50"],
        ["\x57\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x26"],

        ["\x61\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7D"],
        ["\x57\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x27"],

        ["\x61\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4D"],
        ["\x57\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x28"],

        ["\x61\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5D"],
        ["\x57\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x29"],

        ["\x61\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5C"],
        ["\x57\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x2A"],

        ["\x61\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4E"],
        ["\x57\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x2B"],

        ["\x61\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6B"],
        ["\x57\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x2C"],

        ["\x61\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x60"],
        ["\x57\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x2D"],

        ["\x61\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4B"],
        ["\x57\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x2E"],

        ["\x61\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x61"],
        ["\x57\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x2F"],

        ["\x61\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF0"],
        ["\x57\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x30"],

        ["\x61\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF1"],
        ["\x57\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x31"],

        ["\x61\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF2"],
        ["\x57\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x32"],

        ["\x61\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF3"],
        ["\x57\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x33"],

        ["\x61\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF4"],
        ["\x57\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x34"],

        ["\x61\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF5"],
        ["\x57\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x35"],

        ["\x61\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF6"],
        ["\x57\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x36"],

        ["\x61\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF7"],
        ["\x57\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x37"],

        ["\x61\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF8"],
        ["\x57\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x38"],

        ["\x61\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xF9"],
        ["\x57\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x39"],

        ["\x61\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7A"],
        ["\x57\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x3A"],

        ["\x61\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5E"],
        ["\x57\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x3B"],

        ["\x61\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4C"],
        ["\x57\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x3C"],

        ["\x61\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7E"],
        ["\x57\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x3D"],

        ["\x61\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6E"],
        ["\x57\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x3E"],

        ["\x61\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6F"],
        ["\x57\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x3F"],

        ["\x61\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7C"],
        ["\x57\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x40"],

        ["\x61\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC1"],
        ["\x57\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x41"],

        ["\x61\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC2"],
        ["\x57\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x42"],

        ["\x61\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC3"],
        ["\x57\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x43"],

        ["\x61\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC4"],
        ["\x57\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x44"],

        ["\x61\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC5"],
        ["\x57\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x45"],

        ["\x61\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC6"],
        ["\x57\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x46"],

        ["\x61\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC7"],
        ["\x57\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x47"],

        ["\x61\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC8"],
        ["\x57\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x48"],

        ["\x61\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC9"],
        ["\x57\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x49"],

        ["\x61\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD1"],
        ["\x57\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x4A"],

        ["\x61\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD2"],
        ["\x57\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x4B"],

        ["\x61\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD3"],
        ["\x57\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x4C"],

        ["\x61\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD4"],
        ["\x57\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x4D"],

        ["\x61\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD5"],
        ["\x57\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x4E"],

        ["\x61\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD6"],
        ["\x57\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x4F"],

        ["\x61\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD7"],
        ["\x57\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x50"],

        ["\x61\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD8"],
        ["\x57\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x51"],

        ["\x61\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD9"],
        ["\x57\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x52"],

        ["\x61\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE2"],
        ["\x57\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x53"],

        ["\x61\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE3"],
        ["\x57\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x54"],

        ["\x61\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE4"],
        ["\x57\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x55"],

        ["\x61\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE5"],
        ["\x57\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x56"],

        ["\x61\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE6"],
        ["\x57\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x57"],

        ["\x61\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE7"],
        ["\x57\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x58"],

        ["\x61\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE8"],
        ["\x57\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x59"],

        ["\x61\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xE9"],
        ["\x57\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x5A"],

        ["\x61\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4A"],
        ["\x57\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x5B"],

        ["\x61\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5B"],
        ["\x57\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x5C"],

        ["\x61\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5A"],
        ["\x57\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x5D"],

        ["\x61\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5F"],
        ["\x57\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x5E"],

        ["\x61\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6D"],
        ["\x57\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x5F"],

        ["\x61\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x79"],
        ["\x57\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x60"],

        ["\x61\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x57"],
        ["\x57\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x61"],

        ["\x61\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x59"],
        ["\x57\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x62"],

        ["\x61\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x62"],
        ["\x57\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x63"],

        ["\x61\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x63"],
        ["\x57\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x64"],

        ["\x61\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x64"],
        ["\x57\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x65"],

        ["\x61\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x65"],
        ["\x57\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x66"],

        ["\x61\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x66"],
        ["\x57\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x67"],

        ["\x61\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x67"],
        ["\x57\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x68"],

        ["\x61\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x68"],
        ["\x57\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x69"],

        ["\x61\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x69"],
        ["\x57\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x6A"],

        ["\x61\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x70"],
        ["\x57\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x6B"],

        ["\x61\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x71"],
        ["\x57\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x6C"],

        ["\x61\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x72"],
        ["\x57\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x6D"],

        ["\x61\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x73"],
        ["\x57\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x6E"],

        ["\x61\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x74"],
        ["\x57\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x6F"],

        ["\x61\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x75"],
        ["\x57\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x70"],

        ["\x61\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x76"],
        ["\x57\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x71"],

        ["\x61\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x77"],
        ["\x57\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x72"],

        ["\x61\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x78"],
        ["\x57\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x73"],

        ["\x61\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x80"],
        ["\x57\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x74"],

        ["\x61\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x8B"],
        ["\x57\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x75"],

        ["\x61\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x9B"],
        ["\x57\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x76"],

        ["\x61\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x9C"],
        ["\x57\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x77"],

        ["\x61\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xA0"],
        ["\x57\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x78"],

        ["\x61\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xAB"],
        ["\x57\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x79"],

        ["\x61\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xB0"],
        ["\x57\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x7A"],

        ["\x61\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xC0"],
        ["\x57\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x7B"],

        ["\x61\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6A"],
        ["\x57\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x7C"],

        ["\x61\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xD0"],
        ["\x57\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x7D"],

        ["\x61\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x57\xA1"],
        ["\x57\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x61\x7E"],

        ["\x62\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4F"],
        ["\x59\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x21"],

        ["\x62\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7F"],
        ["\x59\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x22"],

        ["\x62\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7B"],
        ["\x59\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x23"],

        ["\x62\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE0"],
        ["\x59\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x24"],

        ["\x62\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6C"],
        ["\x59\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x25"],

        ["\x62\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x50"],
        ["\x59\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x26"],

        ["\x62\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7D"],
        ["\x59\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x27"],

        ["\x62\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4D"],
        ["\x59\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x28"],

        ["\x62\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5D"],
        ["\x59\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x29"],

        ["\x62\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5C"],
        ["\x59\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x2A"],

        ["\x62\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4E"],
        ["\x59\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x2B"],

        ["\x62\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6B"],
        ["\x59\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x2C"],

        ["\x62\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x60"],
        ["\x59\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x2D"],

        ["\x62\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4B"],
        ["\x59\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x2E"],

        ["\x62\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x61"],
        ["\x59\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x2F"],

        ["\x62\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF0"],
        ["\x59\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x30"],

        ["\x62\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF1"],
        ["\x59\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x31"],

        ["\x62\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF2"],
        ["\x59\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x32"],

        ["\x62\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF3"],
        ["\x59\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x33"],

        ["\x62\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF4"],
        ["\x59\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x34"],

        ["\x62\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF5"],
        ["\x59\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x35"],

        ["\x62\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF6"],
        ["\x59\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x36"],

        ["\x62\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF7"],
        ["\x59\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x37"],

        ["\x62\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF8"],
        ["\x59\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x38"],

        ["\x62\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xF9"],
        ["\x59\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x39"],

        ["\x62\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7A"],
        ["\x59\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x3A"],

        ["\x62\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5E"],
        ["\x59\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x3B"],

        ["\x62\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4C"],
        ["\x59\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x3C"],

        ["\x62\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7E"],
        ["\x59\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x3D"],

        ["\x62\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6E"],
        ["\x59\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x3E"],

        ["\x62\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6F"],
        ["\x59\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x3F"],

        ["\x62\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7C"],
        ["\x59\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x40"],

        ["\x62\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC1"],
        ["\x59\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x41"],

        ["\x62\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC2"],
        ["\x59\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x42"],

        ["\x62\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC3"],
        ["\x59\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x43"],

        ["\x62\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC4"],
        ["\x59\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x44"],

        ["\x62\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC5"],
        ["\x59\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x45"],

        ["\x62\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC6"],
        ["\x59\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x46"],

        ["\x62\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC7"],
        ["\x59\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x47"],

        ["\x62\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC8"],
        ["\x59\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x48"],

        ["\x62\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC9"],
        ["\x59\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x49"],

        ["\x62\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD1"],
        ["\x59\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x4A"],

        ["\x62\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD2"],
        ["\x59\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x4B"],

        ["\x62\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD3"],
        ["\x59\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x4C"],

        ["\x62\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD4"],
        ["\x59\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x4D"],

        ["\x62\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD5"],
        ["\x59\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x4E"],

        ["\x62\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD6"],
        ["\x59\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x4F"],

        ["\x62\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD7"],
        ["\x59\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x50"],

        ["\x62\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD8"],
        ["\x59\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x51"],

        ["\x62\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD9"],
        ["\x59\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x52"],

        ["\x62\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE2"],
        ["\x59\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x53"],

        ["\x62\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE3"],
        ["\x59\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x54"],

        ["\x62\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE4"],
        ["\x59\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x55"],

        ["\x62\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE5"],
        ["\x59\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x56"],

        ["\x62\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE6"],
        ["\x59\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x57"],

        ["\x62\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE7"],
        ["\x59\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x58"],

        ["\x62\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE8"],
        ["\x59\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x59"],

        ["\x62\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xE9"],
        ["\x59\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x5A"],

        ["\x62\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4A"],
        ["\x59\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x5B"],

        ["\x62\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5B"],
        ["\x59\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x5C"],

        ["\x62\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5A"],
        ["\x59\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x5D"],

        ["\x62\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5F"],
        ["\x59\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x5E"],

        ["\x62\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6D"],
        ["\x59\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x5F"],

        ["\x62\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x79"],
        ["\x59\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x60"],

        ["\x62\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x57"],
        ["\x59\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x61"],

        ["\x62\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x59"],
        ["\x59\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x62"],

        ["\x62\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x62"],
        ["\x59\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x63"],

        ["\x62\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x63"],
        ["\x59\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x64"],

        ["\x62\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x64"],
        ["\x59\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x65"],

        ["\x62\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x65"],
        ["\x59\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x66"],

        ["\x62\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x66"],
        ["\x59\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x67"],

        ["\x39\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x5B"],
        ["\xF9\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x5C"],

        ["\x62\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x68"],
        ["\x59\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x69"],

        ["\x45\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],
        ["\xC5\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x57"],

        ["\x62\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x70"],
        ["\x59\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x6B"],

        ["\x62\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x71"],
        ["\x59\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x6C"],

        ["\x62\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x72"],
        ["\x59\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x6D"],

        ["\x62\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x73"],
        ["\x59\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x6E"],

        ["\x62\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x74"],
        ["\x59\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x6F"],

        ["\x62\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x75"],
        ["\x59\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x70"],

        ["\x62\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x76"],
        ["\x59\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x71"],

        ["\x62\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x77"],
        ["\x59\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x72"],

        ["\x62\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x78"],
        ["\x59\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x73"],

        ["\x62\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x80"],
        ["\x59\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x74"],

        ["\x62\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x8B"],
        ["\x59\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x75"],

        ["\x62\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x9B"],
        ["\x59\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x76"],

        ["\x62\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x9C"],
        ["\x59\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x77"],

        ["\x62\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xA0"],
        ["\x59\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x78"],

        ["\x62\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xAB"],
        ["\x59\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x79"],

        ["\x62\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xB0"],
        ["\x59\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x7A"],

        ["\x62\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xC0"],
        ["\x59\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x7B"],

        ["\x62\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6A"],
        ["\x59\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x7C"],

        ["\x62\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xD0"],
        ["\x59\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x7D"],

        ["\x62\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x59\xA1"],
        ["\x59\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x62\x7E"],

        ["\x63\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4F"],
        ["\x62\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x21"],

        ["\x63\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7F"],
        ["\x62\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x22"],

        ["\x63\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7B"],
        ["\x62\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x23"],

        ["\x63\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE0"],
        ["\x62\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x24"],

        ["\x63\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6C"],
        ["\x62\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x25"],

        ["\x63\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x50"],
        ["\x62\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x26"],

        ["\x63\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7D"],
        ["\x62\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x27"],

        ["\x63\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4D"],
        ["\x62\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x28"],

        ["\x63\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5D"],
        ["\x62\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x29"],

        ["\x63\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5C"],
        ["\x62\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x2A"],

        ["\x63\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4E"],
        ["\x62\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x2B"],

        ["\x63\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6B"],
        ["\x62\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x2C"],

        ["\x63\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x60"],
        ["\x62\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x2D"],

        ["\x63\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4B"],
        ["\x62\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x2E"],

        ["\x63\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x61"],
        ["\x62\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x2F"],

        ["\x63\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF0"],
        ["\x62\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x30"],

        ["\x63\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF1"],
        ["\x62\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x31"],

        ["\x63\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF2"],
        ["\x62\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x32"],

        ["\x63\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF3"],
        ["\x62\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x33"],

        ["\x63\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF4"],
        ["\x62\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x34"],

        ["\x63\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF5"],
        ["\x62\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x35"],

        ["\x63\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF6"],
        ["\x62\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x36"],

        ["\x63\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF7"],
        ["\x62\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x37"],

        ["\x63\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF8"],
        ["\x62\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x38"],

        ["\x63\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xF9"],
        ["\x62\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x39"],

        ["\x63\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7A"],
        ["\x62\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x3A"],

        ["\x63\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5E"],
        ["\x62\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x3B"],

        ["\x63\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4C"],
        ["\x62\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x3C"],

        ["\x63\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7E"],
        ["\x62\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x3D"],

        ["\x63\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6E"],
        ["\x62\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x3E"],

        ["\x63\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6F"],
        ["\x62\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x3F"],

        ["\x63\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7C"],
        ["\x62\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x40"],

        ["\x63\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC1"],
        ["\x62\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x41"],

        ["\x63\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC2"],
        ["\x62\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x42"],

        ["\x63\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC3"],
        ["\x62\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x43"],

        ["\x63\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC4"],
        ["\x62\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x44"],

        ["\x63\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC5"],
        ["\x62\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x45"],

        ["\x63\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC6"],
        ["\x62\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x46"],

        ["\x63\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC7"],
        ["\x62\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x47"],

        ["\x63\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC8"],
        ["\x62\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x48"],

        ["\x63\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC9"],
        ["\x62\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x49"],

        ["\x63\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD1"],
        ["\x62\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x4A"],

        ["\x63\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD2"],
        ["\x62\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x4B"],

        ["\x63\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD3"],
        ["\x62\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x4C"],

        ["\x63\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD4"],
        ["\x62\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x4D"],

        ["\x63\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD5"],
        ["\x62\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x4E"],

        ["\x63\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD6"],
        ["\x62\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x4F"],

        ["\x63\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD7"],
        ["\x62\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x50"],

        ["\x63\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD8"],
        ["\x62\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x51"],

        ["\x63\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD9"],
        ["\x62\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x52"],

        ["\x63\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE2"],
        ["\x62\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x53"],

        ["\x63\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE3"],
        ["\x62\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x54"],

        ["\x63\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE4"],
        ["\x62\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x55"],

        ["\x63\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE5"],
        ["\x62\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x56"],

        ["\x63\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE6"],
        ["\x62\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x57"],

        ["\x63\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE7"],
        ["\x62\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x58"],

        ["\x63\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE8"],
        ["\x62\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x59"],

        ["\x63\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xE9"],
        ["\x62\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x5A"],

        ["\x63\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4A"],
        ["\x62\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x5B"],

        ["\x63\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5B"],
        ["\x62\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x5C"],

        ["\x63\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5A"],
        ["\x62\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x5D"],

        ["\x33\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\x9B"],
        ["\xF3\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x76"],

        ["\x63\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6D"],
        ["\x62\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x5F"],

        ["\x63\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x79"],
        ["\x62\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x60"],

        ["\x63\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x57"],
        ["\x62\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x61"],

        ["\x63\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x59"],
        ["\x62\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x62"],

        ["\x63\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x62"],
        ["\x62\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x63"],

        ["\x63\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x63"],
        ["\x62\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x64"],

        ["\x63\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x64"],
        ["\x62\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x65"],

        ["\x63\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x65"],
        ["\x62\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x66"],

        ["\x63\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x66"],
        ["\x62\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x67"],

        ["\x63\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x67"],
        ["\x62\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x68"],

        ["\x63\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x68"],
        ["\x62\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x69"],

        ["\x63\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x69"],
        ["\x62\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x6A"],

        ["\x63\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x70"],
        ["\x62\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x6B"],

        ["\x63\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x71"],
        ["\x62\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x6C"],

        ["\x63\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x72"],
        ["\x62\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x6D"],

        ["\x63\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x73"],
        ["\x62\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x6E"],

        ["\x63\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x74"],
        ["\x62\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x6F"],

        ["\x63\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x75"],
        ["\x62\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x70"],

        ["\x63\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x76"],
        ["\x62\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x71"],

        ["\x63\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x77"],
        ["\x62\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x72"],

        ["\x63\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x78"],
        ["\x62\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x73"],

        ["\x63\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x80"],
        ["\x62\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x74"],

        ["\x63\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x8B"],
        ["\x62\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x75"],

        ["\x63\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x9B"],
        ["\x62\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x76"],

        ["\x63\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x9C"],
        ["\x62\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x77"],

        ["\x63\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xA0"],
        ["\x62\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x78"],

        ["\x63\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xAB"],
        ["\x62\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x79"],

        ["\x63\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xB0"],
        ["\x62\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x7A"],

        ["\x63\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xC0"],
        ["\x62\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x7B"],

        ["\x63\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6A"],
        ["\x62\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x7C"],

        ["\x63\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xD0"],
        ["\x62\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x7D"],

        ["\x63\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x62\xA1"],
        ["\x62\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x63\x7E"],

        ["\x64\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4F"],
        ["\x63\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x21"],

        ["\x64\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7F"],
        ["\x63\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x22"],

        ["\x64\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7B"],
        ["\x63\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x23"],

        ["\x64\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE0"],
        ["\x63\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x24"],

        ["\x64\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6C"],
        ["\x63\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x25"],

        ["\x64\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x50"],
        ["\x63\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x26"],

        ["\x64\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7D"],
        ["\x63\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x27"],

        ["\x64\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4D"],
        ["\x63\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x28"],

        ["\x64\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5D"],
        ["\x63\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x29"],

        ["\x64\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5C"],
        ["\x63\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x2A"],

        ["\x64\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4E"],
        ["\x63\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x2B"],

        ["\x64\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6B"],
        ["\x63\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x2C"],

        ["\x64\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x60"],
        ["\x63\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x2D"],

        ["\x64\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4B"],
        ["\x63\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x2E"],

        ["\x64\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x61"],
        ["\x63\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x2F"],

        ["\x64\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF0"],
        ["\x63\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x30"],

        ["\x64\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF1"],
        ["\x63\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x31"],

        ["\x64\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF2"],
        ["\x63\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x32"],

        ["\x64\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF3"],
        ["\x63\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x33"],

        ["\x64\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF4"],
        ["\x63\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x34"],

        ["\x64\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF5"],
        ["\x63\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x35"],

        ["\x64\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF6"],
        ["\x63\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x36"],

        ["\x64\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF7"],
        ["\x63\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x37"],

        ["\x64\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF8"],
        ["\x63\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x38"],

        ["\x64\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xF9"],
        ["\x63\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x39"],

        ["\x64\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7A"],
        ["\x63\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x3A"],

        ["\x64\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5E"],
        ["\x63\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x3B"],

        ["\x64\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4C"],
        ["\x63\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x3C"],

        ["\x64\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7E"],
        ["\x63\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x3D"],

        ["\x64\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6E"],
        ["\x63\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x3E"],

        ["\x64\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6F"],
        ["\x63\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x3F"],

        ["\x64\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7C"],
        ["\x63\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x40"],

        ["\x64\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC1"],
        ["\x63\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x41"],

        ["\x64\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC2"],
        ["\x63\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x42"],

        ["\x64\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC3"],
        ["\x63\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x43"],

        ["\x64\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC4"],
        ["\x63\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x44"],

        ["\x64\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC5"],
        ["\x63\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x45"],

        ["\x4F\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF6"],
        ["\xD6\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4F\x36"],

        ["\x64\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC7"],
        ["\x63\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x47"],

        ["\x64\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC8"],
        ["\x63\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x48"],

        ["\x64\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC9"],
        ["\x63\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x49"],

        ["\x64\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD1"],
        ["\x63\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x4A"],

        ["\x64\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD2"],
        ["\x63\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x4B"],

        ["\x64\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD3"],
        ["\x63\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x4C"],

        ["\x64\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD4"],
        ["\x63\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x4D"],

        ["\x64\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD5"],
        ["\x63\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x4E"],

        ["\x64\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD6"],
        ["\x63\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x4F"],

        ["\x64\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD7"],
        ["\x63\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x50"],

        ["\x64\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD8"],
        ["\x63\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x51"],

        ["\x64\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD9"],
        ["\x63\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x52"],

        ["\x64\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE2"],
        ["\x63\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x53"],

        ["\x64\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE3"],
        ["\x63\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x54"],

        ["\x64\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE4"],
        ["\x63\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x55"],

        ["\x64\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE5"],
        ["\x63\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x56"],

        ["\x64\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE6"],
        ["\x63\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x57"],

        ["\x64\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE7"],
        ["\x63\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x58"],

        ["\x64\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE8"],
        ["\x63\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x59"],

        ["\x64\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xE9"],
        ["\x63\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x5A"],

        ["\x64\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4A"],
        ["\x63\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x5B"],

        ["\x64\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5B"],
        ["\x63\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x5C"],

        ["\x64\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5A"],
        ["\x63\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x5D"],

        ["\x64\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5F"],
        ["\x63\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x5E"],

        ["\x64\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6D"],
        ["\x63\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x5F"],

        ["\x64\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x79"],
        ["\x63\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x60"],

        ["\x64\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x57"],
        ["\x63\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x61"],

        ["\x64\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x59"],
        ["\x63\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x62"],

        ["\x64\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x62"],
        ["\x63\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x63"],

        ["\x64\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x63"],
        ["\x63\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x64"],

        ["\x64\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x64"],
        ["\x63\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x65"],

        ["\x64\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x65"],
        ["\x63\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x66"],

        ["\x64\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x66"],
        ["\x63\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x67"],

        ["\x64\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x67"],
        ["\x63\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x68"],

        ["\x64\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x68"],
        ["\x63\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x69"],

        ["\x64\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x69"],
        ["\x63\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x6A"],

        ["\x64\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x70"],
        ["\x63\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x6B"],

        ["\x64\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x71"],
        ["\x63\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x6C"],

        ["\x64\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x72"],
        ["\x63\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x6D"],

        ["\x64\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x73"],
        ["\x63\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x6E"],

        ["\x64\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x74"],
        ["\x63\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x6F"],

        ["\x64\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x75"],
        ["\x63\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x70"],

        ["\x64\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x76"],
        ["\x63\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x71"],

        ["\x64\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x77"],
        ["\x63\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x72"],

        ["\x64\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x78"],
        ["\x63\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x73"],

        ["\x64\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x80"],
        ["\x63\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x74"],

        ["\x64\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x8B"],
        ["\x63\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x75"],

        ["\x64\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x9B"],
        ["\x63\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x76"],

        ["\x64\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x9C"],
        ["\x63\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x77"],

        ["\x64\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xA0"],
        ["\x63\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x78"],

        ["\x64\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xAB"],
        ["\x63\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x79"],

        ["\x64\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xB0"],
        ["\x63\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x7A"],

        ["\x64\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xC0"],
        ["\x63\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x7B"],

        ["\x64\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6A"],
        ["\x63\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x7C"],

        ["\x64\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xD0"],
        ["\x63\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x7D"],

        ["\x64\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x63\xA1"],
        ["\x63\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x64\x7E"],

        ["\x65\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4F"],
        ["\x64\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x21"],

        ["\x65\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7F"],
        ["\x64\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x22"],

        ["\x65\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7B"],
        ["\x64\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x23"],

        ["\x65\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE0"],
        ["\x64\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x24"],

        ["\x65\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6C"],
        ["\x64\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x25"],

        ["\x65\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x50"],
        ["\x64\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x26"],

        ["\x65\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7D"],
        ["\x64\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x27"],

        ["\x65\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4D"],
        ["\x64\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x28"],

        ["\x65\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5D"],
        ["\x64\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x29"],

        ["\x65\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5C"],
        ["\x64\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x2A"],

        ["\x65\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4E"],
        ["\x64\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x2B"],

        ["\x65\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6B"],
        ["\x64\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x2C"],

        ["\x65\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x60"],
        ["\x64\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x2D"],

        ["\x65\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4B"],
        ["\x64\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x2E"],

        ["\x65\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x61"],
        ["\x64\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x2F"],

        ["\x65\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF0"],
        ["\x64\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x30"],

        ["\x65\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF1"],
        ["\x64\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x31"],

        ["\x65\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF2"],
        ["\x64\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x32"],

        ["\x65\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF3"],
        ["\x64\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x33"],

        ["\x65\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF4"],
        ["\x64\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x34"],

        ["\x65\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF5"],
        ["\x64\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x35"],

        ["\x65\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF6"],
        ["\x64\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x36"],

        ["\x65\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF7"],
        ["\x64\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x37"],

        ["\x65\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF8"],
        ["\x64\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x38"],

        ["\x65\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xF9"],
        ["\x64\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x39"],

        ["\x65\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7A"],
        ["\x64\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x3A"],

        ["\x65\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5E"],
        ["\x64\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x3B"],

        ["\x65\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4C"],
        ["\x64\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x3C"],

        ["\x65\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7E"],
        ["\x64\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x3D"],

        ["\x65\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6E"],
        ["\x64\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x3E"],

        ["\x65\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6F"],
        ["\x64\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x3F"],

        ["\x65\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7C"],
        ["\x64\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x40"],

        ["\x65\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC1"],
        ["\x64\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x41"],

        ["\x65\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC2"],
        ["\x64\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x42"],

        ["\x65\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC3"],
        ["\x64\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x43"],

        ["\x65\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC4"],
        ["\x64\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x44"],

        ["\x65\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC5"],
        ["\x64\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x45"],

        ["\x65\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC6"],
        ["\x64\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x46"],

        ["\x65\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC7"],
        ["\x64\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x47"],

        ["\x65\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC8"],
        ["\x64\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x48"],

        ["\x65\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC9"],
        ["\x64\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x49"],

        ["\x65\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD1"],
        ["\x64\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x4A"],

        ["\x65\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD2"],
        ["\x64\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x4B"],

        ["\x65\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD3"],
        ["\x64\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x4C"],

        ["\x65\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD4"],
        ["\x64\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x4D"],

        ["\x65\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD5"],
        ["\x64\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x4E"],

        ["\x65\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD6"],
        ["\x64\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x4F"],

        ["\x65\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD7"],
        ["\x64\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x50"],

        ["\x65\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD8"],
        ["\x64\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x51"],

        ["\x65\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD9"],
        ["\x64\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x52"],

        ["\x65\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE2"],
        ["\x64\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x53"],

        ["\x65\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE3"],
        ["\x64\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x54"],

        ["\x65\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE4"],
        ["\x64\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x55"],

        ["\x65\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE5"],
        ["\x64\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x56"],

        ["\x65\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE6"],
        ["\x64\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x57"],

        ["\x65\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE7"],
        ["\x64\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x58"],

        ["\x65\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE8"],
        ["\x64\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x59"],

        ["\x65\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xE9"],
        ["\x64\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x5A"],

        ["\x65\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4A"],
        ["\x64\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x5B"],

        ["\x65\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5B"],
        ["\x64\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x5C"],

        ["\x65\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5A"],
        ["\x64\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x5D"],

        ["\x65\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5F"],
        ["\x64\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x5E"],

        ["\x65\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6D"],
        ["\x64\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x5F"],

        ["\x65\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x79"],
        ["\x64\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x60"],

        ["\x65\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x57"],
        ["\x64\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x61"],

        ["\x65\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x59"],
        ["\x64\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x62"],

        ["\x65\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x62"],
        ["\x64\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x63"],

        ["\x65\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x63"],
        ["\x64\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x64"],

        ["\x65\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x64"],
        ["\x64\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x65"],

        ["\x65\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x65"],
        ["\x64\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x66"],

        ["\x65\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x66"],
        ["\x64\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x67"],

        ["\x65\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x67"],
        ["\x64\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x68"],

        ["\x65\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x68"],
        ["\x64\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x69"],

        ["\x65\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x69"],
        ["\x64\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x6A"],

        ["\x65\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x70"],
        ["\x64\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x6B"],

        ["\x65\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x71"],
        ["\x64\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x6C"],

        ["\x65\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x72"],
        ["\x64\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x6D"],

        ["\x65\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x73"],
        ["\x64\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x6E"],

        ["\x65\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x74"],
        ["\x64\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x6F"],

        ["\x65\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x75"],
        ["\x64\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x70"],

        ["\x65\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x76"],
        ["\x64\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x71"],

        ["\x65\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x77"],
        ["\x64\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x72"],

        ["\x65\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x78"],
        ["\x64\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x73"],

        ["\x65\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x80"],
        ["\x64\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x74"],

        ["\x65\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x8B"],
        ["\x64\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x75"],

        ["\x65\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x9B"],
        ["\x64\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x76"],

        ["\x65\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x9C"],
        ["\x64\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x77"],

        ["\x65\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xA0"],
        ["\x64\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x78"],

        ["\x65\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xAB"],
        ["\x64\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x79"],

        ["\x65\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xB0"],
        ["\x64\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x7A"],

        ["\x65\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xC0"],
        ["\x64\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x7B"],

        ["\x65\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6A"],
        ["\x64\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x7C"],

        ["\x65\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xD0"],
        ["\x64\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x7D"],

        ["\x65\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x64\xA1"],
        ["\x64\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x65\x7E"],

        ["\x66\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4F"],
        ["\x65\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x21"],

        ["\x66\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7F"],
        ["\x65\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x22"],

        ["\x66\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7B"],
        ["\x65\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x23"],

        ["\x66\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE0"],
        ["\x65\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x24"],

        ["\x66\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6C"],
        ["\x65\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x25"],

        ["\x66\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x50"],
        ["\x65\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x26"],

        ["\x66\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7D"],
        ["\x65\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x27"],

        ["\x66\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4D"],
        ["\x65\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x28"],

        ["\x66\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5D"],
        ["\x65\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x29"],

        ["\x66\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5C"],
        ["\x65\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x2A"],

        ["\x66\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4E"],
        ["\x65\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x2B"],

        ["\x66\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6B"],
        ["\x65\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x2C"],

        ["\x66\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x60"],
        ["\x65\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x2D"],

        ["\x66\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4B"],
        ["\x65\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x2E"],

        ["\x66\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x61"],
        ["\x65\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x2F"],

        ["\x66\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF0"],
        ["\x65\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x30"],

        ["\x66\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF1"],
        ["\x65\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x31"],

        ["\x66\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF2"],
        ["\x65\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x32"],

        ["\x66\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF3"],
        ["\x65\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x33"],

        ["\x66\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF4"],
        ["\x65\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x34"],

        ["\x66\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF5"],
        ["\x65\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x35"],

        ["\x66\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF6"],
        ["\x65\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x36"],

        ["\x66\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF7"],
        ["\x65\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x37"],

        ["\x66\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF8"],
        ["\x65\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x38"],

        ["\x66\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xF9"],
        ["\x65\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x39"],

        ["\x66\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7A"],
        ["\x65\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x3A"],

        ["\x66\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5E"],
        ["\x65\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x3B"],

        ["\x66\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4C"],
        ["\x65\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x3C"],

        ["\x66\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7E"],
        ["\x65\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x3D"],

        ["\x66\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6E"],
        ["\x65\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x3E"],

        ["\x66\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6F"],
        ["\x65\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x3F"],

        ["\x66\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7C"],
        ["\x65\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x40"],

        ["\x66\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC1"],
        ["\x65\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x41"],

        ["\x66\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC2"],
        ["\x65\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x42"],

        ["\x66\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC3"],
        ["\x65\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x43"],

        ["\x66\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC4"],
        ["\x65\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x44"],

        ["\x66\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC5"],
        ["\x65\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x45"],

        ["\x66\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC6"],
        ["\x65\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x46"],

        ["\x66\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC7"],
        ["\x65\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x47"],

        ["\x66\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC8"],
        ["\x65\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x48"],

        ["\x66\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC9"],
        ["\x65\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x49"],

        ["\x66\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD1"],
        ["\x65\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x4A"],

        ["\x66\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD2"],
        ["\x65\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x4B"],

        ["\x66\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD3"],
        ["\x65\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x4C"],

        ["\x66\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD4"],
        ["\x65\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x4D"],

        ["\x66\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD5"],
        ["\x65\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x4E"],

        ["\x66\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD6"],
        ["\x65\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x4F"],

        ["\x66\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD7"],
        ["\x65\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x50"],

        ["\x66\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD8"],
        ["\x65\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x51"],

        ["\x66\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD9"],
        ["\x65\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x52"],

        ["\x66\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE2"],
        ["\x65\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x53"],

        ["\x66\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE3"],
        ["\x65\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x54"],

        ["\x66\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE4"],
        ["\x65\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x55"],

        ["\x66\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE5"],
        ["\x65\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x56"],

        ["\x66\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE6"],
        ["\x65\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x57"],

        ["\x66\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE7"],
        ["\x65\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x58"],

        ["\x66\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE8"],
        ["\x65\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x59"],

        ["\x66\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xE9"],
        ["\x65\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x5A"],

        ["\x66\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4A"],
        ["\x65\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x5B"],

        ["\x66\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5B"],
        ["\x65\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x5C"],

        ["\x66\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5A"],
        ["\x65\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x5D"],

        ["\x66\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5F"],
        ["\x65\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x5E"],

        ["\x66\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6D"],
        ["\x65\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x5F"],

        ["\x66\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x79"],
        ["\x65\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x60"],

        ["\x66\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x57"],
        ["\x65\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x61"],

        ["\x66\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x59"],
        ["\x65\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x62"],

        ["\x66\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x62"],
        ["\x65\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x63"],

        ["\x66\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x63"],
        ["\x65\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x64"],

        ["\x66\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x64"],
        ["\x65\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x65"],

        ["\x66\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x65"],
        ["\x65\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x66"],

        ["\x66\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x66"],
        ["\x65\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x67"],

        ["\x66\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x67"],
        ["\x65\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x68"],

        ["\x66\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x68"],
        ["\x65\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x69"],

        ["\x66\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x69"],
        ["\x65\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x6A"],

        ["\x66\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x70"],
        ["\x65\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x6B"],

        ["\x66\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x71"],
        ["\x65\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x6C"],

        ["\x66\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x72"],
        ["\x65\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x6D"],

        ["\x66\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x73"],
        ["\x65\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x6E"],

        ["\x66\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x74"],
        ["\x65\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x6F"],

        ["\x66\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x75"],
        ["\x65\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x70"],

        ["\x66\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x76"],
        ["\x65\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x71"],

        ["\x66\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x77"],
        ["\x65\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x72"],

        ["\x66\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x78"],
        ["\x65\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x73"],

        ["\x66\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x80"],
        ["\x65\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x74"],

        ["\x66\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x8B"],
        ["\x65\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x75"],

        ["\x66\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x9B"],
        ["\x65\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x76"],

        ["\x66\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x9C"],
        ["\x65\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x77"],

        ["\x66\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xA0"],
        ["\x65\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x78"],

        ["\x66\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xAB"],
        ["\x65\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x79"],

        ["\x66\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xB0"],
        ["\x65\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x7A"],

        ["\x66\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xC0"],
        ["\x65\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x7B"],

        ["\x66\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6A"],
        ["\x65\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x7C"],

        ["\x66\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xD0"],
        ["\x65\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x7D"],

        ["\x66\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x65\xA1"],
        ["\x65\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x66\x7E"],

        ["\x67\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4F"],
        ["\x66\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x21"],

        ["\x67\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7F"],
        ["\x66\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x22"],

        ["\x67\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7B"],
        ["\x66\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x23"],

        ["\x67\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xE0"],
        ["\x66\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x24"],

        ["\x67\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6C"],
        ["\x66\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x25"],

        ["\x67\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x50"],
        ["\x66\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x26"],

        ["\x67\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7D"],
        ["\x66\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x27"],

        ["\x67\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4D"],
        ["\x66\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x28"],

        ["\x67\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5D"],
        ["\x66\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x29"],

        ["\x67\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5C"],
        ["\x66\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x2A"],

        ["\x67\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4E"],
        ["\x66\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x2B"],

        ["\x67\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6B"],
        ["\x66\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x2C"],

        ["\x67\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x60"],
        ["\x66\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x2D"],

        ["\x67\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4B"],
        ["\x66\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x2E"],

        ["\x67\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x61"],
        ["\x66\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x2F"],

        ["\x67\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF0"],
        ["\x66\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x30"],

        ["\x67\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF1"],
        ["\x66\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x31"],

        ["\x67\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF2"],
        ["\x66\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x32"],

        ["\x67\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF3"],
        ["\x66\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x33"],

        ["\x67\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF4"],
        ["\x66\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x34"],

        ["\x67\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF5"],
        ["\x66\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x35"],

        ["\x67\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF6"],
        ["\x66\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x36"],

        ["\x67\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF7"],
        ["\x66\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x37"],

        ["\x67\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF8"],
        ["\x66\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x38"],

        ["\x67\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xF9"],
        ["\x66\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x39"],

        ["\x67\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7A"],
        ["\x66\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x3A"],

        ["\x67\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5E"],
        ["\x66\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x3B"],

        ["\x67\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4C"],
        ["\x66\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x3C"],

        ["\x67\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7E"],
        ["\x66\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x3D"],

        ["\x67\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6E"],
        ["\x66\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x3E"],

        ["\x67\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6F"],
        ["\x66\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x3F"],

        ["\x67\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7C"],
        ["\x66\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x40"],

        ["\x67\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC1"],
        ["\x66\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x41"],

        ["\x67\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC2"],
        ["\x66\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x42"],

        ["\x67\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC3"],
        ["\x66\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x43"],

        ["\x67\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC4"],
        ["\x66\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x44"],

        ["\x67\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC5"],
        ["\x66\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x45"],

        ["\x67\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC6"],
        ["\x66\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x46"],

        ["\x67\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC7"],
        ["\x66\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x47"],

        ["\x67\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC8"],
        ["\x66\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x48"],

        ["\x67\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC9"],
        ["\x66\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x49"],

        ["\x67\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD1"],
        ["\x66\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x4A"],

        ["\x67\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD2"],
        ["\x66\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x4B"],

        ["\x67\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD3"],
        ["\x66\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x4C"],

        ["\x67\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD4"],
        ["\x66\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x4D"],

        ["\x67\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD5"],
        ["\x66\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x4E"],

        ["\x67\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD6"],
        ["\x66\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x4F"],

        ["\x67\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD7"],
        ["\x66\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x50"],

        ["\x67\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD8"],
        ["\x66\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x51"],

        ["\x67\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD9"],
        ["\x66\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x52"],

        ["\x67\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xE2"],
        ["\x66\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x53"],

        ["\x67\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xE3"],
        ["\x66\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x54"],

        ["\x67\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xE4"],
        ["\x66\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x55"],

        ["\x67\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xE5"],
        ["\x66\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x56"],

        ["\x67\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xE6"],
        ["\x66\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x57"],

        ["\x67\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xE7"],
        ["\x66\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x58"],

        ["\x67\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xE8"],
        ["\x66\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x59"],

        ["\x67\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xE9"],
        ["\x66\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x5A"],

        ["\x67\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4A"],
        ["\x66\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x5B"],

        ["\x67\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5B"],
        ["\x66\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x5C"],

        ["\x67\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5A"],
        ["\x66\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x5D"],

        ["\x67\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5F"],
        ["\x66\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x5E"],

        ["\x67\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6D"],
        ["\x66\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x5F"],

        ["\x67\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x79"],
        ["\x66\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x60"],

        ["\x67\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x57"],
        ["\x66\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x61"],

        ["\x67\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x59"],
        ["\x66\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x62"],

        ["\x67\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x62"],
        ["\x66\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x63"],

        ["\x67\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x63"],
        ["\x66\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x64"],

        ["\x67\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x64"],
        ["\x66\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x65"],

        ["\x67\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x65"],
        ["\x66\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x66"],

        ["\x67\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x66"],
        ["\x66\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x67"],

        ["\x67\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x67"],
        ["\x66\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x68"],

        ["\x67\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x68"],
        ["\x66\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x69"],

        ["\x67\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x69"],
        ["\x66\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x6A"],

        ["\x67\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x70"],
        ["\x66\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x6B"],

        ["\x67\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x71"],
        ["\x66\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x6C"],

        ["\x67\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x72"],
        ["\x66\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x6D"],

        ["\x67\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x73"],
        ["\x66\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x6E"],

        ["\x67\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x74"],
        ["\x66\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x6F"],

        ["\x67\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x75"],
        ["\x66\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x70"],

        ["\x67\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x76"],
        ["\x66\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x71"],

        ["\x67\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x77"],
        ["\x66\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x72"],

        ["\x67\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x78"],
        ["\x66\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x73"],

        ["\x67\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x80"],
        ["\x66\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x74"],

        ["\x67\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x8B"],
        ["\x66\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x75"],

        ["\x67\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x9B"],
        ["\x66\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x76"],

        ["\x67\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x9C"],
        ["\x66\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x77"],

        ["\x67\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xA0"],
        ["\x66\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x78"],

        ["\x67\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xAB"],
        ["\x66\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x79"],

        ["\x67\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xB0"],
        ["\x66\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x7A"],

        ["\x67\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xC0"],
        ["\x66\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x7B"],

        ["\x67\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6A"],
        ["\x66\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x7C"],

        ["\x67\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xD0"],
        ["\x66\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x7D"],

        ["\x67\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x66\xA1"],
        ["\x66\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x67\x7E"],

        ["\x68\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4F"],
        ["\x67\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x21"],

        ["\x68\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7F"],
        ["\x67\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x22"],

        ["\x68\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7B"],
        ["\x67\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x23"],

        ["\x68\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xE0"],
        ["\x67\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x24"],

        ["\x68\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6C"],
        ["\x67\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x25"],

        ["\x68\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x50"],
        ["\x67\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x26"],

        ["\x68\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7D"],
        ["\x67\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x27"],

        ["\x68\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4D"],
        ["\x67\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x28"],

        ["\x68\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5D"],
        ["\x67\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x29"],

        ["\x68\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5C"],
        ["\x67\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x2A"],

        ["\x68\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4E"],
        ["\x67\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x2B"],

        ["\x68\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6B"],
        ["\x67\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x2C"],

        ["\x68\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x60"],
        ["\x67\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x2D"],

        ["\x68\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4B"],
        ["\x67\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x2E"],

        ["\x68\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x61"],
        ["\x67\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x2F"],

        ["\x68\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF0"],
        ["\x67\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x30"],

        ["\x68\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF1"],
        ["\x67\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x31"],

        ["\x68\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF2"],
        ["\x67\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x32"],

        ["\x68\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF3"],
        ["\x67\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x33"],

        ["\x68\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF4"],
        ["\x67\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x34"],

        ["\x68\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF5"],
        ["\x67\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x35"],

        ["\x68\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF6"],
        ["\x67\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x36"],

        ["\x68\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF7"],
        ["\x67\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x37"],

        ["\x68\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF8"],
        ["\x67\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x38"],

        ["\x68\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xF9"],
        ["\x67\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x39"],

        ["\x68\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7A"],
        ["\x67\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x3A"],

        ["\x68\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5E"],
        ["\x67\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x3B"],

        ["\x68\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4C"],
        ["\x67\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x3C"],

        ["\x68\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7E"],
        ["\x67\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x3D"],

        ["\x68\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6E"],
        ["\x67\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x3E"],

        ["\x68\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6F"],
        ["\x67\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x3F"],

        ["\x68\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7C"],
        ["\x67\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x40"],

        ["\x68\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC1"],
        ["\x67\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x41"],

        ["\x68\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC2"],
        ["\x67\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x42"],

        ["\x68\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC3"],
        ["\x67\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x43"],

        ["\x68\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC4"],
        ["\x67\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x44"],

        ["\x68\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC5"],
        ["\x67\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x45"],

        ["\x68\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC6"],
        ["\x67\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x46"],

        ["\x68\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC7"],
        ["\x67\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x47"],

        ["\x68\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC8"],
        ["\x67\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x48"],

        ["\x68\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC9"],
        ["\x67\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x49"],

        ["\x68\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD1"],
        ["\x67\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x4A"],

        ["\x68\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD2"],
        ["\x67\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x4B"],

        ["\x68\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD3"],
        ["\x67\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x4C"],

        ["\x68\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD4"],
        ["\x67\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x4D"],

        ["\x68\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD5"],
        ["\x67\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x4E"],

        ["\x68\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD6"],
        ["\x67\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x4F"],

        ["\x68\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD7"],
        ["\x67\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x50"],

        ["\x68\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD8"],
        ["\x67\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x51"],

        ["\x68\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD9"],
        ["\x67\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x52"],

        ["\x68\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xE2"],
        ["\x67\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x53"],

        ["\x68\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xE3"],
        ["\x67\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x54"],

        ["\x68\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xE4"],
        ["\x67\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x55"],

        ["\x68\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xE5"],
        ["\x67\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x56"],

        ["\x68\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xE6"],
        ["\x67\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x57"],

        ["\x68\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xE7"],
        ["\x67\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x58"],

        ["\x68\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xE8"],
        ["\x67\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x59"],

        ["\x68\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xE9"],
        ["\x67\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x5A"],

        ["\x68\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4A"],
        ["\x67\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x5B"],

        ["\x68\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5B"],
        ["\x67\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x5C"],

        ["\x68\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5A"],
        ["\x67\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x5D"],

        ["\x68\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5F"],
        ["\x67\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x5E"],

        ["\x68\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6D"],
        ["\x67\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x5F"],

        ["\x68\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x79"],
        ["\x67\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x60"],

        ["\x68\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x57"],
        ["\x67\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x61"],

        ["\x68\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x59"],
        ["\x67\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x62"],

        ["\x68\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x62"],
        ["\x67\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x63"],

        ["\x68\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x63"],
        ["\x67\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x64"],

        ["\x68\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x64"],
        ["\x67\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x65"],

        ["\x68\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x65"],
        ["\x67\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x66"],

        ["\x68\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x66"],
        ["\x67\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x67"],

        ["\x68\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x67"],
        ["\x67\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x68"],

        ["\x68\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x68"],
        ["\x67\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x69"],

        ["\x68\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x69"],
        ["\x67\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x6A"],

        ["\x68\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x70"],
        ["\x67\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x6B"],

        ["\x68\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x71"],
        ["\x67\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x6C"],

        ["\x68\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x72"],
        ["\x67\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x6D"],

        ["\x68\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x73"],
        ["\x67\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x6E"],

        ["\x68\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x74"],
        ["\x67\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x6F"],

        ["\x68\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x75"],
        ["\x67\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x70"],

        ["\x68\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x76"],
        ["\x67\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x71"],

        ["\x68\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x77"],
        ["\x67\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x72"],

        ["\x68\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x78"],
        ["\x67\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x73"],

        ["\x68\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x80"],
        ["\x67\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x74"],

        ["\x68\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x8B"],
        ["\x67\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x75"],

        ["\x68\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x9B"],
        ["\x67\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x76"],

        ["\x68\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x9C"],
        ["\x67\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x77"],

        ["\x68\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xA0"],
        ["\x67\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x78"],

        ["\x68\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xAB"],
        ["\x67\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x79"],

        ["\x68\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xB0"],
        ["\x67\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x7A"],

        ["\x68\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xC0"],
        ["\x67\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x7B"],

        ["\x68\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6A"],
        ["\x67\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x7C"],

        ["\x68\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xD0"],
        ["\x67\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x7D"],

        ["\x68\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x67\xA1"],
        ["\x67\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x68\x7E"],

        ["\x69\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4F"],
        ["\x68\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x21"],

        ["\x3C\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x4C\xC9"],
        ["\x4C\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3C\x49"],

        ["\x69\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7B"],
        ["\x68\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x23"],

        ["\x69\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE0"],
        ["\x68\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x24"],

        ["\x69\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6C"],
        ["\x68\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x25"],

        ["\x69\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x50"],
        ["\x68\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x26"],

        ["\x69\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7D"],
        ["\x68\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x27"],

        ["\x69\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4D"],
        ["\x68\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x28"],

        ["\x69\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5D"],
        ["\x68\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x29"],

        ["\x69\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5C"],
        ["\x68\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x2A"],

        ["\x69\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4E"],
        ["\x68\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x2B"],

        ["\x69\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6B"],
        ["\x68\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x2C"],

        ["\x69\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x60"],
        ["\x68\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x2D"],

        ["\x4C\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAB"],
        ["\xD3\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4C\x79"],

        ["\x69\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x61"],
        ["\x68\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x2F"],

        ["\x69\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF0"],
        ["\x68\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x30"],

        ["\x69\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF1"],
        ["\x68\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x31"],

        ["\x69\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF2"],
        ["\x68\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x32"],

        ["\x69\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF3"],
        ["\x68\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x33"],

        ["\x69\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF4"],
        ["\x68\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x34"],

        ["\x69\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF5"],
        ["\x68\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x35"],

        ["\x69\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF6"],
        ["\x68\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x36"],

        ["\x69\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF7"],
        ["\x68\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x37"],

        ["\x69\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF8"],
        ["\x68\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x38"],

        ["\x69\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xF9"],
        ["\x68\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x39"],

        ["\x69\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7A"],
        ["\x68\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x3A"],

        ["\x69\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5E"],
        ["\x68\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x3B"],

        ["\x69\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4C"],
        ["\x68\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x3C"],

        ["\x69\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7E"],
        ["\x68\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x3D"],

        ["\x69\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6E"],
        ["\x68\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x3E"],

        ["\x69\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6F"],
        ["\x68\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x3F"],

        ["\x69\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7C"],
        ["\x68\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x40"],

        ["\x69\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC1"],
        ["\x68\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x41"],

        ["\x69\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC2"],
        ["\x68\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x42"],

        ["\x69\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC3"],
        ["\x68\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x43"],

        ["\x69\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC4"],
        ["\x68\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x44"],

        ["\x69\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC5"],
        ["\x68\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x45"],

        ["\x69\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC6"],
        ["\x68\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x46"],

        ["\x69\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC7"],
        ["\x68\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x47"],

        ["\x69\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC8"],
        ["\x68\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x48"],

        ["\x69\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC9"],
        ["\x68\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x49"],

        ["\x69\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD1"],
        ["\x68\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x4A"],

        ["\x69\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD2"],
        ["\x68\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x4B"],

        ["\x69\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD3"],
        ["\x68\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x4C"],

        ["\x69\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD4"],
        ["\x68\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x4D"],

        ["\x69\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD5"],
        ["\x68\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x4E"],

        ["\x69\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD6"],
        ["\x68\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x4F"],

        ["\x69\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD7"],
        ["\x68\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x50"],

        ["\x69\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD8"],
        ["\x68\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x51"],

        ["\x69\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD9"],
        ["\x68\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x52"],

        ["\x69\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE2"],
        ["\x68\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x53"],

        ["\x69\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE3"],
        ["\x68\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x54"],

        ["\x69\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE4"],
        ["\x68\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x55"],

        ["\x69\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE5"],
        ["\x68\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x56"],

        ["\x69\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE6"],
        ["\x68\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x57"],

        ["\x69\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE7"],
        ["\x68\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x58"],

        ["\x69\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xE8"],
        ["\x68\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x59"],

        ["\x33\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC2"],
        ["\xF3\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x33\x42"],

        ["\x69\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4A"],
        ["\x68\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x5B"],

        ["\x69\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5B"],
        ["\x68\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x5C"],

        ["\x69\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5A"],
        ["\x68\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x5D"],

        ["\x69\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5F"],
        ["\x68\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x5E"],

        ["\x69\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6D"],
        ["\x68\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x5F"],

        ["\x69\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x79"],
        ["\x68\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x60"],

        ["\x69\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x57"],
        ["\x68\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x61"],

        ["\x69\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x59"],
        ["\x68\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x62"],

        ["\x69\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x62"],
        ["\x68\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x63"],

        ["\x69\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x63"],
        ["\x68\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x64"],

        ["\x69\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x64"],
        ["\x68\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x65"],

        ["\x69\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x65"],
        ["\x68\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x66"],

        ["\x69\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x66"],
        ["\x68\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x67"],

        ["\x69\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x67"],
        ["\x68\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x68"],

        ["\x69\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x68"],
        ["\x68\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x69"],

        ["\x69\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x69"],
        ["\x68\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x6A"],

        ["\x69\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x70"],
        ["\x68\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x6B"],

        ["\x69\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x71"],
        ["\x68\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x6C"],

        ["\x69\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x72"],
        ["\x68\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x6D"],

        ["\x69\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x73"],
        ["\x68\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x6E"],

        ["\x69\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x74"],
        ["\x68\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x6F"],

        ["\x69\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x75"],
        ["\x68\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x70"],

        ["\x69\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x76"],
        ["\x68\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x71"],

        ["\x69\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x77"],
        ["\x68\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x72"],

        ["\x69\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x78"],
        ["\x68\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x73"],

        ["\x69\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x80"],
        ["\x68\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x74"],

        ["\x69\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x8B"],
        ["\x68\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x75"],

        ["\x69\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x9B"],
        ["\x68\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x76"],

        ["\x69\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x9C"],
        ["\x68\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x77"],

        ["\x69\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xA0"],
        ["\x68\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x78"],

        ["\x69\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xAB"],
        ["\x68\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x79"],

        ["\x69\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xB0"],
        ["\x68\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x7A"],

        ["\x69\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xC0"],
        ["\x68\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x7B"],

        ["\x69\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6A"],
        ["\x68\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x7C"],

        ["\x69\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xD0"],
        ["\x68\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x7D"],

        ["\x69\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x68\xA1"],
        ["\x68\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x69\x7E"],

        ["\x6A\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4F"],
        ["\x69\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x21"],

        ["\x6A\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7F"],
        ["\x69\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x22"],

        ["\x6A\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7B"],
        ["\x69\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x23"],

        ["\x47\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x67"],
        ["\xC7\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x47\x68"],

        ["\x6A\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6C"],
        ["\x69\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x25"],

        ["\x6A\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x50"],
        ["\x69\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x26"],

        ["\x6A\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7D"],
        ["\x69\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x27"],

        ["\x6A\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4D"],
        ["\x69\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x28"],

        ["\x6A\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5D"],
        ["\x69\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x29"],

        ["\x6A\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5C"],
        ["\x69\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x2A"],

        ["\x6A\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4E"],
        ["\x69\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x2B"],

        ["\x6A\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6B"],
        ["\x69\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x2C"],

        ["\x6A\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x60"],
        ["\x69\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x2D"],

        ["\x6A\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4B"],
        ["\x69\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x2E"],

        ["\x6A\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x61"],
        ["\x69\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x2F"],

        ["\x6A\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF0"],
        ["\x69\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x30"],

        ["\x6A\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF1"],
        ["\x69\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x31"],

        ["\x6A\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF2"],
        ["\x69\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x32"],

        ["\x6A\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF3"],
        ["\x69\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x33"],

        ["\x6A\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF4"],
        ["\x69\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x34"],

        ["\x6A\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF5"],
        ["\x69\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x35"],

        ["\x6A\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF6"],
        ["\x69\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x36"],

        ["\x6A\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF7"],
        ["\x69\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x37"],

        ["\x6A\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF8"],
        ["\x69\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x38"],

        ["\x6A\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xF9"],
        ["\x69\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x39"],

        ["\x6A\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7A"],
        ["\x69\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x3A"],

        ["\x6A\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5E"],
        ["\x69\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x3B"],

        ["\x6A\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4C"],
        ["\x69\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x3C"],

        ["\x6A\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7E"],
        ["\x69\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x3D"],

        ["\x6A\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6E"],
        ["\x69\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x3E"],

        ["\x6A\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6F"],
        ["\x69\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x3F"],

        ["\x6A\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7C"],
        ["\x69\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x40"],

        ["\x6A\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC1"],
        ["\x69\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x41"],

        ["\x6A\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC2"],
        ["\x69\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x42"],

        ["\x6A\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC3"],
        ["\x69\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x43"],

        ["\x6A\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC4"],
        ["\x69\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x44"],

        ["\x6A\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC5"],
        ["\x69\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x45"],

        ["\x6A\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC6"],
        ["\x69\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x46"],

        ["\x6A\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC7"],
        ["\x69\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x47"],

        ["\x6A\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC8"],
        ["\x69\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x48"],

        ["\x6A\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC9"],
        ["\x69\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x49"],

        ["\x6A\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD1"],
        ["\x69\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x4A"],

        ["\x6A\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD2"],
        ["\x69\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x4B"],

        ["\x6A\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD3"],
        ["\x69\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x4C"],

        ["\x6A\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD4"],
        ["\x69\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x4D"],

        ["\x6A\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD5"],
        ["\x69\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x4E"],

        ["\x6A\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD6"],
        ["\x69\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x4F"],

        ["\x6A\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD7"],
        ["\x69\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x50"],

        ["\x6A\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD8"],
        ["\x69\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x51"],

        ["\x6A\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD9"],
        ["\x69\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x52"],

        ["\x6A\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE2"],
        ["\x69\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x53"],

        ["\x6A\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE3"],
        ["\x69\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x54"],

        ["\x6A\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE4"],
        ["\x69\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x55"],

        ["\x6A\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE5"],
        ["\x69\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x56"],

        ["\x6A\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE6"],
        ["\x69\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x57"],

        ["\x6A\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE7"],
        ["\x69\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x58"],

        ["\x6A\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE8"],
        ["\x69\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x59"],

        ["\x6A\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xE9"],
        ["\x69\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x5A"],

        ["\x6A\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4A"],
        ["\x69\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x5B"],

        ["\x6A\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5B"],
        ["\x69\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x5C"],

        ["\x6A\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5A"],
        ["\x69\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x5D"],

        ["\x6A\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5F"],
        ["\x69\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x5E"],

        ["\x6A\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6D"],
        ["\x69\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x5F"],

        ["\x6A\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x79"],
        ["\x69\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x60"],

        ["\x6A\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x57"],
        ["\x69\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x61"],

        ["\x6A\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x59"],
        ["\x69\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x62"],

        ["\x6A\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x62"],
        ["\x69\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x63"],

        ["\x6A\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x63"],
        ["\x69\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x64"],

        ["\x6A\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x64"],
        ["\x69\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x65"],

        ["\x6A\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x65"],
        ["\x69\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x66"],

        ["\x6A\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x66"],
        ["\x69\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x67"],

        ["\x6A\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x67"],
        ["\x69\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x68"],

        ["\x6A\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x68"],
        ["\x69\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x69"],

        ["\x6A\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x69"],
        ["\x69\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x6A"],

        ["\x6A\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x70"],
        ["\x69\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x6B"],

        ["\x6A\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x71"],
        ["\x69\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x6C"],

        ["\x6A\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x72"],
        ["\x69\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x6D"],

        ["\x6A\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x73"],
        ["\x69\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x6E"],

        ["\x6A\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x74"],
        ["\x69\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x6F"],

        ["\x6A\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x75"],
        ["\x69\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x70"],

        ["\x6A\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x76"],
        ["\x69\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x71"],

        ["\x6A\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x77"],
        ["\x69\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x72"],

        ["\x6A\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x78"],
        ["\x69\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x73"],

        ["\x6A\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x80"],
        ["\x69\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x74"],

        ["\x6A\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x8B"],
        ["\x69\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x75"],

        ["\x6A\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x9B"],
        ["\x69\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x76"],

        ["\x6A\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x9C"],
        ["\x69\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x77"],

        ["\x6A\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xA0"],
        ["\x69\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x78"],

        ["\x6A\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xAB"],
        ["\x69\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x79"],

        ["\x6A\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xB0"],
        ["\x69\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x7A"],

        ["\x6A\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xC0"],
        ["\x69\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x7B"],

        ["\x6A\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6A"],
        ["\x69\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x7C"],

        ["\x6A\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xD0"],
        ["\x69\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x7D"],

        ["\x6A\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x69\xA1"],
        ["\x69\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6A\x7E"],

        ["\x6B\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4F"],
        ["\x70\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x21"],

        ["\x6B\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7F"],
        ["\x70\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x22"],

        ["\x6B\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7B"],
        ["\x70\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x23"],

        ["\x6B\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE0"],
        ["\x70\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x24"],

        ["\x6B\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6C"],
        ["\x70\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x25"],

        ["\x6B\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x50"],
        ["\x70\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x26"],

        ["\x6B\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7D"],
        ["\x70\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x27"],

        ["\x6B\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4D"],
        ["\x70\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x28"],

        ["\x6B\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5D"],
        ["\x70\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x29"],

        ["\x6B\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5C"],
        ["\x70\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x2A"],

        ["\x6B\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4E"],
        ["\x70\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x2B"],

        ["\x6B\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6B"],
        ["\x70\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x2C"],

        ["\x6B\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x60"],
        ["\x70\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x2D"],

        ["\x6B\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4B"],
        ["\x70\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x2E"],

        ["\x6B\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x61"],
        ["\x70\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x2F"],

        ["\x6B\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF0"],
        ["\x70\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x30"],

        ["\x6B\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF1"],
        ["\x70\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x31"],

        ["\x6B\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF2"],
        ["\x70\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x32"],

        ["\x6B\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF3"],
        ["\x70\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x33"],

        ["\x6B\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF4"],
        ["\x70\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x34"],

        ["\x6B\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF5"],
        ["\x70\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x35"],

        ["\x6B\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF6"],
        ["\x70\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x36"],

        ["\x6B\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF7"],
        ["\x70\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x37"],

        ["\x6B\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF8"],
        ["\x70\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x38"],

        ["\x6B\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xF9"],
        ["\x70\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x39"],

        ["\x6B\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7A"],
        ["\x70\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x3A"],

        ["\x6B\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5E"],
        ["\x70\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x3B"],

        ["\x6B\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4C"],
        ["\x70\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x3C"],

        ["\x6B\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7E"],
        ["\x70\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x3D"],

        ["\x6B\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6E"],
        ["\x70\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x3E"],

        ["\x6B\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6F"],
        ["\x70\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x3F"],

        ["\x6B\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7C"],
        ["\x70\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x40"],

        ["\x6B\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC1"],
        ["\x70\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x41"],

        ["\x6B\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC2"],
        ["\x70\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x42"],

        ["\x6B\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC3"],
        ["\x70\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x43"],

        ["\x6B\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC4"],
        ["\x70\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x44"],

        ["\x6B\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC5"],
        ["\x70\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x45"],

        ["\x6B\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC6"],
        ["\x70\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x46"],

        ["\x6B\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC7"],
        ["\x70\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x47"],

        ["\x6B\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC8"],
        ["\x70\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x48"],

        ["\x6B\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC9"],
        ["\x70\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x49"],

        ["\x6B\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD1"],
        ["\x70\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x4A"],

        ["\x6B\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD2"],
        ["\x70\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x4B"],

        ["\x6B\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD3"],
        ["\x70\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x4C"],

        ["\x6B\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD4"],
        ["\x70\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x4D"],

        ["\x6B\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD5"],
        ["\x70\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x4E"],

        ["\x6B\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD6"],
        ["\x70\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x4F"],

        ["\x6B\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD7"],
        ["\x70\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x50"],

        ["\x6B\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD8"],
        ["\x70\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x51"],

        ["\x6B\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD9"],
        ["\x70\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x52"],

        ["\x6B\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE2"],
        ["\x70\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x53"],

        ["\x6B\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE3"],
        ["\x70\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x54"],

        ["\x6B\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE4"],
        ["\x70\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x55"],

        ["\x6B\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE5"],
        ["\x70\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x56"],

        ["\x6B\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE6"],
        ["\x70\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x57"],

        ["\x6B\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE7"],
        ["\x70\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x58"],

        ["\x6B\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE8"],
        ["\x70\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x59"],

        ["\x6B\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xE9"],
        ["\x70\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x5A"],

        ["\x6B\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4A"],
        ["\x70\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x5B"],

        ["\x6B\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5B"],
        ["\x70\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x5C"],

        ["\x34\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xD9"],
        ["\xF4\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x34\x52"],

        ["\x6B\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5F"],
        ["\x70\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x5E"],

        ["\x6B\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6D"],
        ["\x70\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x5F"],

        ["\x6B\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x79"],
        ["\x70\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x60"],

        ["\x6B\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x57"],
        ["\x70\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x61"],

        ["\x6B\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x59"],
        ["\x70\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x62"],

        ["\x6B\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x62"],
        ["\x70\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x63"],

        ["\x6B\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x63"],
        ["\x70\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x64"],

        ["\x6B\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x64"],
        ["\x70\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x65"],

        ["\x6B\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x65"],
        ["\x70\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x66"],

        ["\x6B\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x66"],
        ["\x70\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x67"],

        ["\x6B\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x67"],
        ["\x70\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x68"],

        ["\x6B\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x68"],
        ["\x70\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x69"],

        ["\x6B\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x69"],
        ["\x70\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x6A"],

        ["\x6B\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x70"],
        ["\x70\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x6B"],

        ["\x6B\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x71"],
        ["\x70\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x6C"],

        ["\x6B\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x72"],
        ["\x70\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x6D"],

        ["\x6B\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x73"],
        ["\x70\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x6E"],

        ["\x6B\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x74"],
        ["\x70\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x6F"],

        ["\x6B\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x75"],
        ["\x70\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x70"],

        ["\x6B\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x76"],
        ["\x70\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x71"],

        ["\x6B\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x77"],
        ["\x70\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x72"],

        ["\x6B\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x78"],
        ["\x70\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x73"],

        ["\x6B\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x80"],
        ["\x70\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x74"],

        ["\x6B\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x8B"],
        ["\x70\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x75"],

        ["\x6B\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x9B"],
        ["\x70\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x76"],

        ["\x6B\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x9C"],
        ["\x70\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x77"],

        ["\x6B\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xA0"],
        ["\x70\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x78"],

        ["\x6B\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xAB"],
        ["\x70\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x79"],

        ["\x6B\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xB0"],
        ["\x70\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x7A"],

        ["\x6B\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xC0"],
        ["\x70\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x7B"],

        ["\x6B\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6A"],
        ["\x70\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x7C"],

        ["\x6B\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xD0"],
        ["\x70\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x7D"],

        ["\x6B\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x70\xA1"],
        ["\x70\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6B\x7E"],

        ["\x6C\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4F"],
        ["\x71\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x21"],

        ["\x6C\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7F"],
        ["\x71\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x22"],

        ["\x6C\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7B"],
        ["\x71\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x23"],

        ["\x6C\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xE0"],
        ["\x71\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x24"],

        ["\x6C\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6C"],
        ["\x71\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x25"],

        ["\x6C\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x50"],
        ["\x71\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x26"],

        ["\x6C\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7D"],
        ["\x71\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x27"],

        ["\x6C\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4D"],
        ["\x71\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x28"],

        ["\x6C\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5D"],
        ["\x71\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x29"],

        ["\x6C\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5C"],
        ["\x71\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x2A"],

        ["\x6C\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4E"],
        ["\x71\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x2B"],

        ["\x6C\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6B"],
        ["\x71\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x2C"],

        ["\x6C\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x60"],
        ["\x71\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x2D"],

        ["\x6C\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4B"],
        ["\x71\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x2E"],

        ["\x6C\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x61"],
        ["\x71\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x2F"],

        ["\x6C\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF0"],
        ["\x71\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x30"],

        ["\x6C\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF1"],
        ["\x71\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x31"],

        ["\x6C\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF2"],
        ["\x71\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x32"],

        ["\x6C\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF3"],
        ["\x71\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x33"],

        ["\x6C\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF4"],
        ["\x71\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x34"],

        ["\x6C\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF5"],
        ["\x71\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x35"],

        ["\x6C\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF6"],
        ["\x71\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x36"],

        ["\x6C\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF7"],
        ["\x71\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x37"],

        ["\x6C\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF8"],
        ["\x71\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x38"],

        ["\x6C\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xF9"],
        ["\x71\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x39"],

        ["\x6C\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7A"],
        ["\x71\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x3A"],

        ["\x6C\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5E"],
        ["\x71\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x3B"],

        ["\x6C\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4C"],
        ["\x71\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x3C"],

        ["\x6C\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7E"],
        ["\x71\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x3D"],

        ["\x6C\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6E"],
        ["\x71\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x3E"],

        ["\x6C\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6F"],
        ["\x71\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x3F"],

        ["\x6C\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7C"],
        ["\x71\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x40"],

        ["\x6C\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC1"],
        ["\x71\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x41"],

        ["\x6C\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC2"],
        ["\x71\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x42"],

        ["\x6C\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC3"],
        ["\x71\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x43"],

        ["\x6C\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC4"],
        ["\x71\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x44"],

        ["\x6C\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC5"],
        ["\x71\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x45"],

        ["\x6C\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC6"],
        ["\x71\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x46"],

        ["\x6C\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC7"],
        ["\x71\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x47"],

        ["\x6C\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC8"],
        ["\x71\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x48"],

        ["\x6C\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC9"],
        ["\x71\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x49"],

        ["\x6C\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD1"],
        ["\x71\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x4A"],

        ["\x6C\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD2"],
        ["\x71\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x4B"],

        ["\x6C\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD3"],
        ["\x71\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x4C"],

        ["\x41\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x4D"],
        ["\xC1\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x41\x28"],

        ["\x6C\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD5"],
        ["\x71\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x4E"],

        ["\x6C\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD6"],
        ["\x71\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x4F"],

        ["\x6C\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD7"],
        ["\x71\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x50"],

        ["\x6C\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD8"],
        ["\x71\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x51"],

        ["\x6C\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD9"],
        ["\x71\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x52"],

        ["\x6C\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xE2"],
        ["\x71\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x53"],

        ["\x6C\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xE3"],
        ["\x71\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x54"],

        ["\x6C\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xE4"],
        ["\x71\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x55"],

        ["\x6C\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xE5"],
        ["\x71\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x56"],

        ["\x6C\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xE6"],
        ["\x71\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x57"],

        ["\x6C\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xE7"],
        ["\x71\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x58"],

        ["\x6C\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xE8"],
        ["\x71\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x59"],

        ["\x6C\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xE9"],
        ["\x71\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x5A"],

        ["\x6C\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4A"],
        ["\x71\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x5B"],

        ["\x6C\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5B"],
        ["\x71\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x5C"],

        ["\x6C\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5A"],
        ["\x71\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x5D"],

        ["\x6C\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5F"],
        ["\x71\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x5E"],

        ["\x6C\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6D"],
        ["\x71\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x5F"],

        ["\x6C\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x79"],
        ["\x71\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x60"],

        ["\x6C\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x57"],
        ["\x71\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x61"],

        ["\x6C\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x59"],
        ["\x71\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x62"],

        ["\x6C\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x62"],
        ["\x71\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x63"],

        ["\x6C\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x63"],
        ["\x71\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x64"],

        ["\x6C\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x64"],
        ["\x71\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x65"],

        ["\x6C\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x65"],
        ["\x71\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x66"],

        ["\x6C\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x66"],
        ["\x71\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x67"],

        ["\x6C\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x67"],
        ["\x71\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x68"],

        ["\x6C\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x68"],
        ["\x71\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x69"],

        ["\x6C\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x69"],
        ["\x71\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x6A"],

        ["\x6C\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x70"],
        ["\x71\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x6B"],

        ["\x6C\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x71"],
        ["\x71\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x6C"],

        ["\x6C\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x72"],
        ["\x71\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x6D"],

        ["\x6C\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x73"],
        ["\x71\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x6E"],

        ["\x6C\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x74"],
        ["\x71\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x6F"],

        ["\x6C\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x75"],
        ["\x71\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x70"],

        ["\x6C\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x76"],
        ["\x71\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x71"],

        ["\x6C\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x77"],
        ["\x71\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x72"],

        ["\x6C\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x78"],
        ["\x71\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x73"],

        ["\x6C\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x80"],
        ["\x71\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x74"],

        ["\x6C\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x8B"],
        ["\x71\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x75"],

        ["\x6C\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x9B"],
        ["\x71\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x76"],

        ["\x6C\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x9C"],
        ["\x71\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x77"],

        ["\x6C\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xA0"],
        ["\x71\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x78"],

        ["\x6C\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xAB"],
        ["\x71\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x79"],

        ["\x6C\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xB0"],
        ["\x71\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x7A"],

        ["\x6C\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xC0"],
        ["\x71\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x7B"],

        ["\x6C\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6A"],
        ["\x71\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x7C"],

        ["\x6C\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xD0"],
        ["\x71\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x7D"],

        ["\x6C\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x71\xA1"],
        ["\x71\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6C\x7E"],

        ["\x6D\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4F"],
        ["\x72\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x21"],

        ["\x6D\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7F"],
        ["\x72\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x22"],

        ["\x6D\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7B"],
        ["\x72\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x23"],

        ["\x6D\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xE0"],
        ["\x72\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x24"],

        ["\x6D\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6C"],
        ["\x72\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x25"],

        ["\x6D\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x50"],
        ["\x72\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x26"],

        ["\x6D\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7D"],
        ["\x72\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x27"],

        ["\x6D\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4D"],
        ["\x72\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x28"],

        ["\x6D\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5D"],
        ["\x72\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x29"],

        ["\x6D\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5C"],
        ["\x72\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x2A"],

        ["\x6D\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4E"],
        ["\x72\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x2B"],

        ["\x6D\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6B"],
        ["\x72\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x2C"],

        ["\x6D\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x60"],
        ["\x72\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x2D"],

        ["\x6D\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4B"],
        ["\x72\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x2E"],

        ["\x6D\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x61"],
        ["\x72\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x2F"],

        ["\x6D\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF0"],
        ["\x72\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x30"],

        ["\x6D\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF1"],
        ["\x72\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x31"],

        ["\x6D\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF2"],
        ["\x72\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x32"],

        ["\x6D\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF3"],
        ["\x72\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x33"],

        ["\x6D\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF4"],
        ["\x72\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x34"],

        ["\x6D\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF5"],
        ["\x72\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x35"],

        ["\x6D\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF6"],
        ["\x72\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x36"],

        ["\x6D\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF7"],
        ["\x72\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x37"],

        ["\x6D\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF8"],
        ["\x72\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x38"],

        ["\x6D\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xF9"],
        ["\x72\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x39"],

        ["\x6D\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7A"],
        ["\x72\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x3A"],

        ["\x6D\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5E"],
        ["\x72\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x3B"],

        ["\x6D\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4C"],
        ["\x72\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x3C"],

        ["\x6D\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7E"],
        ["\x72\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x3D"],

        ["\x6D\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6E"],
        ["\x72\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x3E"],

        ["\x6D\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6F"],
        ["\x72\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x3F"],

        ["\x6D\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7C"],
        ["\x72\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x40"],

        ["\x6D\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC1"],
        ["\x72\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x41"],

        ["\x6D\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC2"],
        ["\x72\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x42"],

        ["\x6D\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC3"],
        ["\x72\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x43"],

        ["\x6D\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC4"],
        ["\x72\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x44"],

        ["\x6D\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC5"],
        ["\x72\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x45"],

        ["\x6D\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC6"],
        ["\x72\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x46"],

        ["\x6D\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC7"],
        ["\x72\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x47"],

        ["\x6D\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC8"],
        ["\x72\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x48"],

        ["\x6D\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC9"],
        ["\x72\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x49"],

        ["\x6D\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD1"],
        ["\x72\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x4A"],

        ["\x6D\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD2"],
        ["\x72\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x4B"],

        ["\x6D\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD3"],
        ["\x72\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x4C"],

        ["\x6D\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD4"],
        ["\x72\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x4D"],

        ["\x6D\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD5"],
        ["\x72\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x4E"],

        ["\x6D\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD6"],
        ["\x72\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x4F"],

        ["\x6D\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD7"],
        ["\x72\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x50"],

        ["\x6D\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD8"],
        ["\x72\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x51"],

        ["\x6D\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD9"],
        ["\x72\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x52"],

        ["\x6D\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xE2"],
        ["\x72\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x53"],

        ["\x6D\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xE3"],
        ["\x72\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x54"],

        ["\x6D\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xE4"],
        ["\x72\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x55"],

        ["\x6D\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xE5"],
        ["\x72\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x56"],

        ["\x6D\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xE6"],
        ["\x72\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x57"],

        ["\x6D\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xE7"],
        ["\x72\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x58"],

        ["\x6D\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xE8"],
        ["\x72\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x59"],

        ["\x6D\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xE9"],
        ["\x72\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x5A"],

        ["\x6D\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4A"],
        ["\x72\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x5B"],

        ["\x6D\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5B"],
        ["\x72\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x5C"],

        ["\x6D\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5A"],
        ["\x72\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x5D"],

        ["\x6D\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5F"],
        ["\x72\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x5E"],

        ["\x6D\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6D"],
        ["\x72\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x5F"],

        ["\x6D\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x79"],
        ["\x72\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x60"],

        ["\x6D\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x57"],
        ["\x72\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x61"],

        ["\x6D\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x59"],
        ["\x72\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x62"],

        ["\x6D\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x62"],
        ["\x72\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x63"],

        ["\x6D\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x63"],
        ["\x72\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x64"],

        ["\x6D\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x64"],
        ["\x72\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x65"],

        ["\x6D\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x65"],
        ["\x72\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x66"],

        ["\x6D\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x66"],
        ["\x72\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x67"],

        ["\x6D\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x67"],
        ["\x72\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x68"],

        ["\x6D\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x68"],
        ["\x72\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x69"],

        ["\x6D\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x69"],
        ["\x72\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x6A"],

        ["\x6D\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x70"],
        ["\x72\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x6B"],

        ["\x6D\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x71"],
        ["\x72\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x6C"],

        ["\x6D\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x72"],
        ["\x72\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x6D"],

        ["\x46\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x9B"],
        ["\xC6\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x46\x76"],

        ["\x6D\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x74"],
        ["\x72\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x6F"],

        ["\x6D\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x75"],
        ["\x72\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x70"],

        ["\x6D\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x76"],
        ["\x72\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x71"],

        ["\x6D\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x77"],
        ["\x72\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x72"],

        ["\x6D\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x78"],
        ["\x72\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x73"],

        ["\x6D\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x80"],
        ["\x72\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x74"],

        ["\x6D\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x8B"],
        ["\x72\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x75"],

        ["\x6D\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x9B"],
        ["\x72\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x76"],

        ["\x6D\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x9C"],
        ["\x72\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x77"],

        ["\x6D\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xA0"],
        ["\x72\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x78"],

        ["\x6D\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xAB"],
        ["\x72\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x79"],

        ["\x6D\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xB0"],
        ["\x72\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x7A"],

        ["\x6D\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xC0"],
        ["\x72\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x7B"],

        ["\x6D\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6A"],
        ["\x72\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x7C"],

        ["\x6D\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xD0"],
        ["\x72\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x7D"],

        ["\x6D\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x72\xA1"],
        ["\x72\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6D\x7E"],

        ["\x6E\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4F"],
        ["\x73\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x21"],

        ["\x6E\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7F"],
        ["\x73\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x22"],

        ["\x6E\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7B"],
        ["\x73\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x23"],

        ["\x6E\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xE0"],
        ["\x73\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x24"],

        ["\x6E\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6C"],
        ["\x73\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x25"],

        ["\x6E\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x50"],
        ["\x73\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x26"],

        ["\x6E\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7D"],
        ["\x73\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x27"],

        ["\x6E\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4D"],
        ["\x73\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x28"],

        ["\x6E\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5D"],
        ["\x73\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x29"],

        ["\x6E\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5C"],
        ["\x73\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x2A"],

        ["\x6E\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4E"],
        ["\x73\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x2B"],

        ["\x6E\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6B"],
        ["\x73\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x2C"],

        ["\x6E\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x60"],
        ["\x73\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x2D"],

        ["\x6E\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4B"],
        ["\x73\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x2E"],

        ["\x6E\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x61"],
        ["\x73\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x2F"],

        ["\x6E\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF0"],
        ["\x73\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x30"],

        ["\x6E\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF1"],
        ["\x73\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x31"],

        ["\x6E\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF2"],
        ["\x73\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x32"],

        ["\x6E\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF3"],
        ["\x73\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x33"],

        ["\x6E\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF4"],
        ["\x73\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x34"],

        ["\x6E\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF5"],
        ["\x73\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x35"],

        ["\x6E\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF6"],
        ["\x73\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x36"],

        ["\x6E\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF7"],
        ["\x73\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x37"],

        ["\x6E\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF8"],
        ["\x73\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x38"],

        ["\x6E\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xF9"],
        ["\x73\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x39"],

        ["\x6E\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7A"],
        ["\x73\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x3A"],

        ["\x6E\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5E"],
        ["\x73\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x3B"],

        ["\x6E\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4C"],
        ["\x73\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x3C"],

        ["\x6E\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7E"],
        ["\x73\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x3D"],

        ["\x6E\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6E"],
        ["\x73\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x3E"],

        ["\x6E\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6F"],
        ["\x73\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x3F"],

        ["\x6E\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7C"],
        ["\x73\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x40"],

        ["\x6E\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC1"],
        ["\x73\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x41"],

        ["\x6E\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC2"],
        ["\x73\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x42"],

        ["\x6E\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC3"],
        ["\x73\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x43"],

        ["\x6E\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC4"],
        ["\x73\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x44"],

        ["\x6E\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC5"],
        ["\x73\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x45"],

        ["\x6E\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC6"],
        ["\x73\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x46"],

        ["\x6E\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC7"],
        ["\x73\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x47"],

        ["\x6E\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC8"],
        ["\x73\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x48"],

        ["\x6E\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC9"],
        ["\x73\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x49"],

        ["\x6E\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD1"],
        ["\x73\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x4A"],

        ["\x6E\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD2"],
        ["\x73\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x4B"],

        ["\x6E\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD3"],
        ["\x73\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x4C"],

        ["\x6E\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD4"],
        ["\x73\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x4D"],

        ["\x6E\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD5"],
        ["\x73\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x4E"],

        ["\x6E\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD6"],
        ["\x73\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x4F"],

        ["\x6E\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD7"],
        ["\x73\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x50"],

        ["\x6E\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD8"],
        ["\x73\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x51"],

        ["\x6E\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD9"],
        ["\x73\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x52"],

        ["\x6E\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xE2"],
        ["\x73\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x53"],

        ["\x6E\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xE3"],
        ["\x73\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x54"],

        ["\x6E\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xE4"],
        ["\x73\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x55"],

        ["\x6E\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xE5"],
        ["\x73\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x56"],

        ["\x6E\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xE6"],
        ["\x73\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x57"],

        ["\x6E\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xE7"],
        ["\x73\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x58"],

        ["\x6E\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xE8"],
        ["\x73\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x59"],

        ["\x6E\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xE9"],
        ["\x73\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x5A"],

        ["\x6E\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4A"],
        ["\x73\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x5B"],

        ["\x6E\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5B"],
        ["\x73\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x5C"],

        ["\x6E\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5A"],
        ["\x73\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x5D"],

        ["\x6E\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5F"],
        ["\x73\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x5E"],

        ["\x6E\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6D"],
        ["\x73\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x5F"],

        ["\x6E\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x79"],
        ["\x73\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x60"],

        ["\x6E\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x57"],
        ["\x73\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x61"],

        ["\x6E\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x59"],
        ["\x73\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x62"],

        ["\x6E\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x62"],
        ["\x73\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x63"],

        ["\x6E\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x63"],
        ["\x73\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x64"],

        ["\x6E\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x64"],
        ["\x73\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x65"],

        ["\x6E\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x65"],
        ["\x73\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x66"],

        ["\x6E\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x66"],
        ["\x73\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x67"],

        ["\x6E\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x67"],
        ["\x73\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x68"],

        ["\x6E\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x68"],
        ["\x73\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x69"],

        ["\x6E\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x69"],
        ["\x73\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x6A"],

        ["\x6E\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x70"],
        ["\x73\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x6B"],

        ["\x6E\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x71"],
        ["\x73\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x6C"],

        ["\x6E\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x72"],
        ["\x73\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x6D"],

        ["\x6E\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x73"],
        ["\x73\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x6E"],

        ["\x6E\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x74"],
        ["\x73\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x6F"],

        ["\x6E\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x75"],
        ["\x73\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x70"],

        ["\x6E\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x76"],
        ["\x73\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x71"],

        ["\x6E\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x77"],
        ["\x73\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x72"],

        ["\x6E\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x78"],
        ["\x73\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x73"],

        ["\x6E\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x80"],
        ["\x73\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x74"],

        ["\x6E\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x8B"],
        ["\x73\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x75"],

        ["\x6E\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x9B"],
        ["\x73\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x76"],

        ["\x6E\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x9C"],
        ["\x73\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x77"],

        ["\x6E\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xA0"],
        ["\x73\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x78"],

        ["\x6E\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xAB"],
        ["\x73\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x79"],

        ["\x6E\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xB0"],
        ["\x73\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x7A"],

        ["\x6E\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xC0"],
        ["\x73\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x7B"],

        ["\x6E\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6A"],
        ["\x73\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x7C"],

        ["\x6E\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xD0"],
        ["\x73\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x7D"],

        ["\x6E\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x73\xA1"],
        ["\x73\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6E\x7E"],

        ["\x6F\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4F"],
        ["\x74\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x21"],

        ["\x6F\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7F"],
        ["\x74\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x22"],

        ["\x6F\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7B"],
        ["\x74\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x23"],

        ["\x6F\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xE0"],
        ["\x74\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x24"],

        ["\x6F\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6C"],
        ["\x74\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x25"],

        ["\x6F\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x50"],
        ["\x74\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x26"],

        ["\x6F\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7D"],
        ["\x74\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x27"],

        ["\x6F\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4D"],
        ["\x74\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x28"],

        ["\x6F\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5D"],
        ["\x74\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x29"],

        ["\x6F\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5C"],
        ["\x74\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x2A"],

        ["\x6F\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4E"],
        ["\x74\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x2B"],

        ["\x6F\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6B"],
        ["\x74\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x2C"],

        ["\x6F\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x60"],
        ["\x74\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x2D"],

        ["\x6F\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4B"],
        ["\x74\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x2E"],

        ["\x6F\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x61"],
        ["\x74\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x2F"],

        ["\x6F\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF0"],
        ["\x74\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x30"],

        ["\x6F\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF1"],
        ["\x74\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x31"],

        ["\x6F\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF2"],
        ["\x74\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x32"],

        ["\x6F\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF3"],
        ["\x74\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x33"],

        ["\x6F\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF4"],
        ["\x74\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x34"],

        ["\x6F\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF5"],
        ["\x74\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x35"],

        ["\x6F\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF6"],
        ["\x74\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x36"],

        ["\x6F\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF7"],
        ["\x74\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x37"],

        ["\x6F\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF8"],
        ["\x74\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x38"],

        ["\x6F\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xF9"],
        ["\x74\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x39"],

        ["\x6F\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7A"],
        ["\x74\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x3A"],

        ["\x6F\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5E"],
        ["\x74\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x3B"],

        ["\x6F\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4C"],
        ["\x74\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x3C"],

        ["\x6F\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7E"],
        ["\x74\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x3D"],

        ["\x6F\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6E"],
        ["\x74\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x3E"],

        ["\x6F\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6F"],
        ["\x74\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x3F"],

        ["\x6F\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7C"],
        ["\x74\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x40"],

        ["\x6F\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC1"],
        ["\x74\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x41"],

        ["\x6F\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC2"],
        ["\x74\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x42"],

        ["\x6F\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC3"],
        ["\x74\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x43"],

        ["\x6F\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC4"],
        ["\x74\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x44"],

        ["\x6F\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC5"],
        ["\x74\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x45"],

        ["\x6F\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC6"],
        ["\x74\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x46"],

        ["\x6F\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC7"],
        ["\x74\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x47"],

        ["\x6F\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC8"],
        ["\x74\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x48"],

        ["\x6F\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC9"],
        ["\x74\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x49"],

        ["\x6F\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD1"],
        ["\x74\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x4A"],

        ["\x6F\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD2"],
        ["\x74\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x4B"],

        ["\x6F\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD3"],
        ["\x74\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x4C"],

        ["\x6F\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD4"],
        ["\x74\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x4D"],

        ["\x6F\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD5"],
        ["\x74\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x4E"],

        ["\x6F\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD6"],
        ["\x74\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x4F"],

        ["\x6F\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD7"],
        ["\x74\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x50"],

        ["\x6F\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD8"],
        ["\x74\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x51"],

        ["\x6F\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD9"],
        ["\x74\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x52"],

        ["\x6F\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xE2"],
        ["\x74\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x53"],

        ["\x6F\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xE3"],
        ["\x74\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x54"],

        ["\x6F\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xE4"],
        ["\x74\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x55"],

        ["\x6F\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xE5"],
        ["\x74\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x56"],

        ["\x6F\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xE6"],
        ["\x74\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x57"],

        ["\x6F\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xE7"],
        ["\x74\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x58"],

        ["\x6F\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xE8"],
        ["\x74\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x59"],

        ["\x6F\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xE9"],
        ["\x74\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x5A"],

        ["\x6F\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4A"],
        ["\x74\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x5B"],

        ["\x6F\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5B"],
        ["\x74\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x5C"],

        ["\x6F\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5A"],
        ["\x74\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x5D"],

        ["\x6F\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5F"],
        ["\x74\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x5E"],

        ["\x6F\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6D"],
        ["\x74\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x5F"],

        ["\x6F\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x79"],
        ["\x74\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x60"],

        ["\x6F\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x57"],
        ["\x74\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x61"],

        ["\x6F\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x59"],
        ["\x74\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x62"],

        ["\x6F\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x62"],
        ["\x74\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x63"],

        ["\x6F\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x63"],
        ["\x74\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x64"],

        ["\x6F\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x64"],
        ["\x74\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x65"],

        ["\x6F\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x65"],
        ["\x74\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x66"],

        ["\x6F\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x66"],
        ["\x74\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x67"],

        ["\x6F\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x67"],
        ["\x74\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x68"],

        ["\x6F\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x68"],
        ["\x74\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x69"],

        ["\x6F\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x69"],
        ["\x74\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x6A"],

        ["\x6F\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x70"],
        ["\x74\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x6B"],

        ["\x6F\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x71"],
        ["\x74\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x6C"],

        ["\x6F\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x72"],
        ["\x74\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x6D"],

        ["\x6F\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x73"],
        ["\x74\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x6E"],

        ["\x6F\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x74"],
        ["\x74\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x6F"],

        ["\x6F\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x75"],
        ["\x74\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x70"],

        ["\x6F\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x76"],
        ["\x74\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x71"],

        ["\x6F\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x77"],
        ["\x74\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x72"],

        ["\x6F\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x78"],
        ["\x74\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x73"],

        ["\x6F\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x80"],
        ["\x74\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x74"],

        ["\x6F\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x8B"],
        ["\x74\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x75"],

        ["\x6F\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x9B"],
        ["\x74\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x76"],

        ["\x6F\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x9C"],
        ["\x74\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x77"],

        ["\x6F\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xA0"],
        ["\x74\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x78"],

        ["\x6F\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xAB"],
        ["\x74\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x79"],

        ["\x6F\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xB0"],
        ["\x74\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x7A"],

        ["\x6F\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xC0"],
        ["\x74\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x7B"],

        ["\x6F\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6A"],
        ["\x74\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x7C"],

        ["\x6F\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xD0"],
        ["\x74\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x7D"],

        ["\x6F\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x74\xA1"],
        ["\x74\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x6F\x7E"],

        ["\x70\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4F"],
        ["\x75\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x21"],

        ["\x70\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7F"],
        ["\x75\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x22"],

        ["\x70\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7B"],
        ["\x75\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x23"],

        ["\x70\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xE0"],
        ["\x75\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x24"],

        ["\x70\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6C"],
        ["\x75\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x25"],

        ["\x70\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x50"],
        ["\x75\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x26"],

        ["\x70\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7D"],
        ["\x75\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x27"],

        ["\x70\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4D"],
        ["\x75\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x28"],

        ["\x70\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5D"],
        ["\x75\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x29"],

        ["\x70\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5C"],
        ["\x75\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x2A"],

        ["\x70\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4E"],
        ["\x75\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x2B"],

        ["\x70\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6B"],
        ["\x75\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x2C"],

        ["\x70\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x60"],
        ["\x75\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x2D"],

        ["\x70\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4B"],
        ["\x75\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x2E"],

        ["\x70\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x61"],
        ["\x75\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x2F"],

        ["\x70\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF0"],
        ["\x75\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x30"],

        ["\x70\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF1"],
        ["\x75\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x31"],

        ["\x70\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF2"],
        ["\x75\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x32"],

        ["\x70\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF3"],
        ["\x75\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x33"],

        ["\x70\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF4"],
        ["\x75\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x34"],

        ["\x70\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF5"],
        ["\x75\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x35"],

        ["\x70\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF6"],
        ["\x75\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x36"],

        ["\x70\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF7"],
        ["\x75\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x37"],

        ["\x70\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF8"],
        ["\x75\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x38"],

        ["\x70\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xF9"],
        ["\x75\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x39"],

        ["\x70\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7A"],
        ["\x75\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x3A"],

        ["\x70\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5E"],
        ["\x75\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x3B"],

        ["\x70\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4C"],
        ["\x75\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x3C"],

        ["\x70\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7E"],
        ["\x75\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x3D"],

        ["\x70\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6E"],
        ["\x75\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x3E"],

        ["\x70\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6F"],
        ["\x75\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x3F"],

        ["\x70\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7C"],
        ["\x75\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x40"],

        ["\x70\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC1"],
        ["\x75\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x41"],

        ["\x70\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC2"],
        ["\x75\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x42"],

        ["\x70\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC3"],
        ["\x75\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x43"],

        ["\x70\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC4"],
        ["\x75\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x44"],

        ["\x70\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC5"],
        ["\x75\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x45"],

        ["\x70\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC6"],
        ["\x75\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x46"],

        ["\x70\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC7"],
        ["\x75\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x47"],

        ["\x70\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC8"],
        ["\x75\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x48"],

        ["\x70\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC9"],
        ["\x75\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x49"],

        ["\x70\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD1"],
        ["\x75\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x4A"],

        ["\x70\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD2"],
        ["\x75\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x4B"],

        ["\x70\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD3"],
        ["\x75\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x4C"],

        ["\x70\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD4"],
        ["\x75\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x4D"],

        ["\x70\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD5"],
        ["\x75\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x4E"],

        ["\x70\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD6"],
        ["\x75\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x4F"],

        ["\x70\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD7"],
        ["\x75\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x50"],

        ["\x70\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD8"],
        ["\x75\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x51"],

        ["\x70\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD9"],
        ["\x75\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x52"],

        ["\x70\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xE2"],
        ["\x75\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x53"],

        ["\x70\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xE3"],
        ["\x75\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x54"],

        ["\x70\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xE4"],
        ["\x75\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x55"],

        ["\x70\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xE5"],
        ["\x75\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x56"],

        ["\x3F\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6F\xE8"],
        ["\x6F\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x3F\x59"],

        ["\x70\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xE7"],
        ["\x75\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x58"],

        ["\x70\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xE8"],
        ["\x75\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x59"],

        ["\x70\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xE9"],
        ["\x75\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x5A"],

        ["\x70\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4A"],
        ["\x75\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x5B"],

        ["\x70\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5B"],
        ["\x75\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x5C"],

        ["\x70\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5A"],
        ["\x75\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x5D"],

        ["\x70\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5F"],
        ["\x75\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x5E"],

        ["\x70\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6D"],
        ["\x75\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x5F"],

        ["\x70\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x79"],
        ["\x75\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x60"],

        ["\x70\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x57"],
        ["\x75\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x61"],

        ["\x70\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x59"],
        ["\x75\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x62"],

        ["\x70\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x62"],
        ["\x75\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x63"],

        ["\x70\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x63"],
        ["\x75\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x64"],

        ["\x70\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x64"],
        ["\x75\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x65"],

        ["\x70\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x65"],
        ["\x75\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x66"],

        ["\x70\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x66"],
        ["\x75\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x67"],

        ["\x70\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x67"],
        ["\x75\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x68"],

        ["\x70\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x68"],
        ["\x75\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x69"],

        ["\x70\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x69"],
        ["\x75\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x6A"],

        ["\x70\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x70"],
        ["\x75\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x6B"],

        ["\x70\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x71"],
        ["\x75\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x6C"],

        ["\x70\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x72"],
        ["\x75\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x6D"],

        ["\x70\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x73"],
        ["\x75\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x6E"],

        ["\x70\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x74"],
        ["\x75\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x6F"],

        ["\x70\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x75"],
        ["\x75\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x70"],

        ["\x70\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x76"],
        ["\x75\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x71"],

        ["\x70\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x77"],
        ["\x75\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x72"],

        ["\x70\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x78"],
        ["\x75\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x73"],

        ["\x37\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF7\x4A"],
        ["\xF7\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x37\x5B"],

        ["\x70\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x8B"],
        ["\x75\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x75"],

        ["\x70\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x9B"],
        ["\x75\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x76"],

        ["\x70\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x9C"],
        ["\x75\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x77"],

        ["\x70\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xA0"],
        ["\x75\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x78"],

        ["\x70\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xAB"],
        ["\x75\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x79"],

        ["\x70\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xB0"],
        ["\x75\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x7A"],

        ["\x70\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xC0"],
        ["\x75\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x7B"],

        ["\x70\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6A"],
        ["\x75\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x7C"],

        ["\x70\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xD0"],
        ["\x75\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x7D"],

        ["\x70\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x75\xA1"],
        ["\x75\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x70\x7E"],

        ["\x71\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4F"],
        ["\x76\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x21"],

        ["\x71\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7F"],
        ["\x76\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x22"],

        ["\x71\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7B"],
        ["\x76\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x23"],

        ["\x71\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE0"],
        ["\x76\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x24"],

        ["\x71\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6C"],
        ["\x76\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x25"],

        ["\x71\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x50"],
        ["\x76\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x26"],

        ["\x71\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7D"],
        ["\x76\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x27"],

        ["\x71\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4D"],
        ["\x76\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x28"],

        ["\x71\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5D"],
        ["\x76\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x29"],

        ["\x71\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5C"],
        ["\x76\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x2A"],

        ["\x71\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4E"],
        ["\x76\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x2B"],

        ["\x71\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6B"],
        ["\x76\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x2C"],

        ["\x71\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x60"],
        ["\x76\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x2D"],

        ["\x71\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4B"],
        ["\x76\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x2E"],

        ["\x71\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x61"],
        ["\x76\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x2F"],

        ["\x71\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF0"],
        ["\x76\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x30"],

        ["\x71\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF1"],
        ["\x76\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x31"],

        ["\x71\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF2"],
        ["\x76\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x32"],

        ["\x71\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF3"],
        ["\x76\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x33"],

        ["\x71\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF4"],
        ["\x76\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x34"],

        ["\x71\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF5"],
        ["\x76\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x35"],

        ["\x71\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF6"],
        ["\x76\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x36"],

        ["\x71\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF7"],
        ["\x76\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x37"],

        ["\x71\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF8"],
        ["\x76\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x38"],

        ["\x71\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xF9"],
        ["\x76\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x39"],

        ["\x71\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7A"],
        ["\x76\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x3A"],

        ["\x71\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5E"],
        ["\x76\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x3B"],

        ["\x71\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4C"],
        ["\x76\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x3C"],

        ["\x71\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7E"],
        ["\x76\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x3D"],

        ["\x71\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6E"],
        ["\x76\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x3E"],

        ["\x71\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6F"],
        ["\x76\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x3F"],

        ["\x71\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7C"],
        ["\x76\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x40"],

        ["\x71\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC1"],
        ["\x76\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x41"],

        ["\x71\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC2"],
        ["\x76\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x42"],

        ["\x71\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC3"],
        ["\x76\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x43"],

        ["\x71\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC4"],
        ["\x76\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x44"],

        ["\x71\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC5"],
        ["\x76\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x45"],

        ["\x71\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC6"],
        ["\x76\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x46"],

        ["\x71\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC7"],
        ["\x76\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x47"],

        ["\x71\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC8"],
        ["\x76\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x48"],

        ["\x71\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC9"],
        ["\x76\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x49"],

        ["\x71\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD1"],
        ["\x76\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x4A"],

        ["\x71\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD2"],
        ["\x76\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x4B"],

        ["\x71\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD3"],
        ["\x76\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x4C"],

        ["\x71\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD4"],
        ["\x76\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x4D"],

        ["\x71\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD5"],
        ["\x76\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x4E"],

        ["\x71\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD6"],
        ["\x76\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x4F"],

        ["\x71\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD7"],
        ["\x76\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x50"],

        ["\x71\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD8"],
        ["\x76\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x51"],

        ["\x71\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD9"],
        ["\x76\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x52"],

        ["\x71\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE2"],
        ["\x76\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x53"],

        ["\x71\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE3"],
        ["\x76\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x54"],

        ["\x71\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE4"],
        ["\x76\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x55"],

        ["\x71\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE5"],
        ["\x76\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x56"],

        ["\x71\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE6"],
        ["\x76\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x57"],

        ["\x71\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE7"],
        ["\x76\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x58"],

        ["\x71\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE8"],
        ["\x76\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x59"],

        ["\x71\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xE9"],
        ["\x76\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x5A"],

        ["\x71\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4A"],
        ["\x76\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x5B"],

        ["\x71\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5B"],
        ["\x76\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x5C"],

        ["\x71\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5A"],
        ["\x76\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x5D"],

        ["\x71\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5F"],
        ["\x76\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x5E"],

        ["\x71\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6D"],
        ["\x76\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x5F"],

        ["\x71\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x79"],
        ["\x76\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x60"],

        ["\x71\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x57"],
        ["\x76\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x61"],

        ["\x71\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x59"],
        ["\x76\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x62"],

        ["\x71\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x62"],
        ["\x76\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x63"],

        ["\x71\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x63"],
        ["\x76\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x64"],

        ["\x71\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x64"],
        ["\x76\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x65"],

        ["\x71\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x65"],
        ["\x76\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x66"],

        ["\x71\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x66"],
        ["\x76\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x67"],

        ["\x71\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x67"],
        ["\x76\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x68"],

        ["\x71\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x68"],
        ["\x76\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x69"],

        ["\x71\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x69"],
        ["\x76\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x6A"],

        ["\x71\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x70"],
        ["\x76\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x6B"],

        ["\x71\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x71"],
        ["\x76\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x6C"],

        ["\x71\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x72"],
        ["\x76\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x6D"],

        ["\x71\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x73"],
        ["\x76\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x6E"],

        ["\x71\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x74"],
        ["\x76\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x6F"],

        ["\x71\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x75"],
        ["\x76\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x70"],

        ["\x71\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x76"],
        ["\x76\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x71"],

        ["\x71\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x77"],
        ["\x76\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x72"],

        ["\x71\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x78"],
        ["\x76\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x73"],

        ["\x71\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x80"],
        ["\x76\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x74"],

        ["\x71\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x8B"],
        ["\x76\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x75"],

        ["\x71\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x9B"],
        ["\x76\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x76"],

        ["\x71\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x9C"],
        ["\x76\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x77"],

        ["\x71\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xA0"],
        ["\x76\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x78"],

        ["\x71\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xAB"],
        ["\x76\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x79"],

        ["\x71\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xB0"],
        ["\x76\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x7A"],

        ["\x71\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xC0"],
        ["\x76\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x7B"],

        ["\x71\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6A"],
        ["\x76\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x7C"],

        ["\x71\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xD0"],
        ["\x76\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x7D"],

        ["\x71\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x76\xA1"],
        ["\x76\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x71\x7E"],

        ["\x72\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4F"],
        ["\x77\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x21"],

        ["\x72\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7F"],
        ["\x77\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x22"],

        ["\x72\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7B"],
        ["\x77\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x23"],

        ["\x72\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE0"],
        ["\x77\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x24"],

        ["\x72\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6C"],
        ["\x77\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x25"],

        ["\x72\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x50"],
        ["\x77\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x26"],

        ["\x72\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7D"],
        ["\x77\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x27"],

        ["\x72\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4D"],
        ["\x77\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x28"],

        ["\x72\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5D"],
        ["\x77\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x29"],

        ["\x72\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5C"],
        ["\x77\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x2A"],

        ["\x72\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4E"],
        ["\x77\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x2B"],

        ["\x72\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6B"],
        ["\x77\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x2C"],

        ["\x72\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x60"],
        ["\x77\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x2D"],

        ["\x72\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4B"],
        ["\x77\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x2E"],

        ["\x72\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x61"],
        ["\x77\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x2F"],

        ["\x72\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF0"],
        ["\x77\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x30"],

        ["\x72\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF1"],
        ["\x77\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x31"],

        ["\x72\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF2"],
        ["\x77\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x32"],

        ["\x72\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF3"],
        ["\x77\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x33"],

        ["\x72\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF4"],
        ["\x77\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x34"],

        ["\x72\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF5"],
        ["\x77\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x35"],

        ["\x72\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF6"],
        ["\x77\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x36"],

        ["\x72\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF7"],
        ["\x77\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x37"],

        ["\x72\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF8"],
        ["\x77\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x38"],

        ["\x72\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xF9"],
        ["\x77\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x39"],

        ["\x72\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7A"],
        ["\x77\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x3A"],

        ["\x72\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5E"],
        ["\x77\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x3B"],

        ["\x72\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4C"],
        ["\x77\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x3C"],

        ["\x72\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7E"],
        ["\x77\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x3D"],

        ["\x72\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6E"],
        ["\x77\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x3E"],

        ["\x72\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6F"],
        ["\x77\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x3F"],

        ["\x72\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7C"],
        ["\x77\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x40"],

        ["\x72\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC1"],
        ["\x77\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x41"],

        ["\x72\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC2"],
        ["\x77\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x42"],

        ["\x72\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC3"],
        ["\x77\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x43"],

        ["\x72\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC4"],
        ["\x77\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x44"],

        ["\x72\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC5"],
        ["\x77\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x45"],

        ["\x72\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC6"],
        ["\x77\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x46"],

        ["\x72\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC7"],
        ["\x77\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x47"],

        ["\x72\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC8"],
        ["\x77\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x48"],

        ["\x72\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC9"],
        ["\x77\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x49"],

        ["\x72\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD1"],
        ["\x77\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x4A"],

        ["\x72\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD2"],
        ["\x77\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x4B"],

        ["\x72\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD3"],
        ["\x77\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x4C"],

        ["\x30\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],
        ["\xF0\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x30\x33"],

        ["\x72\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD5"],
        ["\x77\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x4E"],

        ["\x72\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD6"],
        ["\x77\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x4F"],

        ["\x72\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD7"],
        ["\x77\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x50"],

        ["\x72\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD8"],
        ["\x77\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x51"],

        ["\x72\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD9"],
        ["\x77\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x52"],

        ["\x72\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE2"],
        ["\x77\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x53"],

        ["\x72\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE3"],
        ["\x77\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x54"],

        ["\x72\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE4"],
        ["\x77\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x55"],

        ["\x72\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE5"],
        ["\x77\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x56"],

        ["\x72\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE6"],
        ["\x77\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x57"],

        ["\x72\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE7"],
        ["\x77\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x58"],

        ["\x72\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE8"],
        ["\x77\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x59"],

        ["\x72\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xE9"],
        ["\x77\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x5A"],

        ["\x72\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4A"],
        ["\x77\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x5B"],

        ["\x72\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5B"],
        ["\x77\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x5C"],

        ["\x72\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5A"],
        ["\x77\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x5D"],

        ["\x72\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5F"],
        ["\x77\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x5E"],

        ["\x72\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6D"],
        ["\x77\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x5F"],

        ["\x72\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x79"],
        ["\x77\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x60"],

        ["\x72\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x57"],
        ["\x77\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x61"],

        ["\x72\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x59"],
        ["\x77\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x62"],

        ["\x72\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x62"],
        ["\x77\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x63"],

        ["\x72\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x63"],
        ["\x77\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x64"],

        ["\x72\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x64"],
        ["\x77\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x65"],

        ["\x72\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x65"],
        ["\x77\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x66"],

        ["\x72\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x66"],
        ["\x77\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x67"],

        ["\x72\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x67"],
        ["\x77\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x68"],

        ["\x72\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x68"],
        ["\x77\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x69"],

        ["\x72\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x69"],
        ["\x77\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x6A"],

        ["\x72\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x70"],
        ["\x77\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x6B"],

        ["\x72\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x71"],
        ["\x77\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x6C"],

        ["\x72\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x72"],
        ["\x77\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x6D"],

        ["\x72\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x73"],
        ["\x77\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x6E"],

        ["\x72\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x74"],
        ["\x77\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x6F"],

        ["\x72\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x75"],
        ["\x77\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x70"],

        ["\x72\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x76"],
        ["\x77\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x71"],

        ["\x72\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x77"],
        ["\x77\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x72"],

        ["\x72\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x78"],
        ["\x77\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x73"],

        ["\x32\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\x5D"],
        ["\xF2\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x32\x29"],

        ["\x72\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x8B"],
        ["\x77\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x75"],

        ["\x72\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x9B"],
        ["\x77\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x76"],

        ["\x72\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x9C"],
        ["\x77\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x77"],

        ["\x72\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xA0"],
        ["\x77\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x78"],

        ["\x72\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xAB"],
        ["\x77\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x79"],

        ["\x72\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xB0"],
        ["\x77\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x7A"],

        ["\x72\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xC0"],
        ["\x77\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x7B"],

        ["\x72\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6A"],
        ["\x77\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x7C"],

        ["\x72\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xD0"],
        ["\x77\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x7D"],

        ["\x72\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x77\xA1"],
        ["\x77\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x72\x7E"],

        ["\x73\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4F"],
        ["\x78\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x21"],

        ["\x73\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7F"],
        ["\x78\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x22"],

        ["\x73\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7B"],
        ["\x78\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x23"],

        ["\x73\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xE0"],
        ["\x78\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x24"],

        ["\x73\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6C"],
        ["\x78\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x25"],

        ["\x73\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x50"],
        ["\x78\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x26"],

        ["\x73\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7D"],
        ["\x78\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x27"],

        ["\x73\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4D"],
        ["\x78\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x28"],

        ["\x73\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5D"],
        ["\x78\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x29"],

        ["\x73\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5C"],
        ["\x78\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x2A"],

        ["\x73\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4E"],
        ["\x78\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x2B"],

        ["\x73\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6B"],
        ["\x78\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x2C"],

        ["\x73\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x60"],
        ["\x78\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x2D"],

        ["\x73\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4B"],
        ["\x78\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x2E"],

        ["\x73\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x61"],
        ["\x78\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x2F"],

        ["\x73\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF0"],
        ["\x78\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x30"],

        ["\x73\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF1"],
        ["\x78\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x31"],

        ["\x73\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF2"],
        ["\x78\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x32"],

        ["\x73\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF3"],
        ["\x78\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x33"],

        ["\x73\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF4"],
        ["\x78\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x34"],

        ["\x73\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF5"],
        ["\x78\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x35"],

        ["\x73\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF6"],
        ["\x78\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x36"],

        ["\x73\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF7"],
        ["\x78\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x37"],

        ["\x73\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF8"],
        ["\x78\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x38"],

        ["\x73\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xF9"],
        ["\x78\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x39"],

        ["\x73\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7A"],
        ["\x78\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x3A"],

        ["\x73\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5E"],
        ["\x78\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x3B"],

        ["\x73\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4C"],
        ["\x78\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x3C"],

        ["\x73\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7E"],
        ["\x78\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x3D"],

        ["\x73\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6E"],
        ["\x78\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x3E"],

        ["\x73\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6F"],
        ["\x78\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x3F"],

        ["\x73\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7C"],
        ["\x78\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x40"],

        ["\x73\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC1"],
        ["\x78\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x41"],

        ["\x73\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC2"],
        ["\x78\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x42"],

        ["\x73\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC3"],
        ["\x78\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x43"],

        ["\x73\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC4"],
        ["\x78\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x44"],

        ["\x73\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC5"],
        ["\x78\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x45"],

        ["\x73\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC6"],
        ["\x78\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x46"],

        ["\x73\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC7"],
        ["\x78\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x47"],

        ["\x73\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC8"],
        ["\x78\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x48"],

        ["\x73\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC9"],
        ["\x78\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x49"],

        ["\x73\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD1"],
        ["\x78\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x4A"],

        ["\x73\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD2"],
        ["\x78\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x4B"],

        ["\x73\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD3"],
        ["\x78\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x4C"],

        ["\x73\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD4"],
        ["\x78\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x4D"],

        ["\x73\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD5"],
        ["\x78\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x4E"],

        ["\x73\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD6"],
        ["\x78\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x4F"],

        ["\x73\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD7"],
        ["\x78\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x50"],

        ["\x73\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD8"],
        ["\x78\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x51"],

        ["\x73\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD9"],
        ["\x78\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x52"],

        ["\x73\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xE2"],
        ["\x78\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x53"],

        ["\x73\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xE3"],
        ["\x78\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x54"],

        ["\x73\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xE4"],
        ["\x78\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x55"],

        ["\x73\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xE5"],
        ["\x78\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x56"],

        ["\x73\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xE6"],
        ["\x78\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x57"],

        ["\x73\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xE7"],
        ["\x78\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x58"],

        ["\x73\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xE8"],
        ["\x78\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x59"],

        ["\x73\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xE9"],
        ["\x78\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x5A"],

        ["\x73\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4A"],
        ["\x78\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x5B"],

        ["\x73\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5B"],
        ["\x78\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x5C"],

        ["\x73\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5A"],
        ["\x78\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x5D"],

        ["\x73\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5F"],
        ["\x78\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x5E"],

        ["\x73\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6D"],
        ["\x78\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x5F"],

        ["\x73\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x79"],
        ["\x78\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x60"],

        ["\x73\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x57"],
        ["\x78\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x61"],

        ["\x73\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x59"],
        ["\x78\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x62"],

        ["\x73\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x62"],
        ["\x78\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x63"],

        ["\x73\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x63"],
        ["\x78\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x64"],

        ["\x73\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x64"],
        ["\x78\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x65"],

        ["\x73\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x65"],
        ["\x78\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x66"],

        ["\x73\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x66"],
        ["\x78\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x67"],

        ["\x73\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x67"],
        ["\x78\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x68"],

        ["\x73\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x68"],
        ["\x78\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x69"],

        ["\x73\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x69"],
        ["\x78\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x6A"],

        ["\x73\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x70"],
        ["\x78\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x6B"],

        ["\x73\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x71"],
        ["\x78\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x6C"],

        ["\x73\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x72"],
        ["\x78\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x6D"],

        ["\x73\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x73"],
        ["\x78\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x6E"],

        ["\x73\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x74"],
        ["\x78\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x6F"],

        ["\x73\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x75"],
        ["\x78\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x70"],

        ["\x73\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x76"],
        ["\x78\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x71"],

        ["\x73\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x77"],
        ["\x78\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x72"],

        ["\x73\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x78"],
        ["\x78\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x73"],

        ["\x73\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x80"],
        ["\x78\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x74"],

        ["\x73\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x8B"],
        ["\x78\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x75"],

        ["\x73\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x9B"],
        ["\x78\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x76"],

        ["\x73\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x9C"],
        ["\x78\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x77"],

        ["\x73\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xA0"],
        ["\x78\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x78"],

        ["\x73\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xAB"],
        ["\x78\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x79"],

        ["\x73\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xB0"],
        ["\x78\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x7A"],

        ["\x73\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xC0"],
        ["\x78\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x7B"],

        ["\x73\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6A"],
        ["\x78\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x7C"],

        ["\x73\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xD0"],
        ["\x78\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x7D"],

        ["\x73\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x78\xA1"],
        ["\x78\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x73\x7E"],

        ["\x36\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF6\xC6"],
        ["\xF6\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x36\x46"],

        ["\x4B\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x69"],
        ["\xD2\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4B\x6A"],

        ["\x4D\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE9"],
        ["\xD4\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x4D\x5A"],

        ["\x60\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x79\x9B"],
        ["\x79\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x60\x76"],

        ["\xB4\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x48"],
        ["\x84\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],

        ["\xC3\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x8A"],
        ["\x94\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],

        ["\xA2\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x8E"],
        ["\x42\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xBD"],

        ["\xA2\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x8F"],
        ["\x42\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xBE"],

        ["\xA2\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x90"],
        ["\x42\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xBF"],

        ["\xA2\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x91"],
        ["\x42\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xC0"],

        ["\xA2\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x92"],
        ["\x42\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xC1"],

        ["\xA2\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x93"],
        ["\x42\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xC2"],

        ["\xA2\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x94"],
        ["\x42\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xC3"],

        ["\xA2\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x95"],
        ["\x42\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xC4"],

        ["\xA2\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x96"],
        ["\x42\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xC5"],

        ["\xA2\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x97"],
        ["\x42\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xC6"],

        ["\xA5\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xFB"],
        ["\x45\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xFB"],

        ["\xA3\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xEF"],
        ["\x43\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF9"],

        ["\xA3\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xFA"],
        ["\x43\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xFA"],

        ["\xC9\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAE"],
        ["\x9A\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],

        ["\xCE\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x49"],
        ["\xA3\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],

        ["\xD2\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x89"],
        ["\xA7\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xB9"],

        ["\xD1\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCF"],
        ["\xA6\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xED"],

        ["\xCC\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\x9D"],
        ["\x9F\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],

        ["\xB2\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xEC"],
        ["\x82\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xF6"],

        ["\xC2\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFE"],
        ["\x93\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xFE"],

        ["\xBD\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x90"],
        ["\x8E\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xBF"],

        ["\xBF\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x87"],
        ["\x90\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xB7"],

        ["\xD2\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x86"],
        ["\xA7\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xB6"],

        ["\xBD\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xAA"],
        ["\x8E\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xD5"],

        ["\xBA\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x98"],
        ["\x8A\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xC7"],

        ["\xB2\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x52"],
        ["\x82\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xAB"],

        ["\xB2\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x93"],
        ["\x82\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xC2"],

        ["\xB2\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA8"],
        ["\x82\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xD3"],

        ["\xB2\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA2"],
        ["\x82\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],

        ["\xB2\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA3"],
        ["\x82\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],

        ["\xB2\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xBB"],
        ["\x82\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],

        ["\xB2\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xAC"],
        ["\x82\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xD6"],

        ["\xB2\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xCC"],
        ["\x82\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],

        ["\xB2\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB9"],
        ["\x82\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xE7"],

        ["\xBA\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xBA"],
        ["\x8A\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xDA"],

        ["\xB2\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB3"],
        ["\x82\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xE1"],

        ["\xB2\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xEB"],
        ["\x82\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xF5"],

        ["\xB3\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x82"],
        ["\x83\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],

        ["\xB3\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x41"],
        ["\x83\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xA1"],

        ["\xB3\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x83"],
        ["\x83\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],

        ["\xB3\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x46"],
        ["\x83\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],

        ["\xB3\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x91"],
        ["\x83\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xC0"],

        ["\xB3\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x94"],
        ["\x83\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xC3"],

        ["\xB3\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x95"],
        ["\x83\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xC4"],

        ["\xB3\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x97"],
        ["\x83\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xC6"],

        ["\xB3\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA7"],
        ["\x83\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xD2"],

        ["\xB3\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xAA"],
        ["\x83\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xD5"],

        ["\xB3\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xCA"],
        ["\x83\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xE8"],

        ["\xB3\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xDC"],
        ["\x83\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xF0"],

        ["\xB3\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xED"],
        ["\x83\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xF7"],

        ["\xB4\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x42"],
        ["\x84\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],

        ["\xD4\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x48"],
        ["\xA9\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xA8"],

        ["\xB4\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x84"],
        ["\x84\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],

        ["\xB4\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x92"],
        ["\x84\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xC1"],

        ["\xB4\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x94"],
        ["\x84\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xC3"],

        ["\xB4\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA5"],
        ["\x84\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xD0"],

        ["\xB4\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xAE"],
        ["\x84\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xD8"],

        ["\xB4\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xCA"],
        ["\x84\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xE8"],

        ["\xB4\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xCE"],
        ["\x84\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],

        ["\xB4\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xDB"],
        ["\x84\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],

        ["\xB5\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x47"],
        ["\x85\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],

        ["\xB5\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x54"],
        ["\x85\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],

        ["\xB5\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x81"],
        ["\x85\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xB1"],

        ["\xB5\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x8D"],
        ["\x85\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],

        ["\xB5\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x8F"],
        ["\x85\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],

        ["\xB5\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA8"],
        ["\x85\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xD3"],

        ["\xB5\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA4"],
        ["\x85\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],

        ["\xB5\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xBC"],
        ["\x85\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],

        ["\xB5\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB2"],
        ["\x85\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xE0"],

        ["\xB5\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xDA"],
        ["\x85\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],

        ["\xB6\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xAC"],
        ["\x86\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xD6"],

        ["\xB6\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xBE"],
        ["\x86\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],

        ["\xB6\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB5"],
        ["\x86\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xE3"],

        ["\xB6\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB7"],
        ["\x86\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xE5"],

        ["\xB6\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB8"],
        ["\x86\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xE6"],

        ["\xB6\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB9"],
        ["\x86\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xE7"],

        ["\x44\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],
        ["\xC4\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x44\x4D"],

        ["\xB7\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x48"],
        ["\x87\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],

        ["\xB7\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x55"],
        ["\x87\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],

        ["\xB7\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x88"],
        ["\x87\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],

        ["\xB7\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x9E"],
        ["\x87\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],

        ["\xB7\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA4"],
        ["\x87\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],

        ["\xB7\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA3"],
        ["\x87\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],

        ["\xB7\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xA8"],
        ["\x87\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xD3"],

        ["\xB7\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBB"],
        ["\x87\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],

        ["\xB7\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB6"],
        ["\x87\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xE4"],

        ["\xB8\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x84"],
        ["\x88\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],

        ["\xB8\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x9D"],
        ["\x88\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],

        ["\xB8\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x9F"],
        ["\x88\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],

        ["\xB8\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA2"],
        ["\x88\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],

        ["\xB8\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xA9"],
        ["\x88\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xD4"],

        ["\xB8\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB5"],
        ["\x88\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xE3"],

        ["\xB8\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xFB"],
        ["\x88\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],

        ["\xB8\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xEF"],
        ["\x88\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xF9"],

        ["\xB9\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x49"],
        ["\x89\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],

        ["\xB9\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x81"],
        ["\x89\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xB1"],

        ["\xC6\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x87"],
        ["\x97\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xB7"],

        ["\xB9\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x8A"],
        ["\x89\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],

        ["\xB9\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x8E"],
        ["\x89\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],

        ["\xB9\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x91"],
        ["\x89\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xC0"],

        ["\xB9\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA8"],
        ["\x89\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xD3"],

        ["\xB9\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xAA"],
        ["\x89\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xD5"],

        ["\xB9\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xBA"],
        ["\x89\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],

        ["\xBA\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x90"],
        ["\x8A\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xBF"],

        ["\xBA\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x92"],
        ["\x8A\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xC1"],

        ["\xBA\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA6"],
        ["\x8A\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xD1"],

        ["\xBA\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xCE"],
        ["\x8A\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xEC"],

        ["\xBA\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xFE"],
        ["\x8A\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xFE"],

        ["\xBB\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x49"],
        ["\x8C\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xA9"],

        ["\xBB\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x81"],
        ["\x8C\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xB1"],

        ["\xB5\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB7"],
        ["\x85\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xE5"],

        ["\xBB\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x95"],
        ["\x8C\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xC4"],

        ["\xBB\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x8E"],
        ["\x8C\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xBD"],

        ["\xBB\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x9A"],
        ["\x8C\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xC9"],

        ["\xBB\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA3"],
        ["\x8C\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xCE"],

        ["\xBB\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA9"],
        ["\x8C\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xD4"],

        ["\xBB\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xAC"],
        ["\x8C\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xD6"],

        ["\xBB\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xAE"],
        ["\x8C\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xD8"],

        ["\xB6\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x48"],
        ["\x86\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],

        ["\xBB\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xEF"],
        ["\x8C\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xF9"],

        ["\xBC\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x81"],
        ["\x8D\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xB1"],

        ["\xBC\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x9F"],
        ["\x8D\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xCC"],

        ["\xBC\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xAF"],
        ["\x8D\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xD9"],

        ["\xBC\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBB"],
        ["\x8D\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xDB"],

        ["\xBC\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBC"],
        ["\x8D\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xDC"],

        ["\xBC\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xDC"],
        ["\x8D\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xF0"],

        ["\xBD\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x8E"],
        ["\x8E\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xBD"],

        ["\xBD\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x85"],
        ["\x8E\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xB5"],

        ["\x39\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\xF7"],
        ["\xF9\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x37"],

        ["\xBD\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x87"],
        ["\x8E\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xB7"],

        ["\xBD\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x93"],
        ["\x8E\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xC2"],

        ["\xBD\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x95"],
        ["\x8E\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xC4"],

        ["\xBD\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x98"],
        ["\x8E\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xC7"],

        ["\xBD\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xAC"],
        ["\x8E\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xD6"],

        ["\xBD\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB2"],
        ["\x8E\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xE0"],

        ["\xBD\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xBE"],
        ["\x8E\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xDE"],

        ["\xBD\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB6"],
        ["\x8E\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xE4"],

        ["\xBD\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB8"],
        ["\x8E\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xE6"],

        ["\xBD\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xED"],
        ["\x8E\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xF7"],

        ["\xC5\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xAE"],
        ["\x96\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],

        ["\xBE\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x45"],
        ["\x8F\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xA5"],

        ["\xBE\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x53"],
        ["\x8F\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xAC"],

        ["\xBD\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA6"],
        ["\x8E\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xD1"],

        ["\xBE\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x8D"],
        ["\x8F\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xBC"],

        ["\xBE\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x8F"],
        ["\x8F\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xBE"],

        ["\xBE\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x99"],
        ["\x8F\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xC8"],

        ["\xBE\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xAF"],
        ["\x8F\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xD9"],

        ["\xBE\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB7"],
        ["\x8F\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xE5"],

        ["\xBE\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCA"],
        ["\x8F\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xE8"],

        ["\xBE\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB4"],
        ["\x8F\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xE2"],

        ["\xBE\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xDC"],
        ["\x8F\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xF0"],

        ["\xBF\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x8A"],
        ["\x90\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xBA"],

        ["\xBF\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x8D"],
        ["\x90\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xBC"],

        ["\xBF\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x91"],
        ["\x90\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xC0"],

        ["\xBF\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xAD"],
        ["\x90\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xD7"],

        ["\xC6\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x51"],
        ["\x97\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xAA"],

        ["\xBF\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB6"],
        ["\x90\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xE4"],

        ["\xBF\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB7"],
        ["\x90\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xE5"],

        ["\xBF\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB8"],
        ["\x90\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xE6"],

        ["\xBF\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCE"],
        ["\x90\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xEC"],

        ["\xBF\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xDC"],
        ["\x90\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xF0"],

        ["\xBF\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xEE"],
        ["\x90\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xF8"],

        ["\xC0\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x48"],
        ["\x91\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xA8"],

        ["\xC0\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x45"],
        ["\x91\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xA5"],

        ["\xC0\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA4"],
        ["\x91\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xCF"],

        ["\xC0\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xAF"],
        ["\x91\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],

        ["\xC0\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xBE"],
        ["\x91\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xDE"],

        ["\xC0\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB7"],
        ["\x91\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],

        ["\xC0\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xCD"],
        ["\x91\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xEB"],

        ["\xC0\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xEA"],
        ["\x91\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],

        ["\xC1\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x47"],
        ["\x92\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xA7"],

        ["\xC1\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x86"],
        ["\x92\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xB6"],

        ["\xC1\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x98"],
        ["\x92\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],

        ["\xC1\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x90"],
        ["\x92\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xBF"],

        ["\xC1\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x9D"],
        ["\x92\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xCA"],

        ["\xC1\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xAF"],
        ["\x92\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],

        ["\xC1\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA2"],
        ["\x92\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xCD"],

        ["\xC1\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xBF"],
        ["\x92\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xDF"],

        ["\xC1\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA6"],
        ["\x92\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],

        ["\xC1\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xFB"],
        ["\x92\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xFB"],

        ["\xC1\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDF"],
        ["\x92\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],

        ["\xC1\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xEA"],
        ["\x92\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],

        ["\xC1\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDC"],
        ["\x92\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],

        ["\xC2\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x48"],
        ["\x93\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],

        ["\xC2\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA3"],
        ["\x93\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xCE"],

        ["\xC2\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xBF"],
        ["\x93\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xDF"],

        ["\xC2\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB6"],
        ["\x93\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],

        ["\xC2\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xDB"],
        ["\x93\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xEF"],

        ["\xC2\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xDA"],
        ["\x93\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xEE"],

        ["\xC2\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xDD"],
        ["\x93\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],

        ["\xC2\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFB"],
        ["\x93\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xFB"],

        ["\xC2\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFC"],
        ["\x93\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xFC"],

        ["\xC3\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x48"],
        ["\x94\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],

        ["\xC3\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x46"],
        ["\x94\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],

        ["\xC3\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x88"],
        ["\x94\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],

        ["\xC3\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x89"],
        ["\x94\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB9"],

        ["\xC3\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x8D"],
        ["\x94\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],

        ["\xC3\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA3"],
        ["\x94\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xCE"],

        ["\xC3\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA5"],
        ["\x94\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],

        ["\xC3\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xAA"],
        ["\x94\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],

        ["\xC3\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xCD"],
        ["\x94\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xEB"],

        ["\xC3\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDA"],
        ["\x94\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xEE"],

        ["\xC3\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xFB"],
        ["\x94\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xFB"],

        ["\xC3\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xEE"],
        ["\x94\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],

        ["\xC4\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x45"],
        ["\x95\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xA5"],

        ["\xC4\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x8A"],
        ["\x95\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],

        ["\xC4\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x88"],
        ["\x95\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xB8"],

        ["\xC4\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x92"],
        ["\x95\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],

        ["\xC4\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x93"],
        ["\x95\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],

        ["\xC4\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x97"],
        ["\x95\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],

        ["\xC4\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x98"],
        ["\x95\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],

        ["\xC4\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x9E"],
        ["\x95\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xCB"],

        ["\xC4\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA7"],
        ["\x95\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],

        ["\xC4\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA8"],
        ["\x95\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],

        ["\xC4\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xBB"],
        ["\x95\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xDB"],

        ["\xC4\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAD"],
        ["\x95\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],

        ["\xC4\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xCF"],
        ["\x95\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xED"],

        ["\xC4\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xDF"],
        ["\x95\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],

        ["\xC4\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xFB"],
        ["\x95\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xFB"],

        ["\xC5\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x53"],
        ["\x96\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],

        ["\xC5\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x84"],
        ["\x96\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xB4"],

        ["\xC5\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA8"],
        ["\x96\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],

        ["\xC5\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xAF"],
        ["\x96\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],

        ["\xC5\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xBA"],
        ["\x96\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xDA"],

        ["\xC5\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xBB"],
        ["\x96\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xDB"],

        ["\xC5\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xBF"],
        ["\x96\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xDF"],

        ["\xC5\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB7"],
        ["\x96\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],

        ["\xC5\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDE"],
        ["\x96\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],

        ["\xB4\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x98"],
        ["\x84\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xC7"],

        ["\xC6\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x81"],
        ["\x97\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xB1"],

        ["\xC6\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x85"],
        ["\x97\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xB5"],

        ["\xC6\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x8E"],
        ["\x97\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xBD"],

        ["\xC6\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x95"],
        ["\x97\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],

        ["\xC6\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBA"],
        ["\x97\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xDA"],

        ["\xC6\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBD"],
        ["\x97\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xDD"],

        ["\xC6\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xCD"],
        ["\x97\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xEB"],

        ["\xC6\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xED"],
        ["\x97\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],

        ["\xC7\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x43"],
        ["\x98\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xA3"],

        ["\xC7\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x46"],
        ["\x98\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xA6"],

        ["\xC7\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x51"],
        ["\x98\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xAA"],

        ["\xC7\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xDE"],
        ["\x98\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],

        ["\xC7\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xEB"],
        ["\x98\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],

        ["\xC7\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xED"],
        ["\x98\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],

        ["\xC7\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xEE"],
        ["\x98\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],

        ["\xC8\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x8C"],
        ["\x99\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xBB"],

        ["\xC8\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xCA"],
        ["\x99\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],

        ["\xC9\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x47"],
        ["\x9A\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA7"],

        ["\xC9\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x53"],
        ["\x9A\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],

        ["\xC9\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x89"],
        ["\x9A\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],

        ["\xC9\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x86"],
        ["\x9A\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB6"],

        ["\xC9\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x8E"],
        ["\x9A\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xBD"],

        ["\xC9\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAA"],
        ["\x9A\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],

        ["\xBF\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xFB"],
        ["\x90\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xFB"],

        ["\xC9\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xDE"],
        ["\x9A\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],

        ["\xC9\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xEC"],
        ["\x9A\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],

        ["\xCB\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\x84"],
        ["\x9E\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],

        ["\xCB\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xA8"],
        ["\x9E\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xD3"],

        ["\xCB\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xA9"],
        ["\x9E\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xD4"],

        ["\xCC\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\x41"],
        ["\x9F\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xA1"],

        ["\xCB\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xED"],
        ["\x9E\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xF7"],

        ["\xCC\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\x82"],
        ["\x9F\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],

        ["\xCC\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\x94"],
        ["\x9F\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xC3"],

        ["\xCC\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\xDA"],
        ["\x9F\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],

        ["\xCC\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\xCC"],
        ["\x9F\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],

        ["\xCC\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\xCF"],
        ["\x9F\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],

        ["\xCC\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\xFD"],
        ["\x9F\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],

        ["\xCD\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x49"],
        ["\xA2\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],

        ["\xCD\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x93"],
        ["\xA2\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xC2"],

        ["\xCD\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA8"],
        ["\xA2\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xD3"],

        ["\xCD\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xB4"],
        ["\xA2\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xE2"],

        ["\xCE\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x44"],
        ["\xA3\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],

        ["\xCE\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x9D"],
        ["\xA3\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],

        ["\xCE\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xBA"],
        ["\xA3\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],

        ["\xCE\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xBF"],
        ["\xA3\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],

        ["\xCE\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB4"],
        ["\xA3\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xE2"],

        ["\xCE\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB5"],
        ["\xA3\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xE3"],

        ["\xCE\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCE"],
        ["\xA3\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],

        ["\xCE\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCC"],
        ["\xA3\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],

        ["\xCE\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCF"],
        ["\xA3\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],

        ["\xCE\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],
        ["\xA3\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xF8"],

        ["\xCE\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xFE"],
        ["\xA3\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],

        ["\xCF\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x8D"],
        ["\xA4\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],

        ["\xCF\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x8C"],
        ["\xA4\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],

        ["\xCF\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x93"],
        ["\xA4\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xC2"],

        ["\xCF\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x96"],
        ["\xA4\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xC5"],

        ["\xCF\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x98"],
        ["\xA4\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xC7"],

        ["\xCF\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],
        ["\xA4\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xDE"],

        ["\xCF\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xFD"],
        ["\xA4\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xFD"],

        ["\xD0\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\x93"],
        ["\xA5\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],

        ["\xD0\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],
        ["\xA5\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xCD"],

        ["\xD0\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCE"],
        ["\xA5\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xEC"],

        ["\xD0\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDE"],
        ["\xA5\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],

        ["\xD0\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDF"],
        ["\xA5\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],

        ["\xD0\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],
        ["\xA5\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],

        ["\xD1\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x88"],
        ["\xA6\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xB8"],

        ["\xD1\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x87"],
        ["\xA6\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xB7"],

        ["\xD1\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x89"],
        ["\xA6\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xB9"],

        ["\xD1\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x8C"],
        ["\xA6\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xBB"],

        ["\xD1\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x92"],
        ["\xA6\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],

        ["\xD1\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x8F"],
        ["\xA6\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xBE"],

        ["\xD1\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x8E"],
        ["\xA6\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xBD"],

        ["\xD1\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x97"],
        ["\xA6\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],

        ["\xD1\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x95"],
        ["\xA6\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],

        ["\xD1\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x9E"],
        ["\xA6\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xCB"],

        ["\xD1\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xBC"],
        ["\xA6\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xDC"],

        ["\xD1\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAC"],
        ["\xA6\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],

        ["\xD1\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAF"],
        ["\xA6\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],

        ["\xD1\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xBD"],
        ["\xA6\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xDD"],

        ["\xD1\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xBB"],
        ["\xA6\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xDB"],

        ["\xD1\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA6"],
        ["\xA6\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],

        ["\xD1\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA8"],
        ["\xA6\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],

        ["\xD1\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB6"],
        ["\xA6\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],

        ["\xD1\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xDA"],
        ["\xA6\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xEE"],

        ["\xD1\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xDB"],
        ["\xA6\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xEF"],

        ["\xD1\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB8"],
        ["\xA6\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],

        ["\xD1\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xEF"],
        ["\xA6\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],

        ["\xD1\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xDC"],
        ["\xA6\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],

        ["\xD1\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xED"],
        ["\xA6\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],

        ["\xD2\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x44"],
        ["\xA7\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xA4"],

        ["\xD2\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x46"],
        ["\xA7\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xA6"],

        ["\xD2\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x43"],
        ["\xA7\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xA3"],

        ["\xD1\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xFE"],
        ["\xA6\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xFE"],

        ["\xD1\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xEA"],
        ["\xA6\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],

        ["\xD2\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x84"],
        ["\xA7\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xB4"],

        ["\xD2\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x49"],
        ["\xA7\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xA9"],

        ["\xD2\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x56"],
        ["\xA7\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xAF"],

        ["\xD2\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x87"],
        ["\xA7\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xB7"],

        ["\xD2\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x52"],
        ["\xA7\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],

        ["\xD2\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x85"],
        ["\xA7\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xB5"],

        ["\xD2\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x83"],
        ["\xA7\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xB3"],

        ["\xD2\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x82"],
        ["\xA7\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xB2"],

        ["\xD2\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x8C"],
        ["\xA7\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xBB"],

        ["\xD2\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x94"],
        ["\xA7\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],

        ["\xD2\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA8"],
        ["\xA7\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],

        ["\xD2\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBF"],
        ["\xA7\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xDF"],

        ["\xD2\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBA"],
        ["\xA7\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xDA"],

        ["\xD2\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB9"],
        ["\xA7\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],

        ["\xD2\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDE"],
        ["\xA7\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],

        ["\xD2\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDF"],
        ["\xA7\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],

        ["\xD2\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEA"],
        ["\xA7\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],

        ["\xD2\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xFC"],
        ["\xA7\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xFC"],

        ["\xD3\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x89"],
        ["\xA8\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xB9"],

        ["\xD3\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x91"],
        ["\xA8\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],

        ["\xD3\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x92"],
        ["\xA8\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],

        ["\xD3\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x95"],
        ["\xA8\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],

        ["\xD3\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA9"],
        ["\xA8\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],

        ["\xD3\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAA"],
        ["\xA8\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],

        ["\xD3\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAD"],
        ["\xA8\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],

        ["\xD3\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAF"],
        ["\xA8\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],

        ["\xD3\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xBB"],
        ["\xA8\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xDB"],

        ["\xD3\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xBC"],
        ["\xA8\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xDC"],

        ["\xD3\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xBE"],
        ["\xA8\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xDE"],

        ["\xD4\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x41"],
        ["\xA9\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],

        ["\xD4\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x44"],
        ["\xA9\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xA4"],

        ["\xD4\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x83"],
        ["\xA9\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xB3"],

        ["\xD4\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x84"],
        ["\xA9\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xB4"],

        ["\xD4\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x87"],
        ["\xA9\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xB7"],

        ["\xD4\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x88"],
        ["\xA9\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xB8"],

        ["\xD4\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x94"],
        ["\xA9\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],

        ["\xD4\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xAD"],
        ["\xA9\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],

        ["\xD4\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xBC"],
        ["\xA9\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xDC"],

        ["\xD4\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xBE"],
        ["\xA9\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xDE"],

        ["\xD4\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xDC"],
        ["\xA9\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],

        ["\xD4\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xDB"],
        ["\xA9\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xEF"],

        ["\xD4\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xDF"],
        ["\xA9\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],

        ["\xD4\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xFB"],
        ["\xA9\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xFB"],

        ["\xD5\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x48"],
        ["\xAA\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xA8"],

        ["\xD5\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x56"],
        ["\xAA\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xAF"],

        ["\xD3\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x9A"],
        ["\xA8\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],

        ["\xD5\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xA9"],
        ["\xAA\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],

        ["\xD5\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xBA"],
        ["\xAA\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xDA"],

        ["\xD5\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xBC"],
        ["\xAA\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xDC"],

        ["\xD5\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xCD"],
        ["\xAA\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xEB"],

        ["\x74\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x7F"],
        ["\x80\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x22"],

        ["\x74\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x7B"],
        ["\x80\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x23"],

        ["\x74\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE0"],
        ["\x80\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x24"],

        ["\x74\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x6C"],
        ["\x80\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x25"],

        ["\x74\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x50"],
        ["\x80\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x26"],

        ["\x74\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x7D"],
        ["\x80\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x27"],

        ["\x74\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x4D"],
        ["\x80\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x28"],

        ["\x74\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x5D"],
        ["\x80\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x29"],

        ["\x74\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x5C"],
        ["\x80\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x2A"],

        ["\x74\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x4E"],
        ["\x80\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x2B"],

        ["\x74\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x6B"],
        ["\x80\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x2C"],

        ["\x74\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x60"],
        ["\x80\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x2D"],

        ["\x74\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x4B"],
        ["\x80\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x2E"],

        ["\x74\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x61"],
        ["\x80\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x2F"],

        ["\x74\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF0"],
        ["\x80\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x30"],

        ["\x74\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF1"],
        ["\x80\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x31"],

        ["\x74\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF2"],
        ["\x80\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x32"],

        ["\x74\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF3"],
        ["\x80\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x33"],

        ["\x74\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF4"],
        ["\x80\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x34"],

        ["\x74\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF5"],
        ["\x80\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x35"],

        ["\x74\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF6"],
        ["\x80\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x36"],

        ["\xA5\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xCB"],
        ["\x45\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xE9"],

        ["\xA5\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xCC"],
        ["\x45\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],

        ["\xA5\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xCD"],
        ["\x45\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xEB"],

        ["\x74\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF7"],
        ["\x80\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x37"],

        ["\x74\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF8"],
        ["\x80\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x38"],

        ["\x74\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xF9"],
        ["\x80\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x39"],

        ["\x74\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x7A"],
        ["\x80\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x3A"],

        ["\x74\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x5E"],
        ["\x80\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x3B"],

        ["\x74\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x4C"],
        ["\x80\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x3C"],

        ["\x74\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x7E"],
        ["\x80\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x3D"],

        ["\xA5\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xB2"],
        ["\x45\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xE0"],

        ["\xA5\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xAD"],
        ["\x45\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xD7"],

        ["\x74\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x6E"],
        ["\x80\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x3E"],

        ["\x74\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x6F"],
        ["\x80\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x3F"],

        ["\xA5\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xB6"],
        ["\x45\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xE4"],

        ["\xA5\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xB5"],
        ["\x45\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xE3"],

        ["\xA3\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xBE"],
        ["\x43\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xDE"],

        ["\x74\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x7C"],
        ["\x80\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x40"],

        ["\x74\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC1"],
        ["\x80\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x41"],

        ["\x74\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC2"],
        ["\x80\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x42"],

        ["\x74\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC3"],
        ["\x80\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x43"],

        ["\xA3\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xCE"],
        ["\x43\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],

        ["\xA3\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xDA"],
        ["\x43\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],

        ["\xA3\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xCD"],
        ["\x43\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],

        ["\xA3\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xCF"],
        ["\x43\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],

        ["\xA3\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB3"],
        ["\x43\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xE1"],

        ["\xA3\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB6"],
        ["\x43\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xE4"],

        ["\xA3\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB4"],
        ["\x43\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xE2"],

        ["\xA3\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xB5"],
        ["\x43\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xE3"],

        ["\xA3\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xBD"],
        ["\x43\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xDD"],

        ["\x74\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC4"],
        ["\x80\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x44"],

        ["\x74\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC5"],
        ["\x80\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x45"],

        ["\x74\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC6"],
        ["\x80\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x46"],

        ["\x74\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC7"],
        ["\x80\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x47"],

        ["\x74\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC8"],
        ["\x80\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x48"],

        ["\x74\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC9"],
        ["\x80\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x49"],

        ["\x74\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD1"],
        ["\x80\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x4A"],

        ["\x74\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD2"],
        ["\x80\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x4B"],

        ["\x74\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD3"],
        ["\x80\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x4C"],

        ["\x74\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD4"],
        ["\x80\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x4D"],

        ["\x74\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD5"],
        ["\x80\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x4E"],

        ["\x74\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD6"],
        ["\x80\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x4F"],

        ["\x74\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD7"],
        ["\x80\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x50"],

        ["\xA5\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xAC"],
        ["\x45\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xD6"],

        ["\x74\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD8"],
        ["\x80\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x51"],

        ["\x74\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD9"],
        ["\x80\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x52"],

        ["\xA4\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\xED"],
        ["\x44\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xF7"],

        ["\x74\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE2"],
        ["\x80\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x53"],

        ["\x74\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE3"],
        ["\x80\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x54"],

        ["\x74\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE4"],
        ["\x80\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x55"],

        ["\x74\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE5"],
        ["\x80\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x56"],

        ["\x74\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE6"],
        ["\x80\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x57"],

        ["\x74\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE7"],
        ["\x80\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x58"],

        ["\x74\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE8"],
        ["\x80\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x59"],

        ["\x74\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xE9"],
        ["\x80\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x5A"],

        ["\x74\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x4A"],
        ["\x80\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x5B"],

        ["\x74\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x5B"],
        ["\x80\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x5C"],

        ["\x74\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x5A"],
        ["\x80\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x5D"],

        ["\x74\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x5F"],
        ["\x80\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x5E"],

        ["\x74\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x6D"],
        ["\x80\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x5F"],

        ["\x74\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x79"],
        ["\x80\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x60"],

        ["\x74\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x57"],
        ["\x80\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x61"],

        ["\x74\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x59"],
        ["\x80\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x62"],

        ["\x74\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x62"],
        ["\x80\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x63"],

        ["\x74\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x63"],
        ["\x80\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x64"],

        ["\x74\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x64"],
        ["\x80\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x65"],

        ["\x74\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x65"],
        ["\x80\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x66"],

        ["\x74\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x66"],
        ["\x80\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x67"],

        ["\x74\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x67"],
        ["\x80\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x68"],

        ["\x74\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x68"],
        ["\x80\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x69"],

        ["\xA5\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xEB"],
        ["\x45\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xF5"],

        ["\x74\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x69"],
        ["\x80\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x6A"],

        ["\xA5\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xDF"],
        ["\x45\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xF3"],

        ["\x74\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x70"],
        ["\x80\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x6B"],

        ["\xA5\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xEA"],
        ["\x45\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xF4"],

        ["\x74\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x71"],
        ["\x80\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x6C"],

        ["\xA5\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\xDE"],
        ["\x45\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xF2"],

        ["\x74\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x72"],
        ["\x80\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x6D"],

        ["\x74\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x73"],
        ["\x80\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x6E"],

        ["\x74\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x74"],
        ["\x80\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x6F"],

        ["\x74\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x75"],
        ["\x80\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x70"],

        ["\x74\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x76"],
        ["\x80\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x71"],

        ["\x74\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x77"],
        ["\x80\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x72"],

        ["\x74\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x78"],
        ["\x80\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x73"],

        ["\x74\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x80"],
        ["\x80\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x74"],

        ["\x74\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x8B"],
        ["\x80\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x75"],

        ["\x74\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x9B"],
        ["\x80\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x76"],

        ["\x74\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x9C"],
        ["\x80\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x77"],

        ["\x74\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA0"],
        ["\x80\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x78"],

        ["\x74\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xAB"],
        ["\x80\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x79"],

        ["\x74\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xB0"],
        ["\x80\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x7A"],

        ["\x74\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xC0"],
        ["\x80\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x7B"],

        ["\x74\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\x6A"],
        ["\x80\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x7C"],

        ["\x74\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xD0"],
        ["\x80\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x7D"],

        ["\x74\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x80\xA1"],
        ["\x80\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x74\x7E"],

        ["\x75\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x4F"],
        ["\x8B\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x21"],

        ["\x75\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x7F"],
        ["\x8B\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x22"],

        ["\x75\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x7B"],
        ["\x8B\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x23"],

        ["\x75\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE0"],
        ["\x8B\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x24"],

        ["\x75\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x6C"],
        ["\x8B\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x25"],

        ["\x75\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x50"],
        ["\x8B\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x26"],

        ["\x75\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x7D"],
        ["\x8B\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x27"],

        ["\x75\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x4D"],
        ["\x8B\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x28"],

        ["\x75\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x5D"],
        ["\x8B\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x29"],

        ["\x75\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x5C"],
        ["\x8B\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x2A"],

        ["\x75\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x4E"],
        ["\x8B\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x2B"],

        ["\x75\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x6B"],
        ["\x8B\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x2C"],

        ["\x75\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x60"],
        ["\x8B\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x2D"],

        ["\x75\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x4B"],
        ["\x8B\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x2E"],

        ["\x75\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x61"],
        ["\x8B\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x2F"],

        ["\x75\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF0"],
        ["\x8B\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x30"],

        ["\x75\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF1"],
        ["\x8B\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x31"],

        ["\x75\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF2"],
        ["\x8B\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x32"],

        ["\x75\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF3"],
        ["\x8B\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x33"],

        ["\x75\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF4"],
        ["\x8B\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x34"],

        ["\x75\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF5"],
        ["\x8B\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x35"],

        ["\x75\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF6"],
        ["\x8B\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x36"],

        ["\x75\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF7"],
        ["\x8B\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x37"],

        ["\x75\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF8"],
        ["\x8B\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x38"],

        ["\x75\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xF9"],
        ["\x8B\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x39"],

        ["\x75\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x7A"],
        ["\x8B\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x3A"],

        ["\x75\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x5E"],
        ["\x8B\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x3B"],

        ["\x75\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x4C"],
        ["\x8B\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x3C"],

        ["\x75\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x7E"],
        ["\x8B\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x3D"],

        ["\x75\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x6E"],
        ["\x8B\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x3E"],

        ["\x75\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x6F"],
        ["\x8B\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x3F"],

        ["\x75\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x7C"],
        ["\x8B\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x40"],

        ["\x75\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC1"],
        ["\x8B\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x41"],

        ["\x75\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC2"],
        ["\x8B\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x42"],

        ["\x75\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC3"],
        ["\x8B\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x43"],

        ["\x75\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC4"],
        ["\x8B\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x44"],

        ["\x75\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC5"],
        ["\x8B\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x45"],

        ["\x75\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC6"],
        ["\x8B\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x46"],

        ["\x75\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC7"],
        ["\x8B\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x47"],

        ["\x75\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC8"],
        ["\x8B\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x48"],

        ["\x75\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC9"],
        ["\x8B\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x49"],

        ["\xA2\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xFA"],
        ["\x42\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xFA"],

        ["\xA2\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xFB"],
        ["\x42\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xFB"],

        ["\x75\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD1"],
        ["\x8B\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x4A"],

        ["\x75\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD2"],
        ["\x8B\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x4B"],

        ["\x75\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD3"],
        ["\x8B\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x4C"],

        ["\x75\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD4"],
        ["\x8B\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x4D"],

        ["\x75\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD5"],
        ["\x8B\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x4E"],

        ["\x75\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD6"],
        ["\x8B\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x4F"],

        ["\x75\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD7"],
        ["\x8B\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x50"],

        ["\x75\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD8"],
        ["\x8B\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x51"],

        ["\x75\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD9"],
        ["\x8B\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x52"],

        ["\x75\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE2"],
        ["\x8B\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x53"],

        ["\x75\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE3"],
        ["\x8B\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x54"],

        ["\x75\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE4"],
        ["\x8B\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x55"],

        ["\x75\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE5"],
        ["\x8B\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x56"],

        ["\x75\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE6"],
        ["\x8B\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x57"],

        ["\x75\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE7"],
        ["\x8B\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x58"],

        ["\x75\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE8"],
        ["\x8B\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x59"],

        ["\x75\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xE9"],
        ["\x8B\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x5A"],

        ["\x75\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x4A"],
        ["\x8B\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x5B"],

        ["\x75\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x5B"],
        ["\x8B\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x5C"],

        ["\x75\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x5A"],
        ["\x8B\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x5D"],

        ["\x75\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x5F"],
        ["\x8B\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x5E"],

        ["\x75\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x6D"],
        ["\x8B\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x5F"],

        ["\x75\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x79"],
        ["\x8B\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x60"],

        ["\x75\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x57"],
        ["\x8B\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x61"],

        ["\x75\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x59"],
        ["\x8B\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x62"],

        ["\x75\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x62"],
        ["\x8B\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x63"],

        ["\x75\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x63"],
        ["\x8B\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x64"],

        ["\x75\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x64"],
        ["\x8B\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x65"],

        ["\x75\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x65"],
        ["\x8B\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x66"],

        ["\x75\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x66"],
        ["\x8B\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x67"],

        ["\x75\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x67"],
        ["\x8B\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x68"],

        ["\x75\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x68"],
        ["\x8B\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x69"],

        ["\x75\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x69"],
        ["\x8B\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x6A"],

        ["\x75\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x70"],
        ["\x8B\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x6B"],

        ["\x75\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x71"],
        ["\x8B\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x6C"],

        ["\x75\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x72"],
        ["\x8B\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x6D"],

        ["\x75\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x73"],
        ["\x8B\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x6E"],

        ["\x75\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x74"],
        ["\x8B\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x6F"],

        ["\x75\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x75"],
        ["\x8B\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x70"],

        ["\x75\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x76"],
        ["\x8B\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x71"],

        ["\x75\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x77"],
        ["\x8B\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x72"],

        ["\x75\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x78"],
        ["\x8B\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x73"],

        ["\x75\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x80"],
        ["\x8B\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x74"],

        ["\x75\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x8B"],
        ["\x8B\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x75"],

        ["\x75\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x9B"],
        ["\x8B\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x76"],

        ["\x75\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x9C"],
        ["\x8B\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x77"],

        ["\x75\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA0"],
        ["\x8B\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x78"],

        ["\x75\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xAB"],
        ["\x8B\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x79"],

        ["\x75\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xB0"],
        ["\x8B\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x7A"],

        ["\x75\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xC0"],
        ["\x8B\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x7B"],

        ["\x75\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\x6A"],
        ["\x8B\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x7C"],

        ["\x75\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xD0"],
        ["\x8B\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x7D"],

        ["\x75\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8B\xA1"],
        ["\x8B\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x75\x7E"],

        ["\x76\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x4F"],
        ["\x9B\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x21"],

        ["\x76\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x7F"],
        ["\x9B\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x22"],

        ["\x76\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x7B"],
        ["\x9B\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x23"],

        ["\x76\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xE0"],
        ["\x9B\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x24"],

        ["\x76\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x6C"],
        ["\x9B\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x25"],

        ["\x76\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x50"],
        ["\x9B\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x26"],

        ["\x76\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x7D"],
        ["\x9B\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x27"],

        ["\x76\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x4D"],
        ["\x9B\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x28"],

        ["\x76\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x5D"],
        ["\x9B\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x29"],

        ["\x76\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x5C"],
        ["\x9B\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x2A"],

        ["\x76\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x4E"],
        ["\x9B\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x2B"],

        ["\x76\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x6B"],
        ["\x9B\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x2C"],

        ["\x76\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x60"],
        ["\x9B\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x2D"],

        ["\x76\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x4B"],
        ["\x9B\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x2E"],

        ["\x76\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x61"],
        ["\x9B\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x2F"],

        ["\x76\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF0"],
        ["\x9B\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x30"],

        ["\x76\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF1"],
        ["\x9B\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x31"],

        ["\x76\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF2"],
        ["\x9B\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x32"],

        ["\x76\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF3"],
        ["\x9B\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x33"],

        ["\x76\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF4"],
        ["\x9B\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x34"],

        ["\x76\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF5"],
        ["\x9B\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x35"],

        ["\x76\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF6"],
        ["\x9B\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x36"],

        ["\x76\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF7"],
        ["\x9B\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x37"],

        ["\x76\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF8"],
        ["\x9B\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x38"],

        ["\x76\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xF9"],
        ["\x9B\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x39"],

        ["\x76\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x7A"],
        ["\x9B\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x3A"],

        ["\x76\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x5E"],
        ["\x9B\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x3B"],

        ["\xA5\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x41"],
        ["\x45\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xA1"],

        ["\xA5\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x42"],
        ["\x45\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],

        ["\x76\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x4C"],
        ["\x9B\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x3C"],

        ["\x76\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x7E"],
        ["\x9B\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x3D"],

        ["\x76\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x6E"],
        ["\x9B\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x3E"],

        ["\x76\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x6F"],
        ["\x9B\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x3F"],

        ["\xA5\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x44"],
        ["\x45\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xA4"],

        ["\x76\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x7C"],
        ["\x9B\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x40"],

        ["\xA5\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x45"],
        ["\x45\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xA5"],

        ["\xA5\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x46"],
        ["\x45\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xA6"],

        ["\x76\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC1"],
        ["\x9B\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x41"],

        ["\x76\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC2"],
        ["\x9B\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x42"],

        ["\xA5\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x47"],
        ["\x45\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xA7"],

        ["\xA5\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x48"],
        ["\x45\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xA8"],

        ["\xA5\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x8E"],
        ["\x45\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xBD"],

        ["\x76\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC3"],
        ["\x9B\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x43"],

        ["\xA5\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x49"],
        ["\x45\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],

        ["\x76\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC4"],
        ["\x9B\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x44"],

        ["\xA5\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x51"],
        ["\x45\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xAA"],

        ["\xA5\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x52"],
        ["\x45\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xAB"],

        ["\x76\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC5"],
        ["\x9B\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x45"],

        ["\xA5\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x53"],
        ["\x45\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xAC"],

        ["\x76\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC6"],
        ["\x9B\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x46"],

        ["\x76\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC7"],
        ["\x9B\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x47"],

        ["\xA5\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x55"],
        ["\x45\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],

        ["\xA5\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x56"],
        ["\x45\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xAF"],

        ["\xA5\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x58"],
        ["\x45\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB0"],

        ["\xA5\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x81"],
        ["\x45\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB1"],

        ["\x76\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC8"],
        ["\x9B\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x48"],

        ["\x76\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC9"],
        ["\x9B\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x49"],

        ["\xA5\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x83"],
        ["\x45\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB3"],

        ["\xA5\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x82"],
        ["\x45\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB2"],

        ["\xA5\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x84"],
        ["\x45\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],

        ["\x76\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD1"],
        ["\x9B\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x4A"],

        ["\xA5\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x85"],
        ["\x45\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB5"],

        ["\x76\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD2"],
        ["\x9B\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x4B"],

        ["\x76\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD3"],
        ["\x9B\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x4C"],

        ["\xA5\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x86"],
        ["\x45\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB6"],

        ["\xA5\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x88"],
        ["\x45\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB8"],

        ["\xA5\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x87"],
        ["\x45\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB7"],

        ["\xA5\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x89"],
        ["\x45\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xB9"],

        ["\xA5\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x8A"],
        ["\x45\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xBA"],

        ["\x76\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD4"],
        ["\x9B\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x4D"],

        ["\xA5\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x8C"],
        ["\x45\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xBB"],

        ["\xA5\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x8D"],
        ["\x45\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xBC"],

        ["\x76\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD5"],
        ["\x9B\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x4E"],

        ["\x76\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD6"],
        ["\x9B\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x4F"],

        ["\xA5\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x8F"],
        ["\x45\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xBE"],

        ["\x76\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD7"],
        ["\x9B\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x50"],

        ["\xA5\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x90"],
        ["\x45\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xBF"],

        ["\xA5\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x91"],
        ["\x45\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xC0"],

        ["\x76\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD8"],
        ["\x9B\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x51"],

        ["\xA5\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x92"],
        ["\x45\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xC1"],

        ["\x76\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD9"],
        ["\x9B\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x52"],

        ["\xA5\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x96"],
        ["\x45\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xC5"],

        ["\xA5\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x95"],
        ["\x45\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xC4"],

        ["\xA5\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x97"],
        ["\x45\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xC6"],

        ["\xA5\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x98"],
        ["\x45\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xC7"],

        ["\x76\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xE2"],
        ["\x9B\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x53"],

        ["\x76\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xE3"],
        ["\x9B\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x54"],

        ["\xA5\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x99"],
        ["\x45\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xC8"],

        ["\x76\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xE4"],
        ["\x9B\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x55"],

        ["\x76\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xE5"],
        ["\x9B\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x56"],

        ["\x76\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xE6"],
        ["\x9B\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x57"],

        ["\x76\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xE7"],
        ["\x9B\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x58"],

        ["\x76\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xE8"],
        ["\x9B\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x59"],

        ["\x76\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xE9"],
        ["\x9B\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x5A"],

        ["\x76\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x4A"],
        ["\x9B\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x5B"],

        ["\x76\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x5B"],
        ["\x9B\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x5C"],

        ["\x76\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x5A"],
        ["\x9B\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x5D"],

        ["\x76\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x5F"],
        ["\x9B\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x5E"],

        ["\x76\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x6D"],
        ["\x9B\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x5F"],

        ["\x76\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x79"],
        ["\x9B\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x60"],

        ["\x76\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x57"],
        ["\x9B\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x61"],

        ["\x76\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x59"],
        ["\x9B\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x62"],

        ["\x76\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x62"],
        ["\x9B\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x63"],

        ["\x76\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x63"],
        ["\x9B\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x64"],

        ["\x76\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x64"],
        ["\x9B\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x65"],

        ["\x76\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x65"],
        ["\x9B\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x66"],

        ["\x76\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x66"],
        ["\x9B\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x67"],

        ["\x76\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x67"],
        ["\x9B\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x68"],

        ["\x76\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x68"],
        ["\x9B\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x69"],

        ["\x76\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x69"],
        ["\x9B\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x6A"],

        ["\x76\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x70"],
        ["\x9B\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x6B"],

        ["\x76\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x71"],
        ["\x9B\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x6C"],

        ["\x76\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x72"],
        ["\x9B\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x6D"],

        ["\x76\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x73"],
        ["\x9B\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x6E"],

        ["\x76\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x74"],
        ["\x9B\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x6F"],

        ["\x76\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x75"],
        ["\x9B\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x70"],

        ["\x76\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x76"],
        ["\x9B\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x71"],

        ["\x76\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x77"],
        ["\x9B\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x72"],

        ["\x76\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x78"],
        ["\x9B\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x73"],

        ["\x76\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x80"],
        ["\x9B\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x74"],

        ["\x76\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x8B"],
        ["\x9B\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x75"],

        ["\x76\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x9B"],
        ["\x9B\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x76"],

        ["\x76\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x9C"],
        ["\x9B\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x77"],

        ["\x76\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xA0"],
        ["\x9B\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x78"],

        ["\x76\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xAB"],
        ["\x9B\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x79"],

        ["\x76\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xB0"],
        ["\x9B\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x7A"],

        ["\x76\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xC0"],
        ["\x9B\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x7B"],

        ["\x76\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\x6A"],
        ["\x9B\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x7C"],

        ["\x76\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xD0"],
        ["\x9B\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x7D"],

        ["\x76\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9B\xA1"],
        ["\x9B\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x76\x7E"],

        ["\x77\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x4F"],
        ["\x9C\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x21"],

        ["\x77\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x7F"],
        ["\x9C\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x22"],

        ["\x77\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x7B"],
        ["\x9C\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x23"],

        ["\x77\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xE0"],
        ["\x9C\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x24"],

        ["\x77\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x6C"],
        ["\x9C\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x25"],

        ["\x77\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x50"],
        ["\x9C\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x26"],

        ["\x77\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x7D"],
        ["\x9C\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x27"],

        ["\x77\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x4D"],
        ["\x9C\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x28"],

        ["\x77\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x5D"],
        ["\x9C\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x29"],

        ["\x77\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x5C"],
        ["\x9C\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x2A"],

        ["\x77\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x4E"],
        ["\x9C\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x2B"],

        ["\x77\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x6B"],
        ["\x9C\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x2C"],

        ["\x77\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x60"],
        ["\x9C\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x2D"],

        ["\x77\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x4B"],
        ["\x9C\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x2E"],

        ["\x77\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x61"],
        ["\x9C\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x2F"],

        ["\x77\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF0"],
        ["\x9C\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x30"],

        ["\x77\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF1"],
        ["\x9C\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x31"],

        ["\x77\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF2"],
        ["\x9C\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x32"],

        ["\x77\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF3"],
        ["\x9C\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x33"],

        ["\x77\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF4"],
        ["\x9C\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x34"],

        ["\x77\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF5"],
        ["\x9C\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x35"],

        ["\x77\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF6"],
        ["\x9C\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x36"],

        ["\x77\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF7"],
        ["\x9C\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x37"],

        ["\x77\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF8"],
        ["\x9C\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x38"],

        ["\x77\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xF9"],
        ["\x9C\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x39"],

        ["\x77\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x7A"],
        ["\x9C\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x3A"],

        ["\x77\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x5E"],
        ["\x9C\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x3B"],

        ["\x77\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x4C"],
        ["\x9C\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x3C"],

        ["\x77\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x7E"],
        ["\x9C\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x3D"],

        ["\x77\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x6E"],
        ["\x9C\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x3E"],

        ["\x77\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x6F"],
        ["\x9C\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x3F"],

        ["\x77\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x7C"],
        ["\x9C\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x40"],

        ["\x77\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC1"],
        ["\x9C\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x41"],

        ["\x77\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC2"],
        ["\x9C\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x42"],

        ["\x77\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC3"],
        ["\x9C\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x43"],

        ["\x77\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC4"],
        ["\x9C\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x44"],

        ["\x77\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC5"],
        ["\x9C\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x45"],

        ["\x77\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC6"],
        ["\x9C\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x46"],

        ["\x77\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC7"],
        ["\x9C\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x47"],

        ["\x77\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC8"],
        ["\x9C\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x48"],

        ["\x77\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC9"],
        ["\x9C\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x49"],

        ["\x77\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD1"],
        ["\x9C\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x4A"],

        ["\x77\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD2"],
        ["\x9C\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x4B"],

        ["\x77\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD3"],
        ["\x9C\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x4C"],

        ["\x77\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD4"],
        ["\x9C\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x4D"],

        ["\x77\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD5"],
        ["\x9C\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x4E"],

        ["\x77\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD6"],
        ["\x9C\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x4F"],

        ["\x77\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD7"],
        ["\x9C\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x50"],

        ["\x77\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD8"],
        ["\x9C\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x51"],

        ["\x77\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD9"],
        ["\x9C\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x52"],

        ["\x77\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xE2"],
        ["\x9C\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x53"],

        ["\x77\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xE3"],
        ["\x9C\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x54"],

        ["\x77\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xE4"],
        ["\x9C\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x55"],

        ["\x77\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xE5"],
        ["\x9C\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x56"],

        ["\x77\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xE6"],
        ["\x9C\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x57"],

        ["\x77\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xE7"],
        ["\x9C\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x58"],

        ["\x77\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xE8"],
        ["\x9C\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x59"],

        ["\x77\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xE9"],
        ["\x9C\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x5A"],

        ["\x77\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x4A"],
        ["\x9C\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x5B"],

        ["\x77\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x5B"],
        ["\x9C\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x5C"],

        ["\x77\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A"],
        ["\x9C\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x5D"],

        ["\x77\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x5F"],
        ["\x9C\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x5E"],

        ["\x77\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x6D"],
        ["\x9C\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x5F"],

        ["\x77\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x79"],
        ["\x9C\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x60"],

        ["\x77\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x57"],
        ["\x9C\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x61"],

        ["\x77\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x59"],
        ["\x9C\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x62"],

        ["\x77\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x62"],
        ["\x9C\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x63"],

        ["\x77\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x63"],
        ["\x9C\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x64"],

        ["\x77\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x64"],
        ["\x9C\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x65"],

        ["\x77\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x65"],
        ["\x9C\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x66"],

        ["\x77\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x66"],
        ["\x9C\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x67"],

        ["\xA5\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x93"],
        ["\x45\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xC2"],

        ["\xA5\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x45\x54"],
        ["\x45\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA5\xAD"],

        ["\x77\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x67"],
        ["\x9C\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x68"],

        ["\x77\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x68"],
        ["\x9C\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x69"],

        ["\x77\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x69"],
        ["\x9C\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x6A"],

        ["\x77\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x70"],
        ["\x9C\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x6B"],

        ["\x77\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x71"],
        ["\x9C\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x6C"],

        ["\x77\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x72"],
        ["\x9C\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x6D"],

        ["\x77\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x73"],
        ["\x9C\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x6E"],

        ["\x77\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x74"],
        ["\x9C\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x6F"],

        ["\x77\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x75"],
        ["\x9C\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x70"],

        ["\x77\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x76"],
        ["\x9C\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x71"],

        ["\x77\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x77"],
        ["\x9C\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x72"],

        ["\x77\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x78"],
        ["\x9C\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x73"],

        ["\x77\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x80"],
        ["\x9C\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x74"],

        ["\x77\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x8B"],
        ["\x9C\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x75"],

        ["\x77\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x9B"],
        ["\x9C\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x76"],

        ["\x77\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x9C"],
        ["\x9C\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x77"],

        ["\x77\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xA0"],
        ["\x9C\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x78"],

        ["\x77\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xAB"],
        ["\x9C\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x79"],

        ["\x77\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xB0"],
        ["\x9C\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x7A"],

        ["\x77\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xC0"],
        ["\x9C\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x7B"],

        ["\x77\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\x6A"],
        ["\x9C\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x7C"],

        ["\x77\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xD0"],
        ["\x9C\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x7D"],

        ["\x77\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9C\xA1"],
        ["\x9C\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x77\x7E"],

        ["\x78\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x4F"],
        ["\xA0\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x21"],

        ["\x78\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x7F"],
        ["\xA0\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x22"],

        ["\x78\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x7B"],
        ["\xA0\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x23"],

        ["\x78\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xE0"],
        ["\xA0\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x24"],

        ["\x78\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x6C"],
        ["\xA0\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x25"],

        ["\x78\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x50"],
        ["\xA0\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x26"],

        ["\x78\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x7D"],
        ["\xA0\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x27"],

        ["\x78\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x4D"],
        ["\xA0\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x28"],

        ["\x78\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x5D"],
        ["\xA0\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x29"],

        ["\x78\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x5C"],
        ["\xA0\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x2A"],

        ["\x78\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x4E"],
        ["\xA0\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x2B"],

        ["\x78\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x6B"],
        ["\xA0\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x2C"],

        ["\x78\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x60"],
        ["\xA0\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x2D"],

        ["\x78\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x4B"],
        ["\xA0\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x2E"],

        ["\x78\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x61"],
        ["\xA0\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x2F"],

        ["\x78\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF0"],
        ["\xA0\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x30"],

        ["\x78\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF1"],
        ["\xA0\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x31"],

        ["\x78\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF2"],
        ["\xA0\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x32"],

        ["\x78\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF3"],
        ["\xA0\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x33"],

        ["\x78\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF4"],
        ["\xA0\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x34"],

        ["\x78\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF5"],
        ["\xA0\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x35"],

        ["\x78\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF6"],
        ["\xA0\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x36"],

        ["\x78\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF7"],
        ["\xA0\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x37"],

        ["\x78\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF8"],
        ["\xA0\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x38"],

        ["\x78\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xF9"],
        ["\xA0\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x39"],

        ["\x78\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x7A"],
        ["\xA0\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x3A"],

        ["\x78\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x5E"],
        ["\xA0\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x3B"],

        ["\x78\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x4C"],
        ["\xA0\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x3C"],

        ["\x78\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x7E"],
        ["\xA0\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x3D"],

        ["\x78\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x6E"],
        ["\xA0\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x3E"],

        ["\x78\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x6F"],
        ["\xA0\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x3F"],

        ["\x78\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x7C"],
        ["\xA0\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x40"],

        ["\x78\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC1"],
        ["\xA0\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x41"],

        ["\x78\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC2"],
        ["\xA0\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x42"],

        ["\x78\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC3"],
        ["\xA0\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x43"],

        ["\x78\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC4"],
        ["\xA0\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x44"],

        ["\x78\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC5"],
        ["\xA0\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x45"],

        ["\x78\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC6"],
        ["\xA0\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x46"],

        ["\x78\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC7"],
        ["\xA0\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x47"],

        ["\x78\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC8"],
        ["\xA0\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x48"],

        ["\x78\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC9"],
        ["\xA0\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x49"],

        ["\x78\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD1"],
        ["\xA0\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x4A"],

        ["\x78\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD2"],
        ["\xA0\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x4B"],

        ["\x78\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD3"],
        ["\xA0\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x4C"],

        ["\x78\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD4"],
        ["\xA0\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x4D"],

        ["\x78\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD5"],
        ["\xA0\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x4E"],

        ["\x78\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD6"],
        ["\xA0\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x4F"],

        ["\x78\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD7"],
        ["\xA0\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x50"],

        ["\x78\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD8"],
        ["\xA0\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x51"],

        ["\x78\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD9"],
        ["\xA0\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x52"],

        ["\x78\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xE2"],
        ["\xA0\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x53"],

        ["\x78\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xE3"],
        ["\xA0\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x54"],

        ["\x78\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xE4"],
        ["\xA0\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x55"],

        ["\x78\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xE5"],
        ["\xA0\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x56"],

        ["\x78\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xE6"],
        ["\xA0\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x57"],

        ["\x78\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xE7"],
        ["\xA0\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x58"],

        ["\x78\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xE8"],
        ["\xA0\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x59"],

        ["\x78\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xE9"],
        ["\xA0\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x5A"],

        ["\x78\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x4A"],
        ["\xA0\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x5B"],

        ["\x78\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x5B"],
        ["\xA0\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x5C"],

        ["\xA3\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xDB"],
        ["\x43\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xEF"],

        ["\xA3\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xDC"],
        ["\x43\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF0"],

        ["\xA3\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xDD"],
        ["\x43\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF1"],

        ["\xA3\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xDE"],
        ["\x43\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF2"],

        ["\xA3\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xDF"],
        ["\x43\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF3"],

        ["\xA3\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xEA"],
        ["\x43\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF4"],

        ["\xA3\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xEB"],
        ["\x43\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF5"],

        ["\xA3\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xEC"],
        ["\x43\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF6"],

        ["\xA3\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xED"],
        ["\x43\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF7"],

        ["\xA3\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x43\xEE"],
        ["\x43\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA3\xF8"],

        ["\x78\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x5A"],
        ["\xA0\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x5D"],

        ["\x78\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x5F"],
        ["\xA0\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x5E"],

        ["\x78\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x6D"],
        ["\xA0\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x5F"],

        ["\x78\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x79"],
        ["\xA0\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x60"],

        ["\x78\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x57"],
        ["\xA0\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x61"],

        ["\x78\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x59"],
        ["\xA0\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x62"],

        ["\x78\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x62"],
        ["\xA0\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x63"],

        ["\x78\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x63"],
        ["\xA0\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x64"],

        ["\x78\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x64"],
        ["\xA0\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x65"],

        ["\x78\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x65"],
        ["\xA0\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x66"],

        ["\xA2\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xBB"],
        ["\x42\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xDB"],

        ["\xA2\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xBC"],
        ["\x42\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xDC"],

        ["\xA1\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xCA"],
        ["\x41\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],

        ["\xA1\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xCB"],
        ["\x41\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],

        ["\xA1\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xCC"],
        ["\x41\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xEA"],

        ["\xA1\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xCD"],
        ["\x41\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xEB"],

        ["\xA1\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xCE"],
        ["\x41\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xEC"],

        ["\xA1\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xCF"],
        ["\x41\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xED"],

        ["\xA1\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xDA"],
        ["\x41\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xEE"],

        ["\xA1\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xDB"],
        ["\x41\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xEF"],

        ["\xA1\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xDC"],
        ["\x41\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],

        ["\xA1\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xDD"],
        ["\x41\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],

        ["\xA1\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xDE"],
        ["\x41\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],

        ["\xA4\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x8C"],
        ["\x44\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],

        ["\xA4\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x8D"],
        ["\x44\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xBC"],

        ["\xA4\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x8E"],
        ["\x44\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xBD"],

        ["\xA4\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x8F"],
        ["\x44\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],

        ["\xA4\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x90"],
        ["\x44\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xBF"],

        ["\xA4\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x91"],
        ["\x44\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC0"],

        ["\xA4\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x92"],
        ["\x44\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC1"],

        ["\xA4\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x93"],
        ["\x44\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC2"],

        ["\xA4\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x94"],
        ["\x44\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC3"],

        ["\xA4\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x95"],
        ["\x44\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC4"],

        ["\xA4\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x96"],
        ["\x44\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC5"],

        ["\xA4\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x97"],
        ["\x44\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC6"],

        ["\xA4\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x98"],
        ["\x44\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC7"],

        ["\xA4\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x99"],
        ["\x44\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC8"],

        ["\xA4\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x44\x9A"],
        ["\x44\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA4\xC9"],

        ["\xA1\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xFD"],
        ["\x41\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xFD"],

        ["\xA1\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xDF"],
        ["\x41\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],

        ["\xA1\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xFE"],
        ["\x41\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xFE"],

        ["\xA2\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x41"],
        ["\x42\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xA1"],

        ["\xA2\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x42"],
        ["\x42\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],

        ["\xA2\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x43"],
        ["\x42\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],

        ["\xA2\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x44"],
        ["\x42\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xA4"],

        ["\xA2\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x45"],
        ["\x42\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xA5"],

        ["\xA2\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x46"],
        ["\x42\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xA6"],

        ["\xA2\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\x47"],
        ["\x42\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],

        ["\x78\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x66"],
        ["\xA0\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x67"],

        ["\x78\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x67"],
        ["\xA0\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x68"],

        ["\x78\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x68"],
        ["\xA0\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x69"],

        ["\x78\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x69"],
        ["\xA0\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x6A"],

        ["\x78\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x70"],
        ["\xA0\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x6B"],

        ["\x78\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x71"],
        ["\xA0\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x6C"],

        ["\xA1\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xFA"],
        ["\x41\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xFA"],

        ["\x78\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x72"],
        ["\xA0\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x6D"],

        ["\x78\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x73"],
        ["\xA0\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x6E"],

        ["\xA1\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xEF"],
        ["\x41\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],

        ["\xA1\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xEA"],
        ["\x41\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],

        ["\xA1\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xEB"],
        ["\x41\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],

        ["\xA1\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xEC"],
        ["\x41\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],

        ["\xA1\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xED"],
        ["\x41\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],

        ["\xA1\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x41\xEE"],
        ["\x41\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],

        ["\x78\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x74"],
        ["\xA0\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x6F"],

        ["\x78\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x75"],
        ["\xA0\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x70"],

        ["\xA2\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xA6"],
        ["\x42\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xD1"],

        ["\xA2\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x42\xA7"],
        ["\x42\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xA2\xD2"],

        ["\x78\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x76"],
        ["\xA0\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x71"],

        ["\x78\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x77"],
        ["\xA0\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x72"],

        ["\x78\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x78"],
        ["\xA0\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x73"],

        ["\x78\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x80"],
        ["\xA0\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x74"],

        ["\x78\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x8B"],
        ["\xA0\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x75"],

        ["\x78\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x9B"],
        ["\xA0\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x76"],

        ["\xB2\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x54"],
        ["\x82\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],

        ["\xB2\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x84"],
        ["\x82\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],

        ["\xB2\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA5"],
        ["\x82\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xD0"],

        ["\xB2\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x99"],
        ["\x82\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xC8"],

        ["\xB2\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x97"],
        ["\x82\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xC6"],

        ["\x78\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x9C"],
        ["\xA0\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x77"],

        ["\xB2\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xAD"],
        ["\x82\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xD7"],

        ["\x78\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xA0"],
        ["\xA0\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x78"],

        ["\x78\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xAB"],
        ["\xA0\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x79"],

        ["\xB2\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xCD"],
        ["\x82\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],

        ["\x78\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xB0"],
        ["\xA0\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x7A"],

        ["\xB2\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xBE"],
        ["\x82\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],

        ["\xB2\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xB2"],
        ["\x82\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xE0"],

        ["\x78\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xC0"],
        ["\xA0\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x7B"],

        ["\x78\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\x6A"],
        ["\xA0\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x7C"],

        ["\x78\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xD0"],
        ["\xA0\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x7D"],

        ["\x78\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA0\xA1"],
        ["\xA0\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x78\x7E"],

        ["\xB3\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x56"],
        ["\x83\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],

        ["\xB2\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xFE"],
        ["\x82\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],

        ["\xB3\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x52"],
        ["\x83\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xAB"],

        ["\xB3\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x45"],
        ["\x83\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],

        ["\x79\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4F"],
        ["\xAB\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x21"],

        ["\x79\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x7F"],
        ["\xAB\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x22"],

        ["\xB3\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA4"],
        ["\x83\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],

        ["\xB3\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xAD"],
        ["\x83\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xD7"],

        ["\xB3\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xAE"],
        ["\x83\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xD8"],

        ["\xB3\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA8"],
        ["\x83\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xD3"],

        ["\x79\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x7B"],
        ["\xAB\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x23"],

        ["\xB3\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xBA"],
        ["\x83\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],

        ["\xB3\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB3"],
        ["\x83\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xE1"],

        ["\x79\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xE0"],
        ["\xAB\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x24"],

        ["\xB3\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xB5"],
        ["\x83\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xE3"],

        ["\x79\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6C"],
        ["\xAB\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x25"],

        ["\x79\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x50"],
        ["\xAB\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x26"],

        ["\xB3\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xCE"],
        ["\x83\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],

        ["\x79\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x7D"],
        ["\xAB\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x27"],

        ["\x79\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4D"],
        ["\xAB\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x28"],

        ["\x79\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5D"],
        ["\xAB\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x29"],

        ["\x79\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5C"],
        ["\xAB\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x2A"],

        ["\xB4\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x51"],
        ["\x84\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],

        ["\x79\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4E"],
        ["\xAB\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x2B"],

        ["\xB4\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x52"],
        ["\x84\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xAB"],

        ["\xB4\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x55"],
        ["\x84\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],

        ["\x79\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6B"],
        ["\xAB\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x2C"],

        ["\x79\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x60"],
        ["\xAB\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x2D"],

        ["\xB4\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x89"],
        ["\x84\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],

        ["\xB4\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x8A"],
        ["\x84\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],

        ["\x79\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4B"],
        ["\xAB\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x2E"],

        ["\x79\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x61"],
        ["\xAB\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x2F"],

        ["\xB4\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x9F"],
        ["\x84\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],

        ["\x79\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF0"],
        ["\xAB\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x30"],

        ["\x79\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF1"],
        ["\xAB\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x31"],

        ["\x79\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF2"],
        ["\xAB\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x32"],

        ["\x79\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF3"],
        ["\xAB\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x33"],

        ["\x79\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF4"],
        ["\xAB\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x34"],

        ["\x79\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF5"],
        ["\xAB\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x35"],

        ["\x79\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF6"],
        ["\xAB\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x36"],

        ["\x79\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF7"],
        ["\xAB\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x37"],

        ["\x79\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF8"],
        ["\xAB\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x38"],

        ["\xB5\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x43"],
        ["\x85\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],

        ["\xB5\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x44"],
        ["\x85\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],

        ["\x79\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xF9"],
        ["\xAB\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x39"],

        ["\xB5\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x58"],
        ["\x85\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xB0"],

        ["\x79\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x7A"],
        ["\xAB\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x3A"],

        ["\x79\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5E"],
        ["\xAB\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x3B"],

        ["\xB5\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x9D"],
        ["\x85\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],

        ["\x79\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4C"],
        ["\xAB\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x3C"],

        ["\x79\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x7E"],
        ["\xAB\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x3D"],

        ["\xB5\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x9F"],
        ["\x85\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],

        ["\x79\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6E"],
        ["\xAB\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x3E"],

        ["\xB5\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA7"],
        ["\x85\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xD2"],

        ["\xB5\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xBA"],
        ["\x85\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],

        ["\xB5\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xAF"],
        ["\x85\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xD9"],

        ["\xB5\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB5"],
        ["\x85\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xE3"],

        ["\x79\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6F"],
        ["\xAB\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x3F"],

        ["\x79\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x7C"],
        ["\xAB\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x40"],

        ["\xB5\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCC"],
        ["\x85\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],

        ["\x79\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC1"],
        ["\xAB\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x41"],

        ["\x79\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC2"],
        ["\xAB\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x42"],

        ["\x79\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC3"],
        ["\xAB\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x43"],

        ["\x79\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC4"],
        ["\xAB\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x44"],

        ["\xB5\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xDC"],
        ["\x85\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xF0"],

        ["\xB5\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xFA"],
        ["\x85\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],

        ["\x79\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC5"],
        ["\xAB\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x45"],

        ["\xB6\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x45"],
        ["\x86\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],

        ["\xB6\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x42"],
        ["\x86\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],

        ["\xB6\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x49"],
        ["\x86\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],

        ["\xB6\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x54"],
        ["\x86\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],

        ["\x79\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC6"],
        ["\xAB\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x46"],

        ["\xB6\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x83"],
        ["\x86\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],

        ["\x79\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC7"],
        ["\xAB\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x47"],

        ["\xB6\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x82"],
        ["\x86\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],

        ["\x79\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC8"],
        ["\xAB\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x48"],

        ["\xB6\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x84"],
        ["\x86\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],

        ["\x79\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC9"],
        ["\xAB\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x49"],

        ["\xB6\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x8C"],
        ["\x86\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],

        ["\x79\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD1"],
        ["\xAB\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x4A"],

        ["\xB6\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x8E"],
        ["\x86\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],

        ["\x79\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD2"],
        ["\xAB\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x4B"],

        ["\x79\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD3"],
        ["\xAB\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x4C"],

        ["\x79\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD4"],
        ["\xAB\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x4D"],

        ["\xB6\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x97"],
        ["\x86\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xC6"],

        ["\x79\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD5"],
        ["\xAB\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x4E"],

        ["\x79\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD6"],
        ["\xAB\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x4F"],

        ["\xB6\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x9F"],
        ["\x86\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],

        ["\xB6\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA4"],
        ["\x86\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],

        ["\xB6\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA5"],
        ["\x86\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xD0"],

        ["\x79\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD7"],
        ["\xAB\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x50"],

        ["\x79\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD8"],
        ["\xAB\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x51"],

        ["\x79\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD9"],
        ["\xAB\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x52"],

        ["\x79\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xE2"],
        ["\xAB\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x53"],

        ["\x79\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xE3"],
        ["\xAB\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x54"],

        ["\x79\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xE4"],
        ["\xAB\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x55"],

        ["\x79\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xE5"],
        ["\xAB\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x56"],

        ["\xB6\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCE"],
        ["\x86\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],

        ["\x79\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xE6"],
        ["\xAB\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x57"],

        ["\xB6\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCD"],
        ["\x86\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],

        ["\x79\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xE7"],
        ["\xAB\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x58"],

        ["\xC1\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x99"],
        ["\x92\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],

        ["\xB6\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCF"],
        ["\x86\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],

        ["\x45\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],
        ["\xC5\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x36"],

        ["\xB6\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xFA"],
        ["\x86\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],

        ["\x79\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xE8"],
        ["\xAB\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x59"],

        ["\xB6\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xFE"],
        ["\x86\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],

        ["\xB7\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x43"],
        ["\x87\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],

        ["\x79\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xE9"],
        ["\xAB\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x5A"],

        ["\xB7\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x52"],
        ["\x87\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xAB"],

        ["\x79\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4A"],
        ["\xAB\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x5B"],

        ["\x79\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5B"],
        ["\xAB\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x5C"],

        ["\xB7\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x82"],
        ["\x87\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],

        ["\xB7\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x83"],
        ["\x87\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],

        ["\xB7\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x84"],
        ["\x87\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],

        ["\x79\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5A"],
        ["\xAB\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x5D"],

        ["\xB7\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x86"],
        ["\x87\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],

        ["\xB7\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x8A"],
        ["\x87\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],

        ["\x79\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5F"],
        ["\xAB\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x5E"],

        ["\xB7\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xAD"],
        ["\x87\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xD7"],

        ["\xB7\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBE"],
        ["\x87\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],

        ["\xB7\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBC"],
        ["\x87\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],

        ["\xB7\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB7"],
        ["\x87\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xE5"],

        ["\xB7\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB5"],
        ["\x87\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xE3"],

        ["\xB7\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCD"],
        ["\x87\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],

        ["\xB7\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDB"],
        ["\x87\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],

        ["\xB7\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDA"],
        ["\x87\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],

        ["\x79\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6D"],
        ["\xAB\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x5F"],

        ["\xB7\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDD"],
        ["\x87\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xF1"],

        ["\xB7\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xFD"],
        ["\x87\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],

        ["\xB7\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xEE"],
        ["\x87\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xF8"],

        ["\x79\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x79"],
        ["\xAB\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x60"],

        ["\xB7\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xFB"],
        ["\x87\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],

        ["\x79\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x57"],
        ["\xAB\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x61"],

        ["\xB8\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x42"],
        ["\x88\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],

        ["\x79\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x59"],
        ["\xAB\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x62"],

        ["\xB8\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x58"],
        ["\x88\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xB0"],

        ["\x79\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x62"],
        ["\xAB\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x63"],

        ["\x79\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x63"],
        ["\xAB\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x64"],

        ["\x79\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x64"],
        ["\xAB\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x65"],

        ["\x79\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x65"],
        ["\xAB\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x66"],

        ["\xB8\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x89"],
        ["\x88\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],

        ["\xB8\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x91"],
        ["\x88\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xC0"],

        ["\x79\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x66"],
        ["\xAB\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x67"],

        ["\x79\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x67"],
        ["\xAB\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x68"],

        ["\x79\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x68"],
        ["\xAB\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x69"],

        ["\x79\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x69"],
        ["\xAB\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x6A"],

        ["\x79\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x70"],
        ["\xAB\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x6B"],

        ["\x79\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x71"],
        ["\xAB\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x6C"],

        ["\x79\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x72"],
        ["\xAB\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x6D"],

        ["\x79\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x73"],
        ["\xAB\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x6E"],

        ["\xB8\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xCE"],
        ["\x88\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],

        ["\xB8\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xDE"],
        ["\x88\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xF2"],

        ["\xB8\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xFE"],
        ["\x88\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],

        ["\x79\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x74"],
        ["\xAB\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x6F"],

        ["\xB8\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xED"],
        ["\x88\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xF7"],

        ["\x79\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x75"],
        ["\xAB\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x70"],

        ["\x79\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x76"],
        ["\xAB\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x71"],

        ["\xB9\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x44"],
        ["\x89\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],

        ["\xB9\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x52"],
        ["\x89\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xAB"],

        ["\x79\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x77"],
        ["\xAB\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x72"],

        ["\x79\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x78"],
        ["\xAB\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x73"],

        ["\x79\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x80"],
        ["\xAB\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x74"],

        ["\x79\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x8B"],
        ["\xAB\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x75"],

        ["\x79\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x9B"],
        ["\xAB\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x76"],

        ["\x79\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x9C"],
        ["\xAB\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x77"],

        ["\x79\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xA0"],
        ["\xAB\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x78"],

        ["\xB9\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA2"],
        ["\x89\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],

        ["\x79\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xAB"],
        ["\xAB\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x79"],

        ["\xB9\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA7"],
        ["\x89\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xD2"],

        ["\x79\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xB0"],
        ["\xAB\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x7A"],

        ["\x79\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xC0"],
        ["\xAB\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x7B"],

        ["\x57\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x5E"],
        ["\xE6\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x57\x3B"],

        ["\x79\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6A"],
        ["\xAB\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x7C"],

        ["\x79\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xD0"],
        ["\xAB\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x7D"],

        ["\x79\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\xA1"],
        ["\xAB\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x79\x7E"],

        ["\xB9\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xCA"],
        ["\x89\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xE8"],

        ["\xB9\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xDC"],
        ["\x89\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xF0"],

        ["\xB9\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xDD"],
        ["\x89\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xF1"],

        ["\xBA\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x47"],
        ["\x8A\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xA7"],

        ["\x7A\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x4F"],
        ["\xB0\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x21"],

        ["\xBA\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x51"],
        ["\x8A\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xAA"],

        ["\x7A\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x7F"],
        ["\xB0\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x22"],

        ["\x7A\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x7B"],
        ["\xB0\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x23"],

        ["\x7A\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE0"],
        ["\xB0\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x24"],

        ["\xBA\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x8A"],
        ["\x8A\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xBA"],

        ["\x7A\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x6C"],
        ["\xB0\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x25"],

        ["\x7A\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x50"],
        ["\xB0\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x26"],

        ["\xBA\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x93"],
        ["\x8A\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xC2"],

        ["\xBA\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x96"],
        ["\x8A\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xC5"],

        ["\xBA\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x97"],
        ["\x8A\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xC6"],

        ["\x7A\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x7D"],
        ["\xB0\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x27"],

        ["\x7A\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x4D"],
        ["\xB0\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x28"],

        ["\xBA\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xA2"],
        ["\x8A\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xCD"],

        ["\xBA\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xAF"],
        ["\x8A\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xD9"],

        ["\xBA\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xBC"],
        ["\x8A\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xDC"],

        ["\xBA\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xBE"],
        ["\x8A\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xDE"],

        ["\xD0\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\x92"],
        ["\xA5\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],

        ["\xBA\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xCA"],
        ["\x8A\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xE8"],

        ["\x7A\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x5D"],
        ["\xB0\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x29"],

        ["\xBA\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDC"],
        ["\x8A\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xF0"],

        ["\xBA\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xEB"],
        ["\x8A\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xF5"],

        ["\xBB\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x41"],
        ["\x8C\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xA1"],

        ["\xBB\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x43"],
        ["\x8C\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xA3"],

        ["\xBB\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x46"],
        ["\x8C\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xA6"],

        ["\x7A\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x5C"],
        ["\xB0\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x2A"],

        ["\xBB\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x42"],
        ["\x8C\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xA2"],

        ["\x7A\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x4E"],
        ["\xB0\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x2B"],

        ["\xBB\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x51"],
        ["\x8C\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xAA"],

        ["\x7A\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x6B"],
        ["\xB0\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x2C"],

        ["\xBB\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x82"],
        ["\x8C\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xB2"],

        ["\xBB\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x83"],
        ["\x8C\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xB3"],

        ["\x7A\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x60"],
        ["\xB0\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x2D"],

        ["\x7A\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x4B"],
        ["\xB0\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x2E"],

        ["\x7A\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x61"],
        ["\xB0\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x2F"],

        ["\x7A\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF0"],
        ["\xB0\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x30"],

        ["\xBB\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x9D"],
        ["\x8C\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xCA"],

        ["\xBB\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xBA"],
        ["\x8C\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xDA"],

        ["\x7A\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF1"],
        ["\xB0\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x31"],

        ["\xBB\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xCC"],
        ["\x8C\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xEA"],

        ["\x7A\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF2"],
        ["\xB0\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x32"],

        ["\xBB\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xDA"],
        ["\x8C\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xEE"],

        ["\x7A\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF3"],
        ["\xB0\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x33"],

        ["\x7A\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF4"],
        ["\xB0\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x34"],

        ["\xBB\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xFB"],
        ["\x8C\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xFB"],

        ["\x7A\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF5"],
        ["\xB0\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x35"],

        ["\xBC\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x43"],
        ["\x8D\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xA3"],

        ["\xBC\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x48"],
        ["\x8D\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xA8"],

        ["\xBC\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x51"],
        ["\x8D\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xAA"],

        ["\x7A\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF6"],
        ["\xB0\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x36"],

        ["\x7A\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF7"],
        ["\xB0\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x37"],

        ["\xBC\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x55"],
        ["\x8D\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xAE"],

        ["\xBC\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x54"],
        ["\x8D\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xAD"],

        ["\xBC\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x88"],
        ["\x8D\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xB8"],

        ["\xBA\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x88"],
        ["\x8A\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xB8"],

        ["\xBC\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x84"],
        ["\x8D\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xB4"],

        ["\xBC\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x8F"],
        ["\x8D\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xBE"],

        ["\xBC\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x8A"],
        ["\x8D\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xBA"],

        ["\xBC\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x99"],
        ["\x8D\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xC8"],

        ["\x7A\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF8"],
        ["\xB0\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x38"],

        ["\xBC\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA3"],
        ["\x8D\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xCE"],

        ["\x7A\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF9"],
        ["\xB0\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x39"],

        ["\x7A\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x7A"],
        ["\xB0\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x3A"],

        ["\x7A\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x5E"],
        ["\xB0\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x3B"],

        ["\x7A\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x4C"],
        ["\xB0\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x3C"],

        ["\x7A\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x7E"],
        ["\xB0\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x3D"],

        ["\x7A\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x6E"],
        ["\xB0\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x3E"],

        ["\x7A\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x6F"],
        ["\xB0\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x3F"],

        ["\xBC\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB2"],
        ["\x8D\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xE0"],

        ["\xBC\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB4"],
        ["\x8D\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xE2"],

        ["\x7A\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x7C"],
        ["\xB0\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x40"],

        ["\xBC\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBE"],
        ["\x8D\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xDE"],

        ["\xBC\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xBF"],
        ["\x8D\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xDF"],

        ["\x7A\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC1"],
        ["\xB0\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x41"],

        ["\x7A\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC2"],
        ["\xB0\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x42"],

        ["\x7A\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC3"],
        ["\xB0\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x43"],

        ["\xBC\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xCD"],
        ["\x8D\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xEB"],

        ["\x7A\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC4"],
        ["\xB0\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x44"],

        ["\xBC\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xEA"],
        ["\x8D\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xF4"],

        ["\x7A\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC5"],
        ["\xB0\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x45"],

        ["\x7A\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC6"],
        ["\xB0\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x46"],

        ["\x7A\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC7"],
        ["\xB0\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x47"],

        ["\xBD\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x99"],
        ["\x8E\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xC8"],

        ["\xBD\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x9A"],
        ["\x8E\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xC9"],

        ["\xBD\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x94"],
        ["\x8E\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xC3"],

        ["\x7A\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC8"],
        ["\xB0\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x48"],

        ["\x7A\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC9"],
        ["\xB0\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x49"],

        ["\xBD\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x9D"],
        ["\x8E\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xCA"],

        ["\x7A\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD1"],
        ["\xB0\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x4A"],

        ["\x7A\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD2"],
        ["\xB0\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x4B"],

        ["\xBD\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xAF"],
        ["\x8E\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xD9"],

        ["\xBD\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xB5"],
        ["\x8E\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xE3"],

        ["\xBD\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDB"],
        ["\x8E\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xEF"],

        ["\xBD\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDE"],
        ["\x8E\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xF2"],

        ["\x7A\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD3"],
        ["\xB0\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x4C"],

        ["\xBE\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x52"],
        ["\x8F\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xAB"],

        ["\x7A\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD4"],
        ["\xB0\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x4D"],

        ["\xBE\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x51"],
        ["\x8F\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xAA"],

        ["\x7A\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD5"],
        ["\xB0\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x4E"],

        ["\x7A\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD6"],
        ["\xB0\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x4F"],

        ["\xBE\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x83"],
        ["\x8F\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xB3"],

        ["\xBE\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x8E"],
        ["\x8F\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xBD"],

        ["\xBE\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x91"],
        ["\x8F\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xC0"],

        ["\xBE\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x93"],
        ["\x8F\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xC2"],

        ["\x7A\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD7"],
        ["\xB0\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x50"],

        ["\xBE\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA2"],
        ["\x8F\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xCD"],

        ["\x7A\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD8"],
        ["\xB0\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x51"],

        ["\xBE\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x9F"],
        ["\x8F\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xCC"],

        ["\xBE\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA4"],
        ["\x8F\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xCF"],

        ["\xBE\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xA9"],
        ["\x8F\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xD4"],

        ["\xBE\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xBD"],
        ["\x8F\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xDD"],

        ["\xBE\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xAE"],
        ["\x8F\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xD8"],

        ["\x7A\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD9"],
        ["\xB0\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x52"],

        ["\xBE\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCC"],
        ["\x8F\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xEA"],

        ["\x7A\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE2"],
        ["\xB0\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x53"],

        ["\xBE\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xDD"],
        ["\x8F\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xF1"],

        ["\x7A\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE3"],
        ["\xB0\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x54"],

        ["\x7A\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE4"],
        ["\xB0\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x55"],

        ["\x7A\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE5"],
        ["\xB0\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x56"],

        ["\x7A\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE6"],
        ["\xB0\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x57"],

        ["\x7A\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE7"],
        ["\xB0\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x58"],

        ["\x7A\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE8"],
        ["\xB0\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x59"],

        ["\xBE\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xEF"],
        ["\x8F\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xF9"],

        ["\xBF\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x54"],
        ["\x90\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xAD"],

        ["\xBF\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x49"],
        ["\x90\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xA9"],

        ["\xBF\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x83"],
        ["\x90\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xB3"],

        ["\xBF\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x52"],
        ["\x90\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xAB"],

        ["\xBF\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x58"],
        ["\x90\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xB0"],

        ["\xBF\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x55"],
        ["\x90\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xAE"],

        ["\xBF\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x8C"],
        ["\x90\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xBB"],

        ["\x7A\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE9"],
        ["\xB0\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x5A"],

        ["\x7A\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x4A"],
        ["\xB0\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x5B"],

        ["\xBF\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x94"],
        ["\x90\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xC3"],

        ["\xBF\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x90"],
        ["\x90\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xBF"],

        ["\x7A\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x5B"],
        ["\xB0\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x5C"],

        ["\xBF\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x92"],
        ["\x90\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xC1"],

        ["\x7A\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x5A"],
        ["\xB0\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x5D"],

        ["\xBF\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x95"],
        ["\x90\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xC4"],

        ["\x7A\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x5F"],
        ["\xB0\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x5E"],

        ["\x7A\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x6D"],
        ["\xB0\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x5F"],

        ["\x7A\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x79"],
        ["\xB0\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x60"],

        ["\x7A\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x57"],
        ["\xB0\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x61"],

        ["\x7A\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x59"],
        ["\xB0\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x62"],

        ["\x7A\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x62"],
        ["\xB0\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x63"],

        ["\x7A\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x63"],
        ["\xB0\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x64"],

        ["\x7A\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x64"],
        ["\xB0\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x65"],

        ["\x7A\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x65"],
        ["\xB0\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x66"],

        ["\xBF\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB2"],
        ["\x90\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xE0"],

        ["\x7A\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x66"],
        ["\xB0\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x67"],

        ["\x7A\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x67"],
        ["\xB0\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x68"],

        ["\x7A\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x68"],
        ["\xB0\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x69"],

        ["\x7A\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x69"],
        ["\xB0\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x6A"],

        ["\xBF\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xDB"],
        ["\x90\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xEF"],

        ["\xBF\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCC"],
        ["\x90\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xEA"],

        ["\x7A\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x70"],
        ["\xB0\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x6B"],

        ["\xBF\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xB9"],
        ["\x90\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xE7"],

        ["\x7A\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x71"],
        ["\xB0\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x6C"],

        ["\xBF\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xEA"],
        ["\x90\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xF4"],

        ["\x7A\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x72"],
        ["\xB0\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x6D"],

        ["\x7A\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x73"],
        ["\xB0\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x6E"],

        ["\x7A\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x74"],
        ["\xB0\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x6F"],

        ["\x7A\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x75"],
        ["\xB0\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x70"],

        ["\xC0\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x51"],
        ["\x91\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xAA"],

        ["\x7A\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x76"],
        ["\xB0\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x71"],

        ["\x7A\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x77"],
        ["\xB0\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x72"],

        ["\xC0\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x83"],
        ["\x91\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xB3"],

        ["\x7A\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x78"],
        ["\xB0\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x73"],

        ["\x7A\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x80"],
        ["\xB0\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x74"],

        ["\xC0\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x86"],
        ["\x91\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xB6"],

        ["\xC0\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x8A"],
        ["\x91\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xBA"],

        ["\xC0\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x90"],
        ["\x91\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xBF"],

        ["\x7A\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x8B"],
        ["\xB0\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x75"],

        ["\x7A\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x9B"],
        ["\xB0\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x76"],

        ["\x7A\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x9C"],
        ["\xB0\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x77"],

        ["\x7A\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA0"],
        ["\xB0\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x78"],

        ["\xC0\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x97"],
        ["\x91\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],

        ["\x7A\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAB"],
        ["\xB0\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x79"],

        ["\xC0\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x9A"],
        ["\x91\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],

        ["\x7A\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB0"],
        ["\xB0\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x7A"],

        ["\xC0\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA2"],
        ["\x91\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xCD"],

        ["\x7A\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC0"],
        ["\xB0\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x7B"],

        ["\x7A\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x6A"],
        ["\xB0\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x7C"],

        ["\x7A\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD0"],
        ["\xB0\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x7D"],

        ["\xC0\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA9"],
        ["\x91\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],

        ["\xC0\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xAA"],
        ["\x91\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],

        ["\xC0\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xBC"],
        ["\x91\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xDC"],

        ["\x7A\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA1"],
        ["\xB0\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7A\x7E"],

        ["\x7B\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x4F"],
        ["\xC0\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x21"],

        ["\x7B\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x7F"],
        ["\xC0\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x22"],

        ["\xC0\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB6"],
        ["\x91\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],

        ["\x7B\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x7B"],
        ["\xC0\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x23"],

        ["\xC0\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xCF"],
        ["\x91\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xED"],

        ["\x7B\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE0"],
        ["\xC0\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x24"],

        ["\xC0\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDD"],
        ["\x91\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],

        ["\xC0\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDE"],
        ["\x91\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],

        ["\xC0\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xEE"],
        ["\x91\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],

        ["\xC0\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDF"],
        ["\x91\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],

        ["\xC0\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xED"],
        ["\x91\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],

        ["\x7B\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x6C"],
        ["\xC0\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x25"],

        ["\xC1\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x48"],
        ["\x92\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xA8"],

        ["\xC1\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x51"],
        ["\x92\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xAA"],

        ["\x7B\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x50"],
        ["\xC0\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x26"],

        ["\xC1\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x54"],
        ["\x92\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xAD"],

        ["\x7B\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x7D"],
        ["\xC0\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x27"],

        ["\x7B\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x4D"],
        ["\xC0\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x28"],

        ["\xC1\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x8E"],
        ["\x92\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xBD"],

        ["\x7B\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x5D"],
        ["\xC0\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x29"],

        ["\xC1\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x8A"],
        ["\x92\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xBA"],

        ["\x7B\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x5C"],
        ["\xC0\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x2A"],

        ["\xC1\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x87"],
        ["\x92\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xB7"],

        ["\x7B\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x4E"],
        ["\xC0\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x2B"],

        ["\xC1\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA3"],
        ["\x92\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xCE"],

        ["\xC1\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x9F"],
        ["\x92\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xCC"],

        ["\xC1\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA5"],
        ["\x92\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],

        ["\x7B\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x6B"],
        ["\xC0\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x2C"],

        ["\x7B\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x60"],
        ["\xC0\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x2D"],

        ["\x7B\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x4B"],
        ["\xC0\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x2E"],

        ["\x7B\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x61"],
        ["\xC0\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x2F"],

        ["\x7B\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],
        ["\xC0\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x30"],

        ["\xC1\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xCB"],
        ["\x92\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],

        ["\xC1\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDD"],
        ["\x92\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],

        ["\x7B\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],
        ["\xC0\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x31"],

        ["\xC2\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x41"],
        ["\x93\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],

        ["\x7B\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],
        ["\xC0\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x32"],

        ["\xC2\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x42"],
        ["\x93\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA2"],

        ["\x7B\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],
        ["\xC0\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x33"],

        ["\x7B\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],
        ["\xC0\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x34"],

        ["\xC2\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x84"],
        ["\x93\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],

        ["\x7B\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF5"],
        ["\xC0\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x35"],

        ["\xC2\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x83"],
        ["\x93\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB3"],

        ["\x7B\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF6"],
        ["\xC0\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x36"],

        ["\xC2\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x8C"],
        ["\x93\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xBB"],

        ["\x7B\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],
        ["\xC0\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x37"],

        ["\xC2\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA6"],
        ["\x93\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],

        ["\xC2\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB3"],
        ["\x93\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xE1"],

        ["\x7B\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],
        ["\xC0\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x38"],

        ["\xC2\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x98"],
        ["\x93\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],

        ["\xC2\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA4"],
        ["\x93\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xCF"],

        ["\xC2\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x99"],
        ["\x93\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],

        ["\xC2\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x9A"],
        ["\x93\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],

        ["\xC2\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x95"],
        ["\x93\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],

        ["\x7B\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF9"],
        ["\xC0\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x39"],

        ["\xC2\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xBB"],
        ["\x93\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xDB"],

        ["\x7B\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x7A"],
        ["\xC0\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x3A"],

        ["\x7B\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x5E"],
        ["\xC0\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x3B"],

        ["\x7B\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x4C"],
        ["\xC0\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x3C"],

        ["\x7B\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x7E"],
        ["\xC0\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x3D"],

        ["\xC2\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xCC"],
        ["\x93\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xEA"],

        ["\xC2\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB7"],
        ["\x93\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],

        ["\x7B\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x6E"],
        ["\xC0\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x3E"],

        ["\x7B\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x6F"],
        ["\xC0\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x3F"],

        ["\xC2\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xEB"],
        ["\x93\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],

        ["\x7B\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x7C"],
        ["\xC0\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x40"],

        ["\x7B\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC1"],
        ["\xC0\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x41"],

        ["\xC2\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xEC"],
        ["\x93\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],

        ["\x7B\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC2"],
        ["\xC0\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x42"],

        ["\xBD\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x91"],
        ["\x8E\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xC0"],

        ["\xC2\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFD"],
        ["\x93\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xFD"],

        ["\xC3\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x44"],
        ["\x94\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA4"],

        ["\xC3\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x42"],
        ["\x94\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],

        ["\xC3\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x45"],
        ["\x94\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA5"],

        ["\x7B\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC3"],
        ["\xC0\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x43"],

        ["\xC3\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x56"],
        ["\x94\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],

        ["\x7B\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC4"],
        ["\xC0\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x44"],

        ["\x7B\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC5"],
        ["\xC0\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x45"],

        ["\x7B\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],
        ["\xC0\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x46"],

        ["\x7B\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC7"],
        ["\xC0\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x47"],

        ["\x7B\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC8"],
        ["\xC0\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x48"],

        ["\xC3\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x87"],
        ["\x94\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],

        ["\xC3\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x92"],
        ["\x94\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],

        ["\x7B\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],
        ["\xC0\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x49"],

        ["\xC3\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x97"],
        ["\x94\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],

        ["\x7B\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD1"],
        ["\xC0\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x4A"],

        ["\xC3\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x98"],
        ["\x94\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],

        ["\x7B\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],
        ["\xC0\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x4B"],

        ["\xC3\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xA6"],
        ["\x94\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],

        ["\xC3\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xAC"],
        ["\x94\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],

        ["\x7B\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD3"],
        ["\xC0\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x4C"],

        ["\x7B\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],
        ["\xC0\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x4D"],

        ["\xC3\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB2"],
        ["\x94\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],

        ["\x7B\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],
        ["\xC0\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x4E"],

        ["\x7B\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],
        ["\xC0\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x4F"],

        ["\xC3\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB8"],
        ["\x94\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],

        ["\x7B\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD7"],
        ["\xC0\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x50"],

        ["\xC3\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDC"],
        ["\x94\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],

        ["\x7B\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD8"],
        ["\xC0\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x51"],

        ["\x7B\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],
        ["\xC0\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x52"],

        ["\xC3\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xFA"],
        ["\x94\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xFA"],

        ["\x7B\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE2"],
        ["\xC0\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x53"],

        ["\x7B\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE3"],
        ["\xC0\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x54"],

        ["\xC4\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x46"],
        ["\x95\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xA6"],

        ["\xC4\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x55"],
        ["\x95\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xAE"],

        ["\x7B\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],
        ["\xC0\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x55"],

        ["\x7B\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],
        ["\xC0\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x56"],

        ["\x7B\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE6"],
        ["\xC0\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x57"],

        ["\x7B\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],
        ["\xC0\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x58"],

        ["\x7B\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE8"],
        ["\xC0\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x59"],

        ["\xC4\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x8D"],
        ["\x95\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xBC"],

        ["\xC4\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x90"],
        ["\x95\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xBF"],

        ["\xC4\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x91"],
        ["\x95\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],

        ["\x7B\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE9"],
        ["\xC0\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x5A"],

        ["\xC4\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xBD"],
        ["\x95\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xDD"],

        ["\xC4\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAF"],
        ["\x95\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],

        ["\x7B\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x4A"],
        ["\xC0\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x5B"],

        ["\xC4\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAA"],
        ["\x95\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],

        ["\xC4\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xBC"],
        ["\x95\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xDC"],

        ["\x7B\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x5B"],
        ["\xC0\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x5C"],

        ["\xC4\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA6"],
        ["\x95\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],

        ["\x7B\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x5A"],
        ["\xC0\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x5D"],

        ["\x7B\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x5F"],
        ["\xC0\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x5E"],

        ["\xC4\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB8"],
        ["\x95\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],

        ["\x7B\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x6D"],
        ["\xC0\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x5F"],

        ["\xC4\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB7"],
        ["\x95\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],

        ["\xC4\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB5"],
        ["\x95\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],

        ["\x7B\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x79"],
        ["\xC0\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x60"],

        ["\x7B\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x57"],
        ["\xC0\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x61"],

        ["\xC4\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xDC"],
        ["\x95\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],

        ["\xC4\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xDE"],
        ["\x95\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],

        ["\x7B\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x59"],
        ["\xC0\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x62"],

        ["\xC4\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xEF"],
        ["\x95\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],

        ["\x7B\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x62"],
        ["\xC0\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x63"],

        ["\xC5\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x42"],
        ["\x96\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA2"],

        ["\xC5\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x41"],
        ["\x96\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],

        ["\xC4\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xFC"],
        ["\x95\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xFC"],

        ["\x7B\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x63"],
        ["\xC0\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x64"],

        ["\x7B\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x64"],
        ["\xC0\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x65"],

        ["\xC5\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x44"],
        ["\x96\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA4"],

        ["\xC5\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x48"],
        ["\x96\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA8"],

        ["\xC5\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x46"],
        ["\x96\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA6"],

        ["\xC5\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x49"],
        ["\x96\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA9"],

        ["\x7B\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x65"],
        ["\xC0\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x66"],

        ["\x7B\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x66"],
        ["\xC0\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x67"],

        ["\xC5\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x87"],
        ["\x96\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xB7"],

        ["\xC5\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x8E"],
        ["\x96\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xBD"],

        ["\x7B\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x67"],
        ["\xC0\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x68"],

        ["\x7B\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x68"],
        ["\xC0\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x69"],

        ["\xC5\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x93"],
        ["\x96\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],

        ["\xC5\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x97"],
        ["\x96\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],

        ["\x7B\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x69"],
        ["\xC0\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x6A"],

        ["\x7B\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x70"],
        ["\xC0\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x6B"],

        ["\x7B\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x71"],
        ["\xC0\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x6C"],

        ["\xC5\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x99"],
        ["\x96\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],

        ["\xC5\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x9D"],
        ["\x96\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xCA"],

        ["\x7B\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x72"],
        ["\xC0\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x6D"],

        ["\xC5\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x9F"],
        ["\x96\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xCC"],

        ["\x7B\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x73"],
        ["\xC0\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x6E"],

        ["\x7B\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x74"],
        ["\xC0\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x6F"],

        ["\x7B\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x75"],
        ["\xC0\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x70"],

        ["\x7B\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x76"],
        ["\xC0\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x71"],

        ["\xC5\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA4"],
        ["\x96\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xCF"],

        ["\xC5\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA5"],
        ["\x96\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],

        ["\x7B\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x77"],
        ["\xC0\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x72"],

        ["\xC5\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xA6"],
        ["\x96\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],

        ["\x7B\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x78"],
        ["\xC0\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x73"],

        ["\x7B\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x80"],
        ["\xC0\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x74"],

        ["\xC5\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB3"],
        ["\x96\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xE1"],

        ["\x7B\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x8B"],
        ["\xC0\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x75"],

        ["\x7B\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x9B"],
        ["\xC0\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x76"],

        ["\xC5\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB9"],
        ["\x96\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],

        ["\xC5\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB8"],
        ["\x96\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],

        ["\x7B\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x9C"],
        ["\xC0\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x77"],

        ["\x7B\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA0"],
        ["\xC0\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x78"],

        ["\xC5\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCD"],
        ["\x96\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xEB"],

        ["\x7B\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],
        ["\xC0\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x79"],

        ["\x7B\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB0"],
        ["\xC0\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x7A"],

        ["\xC5\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDA"],
        ["\x96\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xEE"],

        ["\x7B\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC0"],
        ["\xC0\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x7B"],

        ["\xC5\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDC"],
        ["\x96\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],

        ["\xC5\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xDF"],
        ["\x96\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],

        ["\x7B\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x6A"],
        ["\xC0\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x7C"],

        ["\xC5\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xED"],
        ["\x96\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],

        ["\xC5\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xEC"],
        ["\x96\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],

        ["\x7B\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD0"],
        ["\xC0\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x7D"],

        ["\x7B\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA1"],
        ["\xC0\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7B\x7E"],

        ["\x7C\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4F"],
        ["\x6A\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x21"],

        ["\x7C\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7F"],
        ["\x6A\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x22"],

        ["\xC6\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x42"],
        ["\x97\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xA2"],

        ["\x7C\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7B"],
        ["\x6A\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x23"],

        ["\xC6\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x56"],
        ["\x97\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xAF"],

        ["\x7C\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE0"],
        ["\x6A\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x24"],

        ["\xC6\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x84"],
        ["\x97\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xB4"],

        ["\x7C\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6C"],
        ["\x6A\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x25"],

        ["\x7C\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x50"],
        ["\x6A\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x26"],

        ["\xC6\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x8A"],
        ["\x97\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xBA"],

        ["\xC6\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x88"],
        ["\x97\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xB8"],

        ["\x7C\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7D"],
        ["\x6A\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x27"],

        ["\x7C\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4D"],
        ["\x6A\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x28"],

        ["\x7C\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5D"],
        ["\x6A\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x29"],

        ["\xC6\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x98"],
        ["\x97\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],

        ["\x7C\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5C"],
        ["\x6A\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x2A"],

        ["\x7C\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4E"],
        ["\x6A\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x2B"],

        ["\xC6\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA8"],
        ["\x97\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],

        ["\xC6\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA6"],
        ["\x97\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],

        ["\x7C\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6B"],
        ["\x6A\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x2C"],

        ["\x7C\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x60"],
        ["\x6A\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x2D"],

        ["\xC6\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xAF"],
        ["\x97\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],

        ["\xC6\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBB"],
        ["\x97\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xDB"],

        ["\x7C\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4B"],
        ["\x6A\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x2E"],

        ["\x7C\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x61"],
        ["\x6A\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x2F"],

        ["\x7C\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF0"],
        ["\x6A\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x30"],

        ["\x7C\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF1"],
        ["\x6A\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x31"],

        ["\x7C\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF2"],
        ["\x6A\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x32"],

        ["\x7C\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF3"],
        ["\x6A\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x33"],

        ["\x7C\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF4"],
        ["\x6A\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x34"],

        ["\xC6\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xCA"],
        ["\x97\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],

        ["\x7C\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF5"],
        ["\x6A\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x35"],

        ["\x7C\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF6"],
        ["\x6A\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x36"],

        ["\x7C\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF7"],
        ["\x6A\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x37"],

        ["\x7C\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF8"],
        ["\x6A\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x38"],

        ["\x7C\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xF9"],
        ["\x6A\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x39"],

        ["\x7C\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7A"],
        ["\x6A\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x3A"],

        ["\xC7\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x82"],
        ["\x98\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xB2"],

        ["\xC7\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x86"],
        ["\x98\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xB6"],

        ["\xB9\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xEE"],
        ["\x89\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xF8"],

        ["\x7C\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5E"],
        ["\x6A\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x3B"],

        ["\xC8\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBE"],
        ["\x99\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xDE"],

        ["\x7C\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4C"],
        ["\x6A\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x3C"],

        ["\xC7\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x8C"],
        ["\x98\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xBB"],

        ["\x7C\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7E"],
        ["\x6A\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x3D"],

        ["\xC7\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x98"],
        ["\x98\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],

        ["\x7C\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6E"],
        ["\x6A\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x3E"],

        ["\xC7\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA6"],
        ["\x98\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],

        ["\xC7\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xAD"],
        ["\x98\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],

        ["\x7C\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6F"],
        ["\x6A\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x3F"],

        ["\x7C\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7C"],
        ["\x6A\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x40"],

        ["\xC5\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCF"],
        ["\x96\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xED"],

        ["\xC7\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB7"],
        ["\x98\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],

        ["\x7C\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC1"],
        ["\x6A\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x41"],

        ["\x7C\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC2"],
        ["\x6A\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x42"],

        ["\x7C\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC3"],
        ["\x6A\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x43"],

        ["\xC7\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xDD"],
        ["\x98\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],

        ["\xC7\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xFE"],
        ["\x98\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xFE"],

        ["\x7C\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC4"],
        ["\x6A\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x44"],

        ["\xC8\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x46"],
        ["\x99\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xA6"],

        ["\x7C\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC5"],
        ["\x6A\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x45"],

        ["\xC8\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x51"],
        ["\x99\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xAA"],

        ["\x7C\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC6"],
        ["\x6A\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x46"],

        ["\xC8\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x55"],
        ["\x99\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xAE"],

        ["\xC8\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x58"],
        ["\x99\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],

        ["\xC8\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x87"],
        ["\x99\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xB7"],

        ["\x7C\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC7"],
        ["\x6A\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x47"],

        ["\x7C\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC8"],
        ["\x6A\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x48"],

        ["\xC8\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x9E"],
        ["\x99\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xCB"],

        ["\xC8\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x99"],
        ["\x99\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],

        ["\x7C\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC9"],
        ["\x6A\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x49"],

        ["\xC8\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA9"],
        ["\x99\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],

        ["\x7C\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD1"],
        ["\x6A\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x4A"],

        ["\xC5\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCC"],
        ["\x96\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xEA"],

        ["\x7C\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD2"],
        ["\x6A\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x4B"],

        ["\x7C\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD3"],
        ["\x6A\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x4C"],

        ["\x7C\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD4"],
        ["\x6A\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x4D"],

        ["\x7C\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD5"],
        ["\x6A\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x4E"],

        ["\xC8\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xAF"],
        ["\x99\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],

        ["\xC8\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBC"],
        ["\x99\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xDC"],

        ["\xC8\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBF"],
        ["\x99\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xDF"],

        ["\x7C\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD6"],
        ["\x6A\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x4F"],

        ["\xC8\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB2"],
        ["\x99\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],

        ["\xC8\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xB7"],
        ["\x99\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],

        ["\x7C\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD7"],
        ["\x6A\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x50"],

        ["\x7C\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD8"],
        ["\x6A\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x51"],

        ["\xC8\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xDD"],
        ["\x99\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],

        ["\xC8\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xDC"],
        ["\x99\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],

        ["\x7C\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD9"],
        ["\x6A\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x52"],

        ["\xC8\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xEC"],
        ["\x99\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],

        ["\xC8\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xFB"],
        ["\x99\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xFB"],

        ["\xC8\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xEF"],
        ["\x99\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],

        ["\xC8\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xFC"],
        ["\x99\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xFC"],

        ["\xC9\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x46"],
        ["\x9A\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],

        ["\xC9\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x44"],
        ["\x9A\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA4"],

        ["\xC9\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x52"],
        ["\x9A\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],

        ["\x7C\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE2"],
        ["\x6A\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x53"],

        ["\x7C\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE3"],
        ["\x6A\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x54"],

        ["\xC9\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x81"],
        ["\x9A\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB1"],

        ["\xC9\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x82"],
        ["\x9A\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],

        ["\xC9\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x85"],
        ["\x9A\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB5"],

        ["\x7C\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE4"],
        ["\x6A\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x55"],

        ["\x7C\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE5"],
        ["\x6A\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x56"],

        ["\x7C\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE6"],
        ["\x6A\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x57"],

        ["\x7C\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE7"],
        ["\x6A\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x58"],

        ["\xC9\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x95"],
        ["\x9A\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],

        ["\xC9\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x96"],
        ["\x9A\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],

        ["\xC9\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x94"],
        ["\x9A\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],

        ["\x7C\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE8"],
        ["\x6A\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x59"],

        ["\xC9\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA6"],
        ["\x9A\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],

        ["\x7C\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xE9"],
        ["\x6A\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x5A"],

        ["\x7C\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4A"],
        ["\x6A\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x5B"],

        ["\x7C\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5B"],
        ["\x6A\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x5C"],

        ["\xC9\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xCF"],
        ["\x9A\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xED"],

        ["\xC9\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xDB"],
        ["\x9A\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xEF"],

        ["\xC9\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xED"],
        ["\x9A\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],

        ["\xC9\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xEF"],
        ["\x9A\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],

        ["\x7C\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5A"],
        ["\x6A\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x5D"],

        ["\xC9\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xFB"],
        ["\x9A\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xFB"],

        ["\xC9\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xFD"],
        ["\x9A\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xFD"],

        ["\x7C\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5F"],
        ["\x6A\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x5E"],

        ["\xCA\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x42"],
        ["\x9D\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],

        ["\x7C\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6D"],
        ["\x6A\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x5F"],

        ["\xCA\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x46"],
        ["\x9D\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],

        ["\xCA\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x51"],
        ["\x9D\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],

        ["\x7C\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x79"],
        ["\x6A\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x60"],

        ["\x7C\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x57"],
        ["\x6A\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x61"],

        ["\x7C\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x59"],
        ["\x6A\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x62"],

        ["\x7C\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x62"],
        ["\x6A\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x63"],

        ["\x7C\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x63"],
        ["\x6A\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x64"],

        ["\xCA\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x85"],
        ["\x9D\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],

        ["\x7C\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x64"],
        ["\x6A\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x65"],

        ["\xCA\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x90"],
        ["\x9D\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],

        ["\xCA\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x94"],
        ["\x9D\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xC3"],

        ["\x7C\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x65"],
        ["\x6A\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x66"],

        ["\x7C\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x66"],
        ["\x6A\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x67"],

        ["\x7C\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x67"],
        ["\x6A\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x68"],

        ["\xD5\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xEC"],
        ["\xAA\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],

        ["\x7C\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x68"],
        ["\x6A\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x69"],

        ["\x7C\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x69"],
        ["\x6A\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x6A"],

        ["\x7C\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x70"],
        ["\x6A\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x6B"],

        ["\x7C\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x71"],
        ["\x6A\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x6C"],

        ["\x7C\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x72"],
        ["\x6A\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x6D"],

        ["\x7C\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x73"],
        ["\x6A\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x6E"],

        ["\x7C\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x74"],
        ["\x6A\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x6F"],

        ["\x7C\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x75"],
        ["\x6A\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x70"],

        ["\xCA\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\xB6"],
        ["\x9D\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xE4"],

        ["\x7C\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x76"],
        ["\x6A\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x71"],

        ["\xCA\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\xDA"],
        ["\x9D\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],

        ["\x7C\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x77"],
        ["\x6A\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x72"],

        ["\x7C\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x78"],
        ["\x6A\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x73"],

        ["\x7C\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x80"],
        ["\x6A\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x74"],

        ["\xCB\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\x45"],
        ["\x9E\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],

        ["\x7C\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x8B"],
        ["\x6A\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x75"],

        ["\xCB\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\x46"],
        ["\x9E\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],

        ["\x7C\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x9B"],
        ["\x6A\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x76"],

        ["\x7C\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x9C"],
        ["\x6A\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x77"],

        ["\x7C\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xA0"],
        ["\x6A\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x78"],

        ["\x7C\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xAB"],
        ["\x6A\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x79"],

        ["\x7C\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xB0"],
        ["\x6A\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x7A"],

        ["\xCB\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\x85"],
        ["\x9E\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],

        ["\x7C\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xC0"],
        ["\x6A\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x7B"],

        ["\x7C\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6A"],
        ["\x6A\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x7C"],

        ["\x7C\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xD0"],
        ["\x6A\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x7D"],

        ["\x7C\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x6A\xA1"],
        ["\x6A\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7C\x7E"],

        ["\x7D\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x4F"],
        ["\xD0\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x21"],

        ["\x7D\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x7F"],
        ["\xD0\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x22"],

        ["\x7D\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x7B"],
        ["\xD0\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x23"],

        ["\xCB\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xA3"],
        ["\x9E\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],

        ["\x7D\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE0"],
        ["\xD0\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x24"],

        ["\x7D\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x6C"],
        ["\xD0\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x25"],

        ["\x7D\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x50"],
        ["\xD0\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x26"],

        ["\x7D\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x7D"],
        ["\xD0\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x27"],

        ["\xCB\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xB3"],
        ["\x9E\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xE1"],

        ["\x7D\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x4D"],
        ["\xD0\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x28"],

        ["\xCB\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xFB"],
        ["\x9E\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],

        ["\xCB\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xEE"],
        ["\x9E\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xF8"],

        ["\x7D\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x5D"],
        ["\xD0\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x29"],

        ["\x7D\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x5C"],
        ["\xD0\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x2A"],

        ["\x7D\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x4E"],
        ["\xD0\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x2B"],

        ["\xCB\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xFC"],
        ["\x9E\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],

        ["\x7D\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x6B"],
        ["\xD0\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x2C"],

        ["\x7D\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x60"],
        ["\xD0\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x2D"],

        ["\x7D\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x4B"],
        ["\xD0\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x2E"],

        ["\x7D\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x61"],
        ["\xD0\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x2F"],

        ["\x7D\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],
        ["\xD0\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x30"],

        ["\x7D\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF1"],
        ["\xD0\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x31"],

        ["\x7D\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],
        ["\xD0\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x32"],

        ["\x7D\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],
        ["\xD0\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x33"],

        ["\x7D\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],
        ["\xD0\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x34"],

        ["\xCC\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\x93"],
        ["\x9F\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xC2"],

        ["\x7D\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF5"],
        ["\xD0\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x35"],

        ["\x7D\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF6"],
        ["\xD0\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x36"],

        ["\x7D\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF7"],
        ["\xD0\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x37"],

        ["\x7D\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],
        ["\xD0\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x38"],

        ["\x7D\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],
        ["\xD0\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x39"],

        ["\x7D\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x7A"],
        ["\xD0\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x3A"],

        ["\x7D\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x5E"],
        ["\xD0\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x3B"],

        ["\x7D\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x4C"],
        ["\xD0\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x3C"],

        ["\x7D\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x7E"],
        ["\xD0\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x3D"],

        ["\x7D\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x6E"],
        ["\xD0\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x3E"],

        ["\x7D\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x6F"],
        ["\xD0\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x3F"],

        ["\x7D\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x7C"],
        ["\xD0\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x40"],

        ["\xCC\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\xFE"],
        ["\x9F\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],

        ["\x7D\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],
        ["\xD0\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x41"],

        ["\x7D\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],
        ["\xD0\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x42"],

        ["\xCD\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x51"],
        ["\xA2\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],

        ["\x7D\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC3"],
        ["\xD0\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x43"],

        ["\xCD\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x8A"],
        ["\xA2\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],

        ["\x7D\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],
        ["\xD0\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x44"],

        ["\x7D\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC5"],
        ["\xD0\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x45"],

        ["\x7D\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC6"],
        ["\xD0\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x46"],

        ["\xCD\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x89"],
        ["\xA2\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],

        ["\x7D\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC7"],
        ["\xD0\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x47"],

        ["\x7D\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC8"],
        ["\xD0\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x48"],

        ["\xCD\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x8D"],
        ["\xA2\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],

        ["\xCD\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x90"],
        ["\xA2\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],

        ["\xCD\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x98"],
        ["\xA2\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xC7"],

        ["\x7D\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC9"],
        ["\xD0\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x49"],

        ["\x7D\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD1"],
        ["\xD0\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x4A"],

        ["\x7D\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD2"],
        ["\xD0\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x4B"],

        ["\x7D\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD3"],
        ["\xD0\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x4C"],

        ["\xCD\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x9F"],
        ["\xA2\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],

        ["\x7D\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],
        ["\xD0\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x4D"],

        ["\x7D\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD5"],
        ["\xD0\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x4E"],

        ["\x7D\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD6"],
        ["\xD0\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x4F"],

        ["\x7D\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD7"],
        ["\xD0\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x50"],

        ["\xCD\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAA"],
        ["\xA2\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xD5"],

        ["\xCD\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAC"],
        ["\xA2\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xD6"],

        ["\x7D\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],
        ["\xD0\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x51"],

        ["\x7D\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD9"],
        ["\xD0\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x52"],

        ["\x7D\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],
        ["\xD0\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x53"],

        ["\xCD\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBE"],
        ["\xA2\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],

        ["\x7D\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE3"],
        ["\xD0\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x54"],

        ["\x7D\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE4"],
        ["\xD0\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x55"],

        ["\x7D\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE5"],
        ["\xD0\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x56"],

        ["\x7D\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE6"],
        ["\xD0\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x57"],

        ["\xCD\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xB2"],
        ["\xA2\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xE0"],

        ["\x7D\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE7"],
        ["\xD0\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x58"],

        ["\x7D\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],
        ["\xD0\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x59"],

        ["\x7D\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],
        ["\xD0\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x5A"],

        ["\x7D\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x4A"],
        ["\xD0\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x5B"],

        ["\x7D\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x5B"],
        ["\xD0\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x5C"],

        ["\x7D\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x5A"],
        ["\xD0\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x5D"],

        ["\xCD\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xDE"],
        ["\xA2\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xF2"],

        ["\xCD\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xEA"],
        ["\xA2\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xF4"],

        ["\xCD\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xFC"],
        ["\xA2\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],

        ["\xCD\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xFE"],
        ["\xA2\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],

        ["\x7D\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x5F"],
        ["\xD0\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x5E"],

        ["\x7D\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x6D"],
        ["\xD0\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x5F"],

        ["\x7D\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x79"],
        ["\xD0\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x60"],

        ["\x7D\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x57"],
        ["\xD0\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x61"],

        ["\xCE\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x46"],
        ["\xA3\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],

        ["\xCE\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x53"],
        ["\xA3\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],

        ["\xCE\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x54"],
        ["\xA3\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],

        ["\x7D\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x59"],
        ["\xD0\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x62"],

        ["\x7D\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x62"],
        ["\xD0\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x63"],

        ["\x7D\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x63"],
        ["\xD0\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x64"],

        ["\xCE\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x88"],
        ["\xA3\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],

        ["\x7D\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x64"],
        ["\xD0\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x65"],

        ["\x7D\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x65"],
        ["\xD0\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x66"],

        ["\xCE\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x92"],
        ["\xA3\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xC1"],

        ["\x7D\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x66"],
        ["\xD0\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x67"],

        ["\xCE\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x9A"],
        ["\xA3\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xC9"],

        ["\xCE\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xA3"],
        ["\xA3\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],

        ["\xCE\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xBB"],
        ["\xA3\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],

        ["\xCE\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xA7"],
        ["\xA3\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xD2"],

        ["\xCE\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xAF"],
        ["\xA3\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xD9"],

        ["\xCE\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xBD"],
        ["\xA3\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],

        ["\xCE\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xBE"],
        ["\xA3\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],

        ["\x7D\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x67"],
        ["\xD0\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x68"],

        ["\x7D\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x68"],
        ["\xD0\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x69"],

        ["\x7D\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x69"],
        ["\xD0\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x6A"],

        ["\x7D\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x70"],
        ["\xD0\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x6B"],

        ["\xB6\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x8D"],
        ["\x86\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],

        ["\xCE\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],
        ["\xA3\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xF7"],

        ["\xCE\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],
        ["\xA3\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xF6"],

        ["\x7D\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x71"],
        ["\xD0\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x6C"],

        ["\x7D\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x72"],
        ["\xD0\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x6D"],

        ["\xCF\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x47"],
        ["\xA4\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],

        ["\x7D\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x73"],
        ["\xD0\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x6E"],

        ["\x7D\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x74"],
        ["\xD0\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x6F"],

        ["\xCF\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x88"],
        ["\xA4\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],

        ["\x7D\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x75"],
        ["\xD0\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x70"],

        ["\xCF\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x8F"],
        ["\xA4\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],

        ["\x7D\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x76"],
        ["\xD0\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x71"],

        ["\x7D\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x77"],
        ["\xD0\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x72"],

        ["\x7D\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x78"],
        ["\xD0\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x73"],

        ["\xCF\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA7"],
        ["\xA4\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xD2"],

        ["\xCF\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA6"],
        ["\xA4\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xD1"],

        ["\xCF\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA5"],
        ["\xA4\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xD0"],

        ["\xCF\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAC"],
        ["\xA4\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xD6"],

        ["\x7D\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x80"],
        ["\xD0\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x74"],

        ["\x7D\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x8B"],
        ["\xD0\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x75"],

        ["\x7D\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x9B"],
        ["\xD0\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x76"],

        ["\xCF\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],
        ["\xA4\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xDB"],

        ["\x7D\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x9C"],
        ["\xD0\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x77"],

        ["\x7D\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA0"],
        ["\xD0\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x78"],

        ["\x7D\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAB"],
        ["\xD0\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x79"],

        ["\xCF\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB5"],
        ["\xA4\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xE3"],

        ["\xCF\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB8"],
        ["\xA4\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xE6"],

        ["\xCF\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCA"],
        ["\xA4\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xE8"],

        ["\x7D\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB0"],
        ["\xD0\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x7A"],

        ["\xCF\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCE"],
        ["\xA4\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xEC"],

        ["\x7D\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC0"],
        ["\xD0\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x7B"],

        ["\xB4\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xB4"],
        ["\x84\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xE2"],

        ["\xCF\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDD"],
        ["\xA4\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xF1"],

        ["\xCF\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xFE"],
        ["\xA4\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xFE"],

        ["\xD0\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\x42"],
        ["\xA5\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA2"],

        ["\xD0\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\x41"],
        ["\xA5\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],

        ["\x7D\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x6A"],
        ["\xD0\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x7C"],

        ["\xD0\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\x84"],
        ["\xA5\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB4"],

        ["\x7D\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD0"],
        ["\xD0\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x7D"],

        ["\xD0\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],
        ["\xA5\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],

        ["\x7D\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],
        ["\xD0\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7D\x7E"],

        ["\x7E\x21",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x4F"],
        ["\xA1\x4F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x21"],

        ["\x7E\x22",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x7F"],
        ["\xA1\x7F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x22"],

        ["\x7E\x23",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x7B"],
        ["\xA1\x7B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x23"],

        ["\xD0\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],
        ["\xA5\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],

        ["\xD0\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],
        ["\xA5\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],

        ["\x7E\x24",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE0"],
        ["\xA1\xE0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x24"],

        ["\x7E\x25",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x6C"],
        ["\xA1\x6C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x25"],

        ["\xD0\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCB"],
        ["\xA5\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],

        ["\xD0\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCC"],
        ["\xA5\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xEA"],

        ["\x7E\x26",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x50"],
        ["\xA1\x50",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x26"],

        ["\xD0\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCF"],
        ["\xA5\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xED"],

        ["\xD0\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDB"],
        ["\xA5\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xEF"],

        ["\xD0\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],
        ["\xA5\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],

        ["\x7E\x27",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x7D"],
        ["\xA1\x7D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x27"],

        ["\xD0\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],
        ["\xA5\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],

        ["\x7E\x28",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x4D"],
        ["\xA1\x4D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x28"],

        ["\x7E\x29",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x5D"],
        ["\xA1\x5D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x29"],

        ["\xD0\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],
        ["\xA5\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],

        ["\xD0\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xFA"],
        ["\xA5\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xFA"],

        ["\xD0\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xFB"],
        ["\xA5\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xFB"],

        ["\x7E\x2A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x5C"],
        ["\xA1\x5C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x2A"],

        ["\x7E\x2B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x4E"],
        ["\xA1\x4E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x2B"],

        ["\xD0\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xFE"],
        ["\xA5\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xFE"],

        ["\x7E\x2C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x6B"],
        ["\xA1\x6B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x2C"],

        ["\xD1\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x54"],
        ["\xA6\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xAD"],

        ["\x7E\x2D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x60"],
        ["\xA1\x60",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x2D"],

        ["\x7E\x2E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x4B"],
        ["\xA1\x4B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x2E"],

        ["\xCF\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x41"],
        ["\xA4\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xA1"],

        ["\xD1\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x94"],
        ["\xA6\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],

        ["\xD1\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x8D"],
        ["\xA6\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xBC"],

        ["\xD1\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x96"],
        ["\xA6\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],

        ["\xD1\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA7"],
        ["\xA6\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],

        ["\xD1\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAA"],
        ["\xA6\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],

        ["\xD1\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA9"],
        ["\xA6\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],

        ["\x7E\x2F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x61"],
        ["\xA1\x61",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x2F"],

        ["\x7E\x30",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],
        ["\xA1\xF0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x30"],

        ["\x7E\x31",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],
        ["\xA1\xF1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x31"],

        ["\x7E\x32",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],
        ["\xA1\xF2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x32"],

        ["\xD2\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x47"],
        ["\xA7\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xA7"],

        ["\xD2\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x96"],
        ["\xA7\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],

        ["\x7E\x33",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],
        ["\xA1\xF3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x33"],

        ["\xD2\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x8E"],
        ["\xA7\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xBD"],

        ["\x7E\x34",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],
        ["\xA1\xF4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x34"],

        ["\x7E\x35",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],
        ["\xA1\xF5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x35"],

        ["\x7E\x36",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],
        ["\xA1\xF6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x36"],

        ["\x7E\x37",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],
        ["\xA1\xF7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x37"],

        ["\xD2\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA6"],
        ["\xA7\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],

        ["\xD2\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAE"],
        ["\xA7\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],

        ["\xD2\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xCA"],
        ["\xA7\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],

        ["\xD2\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xCC"],
        ["\xA7\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xEA"],

        ["\xD2\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDA"],
        ["\xA7\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xEE"],

        ["\xD2\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xCF"],
        ["\xA7\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xED"],

        ["\x7E\x38",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],
        ["\xA1\xF8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x38"],

        ["\xD2\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xED"],
        ["\xA7\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],

        ["\xD2\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEE"],
        ["\xA7\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],

        ["\x7E\x39",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],
        ["\xA1\xF9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x39"],

        ["\xD2\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xFD"],
        ["\xA7\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xFD"],

        ["\x7E\x3A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x7A"],
        ["\xA1\x7A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x3A"],

        ["\x7E\x3B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x5E"],
        ["\xA1\x5E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x3B"],

        ["\xCD\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAE"],
        ["\xA2\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xD8"],

        ["\x7E\x3C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x4C"],
        ["\xA1\x4C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x3C"],

        ["\x7E\x3D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x7E"],
        ["\xA1\x7E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x3D"],

        ["\xD3\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x46"],
        ["\xA8\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xA6"],

        ["\xD3\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x47"],
        ["\xA8\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xA7"],

        ["\xD3\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x51"],
        ["\xA8\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xAA"],

        ["\x7E\x3E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x6E"],
        ["\xA1\x6E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x3E"],

        ["\x7E\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x6F"],
        ["\xA1\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x3F"],

        ["\x7E\x40",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x7C"],
        ["\xA1\x7C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x40"],

        ["\x7E\x41",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC1"],
        ["\xA1\xC1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x41"],

        ["\xD3\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x58"],
        ["\xA8\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],

        ["\xB6\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xEA"],
        ["\x86\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xF4"],

        ["\x7E\x42",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC2"],
        ["\xA1\xC2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x42"],

        ["\xD3\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x93"],
        ["\xA8\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],

        ["\x7E\x43",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC3"],
        ["\xA1\xC3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x43"],

        ["\xD5\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xA2"],
        ["\xAA\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xCD"],

        ["\x7E\x44",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC4"],
        ["\xA1\xC4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x44"],

        ["\xD3\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA2"],
        ["\xA8\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xCD"],

        ["\x7E\x45",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC5"],
        ["\xA1\xC5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x45"],

        ["\xD3\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAE"],
        ["\xA8\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],

        ["\xCE\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x8D"],
        ["\xA3\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],

        ["\x7E\x46",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC6"],
        ["\xA1\xC6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x46"],

        ["\xD3\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB5"],
        ["\xA8\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],

        ["\x7E\x47",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC7"],
        ["\xA1\xC7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x47"],

        ["\x7E\x48",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC8"],
        ["\xA1\xC8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x48"],

        ["\xD5\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xDC"],
        ["\xAA\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],

        ["\xD3\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB9"],
        ["\xA8\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],

        ["\x7E\x49",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC9"],
        ["\xA1\xC9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x49"],

        ["\xD3\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xCD"],
        ["\xA8\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xEB"],

        ["\x7E\x4A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD1"],
        ["\xA1\xD1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x4A"],

        ["\x7E\x4B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD2"],
        ["\xA1\xD2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x4B"],

        ["\x7E\x4C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD3"],
        ["\xA1\xD3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x4C"],

        ["\xD3\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xDF"],
        ["\xA8\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],

        ["\xD3\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xEB"],
        ["\xA8\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],

        ["\xD3\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xEC"],
        ["\xA8\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],

        ["\x7E\x4D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD4"],
        ["\xA1\xD4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x4D"],

        ["\x7E\x4E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD5"],
        ["\xA1\xD5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x4E"],

        ["\xD3\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xFC"],
        ["\xA8\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xFC"],

        ["\xD3\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xFD"],
        ["\xA8\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xFD"],

        ["\x7E\x4F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD6"],
        ["\xA1\xD6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x4F"],

        ["\xD4\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x42"],
        ["\xA9\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xA2"],

        ["\x45\x3F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x6F"],
        ["\xC5\x6F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x45\x3F"],

        ["\x7E\x50",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD7"],
        ["\xA1\xD7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x50"],

        ["\xD4\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x46"],
        ["\xA9\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xA6"],

        ["\xD4\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x52"],
        ["\xA9\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],

        ["\xD4\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x54"],
        ["\xA9\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xAD"],

        ["\x7E\x51",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD8"],
        ["\xA1\xD8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x51"],

        ["\x7E\x52",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD9"],
        ["\xA1\xD9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x52"],

        ["\xD4\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xA2"],
        ["\xA9\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xCD"],

        ["\xD4\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x9F"],
        ["\xA9\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xCC"],

        ["\x7E\x53",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE2"],
        ["\xA1\xE2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x53"],

        ["\x7E\x54",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE3"],
        ["\xA1\xE3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x54"],

        ["\xD4\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xA8"],
        ["\xA9\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],

        ["\xD4\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xA7"],
        ["\xA9\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],

        ["\xD4\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xA9"],
        ["\xA9\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],

        ["\x7E\x55",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE4"],
        ["\xA1\xE4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x55"],

        ["\x7E\x56",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE5"],
        ["\xA1\xE5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x56"],

        ["\x7E\x57",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE6"],
        ["\xA1\xE6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x57"],

        ["\x7E\x58",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE7"],
        ["\xA1\xE7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x58"],

        ["\x7E\x59",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],
        ["\xA1\xE8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x59"],

        ["\x7E\x5A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],
        ["\xA1\xE9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x5A"],

        ["\x7E\x5B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x4A"],
        ["\xA1\x4A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x5B"],

        ["\xD4\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xB5"],
        ["\xA9\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],

        ["\xD4\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xB6"],
        ["\xA9\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],

        ["\x7E\x5C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x5B"],
        ["\xA1\x5B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x5C"],

        ["\x7E\x5D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x5A"],
        ["\xA1\x5A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x5D"],

        ["\x7E\x5E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x5F"],
        ["\xA1\x5F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x5E"],

        ["\xD4\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xCD"],
        ["\xA9\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xEB"],

        ["\xD4\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xDE"],
        ["\xA9\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],

        ["\xD4\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xDD"],
        ["\xA9\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],

        ["\xD4\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xEE"],
        ["\xA9\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],

        ["\x7E\x5F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x6D"],
        ["\xA1\x6D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x5F"],

        ["\xD4\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xFA"],
        ["\xA9\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xFA"],

        ["\x7E\x60",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x79"],
        ["\xA1\x79",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x60"],

        ["\x7E\x61",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x57"],
        ["\xA1\x57",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x61"],

        ["\xD5\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x45"],
        ["\xAA\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xA5"],

        ["\xD5\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x51"],
        ["\xAA\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xAA"],

        ["\x7E\x62",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x59"],
        ["\xA1\x59",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x62"],

        ["\x7E\x63",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x62"],
        ["\xA1\x62",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x63"],

        ["\xD5\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x83"],
        ["\xAA\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xB3"],

        ["\x7E\x64",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x63"],
        ["\xA1\x63",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x64"],

        ["\x7E\x65",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x64"],
        ["\xA1\x64",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x65"],

        ["\x7E\x66",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x65"],
        ["\xA1\x65",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x66"],

        ["\xD5\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x89"],
        ["\xAA\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xB9"],

        ["\xD5\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x8C"],
        ["\xAA\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xBB"],

        ["\x7E\x67",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x66"],
        ["\xA1\x66",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x67"],

        ["\xD5\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x90"],
        ["\xAA\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xBF"],

        ["\xD5\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x96"],
        ["\xAA\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],

        ["\xD5\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x95"],
        ["\xAA\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],

        ["\xD5\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x9F"],
        ["\xAA\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xCC"],

        ["\xD5\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x9D"],
        ["\xAA\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xCA"],

        ["\x7E\x68",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x67"],
        ["\xA1\x67",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x68"],

        ["\x7E\x69",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x68"],
        ["\xA1\x68",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x69"],

        ["\xD5\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xA8"],
        ["\xAA\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],

        ["\x7E\x6A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x69"],
        ["\xA1\x69",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x6A"],

        ["\xD5\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xAD"],
        ["\xAA\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],

        ["\x7E\x6B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x70"],
        ["\xA1\x70",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x6B"],

        ["\x7E\x6C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x71"],
        ["\xA1\x71",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x6C"],

        ["\x7E\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x72"],
        ["\xA1\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x6D"],

        ["\x7E\x6E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x73"],
        ["\xA1\x73",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x6E"],

        ["\x7E\x6F",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x74"],
        ["\xA1\x74",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x6F"],

        ["\x7E\x70",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x75"],
        ["\xA1\x75",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x70"],

        ["\x7E\x71",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x76"],
        ["\xA1\x76",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x71"],

        ["\x7E\x72",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x77"],
        ["\xA1\x77",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x72"],

        ["\x7E\x73",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x78"],
        ["\xA1\x78",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x73"],

        ["\x7E\x74",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x80"],
        ["\xA1\x80",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x74"],

        ["\xD5\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xB6"],
        ["\xAA\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],

        ["\xD5\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xB7"],
        ["\xAA\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],

        ["\x7E\x75",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x8B"],
        ["\xA1\x8B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x75"],

        ["\x39\x6D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF9\x72"],
        ["\xF9\x72",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x39\x6D"],

        ["\x7E\x76",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x9B"],
        ["\xA1\x9B",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x76"],

        ["\x7E\x77",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x9C"],
        ["\xA1\x9C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x77"],

        ["\xD5\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xDB"],
        ["\xAA\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xEF"],

        ["\xD5\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xDF"],
        ["\xAA\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],

        ["\x7E\x78",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA0"],
        ["\xA1\xA0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x78"],

        ["\xBA\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x81"],
        ["\x8A\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xB1"],

        ["\xD5\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xEF"],
        ["\xAA\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],

        ["\x7E\x79",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAB"],
        ["\xA1\xAB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x79"],

        ["\xB6\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x91"],
        ["\x86\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xC0"],

        ["\x7E\x7A",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB0"],
        ["\xA1\xB0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x7A"],

        ["\x7E\x7B",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC0"],
        ["\xA1\xC0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x7B"],

        ["\x7E\x7C",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\x6A"],
        ["\xA1\x6A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x7C"],

        ["\x7E\x7D",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD0"],
        ["\xA1\xD0",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x7D"],

        ["\x7E\x7E",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA1"],
        ["\xA1\xA1",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\x7E\x7E"],

        ["\xE0\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x41"],
        ["\xB2\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA1"],

        ["\xB2\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x41"],
        ["\x82\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xA1"],

        ["\xE0\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x42"],
        ["\xB2\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA2"],

        ["\xE0\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x43"],
        ["\xB2\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA3"],

        ["\xE0\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x44"],
        ["\xB2\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA4"],

        ["\xB2\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x53"],
        ["\x82\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],

        ["\xB2\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x56"],
        ["\x82\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],

        ["\xE0\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x45"],
        ["\xB2\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA5"],

        ["\xE0\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x46"],
        ["\xB2\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA6"],

        ["\xE0\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x47"],
        ["\xB2\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA7"],

        ["\xE0\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x48"],
        ["\xB2\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA8"],

        ["\xE0\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x49"],
        ["\xB2\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA9"],

        ["\xE0\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x51"],
        ["\xB2\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAA"],

        ["\xE0\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x52"],
        ["\xB2\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAB"],

        ["\xE0\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x53"],
        ["\xB2\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],

        ["\xE0\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x54"],
        ["\xB2\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAD"],

        ["\xE0\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x55"],
        ["\xB2\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAE"],

        ["\xE0\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x56"],
        ["\xB2\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAF"],

        ["\xE0\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x58"],
        ["\xB2\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB0"],

        ["\xB2\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x8C"],
        ["\x82\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],

        ["\xE0\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x81"],
        ["\xB2\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB1"],

        ["\xE0\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x82"],
        ["\xB2\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB2"],

        ["\xE0\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x83"],
        ["\xB2\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB3"],

        ["\xE0\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x84"],
        ["\xB2\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB4"],

        ["\xE0\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x85"],
        ["\xB2\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB5"],

        ["\xB2\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x90"],
        ["\x82\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],

        ["\xE0\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x86"],
        ["\xB2\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB6"],

        ["\xE0\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x87"],
        ["\xB2\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB7"],

        ["\xB2\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x9F"],
        ["\x82\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],

        ["\xB2\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA7"],
        ["\x82\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xD2"],

        ["\xE0\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x88"],
        ["\xB2\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB8"],

        ["\xE0\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x89"],
        ["\xB2\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB9"],

        ["\xE0\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x8A"],
        ["\xB2\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBA"],

        ["\xB2\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xAA"],
        ["\x82\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xD5"],

        ["\xB2\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xA9"],
        ["\x82\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xD4"],

        ["\xE0\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x8C"],
        ["\xB2\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBB"],

        ["\xE0\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x8D"],
        ["\xB2\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBC"],

        ["\xE0\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x8E"],
        ["\xB2\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBD"],

        ["\xB2\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xCB"],
        ["\x82\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xE9"],

        ["\xE0\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x8F"],
        ["\xB2\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBE"],

        ["\xE0\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x90"],
        ["\xB2\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBF"],

        ["\xE0\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x91"],
        ["\xB2\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC0"],

        ["\xE0\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x92"],
        ["\xB2\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],

        ["\xE0\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x93"],
        ["\xB2\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],

        ["\xB2\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xEF"],
        ["\x82\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xF9"],

        ["\xB2\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xEA"],
        ["\x82\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xF4"],

        ["\xB2\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDA"],
        ["\x82\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],

        ["\xB2\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDE"],
        ["\x82\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xF2"],

        ["\xB2\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDD"],
        ["\x82\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xF1"],

        ["\xE0\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x94"],
        ["\xB2\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],

        ["\xE0\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x95"],
        ["\xB2\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],

        ["\xB3\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x47"],
        ["\x83\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],

        ["\xB3\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x43"],
        ["\x83\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],

        ["\xE0\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x96"],
        ["\xB2\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],

        ["\xB3\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x42"],
        ["\x83\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],

        ["\xB3\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x44"],
        ["\x83\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],

        ["\xE0\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x97"],
        ["\xB2\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],

        ["\xE0\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x98"],
        ["\xB2\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],

        ["\xE0\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x99"],
        ["\xB2\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],

        ["\xB3\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x8A"],
        ["\x83\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],

        ["\xB3\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x8D"],
        ["\x83\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],

        ["\xB3\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x90"],
        ["\x83\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],

        ["\xB3\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\x85"],
        ["\x83\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],

        ["\xE0\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x9A"],
        ["\xB2\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],

        ["\xE0\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x9D"],
        ["\xB2\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCA"],

        ["\xE0\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x9E"],
        ["\xB2\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCB"],

        ["\xE0\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x9F"],
        ["\xB2\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCC"],

        ["\xE0\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA2"],
        ["\xB2\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCD"],

        ["\xE0\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA3"],
        ["\xB2\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCE"],

        ["\xE0\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA4"],
        ["\xB2\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCF"],

        ["\xE0\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA5"],
        ["\xB2\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD0"],

        ["\xE0\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA6"],
        ["\xB2\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],

        ["\xE0\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],
        ["\xB2\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],

        ["\xE0\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA8"],
        ["\xB2\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],

        ["\xE0\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA9"],
        ["\xB2\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],

        ["\xB3\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA2"],
        ["\x83\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],

        ["\xE0\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAA"],
        ["\xB2\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],

        ["\xE0\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],
        ["\xB2\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],

        ["\xE0\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],
        ["\xB2\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],

        ["\xE0\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAE"],
        ["\xB2\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],

        ["\xE0\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],
        ["\xB2\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],

        ["\xE0\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBA"],
        ["\xB2\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDA"],

        ["\xE0\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],
        ["\xB2\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDB"],

        ["\xE0\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBC"],
        ["\xB2\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDC"],

        ["\xB3\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xA6"],
        ["\x83\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xD1"],

        ["\xE0\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBD"],
        ["\xB2\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDD"],

        ["\xE0\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBE"],
        ["\xB2\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDE"],

        ["\xE0\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],
        ["\xB2\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDF"],

        ["\xE0\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB2"],
        ["\xB2\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],

        ["\xE0\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB3"],
        ["\xB2\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE1"],

        ["\xE0\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],
        ["\xB2\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],

        ["\xE0\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB5"],
        ["\xB2\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],

        ["\xE0\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB6"],
        ["\xB2\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],

        ["\xE0\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB7"],
        ["\xB2\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],

        ["\xE0\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB8"],
        ["\xB2\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],

        ["\xE0\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB9"],
        ["\xB2\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],

        ["\xE0\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCA"],
        ["\xB2\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],

        ["\xE0\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCB"],
        ["\xB2\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],

        ["\xB8\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xB7"],
        ["\x88\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xE5"],

        ["\xE0\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],
        ["\xB2\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEA"],

        ["\xE0\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],
        ["\xB2\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEB"],

        ["\xE0\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],
        ["\xB2\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEC"],

        ["\xE0\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCF"],
        ["\xB2\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xED"],

        ["\xE0\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDA"],
        ["\xB2\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],

        ["\xE0\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],
        ["\xB2\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],

        ["\xE0\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDC"],
        ["\xB2\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],

        ["\xB8\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xCD"],
        ["\x88\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],

        ["\xE0\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDD"],
        ["\xB2\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],

        ["\xE0\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],
        ["\xB2\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],

        ["\xE0\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDF"],
        ["\xB2\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],

        ["\xE0\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],
        ["\xB2\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],

        ["\xE0\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],
        ["\xB2\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],

        ["\xE0\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEC"],
        ["\xB2\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],

        ["\xE0\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xED"],
        ["\xB2\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],

        ["\xE0\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],
        ["\xB2\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],

        ["\xE0\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEF"],
        ["\xB2\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],

        ["\xE0\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFA"],
        ["\xB2\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],

        ["\xE0\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFB"],
        ["\xB2\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],

        ["\xE0\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFC"],
        ["\xB2\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],

        ["\xE0\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFD"],
        ["\xB2\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xFD"],

        ["\xE0\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],
        ["\xB2\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xFE"],

        ["\xE1\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x41"],
        ["\xB3\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA1"],

        ["\xB8\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\xEB"],
        ["\x88\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xF5"],

        ["\xE1\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x42"],
        ["\xB3\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA2"],

        ["\xB9\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x45"],
        ["\x89\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],

        ["\xE1\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x43"],
        ["\xB3\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA3"],

        ["\xE1\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x44"],
        ["\xB3\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA4"],

        ["\xB9\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x84"],
        ["\x89\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],

        ["\xE1\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x45"],
        ["\xB3\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA5"],

        ["\xB9\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x85"],
        ["\x89\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],

        ["\xE1\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x46"],
        ["\xB3\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA6"],

        ["\xE1\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x47"],
        ["\xB3\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA7"],

        ["\xE1\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x48"],
        ["\xB3\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA8"],

        ["\xE1\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x49"],
        ["\xB3\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA9"],

        ["\xE1\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x51"],
        ["\xB3\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAA"],

        ["\xE1\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x52"],
        ["\xB3\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAB"],

        ["\xE1\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x53"],
        ["\xB3\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAC"],

        ["\xB9\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x92"],
        ["\x89\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xC1"],

        ["\xE1\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x54"],
        ["\xB3\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAD"],

        ["\xE1\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x55"],
        ["\xB3\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAE"],

        ["\xE1\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x56"],
        ["\xB3\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAF"],

        ["\xE1\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x58"],
        ["\xB3\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB0"],

        ["\xE1\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x81"],
        ["\xB3\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB1"],

        ["\xB9\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\x97"],
        ["\x89\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xC6"],

        ["\xE1\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x82"],
        ["\xB3\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB2"],

        ["\xB9\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA5"],
        ["\x89\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xD0"],

        ["\xB9\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xA3"],
        ["\x89\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],

        ["\xE1\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x83"],
        ["\xB3\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB3"],

        ["\xE1\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x84"],
        ["\xB3\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB4"],

        ["\xE1\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x85"],
        ["\xB3\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB5"],

        ["\xE1\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x86"],
        ["\xB3\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB6"],

        ["\xE1\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x87"],
        ["\xB3\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB7"],

        ["\xE1\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x88"],
        ["\xB3\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8"],

        ["\xE1\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x89"],
        ["\xB3\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB9"],

        ["\xE1\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x8A"],
        ["\xB3\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBA"],

        ["\xE1\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x8C"],
        ["\xB3\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBB"],

        ["\xB9\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xBD"],
        ["\x89\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],

        ["\xE1\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x8D"],
        ["\xB3\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBC"],

        ["\xE1\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x8E"],
        ["\xB3\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD"],

        ["\xE1\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x8F"],
        ["\xB3\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBE"],

        ["\xE1\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x90"],
        ["\xB3\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBF"],

        ["\xB9\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB5"],
        ["\x89\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xE3"],

        ["\xE1\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x91"],
        ["\xB3\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC0"],

        ["\xB9\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xCB"],
        ["\x89\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xE9"],

        ["\xB9\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xB9"],
        ["\x89\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xE7"],

        ["\xE1\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x92"],
        ["\xB3\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC1"],

        ["\xE1\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x93"],
        ["\xB3\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC2"],

        ["\xB9\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xCD"],
        ["\x89\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],

        ["\xE1\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x94"],
        ["\xB3\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC3"],

        ["\xE1\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x95"],
        ["\xB3\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC4"],

        ["\xE1\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x96"],
        ["\xB3\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC5"],

        ["\xE1\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x97"],
        ["\xB3\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC6"],

        ["\xE1\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x98"],
        ["\xB3\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC7"],

        ["\xE1\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x99"],
        ["\xB3\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC8"],

        ["\xE1\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x9A"],
        ["\xB3\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC9"],

        ["\xE1\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x9D"],
        ["\xB3\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCA"],

        ["\xE1\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x9E"],
        ["\xB3\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCB"],

        ["\xE1\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x9F"],
        ["\xB3\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCC"],

        ["\xE1\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],
        ["\xB3\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCD"],

        ["\xE1\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],
        ["\xB3\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCE"],

        ["\xE1\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],
        ["\xB3\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCF"],

        ["\xE1\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],
        ["\xB3\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD0"],

        ["\xE1\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],
        ["\xB3\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD1"],

        ["\xE1\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],
        ["\xB3\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD2"],

        ["\xE1\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA8"],
        ["\xB3\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD3"],

        ["\xE1\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA9"],
        ["\xB3\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD4"],

        ["\xE1\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAA"],
        ["\xB3\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD5"],

        ["\xE1\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAC"],
        ["\xB3\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD6"],

        ["\xB5\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x8E"],
        ["\x85\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],

        ["\xE1\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAD"],
        ["\xB3\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD7"],

        ["\xE1\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAE"],
        ["\xB3\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD8"],

        ["\xB4\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x41"],
        ["\x84\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xA1"],

        ["\xE1\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],
        ["\xB3\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD9"],

        ["\xE1\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],
        ["\xB3\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDA"],

        ["\xE1\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBB"],
        ["\xB3\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDB"],

        ["\xB4\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x53"],
        ["\x84\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],

        ["\xB4\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x54"],
        ["\x84\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],

        ["\xE1\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],
        ["\xB3\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDC"],

        ["\xB4\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\x83"],
        ["\x84\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],

        ["\xE1\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBD"],
        ["\xB3\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDD"],

        ["\xE1\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBE"],
        ["\xB3\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDE"],

        ["\xE1\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],
        ["\xB3\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDF"],

        ["\xE1\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],
        ["\xB3\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE0"],

        ["\xE1\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],
        ["\xB3\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE1"],

        ["\xE1\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB4"],
        ["\xB3\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE2"],

        ["\xE1\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],
        ["\xB3\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE3"],

        ["\xE1\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB6"],
        ["\xB3\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE4"],

        ["\xE1\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB7"],
        ["\xB3\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE5"],

        ["\xE1\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB8"],
        ["\xB3\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE6"],

        ["\xE1\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB9"],
        ["\xB3\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE7"],

        ["\xE1\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCA"],
        ["\xB3\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE8"],

        ["\xE1\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCB"],
        ["\xB3\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE9"],

        ["\xE1\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCC"],
        ["\xB3\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEA"],

        ["\xE1\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],
        ["\xB3\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEB"],

        ["\xB4\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xA6"],
        ["\x84\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xD1"],

        ["\xE1\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCE"],
        ["\xB3\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEC"],

        ["\xE1\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],
        ["\xB3\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xED"],

        ["\xB4\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xCF"],
        ["\x84\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],

        ["\xC9\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xBC"],
        ["\x9A\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xDC"],

        ["\xE1\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],
        ["\xB3\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEE"],

        ["\xE1\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDB"],
        ["\xB3\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEF"],

        ["\xB4\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xDF"],
        ["\x84\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xF3"],

        ["\xE1\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDC"],
        ["\xB3\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF0"],

        ["\xE1\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDD"],
        ["\xB3\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF1"],

        ["\xE1\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDE"],
        ["\xB3\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF2"],

        ["\xB5\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x46"],
        ["\x85\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],

        ["\xE1\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDF"],
        ["\xB3\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF3"],

        ["\xE1\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEA"],
        ["\xB3\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF4"],

        ["\xE1\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],
        ["\xB3\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF5"],

        ["\xE1\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],
        ["\xB3\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF6"],

        ["\xE1\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xED"],
        ["\xB3\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF7"],

        ["\xE1\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEE"],
        ["\xB3\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF8"],

        ["\xE1\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEF"],
        ["\xB3\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF9"],

        ["\xE1\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFA"],
        ["\xB3\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xFA"],

        ["\xE1\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFB"],
        ["\xB3\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xFB"],

        ["\xB5\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x8A"],
        ["\x85\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],

        ["\xB5\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\x8C"],
        ["\x85\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],

        ["\xE1\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFC"],
        ["\xB3\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xFC"],

        ["\xE1\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFD"],
        ["\xB3\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xFD"],

        ["\xE1\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFE"],
        ["\xB3\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xFE"],

        ["\xE2\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x41"],
        ["\xB4\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],

        ["\xE2\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x42"],
        ["\xB4\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA2"],

        ["\xE2\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x43"],
        ["\xB4\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA3"],

        ["\xE2\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x44"],
        ["\xB4\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4"],

        ["\xE2\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x45"],
        ["\xB4\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA5"],

        ["\xE2\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x46"],
        ["\xB4\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6"],

        ["\xB5\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xA3"],
        ["\x85\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],

        ["\xE2\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x47"],
        ["\xB4\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7"],

        ["\xE2\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x48"],
        ["\xB4\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA8"],

        ["\xE2\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x49"],
        ["\xB4\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA9"],

        ["\xE2\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x51"],
        ["\xB4\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAA"],

        ["\xE2\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x52"],
        ["\xB4\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],

        ["\xE2\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x53"],
        ["\xB4\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAC"],

        ["\xE2\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x54"],
        ["\xB4\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAD"],

        ["\xE2\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x55"],
        ["\xB4\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAE"],

        ["\xE2\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x56"],
        ["\xB4\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAF"],

        ["\xB5\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xAE"],
        ["\x85\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xD8"],

        ["\xE2\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x58"],
        ["\xB4\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],

        ["\xE2\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x81"],
        ["\xB4\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB1"],

        ["\xE2\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x82"],
        ["\xB4\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB2"],

        ["\xE2\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x83"],
        ["\xB4\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB3"],

        ["\xE2\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x84"],
        ["\xB4\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB4"],

        ["\xE2\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x85"],
        ["\xB4\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB5"],

        ["\xE2\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x86"],
        ["\xB4\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB6"],

        ["\xB5\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xB3"],
        ["\x85\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xE1"],

        ["\xB5\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xBF"],
        ["\x85\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],

        ["\xE2\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x87"],
        ["\xB4\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB7"],

        ["\xE2\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x88"],
        ["\xB4\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB8"],

        ["\xE2\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x89"],
        ["\xB4\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB9"],

        ["\xB5\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCA"],
        ["\x85\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xE8"],

        ["\xB5\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCE"],
        ["\x85\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],

        ["\xE2\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x8A"],
        ["\xB4\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBA"],

        ["\xB5\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCB"],
        ["\x85\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xE9"],

        ["\xB5\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xCD"],
        ["\x85\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],

        ["\xE2\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x8C"],
        ["\xB4\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBB"],

        ["\xE2\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x8D"],
        ["\xB4\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBC"],

        ["\xE2\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x8E"],
        ["\xB4\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBD"],

        ["\xE2\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x8F"],
        ["\xB4\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBE"],

        ["\xE2\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x90"],
        ["\xB4\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBF"],

        ["\xB5\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xDE"],
        ["\x85\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xF2"],

        ["\xE2\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x91"],
        ["\xB4\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],

        ["\xE2\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x92"],
        ["\xB4\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],

        ["\xE2\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x93"],
        ["\xB4\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],

        ["\xE2\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x94"],
        ["\xB4\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],

        ["\xE2\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x95"],
        ["\xB4\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],

        ["\xE2\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x96"],
        ["\xB4\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],

        ["\xE2\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x97"],
        ["\xB4\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],

        ["\xE2\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x98"],
        ["\xB4\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],

        ["\xE2\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x99"],
        ["\xB4\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],

        ["\xE2\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x9A"],
        ["\xB4\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],

        ["\xE2\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x9D"],
        ["\xB4\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCA"],

        ["\xE2\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x9E"],
        ["\xB4\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCB"],

        ["\xB5\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x85\xFB"],
        ["\x85\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],

        ["\xE2\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x9F"],
        ["\xB4\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCC"],

        ["\xE2\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],
        ["\xB4\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCD"],

        ["\xE2\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA3"],
        ["\xB4\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCE"],

        ["\xB6\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x44"],
        ["\x86\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],

        ["\xE2\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA4"],
        ["\xB4\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCF"],

        ["\xE2\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA5"],
        ["\xB4\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],

        ["\xE2\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA6"],
        ["\xB4\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],

        ["\xB6\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x53"],
        ["\x86\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],

        ["\xB6\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x55"],
        ["\x86\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],

        ["\xE2\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA7"],
        ["\xB4\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],

        ["\xE2\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],
        ["\xB4\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],

        ["\xE2\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA9"],
        ["\xB4\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],

        ["\xE2\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],
        ["\xB4\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],

        ["\xE2\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],
        ["\xB4\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],

        ["\xE2\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],
        ["\xB4\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],

        ["\xE2\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],
        ["\xB4\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],

        ["\xE2\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAF"],
        ["\xB4\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],

        ["\xE2\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],
        ["\xB4\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDA"],

        ["\xE2\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBB"],
        ["\xB4\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDB"],

        ["\xE2\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBC"],
        ["\xB4\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDC"],

        ["\xE2\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBD"],
        ["\xB4\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDD"],

        ["\xB6\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x8F"],
        ["\x86\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],

        ["\xE2\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBE"],
        ["\xB4\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDE"],

        ["\xE2\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBF"],
        ["\xB4\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDF"],

        ["\xB6\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\x92"],
        ["\x86\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xC1"],

        ["\xE2\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB2"],
        ["\xB4\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],

        ["\xE2\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],
        ["\xB4\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],

        ["\xE2\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],
        ["\xB4\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],

        ["\xE2\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB5"],
        ["\xB4\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],

        ["\xE2\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB6"],
        ["\xB4\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],

        ["\xE2\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB7"],
        ["\xB4\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],

        ["\xE2\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB8"],
        ["\xB4\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],

        ["\xE2\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],
        ["\xB4\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],

        ["\xE2\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCA"],
        ["\xB4\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],

        ["\xE2\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCB"],
        ["\xB4\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],

        ["\xE2\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],
        ["\xB4\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],

        ["\xE2\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCD"],
        ["\xB4\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],

        ["\xB6\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA8"],
        ["\x86\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xD3"],

        ["\xE2\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCE"],
        ["\xB4\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],

        ["\xE2\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCF"],
        ["\xB4\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],

        ["\xE2\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDA"],
        ["\xB4\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],

        ["\xE2\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDB"],
        ["\xB4\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],

        ["\xE2\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDC"],
        ["\xB4\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],

        ["\xE2\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDD"],
        ["\xB4\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],

        ["\xE2\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDE"],
        ["\xB4\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],

        ["\xB6\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xAF"],
        ["\x86\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xD9"],

        ["\xE2\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDF"],
        ["\xB4\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],

        ["\xE2\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEA"],
        ["\xB4\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],

        ["\xB6\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xB2"],
        ["\x86\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xE0"],

        ["\xE2\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEB"],
        ["\xB4\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],

        ["\xE2\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],
        ["\xB4\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],

        ["\xE2\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],
        ["\xB4\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],

        ["\xE2\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEE"],
        ["\xB4\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],

        ["\xE2\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],
        ["\xB4\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],

        ["\xE2\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFA"],
        ["\xB4\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xFA"],

        ["\xE2\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFB"],
        ["\xB4\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],

        ["\xE2\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFC"],
        ["\xB4\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],

        ["\xB6\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xDA"],
        ["\x86\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],

        ["\xE2\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFD"],
        ["\xB4\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xFD"],

        ["\xE2\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFE"],
        ["\xB4\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xFE"],

        ["\xE3\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x41"],
        ["\xB5\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],

        ["\xB6\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xCB"],
        ["\x86\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xE9"],

        ["\xE3\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x42"],
        ["\xB5\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA2"],

        ["\xE3\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x43"],
        ["\xB5\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3"],

        ["\xE3\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x44"],
        ["\xB5\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4"],

        ["\xB6\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xDF"],
        ["\x86\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xF3"],

        ["\xB6\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xDE"],
        ["\x86\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xF2"],

        ["\xE3\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x45"],
        ["\xB5\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5"],

        ["\xE3\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x46"],
        ["\xB5\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA6"],

        ["\xB6\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xEE"],
        ["\x86\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xF8"],

        ["\xE3\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x47"],
        ["\xB5\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA7"],

        ["\xE3\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x48"],
        ["\xB5\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA8"],

        ["\xE3\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x49"],
        ["\xB5\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9"],

        ["\xE3\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x51"],
        ["\xB5\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAA"],

        ["\xE3\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x52"],
        ["\xB5\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],

        ["\xE3\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x53"],
        ["\xB5\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC"],

        ["\xE3\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x54"],
        ["\xB5\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD"],

        ["\xB7\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x46"],
        ["\x87\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],

        ["\xB6\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xFD"],
        ["\x86\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],

        ["\xE3\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x55"],
        ["\xB5\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE"],

        ["\xE3\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x56"],
        ["\xB5\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF"],

        ["\xE3\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x58"],
        ["\xB5\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],

        ["\xB7\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x56"],
        ["\x87\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],

        ["\xE3\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x81"],
        ["\xB5\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB1"],

        ["\xE3\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x82"],
        ["\xB5\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB2"],

        ["\xE3\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x83"],
        ["\xB5\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3"],

        ["\xE3\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x84"],
        ["\xB5\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4"],

        ["\xE3\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x85"],
        ["\xB5\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5"],

        ["\xE3\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x86"],
        ["\xB5\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6"],

        ["\xE3\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x87"],
        ["\xB5\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7"],

        ["\xB7\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x87"],
        ["\x87\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],

        ["\xE3\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x88"],
        ["\xB5\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8"],

        ["\xE3\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x89"],
        ["\xB5\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9"],

        ["\xB7\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\x95"],
        ["\x87\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xC4"],

        ["\xE3\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x8A"],
        ["\xB5\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA"],

        ["\xE3\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x8C"],
        ["\xB5\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBB"],

        ["\xE3\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x8D"],
        ["\xB5\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBC"],

        ["\xE3\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x8E"],
        ["\xB5\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD"],

        ["\xE3\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x8F"],
        ["\xB5\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE"],

        ["\xE3\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x90"],
        ["\xB5\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF"],

        ["\xE3\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x91"],
        ["\xB5\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],

        ["\xE3\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x92"],
        ["\xB5\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],

        ["\xE3\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x93"],
        ["\xB5\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],

        ["\xB7\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xAE"],
        ["\x87\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xD8"],

        ["\xE3\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x94"],
        ["\xB5\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],

        ["\xE3\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x95"],
        ["\xB5\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],

        ["\xB7\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xBF"],
        ["\x87\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],

        ["\xE3\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x96"],
        ["\xB5\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],

        ["\xE3\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x97"],
        ["\xB5\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],

        ["\xB7\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xB8"],
        ["\x87\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xE6"],

        ["\xE3\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x98"],
        ["\xB5\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],

        ["\xB7\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCE"],
        ["\x87\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],

        ["\xE3\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x99"],
        ["\xB5\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],

        ["\xB7\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCB"],
        ["\x87\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xE9"],

        ["\xE3\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x9A"],
        ["\xB5\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],

        ["\xB7\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xCC"],
        ["\x87\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],

        ["\xE3\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x9D"],
        ["\xB5\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCA"],

        ["\xE3\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x9E"],
        ["\xB5\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCB"],

        ["\xE3\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x9F"],
        ["\xB5\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCC"],

        ["\xE3\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA2"],
        ["\xB5\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCD"],

        ["\xE3\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],
        ["\xB5\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCE"],

        ["\xE3\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],
        ["\xB5\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCF"],

        ["\xE3\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA5"],
        ["\xB5\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],

        ["\xE3\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],
        ["\xB5\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],

        ["\xB7\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDF"],
        ["\x87\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xF3"],

        ["\xB7\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xDE"],
        ["\x87\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xF2"],

        ["\xE3\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],
        ["\xB5\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],

        ["\xE3\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA8"],
        ["\xB5\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],

        ["\xB7\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xFE"],
        ["\x87\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],

        ["\xB7\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x87\xED"],
        ["\x87\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB7\xF7"],

        ["\xE3\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA9"],
        ["\xB5\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],

        ["\xE3\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAA"],
        ["\xB5\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],

        ["\xE3\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAC"],
        ["\xB5\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],

        ["\xE3\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],
        ["\xB5\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],

        ["\xE3\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAE"],
        ["\xB5\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],

        ["\xB8\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x44"],
        ["\x88\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],

        ["\xE3\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAF"],
        ["\xB5\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],

        ["\xE3\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],
        ["\xB5\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDA"],

        ["\xE3\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],
        ["\xB5\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDB"],

        ["\xE3\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],
        ["\xB5\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDC"],

        ["\xE3\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],
        ["\xB5\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDD"],

        ["\xE3\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],
        ["\xB5\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDE"],

        ["\xE3\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBF"],
        ["\xB5\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDF"],

        ["\xB8\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x54"],
        ["\x88\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],

        ["\xE3\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB2"],
        ["\xB5\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],

        ["\xB8\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x53"],
        ["\x88\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],

        ["\xE3\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB3"],
        ["\xB5\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],

        ["\xB8\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x55"],
        ["\x88\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],

        ["\xE3\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB4"],
        ["\xB5\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],

        ["\xB8\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x83"],
        ["\x88\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],

        ["\xE3\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB5"],
        ["\xB5\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],

        ["\xE3\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB6"],
        ["\xB5\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],

        ["\xE3\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB7"],
        ["\xB5\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],

        ["\xE3\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB8"],
        ["\xB5\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],

        ["\xB8\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x8D"],
        ["\x88\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],

        ["\xB8\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x88\x8E"],
        ["\x88\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],

        ["\xE3\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB9"],
        ["\xB5\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],

        ["\xE3\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],
        ["\xB5\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],

        ["\xE3\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCB"],
        ["\xB5\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],

        ["\xE3\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],
        ["\xB5\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEA"],

        ["\xE3\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCD"],
        ["\xB5\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEB"],

        ["\xE3\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],
        ["\xB5\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],

        ["\xE3\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],
        ["\xB5\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],

        ["\xE3\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],
        ["\xB5\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEE"],

        ["\xE3\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDB"],
        ["\xB5\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEF"],

        ["\xE3\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],
        ["\xB5\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],

        ["\xE3\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDD"],
        ["\xB5\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],

        ["\xE3\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDE"],
        ["\xB5\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],

        ["\xE3\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],
        ["\xB5\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],

        ["\xE3\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],
        ["\xB5\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],

        ["\xBA\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x89"],
        ["\x8A\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xB9"],

        ["\xB2\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\x47"],
        ["\x82\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],

        ["\xBA\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x8F"],
        ["\x8A\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xBE"],

        ["\xE3\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],
        ["\xB5\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],

        ["\xE3\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],
        ["\xB5\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],

        ["\xE3\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xED"],
        ["\xB5\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],

        ["\xE3\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],
        ["\xB5\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],

        ["\xE3\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEF"],
        ["\xB5\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],

        ["\xE3\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],
        ["\xB5\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],

        ["\xE3\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],
        ["\xB5\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xFB"],

        ["\xE3\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFC"],
        ["\xB5\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xFC"],

        ["\xE3\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFD"],
        ["\xB5\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xFD"],

        ["\xE3\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFE"],
        ["\xB5\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xFE"],

        ["\xBA\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDA"],
        ["\x8A\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xEE"],

        ["\xE4\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x41"],
        ["\xB6\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],

        ["\xE4\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x42"],
        ["\xB6\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2"],

        ["\xE4\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x43"],
        ["\xB6\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA3"],

        ["\xBA\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDF"],
        ["\x8A\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xF3"],

        ["\xE4\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x44"],
        ["\xB6\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA4"],

        ["\xBA\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xDD"],
        ["\x8A\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xF1"],

        ["\xBA\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xEE"],
        ["\x8A\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xF8"],

        ["\xBA\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xEA"],
        ["\x8A\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xF4"],

        ["\xBA\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\xED"],
        ["\x8A\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xF7"],

        ["\xE4\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x45"],
        ["\xB6\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA5"],

        ["\xE4\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x46"],
        ["\xB6\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6"],

        ["\xE4\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x47"],
        ["\xB6\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7"],

        ["\xBB\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x44"],
        ["\x8C\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xA4"],

        ["\xE4\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x48"],
        ["\xB6\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8"],

        ["\xE4\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x49"],
        ["\xB6\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA9"],

        ["\xE4\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x51"],
        ["\xB6\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA"],

        ["\xE4\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x52"],
        ["\xB6\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],

        ["\xB4\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xAA"],
        ["\x84\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xD5"],

        ["\xE4\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x53"],
        ["\xB6\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC"],

        ["\xE4\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x54"],
        ["\xB6\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAD"],

        ["\xE4\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x55"],
        ["\xB6\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAE"],

        ["\xBB\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x93"],
        ["\x8C\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xC2"],

        ["\xBB\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x8F"],
        ["\x8C\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xBE"],

        ["\xE4\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x56"],
        ["\xB6\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF"],

        ["\xE4\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x58"],
        ["\xB6\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],

        ["\xE4\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x81"],
        ["\xB6\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB1"],

        ["\xE4\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x82"],
        ["\xB6\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB2"],

        ["\xE4\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x83"],
        ["\xB6\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3"],

        ["\xE4\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x84"],
        ["\xB6\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4"],

        ["\xE4\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x85"],
        ["\xB6\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5"],

        ["\xBB\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x9E"],
        ["\x8C\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xCB"],

        ["\xBB\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\x9F"],
        ["\x8C\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xCC"],

        ["\xE4\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x86"],
        ["\xB6\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB6"],

        ["\xBB\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xA2"],
        ["\x8C\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xCD"],

        ["\xE4\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x87"],
        ["\xB6\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB7"],

        ["\xE4\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x88"],
        ["\xB6\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8"],

        ["\xE4\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x89"],
        ["\xB6\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9"],

        ["\xE4\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x8A"],
        ["\xB6\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA"],

        ["\xE4\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x8C"],
        ["\xB6\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB"],

        ["\xBB\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xBF"],
        ["\x8C\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xDF"],

        ["\xE4\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x8D"],
        ["\xB6\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC"],

        ["\xE4\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x8E"],
        ["\xB6\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD"],

        ["\xBB\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xCB"],
        ["\x8C\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xE9"],

        ["\xBB\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB9"],
        ["\x8C\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xE7"],

        ["\xE4\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x8F"],
        ["\xB6\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],

        ["\xBB\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xB8"],
        ["\x8C\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xE6"],

        ["\xBB\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xCA"],
        ["\x8C\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xE8"],

        ["\xE4\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x90"],
        ["\xB6\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],

        ["\xBB\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xDC"],
        ["\x8C\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xF0"],

        ["\xE4\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x91"],
        ["\xB6\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],

        ["\xBB\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xDD"],
        ["\x8C\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xF1"],

        ["\xE4\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x92"],
        ["\xB6\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],

        ["\xE4\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x93"],
        ["\xB6\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],

        ["\xE4\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x94"],
        ["\xB6\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],

        ["\xE4\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x95"],
        ["\xB6\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],

        ["\xBB\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8C\xFD"],
        ["\x8C\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBB\xFD"],

        ["\xE4\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x96"],
        ["\xB6\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],

        ["\xBC\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x45"],
        ["\x8D\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xA5"],

        ["\xBC\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x46"],
        ["\x8D\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xA6"],

        ["\xE4\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x97"],
        ["\xB6\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],

        ["\xE4\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x98"],
        ["\xB6\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],

        ["\xE4\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x99"],
        ["\xB6\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],

        ["\xE4\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x9A"],
        ["\xB6\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],

        ["\xE4\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x9D"],
        ["\xB6\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],

        ["\xE4\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x9E"],
        ["\xB6\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],

        ["\xE4\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x9F"],
        ["\xB6\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],

        ["\xBC\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x53"],
        ["\x8D\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xAC"],

        ["\xE4\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],
        ["\xB6\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCD"],

        ["\xBE\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x87"],
        ["\x8F\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xB7"],

        ["\xE4\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA3"],
        ["\xB6\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCE"],

        ["\xE4\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],
        ["\xB6\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCF"],

        ["\xE4\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],
        ["\xB6\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],

        ["\xE4\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA6"],
        ["\xB6\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],

        ["\xE4\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA7"],
        ["\xB6\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],

        ["\xE4\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],
        ["\xB6\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],

        ["\xBA\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x8C"],
        ["\x8A\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xBB"],

        ["\xE4\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],
        ["\xB6\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],

        ["\xE4\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAA"],
        ["\xB6\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],

        ["\xE4\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],
        ["\xB6\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],

        ["\xBC\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x89"],
        ["\x8D\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xB9"],

        ["\xBC\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x8E"],
        ["\x8D\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xBD"],

        ["\xE4\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],
        ["\xB6\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],

        ["\xE4\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],
        ["\xB6\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],

        ["\xE4\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAF"],
        ["\xB6\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],

        ["\xE4\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBA"],
        ["\xB6\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDA"],

        ["\xE4\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],
        ["\xB6\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDB"],

        ["\xBC\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x95"],
        ["\x8D\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xC4"],

        ["\xE4\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],
        ["\xB6\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDC"],

        ["\xE4\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],
        ["\xB6\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDD"],

        ["\xE4\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],
        ["\xB6\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDE"],

        ["\xE4\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBF"],
        ["\xB6\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDF"],

        ["\xE4\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],
        ["\xB6\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],

        ["\xE4\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],
        ["\xB6\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE1"],

        ["\xE4\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],
        ["\xB6\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],

        ["\xBA\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8A\x8D"],
        ["\x8A\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBA\xBC"],

        ["\xE4\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB5"],
        ["\xB6\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],

        ["\xE4\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB6"],
        ["\xB6\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],

        ["\xE4\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB7"],
        ["\xB6\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],

        ["\xE4\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB8"],
        ["\xB6\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],

        ["\xBC\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xA8"],
        ["\x8D\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xD3"],

        ["\xE4\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB9"],
        ["\xB6\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],

        ["\xBC\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xAA"],
        ["\x8D\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xD5"],

        ["\xE4\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCA"],
        ["\xB6\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],

        ["\xE4\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCB"],
        ["\xB6\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],

        ["\xE4\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],
        ["\xB6\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEA"],

        ["\xE4\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCD"],
        ["\xB6\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEB"],

        ["\xE4\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCE"],
        ["\xB6\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEC"],

        ["\xBC\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xAE"],
        ["\x8D\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xD8"],

        ["\xE4\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],
        ["\xB6\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xED"],

        ["\xE4\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],
        ["\xB6\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEE"],

        ["\xE4\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDB"],
        ["\xB6\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEF"],

        ["\xE4\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDC"],
        ["\xB6\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],

        ["\xE4\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDD"],
        ["\xB6\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],

        ["\xE4\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],
        ["\xB6\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],

        ["\xE4\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDF"],
        ["\xB6\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],

        ["\xBC\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xB3"],
        ["\x8D\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xE1"],

        ["\xE4\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEA"],
        ["\xB6\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],

        ["\xE4\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],
        ["\xB6\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],

        ["\xE4\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],
        ["\xB6\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],

        ["\xE4\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],
        ["\xB6\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],

        ["\xBC\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xCA"],
        ["\x8D\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xE8"],

        ["\xE4\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],
        ["\xB6\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],

        ["\xE4\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEF"],
        ["\xB6\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],

        ["\xBC\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xCC"],
        ["\x8D\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xEA"],

        ["\xE4\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],
        ["\xB6\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xFA"],

        ["\xE4\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFB"],
        ["\xB6\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xFB"],

        ["\xE4\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFC"],
        ["\xB6\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xFC"],

        ["\xE4\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],
        ["\xB6\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xFD"],

        ["\xE4\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],
        ["\xB6\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xFE"],

        ["\xE5\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x41"],
        ["\xB7\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],

        ["\xE5\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x42"],
        ["\xB7\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2"],

        ["\xE5\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x43"],
        ["\xB7\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3"],

        ["\xBC\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\xEF"],
        ["\x8D\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xF9"],

        ["\xE5\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x44"],
        ["\xB7\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4"],

        ["\xE5\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x45"],
        ["\xB7\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5"],

        ["\xE5\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x46"],
        ["\xB7\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6"],

        ["\xE5\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x47"],
        ["\xB7\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7"],

        ["\xE5\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x48"],
        ["\xB7\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8"],

        ["\xE5\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x49"],
        ["\xB7\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9"],

        ["\xBD\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x51"],
        ["\x8E\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xAA"],

        ["\xBD\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x53"],
        ["\x8E\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xAC"],

        ["\xE5\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x51"],
        ["\xB7\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA"],

        ["\xE5\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x52"],
        ["\xB7\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],

        ["\xE5\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x53"],
        ["\xB7\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC"],

        ["\xBD\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x83"],
        ["\x8E\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xB3"],

        ["\xBD\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x88"],
        ["\x8E\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xB8"],

        ["\xE5\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x54"],
        ["\xB7\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD"],

        ["\xBD\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x89"],
        ["\x8E\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xB9"],

        ["\xBD\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x8C"],
        ["\x8E\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xBB"],

        ["\xBD\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\x97"],
        ["\x8E\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xC6"],

        ["\xE5\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x55"],
        ["\xB7\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE"],

        ["\xBD\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA2"],
        ["\x8E\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xCD"],

        ["\xBD\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xA3"],
        ["\x8E\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xCE"],

        ["\xE5\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x56"],
        ["\xB7\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF"],

        ["\xE5\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x58"],
        ["\xB7\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],

        ["\xE5\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x81"],
        ["\xB7\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1"],

        ["\xBD\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xBD"],
        ["\x8E\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xDD"],

        ["\xE5\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x82"],
        ["\xB7\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],

        ["\xE5\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x83"],
        ["\xB7\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3"],

        ["\xE5\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x84"],
        ["\xB7\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4"],

        ["\xBD\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xCB"],
        ["\x8E\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xE9"],

        ["\xBD\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xCC"],
        ["\x8E\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xEA"],

        ["\xE5\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x85"],
        ["\xB7\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5"],

        ["\xE5\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x86"],
        ["\xB7\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6"],

        ["\xE5\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x87"],
        ["\xB7\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7"],

        ["\xE5\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x88"],
        ["\xB7\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8"],

        ["\xE5\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x89"],
        ["\xB7\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9"],

        ["\xBD\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDD"],
        ["\x8E\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xF1"],

        ["\xE5\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x8A"],
        ["\xB7\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA"],

        ["\xE5\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x8C"],
        ["\xB7\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB"],

        ["\xBD\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xFE"],
        ["\x8E\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xFE"],

        ["\xBE\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x43"],
        ["\x8F\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xA3"],

        ["\xE5\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x8D"],
        ["\xB7\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC"],

        ["\xE5\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x8E"],
        ["\xB7\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD"],

        ["\xE5\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x8F"],
        ["\xB7\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE"],

        ["\xE5\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x90"],
        ["\xB7\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF"],

        ["\xE5\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x91"],
        ["\xB7\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],

        ["\xBE\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x89"],
        ["\x8F\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xB9"],

        ["\xE5\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x92"],
        ["\xB7\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],

        ["\xE5\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x93"],
        ["\xB7\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],

        ["\xE5\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x94"],
        ["\xB7\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],

        ["\xE5\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x95"],
        ["\xB7\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],

        ["\xE5\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x96"],
        ["\xB7\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],

        ["\xBE\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x94"],
        ["\x8F\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xC3"],

        ["\xE5\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x97"],
        ["\xB7\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],

        ["\xE5\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x98"],
        ["\xB7\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],

        ["\xBE\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\x98"],
        ["\x8F\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xC7"],

        ["\xE5\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x99"],
        ["\xB7\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],

        ["\xE5\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x9A"],
        ["\xB7\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],

        ["\xE5\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x9D"],
        ["\xB7\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCA"],

        ["\xE5\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x9E"],
        ["\xB7\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCB"],

        ["\xBE\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xAD"],
        ["\x8F\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xD7"],

        ["\xE5\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x9F"],
        ["\xB7\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCC"],

        ["\xE5\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA2"],
        ["\xB7\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCD"],

        ["\xE5\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],
        ["\xB7\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCE"],

        ["\xE5\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA4"],
        ["\xB7\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCF"],

        ["\xE5\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA5"],
        ["\xB7\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],

        ["\xE5\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],
        ["\xB7\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],

        ["\xE5\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA7"],
        ["\xB7\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],

        ["\xE5\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],
        ["\xB7\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],

        ["\xE5\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA9"],
        ["\xB7\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],

        ["\xE5\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAA"],
        ["\xB7\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],

        ["\xBE\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xBB"],
        ["\x8F\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xDB"],

        ["\xE5\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAC"],
        ["\xB7\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],

        ["\xE5\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAD"],
        ["\xB7\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],

        ["\xBE\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xB2"],
        ["\x8F\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xE0"],

        ["\xE5\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],
        ["\xB7\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],

        ["\xE5\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],
        ["\xB7\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],

        ["\xE5\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],
        ["\xB7\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDA"],

        ["\xE5\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBB"],
        ["\xB7\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDB"],

        ["\xE5\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBC"],
        ["\xB7\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDC"],

        ["\xE5\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBD"],
        ["\xB7\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDD"],

        ["\xE5\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBE"],
        ["\xB7\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDE"],

        ["\xE5\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBF"],
        ["\xB7\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDF"],

        ["\xBE\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCF"],
        ["\x8F\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xED"],

        ["\xE5\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],
        ["\xB7\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],

        ["\xE5\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],
        ["\xB7\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE1"],

        ["\xE5\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],
        ["\xB7\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],

        ["\xB4\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x84\xEF"],
        ["\x84\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB4\xF9"],

        ["\xE5\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB5"],
        ["\xB7\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],

        ["\xE5\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],
        ["\xB7\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],

        ["\xE5\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],
        ["\xB7\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],

        ["\xE5\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],
        ["\xB7\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],

        ["\xE5\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB9"],
        ["\xB7\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],

        ["\xE5\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCA"],
        ["\xB7\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],

        ["\xE5\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],
        ["\xB7\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],

        ["\xE5\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCC"],
        ["\xB7\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEA"],

        ["\xE5\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCD"],
        ["\xB7\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEB"],

        ["\xBE\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xFB"],
        ["\x8F\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xFB"],

        ["\xE5\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],
        ["\xB7\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEC"],

        ["\xE5\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],
        ["\xB7\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xED"],

        ["\xE5\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDA"],
        ["\xB7\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEE"],

        ["\xBF\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x45"],
        ["\x90\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xA5"],

        ["\xE5\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],
        ["\xB7\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],

        ["\xBF\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x43"],
        ["\x90\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xA3"],

        ["\xE5\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],
        ["\xB7\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],

        ["\xE5\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDD"],
        ["\xB7\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],

        ["\xE5\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],
        ["\xB7\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],

        ["\xE5\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],
        ["\xB7\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],

        ["\xE5\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],
        ["\xB7\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],

        ["\xE5\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],
        ["\xB7\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],

        ["\xE5\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],
        ["\xB7\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],

        ["\xE5\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xED"],
        ["\xB7\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],

        ["\xE5\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],
        ["\xB7\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],

        ["\xBF\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x53"],
        ["\x90\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xAC"],

        ["\xBF\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x81"],
        ["\x90\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xB1"],

        ["\xE5\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],
        ["\xB7\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],

        ["\xE5\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFA"],
        ["\xB7\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xFA"],

        ["\xBF\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x51"],
        ["\x90\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xAA"],

        ["\xE5\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],
        ["\xB7\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xFB"],

        ["\xE5\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFC"],
        ["\xB7\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xFC"],

        ["\xE5\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],
        ["\xB7\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xFD"],

        ["\xE5\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],
        ["\xB7\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xFE"],

        ["\xE6\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x41"],
        ["\xB8\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],

        ["\xE6\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x42"],
        ["\xB8\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2"],

        ["\xBF\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x96"],
        ["\x90\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xC5"],

        ["\xE6\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x43"],
        ["\xB8\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3"],

        ["\xE6\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x44"],
        ["\xB8\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4"],

        ["\xE6\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x45"],
        ["\xB8\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5"],

        ["\xE6\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x46"],
        ["\xB8\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],

        ["\xE6\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x47"],
        ["\xB8\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],

        ["\xE6\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x48"],
        ["\xB8\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],

        ["\xE6\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x49"],
        ["\xB8\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],

        ["\xE6\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x51"],
        ["\xB8\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA"],

        ["\xE6\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x52"],
        ["\xB8\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],

        ["\xBF\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x9F"],
        ["\x90\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xCC"],

        ["\xB9\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x89\xFA"],
        ["\x89\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],

        ["\xE6\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x53"],
        ["\xB8\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],

        ["\xBF\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\x9D"],
        ["\x90\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xCA"],

        ["\xE6\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x54"],
        ["\xB8\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD"],

        ["\xE6\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x55"],
        ["\xB8\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],

        ["\xE6\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x56"],
        ["\xB8\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],

        ["\xE6\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x58"],
        ["\xB8\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],

        ["\xBF\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xA7"],
        ["\x90\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xD2"],

        ["\xE6\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x81"],
        ["\xB8\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1"],

        ["\xE6\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x82"],
        ["\xB8\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2"],

        ["\xE6\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x83"],
        ["\xB8\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],

        ["\xE6\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x84"],
        ["\xB8\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],

        ["\xE6\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x85"],
        ["\xB8\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],

        ["\xE6\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x86"],
        ["\xB8\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6"],

        ["\xE6\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x87"],
        ["\xB8\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7"],

        ["\xBF\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xBB"],
        ["\x90\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xDB"],

        ["\xE6\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x88"],
        ["\xB8\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],

        ["\xE6\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x89"],
        ["\xB8\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],

        ["\xE6\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x8A"],
        ["\xB8\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],

        ["\xBF\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xBF"],
        ["\x90\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xDF"],

        ["\xE6\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x8C"],
        ["\xB8\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB"],

        ["\xE6\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x8D"],
        ["\xB8\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC"],

        ["\xE6\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x8E"],
        ["\xB8\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD"],

        ["\xBF\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCA"],
        ["\x90\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xE8"],

        ["\xE6\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x8F"],
        ["\xB8\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE"],

        ["\xE6\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x90"],
        ["\xB8\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF"],

        ["\xE6\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x91"],
        ["\xB8\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],

        ["\xE6\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x92"],
        ["\xB8\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],

        ["\xE6\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x93"],
        ["\xB8\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],

        ["\xE6\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x94"],
        ["\xB8\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],

        ["\xE6\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x95"],
        ["\xB8\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],

        ["\xBF\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xCB"],
        ["\x90\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xE9"],

        ["\xE6\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x96"],
        ["\xB8\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],

        ["\xE6\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x97"],
        ["\xB8\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],

        ["\xE6\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x98"],
        ["\xB8\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],

        ["\xE6\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x99"],
        ["\xB8\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],

        ["\xBF\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xFA"],
        ["\x90\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xFA"],

        ["\xBF\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x90\xDE"],
        ["\x90\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBF\xF2"],

        ["\xE6\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x9A"],
        ["\xB8\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],

        ["\xE6\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x9D"],
        ["\xB8\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCA"],

        ["\xE6\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x9E"],
        ["\xB8\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCB"],

        ["\xE6\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x9F"],
        ["\xB8\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCC"],

        ["\xE6\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],
        ["\xB8\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCD"],

        ["\xE6\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA3"],
        ["\xB8\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCE"],

        ["\xC0\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x47"],
        ["\x91\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xA7"],

        ["\xE6\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],
        ["\xB8\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],

        ["\xE6\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA5"],
        ["\xB8\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],

        ["\xE6\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA6"],
        ["\xB8\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],

        ["\xE6\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA7"],
        ["\xB8\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],

        ["\xC0\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x52"],
        ["\x91\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],

        ["\xC0\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x49"],
        ["\x91\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xA9"],

        ["\xE6\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA8"],
        ["\xB8\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],

        ["\xE6\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA9"],
        ["\xB8\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],

        ["\xE6\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAA"],
        ["\xB8\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],

        ["\xE6\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],
        ["\xB8\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],

        ["\xE6\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],
        ["\xB8\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],

        ["\xE6\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],
        ["\xB8\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],

        ["\xC0\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x82"],
        ["\x91\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xB2"],

        ["\xC0\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x81"],
        ["\x91\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xB1"],

        ["\xE6\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAF"],
        ["\xB8\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],

        ["\xE6\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBA"],
        ["\xB8\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],

        ["\xE6\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBB"],
        ["\xB8\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],

        ["\xC0\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x85"],
        ["\x91\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xB5"],

        ["\xC0\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x8C"],
        ["\x91\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xBB"],

        ["\xC0\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\x8F"],
        ["\x91\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xBE"],

        ["\xE6\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],
        ["\xB8\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],

        ["\xE6\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],
        ["\xB8\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],

        ["\xE6\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBE"],
        ["\xB8\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDE"],

        ["\xE6\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBF"],
        ["\xB8\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDF"],

        ["\xE6\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB2"],
        ["\xB8\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],

        ["\xE6\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],
        ["\xB8\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE1"],

        ["\xE6\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],
        ["\xB8\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],

        ["\xE6\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB5"],
        ["\xB8\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],

        ["\xE6\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB6"],
        ["\xB8\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],

        ["\xE6\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB7"],
        ["\xB8\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],

        ["\xE6\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB8"],
        ["\xB8\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],

        ["\xD1\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x58"],
        ["\xA6\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],

        ["\xE6\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],
        ["\xB8\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],

        ["\xE6\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],
        ["\xB8\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],

        ["\xC0\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xA7"],
        ["\x91\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],

        ["\xBC\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8D\x9A"],
        ["\x8D\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBC\xC9"],

        ["\xD3\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB4"],
        ["\xA8\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],

        ["\xE6\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCB"],
        ["\xB8\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],

        ["\xE6\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],
        ["\xB8\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEA"],

        ["\xE6\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],
        ["\xB8\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEB"],

        ["\xC0\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xAC"],
        ["\x91\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],

        ["\xE6\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCE"],
        ["\xB8\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEC"],

        ["\xE6\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCF"],
        ["\xB8\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xED"],

        ["\xE6\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDA"],
        ["\xB8\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEE"],

        ["\xC0\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xBD"],
        ["\x91\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xDD"],

        ["\xE6\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDB"],
        ["\xB8\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],

        ["\xE6\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDC"],
        ["\xB8\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],

        ["\xE6\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDD"],
        ["\xB8\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],

        ["\xC0\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xB9"],
        ["\x91\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],

        ["\xE6\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDE"],
        ["\xB8\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],

        ["\xC0\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xCC"],
        ["\x91\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xEA"],

        ["\xE6\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDF"],
        ["\xB8\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],

        ["\xC0\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xDC"],
        ["\x91\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],

        ["\xE6\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEA"],
        ["\xB8\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],

        ["\xE6\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],
        ["\xB8\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],

        ["\xE6\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],
        ["\xB8\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],

        ["\xE6\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xED"],
        ["\xB8\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],

        ["\xC0\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xFB"],
        ["\x91\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xFB"],

        ["\xE6\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEE"],
        ["\xB8\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],

        ["\xC0\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x91\xFA"],
        ["\x91\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC0\xFA"],

        ["\xC1\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x42"],
        ["\x92\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xA2"],

        ["\xE6\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEF"],
        ["\xB8\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],

        ["\xE6\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFA"],
        ["\xB8\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xFA"],

        ["\xC1\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x82"],
        ["\x92\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xB2"],

        ["\xC1\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x49"],
        ["\x92\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xA9"],

        ["\xE6\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],
        ["\xB8\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xFB"],

        ["\xE6\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFC"],
        ["\xB8\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xFC"],

        ["\xC1\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x55"],
        ["\x92\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xAE"],

        ["\xE6\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFD"],
        ["\xB8\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xFD"],

        ["\xE6\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],
        ["\xB8\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xFE"],

        ["\xC1\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x52"],
        ["\x92\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],

        ["\xE7\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x41"],
        ["\xB9\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],

        ["\xE7\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x42"],
        ["\xB9\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2"],

        ["\xE7\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x43"],
        ["\xB9\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3"],

        ["\xC1\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x95"],
        ["\x92\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],

        ["\xE7\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x44"],
        ["\xB9\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4"],

        ["\xE7\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x45"],
        ["\xB9\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5"],

        ["\xE7\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x46"],
        ["\xB9\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6"],

        ["\xE7\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x47"],
        ["\xB9\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7"],

        ["\xE7\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x48"],
        ["\xB9\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8"],

        ["\xE7\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x49"],
        ["\xB9\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9"],

        ["\xE7\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x51"],
        ["\xB9\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],

        ["\xE7\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x52"],
        ["\xB9\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],

        ["\xE7\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x53"],
        ["\xB9\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC"],

        ["\xE7\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x54"],
        ["\xB9\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD"],

        ["\xE7\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x55"],
        ["\xB9\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE"],

        ["\xE7\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x56"],
        ["\xB9\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],

        ["\xE7\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x58"],
        ["\xB9\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],

        ["\xE7\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x81"],
        ["\xB9\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],

        ["\xE7\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x82"],
        ["\xB9\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],

        ["\xE7\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x83"],
        ["\xB9\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],

        ["\xC1\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\x9E"],
        ["\x92\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xCB"],

        ["\xC1\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xBB"],
        ["\x92\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xDB"],

        ["\xE7\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x84"],
        ["\xB9\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],

        ["\xC1\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA4"],
        ["\x92\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xCF"],

        ["\xC1\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xA8"],
        ["\x92\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],

        ["\xE7\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x85"],
        ["\xB9\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],

        ["\xC1\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB3"],
        ["\x92\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xE1"],

        ["\xE7\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x86"],
        ["\xB9\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],

        ["\xE7\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x87"],
        ["\xB9\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],

        ["\xE7\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x88"],
        ["\xB9\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],

        ["\xE7\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x89"],
        ["\xB9\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],

        ["\xE7\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x8A"],
        ["\xB9\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],

        ["\xE7\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x8C"],
        ["\xB9\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],

        ["\xE7\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x8D"],
        ["\xB9\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],

        ["\xE7\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x8E"],
        ["\xB9\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],

        ["\xE7\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x8F"],
        ["\xB9\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],

        ["\xC1\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xCA"],
        ["\x92\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],

        ["\xC1\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xCC"],
        ["\x92\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xEA"],

        ["\xE7\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x90"],
        ["\xB9\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],

        ["\xC1\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xDB"],
        ["\x92\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xEF"],

        ["\xC1\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xB8"],
        ["\x92\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],

        ["\xE7\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x91"],
        ["\xB9\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],

        ["\xE7\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x92"],
        ["\xB9\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],

        ["\xE7\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x93"],
        ["\xB9\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],

        ["\xE7\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x94"],
        ["\xB9\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],

        ["\xC1\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x92\xFE"],
        ["\x92\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC1\xFE"],

        ["\xE7\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x95"],
        ["\xB9\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],

        ["\xE7\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x96"],
        ["\xB9\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],

        ["\xE7\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x97"],
        ["\xB9\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],

        ["\xE7\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x98"],
        ["\xB9\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],

        ["\xC2\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x86"],
        ["\x93\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],

        ["\xE7\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x99"],
        ["\xB9\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],

        ["\xE7\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x9A"],
        ["\xB9\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],

        ["\xE7\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x9D"],
        ["\xB9\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],

        ["\xE7\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x9E"],
        ["\xB9\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],

        ["\xE7\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x9F"],
        ["\xB9\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],

        ["\xE7\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA2"],
        ["\xB9\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCD"],

        ["\xC2\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x87"],
        ["\x93\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB7"],

        ["\xE7\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA3"],
        ["\xB9\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCE"],

        ["\xE7\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],
        ["\xB9\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCF"],

        ["\xE7\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],
        ["\xB9\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],

        ["\xE7\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA6"],
        ["\xB9\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],

        ["\xE7\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA7"],
        ["\xB9\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],

        ["\xE7\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA8"],
        ["\xB9\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],

        ["\xE7\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],
        ["\xB9\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],

        ["\xC2\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA9"],
        ["\x93\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],

        ["\xC2\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x94"],
        ["\x93\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],

        ["\xC2\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xA5"],
        ["\x93\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],

        ["\xE7\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAA"],
        ["\xB9\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],

        ["\xE7\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAC"],
        ["\xB9\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],

        ["\xE7\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAD"],
        ["\xB9\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],

        ["\xC2\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xB2"],
        ["\x93\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],

        ["\xE7\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAE"],
        ["\xB9\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],

        ["\xE7\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAF"],
        ["\xB9\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],

        ["\xE7\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],
        ["\xB9\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDA"],

        ["\xC2\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xCA"],
        ["\x93\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],

        ["\xE7\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBB"],
        ["\xB9\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDB"],

        ["\xE7\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBC"],
        ["\xB9\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDC"],

        ["\xE7\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],
        ["\xB9\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDD"],

        ["\xE7\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBE"],
        ["\xB9\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDE"],

        ["\xE7\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBF"],
        ["\xB9\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDF"],

        ["\xE7\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB2"],
        ["\xB9\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],

        ["\xE7\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB3"],
        ["\xB9\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE1"],

        ["\xE7\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],
        ["\xB9\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],

        ["\xE7\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],
        ["\xB9\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],

        ["\xE7\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB6"],
        ["\xB9\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],

        ["\xC2\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xEA"],
        ["\x93\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],

        ["\xE7\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB7"],
        ["\xB9\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],

        ["\xE7\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB8"],
        ["\xB9\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],

        ["\xE7\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB9"],
        ["\xB9\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],

        ["\xE7\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCA"],
        ["\xB9\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],

        ["\xE7\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCB"],
        ["\xB9\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],

        ["\xE7\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCC"],
        ["\xB9\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEA"],

        ["\xE7\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],
        ["\xB9\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEB"],

        ["\xC2\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xED"],
        ["\x93\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],

        ["\xC2\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xEE"],
        ["\x93\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],

        ["\xC7\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xB2"],
        ["\x98\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],

        ["\xE7\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],
        ["\xB9\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEC"],

        ["\xE7\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCF"],
        ["\xB9\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xED"],

        ["\xE7\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],
        ["\xB9\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEE"],

        ["\xC2\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\xFA"],
        ["\x93\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xFA"],

        ["\xB3\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x83\xCD"],
        ["\x83\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],

        ["\xE7\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDB"],
        ["\xB9\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEF"],

        ["\xE7\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDC"],
        ["\xB9\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],

        ["\xE7\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],
        ["\xB9\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],

        ["\xE7\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDE"],
        ["\xB9\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],

        ["\xE7\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDF"],
        ["\xB9\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],

        ["\xE7\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEA"],
        ["\xB9\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],

        ["\xE7\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],
        ["\xB9\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],

        ["\xC3\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x43"],
        ["\x94\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA3"],

        ["\xC3\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x41"],
        ["\x94\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],

        ["\xE7\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEC"],
        ["\xB9\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],

        ["\xE7\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xED"],
        ["\xB9\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],

        ["\xC3\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x53"],
        ["\x94\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],

        ["\xE7\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEE"],
        ["\xB9\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],

        ["\xE7\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEF"],
        ["\xB9\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],

        ["\xE7\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],
        ["\xB9\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xFA"],

        ["\xC3\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x82"],
        ["\x94\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],

        ["\xC3\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x55"],
        ["\x94\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],

        ["\xE7\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFB"],
        ["\xB9\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xFB"],

        ["\xBD\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8E\xDF"],
        ["\x8E\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBD\xF3"],

        ["\xE7\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFC"],
        ["\xB9\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xFC"],

        ["\xE7\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFD"],
        ["\xB9\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xFD"],

        ["\xE7\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFE"],
        ["\xB9\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xFE"],

        ["\xE8\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x41"],
        ["\xCA\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],

        ["\xC3\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x99"],
        ["\x94\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],

        ["\xE8\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x42"],
        ["\xCA\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2"],

        ["\xC3\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\x9D"],
        ["\x94\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xCA"],

        ["\xE8\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x43"],
        ["\xCA\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3"],

        ["\xE8\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x44"],
        ["\xCA\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4"],

        ["\xE8\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x45"],
        ["\xCA\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5"],

        ["\xE8\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x46"],
        ["\xCA\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6"],

        ["\xE8\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x47"],
        ["\xCA\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7"],

        ["\xE8\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x48"],
        ["\xCA\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8"],

        ["\xE8\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x49"],
        ["\xCA\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9"],

        ["\xE8\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x51"],
        ["\xCA\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],

        ["\xE8\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x52"],
        ["\xCA\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],

        ["\xE8\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x53"],
        ["\xCA\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC"],

        ["\xE8\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x54"],
        ["\xCA\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD"],

        ["\xE8\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x55"],
        ["\xCA\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],

        ["\xE8\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x56"],
        ["\xCA\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAF"],

        ["\xE8\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x58"],
        ["\xCA\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],

        ["\xE8\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x81"],
        ["\xCA\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1"],

        ["\xE8\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x82"],
        ["\xCA\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],

        ["\xE8\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x83"],
        ["\xCA\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3"],

        ["\xC9\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xDC"],
        ["\x9A\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],

        ["\xE8\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x84"],
        ["\xCA\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4"],

        ["\xE8\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x85"],
        ["\xCA\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5"],

        ["\xC3\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB5"],
        ["\x94\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],

        ["\xE8\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x86"],
        ["\xCA\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6"],

        ["\xE8\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x87"],
        ["\xCA\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7"],

        ["\xE8\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x88"],
        ["\xCA\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],

        ["\xC3\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB6"],
        ["\x94\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],

        ["\xC3\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB7"],
        ["\x94\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],

        ["\xE8\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x89"],
        ["\xCA\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9"],

        ["\xE8\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8A"],
        ["\xCA\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA"],

        ["\xC3\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xB9"],
        ["\x94\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],

        ["\xC3\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xCA"],
        ["\x94\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],

        ["\xE8\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8C"],
        ["\xCA\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB"],

        ["\xE8\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8D"],
        ["\xCA\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC"],

        ["\xE8\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8E"],
        ["\xCA\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD"],

        ["\xC3\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDB"],
        ["\x94\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xEF"],

        ["\xE8\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8F"],
        ["\xCA\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE"],

        ["\xE8\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x90"],
        ["\xCA\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF"],

        ["\xE8\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x91"],
        ["\xCA\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],

        ["\xE8\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x92"],
        ["\xCA\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],

        ["\xE8\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x93"],
        ["\xCA\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],

        ["\xE8\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x94"],
        ["\xCA\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],

        ["\xE8\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x95"],
        ["\xCA\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],

        ["\xC3\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xDF"],
        ["\x94\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],

        ["\xE8\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x96"],
        ["\xCA\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],

        ["\xE8\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x97"],
        ["\xCA\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],

        ["\xCD\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA9"],
        ["\xA2\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xD4"],

        ["\xC3\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xEF"],
        ["\x94\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],

        ["\xE8\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x98"],
        ["\xCA\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],

        ["\xC3\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x94\xFC"],
        ["\x94\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xFC"],

        ["\xE8\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x99"],
        ["\xCA\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],

        ["\xE8\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x9A"],
        ["\xCA\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],

        ["\xC4\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x44"],
        ["\x95\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xA4"],

        ["\xE8\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x9D"],
        ["\xCA\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCA"],

        ["\xE8\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x9E"],
        ["\xCA\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCB"],

        ["\xE8\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x9F"],
        ["\xCA\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCC"],

        ["\xE8\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],
        ["\xCA\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCD"],

        ["\xE8\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA3"],
        ["\xCA\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCE"],

        ["\xC4\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x47"],
        ["\x95\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xA7"],

        ["\xC4\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x48"],
        ["\x95\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xA8"],

        ["\xE8\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA4"],
        ["\xCA\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCF"],

        ["\xE8\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],
        ["\xCA\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],

        ["\xC4\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x58"],
        ["\x95\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],

        ["\xC4\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x83"],
        ["\x95\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xB3"],

        ["\xC4\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x82"],
        ["\x95\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xB2"],

        ["\xE8\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],
        ["\xCA\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],

        ["\xE8\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA7"],
        ["\xCA\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],

        ["\xE8\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],
        ["\xCA\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],

        ["\xE8\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA9"],
        ["\xCA\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],

        ["\xC4\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x8C"],
        ["\x95\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xBB"],

        ["\xE8\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],
        ["\xCA\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],

        ["\xE8\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAC"],
        ["\xCA\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],

        ["\xC4\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x8E"],
        ["\x95\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],

        ["\xC4\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x89"],
        ["\x95\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xB9"],

        ["\xE8\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAD"],
        ["\xCA\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],

        ["\xE8\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAE"],
        ["\xCA\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],

        ["\xC4\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x95"],
        ["\x95\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],

        ["\xE8\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAF"],
        ["\xCA\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],

        ["\xC4\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\x9D"],
        ["\x95\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xCA"],

        ["\xC4\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA2"],
        ["\x95\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xCD"],

        ["\xC4\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xAC"],
        ["\x95\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],

        ["\xE8\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBA"],
        ["\xCA\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],

        ["\xC4\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xA9"],
        ["\x95\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],

        ["\xE8\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBB"],
        ["\xCA\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],

        ["\xE8\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBC"],
        ["\xCA\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDC"],

        ["\xE8\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBD"],
        ["\xCA\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDD"],

        ["\xE8\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBE"],
        ["\xCA\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDE"],

        ["\xC4\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xB9"],
        ["\x95\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],

        ["\xE8\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],
        ["\xCA\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDF"],

        ["\xC4\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xCD"],
        ["\x95\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xEB"],

        ["\xE8\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB2"],
        ["\xCA\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],

        ["\xE8\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB3"],
        ["\xCA\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE1"],

        ["\xE8\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB4"],
        ["\xCA\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],

        ["\xE8\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],
        ["\xCA\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],

        ["\xE8\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB6"],
        ["\xCA\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],

        ["\xE8\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],
        ["\xCA\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],

        ["\xC4\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xFA"],
        ["\x95\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xFA"],

        ["\xE8\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB8"],
        ["\xCA\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],

        ["\xE8\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB9"],
        ["\xCA\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],

        ["\xE8\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCA"],
        ["\xCA\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],

        ["\xE8\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCB"],
        ["\xCA\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],

        ["\xC4\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x95\xFD"],
        ["\x95\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xFD"],

        ["\xC5\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x45"],
        ["\x96\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA5"],

        ["\xE8\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCC"],
        ["\xCA\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEA"],

        ["\xE8\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCD"],
        ["\xCA\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],

        ["\xE8\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],
        ["\xCA\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],

        ["\xE8\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCF"],
        ["\xCA\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xED"],

        ["\xE8\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],
        ["\xCA\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEE"],

        ["\xE8\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],
        ["\xCA\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEF"],

        ["\xE8\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDC"],
        ["\xCA\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],

        ["\xE8\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],
        ["\xCA\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],

        ["\xE8\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDE"],
        ["\xCA\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],

        ["\xE8\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],
        ["\xCA\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],

        ["\xE8\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEA"],
        ["\xCA\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],

        ["\xE8\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEB"],
        ["\xCA\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],

        ["\xE8\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEC"],
        ["\xCA\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],

        ["\xE8\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xED"],
        ["\xCA\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],

        ["\xE8\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],
        ["\xCA\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],

        ["\xE8\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEF"],
        ["\xCA\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],

        ["\xE8\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFA"],
        ["\xCA\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],

        ["\xC5\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x56"],
        ["\x96\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],

        ["\xE8\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFB"],
        ["\xCA\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],

        ["\xE8\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFC"],
        ["\xCA\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xFC"],

        ["\xC5\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x58"],
        ["\x96\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],

        ["\xE8\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFD"],
        ["\xCA\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xFD"],

        ["\xE8\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFE"],
        ["\xCA\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xFE"],

        ["\xE9\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x41"],
        ["\xCB\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],

        ["\xC5\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x83"],
        ["\x96\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xB3"],

        ["\xE9\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x42"],
        ["\xCB\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2"],

        ["\xE9\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x43"],
        ["\xCB\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3"],

        ["\xC5\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x88"],
        ["\x96\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xB8"],

        ["\xC5\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x89"],
        ["\x96\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],

        ["\xE9\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x44"],
        ["\xCB\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4"],

        ["\xE9\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x45"],
        ["\xCB\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5"],

        ["\xE9\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x46"],
        ["\xCB\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6"],

        ["\xE9\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x47"],
        ["\xCB\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7"],

        ["\xE9\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x48"],
        ["\xCB\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8"],

        ["\xE9\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x49"],
        ["\xCB\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9"],

        ["\xE9\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x51"],
        ["\xCB\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA"],

        ["\xE9\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x52"],
        ["\xCB\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],

        ["\xC5\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x90"],
        ["\x96\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xBF"],

        ["\xE9\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x53"],
        ["\xCB\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC"],

        ["\xE9\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x54"],
        ["\xCB\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD"],

        ["\xE9\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x55"],
        ["\xCB\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE"],

        ["\xE9\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x56"],
        ["\xCB\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF"],

        ["\xE9\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x58"],
        ["\xCB\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],

        ["\xE9\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x81"],
        ["\xCB\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1"],

        ["\xE9\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x82"],
        ["\xCB\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB2"],

        ["\xE9\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x83"],
        ["\xCB\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3"],

        ["\xE9\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x84"],
        ["\xCB\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4"],

        ["\xE9\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x85"],
        ["\xCB\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5"],

        ["\xC5\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x96"],
        ["\x96\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],

        ["\xE9\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x86"],
        ["\xCB\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6"],

        ["\xE9\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x87"],
        ["\xCB\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7"],

        ["\xE9\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x88"],
        ["\xCB\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8"],

        ["\xE9\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x89"],
        ["\xCB\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9"],

        ["\xE9\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x8A"],
        ["\xCB\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA"],

        ["\xE9\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x8C"],
        ["\xCB\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB"],

        ["\xC5\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x98"],
        ["\x96\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],

        ["\xE9\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x8D"],
        ["\xCB\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC"],

        ["\xE9\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x8E"],
        ["\xCB\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD"],

        ["\xE9\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x8F"],
        ["\xCB\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE"],

        ["\xC5\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x9A"],
        ["\x96\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],

        ["\xE9\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x90"],
        ["\xCB\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBF"],

        ["\xE9\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x91"],
        ["\xCB\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],

        ["\xC5\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\x9E"],
        ["\x96\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xCB"],

        ["\xE9\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x92"],
        ["\xCB\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],

        ["\xE9\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x93"],
        ["\xCB\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],

        ["\xE9\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x94"],
        ["\xCB\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],

        ["\xE9\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x95"],
        ["\xCB\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],

        ["\xE9\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x96"],
        ["\xCB\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],

        ["\xE9\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x97"],
        ["\xCB\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],

        ["\xE9\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x98"],
        ["\xCB\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],

        ["\xE9\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x99"],
        ["\xCB\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],

        ["\xE9\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x9A"],
        ["\xCB\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],

        ["\xE9\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x9D"],
        ["\xCB\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCA"],

        ["\xE9\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x9E"],
        ["\xCB\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCB"],

        ["\xC5\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xB2"],
        ["\x96\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],

        ["\xE9\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x9F"],
        ["\xCB\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCC"],

        ["\xE9\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA2"],
        ["\xCB\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCD"],

        ["\xE9\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA3"],
        ["\xCB\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCE"],

        ["\xE9\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA4"],
        ["\xCB\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCF"],

        ["\xE9\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],
        ["\xCB\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],

        ["\xE9\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],
        ["\xCB\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],

        ["\xE9\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA7"],
        ["\xCB\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],

        ["\xE9\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],
        ["\xCB\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],

        ["\xE9\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9"],
        ["\xCB\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],

        ["\xE9\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAA"],
        ["\xCB\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],

        ["\xE9\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAC"],
        ["\xCB\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],

        ["\xE9\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAD"],
        ["\xCB\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],

        ["\xE9\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAE"],
        ["\xCB\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],

        ["\xE9\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAF"],
        ["\xCB\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],

        ["\xE9\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBA"],
        ["\xCB\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDA"],

        ["\xE9\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBB"],
        ["\xCB\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDB"],

        ["\xE9\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBC"],
        ["\xCB\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDC"],

        ["\xE9\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBD"],
        ["\xCB\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDD"],

        ["\xC5\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xEB"],
        ["\x96\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],

        ["\xE9\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBE"],
        ["\xCB\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDE"],

        ["\xC5\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xFB"],
        ["\x96\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xFB"],

        ["\xE9\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBF"],
        ["\xCB\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDF"],

        ["\xE9\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB2"],
        ["\xCB\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],

        ["\xE9\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB3"],
        ["\xCB\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE1"],

        ["\xE9\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],
        ["\xCB\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],

        ["\xC5\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xFE"],
        ["\x96\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xFE"],

        ["\xE9\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],
        ["\xCB\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],

        ["\xC5\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xFD"],
        ["\x96\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xFD"],

        ["\xE9\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB6"],
        ["\xCB\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],

        ["\xE9\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB7"],
        ["\xCB\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],

        ["\xC6\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x45"],
        ["\x97\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xA5"],

        ["\xE9\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB8"],
        ["\xCB\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],

        ["\xC6\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x47"],
        ["\x97\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xA7"],

        ["\xB2\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x82\xDC"],
        ["\x82\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB2\xF0"],

        ["\xE9\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB9"],
        ["\xCB\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],

        ["\xE9\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCA"],
        ["\xCB\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],

        ["\xE9\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCB"],
        ["\xCB\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],

        ["\xE9\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCC"],
        ["\xCB\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEA"],

        ["\xC6\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x52"],
        ["\x97\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],

        ["\xC6\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x53"],
        ["\x97\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xAC"],

        ["\xE9\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCD"],
        ["\xCB\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEB"],

        ["\xE9\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],
        ["\xCB\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEC"],

        ["\xC6\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x55"],
        ["\x97\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xAE"],

        ["\xE9\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCF"],
        ["\xCB\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xED"],

        ["\xE9\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDA"],
        ["\xCB\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEE"],

        ["\xE9\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDB"],
        ["\xCB\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEF"],

        ["\xE9\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDC"],
        ["\xCB\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],

        ["\xE9\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDD"],
        ["\xCB\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],

        ["\xE9\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDE"],
        ["\xCB\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],

        ["\xE9\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDF"],
        ["\xCB\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],

        ["\xE9\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEA"],
        ["\xCB\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],

        ["\xE9\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEB"],
        ["\xCB\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],

        ["\xC6\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x96"],
        ["\x97\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],

        ["\xE9\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEC"],
        ["\xCB\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],

        ["\xC6\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x97"],
        ["\x97\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],

        ["\xE9\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xED"],
        ["\xCB\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],

        ["\xE9\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEE"],
        ["\xCB\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],

        ["\xC6\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x9A"],
        ["\x97\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],

        ["\xE9\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEF"],
        ["\xCB\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],

        ["\xE9\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFA"],
        ["\xCB\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xFA"],

        ["\xE9\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],
        ["\xCB\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xFB"],

        ["\xC6\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA4"],
        ["\x97\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xCF"],

        ["\xC6\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\x9F"],
        ["\x97\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xCC"],

        ["\xE9\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],
        ["\xCB\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xFC"],

        ["\xE9\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFD"],
        ["\xCB\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xFD"],

        ["\xD2\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\x88"],
        ["\xA7\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD2\xB8"],

        ["\xC6\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xA5"],
        ["\x97\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],

        ["\xE9\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFE"],
        ["\xCB\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xFE"],

        ["\xEA\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x41"],
        ["\xCC\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA1"],

        ["\xEA\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x42"],
        ["\xCC\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA2"],

        ["\xEA\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x43"],
        ["\xCC\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA3"],

        ["\xEA\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x44"],
        ["\xCC\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA4"],

        ["\xC6\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xBC"],
        ["\x97\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xDC"],

        ["\xEA\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x45"],
        ["\xCC\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA5"],

        ["\xEA\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x46"],
        ["\xCC\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA6"],

        ["\xC6\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xB9"],
        ["\x97\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],

        ["\xEA\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x47"],
        ["\xCC\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA7"],

        ["\xC6\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xEE"],
        ["\x97\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],

        ["\xC6\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x97\xFA"],
        ["\x97\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\xFA"],

        ["\xEA\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x48"],
        ["\xCC\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA8"],

        ["\xC7\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x45"],
        ["\x98\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xA5"],

        ["\xEA\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x49"],
        ["\xCC\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA9"],

        ["\xEA\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x51"],
        ["\xCC\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xAA"],

        ["\xEA\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x52"],
        ["\xCC\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xAB"],

        ["\xEA\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x53"],
        ["\xCC\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xAC"],

        ["\xC7\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x83"],
        ["\x98\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xB3"],

        ["\xEA\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x54"],
        ["\xCC\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xAD"],

        ["\xEA\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x55"],
        ["\xCC\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xAE"],

        ["\xEA\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x56"],
        ["\xCC\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xAF"],

        ["\xC7\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x8A"],
        ["\x98\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xBA"],

        ["\xEA\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x58"],
        ["\xCC\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB0"],

        ["\xEA\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x81"],
        ["\xCC\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB1"],

        ["\xEA\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x82"],
        ["\xCC\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB2"],

        ["\xEA\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x83"],
        ["\xCC\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB3"],

        ["\xC7\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x95"],
        ["\x98\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],

        ["\xC7\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x9D"],
        ["\x98\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xCA"],

        ["\xEA\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x84"],
        ["\xCC\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB4"],

        ["\xC7\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x9A"],
        ["\x98\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],

        ["\xC7\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\x9E"],
        ["\x98\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xCB"],

        ["\xEA\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x85"],
        ["\xCC\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB5"],

        ["\xEA\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x86"],
        ["\xCC\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB6"],

        ["\xC7\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xA7"],
        ["\x98\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],

        ["\xEA\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x87"],
        ["\xCC\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB7"],

        ["\xC7\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xAC"],
        ["\x98\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],

        ["\xEA\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x88"],
        ["\xCC\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB8"],

        ["\xEA\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x89"],
        ["\xCC\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xB9"],

        ["\xEA\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x8A"],
        ["\xCC\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xBA"],

        ["\xC7\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xBB"],
        ["\x98\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xDB"],

        ["\xEA\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x8C"],
        ["\xCC\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xBB"],

        ["\xEA\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x8D"],
        ["\xCC\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xBC"],

        ["\xC7\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xBE"],
        ["\x98\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xDE"],

        ["\xEA\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x8E"],
        ["\xCC\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xBD"],

        ["\xEA\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x8F"],
        ["\xCC\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xBE"],

        ["\xEA\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x90"],
        ["\xCC\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xBF"],

        ["\xEA\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x91"],
        ["\xCC\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC0"],

        ["\xEA\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x92"],
        ["\xCC\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC1"],

        ["\xEA\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x93"],
        ["\xCC\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC2"],

        ["\xC7\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xCA"],
        ["\x98\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],

        ["\xEA\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x94"],
        ["\xCC\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC3"],

        ["\xEA\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x95"],
        ["\xCC\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC4"],

        ["\xEA\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x96"],
        ["\xCC\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC5"],

        ["\xC7\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x98\xDA"],
        ["\x98\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xEE"],

        ["\xEA\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x97"],
        ["\xCC\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC6"],

        ["\xEA\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x98"],
        ["\xCC\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC7"],

        ["\xEA\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x99"],
        ["\xCC\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC8"],

        ["\xEA\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x9A"],
        ["\xCC\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xC9"],

        ["\xEA\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x9D"],
        ["\xCC\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xCA"],

        ["\xEA\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x9E"],
        ["\xCC\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xCB"],

        ["\xEA\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x9F"],
        ["\xCC\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xCC"],

        ["\xEA\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA2"],
        ["\xCC\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xCD"],

        ["\xEA\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA3"],
        ["\xCC\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xCE"],

        ["\xC8\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x49"],
        ["\x99\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xA9"],

        ["\xEA\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA4"],
        ["\xCC\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xCF"],

        ["\xEA\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA5"],
        ["\xCC\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD0"],

        ["\xC8\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x45"],
        ["\x99\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xA5"],

        ["\xEA\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA6"],
        ["\xCC\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD1"],

        ["\xC8\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x44"],
        ["\x99\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xA4"],

        ["\xEA\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA7"],
        ["\xCC\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD2"],

        ["\xEA\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA8"],
        ["\xCC\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD3"],

        ["\xEA\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA9"],
        ["\xCC\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD4"],

        ["\xEA\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAA"],
        ["\xCC\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD5"],

        ["\xEA\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAC"],
        ["\xCC\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD6"],

        ["\xEA\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAD"],
        ["\xCC\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD7"],

        ["\xEA\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAE"],
        ["\xCC\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD8"],

        ["\xC8\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x84"],
        ["\x99\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xB4"],

        ["\xC8\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x85"],
        ["\x99\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xB5"],

        ["\xC8\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x56"],
        ["\x99\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xAF"],

        ["\xEA\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAF"],
        ["\xCC\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xD9"],

        ["\xEA\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBA"],
        ["\xCC\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xDA"],

        ["\xEA\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBB"],
        ["\xCC\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xDB"],

        ["\xEA\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBC"],
        ["\xCC\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xDC"],

        ["\xC8\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x89"],
        ["\x99\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xB9"],

        ["\xC8\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x8D"],
        ["\x99\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xBC"],

        ["\xEA\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBD"],
        ["\xCC\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xDD"],

        ["\xEA\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBE"],
        ["\xCC\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xDE"],

        ["\xEA\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBF"],
        ["\xCC\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xDF"],

        ["\xC8\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x97"],
        ["\x99\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],

        ["\xEA\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],
        ["\xCC\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE0"],

        ["\xEA\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB3"],
        ["\xCC\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE1"],

        ["\xEA\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],
        ["\xCC\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE2"],

        ["\xEA\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB5"],
        ["\xCC\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE3"],

        ["\xC8\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA2"],
        ["\x99\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xCD"],

        ["\xEA\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],
        ["\xCC\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE4"],

        ["\xC8\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\x9A"],
        ["\x99\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],

        ["\xEA\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],
        ["\xCC\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE5"],

        ["\xEA\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB8"],
        ["\xCC\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE6"],

        ["\xEA\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB9"],
        ["\xCC\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE7"],

        ["\xC5\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x96\xCB"],
        ["\x96\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],

        ["\xEA\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],
        ["\xCC\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE8"],

        ["\xC8\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xA4"],
        ["\x99\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xCF"],

        ["\xEA\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCB"],
        ["\xCC\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xE9"],

        ["\xEA\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCC"],
        ["\xCC\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xEA"],

        ["\xEA\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCD"],
        ["\xCC\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xEB"],

        ["\xEA\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCE"],
        ["\xCC\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xEC"],

        ["\xEA\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCF"],
        ["\xCC\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xED"],

        ["\xEA\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDA"],
        ["\xCC\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xEE"],

        ["\xEA\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDB"],
        ["\xCC\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xEF"],

        ["\xEA\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDC"],
        ["\xCC\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF0"],

        ["\xC8\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xBD"],
        ["\x99\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xDD"],

        ["\xEA\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDD"],
        ["\xCC\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF1"],

        ["\xEA\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDE"],
        ["\xCC\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF2"],

        ["\xEA\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDF"],
        ["\xCC\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF3"],

        ["\xEA\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],
        ["\xCC\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF4"],

        ["\xEA\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEB"],
        ["\xCC\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF5"],

        ["\xEA\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEC"],
        ["\xCC\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF6"],

        ["\xEA\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],
        ["\xCC\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF7"],

        ["\xEA\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],
        ["\xCC\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF8"],

        ["\xC8\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xCB"],
        ["\x99\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],

        ["\xEA\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEF"],
        ["\xCC\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xF9"],

        ["\xEA\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFA"],
        ["\xCC\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xFA"],

        ["\xEA\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFB"],
        ["\xCC\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xFB"],

        ["\xEA\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFC"],
        ["\xCC\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xFC"],

        ["\xC8\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xCE"],
        ["\x99\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xEC"],

        ["\xEA\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],
        ["\xCC\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xFD"],

        ["\xEA\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],
        ["\xCC\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xFE"],

        ["\xEB\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x41"],
        ["\xCD\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xA1"],

        ["\xEB\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x42"],
        ["\xCD\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xA2"],

        ["\xD4\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x8A"],
        ["\xA9\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xBA"],

        ["\xEB\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x43"],
        ["\xCD\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xA3"],

        ["\xEB\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x44"],
        ["\xCD\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xA4"],

        ["\xEB\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x45"],
        ["\xCD\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xA5"],

        ["\xC8\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xED"],
        ["\x99\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],

        ["\xC8\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x99\xEE"],
        ["\x99\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],

        ["\xEB\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x46"],
        ["\xCD\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xA6"],

        ["\xEB\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x47"],
        ["\xCD\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xA7"],

        ["\xEB\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x48"],
        ["\xCD\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xA8"],

        ["\xEB\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x49"],
        ["\xCD\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xA9"],

        ["\xEB\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x51"],
        ["\xCD\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xAA"],

        ["\xEB\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x52"],
        ["\xCD\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xAB"],

        ["\xC9\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x45"],
        ["\x9A\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],

        ["\xEB\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x53"],
        ["\xCD\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xAC"],

        ["\xC9\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x43"],
        ["\x9A\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA3"],

        ["\xEB\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x54"],
        ["\xCD\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xAD"],

        ["\xEB\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x55"],
        ["\xCD\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xAE"],

        ["\xEB\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x56"],
        ["\xCD\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xAF"],

        ["\xEB\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x58"],
        ["\xCD\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB0"],

        ["\xEB\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x81"],
        ["\xCD\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB1"],

        ["\xC9\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x51"],
        ["\x9A\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xAA"],

        ["\xEB\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x82"],
        ["\xCD\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB2"],

        ["\xEB\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x83"],
        ["\xCD\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB3"],

        ["\xEB\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x84"],
        ["\xCD\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB4"],

        ["\xEB\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x85"],
        ["\xCD\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB5"],

        ["\xEB\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x86"],
        ["\xCD\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB6"],

        ["\xC9\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x58"],
        ["\x9A\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],

        ["\xC9\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x55"],
        ["\x9A\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xAE"],

        ["\xEB\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x87"],
        ["\xCD\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB7"],

        ["\xEB\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x88"],
        ["\xCD\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB8"],

        ["\xEB\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x89"],
        ["\xCD\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xB9"],

        ["\xEB\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x8A"],
        ["\xCD\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xBA"],

        ["\xEB\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x8C"],
        ["\xCD\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xBB"],

        ["\xEB\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x8D"],
        ["\xCD\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xBC"],

        ["\xEB\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x8E"],
        ["\xCD\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xBD"],

        ["\xC9\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x91"],
        ["\x9A\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],

        ["\xEB\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x8F"],
        ["\xCD\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xBE"],

        ["\xEB\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x90"],
        ["\xCD\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xBF"],

        ["\xC9\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x93"],
        ["\x9A\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],

        ["\xEB\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x91"],
        ["\xCD\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC0"],

        ["\xEB\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x92"],
        ["\xCD\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC1"],

        ["\xEB\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x93"],
        ["\xCD\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC2"],

        ["\xEB\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x94"],
        ["\xCD\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC3"],

        ["\xEB\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x95"],
        ["\xCD\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC4"],

        ["\xEB\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x96"],
        ["\xCD\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC5"],

        ["\xC9\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x99"],
        ["\x9A\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],

        ["\xC9\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\x97"],
        ["\x9A\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],

        ["\xC9\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xA2"],
        ["\x9A\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xCD"],

        ["\xEB\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x97"],
        ["\xCD\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC6"],

        ["\xEB\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x98"],
        ["\xCD\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC7"],

        ["\xEB\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x99"],
        ["\xCD\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC8"],

        ["\xEB\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x9A"],
        ["\xCD\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xC9"],

        ["\xC9\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAD"],
        ["\x9A\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],

        ["\xC9\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xAF"],
        ["\x9A\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],

        ["\xEB\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x9D"],
        ["\xCD\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xCA"],

        ["\xEB\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x9E"],
        ["\xCD\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xCB"],

        ["\xC9\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xBB"],
        ["\x9A\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xDB"],

        ["\xEB\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x9F"],
        ["\xCD\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xCC"],

        ["\xEB\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA2"],
        ["\xCD\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xCD"],

        ["\xEB\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA3"],
        ["\xCD\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xCE"],

        ["\xEB\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA4"],
        ["\xCD\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xCF"],

        ["\xEB\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA5"],
        ["\xCD\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD0"],

        ["\xEB\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA6"],
        ["\xCD\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD1"],

        ["\xC9\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xBE"],
        ["\x9A\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xDE"],

        ["\xC9\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xBF"],
        ["\x9A\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xDF"],

        ["\xEB\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA7"],
        ["\xCD\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD2"],

        ["\xEB\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA8"],
        ["\xCD\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD3"],

        ["\xEB\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],
        ["\xCD\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD4"],

        ["\xC9\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB5"],
        ["\x9A\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],

        ["\xEB\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],
        ["\xCD\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD5"],

        ["\xC9\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xB9"],
        ["\x9A\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],

        ["\xC9\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xCA"],
        ["\x9A\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],

        ["\xEB\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAC"],
        ["\xCD\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD6"],

        ["\xEB\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAD"],
        ["\xCD\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD7"],

        ["\xEB\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAE"],
        ["\xCD\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD8"],

        ["\xEB\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAF"],
        ["\xCD\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xD9"],

        ["\xEB\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],
        ["\xCD\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xDA"],

        ["\xEB\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBB"],
        ["\xCD\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xDB"],

        ["\xEB\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],
        ["\xCD\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xDC"],

        ["\xEB\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBD"],
        ["\xCD\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xDD"],

        ["\xEB\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBE"],
        ["\xCD\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xDE"],

        ["\xEB\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],
        ["\xCD\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xDF"],

        ["\xC9\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xEA"],
        ["\x9A\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],

        ["\xEB\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB2"],
        ["\xCD\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE0"],

        ["\xEB\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB3"],
        ["\xCD\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE1"],

        ["\xC9\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xEE"],
        ["\x9A\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],

        ["\xEB\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB4"],
        ["\xCD\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE2"],

        ["\xC9\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xFE"],
        ["\x9A\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xFE"],

        ["\xCA\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x41"],
        ["\x9D\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],

        ["\xEB\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB5"],
        ["\xCD\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE3"],

        ["\xEB\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB6"],
        ["\xCD\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE4"],

        ["\xCA\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x45"],
        ["\x9D\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],

        ["\xEB\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB7"],
        ["\xCD\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE5"],

        ["\xEB\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB8"],
        ["\xCD\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE6"],

        ["\xEB\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],
        ["\xCD\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE7"],

        ["\xEB\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCA"],
        ["\xCD\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE8"],

        ["\xCA\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x48"],
        ["\x9D\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],

        ["\xEB\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCB"],
        ["\xCD\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xE9"],

        ["\xCA\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x52"],
        ["\x9D\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xAB"],

        ["\xEB\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],
        ["\xCD\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xEA"],

        ["\xEB\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],
        ["\xCD\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xEB"],

        ["\xEB\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],
        ["\xCD\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xEC"],

        ["\xCA\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x58"],
        ["\x9D\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xB0"],

        ["\xEB\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCF"],
        ["\xCD\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xED"],

        ["\xEB\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],
        ["\xCD\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xEE"],

        ["\xEB\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDB"],
        ["\xCD\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xEF"],

        ["\xEB\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDC"],
        ["\xCD\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF0"],

        ["\xEB\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],
        ["\xCD\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF1"],

        ["\xEB\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],
        ["\xCD\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF2"],

        ["\xEB\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDF"],
        ["\xCD\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF3"],

        ["\xEB\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEA"],
        ["\xCD\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF4"],

        ["\xEB\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEB"],
        ["\xCD\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF5"],

        ["\xCA\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x87"],
        ["\x9D\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],

        ["\xEB\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],
        ["\xCD\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF6"],

        ["\xEB\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xED"],
        ["\xCD\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF7"],

        ["\xEB\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEE"],
        ["\xCD\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF8"],

        ["\xEB\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEF"],
        ["\xCD\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xF9"],

        ["\xEB\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFA"],
        ["\xCD\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xFA"],

        ["\xEB\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFB"],
        ["\xCD\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xFB"],

        ["\xEB\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],
        ["\xCD\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xFC"],

        ["\xCA\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\x91"],
        ["\x9D\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xC0"],

        ["\xEB\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFD"],
        ["\xCD\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xFD"],

        ["\xEB\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],
        ["\xCD\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEB\xFE"],

        ["\xEC\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x41"],
        ["\xCE\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xA1"],

        ["\xEC\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x42"],
        ["\xCE\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xA2"],

        ["\xEC\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x43"],
        ["\xCE\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xA3"],

        ["\xEC\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x44"],
        ["\xCE\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xA4"],

        ["\xEC\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x45"],
        ["\xCE\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xA5"],

        ["\xEC\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x46"],
        ["\xCE\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xA6"],

        ["\xEC\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x47"],
        ["\xCE\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xA7"],

        ["\xEC\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x48"],
        ["\xCE\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xA8"],

        ["\xEC\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x49"],
        ["\xCE\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xA9"],

        ["\xEC\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x51"],
        ["\xCE\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xAA"],

        ["\xEC\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x52"],
        ["\xCE\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xAB"],

        ["\xEC\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x53"],
        ["\xCE\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xAC"],

        ["\xEC\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x54"],
        ["\xCE\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xAD"],

        ["\xEC\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x55"],
        ["\xCE\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xAE"],

        ["\xEC\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x56"],
        ["\xCE\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xAF"],

        ["\xEC\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x58"],
        ["\xCE\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB0"],

        ["\xEC\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x81"],
        ["\xCE\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB1"],

        ["\xEC\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x82"],
        ["\xCE\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB2"],

        ["\xEC\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x83"],
        ["\xCE\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB3"],

        ["\xEC\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x84"],
        ["\xCE\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB4"],

        ["\xCA\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\xA3"],
        ["\x9D\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],

        ["\xEC\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x85"],
        ["\xCE\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB5"],

        ["\xBE\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x8F\xCD"],
        ["\x8F\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xBE\xEB"],

        ["\xEC\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x86"],
        ["\xCE\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB6"],

        ["\xEC\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x87"],
        ["\xCE\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB7"],

        ["\xEC\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x88"],
        ["\xCE\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB8"],

        ["\xEC\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x89"],
        ["\xCE\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xB9"],

        ["\xEC\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x8A"],
        ["\xCE\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xBA"],

        ["\xEC\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x8C"],
        ["\xCE\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xBB"],

        ["\xEC\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x8D"],
        ["\xCE\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xBC"],

        ["\xCA\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\xBA"],
        ["\x9D\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],

        ["\xCA\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\xBB"],
        ["\x9D\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],

        ["\xEC\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x8E"],
        ["\xCE\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xBD"],

        ["\xEC\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x8F"],
        ["\xCE\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xBE"],

        ["\xCA\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\xBD"],
        ["\x9D\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],

        ["\xEC\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x90"],
        ["\xCE\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xBF"],

        ["\xCA\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\xBF"],
        ["\x9D\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],

        ["\xEC\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x91"],
        ["\xCE\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC0"],

        ["\xEC\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x92"],
        ["\xCE\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC1"],

        ["\xEC\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x93"],
        ["\xCE\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC2"],

        ["\xEC\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x94"],
        ["\xCE\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC3"],

        ["\xEC\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x95"],
        ["\xCE\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC4"],

        ["\xEC\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x96"],
        ["\xCE\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC5"],

        ["\xEC\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x97"],
        ["\xCE\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC6"],

        ["\xEC\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x98"],
        ["\xCE\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC7"],

        ["\xEC\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x99"],
        ["\xCE\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC8"],

        ["\xEC\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9A"],
        ["\xCE\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xC9"],

        ["\xEC\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9D"],
        ["\xCE\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xCA"],

        ["\xEC\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9E"],
        ["\xCE\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xCB"],

        ["\xEC\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9F"],
        ["\xCE\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xCC"],

        ["\xEC\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA2"],
        ["\xCE\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xCD"],

        ["\xCA\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\xB8"],
        ["\x9D\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xE6"],

        ["\xEC\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],
        ["\xCE\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xCE"],

        ["\xEC\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],
        ["\xCE\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xCF"],

        ["\xEC\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA5"],
        ["\xCE\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD0"],

        ["\xEC\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],
        ["\xCE\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD1"],

        ["\xEC\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA7"],
        ["\xCE\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD2"],

        ["\xEC\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA8"],
        ["\xCE\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD3"],

        ["\xEC\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],
        ["\xCE\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD4"],

        ["\xEC\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAA"],
        ["\xCE\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD5"],

        ["\xEC\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],
        ["\xCE\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD6"],

        ["\xEC\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],
        ["\xCE\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD7"],

        ["\xCB\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\x48"],
        ["\x9E\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],

        ["\xEC\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAE"],
        ["\xCE\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD8"],

        ["\xEC\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAF"],
        ["\xCE\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xD9"],

        ["\xEC\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBA"],
        ["\xCE\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xDA"],

        ["\xEC\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBB"],
        ["\xCE\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xDB"],

        ["\xEC\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],
        ["\xCE\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xDC"],

        ["\xEC\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBD"],
        ["\xCE\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xDD"],

        ["\xEC\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBE"],
        ["\xCE\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xDE"],

        ["\xEC\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],
        ["\xCE\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xDF"],

        ["\xEC\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB2"],
        ["\xCE\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE0"],

        ["\xEC\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB3"],
        ["\xCE\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE1"],

        ["\xEC\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB4"],
        ["\xCE\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE2"],

        ["\xEC\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB5"],
        ["\xCE\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE3"],

        ["\xEC\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB6"],
        ["\xCE\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE4"],

        ["\xEC\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB7"],
        ["\xCE\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE5"],

        ["\xEC\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],
        ["\xCE\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE6"],

        ["\xEC\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB9"],
        ["\xCE\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE7"],

        ["\xEC\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],
        ["\xCE\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE8"],

        ["\xCB\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xB6"],
        ["\x9E\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xE4"],

        ["\xEC\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],
        ["\xCE\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xE9"],

        ["\xEC\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCC"],
        ["\xCE\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xEA"],

        ["\xEC\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCD"],
        ["\xCE\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xEB"],

        ["\xEC\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],
        ["\xCE\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xEC"],

        ["\xEC\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCF"],
        ["\xCE\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xED"],

        ["\xEC\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],
        ["\xCE\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xEE"],

        ["\xEC\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],
        ["\xCE\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xEF"],

        ["\xEC\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDC"],
        ["\xCE\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF0"],

        ["\xEC\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],
        ["\xCE\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF1"],

        ["\xEC\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],
        ["\xCE\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF2"],

        ["\xEC\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],
        ["\xCE\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF3"],

        ["\xCB\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9E\xEF"],
        ["\x9E\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xF9"],

        ["\xEC\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],
        ["\xCE\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF4"],

        ["\xEC\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],
        ["\xCE\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF5"],

        ["\xEC\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],
        ["\xCE\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF6"],

        ["\xEC\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],
        ["\xCE\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF7"],

        ["\xCC\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\x84"],
        ["\x9F\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],

        ["\xCC\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\x86"],
        ["\x9F\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],

        ["\xEC\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEE"],
        ["\xCE\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF8"],

        ["\xEC\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEF"],
        ["\xCE\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xF9"],

        ["\xEC\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFA"],
        ["\xCE\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xFA"],

        ["\xCC\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\x87"],
        ["\x9F\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],

        ["\xEC\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFB"],
        ["\xCE\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xFB"],

        ["\xEC\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFC"],
        ["\xCE\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xFC"],

        ["\xEC\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFD"],
        ["\xCE\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xFD"],

        ["\xEC\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],
        ["\xCE\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEC\xFE"],

        ["\xED\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x41"],
        ["\xCF\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xA1"],

        ["\xED\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x42"],
        ["\xCF\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xA2"],

        ["\xED\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x43"],
        ["\xCF\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xA3"],

        ["\xED\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x44"],
        ["\xCF\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xA4"],

        ["\xED\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x45"],
        ["\xCF\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xA5"],

        ["\xCC\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\x9A"],
        ["\x9F\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xC9"],

        ["\xED\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x46"],
        ["\xCF\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xA6"],

        ["\xED\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x47"],
        ["\xCF\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xA7"],

        ["\xED\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x48"],
        ["\xCF\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xA8"],

        ["\xED\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x49"],
        ["\xCF\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xA9"],

        ["\xED\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x51"],
        ["\xCF\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xAA"],

        ["\xED\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x52"],
        ["\xCF\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xAB"],

        ["\xED\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x53"],
        ["\xCF\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xAC"],

        ["\xED\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x54"],
        ["\xCF\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xAD"],

        ["\xED\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x55"],
        ["\xCF\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xAE"],

        ["\xCC\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\xAF"],
        ["\x9F\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xD9"],

        ["\xED\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x56"],
        ["\xCF\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xAF"],

        ["\xED\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x58"],
        ["\xCF\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB0"],

        ["\xED\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x81"],
        ["\xCF\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB1"],

        ["\xED\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x82"],
        ["\xCF\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB2"],

        ["\xED\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x83"],
        ["\xCF\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB3"],

        ["\xED\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x84"],
        ["\xCF\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB4"],

        ["\xED\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x85"],
        ["\xCF\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB5"],

        ["\xED\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x86"],
        ["\xCF\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB6"],

        ["\xED\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x87"],
        ["\xCF\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB7"],

        ["\xED\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x88"],
        ["\xCF\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB8"],

        ["\xED\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x89"],
        ["\xCF\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xB9"],

        ["\xED\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x8A"],
        ["\xCF\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xBA"],

        ["\xED\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x8C"],
        ["\xCF\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xBB"],

        ["\xED\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x8D"],
        ["\xCF\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xBC"],

        ["\xED\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x8E"],
        ["\xCF\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xBD"],

        ["\xED\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x8F"],
        ["\xCF\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xBE"],

        ["\xED\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x90"],
        ["\xCF\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xBF"],

        ["\xCC\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9F\xCB"],
        ["\x9F\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xE9"],

        ["\xED\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x91"],
        ["\xCF\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC0"],

        ["\xED\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x92"],
        ["\xCF\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC1"],

        ["\xED\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x93"],
        ["\xCF\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC2"],

        ["\xED\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x94"],
        ["\xCF\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC3"],

        ["\xED\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x95"],
        ["\xCF\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC4"],

        ["\xED\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x96"],
        ["\xCF\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC5"],

        ["\xED\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x97"],
        ["\xCF\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC6"],

        ["\xED\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x98"],
        ["\xCF\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC7"],

        ["\xED\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x99"],
        ["\xCF\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC8"],

        ["\xED\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x9A"],
        ["\xCF\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xC9"],

        ["\xED\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x9D"],
        ["\xCF\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xCA"],

        ["\xED\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x9E"],
        ["\xCF\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xCB"],

        ["\xED\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x9F"],
        ["\xCF\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xCC"],

        ["\xED\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA2"],
        ["\xCF\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xCD"],

        ["\xED\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],
        ["\xCF\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xCE"],

        ["\xED\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA4"],
        ["\xCF\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xCF"],

        ["\xED\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],
        ["\xCF\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD0"],

        ["\xED\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],
        ["\xCF\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD1"],

        ["\xED\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],
        ["\xCF\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD2"],

        ["\xED\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA8"],
        ["\xCF\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD3"],

        ["\xED\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA9"],
        ["\xCF\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD4"],

        ["\xED\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAA"],
        ["\xCF\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD5"],

        ["\xED\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAC"],
        ["\xCF\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD6"],

        ["\xED\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAD"],
        ["\xCF\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD7"],

        ["\xED\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAE"],
        ["\xCF\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD8"],

        ["\xED\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAF"],
        ["\xCF\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xD9"],

        ["\xED\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBA"],
        ["\xCF\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xDA"],

        ["\xED\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],
        ["\xCF\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xDB"],

        ["\xED\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],
        ["\xCF\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xDC"],

        ["\xED\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBD"],
        ["\xCF\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xDD"],

        ["\xED\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],
        ["\xCF\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xDE"],

        ["\xED\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBF"],
        ["\xCF\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xDF"],

        ["\xED\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB2"],
        ["\xCF\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE0"],

        ["\xED\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB3"],
        ["\xCF\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE1"],

        ["\xCD\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x99"],
        ["\xA2\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xC8"],

        ["\xED\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB4"],
        ["\xCF\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE2"],

        ["\xCD\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],
        ["\xA2\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],

        ["\xCD\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],
        ["\xA2\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],

        ["\xED\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],
        ["\xCF\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE3"],

        ["\xED\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB6"],
        ["\xCF\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE4"],

        ["\xED\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB7"],
        ["\xCF\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE5"],

        ["\xED\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],
        ["\xCF\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE6"],

        ["\xED\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],
        ["\xCF\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE7"],

        ["\xED\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCA"],
        ["\xCF\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE8"],

        ["\xED\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCB"],
        ["\xCF\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xE9"],

        ["\xCD\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],
        ["\xA2\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xD2"],

        ["\xED\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCC"],
        ["\xCF\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xEA"],

        ["\xED\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCD"],
        ["\xCF\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xEB"],

        ["\xED\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCE"],
        ["\xCF\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xEC"],

        ["\xED\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCF"],
        ["\xCF\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xED"],

        ["\xED\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xDA"],
        ["\xCF\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xEE"],

        ["\xED\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xDB"],
        ["\xCF\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xEF"],

        ["\xED\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xDC"],
        ["\xCF\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF0"],

        ["\xED\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xDD"],
        ["\xCF\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF1"],

        ["\xED\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xDE"],
        ["\xCF\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF2"],

        ["\xED\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xDF"],
        ["\xCF\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF3"],

        ["\xED\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xEA"],
        ["\xCF\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF4"],

        ["\xED\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xEB"],
        ["\xCF\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF5"],

        ["\xED\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xEC"],
        ["\xCF\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF6"],

        ["\xED\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xED"],
        ["\xCF\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF7"],

        ["\xCD\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAF"],
        ["\xA2\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xD9"],

        ["\xED\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xEE"],
        ["\xCF\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF8"],

        ["\xED\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xEF"],
        ["\xCF\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xF9"],

        ["\xED\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xFA"],
        ["\xCF\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xFA"],

        ["\xED\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xFB"],
        ["\xCF\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xFB"],

        ["\xED\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xFC"],
        ["\xCF\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xFC"],

        ["\xED\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xFD"],
        ["\xCF\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xFD"],

        ["\xED\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xFE"],
        ["\xCF\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xED\xFE"],

        ["\xEE\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x41"],
        ["\xDA\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xA1"],

        ["\xEE\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x42"],
        ["\xDA\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xA2"],

        ["\xCD\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBA"],
        ["\xA2\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],

        ["\xEE\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x43"],
        ["\xDA\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xA3"],

        ["\xEE\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x44"],
        ["\xDA\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xA4"],

        ["\xEE\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x45"],
        ["\xDA\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xA5"],

        ["\xEE\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x46"],
        ["\xDA\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xA6"],

        ["\xEE\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x47"],
        ["\xDA\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xA7"],

        ["\xEE\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x48"],
        ["\xDA\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xA8"],

        ["\xEE\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x49"],
        ["\xDA\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xA9"],

        ["\xEE\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x51"],
        ["\xDA\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xAA"],

        ["\xEE\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x52"],
        ["\xDA\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xAB"],

        ["\xEE\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x53"],
        ["\xDA\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xAC"],

        ["\xCD\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBD"],
        ["\xA2\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],

        ["\xEE\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x54"],
        ["\xDA\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xAD"],

        ["\xEE\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x55"],
        ["\xDA\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xAE"],

        ["\xEE\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x56"],
        ["\xDA\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xAF"],

        ["\xEE\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x58"],
        ["\xDA\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB0"],

        ["\xEE\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x81"],
        ["\xDA\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB1"],

        ["\xEE\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x82"],
        ["\xDA\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB2"],

        ["\xEE\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x83"],
        ["\xDA\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB3"],

        ["\xEE\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x84"],
        ["\xDA\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB4"],

        ["\xEE\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x85"],
        ["\xDA\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB5"],

        ["\xEE\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x86"],
        ["\xDA\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB6"],

        ["\xEE\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x87"],
        ["\xDA\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB7"],

        ["\xEE\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x88"],
        ["\xDA\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB8"],

        ["\xEE\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x89"],
        ["\xDA\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xB9"],

        ["\xEE\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x8A"],
        ["\xDA\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xBA"],

        ["\xEE\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x8C"],
        ["\xDA\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xBB"],

        ["\xCD\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xB7"],
        ["\xA2\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xE5"],

        ["\xEE\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x8D"],
        ["\xDA\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xBC"],

        ["\xCD\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xB5"],
        ["\xA2\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xE3"],

        ["\xEE\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x8E"],
        ["\xDA\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xBD"],

        ["\xCD\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xB8"],
        ["\xA2\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xE6"],

        ["\xEE\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x8F"],
        ["\xDA\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xBE"],

        ["\xCD\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xB9"],
        ["\xA2\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xE7"],

        ["\xEE\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x90"],
        ["\xDA\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xBF"],

        ["\xEE\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x91"],
        ["\xDA\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC0"],

        ["\xEE\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x92"],
        ["\xDA\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC1"],

        ["\xEE\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x93"],
        ["\xDA\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC2"],

        ["\xD0\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],
        ["\xA5\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],

        ["\xCD\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xCE"],
        ["\xA2\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],

        ["\xEE\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x94"],
        ["\xDA\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC3"],

        ["\xEE\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x95"],
        ["\xDA\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC4"],

        ["\xEE\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x96"],
        ["\xDA\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC5"],

        ["\xEE\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x97"],
        ["\xDA\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC6"],

        ["\xEE\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x98"],
        ["\xDA\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC7"],

        ["\xEE\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x99"],
        ["\xDA\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC8"],

        ["\xEE\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x9A"],
        ["\xDA\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xC9"],

        ["\xEE\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x9D"],
        ["\xDA\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xCA"],

        ["\xEE\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x9E"],
        ["\xDA\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xCB"],

        ["\xCD\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xEE"],
        ["\xA2\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xF8"],

        ["\xEE\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x9F"],
        ["\xDA\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xCC"],

        ["\xEE\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA2"],
        ["\xDA\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xCD"],

        ["\xEE\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA3"],
        ["\xDA\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xCE"],

        ["\xEE\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA4"],
        ["\xDA\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xCF"],

        ["\xCE\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x41"],
        ["\xA3\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA1"],

        ["\xEE\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA5"],
        ["\xDA\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD0"],

        ["\xCE\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x43"],
        ["\xA3\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],

        ["\xEE\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA6"],
        ["\xDA\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD1"],

        ["\xEE\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA7"],
        ["\xDA\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD2"],

        ["\xEE\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA8"],
        ["\xDA\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD3"],

        ["\xEE\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA9"],
        ["\xDA\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD4"],

        ["\xEE\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAA"],
        ["\xDA\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD5"],

        ["\xEE\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAC"],
        ["\xDA\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD6"],

        ["\xEE\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAD"],
        ["\xDA\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD7"],

        ["\xEE\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAE"],
        ["\xDA\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD8"],

        ["\xEE\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAF"],
        ["\xDA\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xD9"],

        ["\xEE\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBA"],
        ["\xDA\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xDA"],

        ["\xEE\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBB"],
        ["\xDA\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xDB"],

        ["\xEE\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBC"],
        ["\xDA\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xDC"],

        ["\xC9\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9A\xCD"],
        ["\x9A\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xEB"],

        ["\xEE\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBD"],
        ["\xDA\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xDD"],

        ["\xEE\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBE"],
        ["\xDA\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xDE"],

        ["\xCE\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x90"],
        ["\xA3\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],

        ["\xEE\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBF"],
        ["\xDA\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xDF"],

        ["\xEE\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB2"],
        ["\xDA\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE0"],

        ["\xEE\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB3"],
        ["\xDA\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE1"],

        ["\xEE\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB4"],
        ["\xDA\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE2"],

        ["\xEE\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB5"],
        ["\xDA\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE3"],

        ["\xEE\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB6"],
        ["\xDA\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE4"],

        ["\xEE\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB7"],
        ["\xDA\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE5"],

        ["\xEE\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB8"],
        ["\xDA\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE6"],

        ["\xEE\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB9"],
        ["\xDA\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE7"],

        ["\xEE\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCA"],
        ["\xDA\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE8"],

        ["\xCE\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\x9E"],
        ["\xA3\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],

        ["\xEE\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCB"],
        ["\xDA\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xE9"],

        ["\xEE\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCC"],
        ["\xDA\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xEA"],

        ["\xEE\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCD"],
        ["\xDA\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xEB"],

        ["\xEE\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCE"],
        ["\xDA\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xEC"],

        ["\xEE\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCF"],
        ["\xDA\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xED"],

        ["\xCE\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xAD"],
        ["\xA3\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xD7"],

        ["\xCE\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xA6"],
        ["\xA3\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xD1"],

        ["\xCE\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xA8"],
        ["\xA3\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xD3"],

        ["\xEE\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDA"],
        ["\xDA\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xEE"],

        ["\xEE\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDB"],
        ["\xDA\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xEF"],

        ["\xEE\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDC"],
        ["\xDA\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF0"],

        ["\xCE\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB6"],
        ["\xA3\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xE4"],

        ["\xCE\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCD"],
        ["\xA3\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],

        ["\xEE\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDD"],
        ["\xDA\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF1"],

        ["\xEE\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDE"],
        ["\xDA\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF2"],

        ["\xEE\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDF"],
        ["\xDA\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF3"],

        ["\xEE\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEA"],
        ["\xDA\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF4"],

        ["\xEE\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEB"],
        ["\xDA\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF5"],

        ["\xEE\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEC"],
        ["\xDA\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF6"],

        ["\xEE\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xED"],
        ["\xDA\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF7"],

        ["\xCE\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],
        ["\xA3\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xF5"],

        ["\xEE\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEE"],
        ["\xDA\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF8"],

        ["\xEE\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEF"],
        ["\xDA\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xF9"],

        ["\xEE\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFA"],
        ["\xDA\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xFA"],

        ["\xEE\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFB"],
        ["\xDA\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xFB"],

        ["\xEE\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFC"],
        ["\xDA\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xFC"],

        ["\xEE\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFD"],
        ["\xDA\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xFD"],

        ["\xEE\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFE"],
        ["\xDA\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEE\xFE"],

        ["\xEF\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x41"],
        ["\xDB\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA1"],

        ["\xEF\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x42"],
        ["\xDB\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA2"],

        ["\xEF\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x43"],
        ["\xDB\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA3"],

        ["\xCF\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x43"],
        ["\xA4\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],

        ["\xEF\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x44"],
        ["\xDB\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4"],

        ["\xEF\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x45"],
        ["\xDB\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA5"],

        ["\xEF\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x46"],
        ["\xDB\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA6"],

        ["\xEF\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x47"],
        ["\xDB\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7"],

        ["\xCF\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x45"],
        ["\xA4\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],

        ["\xCF\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x46"],
        ["\xA4\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],

        ["\xEF\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x48"],
        ["\xDB\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8"],

        ["\xCA\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x9D\xB7"],
        ["\x9D\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xE5"],

        ["\xEF\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x49"],
        ["\xDB\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9"],

        ["\xCF\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x85"],
        ["\xA4\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],

        ["\xEF\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x51"],
        ["\xDB\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xAA"],

        ["\xCF\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x89"],
        ["\xA4\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],

        ["\xEF\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x52"],
        ["\xDB\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xAB"],

        ["\xEF\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x53"],
        ["\xDB\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xAC"],

        ["\xEF\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x54"],
        ["\xDB\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xAD"],

        ["\xEF\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x55"],
        ["\xDB\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xAE"],

        ["\xEF\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x56"],
        ["\xDB\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xAF"],

        ["\xEF\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x58"],
        ["\xDB\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB0"],

        ["\xCF\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\x99"],
        ["\xA4\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xC8"],

        ["\xEF\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x81"],
        ["\xDB\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB1"],

        ["\xEF\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x82"],
        ["\xDB\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB2"],

        ["\xEF\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x83"],
        ["\xDB\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB3"],

        ["\xEF\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x84"],
        ["\xDB\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB4"],

        ["\xEF\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x85"],
        ["\xDB\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB5"],

        ["\xEF\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x86"],
        ["\xDB\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB6"],

        ["\xEF\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x87"],
        ["\xDB\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB7"],

        ["\xEF\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x88"],
        ["\xDB\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB8"],

        ["\xEF\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x89"],
        ["\xDB\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9"],

        ["\xEF\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x8A"],
        ["\xDB\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBA"],

        ["\xEF\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x8C"],
        ["\xDB\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBB"],

        ["\xCF\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xFB"],
        ["\xA4\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\xFB"],

        ["\xEF\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x8D"],
        ["\xDB\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC"],

        ["\xD0\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\x8F"],
        ["\xA5\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xBE"],

        ["\xEF\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x8E"],
        ["\xDB\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD"],

        ["\xEF\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x8F"],
        ["\xDB\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBE"],

        ["\xEF\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x90"],
        ["\xDB\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF"],

        ["\xD1\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB4"],
        ["\xA6\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],

        ["\xD1\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCD"],
        ["\xA6\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\xEB"],

        ["\xEF\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x91"],
        ["\xDB\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC0"],

        ["\xEF\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x92"],
        ["\xDB\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC1"],

        ["\xEF\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x93"],
        ["\xDB\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC2"],

        ["\xD3\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x41"],
        ["\xA8\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],

        ["\xB6\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x86\xA7"],
        ["\x86\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xB6\xD2"],

        ["\xEF\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x94"],
        ["\xDB\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC3"],

        ["\xEF\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x95"],
        ["\xDB\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC4"],

        ["\xEF\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x96"],
        ["\xDB\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC5"],

        ["\xD3\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x88"],
        ["\xA8\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xB8"],

        ["\xEF\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x97"],
        ["\xDB\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC6"],

        ["\xEF\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x98"],
        ["\xDB\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC7"],

        ["\xEF\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x99"],
        ["\xDB\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC8"],

        ["\xEF\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x9A"],
        ["\xDB\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xC9"],

        ["\xEF\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x9D"],
        ["\xDB\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xCA"],

        ["\xEF\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x9E"],
        ["\xDB\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xCB"],

        ["\xEF\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x9F"],
        ["\xDB\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xCC"],

        ["\xD3\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB3"],
        ["\xA8\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xE1"],

        ["\xD3\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xDE"],
        ["\xA8\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],

        ["\xEF\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA2"],
        ["\xDB\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xCD"],

        ["\xC2\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\x93\x58"],
        ["\x93\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],

        ["\xEF\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA3"],
        ["\xDB\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xCE"],

        ["\xEF\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA4"],
        ["\xDB\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xCF"],

        ["\xEF\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA5"],
        ["\xDB\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD0"],

        ["\xEF\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA6"],
        ["\xDB\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD1"],

        ["\xEF\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA7"],
        ["\xDB\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD2"],

        ["\xEF\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA8"],
        ["\xDB\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD3"],

        ["\xEF\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA9"],
        ["\xDB\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD4"],

        ["\xEF\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAA"],
        ["\xDB\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD5"],

        ["\xEF\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAC"],
        ["\xDB\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD6"],

        ["\xEF\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAD"],
        ["\xDB\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD7"],

        ["\xEF\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAE"],
        ["\xDB\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD8"],

        ["\xEF\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAF"],
        ["\xDB\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xD9"],

        ["\xEF\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBA"],
        ["\xDB\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xDA"],

        ["\xEF\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBB"],
        ["\xDB\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xDB"],

        ["\xEF\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBC"],
        ["\xDB\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xDC"],

        ["\xEF\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBD"],
        ["\xDB\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xDD"],

        ["\xEF\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBE"],
        ["\xDB\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xDE"],

        ["\xD4\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xBA"],
        ["\xA9\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xDA"],

        ["\xEF\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBF"],
        ["\xDB\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xDF"],

        ["\xEF\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB2"],
        ["\xDB\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE0"],

        ["\xEF\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB3"],
        ["\xDB\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE1"],

        ["\xEF\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB4"],
        ["\xDB\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE2"],

        ["\xEF\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB5"],
        ["\xDB\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE3"],

        ["\xEF\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB6"],
        ["\xDB\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE4"],

        ["\xEF\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB7"],
        ["\xDB\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE5"],

        ["\xEF\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB8"],
        ["\xDB\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE6"],

        ["\xEF\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB9"],
        ["\xDB\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE7"],

        ["\xEF\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCA"],
        ["\xDB\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE8"],

        ["\xEF\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCB"],
        ["\xDB\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xE9"],

        ["\xD4\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xB3"],
        ["\xA9\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xE1"],

        ["\xEF\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCC"],
        ["\xDB\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xEA"],

        ["\xEF\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCD"],
        ["\xDB\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xEB"],

        ["\xEF\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCE"],
        ["\xDB\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xEC"],

        ["\xD4\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xB7"],
        ["\xA9\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],

        ["\xEF\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCF"],
        ["\xDB\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xED"],

        ["\xEF\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDA"],
        ["\xDB\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xEE"],

        ["\xEF\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDB"],
        ["\xDB\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xEF"],

        ["\xEF\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDC"],
        ["\xDB\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF0"],

        ["\xEF\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDD"],
        ["\xDB\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF1"],

        ["\xEF\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDE"],
        ["\xDB\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF2"],

        ["\xEF\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDF"],
        ["\xDB\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF3"],

        ["\xEF\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEA"],
        ["\xDB\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF4"],

        ["\xEF\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEB"],
        ["\xDB\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF5"],

        ["\xEF\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEC"],
        ["\xDB\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF6"],

        ["\xEF\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xED"],
        ["\xDB\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF7"],

        ["\xD4\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xDA"],
        ["\xA9\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xEE"],

        ["\xEF\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEE"],
        ["\xDB\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF8"],

        ["\xEF\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEF"],
        ["\xDB\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xF9"],

        ["\xEF\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFA"],
        ["\xDB\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xFA"],

        ["\xEF\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFB"],
        ["\xDB\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xFB"],

        ["\xEF\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFC"],
        ["\xDB\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xFC"],

        ["\xEF\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFD"],
        ["\xDB\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xFD"],

        ["\xD4\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\xFC"],
        ["\xA9\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD4\xFC"],

        ["\xEF\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFE"],
        ["\xDB\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xFE"],

        ["\xF0\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x41"],
        ["\xDC\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],

        ["\xD5\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x41"],
        ["\xAA\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],

        ["\xF0\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x42"],
        ["\xDC\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2"],

        ["\xF0\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x43"],
        ["\xDC\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3"],

        ["\xF0\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x44"],
        ["\xDC\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4"],

        ["\xF0\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x45"],
        ["\xDC\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5"],

        ["\xD5\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x54"],
        ["\xAA\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xAD"],

        ["\xD5\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x49"],
        ["\xAA\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xA9"],

        ["\xF0\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x46"],
        ["\xDC\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6"],

        ["\xF0\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x47"],
        ["\xDC\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7"],

        ["\xF0\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x48"],
        ["\xDC\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8"],

        ["\xD5\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x81"],
        ["\xAA\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xB1"],

        ["\xF0\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x49"],
        ["\xDC\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9"],

        ["\xF0\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x51"],
        ["\xDC\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA"],

        ["\xF0\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x52"],
        ["\xDC\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],

        ["\xF0\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x53"],
        ["\xDC\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAC"],

        ["\xF0\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x54"],
        ["\xDC\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAD"],

        ["\xF0\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x55"],
        ["\xDC\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAE"],

        ["\xF0\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x56"],
        ["\xDC\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAF"],

        ["\xF0\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x58"],
        ["\xDC\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],

        ["\xF0\xB1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x81"],
        ["\xDC\x81",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB1"],

        ["\xF0\xB2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x82"],
        ["\xDC\x82",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB2"],

        ["\xD5\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x84"],
        ["\xAA\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xB4"],

        ["\xD5\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x86"],
        ["\xAA\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xB6"],

        ["\xF0\xB3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x83"],
        ["\xDC\x83",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB3"],

        ["\xD5\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x87"],
        ["\xAA\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xB7"],

        ["\xF0\xB4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x84"],
        ["\xDC\x84",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB4"],

        ["\xF0\xB5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x85"],
        ["\xDC\x85",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB5"],

        ["\xF0\xB6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x86"],
        ["\xDC\x86",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB6"],

        ["\xF0\xB7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x87"],
        ["\xDC\x87",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB7"],

        ["\xF0\xB8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x88"],
        ["\xDC\x88",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB8"],

        ["\xF0\xB9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x89"],
        ["\xDC\x89",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xB9"],

        ["\xF0\xBA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x8A"],
        ["\xDC\x8A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xBA"],

        ["\xF0\xBB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x8C"],
        ["\xDC\x8C",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xBB"],

        ["\xF0\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x8D"],
        ["\xDC\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xBC"],

        ["\xF0\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x8E"],
        ["\xDC\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xBD"],

        ["\xF0\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x8F"],
        ["\xDC\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xBE"],

        ["\xF0\xBF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x90"],
        ["\xDC\x90",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xBF"],

        ["\xF0\xC0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x91"],
        ["\xDC\x91",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],

        ["\xD5\xBC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x8D"],
        ["\xAA\x8D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xBC"],

        ["\xF0\xC1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x92"],
        ["\xDC\x92",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],

        ["\xF0\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x93"],
        ["\xDC\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],

        ["\xF0\xC3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x94"],
        ["\xDC\x94",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],

        ["\xD5\xBD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x8E"],
        ["\xAA\x8E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xBD"],

        ["\xD5\xBE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x8F"],
        ["\xAA\x8F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xBE"],

        ["\xF0\xC4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x95"],
        ["\xDC\x95",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],

        ["\xF0\xC5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x96"],
        ["\xDC\x96",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],

        ["\xF0\xC6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x97"],
        ["\xDC\x97",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],

        ["\xF0\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x98"],
        ["\xDC\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],

        ["\xF0\xC8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x99"],
        ["\xDC\x99",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],

        ["\xD5\xC2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x93"],
        ["\xAA\x93",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],

        ["\xF0\xC9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x9A"],
        ["\xDC\x9A",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],

        ["\xF0\xCA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x9D"],
        ["\xDC\x9D",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xCA"],

        ["\xF0\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x9E"],
        ["\xDC\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xCB"],

        ["\xF0\xCC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x9F"],
        ["\xDC\x9F",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xCC"],

        ["\xD5\xC7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x98"],
        ["\xAA\x98",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],

        ["\xF0\xCD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA2"],
        ["\xDC\xA2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xCD"],

        ["\xF0\xCE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA3"],
        ["\xDC\xA3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xCE"],

        ["\xF0\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA4"],
        ["\xDC\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xCF"],

        ["\xF0\xD0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA5"],
        ["\xDC\xA5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],

        ["\xF0\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA6"],
        ["\xDC\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],

        ["\xF0\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA7"],
        ["\xDC\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],

        ["\xF0\xD3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA8"],
        ["\xDC\xA8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],

        ["\xF0\xD4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA9"],
        ["\xDC\xA9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],

        ["\xD5\xCF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xA4"],
        ["\xAA\xA4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xCF"],

        ["\xF0\xD5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAA"],
        ["\xDC\xAA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],

        ["\xF0\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAC"],
        ["\xDC\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],

        ["\xF0\xD7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAD"],
        ["\xDC\xAD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],

        ["\xF0\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAE"],
        ["\xDC\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],

        ["\xF0\xD9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAF"],
        ["\xDC\xAF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],

        ["\xD5\xD1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xA6"],
        ["\xAA\xA6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],

        ["\xF0\xDA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBA"],
        ["\xDC\xBA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xDA"],

        ["\xF0\xDB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBB"],
        ["\xDC\xBB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xDB"],

        ["\xD5\xD2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xA7"],
        ["\xAA\xA7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],

        ["\xF0\xDC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBC"],
        ["\xDC\xBC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xDC"],

        ["\xD5\xD6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xAC"],
        ["\xAA\xAC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],

        ["\xF0\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBD"],
        ["\xDC\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xDD"],

        ["\xD3\xCB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\x9E"],
        ["\xA8\x9E",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD3\xCB"],

        ["\xF0\xDE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBE"],
        ["\xDC\xBE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xDE"],

        ["\xF0\xDF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBF"],
        ["\xDC\xBF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xDF"],

        ["\xD5\xD8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xAE"],
        ["\xAA\xAE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],

        ["\xF0\xE0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB2"],
        ["\xDC\xB2",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],

        ["\xF0\xE1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB3"],
        ["\xDC\xB3",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE1"],

        ["\xF0\xE2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB4"],
        ["\xDC\xB4",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],

        ["\xF0\xE3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB5"],
        ["\xDC\xB5",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],

        ["\xF0\xE4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB6"],
        ["\xDC\xB6",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],

        ["\xF0\xE5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB7"],
        ["\xDC\xB7",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],

        ["\xF0\xE6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB8"],
        ["\xDC\xB8",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],

        ["\xF0\xE7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB9"],
        ["\xDC\xB9",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],

        ["\xF0\xE8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCA"],
        ["\xDC\xCA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],

        ["\xF0\xE9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCB"],
        ["\xDC\xCB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],

        ["\xF0\xEA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCC"],
        ["\xDC\xCC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xEA"],

        ["\xF0\xEB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCD"],
        ["\xDC\xCD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xEB"],

        ["\xD5\xDD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xBD"],
        ["\xAA\xBD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xDD"],

        ["\xF0\xEC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCE"],
        ["\xDC\xCE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xEC"],

        ["\xF0\xED",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCF"],
        ["\xDC\xCF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xED"],

        ["\xF0\xEE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDA"],
        ["\xDC\xDA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xEE"],

        ["\xF0\xEF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDB"],
        ["\xDC\xDB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xEF"],

        ["\xF0\xF0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDC"],
        ["\xDC\xDC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],

        ["\xF0\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDD"],
        ["\xDC\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],

        ["\xF0\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDE"],
        ["\xDC\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],

        ["\xF0\xF3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDF"],
        ["\xDC\xDF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],

        ["\xF0\xF4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEA"],
        ["\xDC\xEA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],

        ["\xF0\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEB"],
        ["\xDC\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],

        ["\xF0\xF6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEC"],
        ["\xDC\xEC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],

        ["\xF0\xF7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xED"],
        ["\xDC\xED",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],

        ["\xF0\xF8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEE"],
        ["\xDC\xEE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],

        ["\xF0\xF9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEF"],
        ["\xDC\xEF",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],

        ["\xF0\xFA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFA"],
        ["\xDC\xFA",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xFA"],

        ["\xF0\xFB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFB"],
        ["\xDC\xFB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xFB"],

        ["\xF0\xFC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFC"],
        ["\xDC\xFC",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xFC"],

        ["\xF0\xFD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFD"],
        ["\xDC\xFD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xFD"],

        ["\xD5\xF1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xDD"],
        ["\xAA\xDD",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],

        ["\xF0\xFE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFE"],
        ["\xDC\xFE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xFE"],

        ["\xD5\xF2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xDE"],
        ["\xAA\xDE",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],

        ["\xF1\xA1",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x41"],
        ["\xDD\x41",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],

        ["\xF1\xA2",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x42"],
        ["\xDD\x42",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xA2"],

        ["\xD5\xF5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\xEB"],
        ["\xAA\xEB",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],

        ["\xF1\xA3",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x43"],
        ["\xDD\x43",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xA3"],

        ["\xF1\xA4",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x44"],
        ["\xDD\x44",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xA4"],

        ["\xF1\xA5",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x45"],
        ["\xDD\x45",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xA5"],

        ["\xF1\xA6",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x46"],
        ["\xDD\x46",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xA6"],

        ["\xF1\xA7",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x47"],
        ["\xDD\x47",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xA7"],

        ["\xF1\xA8",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x48"],
        ["\xDD\x48",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xA8"],

        ["\xF1\xA9",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x49"],
        ["\xDD\x49",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xA9"],

        ["\xF1\xAA",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x51"],
        ["\xDD\x51",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xAA"],

        ["\xF1\xAB",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x52"],
        ["\xDD\x52",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],

        ["\xF1\xAC",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x53"],
        ["\xDD\x53",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xAC"],

        ["\xF1\xAD",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x54"],
        ["\xDD\x54",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xAD"],

        ["\xF1\xAE",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x55"],
        ["\xDD\x55",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xAE"],

        ["\xF1\xAF",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x56"],
        ["\xDD\x56",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xAF"],

        ["\xF1\xB0",'jipse','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x58"],
        ["\xDD\x58",'jipsj','jipse',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],

    );
    $|=1; print "1..",scalar(@test),"\n"; my $testno=1; sub ok { print $_[0]?'ok ':'not ok ',$testno++,$_[1]?" - $_[1]\n":"\n" }
}

use Jacode4e::RoundTrip;

for my $test (@test) {
    my($give,$OUTPUT_encoding,$INPUT_encoding,$option,$want) = @{$test};
    my $got = $give;
    my $return = Jacode4e::RoundTrip::convert(\$got,$OUTPUT_encoding,$INPUT_encoding,$option);

    my $option_content = '';
    if (defined $option) {
        $option_content .= qq{INPUT_LAYOUT=>$option->{'INPUT_LAYOUT'}}        if exists $option->{'INPUT_LAYOUT'};
        $option_content .= qq{OUTPUT_SHIFTING=>$option->{'OUTPUT_SHIFTING'}}  if exists $option->{'OUTPUT_SHIFTING'};
        $option_content .= qq{SPACE=>@{[uc unpack('H*',$option->{'SPACE'})]}} if exists $option->{'SPACE'};
        $option_content .= qq{GETA=>@{[uc unpack('H*',$option->{'GETA'})]}}   if exists $option->{'GETA'};
        $option_content = "{$option_content}";
    }

    ok(($return > 0) and ($got eq $want),
        sprintf(qq{$INPUT_encoding(%s) to $OUTPUT_encoding(%s), $option_content => return=$return,got=(%s)},
            uc unpack('H*',$give),
            uc unpack('H*',$want),
            uc unpack('H*',$got),
        )
    );
}

__END__
