######################################################################
#
# 5092_cp932x_by_jipse_RT_DBCS.t
#
# Copyright (c) 2018, 2019 INABA Hitoshi <ina@cpan.org> in a CPAN
######################################################################

use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";

BEGIN {
    use vars qw(@test);
    @test = (
        ["\x4F\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x40"],
        ["\x81\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4F"],

        ["\x4F\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x41"],
        ["\x81\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7F"],

        ["\x4F\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x42"],
        ["\x81\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7B"],

        ["\x4F\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x43"],
        ["\x81\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE0"],

        ["\x4F\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x44"],
        ["\x81\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6C"],

        ["\x4F\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x45"],
        ["\x81\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x50"],

        ["\x4F\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x46"],
        ["\x81\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7D"],

        ["\x4F\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x47"],
        ["\x81\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4D"],

        ["\x4F\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x48"],
        ["\x81\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5D"],

        ["\x4F\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x49"],
        ["\x81\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5C"],

        ["\x4F\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x4A"],
        ["\x81\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4E"],

        ["\x4F\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x4B"],
        ["\x81\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6B"],

        ["\x4F\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x4C"],
        ["\x81\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x60"],

        ["\x4F\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x4D"],
        ["\x81\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4B"],

        ["\x4F\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x4E"],
        ["\x81\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x61"],

        ["\x4F\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x4F"],
        ["\x81\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF0"],

        ["\x4F\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x50"],
        ["\x81\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF1"],

        ["\x4F\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x51"],
        ["\x81\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF2"],

        ["\x4F\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x52"],
        ["\x81\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF3"],

        ["\x4F\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x53"],
        ["\x81\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF4"],

        ["\x4F\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x54"],
        ["\x81\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF5"],

        ["\x4F\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x55"],
        ["\x81\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF6"],

        ["\x4F\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x56"],
        ["\x81\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF7"],

        ["\x4F\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x57"],
        ["\x81\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF8"],

        ["\x4F\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x58"],
        ["\x81\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xF9"],

        ["\x4F\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x59"],
        ["\x81\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7A"],

        ["\x4F\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x5A"],
        ["\x81\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5E"],

        ["\x4F\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x5B"],
        ["\x81\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4C"],

        ["\x4F\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x5C"],
        ["\x81\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7E"],

        ["\x4F\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x5D"],
        ["\x81\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6E"],

        ["\x4F\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x5E"],
        ["\x81\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6F"],

        ["\x4F\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x5F"],
        ["\x81\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x7C"],

        ["\x4F\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x60"],
        ["\x81\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC1"],

        ["\x4F\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x61"],
        ["\x81\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC2"],

        ["\x4F\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x62"],
        ["\x81\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC3"],

        ["\x4F\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x63"],
        ["\x81\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC4"],

        ["\x4F\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x64"],
        ["\x81\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC5"],

        ["\x4F\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x65"],
        ["\x81\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC6"],

        ["\x4F\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x66"],
        ["\x81\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC7"],

        ["\x4F\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x67"],
        ["\x81\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC8"],

        ["\x4F\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x68"],
        ["\x81\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC9"],

        ["\x4F\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x69"],
        ["\x81\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD1"],

        ["\x4F\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x6A"],
        ["\x81\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD2"],

        ["\x4F\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x6B"],
        ["\x81\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD3"],

        ["\x4F\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x6C"],
        ["\x81\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD4"],

        ["\x4F\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x6D"],
        ["\x81\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD5"],

        ["\x4F\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x6E"],
        ["\x81\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD6"],

        ["\x4F\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x6F"],
        ["\x81\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD7"],

        ["\x4F\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x70"],
        ["\x81\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD8"],

        ["\x4F\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x71"],
        ["\x81\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD9"],

        ["\x4F\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x72"],
        ["\x81\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE2"],

        ["\x4F\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x73"],
        ["\x81\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE3"],

        ["\x4F\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x74"],
        ["\x81\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE4"],

        ["\x4F\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x75"],
        ["\x81\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE5"],

        ["\x4F\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x76"],
        ["\x81\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE6"],

        ["\x4F\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x77"],
        ["\x81\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE7"],

        ["\x4F\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x78"],
        ["\x81\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE8"],

        ["\x4F\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x79"],
        ["\x81\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xE9"],

        ["\x4F\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x7A"],
        ["\x81\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x4A"],

        ["\x4F\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x7B"],
        ["\x81\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5B"],

        ["\x4F\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x7C"],
        ["\x81\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5A"],

        ["\x4F\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x7D"],
        ["\x81\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x5F"],

        ["\x4F\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x7E"],
        ["\x81\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6D"],

        ["\x4F\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x80"],
        ["\x81\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x79"],

        ["\x4F\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x81"],
        ["\x81\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x57"],

        ["\x4F\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x82"],
        ["\x81\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x59"],

        ["\x4F\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x83"],
        ["\x81\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x62"],

        ["\x4F\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x84"],
        ["\x81\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x63"],

        ["\x4F\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x85"],
        ["\x81\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x64"],

        ["\x4F\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x86"],
        ["\x81\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x65"],

        ["\x4F\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x87"],
        ["\x81\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x66"],

        ["\x4F\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x88"],
        ["\x81\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x67"],

        ["\x4F\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x89"],
        ["\x81\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x68"],

        ["\x4F\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x8A"],
        ["\x81\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x69"],

        ["\x4F\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x8B"],
        ["\x81\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x70"],

        ["\x4F\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x8C"],
        ["\x81\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x71"],

        ["\x4F\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x8D"],
        ["\x81\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x72"],

        ["\x4F\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x8E"],
        ["\x81\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x73"],

        ["\x4F\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x8F"],
        ["\x81\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x74"],

        ["\x4F\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x90"],
        ["\x81\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x75"],

        ["\x4F\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x91"],
        ["\x81\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x76"],

        ["\x4F\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x92"],
        ["\x81\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x77"],

        ["\x4F\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x93"],
        ["\x81\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x78"],

        ["\x4F\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x94"],
        ["\x81\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x80"],

        ["\x4F\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x95"],
        ["\x81\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x8B"],

        ["\x4F\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x96"],
        ["\x81\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x9B"],

        ["\x4F\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x97"],
        ["\x81\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x9C"],

        ["\x4F\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x98"],
        ["\x81\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA0"],

        ["\x4F\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x99"],
        ["\x81\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xAB"],

        ["\x4F\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x9A"],
        ["\x81\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xB0"],

        ["\x4F\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x9B"],
        ["\x81\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xC0"],

        ["\x4F\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x9C"],
        ["\x81\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\x6A"],

        ["\x4F\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x9D"],
        ["\x81\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xD0"],

        ["\x4F\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x9E"],
        ["\x81\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4F\xA1"],

        ["\x7F\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\x9F"],
        ["\x81\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x4F"],

        ["\x7F\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA0"],
        ["\x81\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x7F"],

        ["\x7F\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA1"],
        ["\x81\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x7B"],

        ["\x7F\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA2"],
        ["\x81\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\xE0"],

        ["\x7F\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA3"],
        ["\x81\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x6C"],

        ["\x7F\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA4"],
        ["\x81\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x50"],

        ["\x7F\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA5"],
        ["\x81\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x7D"],

        ["\x7F\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA6"],
        ["\x81\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x4D"],

        ["\x7F\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA7"],
        ["\x81\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x5D"],

        ["\x7F\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA8"],
        ["\x81\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x5C"],

        ["\x7F\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xA9"],
        ["\x81\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x4E"],

        ["\x7F\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xAA"],
        ["\x81\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x6B"],

        ["\x7F\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xAB"],
        ["\x81\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x60"],

        ["\x7F\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xAC"],
        ["\x81\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7F\x4B"],

        ["\x45\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xB8"],
        ["\x81\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA9"],

        ["\x45\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xB9"],
        ["\x81\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xAA"],

        ["\x46\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xBA"],
        ["\x81\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEA"],

        ["\x46\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xBB"],
        ["\x81\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEB"],

        ["\x45\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xBC"],
        ["\x81\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA7"],

        ["\x45\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xBD"],
        ["\x81\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA8"],

        ["\x60\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xBE"],
        ["\x81\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6A"],

        ["\x60\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xBF"],
        ["\x81\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC0"],

        ["\x45\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xC8"],
        ["\x81\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA5"],

        ["\x45\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xC9"],
        ["\x81\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xA6"],

        ["\x80\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xCA"],
        ["\x81\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x4F"],

        ["\x46\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xCB"],
        ["\x81\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEC"],

        ["\x46\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xCC"],
        ["\x81\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xED"],

        ["\x45\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xCD"],
        ["\x81\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB9"],

        ["\x45\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xCE"],
        ["\x81\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCA"],

        ["\x60\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xDA"],
        ["\x81\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x9C"],

        ["\x60\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xDB"],
        ["\x81\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x9B"],

        ["\x46\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xDC"],
        ["\x81\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEE"],

        ["\x45\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xDD"],
        ["\x81\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x9D"],

        ["\x46\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xDE"],
        ["\x81\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xEF"],

        ["\x60\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xDF"],
        ["\x81\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x76"],

        ["\x60\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xE0"],
        ["\x81\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x75"],

        ["\x45\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xE1"],
        ["\x81\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB3"],

        ["\x45\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xE2"],
        ["\x81\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB4"],

        ["\x60\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xE3"],
        ["\x81\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x8B"],

        ["\x45\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xE4"],
        ["\x81\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xBD"],

        ["\x45\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xE5"],
        ["\x81\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xBC"],

        ["\x60\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xE6"],
        ["\x81\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xB0"],

        ["\x60\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xE7"],
        ["\x81\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x77"],

        ["\x46\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xE8"],
        ["\x81\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFA"],

        ["\x44\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xF0"],
        ["\x81\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xBF"],

        ["\x44\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xF1"],
        ["\x81\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xFE"],

        ["\x46\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xF2"],
        ["\x81\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFB"],

        ["\x46\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xF3"],
        ["\x81\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFC"],

        ["\x46\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xF4"],
        ["\x81\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFD"],

        ["\x45\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xF5"],
        ["\x81\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDA"],

        ["\x45\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xF6"],
        ["\x81\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDB"],

        ["\x45\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xF7"],
        ["\x81\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDC"],

        ["\x46\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x81\xFC"],
        ["\x81\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x46\xFE"],

        ["\x7B\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x4F"],
        ["\x82\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF0"],

        ["\x7B\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x50"],
        ["\x82\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF1"],

        ["\x7B\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x51"],
        ["\x82\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF2"],

        ["\x7B\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x52"],
        ["\x82\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF3"],

        ["\x7B\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x53"],
        ["\x82\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF4"],

        ["\x7B\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x54"],
        ["\x82\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF5"],

        ["\x7B\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x55"],
        ["\x82\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF6"],

        ["\x7B\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x56"],
        ["\x82\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF7"],

        ["\x7B\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x57"],
        ["\x82\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF8"],

        ["\x7B\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x58"],
        ["\x82\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xF9"],

        ["\x7B\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x60"],
        ["\x82\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xC1"],

        ["\x7B\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x61"],
        ["\x82\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xC2"],

        ["\x7B\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x62"],
        ["\x82\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xC3"],

        ["\x7B\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x63"],
        ["\x82\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xC4"],

        ["\x7B\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x64"],
        ["\x82\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xC5"],

        ["\x7B\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x65"],
        ["\x82\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xC6"],

        ["\x7B\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x66"],
        ["\x82\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xC7"],

        ["\x7B\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x67"],
        ["\x82\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xC8"],

        ["\x7B\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x68"],
        ["\x82\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xC9"],

        ["\x7B\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x69"],
        ["\x82\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xD1"],

        ["\x7B\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x6A"],
        ["\x82\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xD2"],

        ["\x7B\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x6B"],
        ["\x82\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xD3"],

        ["\x7B\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x6C"],
        ["\x82\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xD4"],

        ["\x7B\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x6D"],
        ["\x82\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xD5"],

        ["\x7B\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x6E"],
        ["\x82\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xD6"],

        ["\x7B\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x6F"],
        ["\x82\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xD7"],

        ["\x7B\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x70"],
        ["\x82\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xD8"],

        ["\x7B\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x71"],
        ["\x82\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xD9"],

        ["\x7B\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x72"],
        ["\x82\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xE2"],

        ["\x7B\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x73"],
        ["\x82\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xE3"],

        ["\x7B\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x74"],
        ["\x82\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xE4"],

        ["\x7B\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x75"],
        ["\x82\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xE5"],

        ["\x7B\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x76"],
        ["\x82\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xE6"],

        ["\x7B\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x77"],
        ["\x82\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xE7"],

        ["\x7B\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x78"],
        ["\x82\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xE8"],

        ["\x7B\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x79"],
        ["\x82\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xE9"],

        ["\x7B\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x81"],
        ["\x82\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x57"],

        ["\x7B\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x82"],
        ["\x82\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x59"],

        ["\x7B\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x83"],
        ["\x82\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x62"],

        ["\x7B\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x84"],
        ["\x82\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x63"],

        ["\x7B\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x85"],
        ["\x82\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x64"],

        ["\x7B\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x86"],
        ["\x82\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x65"],

        ["\x7B\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x87"],
        ["\x82\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x66"],

        ["\x7B\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x88"],
        ["\x82\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x67"],

        ["\x7B\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x89"],
        ["\x82\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x68"],

        ["\x7B\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x8A"],
        ["\x82\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x69"],

        ["\x7B\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x8B"],
        ["\x82\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x70"],

        ["\x7B\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x8C"],
        ["\x82\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x71"],

        ["\x7B\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x8D"],
        ["\x82\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x72"],

        ["\x7B\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x8E"],
        ["\x82\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x73"],

        ["\x7B\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x8F"],
        ["\x82\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x74"],

        ["\x7B\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x90"],
        ["\x82\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x75"],

        ["\x7B\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x91"],
        ["\x82\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x76"],

        ["\x7B\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x92"],
        ["\x82\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x77"],

        ["\x7B\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x93"],
        ["\x82\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x78"],

        ["\x7B\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x94"],
        ["\x82\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x80"],

        ["\x7B\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x95"],
        ["\x82\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x8B"],

        ["\x7B\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x96"],
        ["\x82\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x9B"],

        ["\x7B\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x97"],
        ["\x82\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\x9C"],

        ["\x7B\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x98"],
        ["\x82\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xA0"],

        ["\x7B\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x99"],
        ["\x82\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xAB"],

        ["\x7B\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x9A"],
        ["\x82\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7B\xB0"],

        ["\xE0\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\x9F"],
        ["\x82\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x4F"],

        ["\xE0\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA0"],
        ["\x82\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x7F"],

        ["\xE0\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA1"],
        ["\x82\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x7B"],

        ["\xE0\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA2"],
        ["\x82\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],

        ["\xE0\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA3"],
        ["\x82\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x6C"],

        ["\xE0\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA4"],
        ["\x82\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x50"],

        ["\xE0\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA5"],
        ["\x82\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x7D"],

        ["\xE0\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA6"],
        ["\x82\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x4D"],

        ["\xE0\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA7"],
        ["\x82\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x5D"],

        ["\xE0\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA8"],
        ["\x82\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x5C"],

        ["\xE0\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xA9"],
        ["\x82\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x4E"],

        ["\xE0\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xAA"],
        ["\x82\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x6B"],

        ["\xE0\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xAB"],
        ["\x82\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x60"],

        ["\xE0\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xAC"],
        ["\x82\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x4B"],

        ["\xE0\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xAD"],
        ["\x82\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x61"],

        ["\xE0\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xAE"],
        ["\x82\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],

        ["\xE0\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xAF"],
        ["\x82\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],

        ["\xE0\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB0"],
        ["\x82\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],

        ["\xE0\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB1"],
        ["\x82\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],

        ["\xE0\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB2"],
        ["\x82\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],

        ["\xE0\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB3"],
        ["\x82\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],

        ["\xE0\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB4"],
        ["\x82\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],

        ["\xE0\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB5"],
        ["\x82\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],

        ["\xE0\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB6"],
        ["\x82\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],

        ["\xE0\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB7"],
        ["\x82\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],

        ["\xE0\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB8"],
        ["\x82\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x7A"],

        ["\xE0\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xB9"],
        ["\x82\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x5E"],

        ["\xE0\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xBA"],
        ["\x82\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x4C"],

        ["\xE0\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xBB"],
        ["\x82\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x7E"],

        ["\xE0\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xBC"],
        ["\x82\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x6E"],

        ["\xE0\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xBD"],
        ["\x82\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x6F"],

        ["\xE0\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xBE"],
        ["\x82\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x7C"],

        ["\xE0\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xBF"],
        ["\x82\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],

        ["\xE0\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC0"],
        ["\x82\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],

        ["\xE0\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC1"],
        ["\x82\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],

        ["\xE0\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC2"],
        ["\x82\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],

        ["\xE0\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC3"],
        ["\x82\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],

        ["\xE0\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC4"],
        ["\x82\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],

        ["\xE0\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC5"],
        ["\x82\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],

        ["\xE0\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC6"],
        ["\x82\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],

        ["\xE0\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC7"],
        ["\x82\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],

        ["\xE0\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC8"],
        ["\x82\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],

        ["\xE0\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xC9"],
        ["\x82\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],

        ["\xE0\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xCA"],
        ["\x82\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],

        ["\xE0\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xCB"],
        ["\x82\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],

        ["\xE0\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xCC"],
        ["\x82\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],

        ["\xE0\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xCD"],
        ["\x82\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],

        ["\xE0\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xCE"],
        ["\x82\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],

        ["\xE0\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xCF"],
        ["\x82\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],

        ["\xE0\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD0"],
        ["\x82\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],

        ["\xE0\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD1"],
        ["\x82\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],

        ["\xE0\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD2"],
        ["\x82\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],

        ["\xE0\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD3"],
        ["\x82\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],

        ["\xE0\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD4"],
        ["\x82\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],

        ["\xE0\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD5"],
        ["\x82\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],

        ["\xE0\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD6"],
        ["\x82\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],

        ["\xE0\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD7"],
        ["\x82\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],

        ["\xE0\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD8"],
        ["\x82\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],

        ["\xE0\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xD9"],
        ["\x82\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x4A"],

        ["\xE0\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xDA"],
        ["\x82\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x5B"],

        ["\xE0\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xDB"],
        ["\x82\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x5A"],

        ["\xE0\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xDC"],
        ["\x82\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x5F"],

        ["\xE0\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xDD"],
        ["\x82\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x6D"],

        ["\xE0\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xDE"],
        ["\x82\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x79"],

        ["\xE0\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xDF"],
        ["\x82\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x57"],

        ["\xE0\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE0"],
        ["\x82\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x59"],

        ["\xE0\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE1"],
        ["\x82\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x62"],

        ["\xE0\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE2"],
        ["\x82\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x63"],

        ["\xE0\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE3"],
        ["\x82\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x64"],

        ["\xE0\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE4"],
        ["\x82\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x65"],

        ["\xE0\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE5"],
        ["\x82\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x66"],

        ["\xE0\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE6"],
        ["\x82\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x67"],

        ["\xE0\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE7"],
        ["\x82\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x68"],

        ["\xE0\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE8"],
        ["\x82\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x69"],

        ["\xE0\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xE9"],
        ["\x82\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x70"],

        ["\xE0\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xEA"],
        ["\x82\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x71"],

        ["\xE0\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xEB"],
        ["\x82\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x72"],

        ["\xE0\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xEC"],
        ["\x82\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x73"],

        ["\xE0\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xED"],
        ["\x82\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x74"],

        ["\xE0\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xEE"],
        ["\x82\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x75"],

        ["\xE0\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xEF"],
        ["\x82\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x76"],

        ["\xE0\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xF0"],
        ["\x82\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x77"],

        ["\xE0\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x82\xF1"],
        ["\x82\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE0\x78"],

        ["\x6C\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x40"],
        ["\x83\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x4F"],

        ["\x6C\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x41"],
        ["\x83\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x7F"],

        ["\x6C\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x42"],
        ["\x83\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x7B"],

        ["\x6C\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x43"],
        ["\x83\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xE0"],

        ["\x6C\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x44"],
        ["\x83\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x6C"],

        ["\x6C\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x45"],
        ["\x83\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x50"],

        ["\x6C\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x46"],
        ["\x83\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x7D"],

        ["\x6C\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x47"],
        ["\x83\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x4D"],

        ["\x6C\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x48"],
        ["\x83\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x5D"],

        ["\x6C\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x49"],
        ["\x83\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x5C"],

        ["\x6C\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x4A"],
        ["\x83\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x4E"],

        ["\x6C\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x4B"],
        ["\x83\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x6B"],

        ["\x6C\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x4C"],
        ["\x83\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x60"],

        ["\x6C\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x4D"],
        ["\x83\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x4B"],

        ["\x6C\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x4E"],
        ["\x83\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x61"],

        ["\x6C\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x4F"],
        ["\x83\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF0"],

        ["\x6C\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x50"],
        ["\x83\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF1"],

        ["\x6C\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x51"],
        ["\x83\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF2"],

        ["\x6C\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x52"],
        ["\x83\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF3"],

        ["\x6C\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x53"],
        ["\x83\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF4"],

        ["\x6C\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x54"],
        ["\x83\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF5"],

        ["\x6C\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x55"],
        ["\x83\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF6"],

        ["\x6C\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x56"],
        ["\x83\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF7"],

        ["\x6C\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x57"],
        ["\x83\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF8"],

        ["\x6C\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x58"],
        ["\x83\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xF9"],

        ["\x6C\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x59"],
        ["\x83\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x7A"],

        ["\x6C\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x5A"],
        ["\x83\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x5E"],

        ["\x6C\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x5B"],
        ["\x83\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x4C"],

        ["\x6C\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x5C"],
        ["\x83\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x7E"],

        ["\x6C\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x5D"],
        ["\x83\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x6E"],

        ["\x6C\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x5E"],
        ["\x83\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x6F"],

        ["\x6C\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x5F"],
        ["\x83\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x7C"],

        ["\x6C\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x60"],
        ["\x83\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xC1"],

        ["\x6C\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x61"],
        ["\x83\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xC2"],

        ["\x6C\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x62"],
        ["\x83\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xC3"],

        ["\x6C\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x63"],
        ["\x83\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xC4"],

        ["\x6C\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x64"],
        ["\x83\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xC5"],

        ["\x6C\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x65"],
        ["\x83\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xC6"],

        ["\x6C\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x66"],
        ["\x83\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xC7"],

        ["\x6C\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x67"],
        ["\x83\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xC8"],

        ["\x6C\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x68"],
        ["\x83\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xC9"],

        ["\x6C\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x69"],
        ["\x83\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xD1"],

        ["\x6C\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x6A"],
        ["\x83\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xD2"],

        ["\x6C\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x6B"],
        ["\x83\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xD3"],

        ["\x6C\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x6C"],
        ["\x83\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xD4"],

        ["\x6C\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x6D"],
        ["\x83\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xD5"],

        ["\x6C\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x6E"],
        ["\x83\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xD6"],

        ["\x6C\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x6F"],
        ["\x83\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xD7"],

        ["\x6C\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x70"],
        ["\x83\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xD8"],

        ["\x6C\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x71"],
        ["\x83\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xD9"],

        ["\x6C\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x72"],
        ["\x83\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xE2"],

        ["\x6C\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x73"],
        ["\x83\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xE3"],

        ["\x6C\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x74"],
        ["\x83\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xE4"],

        ["\x6C\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x75"],
        ["\x83\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xE5"],

        ["\x6C\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x76"],
        ["\x83\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xE6"],

        ["\x6C\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x77"],
        ["\x83\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xE7"],

        ["\x6C\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x78"],
        ["\x83\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xE8"],

        ["\x6C\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x79"],
        ["\x83\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\xE9"],

        ["\x6C\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x7A"],
        ["\x83\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x4A"],

        ["\x6C\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x7B"],
        ["\x83\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x5B"],

        ["\x6C\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x7C"],
        ["\x83\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x5A"],

        ["\x6C\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x7D"],
        ["\x83\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x5F"],

        ["\x6C\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x7E"],
        ["\x83\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x6D"],

        ["\x6C\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x80"],
        ["\x83\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x79"],

        ["\x6C\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x81"],
        ["\x83\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x57"],

        ["\x6C\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x82"],
        ["\x83\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x59"],

        ["\x6C\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x83"],
        ["\x83\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x62"],

        ["\x6C\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x84"],
        ["\x83\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x63"],

        ["\x6C\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x85"],
        ["\x83\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x64"],

        ["\x6C\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x86"],
        ["\x83\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x65"],

        ["\x6C\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x87"],
        ["\x83\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x66"],

        ["\x6C\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x88"],
        ["\x83\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x67"],

        ["\x6C\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x89"],
        ["\x83\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x68"],

        ["\x6C\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x8A"],
        ["\x83\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x69"],

        ["\x6C\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x8B"],
        ["\x83\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x70"],

        ["\x6C\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x8C"],
        ["\x83\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x71"],

        ["\x6C\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x8D"],
        ["\x83\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x72"],

        ["\x6C\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x8E"],
        ["\x83\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x73"],

        ["\x6C\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x8F"],
        ["\x83\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x74"],

        ["\x6C\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x90"],
        ["\x83\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x75"],

        ["\x6C\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x91"],
        ["\x83\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x76"],

        ["\x6C\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x92"],
        ["\x83\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x77"],

        ["\x6C\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x93"],
        ["\x83\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x78"],

        ["\x6C\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x94"],
        ["\x83\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x80"],

        ["\x6C\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x95"],
        ["\x83\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x8B"],

        ["\x6C\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x96"],
        ["\x83\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6C\x9B"],

        ["\x50\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\x9F"],
        ["\x83\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4F"],

        ["\x50\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA0"],
        ["\x83\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x7F"],

        ["\x50\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA1"],
        ["\x83\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x7B"],

        ["\x50\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA2"],
        ["\x83\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE0"],

        ["\x50\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA3"],
        ["\x83\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x6C"],

        ["\x50\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA4"],
        ["\x83\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x50"],

        ["\x50\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA5"],
        ["\x83\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x7D"],

        ["\x50\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA6"],
        ["\x83\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4D"],

        ["\x50\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA7"],
        ["\x83\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x5D"],

        ["\x50\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA8"],
        ["\x83\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x5C"],

        ["\x50\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xA9"],
        ["\x83\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4E"],

        ["\x50\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xAA"],
        ["\x83\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x6B"],

        ["\x50\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xAB"],
        ["\x83\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x60"],

        ["\x50\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xAC"],
        ["\x83\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x4B"],

        ["\x50\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xAD"],
        ["\x83\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\x61"],

        ["\x50\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xAE"],
        ["\x83\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF0"],

        ["\x50\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xAF"],
        ["\x83\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF1"],

        ["\x50\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xB0"],
        ["\x83\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF2"],

        ["\x50\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xB1"],
        ["\x83\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF3"],

        ["\x50\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xB2"],
        ["\x83\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF4"],

        ["\x50\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xB3"],
        ["\x83\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF5"],

        ["\x50\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xB4"],
        ["\x83\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF6"],

        ["\x50\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xB5"],
        ["\x83\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF7"],

        ["\x50\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xB6"],
        ["\x83\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xF8"],

        ["\x50\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xBF"],
        ["\x83\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC1"],

        ["\x50\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC0"],
        ["\x83\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC2"],

        ["\x50\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC1"],
        ["\x83\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC3"],

        ["\x50\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC2"],
        ["\x83\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC4"],

        ["\x50\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC3"],
        ["\x83\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC5"],

        ["\x50\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC4"],
        ["\x83\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC6"],

        ["\x50\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC5"],
        ["\x83\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC7"],

        ["\x50\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC6"],
        ["\x83\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC8"],

        ["\x50\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC7"],
        ["\x83\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xC9"],

        ["\x50\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC8"],
        ["\x83\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD1"],

        ["\x50\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xC9"],
        ["\x83\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD2"],

        ["\x50\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xCA"],
        ["\x83\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD3"],

        ["\x50\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xCB"],
        ["\x83\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD4"],

        ["\x50\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xCC"],
        ["\x83\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD5"],

        ["\x50\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xCD"],
        ["\x83\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD6"],

        ["\x50\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xCE"],
        ["\x83\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD7"],

        ["\x50\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xCF"],
        ["\x83\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD8"],

        ["\x50\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xD0"],
        ["\x83\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xD9"],

        ["\x50\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xD1"],
        ["\x83\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE2"],

        ["\x50\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xD2"],
        ["\x83\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE3"],

        ["\x50\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xD3"],
        ["\x83\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE4"],

        ["\x50\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xD4"],
        ["\x83\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE5"],

        ["\x50\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xD5"],
        ["\x83\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE6"],

        ["\x50\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x83\xD6"],
        ["\x83\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x50\xE7"],

        ["\x7D\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x40"],
        ["\x84\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x4F"],

        ["\x7D\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x41"],
        ["\x84\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x7F"],

        ["\x7D\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x42"],
        ["\x84\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x7B"],

        ["\x7D\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x43"],
        ["\x84\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xE0"],

        ["\x7D\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x44"],
        ["\x84\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x6C"],

        ["\x7D\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x45"],
        ["\x84\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x50"],

        ["\x7D\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x46"],
        ["\x84\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x7D"],

        ["\x7D\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x47"],
        ["\x84\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x4D"],

        ["\x7D\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x48"],
        ["\x84\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x5D"],

        ["\x7D\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x49"],
        ["\x84\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x5C"],

        ["\x7D\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x4A"],
        ["\x84\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x4E"],

        ["\x7D\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x4B"],
        ["\x84\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x6B"],

        ["\x7D\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x4C"],
        ["\x84\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x60"],

        ["\x7D\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x4D"],
        ["\x84\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x4B"],

        ["\x7D\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x4E"],
        ["\x84\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x61"],

        ["\x7D\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x4F"],
        ["\x84\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF0"],

        ["\x7D\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x50"],
        ["\x84\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF1"],

        ["\x7D\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x51"],
        ["\x84\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF2"],

        ["\x7D\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x52"],
        ["\x84\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF3"],

        ["\x7D\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x53"],
        ["\x84\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF4"],

        ["\x7D\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x54"],
        ["\x84\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF5"],

        ["\x7D\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x55"],
        ["\x84\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF6"],

        ["\x7D\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x56"],
        ["\x84\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF7"],

        ["\x7D\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x57"],
        ["\x84\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF8"],

        ["\x7D\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x58"],
        ["\x84\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xF9"],

        ["\x7D\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x59"],
        ["\x84\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x7A"],

        ["\x7D\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x5A"],
        ["\x84\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x5E"],

        ["\x7D\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x5B"],
        ["\x84\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x4C"],

        ["\x7D\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x5C"],
        ["\x84\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x7E"],

        ["\x7D\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x5D"],
        ["\x84\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x6E"],

        ["\x7D\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x5E"],
        ["\x84\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x6F"],

        ["\x7D\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x5F"],
        ["\x84\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x7C"],

        ["\x7D\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x60"],
        ["\x84\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xC1"],

        ["\x7D\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x70"],
        ["\x84\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xD8"],

        ["\x7D\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x71"],
        ["\x84\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xD9"],

        ["\x7D\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x72"],
        ["\x84\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xE2"],

        ["\x7D\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x73"],
        ["\x84\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xE3"],

        ["\x7D\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x74"],
        ["\x84\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xE4"],

        ["\x7D\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x75"],
        ["\x84\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xE5"],

        ["\x7D\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x76"],
        ["\x84\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xE6"],

        ["\x7D\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x77"],
        ["\x84\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xE7"],

        ["\x7D\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x78"],
        ["\x84\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xE8"],

        ["\x7D\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x79"],
        ["\x84\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\xE9"],

        ["\x7D\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x7A"],
        ["\x84\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x4A"],

        ["\x7D\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x7B"],
        ["\x84\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x5B"],

        ["\x7D\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x7C"],
        ["\x84\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x5A"],

        ["\x7D\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x7D"],
        ["\x84\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x5F"],

        ["\x7D\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x7E"],
        ["\x84\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x6D"],

        ["\x7D\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x80"],
        ["\x84\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x79"],

        ["\x7D\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x81"],
        ["\x84\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x57"],

        ["\x7D\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x82"],
        ["\x84\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x59"],

        ["\x7D\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x83"],
        ["\x84\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x62"],

        ["\x7D\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x84"],
        ["\x84\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x63"],

        ["\x7D\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x85"],
        ["\x84\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x64"],

        ["\x7D\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x86"],
        ["\x84\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x65"],

        ["\x7D\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x87"],
        ["\x84\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x66"],

        ["\x7D\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x88"],
        ["\x84\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x67"],

        ["\x7D\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x89"],
        ["\x84\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x68"],

        ["\x7D\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x8A"],
        ["\x84\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x69"],

        ["\x7D\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x8B"],
        ["\x84\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x70"],

        ["\x7D\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x8C"],
        ["\x84\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x71"],

        ["\x7D\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x8D"],
        ["\x84\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x72"],

        ["\x7D\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x8E"],
        ["\x84\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x73"],

        ["\x7D\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x8F"],
        ["\x84\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x74"],

        ["\x7D\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x90"],
        ["\x84\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x75"],

        ["\x7D\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x91"],
        ["\x84\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7D\x76"],

        ["\x6B\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\x9F"],
        ["\x84\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xE0"],

        ["\x6B\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA0"],
        ["\x84\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x50"],

        ["\x6B\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA1"],
        ["\x84\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xF0"],

        ["\x6B\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA2"],
        ["\x84\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xF4"],

        ["\x6B\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA3"],
        ["\x84\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x4C"],

        ["\x6B\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA4"],
        ["\x84\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xF8"],

        ["\x6B\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA5"],
        ["\x84\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x7C"],

        ["\x6B\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA6"],
        ["\x84\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xD7"],

        ["\x6B\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA7"],
        ["\x84\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xC8"],

        ["\x6B\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA8"],
        ["\x84\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xE7"],

        ["\x6B\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xA9"],
        ["\x84\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x79"],

        ["\x6B\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xAA"],
        ["\x84\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x6C"],

        ["\x6B\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xAB"],
        ["\x84\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x7D"],

        ["\x6B\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xAC"],
        ["\x84\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xF3"],

        ["\x6B\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xAD"],
        ["\x84\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xF7"],

        ["\x6B\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xAE"],
        ["\x84\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x6F"],

        ["\x6B\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xAF"],
        ["\x84\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x5E"],

        ["\x6B\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB0"],
        ["\x84\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xC7"],

        ["\x6B\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB1"],
        ["\x84\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xE6"],

        ["\x6B\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB2"],
        ["\x84\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xD6"],

        ["\x6B\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB3"],
        ["\x84\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x6D"],

        ["\x6B\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB4"],
        ["\x84\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x74"],

        ["\x6B\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB5"],
        ["\x84\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xC4"],

        ["\x6B\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB6"],
        ["\x84\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xE2"],

        ["\x6B\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB7"],
        ["\x84\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xD3"],

        ["\x6B\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB8"],
        ["\x84\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x4A"],

        ["\x6B\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xB9"],
        ["\x84\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x62"],

        ["\x6B\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xBA"],
        ["\x84\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xC1"],

        ["\x6B\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xBB"],
        ["\x84\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xE3"],

        ["\x6B\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xBC"],
        ["\x84\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\xC9"],

        ["\x6B\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xBD"],
        ["\x84\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x5B"],

        ["\x6B\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x84\xBE"],
        ["\x84\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6B\x65"],

        ["\x60\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x40"],
        ["\x87\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4F"],

        ["\x60\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x41"],
        ["\x87\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7F"],

        ["\x60\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x42"],
        ["\x87\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7B"],

        ["\x60\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x43"],
        ["\x87\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE0"],

        ["\x60\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x44"],
        ["\x87\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6C"],

        ["\x60\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x45"],
        ["\x87\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x50"],

        ["\x60\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x46"],
        ["\x87\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7D"],

        ["\x60\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x47"],
        ["\x87\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4D"],

        ["\x60\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x48"],
        ["\x87\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x5D"],

        ["\x60\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x49"],
        ["\x87\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x5C"],

        ["\x60\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x4A"],
        ["\x87\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4E"],

        ["\x60\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x4B"],
        ["\x87\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6B"],

        ["\x60\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x4C"],
        ["\x87\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x60"],

        ["\x60\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x4D"],
        ["\x87\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4B"],

        ["\x60\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x4E"],
        ["\x87\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x61"],

        ["\x60\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x4F"],
        ["\x87\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF0"],

        ["\x60\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x50"],
        ["\x87\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF1"],

        ["\x60\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x51"],
        ["\x87\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF2"],

        ["\x60\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x52"],
        ["\x87\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF3"],

        ["\x60\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x53"],
        ["\x87\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF4"],

        ["\x60\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x54"],
        ["\x87\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF5"],

        ["\x60\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x55"],
        ["\x87\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF6"],

        ["\x60\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x56"],
        ["\x87\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF7"],

        ["\x60\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x57"],
        ["\x87\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF8"],

        ["\x60\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x58"],
        ["\x87\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xF9"],

        ["\x60\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x59"],
        ["\x87\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7A"],

        ["\x60\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x5A"],
        ["\x87\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x5E"],

        ["\x60\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x5B"],
        ["\x87\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x4C"],

        ["\x60\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x5C"],
        ["\x87\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7E"],

        ["\x60\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x5D"],
        ["\x87\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6E"],

        ["\x60\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x5F"],
        ["\x87\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x7C"],

        ["\x60\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x60"],
        ["\x87\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC1"],

        ["\x60\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x61"],
        ["\x87\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC2"],

        ["\x60\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x62"],
        ["\x87\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC3"],

        ["\x60\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x63"],
        ["\x87\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC4"],

        ["\x60\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x64"],
        ["\x87\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC5"],

        ["\x60\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x65"],
        ["\x87\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC6"],

        ["\x60\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x66"],
        ["\x87\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC7"],

        ["\x60\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x67"],
        ["\x87\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC8"],

        ["\x60\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x68"],
        ["\x87\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xC9"],

        ["\x60\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x69"],
        ["\x87\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD1"],

        ["\x60\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x6A"],
        ["\x87\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD2"],

        ["\x60\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x6B"],
        ["\x87\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD3"],

        ["\x60\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x6C"],
        ["\x87\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD4"],

        ["\x60\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x6D"],
        ["\x87\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD5"],

        ["\x60\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x6E"],
        ["\x87\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD6"],

        ["\x60\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x6F"],
        ["\x87\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD7"],

        ["\x60\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x70"],
        ["\x87\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD8"],

        ["\x60\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x71"],
        ["\x87\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xD9"],

        ["\x60\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x72"],
        ["\x87\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE2"],

        ["\x60\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x73"],
        ["\x87\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE3"],

        ["\x60\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x74"],
        ["\x87\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE4"],

        ["\x60\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x75"],
        ["\x87\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xE5"],

        ["\x60\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x7E"],
        ["\x87\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x6D"],

        ["\x60\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x80"],
        ["\x87\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x79"],

        ["\x60\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x81"],
        ["\x87\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x57"],

        ["\x60\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x82"],
        ["\x87\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x59"],

        ["\x60\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x83"],
        ["\x87\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x62"],

        ["\x60\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x84"],
        ["\x87\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x63"],

        ["\x60\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x85"],
        ["\x87\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x64"],

        ["\x60\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x86"],
        ["\x87\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x65"],

        ["\x60\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x87"],
        ["\x87\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x66"],

        ["\x60\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x88"],
        ["\x87\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x67"],

        ["\x60\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x89"],
        ["\x87\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x68"],

        ["\x60\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x8A"],
        ["\x87\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x69"],

        ["\x60\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x8B"],
        ["\x87\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x70"],

        ["\x60\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x8C"],
        ["\x87\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x71"],

        ["\x60\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x8D"],
        ["\x87\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x72"],

        ["\x60\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x8E"],
        ["\x87\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x73"],

        ["\x60\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x8F"],
        ["\x87\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x74"],

        ["\x60\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x93"],
        ["\x87\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x78"],

        ["\x60\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x94"],
        ["\x87\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\x80"],

        ["\x60\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x98"],
        ["\x87\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xA0"],

        ["\x60\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x87\x99"],
        ["\x87\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x60\xAB"],

        ["\xF0\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\x9F"],
        ["\x88\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x4F"],

        ["\xF0\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA0"],
        ["\x88\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x7F"],

        ["\xF0\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA1"],
        ["\x88\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x7B"],

        ["\xF0\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA2"],
        ["\x88\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],

        ["\xF0\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA3"],
        ["\x88\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x6C"],

        ["\xF0\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA4"],
        ["\x88\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x50"],

        ["\xF0\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA5"],
        ["\x88\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x7D"],

        ["\xF0\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA6"],
        ["\x88\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x4D"],

        ["\xF0\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA7"],
        ["\x88\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x5D"],

        ["\xF0\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA8"],
        ["\x88\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x5C"],

        ["\xF0\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xA9"],
        ["\x88\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x4E"],

        ["\xF0\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xAA"],
        ["\x88\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x6B"],

        ["\xF0\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xAB"],
        ["\x88\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x60"],

        ["\xF0\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xAC"],
        ["\x88\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x4B"],

        ["\xF0\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xAD"],
        ["\x88\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x61"],

        ["\xF0\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xAE"],
        ["\x88\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],

        ["\xF0\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xAF"],
        ["\x88\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],

        ["\xF0\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB0"],
        ["\x88\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],

        ["\x77\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB1"],
        ["\x88\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD4"],

        ["\xF0\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB2"],
        ["\x88\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],

        ["\xF0\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB3"],
        ["\x88\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],

        ["\xF0\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB4"],
        ["\x88\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],

        ["\xF0\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB5"],
        ["\x88\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],

        ["\xF0\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB6"],
        ["\x88\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],

        ["\xF0\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB7"],
        ["\x88\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],

        ["\xF0\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB8"],
        ["\x88\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x7A"],

        ["\xF0\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xB9"],
        ["\x88\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x5E"],

        ["\xF0\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xBA"],
        ["\x88\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x4C"],

        ["\xF0\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xBB"],
        ["\x88\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x7E"],

        ["\xF0\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xBC"],
        ["\x88\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x6E"],

        ["\xF0\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xBD"],
        ["\x88\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x6F"],

        ["\xF0\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xBE"],
        ["\x88\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x7C"],

        ["\xF0\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xBF"],
        ["\x88\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],

        ["\xF0\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC0"],
        ["\x88\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],

        ["\xF0\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC1"],
        ["\x88\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],

        ["\xF0\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC2"],
        ["\x88\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],

        ["\xF0\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC3"],
        ["\x88\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],

        ["\xF0\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC4"],
        ["\x88\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],

        ["\xF0\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC5"],
        ["\x88\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],

        ["\xF0\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC6"],
        ["\x88\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],

        ["\xF0\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC7"],
        ["\x88\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],

        ["\xF0\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC8"],
        ["\x88\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],

        ["\xF0\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xC9"],
        ["\x88\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],

        ["\xF0\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xCA"],
        ["\x88\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],

        ["\xF0\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xCB"],
        ["\x88\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],

        ["\xF0\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xCC"],
        ["\x88\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],

        ["\xF0\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xCD"],
        ["\x88\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],

        ["\xF0\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xCE"],
        ["\x88\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],

        ["\xF0\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xCF"],
        ["\x88\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],

        ["\xF0\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD0"],
        ["\x88\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],

        ["\xF0\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD1"],
        ["\x88\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],

        ["\xF0\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD2"],
        ["\x88\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],

        ["\xF0\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD3"],
        ["\x88\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],

        ["\xF0\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD4"],
        ["\x88\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],

        ["\xF0\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD5"],
        ["\x88\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],

        ["\xF0\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD6"],
        ["\x88\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],

        ["\xF0\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD7"],
        ["\x88\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],

        ["\xF0\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD8"],
        ["\x88\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],

        ["\xF0\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xD9"],
        ["\x88\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x4A"],

        ["\xF0\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xDA"],
        ["\x88\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x5B"],

        ["\xF0\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xDB"],
        ["\x88\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x5A"],

        ["\xF0\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xDC"],
        ["\x88\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x5F"],

        ["\xF0\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xDD"],
        ["\x88\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x6D"],

        ["\xF0\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xDE"],
        ["\x88\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x79"],

        ["\xF0\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xDF"],
        ["\x88\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x57"],

        ["\xF0\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE0"],
        ["\x88\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x59"],

        ["\xF0\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE1"],
        ["\x88\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x62"],

        ["\xF0\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE2"],
        ["\x88\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x63"],

        ["\xF0\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE3"],
        ["\x88\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x64"],

        ["\xF0\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE4"],
        ["\x88\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x65"],

        ["\xF0\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE5"],
        ["\x88\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x66"],

        ["\xF0\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE6"],
        ["\x88\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x67"],

        ["\xF0\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE7"],
        ["\x88\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x68"],

        ["\xF0\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE8"],
        ["\x88\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x69"],

        ["\xF0\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xE9"],
        ["\x88\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x70"],

        ["\xF0\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xEA"],
        ["\x88\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x71"],

        ["\xF0\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xEB"],
        ["\x88\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x72"],

        ["\xF0\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xEC"],
        ["\x88\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x73"],

        ["\xF0\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xED"],
        ["\x88\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x74"],

        ["\xF0\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xEE"],
        ["\x88\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x75"],

        ["\xF0\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xEF"],
        ["\x88\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x76"],

        ["\xF0\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF0"],
        ["\x88\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x77"],

        ["\xF0\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF1"],
        ["\x88\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x78"],

        ["\xF0\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF2"],
        ["\x88\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x80"],

        ["\xF0\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF3"],
        ["\x88\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x8B"],

        ["\xF0\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF4"],
        ["\x88\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x9B"],

        ["\xF0\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF5"],
        ["\x88\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x9C"],

        ["\xF0\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF6"],
        ["\x88\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0"],

        ["\xF0\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF7"],
        ["\x88\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],

        ["\xF0\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF8"],
        ["\x88\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],

        ["\xF0\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xF9"],
        ["\x88\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],

        ["\xF0\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xFA"],
        ["\x88\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\x6A"],

        ["\xF0\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xFB"],
        ["\x88\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],

        ["\xF0\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x88\xFC"],
        ["\x88\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],

        ["\xF1\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x40"],
        ["\x89\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x4F"],

        ["\xF1\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x41"],
        ["\x89\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x7F"],

        ["\xF1\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x42"],
        ["\x89\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x7B"],

        ["\xF1\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x43"],
        ["\x89\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xE0"],

        ["\xF1\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x44"],
        ["\x89\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x6C"],

        ["\xF1\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x45"],
        ["\x89\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x50"],

        ["\xF1\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x46"],
        ["\x89\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x7D"],

        ["\xF1\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x47"],
        ["\x89\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x4D"],

        ["\xF1\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x48"],
        ["\x89\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x5D"],

        ["\xF1\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x49"],
        ["\x89\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x5C"],

        ["\xF1\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x4A"],
        ["\x89\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x4E"],

        ["\xF1\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x4B"],
        ["\x89\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x6B"],

        ["\xF1\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x4C"],
        ["\x89\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x60"],

        ["\xF1\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x4D"],
        ["\x89\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x4B"],

        ["\xF1\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x4E"],
        ["\x89\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x61"],

        ["\xF1\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x4F"],
        ["\x89\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF0"],

        ["\xF1\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x50"],
        ["\x89\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF1"],

        ["\xF1\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x51"],
        ["\x89\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF2"],

        ["\xF1\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x52"],
        ["\x89\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF3"],

        ["\xF1\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x53"],
        ["\x89\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF4"],

        ["\xF1\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x54"],
        ["\x89\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF5"],

        ["\xF1\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x55"],
        ["\x89\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF6"],

        ["\xF1\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x56"],
        ["\x89\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF7"],

        ["\xF1\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x57"],
        ["\x89\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF8"],

        ["\xF1\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x58"],
        ["\x89\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xF9"],

        ["\xF1\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x59"],
        ["\x89\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x7A"],

        ["\xF1\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x5A"],
        ["\x89\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x5E"],

        ["\xF1\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x5B"],
        ["\x89\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x4C"],

        ["\xF1\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x5C"],
        ["\x89\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x7E"],

        ["\xF1\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x5D"],
        ["\x89\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x6E"],

        ["\xF1\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x5E"],
        ["\x89\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x6F"],

        ["\xF1\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x5F"],
        ["\x89\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x7C"],

        ["\xF1\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x60"],
        ["\x89\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC1"],

        ["\xF1\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x61"],
        ["\x89\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC2"],

        ["\xF1\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x62"],
        ["\x89\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC3"],

        ["\xF1\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x63"],
        ["\x89\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC4"],

        ["\xF1\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x64"],
        ["\x89\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC5"],

        ["\xF1\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x65"],
        ["\x89\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC6"],

        ["\xF1\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x66"],
        ["\x89\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC7"],

        ["\xF1\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x67"],
        ["\x89\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC8"],

        ["\xF1\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x68"],
        ["\x89\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC9"],

        ["\xF1\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x69"],
        ["\x89\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD1"],

        ["\xF1\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x6A"],
        ["\x89\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD2"],

        ["\xF1\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x6B"],
        ["\x89\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD3"],

        ["\xF1\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x6C"],
        ["\x89\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD4"],

        ["\xF1\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x6D"],
        ["\x89\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD5"],

        ["\xF1\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x6E"],
        ["\x89\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD6"],

        ["\xF1\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x6F"],
        ["\x89\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD7"],

        ["\xF1\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x70"],
        ["\x89\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD8"],

        ["\xF1\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x71"],
        ["\x89\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD9"],

        ["\xF1\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x72"],
        ["\x89\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xE2"],

        ["\xF1\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x73"],
        ["\x89\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xE3"],

        ["\xF1\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x74"],
        ["\x89\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xE4"],

        ["\xF1\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x75"],
        ["\x89\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xE5"],

        ["\xF1\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x76"],
        ["\x89\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xE6"],

        ["\xF1\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x77"],
        ["\x89\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xE7"],

        ["\xF1\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x78"],
        ["\x89\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xE8"],

        ["\xF1\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x79"],
        ["\x89\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xE9"],

        ["\xF1\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x7A"],
        ["\x89\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x4A"],

        ["\xF1\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x7B"],
        ["\x89\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x5B"],

        ["\xF1\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x7C"],
        ["\x89\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x5A"],

        ["\xF1\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x7D"],
        ["\x89\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x5F"],

        ["\xF1\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x7E"],
        ["\x89\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x6D"],

        ["\xF1\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x80"],
        ["\x89\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x79"],

        ["\xF1\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x81"],
        ["\x89\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x57"],

        ["\xF1\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x82"],
        ["\x89\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x59"],

        ["\xF1\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x83"],
        ["\x89\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x62"],

        ["\xF1\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x84"],
        ["\x89\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x63"],

        ["\xF1\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x85"],
        ["\x89\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x64"],

        ["\xF1\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x86"],
        ["\x89\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x65"],

        ["\xF1\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x87"],
        ["\x89\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x66"],

        ["\xF1\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x88"],
        ["\x89\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x67"],

        ["\xF1\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x89"],
        ["\x89\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x68"],

        ["\xF1\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x8A"],
        ["\x89\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x69"],

        ["\xF1\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x8B"],
        ["\x89\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x70"],

        ["\xF1\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x8C"],
        ["\x89\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x71"],

        ["\xF1\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x8D"],
        ["\x89\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x72"],

        ["\xF1\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x8E"],
        ["\x89\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x73"],

        ["\xF1\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x8F"],
        ["\x89\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x74"],

        ["\xF1\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x90"],
        ["\x89\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x75"],

        ["\xF1\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x91"],
        ["\x89\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x76"],

        ["\xF1\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x92"],
        ["\x89\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x77"],

        ["\xF1\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x93"],
        ["\x89\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x78"],

        ["\xF1\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x94"],
        ["\x89\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x80"],

        ["\xF1\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x95"],
        ["\x89\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x8B"],

        ["\xF1\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x96"],
        ["\x89\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x9B"],

        ["\xF1\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x97"],
        ["\x89\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x9C"],

        ["\xF1\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x98"],
        ["\x89\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xA0"],

        ["\xF1\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x99"],
        ["\x89\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],

        ["\xF1\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x9A"],
        ["\x89\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],

        ["\xF1\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x9B"],
        ["\x89\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xC0"],

        ["\xF1\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x9C"],
        ["\x89\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\x6A"],

        ["\xF1\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x9D"],
        ["\x89\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xD0"],

        ["\xF1\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x9E"],
        ["\x89\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],

        ["\xF2\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\x9F"],
        ["\x89\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x4F"],

        ["\xF2\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA0"],
        ["\x89\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x7F"],

        ["\xF2\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA1"],
        ["\x89\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x7B"],

        ["\xF2\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA2"],
        ["\x89\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xE0"],

        ["\xF2\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA3"],
        ["\x89\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x6C"],

        ["\xF2\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA4"],
        ["\x89\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x50"],

        ["\xF2\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA5"],
        ["\x89\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x7D"],

        ["\xF2\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA6"],
        ["\x89\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x4D"],

        ["\x77\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA7"],
        ["\x89\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x80"],

        ["\xF2\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA8"],
        ["\x89\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x5C"],

        ["\xF2\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xA9"],
        ["\x89\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x4E"],

        ["\xF2\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xAA"],
        ["\x89\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x6B"],

        ["\xF2\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xAB"],
        ["\x89\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x60"],

        ["\xF2\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xAC"],
        ["\x89\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x4B"],

        ["\xF2\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xAD"],
        ["\x89\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x61"],

        ["\xF2\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xAE"],
        ["\x89\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF0"],

        ["\xF2\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xAF"],
        ["\x89\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF1"],

        ["\xF2\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB0"],
        ["\x89\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF2"],

        ["\xF2\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB1"],
        ["\x89\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF3"],

        ["\xF2\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB2"],
        ["\x89\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF4"],

        ["\xF2\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB3"],
        ["\x89\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF5"],

        ["\xF2\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB4"],
        ["\x89\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF6"],

        ["\xF2\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB5"],
        ["\x89\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF7"],

        ["\xF2\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB6"],
        ["\x89\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF8"],

        ["\xF2\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB7"],
        ["\x89\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xF9"],

        ["\xF2\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB8"],
        ["\x89\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x7A"],

        ["\xF2\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xB9"],
        ["\x89\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x5E"],

        ["\xF2\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xBA"],
        ["\x89\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x4C"],

        ["\xF2\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xBB"],
        ["\x89\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x7E"],

        ["\xF2\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xBC"],
        ["\x89\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x6E"],

        ["\xF2\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xBD"],
        ["\x89\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x6F"],

        ["\xF2\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xBE"],
        ["\x89\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x7C"],

        ["\xF2\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xBF"],
        ["\x89\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC1"],

        ["\xF2\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC0"],
        ["\x89\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC2"],

        ["\xF2\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC1"],
        ["\x89\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC3"],

        ["\xF2\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC2"],
        ["\x89\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC4"],

        ["\xF2\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC3"],
        ["\x89\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC5"],

        ["\xF2\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC4"],
        ["\x89\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC6"],

        ["\xF2\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC5"],
        ["\x89\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC7"],

        ["\xF2\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC6"],
        ["\x89\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC8"],

        ["\xF2\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC7"],
        ["\x89\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC9"],

        ["\xF2\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC8"],
        ["\x89\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD1"],

        ["\xF2\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xC9"],
        ["\x89\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD2"],

        ["\xF2\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xCA"],
        ["\x89\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD3"],

        ["\xF2\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xCB"],
        ["\x89\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD4"],

        ["\xF2\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xCC"],
        ["\x89\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD5"],

        ["\xF2\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xCD"],
        ["\x89\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD6"],

        ["\xF2\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xCE"],
        ["\x89\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD7"],

        ["\xF2\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xCF"],
        ["\x89\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD8"],

        ["\xF2\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD0"],
        ["\x89\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD9"],

        ["\xF2\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD1"],
        ["\x89\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xE2"],

        ["\xF2\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD2"],
        ["\x89\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xE3"],

        ["\xF2\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD3"],
        ["\x89\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xE4"],

        ["\xF2\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD4"],
        ["\x89\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xE5"],

        ["\xF2\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD5"],
        ["\x89\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xE6"],

        ["\xF2\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD6"],
        ["\x89\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xE7"],

        ["\xF2\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD7"],
        ["\x89\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xE8"],

        ["\xF2\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD8"],
        ["\x89\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xE9"],

        ["\xF2\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xD9"],
        ["\x89\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x4A"],

        ["\xF2\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xDA"],
        ["\x89\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x5B"],

        ["\xF2\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xDB"],
        ["\x89\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x5A"],

        ["\xF2\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xDC"],
        ["\x89\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x5F"],

        ["\xF2\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xDD"],
        ["\x89\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x6D"],

        ["\xF2\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xDE"],
        ["\x89\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x79"],

        ["\xF2\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xDF"],
        ["\x89\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x57"],

        ["\xF2\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE0"],
        ["\x89\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x59"],

        ["\xF2\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE1"],
        ["\x89\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x62"],

        ["\xF2\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE2"],
        ["\x89\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x63"],

        ["\xF2\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE3"],
        ["\x89\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x64"],

        ["\xF2\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE4"],
        ["\x89\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x65"],

        ["\xF2\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE5"],
        ["\x89\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x66"],

        ["\xF2\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE6"],
        ["\x89\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x67"],

        ["\xF2\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE7"],
        ["\x89\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x68"],

        ["\xF2\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE8"],
        ["\x89\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x69"],

        ["\xF2\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xE9"],
        ["\x89\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x70"],

        ["\xF2\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xEA"],
        ["\x89\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x71"],

        ["\xF2\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xEB"],
        ["\x89\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x72"],

        ["\xF2\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xEC"],
        ["\x89\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x73"],

        ["\xF2\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xED"],
        ["\x89\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x74"],

        ["\xF2\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xEE"],
        ["\x89\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x75"],

        ["\xF2\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xEF"],
        ["\x89\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x76"],

        ["\xF2\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF0"],
        ["\x89\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x77"],

        ["\xF2\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF1"],
        ["\x89\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x78"],

        ["\xF2\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF2"],
        ["\x89\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x80"],

        ["\xF2\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF3"],
        ["\x89\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x8B"],

        ["\xF2\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF4"],
        ["\x89\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x9B"],

        ["\xF2\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF5"],
        ["\x89\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x9C"],

        ["\xF2\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF6"],
        ["\x89\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xA0"],

        ["\xF2\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF7"],
        ["\x89\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xAB"],

        ["\xF2\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF8"],
        ["\x89\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xB0"],

        ["\xF2\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xF9"],
        ["\x89\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xC0"],

        ["\xF2\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xFA"],
        ["\x89\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x6A"],

        ["\xF2\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xFB"],
        ["\x89\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xD0"],

        ["\xF2\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x89\xFC"],
        ["\x89\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\xA1"],

        ["\xF3\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x40"],
        ["\x8A\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x4F"],

        ["\xF3\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x41"],
        ["\x8A\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x7F"],

        ["\xF3\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x42"],
        ["\x8A\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x7B"],

        ["\xF3\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x43"],
        ["\x8A\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xE0"],

        ["\xF3\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x44"],
        ["\x8A\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x6C"],

        ["\xF3\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x45"],
        ["\x8A\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x50"],

        ["\xF3\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x46"],
        ["\x8A\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x7D"],

        ["\xF3\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x47"],
        ["\x8A\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x4D"],

        ["\xF3\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x48"],
        ["\x8A\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x5D"],

        ["\xF3\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x49"],
        ["\x8A\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x5C"],

        ["\xF3\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x4A"],
        ["\x8A\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x4E"],

        ["\xF3\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x4B"],
        ["\x8A\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x6B"],

        ["\xF3\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x4C"],
        ["\x8A\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x60"],

        ["\xF3\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x4D"],
        ["\x8A\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x4B"],

        ["\xF3\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x4E"],
        ["\x8A\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x61"],

        ["\xF3\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x4F"],
        ["\x8A\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF0"],

        ["\xF3\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x50"],
        ["\x8A\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF1"],

        ["\xF3\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x51"],
        ["\x8A\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF2"],

        ["\xF3\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x52"],
        ["\x8A\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF3"],

        ["\xF3\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x53"],
        ["\x8A\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF4"],

        ["\xF3\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x54"],
        ["\x8A\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF5"],

        ["\xF3\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x55"],
        ["\x8A\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF6"],

        ["\xF3\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x56"],
        ["\x8A\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF7"],

        ["\xF3\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x57"],
        ["\x8A\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF8"],

        ["\xF3\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x58"],
        ["\x8A\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xF9"],

        ["\xF3\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x59"],
        ["\x8A\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x7A"],

        ["\xF3\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x5A"],
        ["\x8A\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x5E"],

        ["\xF3\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x5B"],
        ["\x8A\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x4C"],

        ["\xF3\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x5C"],
        ["\x8A\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x7E"],

        ["\xF3\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x5D"],
        ["\x8A\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x6E"],

        ["\xF3\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x5E"],
        ["\x8A\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x6F"],

        ["\xF3\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x5F"],
        ["\x8A\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x7C"],

        ["\xF3\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x60"],
        ["\x8A\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC1"],

        ["\x68\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x61"],
        ["\x8A\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xE9"],

        ["\xF3\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x62"],
        ["\x8A\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC3"],

        ["\xF3\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x63"],
        ["\x8A\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC4"],

        ["\xF3\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x64"],
        ["\x8A\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC5"],

        ["\xF3\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x65"],
        ["\x8A\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC6"],

        ["\xF3\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x66"],
        ["\x8A\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC7"],

        ["\xF3\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x67"],
        ["\x8A\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC8"],

        ["\xE8\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x68"],
        ["\x8A\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0"],

        ["\xF3\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x69"],
        ["\x8A\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD1"],

        ["\xF3\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x6A"],
        ["\x8A\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD2"],

        ["\xF3\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x6B"],
        ["\x8A\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD3"],

        ["\xF3\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x6C"],
        ["\x8A\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD4"],

        ["\xF3\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x6D"],
        ["\x8A\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD5"],

        ["\xF3\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x6E"],
        ["\x8A\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD6"],

        ["\xF3\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x6F"],
        ["\x8A\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD7"],

        ["\xF3\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x70"],
        ["\x8A\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD8"],

        ["\xF3\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x71"],
        ["\x8A\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD9"],

        ["\xF3\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x72"],
        ["\x8A\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xE2"],

        ["\xF3\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x73"],
        ["\x8A\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xE3"],

        ["\xF3\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x74"],
        ["\x8A\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xE4"],

        ["\xF3\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x75"],
        ["\x8A\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xE5"],

        ["\xF3\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x76"],
        ["\x8A\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xE6"],

        ["\xF3\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x77"],
        ["\x8A\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xE7"],

        ["\xF3\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x78"],
        ["\x8A\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xE8"],

        ["\xF3\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x79"],
        ["\x8A\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xE9"],

        ["\xF3\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x7A"],
        ["\x8A\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x4A"],

        ["\xF3\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x7B"],
        ["\x8A\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x5B"],

        ["\xF3\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x7C"],
        ["\x8A\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x5A"],

        ["\xF3\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x7D"],
        ["\x8A\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x5F"],

        ["\xF3\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x7E"],
        ["\x8A\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x6D"],

        ["\xF3\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x80"],
        ["\x8A\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x79"],

        ["\xF3\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x81"],
        ["\x8A\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x57"],

        ["\xF3\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x82"],
        ["\x8A\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x59"],

        ["\xF3\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x83"],
        ["\x8A\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x62"],

        ["\xF3\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x84"],
        ["\x8A\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x63"],

        ["\xF3\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x85"],
        ["\x8A\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x64"],

        ["\xF3\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x86"],
        ["\x8A\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x65"],

        ["\xF3\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x87"],
        ["\x8A\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x66"],

        ["\xF3\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x88"],
        ["\x8A\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x67"],

        ["\xF3\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x89"],
        ["\x8A\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x68"],

        ["\xF3\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x8A"],
        ["\x8A\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x69"],

        ["\xF3\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x8B"],
        ["\x8A\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x70"],

        ["\xF3\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x8C"],
        ["\x8A\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x71"],

        ["\xF3\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x8D"],
        ["\x8A\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x72"],

        ["\xF3\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x8E"],
        ["\x8A\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x73"],

        ["\xF3\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x8F"],
        ["\x8A\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x74"],

        ["\xF3\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x90"],
        ["\x8A\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x75"],

        ["\xF3\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x91"],
        ["\x8A\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x76"],

        ["\xF3\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x92"],
        ["\x8A\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x77"],

        ["\xF3\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x93"],
        ["\x8A\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x78"],

        ["\xF3\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x94"],
        ["\x8A\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x80"],

        ["\xF3\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x95"],
        ["\x8A\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x8B"],

        ["\x62\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x96"],
        ["\x8A\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5F"],

        ["\xF3\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x97"],
        ["\x8A\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x9C"],

        ["\xF3\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x98"],
        ["\x8A\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xA0"],

        ["\xF3\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x99"],
        ["\x8A\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xAB"],

        ["\xF3\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x9A"],
        ["\x8A\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0"],

        ["\xF3\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x9B"],
        ["\x8A\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC0"],

        ["\xF3\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x9C"],
        ["\x8A\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x6A"],

        ["\xF3\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x9D"],
        ["\x8A\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xD0"],

        ["\xF3\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x9E"],
        ["\x8A\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xA1"],

        ["\xF4\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\x9F"],
        ["\x8A\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x4F"],

        ["\xF4\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA0"],
        ["\x8A\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x7F"],

        ["\xF4\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA1"],
        ["\x8A\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x7B"],

        ["\xF4\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA2"],
        ["\x8A\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xE0"],

        ["\xF4\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA3"],
        ["\x8A\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x6C"],

        ["\xF4\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA4"],
        ["\x8A\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x50"],

        ["\xF4\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA5"],
        ["\x8A\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x7D"],

        ["\xF4\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA6"],
        ["\x8A\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x4D"],

        ["\xF4\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA7"],
        ["\x8A\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x5D"],

        ["\xF4\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA8"],
        ["\x8A\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x5C"],

        ["\xF4\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xA9"],
        ["\x8A\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x4E"],

        ["\xF4\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xAA"],
        ["\x8A\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x6B"],

        ["\xF4\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xAB"],
        ["\x8A\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x60"],

        ["\xF4\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xAC"],
        ["\x8A\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x4B"],

        ["\xF4\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xAD"],
        ["\x8A\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x61"],

        ["\xF4\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xAE"],
        ["\x8A\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF0"],

        ["\xF4\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xAF"],
        ["\x8A\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF1"],

        ["\xF4\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB0"],
        ["\x8A\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF2"],

        ["\xF4\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB1"],
        ["\x8A\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF3"],

        ["\xF4\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB2"],
        ["\x8A\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF4"],

        ["\xF4\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB3"],
        ["\x8A\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF5"],

        ["\xF4\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB4"],
        ["\x8A\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF6"],

        ["\xF4\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB5"],
        ["\x8A\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF7"],

        ["\xF4\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB6"],
        ["\x8A\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF8"],

        ["\xF4\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB7"],
        ["\x8A\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xF9"],

        ["\xF4\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB8"],
        ["\x8A\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x7A"],

        ["\xF4\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xB9"],
        ["\x8A\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x5E"],

        ["\xF4\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xBA"],
        ["\x8A\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x4C"],

        ["\xF4\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xBB"],
        ["\x8A\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x7E"],

        ["\xF4\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xBC"],
        ["\x8A\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x6E"],

        ["\xF4\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xBD"],
        ["\x8A\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x6F"],

        ["\xF4\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xBE"],
        ["\x8A\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x7C"],

        ["\xF4\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xBF"],
        ["\x8A\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC1"],

        ["\xF4\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC0"],
        ["\x8A\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC2"],

        ["\x5F\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC1"],
        ["\x8A\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x8B"],

        ["\xF4\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC2"],
        ["\x8A\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC4"],

        ["\xF4\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC3"],
        ["\x8A\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC5"],

        ["\xF4\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC4"],
        ["\x8A\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC6"],

        ["\xF4\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC5"],
        ["\x8A\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC7"],

        ["\xF4\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC6"],
        ["\x8A\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC8"],

        ["\xF4\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC7"],
        ["\x8A\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC9"],

        ["\xF4\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC8"],
        ["\x8A\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD1"],

        ["\xF4\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xC9"],
        ["\x8A\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD2"],

        ["\xF4\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xCA"],
        ["\x8A\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD3"],

        ["\xF4\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xCB"],
        ["\x8A\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD4"],

        ["\xF4\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xCC"],
        ["\x8A\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD5"],

        ["\xF4\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xCD"],
        ["\x8A\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD6"],

        ["\xF4\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xCE"],
        ["\x8A\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD7"],

        ["\xF4\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xCF"],
        ["\x8A\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD8"],

        ["\x70\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD0"],
        ["\x8A\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x5A"],

        ["\xF4\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD1"],
        ["\x8A\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xE2"],

        ["\xF4\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD2"],
        ["\x8A\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xE3"],

        ["\xF4\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD3"],
        ["\x8A\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xE4"],

        ["\xF4\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD4"],
        ["\x8A\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xE5"],

        ["\xF4\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD5"],
        ["\x8A\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xE6"],

        ["\xF4\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD6"],
        ["\x8A\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xE7"],

        ["\xF4\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD7"],
        ["\x8A\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xE8"],

        ["\xF4\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD8"],
        ["\x8A\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xE9"],

        ["\xF4\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xD9"],
        ["\x8A\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x4A"],

        ["\xF4\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xDA"],
        ["\x8A\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x5B"],

        ["\xF4\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xDB"],
        ["\x8A\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x5A"],

        ["\xF4\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xDC"],
        ["\x8A\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x5F"],

        ["\xF4\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xDD"],
        ["\x8A\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x6D"],

        ["\xF4\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xDE"],
        ["\x8A\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x79"],

        ["\xF4\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xDF"],
        ["\x8A\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x57"],

        ["\xF4\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE0"],
        ["\x8A\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x59"],

        ["\xF4\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE1"],
        ["\x8A\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x62"],

        ["\xF4\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE2"],
        ["\x8A\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x63"],

        ["\xF4\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE3"],
        ["\x8A\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x64"],

        ["\xF4\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE4"],
        ["\x8A\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x65"],

        ["\xF4\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE5"],
        ["\x8A\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x66"],

        ["\xF4\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE6"],
        ["\x8A\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x67"],

        ["\xF4\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE7"],
        ["\x8A\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x68"],

        ["\xF4\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE8"],
        ["\x8A\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x69"],

        ["\xF4\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xE9"],
        ["\x8A\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x70"],

        ["\xF4\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xEA"],
        ["\x8A\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x71"],

        ["\xF4\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xEB"],
        ["\x8A\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x72"],

        ["\xF4\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xEC"],
        ["\x8A\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x73"],

        ["\xF4\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xED"],
        ["\x8A\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x74"],

        ["\xF4\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xEE"],
        ["\x8A\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x75"],

        ["\xF4\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xEF"],
        ["\x8A\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x76"],

        ["\xF4\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF0"],
        ["\x8A\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x77"],

        ["\xF4\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF1"],
        ["\x8A\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x78"],

        ["\xF4\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF2"],
        ["\x8A\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x80"],

        ["\xF4\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF3"],
        ["\x8A\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x8B"],

        ["\xF4\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF4"],
        ["\x8A\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x9B"],

        ["\xF4\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF5"],
        ["\x8A\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x9C"],

        ["\xF4\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF6"],
        ["\x8A\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xA0"],

        ["\xF4\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF7"],
        ["\x8A\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xAB"],

        ["\xF4\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF8"],
        ["\x8A\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xB0"],

        ["\xF4\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xF9"],
        ["\x8A\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC0"],

        ["\xF4\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xFA"],
        ["\x8A\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\x6A"],

        ["\xF4\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xFB"],
        ["\x8A\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD0"],

        ["\xF4\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8A\xFC"],
        ["\x8A\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xA1"],

        ["\xF5\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x40"],
        ["\x8B\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x4F"],

        ["\xF5\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x41"],
        ["\x8B\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x7F"],

        ["\xF5\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x42"],
        ["\x8B\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x7B"],

        ["\xF5\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x43"],
        ["\x8B\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xE0"],

        ["\xF5\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x44"],
        ["\x8B\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x6C"],

        ["\xF5\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x45"],
        ["\x8B\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x50"],

        ["\xF5\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x46"],
        ["\x8B\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x7D"],

        ["\xF5\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x47"],
        ["\x8B\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x4D"],

        ["\xF5\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x48"],
        ["\x8B\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x5D"],

        ["\xF5\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x49"],
        ["\x8B\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x5C"],

        ["\xF5\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x4A"],
        ["\x8B\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x4E"],

        ["\xF5\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x4B"],
        ["\x8B\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x6B"],

        ["\xF5\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x4C"],
        ["\x8B\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x60"],

        ["\xF5\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x4D"],
        ["\x8B\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x4B"],

        ["\xF5\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x4E"],
        ["\x8B\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x61"],

        ["\xF5\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x4F"],
        ["\x8B\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF0"],

        ["\xF5\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x50"],
        ["\x8B\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF1"],

        ["\xF5\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x51"],
        ["\x8B\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF2"],

        ["\xF5\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x52"],
        ["\x8B\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF3"],

        ["\xF5\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x53"],
        ["\x8B\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF4"],

        ["\xF5\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x54"],
        ["\x8B\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF5"],

        ["\xF5\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x55"],
        ["\x8B\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF6"],

        ["\xF5\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x56"],
        ["\x8B\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF7"],

        ["\xF5\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x57"],
        ["\x8B\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF8"],

        ["\xF5\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x58"],
        ["\x8B\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xF9"],

        ["\xF5\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x59"],
        ["\x8B\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x7A"],

        ["\xF5\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x5A"],
        ["\x8B\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x5E"],

        ["\xF5\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x5B"],
        ["\x8B\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x4C"],

        ["\xF5\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x5C"],
        ["\x8B\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x7E"],

        ["\xF5\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x5D"],
        ["\x8B\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x6E"],

        ["\xF5\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x5E"],
        ["\x8B\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x6F"],

        ["\xF5\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x5F"],
        ["\x8B\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x7C"],

        ["\xF5\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x60"],
        ["\x8B\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC1"],

        ["\xF5\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x61"],
        ["\x8B\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC2"],

        ["\xF5\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x62"],
        ["\x8B\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC3"],

        ["\xF5\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x63"],
        ["\x8B\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC4"],

        ["\xF5\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x64"],
        ["\x8B\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC5"],

        ["\xF5\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x65"],
        ["\x8B\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC6"],

        ["\xF5\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x66"],
        ["\x8B\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC7"],

        ["\xF5\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x67"],
        ["\x8B\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC8"],

        ["\xF5\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x68"],
        ["\x8B\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC9"],

        ["\xF5\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x69"],
        ["\x8B\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD1"],

        ["\xF5\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x6A"],
        ["\x8B\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD2"],

        ["\xF5\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x6B"],
        ["\x8B\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD3"],

        ["\xF5\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x6C"],
        ["\x8B\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD4"],

        ["\xF5\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x6D"],
        ["\x8B\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD5"],

        ["\xF5\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x6E"],
        ["\x8B\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD6"],

        ["\xF5\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x6F"],
        ["\x8B\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD7"],

        ["\xF5\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x70"],
        ["\x8B\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD8"],

        ["\xF5\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x71"],
        ["\x8B\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD9"],

        ["\xF5\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x72"],
        ["\x8B\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xE2"],

        ["\xF5\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x73"],
        ["\x8B\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xE3"],

        ["\xF5\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x74"],
        ["\x8B\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xE4"],

        ["\xF5\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x75"],
        ["\x8B\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xE5"],

        ["\xF5\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x76"],
        ["\x8B\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xE6"],

        ["\xF5\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x77"],
        ["\x8B\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xE7"],

        ["\xF5\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x78"],
        ["\x8B\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xE8"],

        ["\xF5\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x79"],
        ["\x8B\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xE9"],

        ["\xF5\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x7A"],
        ["\x8B\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x4A"],

        ["\xF5\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x7B"],
        ["\x8B\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x5B"],

        ["\xF5\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x7C"],
        ["\x8B\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x5A"],

        ["\xF5\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x7D"],
        ["\x8B\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x5F"],

        ["\xF5\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x7E"],
        ["\x8B\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x6D"],

        ["\xF5\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x80"],
        ["\x8B\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x79"],

        ["\xF5\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x81"],
        ["\x8B\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x57"],

        ["\xF5\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x82"],
        ["\x8B\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x59"],

        ["\xF5\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x83"],
        ["\x8B\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x62"],

        ["\xF5\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x84"],
        ["\x8B\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x63"],

        ["\xF5\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x85"],
        ["\x8B\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x64"],

        ["\xF5\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x86"],
        ["\x8B\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x65"],

        ["\xF5\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x87"],
        ["\x8B\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x66"],

        ["\xF5\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x88"],
        ["\x8B\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x67"],

        ["\xF5\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x89"],
        ["\x8B\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x68"],

        ["\xF5\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x8A"],
        ["\x8B\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x69"],

        ["\xF5\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x8B"],
        ["\x8B\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x70"],

        ["\xF5\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x8C"],
        ["\x8B\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x71"],

        ["\xF5\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x8D"],
        ["\x8B\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x72"],

        ["\xF5\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x8E"],
        ["\x8B\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x73"],

        ["\xF5\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x8F"],
        ["\x8B\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x74"],

        ["\xF5\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x90"],
        ["\x8B\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x75"],

        ["\xF5\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x91"],
        ["\x8B\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x76"],

        ["\xF5\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x92"],
        ["\x8B\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x77"],

        ["\xF5\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x93"],
        ["\x8B\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x78"],

        ["\xF5\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x94"],
        ["\x8B\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x80"],

        ["\xF5\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x95"],
        ["\x8B\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x8B"],

        ["\xF5\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x96"],
        ["\x8B\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x9B"],

        ["\xF5\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x97"],
        ["\x8B\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x9C"],

        ["\xF5\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x98"],
        ["\x8B\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xA0"],

        ["\xF5\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x99"],
        ["\x8B\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xAB"],

        ["\xF5\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x9A"],
        ["\x8B\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xB0"],

        ["\xF5\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x9B"],
        ["\x8B\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xC0"],

        ["\xF5\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x9C"],
        ["\x8B\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\x6A"],

        ["\xF5\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x9D"],
        ["\x8B\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xD0"],

        ["\xF5\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x9E"],
        ["\x8B\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF5\xA1"],

        ["\xF6\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\x9F"],
        ["\x8B\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x4F"],

        ["\xF6\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA0"],
        ["\x8B\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x7F"],

        ["\xF6\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA1"],
        ["\x8B\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x7B"],

        ["\xF6\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA2"],
        ["\x8B\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xE0"],

        ["\xF6\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA3"],
        ["\x8B\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x6C"],

        ["\xF6\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA4"],
        ["\x8B\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x50"],

        ["\xF6\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA5"],
        ["\x8B\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x7D"],

        ["\xF6\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA6"],
        ["\x8B\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x4D"],

        ["\xF6\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA7"],
        ["\x8B\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x5D"],

        ["\xF6\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA8"],
        ["\x8B\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x5C"],

        ["\xF6\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xA9"],
        ["\x8B\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x4E"],

        ["\xF6\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xAA"],
        ["\x8B\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x6B"],

        ["\xF6\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xAB"],
        ["\x8B\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x60"],

        ["\xF6\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xAC"],
        ["\x8B\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x4B"],

        ["\xF6\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xAD"],
        ["\x8B\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x61"],

        ["\xF6\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xAE"],
        ["\x8B\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF0"],

        ["\xF6\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xAF"],
        ["\x8B\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF1"],

        ["\xF6\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB0"],
        ["\x8B\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF2"],

        ["\xF6\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB1"],
        ["\x8B\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF3"],

        ["\xF6\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB2"],
        ["\x8B\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF4"],

        ["\xF6\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB3"],
        ["\x8B\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF5"],

        ["\xF6\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB4"],
        ["\x8B\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF6"],

        ["\xF6\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB5"],
        ["\x8B\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF7"],

        ["\xF6\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB6"],
        ["\x8B\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF8"],

        ["\xF6\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB7"],
        ["\x8B\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xF9"],

        ["\xF6\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB8"],
        ["\x8B\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x7A"],

        ["\xF6\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xB9"],
        ["\x8B\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x5E"],

        ["\xF6\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xBA"],
        ["\x8B\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x4C"],

        ["\xF6\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xBB"],
        ["\x8B\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x7E"],

        ["\xF6\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xBC"],
        ["\x8B\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x6E"],

        ["\xF6\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xBD"],
        ["\x8B\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x6F"],

        ["\xF6\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xBE"],
        ["\x8B\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x7C"],

        ["\xF6\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xBF"],
        ["\x8B\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC1"],

        ["\xF6\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC0"],
        ["\x8B\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC2"],

        ["\xF6\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC1"],
        ["\x8B\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC3"],

        ["\xF6\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC2"],
        ["\x8B\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC4"],

        ["\xF6\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC3"],
        ["\x8B\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC5"],

        ["\x86\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC4"],
        ["\x8B\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xBA"],

        ["\xF6\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC5"],
        ["\x8B\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC7"],

        ["\xF6\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC6"],
        ["\x8B\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC8"],

        ["\xF6\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC7"],
        ["\x8B\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC9"],

        ["\xF6\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC8"],
        ["\x8B\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD1"],

        ["\xF6\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xC9"],
        ["\x8B\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD2"],

        ["\xF6\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xCA"],
        ["\x8B\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD3"],

        ["\xF6\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xCB"],
        ["\x8B\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD4"],

        ["\xF6\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xCC"],
        ["\x8B\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD5"],

        ["\xF6\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xCD"],
        ["\x8B\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD6"],

        ["\xF6\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xCE"],
        ["\x8B\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD7"],

        ["\xF6\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xCF"],
        ["\x8B\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD8"],

        ["\xF6\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD0"],
        ["\x8B\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD9"],

        ["\xF6\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD1"],
        ["\x8B\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xE2"],

        ["\xF6\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD2"],
        ["\x8B\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xE3"],

        ["\xF6\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD3"],
        ["\x8B\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xE4"],

        ["\xF6\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD4"],
        ["\x8B\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xE5"],

        ["\xF6\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD5"],
        ["\x8B\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xE6"],

        ["\xF6\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD6"],
        ["\x8B\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xE7"],

        ["\xF6\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD7"],
        ["\x8B\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xE8"],

        ["\xF6\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD8"],
        ["\x8B\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xE9"],

        ["\xF6\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xD9"],
        ["\x8B\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x4A"],

        ["\xF6\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xDA"],
        ["\x8B\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x5B"],

        ["\xF6\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xDB"],
        ["\x8B\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x5A"],

        ["\xF6\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xDC"],
        ["\x8B\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x5F"],

        ["\xF6\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xDD"],
        ["\x8B\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x6D"],

        ["\xF6\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xDE"],
        ["\x8B\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x79"],

        ["\xF6\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xDF"],
        ["\x8B\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x57"],

        ["\xF6\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE0"],
        ["\x8B\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x59"],

        ["\xF6\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE1"],
        ["\x8B\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x62"],

        ["\xF6\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE2"],
        ["\x8B\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x63"],

        ["\xF6\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE3"],
        ["\x8B\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x64"],

        ["\xF6\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE4"],
        ["\x8B\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x65"],

        ["\xF6\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE5"],
        ["\x8B\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x66"],

        ["\xF6\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE6"],
        ["\x8B\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x67"],

        ["\xF6\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE7"],
        ["\x8B\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x68"],

        ["\xF6\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE8"],
        ["\x8B\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x69"],

        ["\xF6\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xE9"],
        ["\x8B\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x70"],

        ["\xF6\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xEA"],
        ["\x8B\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x71"],

        ["\xF6\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xEB"],
        ["\x8B\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x72"],

        ["\xF6\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xEC"],
        ["\x8B\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x73"],

        ["\xF6\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xED"],
        ["\x8B\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x74"],

        ["\xF6\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xEE"],
        ["\x8B\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x75"],

        ["\xF6\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xEF"],
        ["\x8B\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x76"],

        ["\xF6\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF0"],
        ["\x8B\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x77"],

        ["\xF6\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF1"],
        ["\x8B\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x78"],

        ["\xF6\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF2"],
        ["\x8B\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x80"],

        ["\xF6\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF3"],
        ["\x8B\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x8B"],

        ["\xF6\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF4"],
        ["\x8B\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x9B"],

        ["\xF6\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF5"],
        ["\x8B\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x9C"],

        ["\xF6\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF6"],
        ["\x8B\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xA0"],

        ["\xF6\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF7"],
        ["\x8B\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xAB"],

        ["\xF6\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF8"],
        ["\x8B\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xB0"],

        ["\xF6\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xF9"],
        ["\x8B\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC0"],

        ["\xF6\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xFA"],
        ["\x8B\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\x6A"],

        ["\xF6\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xFB"],
        ["\x8B\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xD0"],

        ["\xF6\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8B\xFC"],
        ["\x8B\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xA1"],

        ["\xF7\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x40"],
        ["\x8C\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x4F"],

        ["\xF7\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x41"],
        ["\x8C\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x7F"],

        ["\xF7\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x42"],
        ["\x8C\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x7B"],

        ["\xF7\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x43"],
        ["\x8C\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xE0"],

        ["\xF7\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x44"],
        ["\x8C\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x6C"],

        ["\xF7\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x45"],
        ["\x8C\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x50"],

        ["\xF7\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x46"],
        ["\x8C\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x7D"],

        ["\xF7\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x47"],
        ["\x8C\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x4D"],

        ["\xF7\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x48"],
        ["\x8C\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x5D"],

        ["\xF7\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x49"],
        ["\x8C\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x5C"],

        ["\xF7\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x4A"],
        ["\x8C\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x4E"],

        ["\xF7\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x4B"],
        ["\x8C\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x6B"],

        ["\xF7\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x4C"],
        ["\x8C\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x60"],

        ["\xF7\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x4D"],
        ["\x8C\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x4B"],

        ["\xF7\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x4E"],
        ["\x8C\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x61"],

        ["\xF7\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x4F"],
        ["\x8C\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF0"],

        ["\xF7\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x50"],
        ["\x8C\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF1"],

        ["\xF7\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x51"],
        ["\x8C\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF2"],

        ["\xF7\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x52"],
        ["\x8C\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF3"],

        ["\xF7\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x53"],
        ["\x8C\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF4"],

        ["\xF7\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x54"],
        ["\x8C\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF5"],

        ["\xF7\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x55"],
        ["\x8C\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF6"],

        ["\xF7\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x56"],
        ["\x8C\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF7"],

        ["\xF7\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x57"],
        ["\x8C\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF8"],

        ["\xF7\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x58"],
        ["\x8C\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xF9"],

        ["\xF7\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x59"],
        ["\x8C\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x7A"],

        ["\xF7\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x5A"],
        ["\x8C\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x5E"],

        ["\xF7\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x5B"],
        ["\x8C\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x4C"],

        ["\xF7\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x5C"],
        ["\x8C\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x7E"],

        ["\xF7\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x5D"],
        ["\x8C\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x6E"],

        ["\xF7\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x5E"],
        ["\x8C\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x6F"],

        ["\xF7\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x5F"],
        ["\x8C\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x7C"],

        ["\xF7\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x60"],
        ["\x8C\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC1"],

        ["\xF7\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x61"],
        ["\x8C\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC2"],

        ["\xF7\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x62"],
        ["\x8C\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC3"],

        ["\xF7\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x63"],
        ["\x8C\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC4"],

        ["\xF7\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x64"],
        ["\x8C\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC5"],

        ["\xF7\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x65"],
        ["\x8C\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC6"],

        ["\xF7\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x66"],
        ["\x8C\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC7"],

        ["\xF7\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x67"],
        ["\x8C\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC8"],

        ["\xF7\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x68"],
        ["\x8C\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC9"],

        ["\xF7\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x69"],
        ["\x8C\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD1"],

        ["\xF7\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x6A"],
        ["\x8C\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD2"],

        ["\xF7\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x6B"],
        ["\x8C\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD3"],

        ["\xF7\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x6C"],
        ["\x8C\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD4"],

        ["\xF7\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x6D"],
        ["\x8C\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD5"],

        ["\xF7\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x6E"],
        ["\x8C\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD6"],

        ["\xF7\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x6F"],
        ["\x8C\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD7"],

        ["\xF7\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x70"],
        ["\x8C\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD8"],

        ["\xF7\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x71"],
        ["\x8C\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD9"],

        ["\xF7\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x72"],
        ["\x8C\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xE2"],

        ["\xF7\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x73"],
        ["\x8C\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xE3"],

        ["\xF7\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x74"],
        ["\x8C\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xE4"],

        ["\xF7\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x75"],
        ["\x8C\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xE5"],

        ["\xF7\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x76"],
        ["\x8C\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xE6"],

        ["\xF7\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x77"],
        ["\x8C\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xE7"],

        ["\xF7\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x78"],
        ["\x8C\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xE8"],

        ["\xF7\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x79"],
        ["\x8C\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xE9"],

        ["\x75\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x7A"],
        ["\x8C\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x80"],

        ["\xF7\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x7B"],
        ["\x8C\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x5B"],

        ["\xF7\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x7C"],
        ["\x8C\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x5A"],

        ["\xF7\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x7D"],
        ["\x8C\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x5F"],

        ["\xF7\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x7E"],
        ["\x8C\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x6D"],

        ["\xF7\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x80"],
        ["\x8C\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x79"],

        ["\xF7\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x81"],
        ["\x8C\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x57"],

        ["\xF7\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x82"],
        ["\x8C\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x59"],

        ["\xF7\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x83"],
        ["\x8C\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x62"],

        ["\xF7\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x84"],
        ["\x8C\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x63"],

        ["\xF7\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x85"],
        ["\x8C\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x64"],

        ["\xF7\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x86"],
        ["\x8C\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x65"],

        ["\xF7\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x87"],
        ["\x8C\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x66"],

        ["\xF7\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x88"],
        ["\x8C\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x67"],

        ["\xF7\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x89"],
        ["\x8C\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x68"],

        ["\xF7\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x8A"],
        ["\x8C\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x69"],

        ["\xF7\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x8B"],
        ["\x8C\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x70"],

        ["\xF7\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x8C"],
        ["\x8C\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x71"],

        ["\xF7\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x8D"],
        ["\x8C\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x72"],

        ["\xF7\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x8E"],
        ["\x8C\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x73"],

        ["\xF7\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x8F"],
        ["\x8C\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x74"],

        ["\xF7\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x90"],
        ["\x8C\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x75"],

        ["\xF7\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x91"],
        ["\x8C\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x76"],

        ["\xF7\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x92"],
        ["\x8C\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x77"],

        ["\xF7\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x93"],
        ["\x8C\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x78"],

        ["\xF7\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x94"],
        ["\x8C\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x80"],

        ["\xF7\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x95"],
        ["\x8C\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x8B"],

        ["\xF7\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x96"],
        ["\x8C\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x9B"],

        ["\xF7\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x97"],
        ["\x8C\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x9C"],

        ["\xF7\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x98"],
        ["\x8C\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xA0"],

        ["\xF7\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x99"],
        ["\x8C\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xAB"],

        ["\xF7\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x9A"],
        ["\x8C\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xB0"],

        ["\xF7\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x9B"],
        ["\x8C\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xC0"],

        ["\xF7\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x9C"],
        ["\x8C\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x6A"],

        ["\xF7\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x9D"],
        ["\x8C\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xD0"],

        ["\xF7\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x9E"],
        ["\x8C\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\xA1"],

        ["\xF8\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\x9F"],
        ["\x8C\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x4F"],

        ["\xF8\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA0"],
        ["\x8C\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x7F"],

        ["\xF8\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA1"],
        ["\x8C\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x7B"],

        ["\xF8\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA2"],
        ["\x8C\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xE0"],

        ["\xF8\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA3"],
        ["\x8C\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x6C"],

        ["\xF8\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA4"],
        ["\x8C\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x50"],

        ["\xF8\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA5"],
        ["\x8C\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x7D"],

        ["\xF8\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA6"],
        ["\x8C\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x4D"],

        ["\xF8\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA7"],
        ["\x8C\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x5D"],

        ["\xF8\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA8"],
        ["\x8C\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x5C"],

        ["\xF8\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xA9"],
        ["\x8C\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x4E"],

        ["\xF8\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xAA"],
        ["\x8C\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x6B"],

        ["\xF8\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xAB"],
        ["\x8C\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x60"],

        ["\xF8\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xAC"],
        ["\x8C\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x4B"],

        ["\xF8\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xAD"],
        ["\x8C\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x61"],

        ["\xF8\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xAE"],
        ["\x8C\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF0"],

        ["\xF8\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xAF"],
        ["\x8C\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF1"],

        ["\xF8\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB0"],
        ["\x8C\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF2"],

        ["\xF8\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB1"],
        ["\x8C\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF3"],

        ["\xF8\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB2"],
        ["\x8C\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF4"],

        ["\xF8\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB3"],
        ["\x8C\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF5"],

        ["\xF8\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB4"],
        ["\x8C\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF6"],

        ["\xF8\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB5"],
        ["\x8C\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF7"],

        ["\xF8\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB6"],
        ["\x8C\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF8"],

        ["\xF8\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB7"],
        ["\x8C\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xF9"],

        ["\xF8\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB8"],
        ["\x8C\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x7A"],

        ["\xF8\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xB9"],
        ["\x8C\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x5E"],

        ["\xF8\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xBA"],
        ["\x8C\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x4C"],

        ["\xF8\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xBB"],
        ["\x8C\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x7E"],

        ["\xF8\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xBC"],
        ["\x8C\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x6E"],

        ["\xF8\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xBD"],
        ["\x8C\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x6F"],

        ["\xF8\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xBE"],
        ["\x8C\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x7C"],

        ["\xF8\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xBF"],
        ["\x8C\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC1"],

        ["\xF8\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC0"],
        ["\x8C\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC2"],

        ["\xF8\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC1"],
        ["\x8C\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC3"],

        ["\xF8\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC2"],
        ["\x8C\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC4"],

        ["\xF8\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC3"],
        ["\x8C\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC5"],

        ["\xF8\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC4"],
        ["\x8C\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC6"],

        ["\xF8\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC5"],
        ["\x8C\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC7"],

        ["\xF8\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC6"],
        ["\x8C\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC8"],

        ["\xF8\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC7"],
        ["\x8C\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC9"],

        ["\xF8\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC8"],
        ["\x8C\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD1"],

        ["\xF8\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xC9"],
        ["\x8C\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD2"],

        ["\xF8\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xCA"],
        ["\x8C\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD3"],

        ["\xF8\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xCB"],
        ["\x8C\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD4"],

        ["\xF8\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xCC"],
        ["\x8C\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD5"],

        ["\xF8\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xCD"],
        ["\x8C\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD6"],

        ["\xF8\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xCE"],
        ["\x8C\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD7"],

        ["\xF8\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xCF"],
        ["\x8C\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD8"],

        ["\xF8\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD0"],
        ["\x8C\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD9"],

        ["\xF8\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD1"],
        ["\x8C\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xE2"],

        ["\xF8\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD2"],
        ["\x8C\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xE3"],

        ["\xF8\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD3"],
        ["\x8C\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xE4"],

        ["\xF8\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD4"],
        ["\x8C\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xE5"],

        ["\xF8\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD5"],
        ["\x8C\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xE6"],

        ["\xF8\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD6"],
        ["\x8C\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xE7"],

        ["\xF8\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD7"],
        ["\x8C\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xE8"],

        ["\xF8\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD8"],
        ["\x8C\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xE9"],

        ["\xF8\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xD9"],
        ["\x8C\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x4A"],

        ["\xF8\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xDA"],
        ["\x8C\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x5B"],

        ["\xF8\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xDB"],
        ["\x8C\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x5A"],

        ["\xF8\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xDC"],
        ["\x8C\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x5F"],

        ["\xF8\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xDD"],
        ["\x8C\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x6D"],

        ["\xF8\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xDE"],
        ["\x8C\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x79"],

        ["\xF8\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xDF"],
        ["\x8C\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x57"],

        ["\xF8\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE0"],
        ["\x8C\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x59"],

        ["\xF8\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE1"],
        ["\x8C\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x62"],

        ["\xF8\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE2"],
        ["\x8C\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x63"],

        ["\xF8\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE3"],
        ["\x8C\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x64"],

        ["\xF8\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE4"],
        ["\x8C\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x65"],

        ["\xF8\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE5"],
        ["\x8C\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x66"],

        ["\xF8\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE6"],
        ["\x8C\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x67"],

        ["\xF8\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE7"],
        ["\x8C\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x68"],

        ["\xF8\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE8"],
        ["\x8C\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x69"],

        ["\xF8\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xE9"],
        ["\x8C\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x70"],

        ["\xF8\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xEA"],
        ["\x8C\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x71"],

        ["\xF8\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xEB"],
        ["\x8C\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x72"],

        ["\xF8\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xEC"],
        ["\x8C\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x73"],

        ["\xF8\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xED"],
        ["\x8C\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x74"],

        ["\xF8\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xEE"],
        ["\x8C\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x75"],

        ["\xF8\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xEF"],
        ["\x8C\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x76"],

        ["\xF8\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF0"],
        ["\x8C\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x77"],

        ["\xF8\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF1"],
        ["\x8C\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x78"],

        ["\xF8\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF2"],
        ["\x8C\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x80"],

        ["\xF8\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF3"],
        ["\x8C\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x8B"],

        ["\xF8\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF4"],
        ["\x8C\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x9B"],

        ["\xF8\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF5"],
        ["\x8C\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x9C"],

        ["\xF8\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF6"],
        ["\x8C\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xA0"],

        ["\xF8\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF7"],
        ["\x8C\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xAB"],

        ["\xF8\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF8"],
        ["\x8C\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xB0"],

        ["\xF8\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xF9"],
        ["\x8C\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xC0"],

        ["\xF8\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xFA"],
        ["\x8C\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\x6A"],

        ["\xF8\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xFB"],
        ["\x8C\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xD0"],

        ["\xF8\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8C\xFC"],
        ["\x8C\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF8\xA1"],

        ["\xF9\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x40"],
        ["\x8D\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x4F"],

        ["\xF9\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x41"],
        ["\x8D\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x7F"],

        ["\xF9\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x42"],
        ["\x8D\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x7B"],

        ["\xF9\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x43"],
        ["\x8D\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xE0"],

        ["\xF9\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x44"],
        ["\x8D\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x6C"],

        ["\xF9\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x45"],
        ["\x8D\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x50"],

        ["\xF9\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x46"],
        ["\x8D\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x7D"],

        ["\xF9\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x47"],
        ["\x8D\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x4D"],

        ["\xF9\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x48"],
        ["\x8D\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x5D"],

        ["\xF9\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x49"],
        ["\x8D\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x5C"],

        ["\xF9\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x4A"],
        ["\x8D\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x4E"],

        ["\xF9\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x4B"],
        ["\x8D\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x6B"],

        ["\xF9\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x4C"],
        ["\x8D\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x60"],

        ["\xF9\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x4D"],
        ["\x8D\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x4B"],

        ["\xF9\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x4E"],
        ["\x8D\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x61"],

        ["\xF9\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x4F"],
        ["\x8D\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF0"],

        ["\xF9\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x50"],
        ["\x8D\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF1"],

        ["\xF9\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x51"],
        ["\x8D\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF2"],

        ["\xF9\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x52"],
        ["\x8D\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF3"],

        ["\xF9\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x53"],
        ["\x8D\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF4"],

        ["\xF9\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x54"],
        ["\x8D\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF5"],

        ["\xF9\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x55"],
        ["\x8D\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF6"],

        ["\x8E\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x56"],
        ["\x8D\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x86"],

        ["\xF9\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x57"],
        ["\x8D\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF8"],

        ["\xF9\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x58"],
        ["\x8D\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF9"],

        ["\xF9\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x59"],
        ["\x8D\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x7A"],

        ["\xF9\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x5A"],
        ["\x8D\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x5E"],

        ["\xF9\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x5B"],
        ["\x8D\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x4C"],

        ["\xF9\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x5C"],
        ["\x8D\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x7E"],

        ["\xF9\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x5D"],
        ["\x8D\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x6E"],

        ["\xF9\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x5E"],
        ["\x8D\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x6F"],

        ["\xF9\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x5F"],
        ["\x8D\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x7C"],

        ["\xF9\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x60"],
        ["\x8D\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC1"],

        ["\xF9\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x61"],
        ["\x8D\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC2"],

        ["\xF9\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x62"],
        ["\x8D\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC3"],

        ["\xF9\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x63"],
        ["\x8D\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC4"],

        ["\xF9\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x64"],
        ["\x8D\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC5"],

        ["\xF9\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x65"],
        ["\x8D\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC6"],

        ["\xF9\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x66"],
        ["\x8D\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC7"],

        ["\xF9\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x67"],
        ["\x8D\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC8"],

        ["\xF9\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x68"],
        ["\x8D\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC9"],

        ["\xF9\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x69"],
        ["\x8D\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD1"],

        ["\xF9\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x6A"],
        ["\x8D\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD2"],

        ["\xF9\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x6B"],
        ["\x8D\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD3"],

        ["\xF9\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x6C"],
        ["\x8D\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD4"],

        ["\xF9\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x6D"],
        ["\x8D\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD5"],

        ["\xF9\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x6E"],
        ["\x8D\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD6"],

        ["\xF9\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x6F"],
        ["\x8D\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD7"],

        ["\xF9\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x70"],
        ["\x8D\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD8"],

        ["\xF9\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x71"],
        ["\x8D\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD9"],

        ["\xF9\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x72"],
        ["\x8D\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xE2"],

        ["\xF9\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x73"],
        ["\x8D\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xE3"],

        ["\xF9\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x74"],
        ["\x8D\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xE4"],

        ["\xF9\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x75"],
        ["\x8D\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xE5"],

        ["\xF9\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x76"],
        ["\x8D\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xE6"],

        ["\xF9\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x77"],
        ["\x8D\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xE7"],

        ["\xF9\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x78"],
        ["\x8D\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xE8"],

        ["\xF9\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x79"],
        ["\x8D\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xE9"],

        ["\xF9\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x7A"],
        ["\x8D\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x4A"],

        ["\x59\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x7B"],
        ["\x8D\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x67"],

        ["\xF9\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x7C"],
        ["\x8D\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x5A"],

        ["\xF9\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x7D"],
        ["\x8D\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x5F"],

        ["\xF9\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x7E"],
        ["\x8D\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x6D"],

        ["\xF9\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x80"],
        ["\x8D\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x79"],

        ["\xF9\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x81"],
        ["\x8D\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x57"],

        ["\xF9\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x82"],
        ["\x8D\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x59"],

        ["\xF9\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x83"],
        ["\x8D\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x62"],

        ["\xF9\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x84"],
        ["\x8D\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x63"],

        ["\xF9\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x85"],
        ["\x8D\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x64"],

        ["\xF9\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x86"],
        ["\x8D\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x65"],

        ["\xF9\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x87"],
        ["\x8D\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x66"],

        ["\xF9\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x88"],
        ["\x8D\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x67"],

        ["\xF9\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x89"],
        ["\x8D\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x68"],

        ["\xF9\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x8A"],
        ["\x8D\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x69"],

        ["\xF9\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x8B"],
        ["\x8D\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x70"],

        ["\xF9\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x8C"],
        ["\x8D\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x71"],

        ["\xAC\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x8D"],
        ["\x8D\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAC\x8C"],

        ["\xF9\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x8E"],
        ["\x8D\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x73"],

        ["\xF9\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x8F"],
        ["\x8D\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x74"],

        ["\xF9\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x90"],
        ["\x8D\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x75"],

        ["\xF9\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x91"],
        ["\x8D\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x76"],

        ["\xF9\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x92"],
        ["\x8D\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x77"],

        ["\xF9\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x93"],
        ["\x8D\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x78"],

        ["\xF9\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x94"],
        ["\x8D\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x80"],

        ["\xF9\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x95"],
        ["\x8D\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x8B"],

        ["\xF9\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x96"],
        ["\x8D\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x9B"],

        ["\xF9\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x97"],
        ["\x8D\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x9C"],

        ["\xF9\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x98"],
        ["\x8D\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xA0"],

        ["\xF9\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x99"],
        ["\x8D\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xAB"],

        ["\xF9\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x9A"],
        ["\x8D\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xB0"],

        ["\xF9\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x9B"],
        ["\x8D\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xC0"],

        ["\xF9\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x9C"],
        ["\x8D\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x6A"],

        ["\xF9\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x9D"],
        ["\x8D\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xD0"],

        ["\xF9\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x9E"],
        ["\x8D\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xA1"],

        ["\x7A\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\x9F"],
        ["\x8D\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x4F"],

        ["\x7A\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA0"],
        ["\x8D\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x7F"],

        ["\x7A\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA1"],
        ["\x8D\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x7B"],

        ["\x7A\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA2"],
        ["\x8D\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xE0"],

        ["\x7A\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA3"],
        ["\x8D\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x6C"],

        ["\x7A\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA4"],
        ["\x8D\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x50"],

        ["\x7A\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA5"],
        ["\x8D\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x7D"],

        ["\x7A\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA6"],
        ["\x8D\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x4D"],

        ["\x7A\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA7"],
        ["\x8D\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x5D"],

        ["\x7A\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA8"],
        ["\x8D\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x5C"],

        ["\x7A\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xA9"],
        ["\x8D\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x4E"],

        ["\x7A\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xAA"],
        ["\x8D\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x6B"],

        ["\x7A\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xAB"],
        ["\x8D\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x60"],

        ["\x7A\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xAC"],
        ["\x8D\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x4B"],

        ["\x7A\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xAD"],
        ["\x8D\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x61"],

        ["\x7A\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xAE"],
        ["\x8D\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF0"],

        ["\x7A\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xAF"],
        ["\x8D\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF1"],

        ["\x7A\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB0"],
        ["\x8D\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF2"],

        ["\x7A\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB1"],
        ["\x8D\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF3"],

        ["\x7A\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB2"],
        ["\x8D\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF4"],

        ["\x7A\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB3"],
        ["\x8D\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF5"],

        ["\x7A\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB4"],
        ["\x8D\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF6"],

        ["\x7A\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB5"],
        ["\x8D\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF7"],

        ["\x7A\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB6"],
        ["\x8D\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF8"],

        ["\x7A\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB7"],
        ["\x8D\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xF9"],

        ["\x7A\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB8"],
        ["\x8D\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x7A"],

        ["\x7A\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xB9"],
        ["\x8D\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x5E"],

        ["\x7A\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xBA"],
        ["\x8D\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x4C"],

        ["\x7A\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xBB"],
        ["\x8D\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x7E"],

        ["\x7A\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xBC"],
        ["\x8D\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x6E"],

        ["\x7A\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xBD"],
        ["\x8D\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x6F"],

        ["\x7A\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xBE"],
        ["\x8D\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x7C"],

        ["\x7A\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xBF"],
        ["\x8D\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC1"],

        ["\x7A\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC0"],
        ["\x8D\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC2"],

        ["\x7A\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC1"],
        ["\x8D\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC3"],

        ["\x7A\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC2"],
        ["\x8D\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC4"],

        ["\x7A\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC3"],
        ["\x8D\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC5"],

        ["\x7A\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC4"],
        ["\x8D\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC6"],

        ["\x7A\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC5"],
        ["\x8D\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC7"],

        ["\x7A\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC6"],
        ["\x8D\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC8"],

        ["\x7A\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC7"],
        ["\x8D\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC9"],

        ["\x7A\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC8"],
        ["\x8D\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD1"],

        ["\x7A\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xC9"],
        ["\x8D\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD2"],

        ["\x7A\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xCA"],
        ["\x8D\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD3"],

        ["\x7A\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xCB"],
        ["\x8D\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD4"],

        ["\x7A\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xCC"],
        ["\x8D\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD5"],

        ["\x7A\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xCD"],
        ["\x8D\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD6"],

        ["\x7A\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xCE"],
        ["\x8D\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD7"],

        ["\x7A\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xCF"],
        ["\x8D\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD8"],

        ["\x7A\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD0"],
        ["\x8D\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD9"],

        ["\x7A\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD1"],
        ["\x8D\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xE2"],

        ["\x7A\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD2"],
        ["\x8D\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xE3"],

        ["\x7A\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD3"],
        ["\x8D\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xE4"],

        ["\x7A\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD4"],
        ["\x8D\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xE5"],

        ["\x7A\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD5"],
        ["\x8D\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xE6"],

        ["\x7A\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD6"],
        ["\x8D\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xE7"],

        ["\x7A\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD7"],
        ["\x8D\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xE8"],

        ["\x7A\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD8"],
        ["\x8D\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xE9"],

        ["\x7A\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xD9"],
        ["\x8D\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x4A"],

        ["\x7A\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xDA"],
        ["\x8D\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x5B"],

        ["\x7A\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xDB"],
        ["\x8D\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x5A"],

        ["\x7A\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xDC"],
        ["\x8D\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x5F"],

        ["\x7A\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xDD"],
        ["\x8D\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x6D"],

        ["\x7A\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xDE"],
        ["\x8D\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x79"],

        ["\x7A\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xDF"],
        ["\x8D\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x57"],

        ["\x7A\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE0"],
        ["\x8D\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x59"],

        ["\x7A\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE1"],
        ["\x8D\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x62"],

        ["\x7A\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE2"],
        ["\x8D\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x63"],

        ["\x7A\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE3"],
        ["\x8D\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x64"],

        ["\x7A\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE4"],
        ["\x8D\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x65"],

        ["\x7A\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE5"],
        ["\x8D\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x66"],

        ["\x7A\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE6"],
        ["\x8D\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x67"],

        ["\x7A\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE7"],
        ["\x8D\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x68"],

        ["\x7A\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE8"],
        ["\x8D\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x69"],

        ["\x7A\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xE9"],
        ["\x8D\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x70"],

        ["\x7A\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xEA"],
        ["\x8D\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x71"],

        ["\x7A\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xEB"],
        ["\x8D\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x72"],

        ["\x7A\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xEC"],
        ["\x8D\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x73"],

        ["\x7A\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xED"],
        ["\x8D\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x74"],

        ["\x7A\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xEE"],
        ["\x8D\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x75"],

        ["\x7A\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xEF"],
        ["\x8D\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x76"],

        ["\x7A\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF0"],
        ["\x8D\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x77"],

        ["\x7A\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF1"],
        ["\x8D\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x78"],

        ["\x7A\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF2"],
        ["\x8D\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x80"],

        ["\x7A\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF3"],
        ["\x8D\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x8B"],

        ["\x7A\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF4"],
        ["\x8D\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x9B"],

        ["\x7A\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF5"],
        ["\x8D\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x9C"],

        ["\x7A\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF6"],
        ["\x8D\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xA0"],

        ["\x7A\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF7"],
        ["\x8D\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xAB"],

        ["\x7A\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF8"],
        ["\x8D\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xB0"],

        ["\x7A\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xF9"],
        ["\x8D\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xC0"],

        ["\x7A\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xFA"],
        ["\x8D\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\x6A"],

        ["\x7A\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xFB"],
        ["\x8D\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xD0"],

        ["\x7A\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8D\xFC"],
        ["\x8D\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7A\xA1"],

        ["\x5E\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x40"],
        ["\x8E\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4F"],

        ["\x5E\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x41"],
        ["\x8E\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7F"],

        ["\x5E\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x42"],
        ["\x8E\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7B"],

        ["\x5E\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x43"],
        ["\x8E\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE0"],

        ["\x5E\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x44"],
        ["\x8E\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6C"],

        ["\x5E\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x45"],
        ["\x8E\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x50"],

        ["\x5E\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x46"],
        ["\x8E\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7D"],

        ["\x5E\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x47"],
        ["\x8E\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4D"],

        ["\x5E\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x48"],
        ["\x8E\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5D"],

        ["\x5E\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x49"],
        ["\x8E\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5C"],

        ["\x5E\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x4A"],
        ["\x8E\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4E"],

        ["\x5E\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x4B"],
        ["\x8E\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6B"],

        ["\x5E\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x4C"],
        ["\x8E\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x60"],

        ["\x5E\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x4D"],
        ["\x8E\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4B"],

        ["\x5E\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x4E"],
        ["\x8E\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x61"],

        ["\x5E\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x4F"],
        ["\x8E\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF0"],

        ["\x5E\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x50"],
        ["\x8E\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF1"],

        ["\x5E\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x51"],
        ["\x8E\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF2"],

        ["\x5E\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x52"],
        ["\x8E\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF3"],

        ["\x5E\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x53"],
        ["\x8E\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF4"],

        ["\x5E\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x54"],
        ["\x8E\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF5"],

        ["\x5E\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x55"],
        ["\x8E\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF6"],

        ["\x5E\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x56"],
        ["\x8E\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF7"],

        ["\x5E\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x57"],
        ["\x8E\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF8"],

        ["\x5E\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x58"],
        ["\x8E\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xF9"],

        ["\x5E\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x59"],
        ["\x8E\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7A"],

        ["\x5E\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x5A"],
        ["\x8E\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5E"],

        ["\x5E\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x5B"],
        ["\x8E\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4C"],

        ["\x5E\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x5C"],
        ["\x8E\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7E"],

        ["\x5E\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x5D"],
        ["\x8E\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6E"],

        ["\x5E\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x5E"],
        ["\x8E\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6F"],

        ["\x5E\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x5F"],
        ["\x8E\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x7C"],

        ["\x5E\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x60"],
        ["\x8E\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC1"],

        ["\x5E\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x61"],
        ["\x8E\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC2"],

        ["\x5E\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x62"],
        ["\x8E\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC3"],

        ["\x5E\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x63"],
        ["\x8E\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC4"],

        ["\x5E\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x64"],
        ["\x8E\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC5"],

        ["\x5E\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x65"],
        ["\x8E\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC6"],

        ["\x5E\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x66"],
        ["\x8E\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC7"],

        ["\x5E\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x67"],
        ["\x8E\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC8"],

        ["\x5E\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x68"],
        ["\x8E\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC9"],

        ["\x5E\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x69"],
        ["\x8E\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD1"],

        ["\x5E\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x6A"],
        ["\x8E\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD2"],

        ["\x5E\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x6B"],
        ["\x8E\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD3"],

        ["\x5E\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x6C"],
        ["\x8E\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD4"],

        ["\x5E\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x6D"],
        ["\x8E\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD5"],

        ["\x5E\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x6E"],
        ["\x8E\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD6"],

        ["\x5E\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x6F"],
        ["\x8E\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD7"],

        ["\x5E\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x70"],
        ["\x8E\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD8"],

        ["\x5E\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x71"],
        ["\x8E\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD9"],

        ["\x5E\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x72"],
        ["\x8E\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE2"],

        ["\x5E\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x73"],
        ["\x8E\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE3"],

        ["\x5E\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x74"],
        ["\x8E\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE4"],

        ["\x5E\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x75"],
        ["\x8E\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE5"],

        ["\x5E\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x76"],
        ["\x8E\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE6"],

        ["\x5E\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x77"],
        ["\x8E\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE7"],

        ["\x5E\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x78"],
        ["\x8E\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE8"],

        ["\x5E\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x79"],
        ["\x8E\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xE9"],

        ["\x5E\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x7A"],
        ["\x8E\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x4A"],

        ["\x5E\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x7B"],
        ["\x8E\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5B"],

        ["\x5E\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x7C"],
        ["\x8E\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5A"],

        ["\x5E\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x7D"],
        ["\x8E\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x5F"],

        ["\x5E\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x7E"],
        ["\x8E\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6D"],

        ["\x5E\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x80"],
        ["\x8E\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x79"],

        ["\x5E\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x81"],
        ["\x8E\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x57"],

        ["\x5E\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x82"],
        ["\x8E\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x59"],

        ["\x5E\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x83"],
        ["\x8E\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x62"],

        ["\x5E\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x84"],
        ["\x8E\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x63"],

        ["\x5E\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x85"],
        ["\x8E\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x64"],

        ["\x5E\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x86"],
        ["\x8E\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x65"],

        ["\x5E\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x87"],
        ["\x8E\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x66"],

        ["\x5E\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x88"],
        ["\x8E\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x67"],

        ["\x5E\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x89"],
        ["\x8E\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x68"],

        ["\x5E\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x8A"],
        ["\x8E\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x69"],

        ["\x5E\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x8B"],
        ["\x8E\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x70"],

        ["\x5E\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x8C"],
        ["\x8E\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x71"],

        ["\x5E\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x8D"],
        ["\x8E\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x72"],

        ["\x5E\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x8E"],
        ["\x8E\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x73"],

        ["\x5E\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x8F"],
        ["\x8E\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x74"],

        ["\x5E\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x90"],
        ["\x8E\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x75"],

        ["\x5E\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x91"],
        ["\x8E\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x76"],

        ["\x5E\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x92"],
        ["\x8E\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x77"],

        ["\x5E\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x93"],
        ["\x8E\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x78"],

        ["\x5E\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x94"],
        ["\x8E\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x80"],

        ["\x5E\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x95"],
        ["\x8E\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x8B"],

        ["\x5E\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x96"],
        ["\x8E\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x9B"],

        ["\x5E\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x97"],
        ["\x8E\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x9C"],

        ["\x5E\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x98"],
        ["\x8E\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA0"],

        ["\x5E\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x99"],
        ["\x8E\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xAB"],

        ["\x5E\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x9A"],
        ["\x8E\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xB0"],

        ["\x5E\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x9B"],
        ["\x8E\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xC0"],

        ["\x5E\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x9C"],
        ["\x8E\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\x6A"],

        ["\x5E\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x9D"],
        ["\x8E\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xD0"],

        ["\x5E\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x9E"],
        ["\x8E\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5E\xA1"],

        ["\x4C\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\x9F"],
        ["\x8E\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4F"],

        ["\x4C\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA0"],
        ["\x8E\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7F"],

        ["\x4C\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA1"],
        ["\x8E\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7B"],

        ["\x4C\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA2"],
        ["\x8E\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE0"],

        ["\x4C\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA3"],
        ["\x8E\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6C"],

        ["\x4C\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA4"],
        ["\x8E\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x50"],

        ["\x4C\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA5"],
        ["\x8E\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7D"],

        ["\x4C\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA6"],
        ["\x8E\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4D"],

        ["\x4C\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA7"],
        ["\x8E\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5D"],

        ["\x4C\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA8"],
        ["\x8E\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5C"],

        ["\x4C\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xA9"],
        ["\x8E\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4E"],

        ["\x4C\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xAA"],
        ["\x8E\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6B"],

        ["\x4C\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xAB"],
        ["\x8E\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x60"],

        ["\x4C\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xAC"],
        ["\x8E\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4B"],

        ["\x4C\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xAD"],
        ["\x8E\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x61"],

        ["\x4C\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xAE"],
        ["\x8E\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF0"],

        ["\x4C\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xAF"],
        ["\x8E\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF1"],

        ["\x4C\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB0"],
        ["\x8E\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF2"],

        ["\x4C\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB1"],
        ["\x8E\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF3"],

        ["\x4C\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB2"],
        ["\x8E\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF4"],

        ["\x4C\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB3"],
        ["\x8E\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF5"],

        ["\x4C\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB4"],
        ["\x8E\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF6"],

        ["\x4C\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB5"],
        ["\x8E\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF7"],

        ["\x4C\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB6"],
        ["\x8E\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF8"],

        ["\x4C\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB7"],
        ["\x8E\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xF9"],

        ["\x4C\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB8"],
        ["\x8E\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7A"],

        ["\x4C\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xB9"],
        ["\x8E\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5E"],

        ["\x4C\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xBA"],
        ["\x8E\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4C"],

        ["\x4C\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xBB"],
        ["\x8E\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7E"],

        ["\x4C\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xBC"],
        ["\x8E\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6E"],

        ["\x4C\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xBD"],
        ["\x8E\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6F"],

        ["\x4C\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xBE"],
        ["\x8E\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x7C"],

        ["\x4C\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xBF"],
        ["\x8E\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC1"],

        ["\x4C\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC0"],
        ["\x8E\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC2"],

        ["\x4C\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC1"],
        ["\x8E\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC3"],

        ["\x4C\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC2"],
        ["\x8E\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC4"],

        ["\x4C\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC3"],
        ["\x8E\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC5"],

        ["\x4C\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC4"],
        ["\x8E\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC6"],

        ["\x4C\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC5"],
        ["\x8E\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC7"],

        ["\x4C\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC6"],
        ["\x8E\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC8"],

        ["\x68\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC7"],
        ["\x8E\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7F"],

        ["\x4C\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC8"],
        ["\x8E\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD1"],

        ["\x4C\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xC9"],
        ["\x8E\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD2"],

        ["\x4C\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xCA"],
        ["\x8E\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD3"],

        ["\x4C\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xCB"],
        ["\x8E\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD4"],

        ["\x4C\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xCC"],
        ["\x8E\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD5"],

        ["\x4C\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xCD"],
        ["\x8E\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD6"],

        ["\x4C\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xCE"],
        ["\x8E\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD7"],

        ["\x4C\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xCF"],
        ["\x8E\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD8"],

        ["\x4C\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD0"],
        ["\x8E\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD9"],

        ["\x4C\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD1"],
        ["\x8E\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE2"],

        ["\x4C\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD2"],
        ["\x8E\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE3"],

        ["\x4C\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD3"],
        ["\x8E\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE4"],

        ["\x4C\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD4"],
        ["\x8E\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE5"],

        ["\x4C\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD5"],
        ["\x8E\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE6"],

        ["\x4C\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD6"],
        ["\x8E\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE7"],

        ["\x4C\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD7"],
        ["\x8E\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE8"],

        ["\x4C\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD8"],
        ["\x8E\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xE9"],

        ["\x4C\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xD9"],
        ["\x8E\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x4A"],

        ["\x4C\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xDA"],
        ["\x8E\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5B"],

        ["\x4C\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xDB"],
        ["\x8E\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5A"],

        ["\x4C\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xDC"],
        ["\x8E\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x5F"],

        ["\x4C\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xDD"],
        ["\x8E\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6D"],

        ["\x4C\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xDE"],
        ["\x8E\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x79"],

        ["\x4C\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xDF"],
        ["\x8E\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x57"],

        ["\x4C\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE0"],
        ["\x8E\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x59"],

        ["\x4C\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE1"],
        ["\x8E\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x62"],

        ["\x4C\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE2"],
        ["\x8E\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x63"],

        ["\x4C\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE3"],
        ["\x8E\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x64"],

        ["\x4C\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE4"],
        ["\x8E\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x65"],

        ["\x4C\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE5"],
        ["\x8E\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x66"],

        ["\x4C\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE6"],
        ["\x8E\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x67"],

        ["\x4C\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE7"],
        ["\x8E\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x68"],

        ["\x4C\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE8"],
        ["\x8E\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x69"],

        ["\x4C\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xE9"],
        ["\x8E\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x70"],

        ["\x4C\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xEA"],
        ["\x8E\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x71"],

        ["\x4C\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xEB"],
        ["\x8E\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x72"],

        ["\x4C\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xEC"],
        ["\x8E\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x73"],

        ["\x4C\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xED"],
        ["\x8E\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x74"],

        ["\x4C\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xEE"],
        ["\x8E\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x75"],

        ["\x4C\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xEF"],
        ["\x8E\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x76"],

        ["\x4C\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF0"],
        ["\x8E\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x77"],

        ["\x4C\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF1"],
        ["\x8E\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x78"],

        ["\x4C\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF2"],
        ["\x8E\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x80"],

        ["\x4C\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF3"],
        ["\x8E\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x8B"],

        ["\x4C\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF4"],
        ["\x8E\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x9B"],

        ["\x4C\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF5"],
        ["\x8E\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x9C"],

        ["\x4C\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF6"],
        ["\x8E\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA0"],

        ["\x4C\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF7"],
        ["\x8E\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xAB"],

        ["\x4C\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF8"],
        ["\x8E\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xB0"],

        ["\x4C\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xF9"],
        ["\x8E\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC0"],

        ["\x4C\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xFA"],
        ["\x8E\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\x6A"],

        ["\x4C\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xFB"],
        ["\x8E\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xD0"],

        ["\x4C\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8E\xFC"],
        ["\x8E\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xA1"],

        ["\x7E\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x40"],
        ["\x8F\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x4F"],

        ["\x7E\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x41"],
        ["\x8F\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x7F"],

        ["\x7E\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x42"],
        ["\x8F\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x7B"],

        ["\x7E\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x43"],
        ["\x8F\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xE0"],

        ["\x7E\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x44"],
        ["\x8F\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x6C"],

        ["\x7E\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x45"],
        ["\x8F\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x50"],

        ["\x7E\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x46"],
        ["\x8F\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x7D"],

        ["\x7E\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x47"],
        ["\x8F\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x4D"],

        ["\x7E\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x48"],
        ["\x8F\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x5D"],

        ["\x7E\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x49"],
        ["\x8F\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x5C"],

        ["\x7E\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x4A"],
        ["\x8F\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x4E"],

        ["\x7E\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x4B"],
        ["\x8F\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x6B"],

        ["\x7E\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x4C"],
        ["\x8F\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x60"],

        ["\x7E\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x4D"],
        ["\x8F\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x4B"],

        ["\x7E\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x4E"],
        ["\x8F\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x61"],

        ["\x7E\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x4F"],
        ["\x8F\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF0"],

        ["\x7E\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x50"],
        ["\x8F\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF1"],

        ["\x7E\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x51"],
        ["\x8F\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF2"],

        ["\x7E\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x52"],
        ["\x8F\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF3"],

        ["\x7E\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x53"],
        ["\x8F\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF4"],

        ["\x7E\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x54"],
        ["\x8F\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF5"],

        ["\x7E\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x55"],
        ["\x8F\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF6"],

        ["\x7E\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x56"],
        ["\x8F\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF7"],

        ["\x7E\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x57"],
        ["\x8F\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF8"],

        ["\x7E\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x58"],
        ["\x8F\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xF9"],

        ["\x7E\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x59"],
        ["\x8F\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x7A"],

        ["\x7E\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x5A"],
        ["\x8F\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x5E"],

        ["\x7E\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x5B"],
        ["\x8F\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x4C"],

        ["\x7E\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x5C"],
        ["\x8F\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x7E"],

        ["\x7E\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x5D"],
        ["\x8F\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x6E"],

        ["\x7E\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x5E"],
        ["\x8F\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x6F"],

        ["\x7E\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x5F"],
        ["\x8F\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x7C"],

        ["\x7E\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x60"],
        ["\x8F\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC1"],

        ["\x7E\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x61"],
        ["\x8F\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC2"],

        ["\x7E\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x62"],
        ["\x8F\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC3"],

        ["\x7E\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x63"],
        ["\x8F\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC4"],

        ["\x7E\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x64"],
        ["\x8F\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC5"],

        ["\x7E\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x65"],
        ["\x8F\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC6"],

        ["\x7E\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x66"],
        ["\x8F\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC7"],

        ["\x7E\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x67"],
        ["\x8F\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC8"],

        ["\x7E\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x68"],
        ["\x8F\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC9"],

        ["\x7E\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x69"],
        ["\x8F\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD1"],

        ["\x7E\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x6A"],
        ["\x8F\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD2"],

        ["\x7E\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x6B"],
        ["\x8F\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD3"],

        ["\x7E\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x6C"],
        ["\x8F\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD4"],

        ["\x7E\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x6D"],
        ["\x8F\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD5"],

        ["\x7E\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x6E"],
        ["\x8F\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD6"],

        ["\x7E\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x6F"],
        ["\x8F\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD7"],

        ["\x7E\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x70"],
        ["\x8F\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD8"],

        ["\x7E\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x71"],
        ["\x8F\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD9"],

        ["\x7E\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x72"],
        ["\x8F\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xE2"],

        ["\x7E\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x73"],
        ["\x8F\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xE3"],

        ["\x7E\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x74"],
        ["\x8F\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xE4"],

        ["\x7E\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x75"],
        ["\x8F\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xE5"],

        ["\x7E\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x76"],
        ["\x8F\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xE6"],

        ["\x7E\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x77"],
        ["\x8F\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xE7"],

        ["\x7E\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x78"],
        ["\x8F\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xE8"],

        ["\x7E\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x79"],
        ["\x8F\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xE9"],

        ["\x7E\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x7A"],
        ["\x8F\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x4A"],

        ["\x7E\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x7B"],
        ["\x8F\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x5B"],

        ["\x7E\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x7C"],
        ["\x8F\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x5A"],

        ["\x7E\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x7D"],
        ["\x8F\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x5F"],

        ["\x7E\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x7E"],
        ["\x8F\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x6D"],

        ["\x7E\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x80"],
        ["\x8F\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x79"],

        ["\x7E\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x81"],
        ["\x8F\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x57"],

        ["\x7E\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x82"],
        ["\x8F\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x59"],

        ["\x7E\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x83"],
        ["\x8F\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x62"],

        ["\x7E\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x84"],
        ["\x8F\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x63"],

        ["\x7E\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x85"],
        ["\x8F\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x64"],

        ["\x7E\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x86"],
        ["\x8F\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x65"],

        ["\x7E\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x87"],
        ["\x8F\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x66"],

        ["\x7E\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x88"],
        ["\x8F\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x67"],

        ["\x7E\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x89"],
        ["\x8F\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x68"],

        ["\x7E\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x8A"],
        ["\x8F\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x69"],

        ["\x7E\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x8B"],
        ["\x8F\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x70"],

        ["\x7E\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x8C"],
        ["\x8F\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x71"],

        ["\x7E\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x8D"],
        ["\x8F\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x72"],

        ["\x7E\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x8E"],
        ["\x8F\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x73"],

        ["\x7E\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x8F"],
        ["\x8F\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x74"],

        ["\x7E\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x90"],
        ["\x8F\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x75"],

        ["\x7E\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x91"],
        ["\x8F\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x76"],

        ["\x7E\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x92"],
        ["\x8F\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x77"],

        ["\x7E\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x93"],
        ["\x8F\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x78"],

        ["\x7E\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x94"],
        ["\x8F\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x80"],

        ["\x7E\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x95"],
        ["\x8F\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x8B"],

        ["\x7E\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x96"],
        ["\x8F\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x9B"],

        ["\x7E\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x97"],
        ["\x8F\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x9C"],

        ["\x7E\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x98"],
        ["\x8F\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xA0"],

        ["\x7E\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x99"],
        ["\x8F\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xAB"],

        ["\x7E\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x9A"],
        ["\x8F\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xB0"],

        ["\x7E\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x9B"],
        ["\x8F\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xC0"],

        ["\x7E\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x9C"],
        ["\x8F\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\x6A"],

        ["\x7E\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x9D"],
        ["\x8F\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xD0"],

        ["\x7E\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x9E"],
        ["\x8F\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7E\xA1"],

        ["\x6E\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\x9F"],
        ["\x8F\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x4F"],

        ["\x6E\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA0"],
        ["\x8F\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x7F"],

        ["\x6E\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA1"],
        ["\x8F\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x7B"],

        ["\x6E\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA2"],
        ["\x8F\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xE0"],

        ["\x6E\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA3"],
        ["\x8F\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x6C"],

        ["\x6E\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA4"],
        ["\x8F\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x50"],

        ["\x6E\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA5"],
        ["\x8F\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x7D"],

        ["\x6E\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA6"],
        ["\x8F\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x4D"],

        ["\x6E\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA7"],
        ["\x8F\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x5D"],

        ["\x6E\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA8"],
        ["\x8F\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x5C"],

        ["\x6E\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xA9"],
        ["\x8F\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x4E"],

        ["\x6E\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xAA"],
        ["\x8F\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x6B"],

        ["\x6E\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xAB"],
        ["\x8F\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x60"],

        ["\x6E\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xAC"],
        ["\x8F\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x4B"],

        ["\x6E\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xAD"],
        ["\x8F\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x61"],

        ["\x6E\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xAE"],
        ["\x8F\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF0"],

        ["\x6E\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xAF"],
        ["\x8F\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF1"],

        ["\x6E\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB0"],
        ["\x8F\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF2"],

        ["\x6E\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB1"],
        ["\x8F\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF3"],

        ["\x6E\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB2"],
        ["\x8F\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF4"],

        ["\x6E\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB3"],
        ["\x8F\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF5"],

        ["\x6E\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB4"],
        ["\x8F\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF6"],

        ["\x6E\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB5"],
        ["\x8F\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF7"],

        ["\x6E\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB6"],
        ["\x8F\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF8"],

        ["\x6E\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB7"],
        ["\x8F\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xF9"],

        ["\x6E\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB8"],
        ["\x8F\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x7A"],

        ["\x6E\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xB9"],
        ["\x8F\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x5E"],

        ["\x6E\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xBA"],
        ["\x8F\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x4C"],

        ["\x6E\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xBB"],
        ["\x8F\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x7E"],

        ["\x6E\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xBC"],
        ["\x8F\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x6E"],

        ["\x6E\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xBD"],
        ["\x8F\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x6F"],

        ["\x6E\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xBE"],
        ["\x8F\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x7C"],

        ["\x6E\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xBF"],
        ["\x8F\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC1"],

        ["\x6E\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC0"],
        ["\x8F\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC2"],

        ["\x6E\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC1"],
        ["\x8F\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC3"],

        ["\x6E\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC2"],
        ["\x8F\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC4"],

        ["\x6E\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC3"],
        ["\x8F\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC5"],

        ["\x6E\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC4"],
        ["\x8F\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC6"],

        ["\x6E\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC5"],
        ["\x8F\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC7"],

        ["\x6E\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC6"],
        ["\x8F\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC8"],

        ["\x6E\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC7"],
        ["\x8F\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC9"],

        ["\x6E\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC8"],
        ["\x8F\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD1"],

        ["\x6E\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xC9"],
        ["\x8F\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD2"],

        ["\x6E\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xCA"],
        ["\x8F\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD3"],

        ["\x6E\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xCB"],
        ["\x8F\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD4"],

        ["\x6E\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xCC"],
        ["\x8F\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD5"],

        ["\x6E\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xCD"],
        ["\x8F\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD6"],

        ["\x6E\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xCE"],
        ["\x8F\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD7"],

        ["\x6E\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xCF"],
        ["\x8F\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD8"],

        ["\x6E\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD0"],
        ["\x8F\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD9"],

        ["\x6E\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD1"],
        ["\x8F\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xE2"],

        ["\x6E\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD2"],
        ["\x8F\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xE3"],

        ["\x6E\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD3"],
        ["\x8F\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xE4"],

        ["\x6E\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD4"],
        ["\x8F\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xE5"],

        ["\x6E\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD5"],
        ["\x8F\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xE6"],

        ["\x6E\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD6"],
        ["\x8F\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xE7"],

        ["\x6E\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD7"],
        ["\x8F\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xE8"],

        ["\x6E\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD8"],
        ["\x8F\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xE9"],

        ["\x6E\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xD9"],
        ["\x8F\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x4A"],

        ["\x6E\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xDA"],
        ["\x8F\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x5B"],

        ["\x6E\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xDB"],
        ["\x8F\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x5A"],

        ["\x6E\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xDC"],
        ["\x8F\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x5F"],

        ["\x6E\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xDD"],
        ["\x8F\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x6D"],

        ["\x6E\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xDE"],
        ["\x8F\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x79"],

        ["\x6E\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xDF"],
        ["\x8F\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x57"],

        ["\x6E\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE0"],
        ["\x8F\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x59"],

        ["\x6E\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE1"],
        ["\x8F\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x62"],

        ["\x6E\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE2"],
        ["\x8F\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x63"],

        ["\x6E\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE3"],
        ["\x8F\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x64"],

        ["\x6E\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE4"],
        ["\x8F\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x65"],

        ["\x6E\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE5"],
        ["\x8F\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x66"],

        ["\x6E\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE6"],
        ["\x8F\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x67"],

        ["\x6E\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE7"],
        ["\x8F\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x68"],

        ["\x6E\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE8"],
        ["\x8F\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x69"],

        ["\x6E\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xE9"],
        ["\x8F\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x70"],

        ["\x6E\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xEA"],
        ["\x8F\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x71"],

        ["\x6E\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xEB"],
        ["\x8F\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x72"],

        ["\x6E\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xEC"],
        ["\x8F\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x73"],

        ["\x6E\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xED"],
        ["\x8F\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x74"],

        ["\x6E\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xEE"],
        ["\x8F\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x75"],

        ["\x6E\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xEF"],
        ["\x8F\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x76"],

        ["\x6E\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF0"],
        ["\x8F\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x77"],

        ["\x6E\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF1"],
        ["\x8F\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x78"],

        ["\x6E\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF2"],
        ["\x8F\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x80"],

        ["\x6E\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF3"],
        ["\x8F\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x8B"],

        ["\x6E\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF4"],
        ["\x8F\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x9B"],

        ["\x6E\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF5"],
        ["\x8F\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x9C"],

        ["\x6E\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF6"],
        ["\x8F\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xA0"],

        ["\x6E\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF7"],
        ["\x8F\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xAB"],

        ["\x6E\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF8"],
        ["\x8F\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xB0"],

        ["\x6E\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xF9"],
        ["\x8F\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xC0"],

        ["\x6E\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xFA"],
        ["\x8F\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\x6A"],

        ["\x6E\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xFB"],
        ["\x8F\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xD0"],

        ["\x6E\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x8F\xFC"],
        ["\x8F\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6E\xA1"],

        ["\x6F\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x40"],
        ["\x90\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x4F"],

        ["\x6F\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x41"],
        ["\x90\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x7F"],

        ["\x6F\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x42"],
        ["\x90\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x7B"],

        ["\x6F\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x43"],
        ["\x90\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xE0"],

        ["\x6F\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x44"],
        ["\x90\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x6C"],

        ["\x6F\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x45"],
        ["\x90\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x50"],

        ["\x6F\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x46"],
        ["\x90\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x7D"],

        ["\x6F\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x47"],
        ["\x90\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x4D"],

        ["\x6F\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x48"],
        ["\x90\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x5D"],

        ["\x6F\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x49"],
        ["\x90\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x5C"],

        ["\x6F\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x4A"],
        ["\x90\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x4E"],

        ["\x6F\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x4B"],
        ["\x90\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x6B"],

        ["\x6F\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x4C"],
        ["\x90\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x60"],

        ["\x6F\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x4D"],
        ["\x90\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x4B"],

        ["\x6F\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x4E"],
        ["\x90\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x61"],

        ["\x6F\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x4F"],
        ["\x90\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF0"],

        ["\x6F\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x50"],
        ["\x90\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF1"],

        ["\x6F\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x51"],
        ["\x90\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF2"],

        ["\x6F\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x52"],
        ["\x90\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF3"],

        ["\x6F\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x53"],
        ["\x90\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF4"],

        ["\x6F\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x54"],
        ["\x90\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF5"],

        ["\x6F\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x55"],
        ["\x90\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF6"],

        ["\x6F\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x56"],
        ["\x90\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF7"],

        ["\x6F\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x57"],
        ["\x90\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF8"],

        ["\x6F\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x58"],
        ["\x90\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xF9"],

        ["\x6F\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x59"],
        ["\x90\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x7A"],

        ["\x6F\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x5A"],
        ["\x90\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x5E"],

        ["\x6F\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x5B"],
        ["\x90\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x4C"],

        ["\x6F\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x5C"],
        ["\x90\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x7E"],

        ["\x6F\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x5D"],
        ["\x90\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x6E"],

        ["\x6F\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x5E"],
        ["\x90\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x6F"],

        ["\x6F\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x5F"],
        ["\x90\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x7C"],

        ["\x6F\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x60"],
        ["\x90\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC1"],

        ["\x6F\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x61"],
        ["\x90\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC2"],

        ["\x6F\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x62"],
        ["\x90\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC3"],

        ["\x6F\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x63"],
        ["\x90\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC4"],

        ["\x6F\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x64"],
        ["\x90\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC5"],

        ["\x6F\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x65"],
        ["\x90\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC6"],

        ["\x6F\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x66"],
        ["\x90\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC7"],

        ["\x6F\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x67"],
        ["\x90\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC8"],

        ["\x6F\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x68"],
        ["\x90\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC9"],

        ["\x6F\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x69"],
        ["\x90\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD1"],

        ["\x6F\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x6A"],
        ["\x90\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD2"],

        ["\x6F\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x6B"],
        ["\x90\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD3"],

        ["\x6F\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x6C"],
        ["\x90\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD4"],

        ["\x6F\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x6D"],
        ["\x90\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD5"],

        ["\x6F\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x6E"],
        ["\x90\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD6"],

        ["\x6F\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x6F"],
        ["\x90\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD7"],

        ["\x6F\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x70"],
        ["\x90\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD8"],

        ["\x6F\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x71"],
        ["\x90\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD9"],

        ["\x6F\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x72"],
        ["\x90\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xE2"],

        ["\x6F\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x73"],
        ["\x90\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xE3"],

        ["\x6F\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x74"],
        ["\x90\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xE4"],

        ["\x6F\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x75"],
        ["\x90\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xE5"],

        ["\x6F\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x76"],
        ["\x90\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xE6"],

        ["\x6F\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x77"],
        ["\x90\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xE7"],

        ["\x75\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x78"],
        ["\x90\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xE6"],

        ["\x6F\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x79"],
        ["\x90\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xE9"],

        ["\x6F\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x7A"],
        ["\x90\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x4A"],

        ["\x6F\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x7B"],
        ["\x90\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x5B"],

        ["\x6F\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x7C"],
        ["\x90\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x5A"],

        ["\x6F\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x7D"],
        ["\x90\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x5F"],

        ["\x6F\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x7E"],
        ["\x90\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x6D"],

        ["\x6F\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x80"],
        ["\x90\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x79"],

        ["\x6F\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x81"],
        ["\x90\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x57"],

        ["\x6F\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x82"],
        ["\x90\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x59"],

        ["\x6F\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x83"],
        ["\x90\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x62"],

        ["\x6F\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x84"],
        ["\x90\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x63"],

        ["\x6F\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x85"],
        ["\x90\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x64"],

        ["\x6F\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x86"],
        ["\x90\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x65"],

        ["\x6F\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x87"],
        ["\x90\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x66"],

        ["\x6F\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x88"],
        ["\x90\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x67"],

        ["\x6F\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x89"],
        ["\x90\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x68"],

        ["\x6F\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x8A"],
        ["\x90\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x69"],

        ["\x6F\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x8B"],
        ["\x90\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x70"],

        ["\x6F\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x8C"],
        ["\x90\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x71"],

        ["\x6F\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x8D"],
        ["\x90\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x72"],

        ["\x6F\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x8E"],
        ["\x90\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x73"],

        ["\x6F\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x8F"],
        ["\x90\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x74"],

        ["\x6F\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x90"],
        ["\x90\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x75"],

        ["\x6F\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x91"],
        ["\x90\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x76"],

        ["\x6F\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x92"],
        ["\x90\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x77"],

        ["\x6F\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x93"],
        ["\x90\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x78"],

        ["\x6F\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x94"],
        ["\x90\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x80"],

        ["\x6F\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x95"],
        ["\x90\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x8B"],

        ["\x6F\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x96"],
        ["\x90\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x9B"],

        ["\x6F\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x97"],
        ["\x90\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x9C"],

        ["\x6F\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x98"],
        ["\x90\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xA0"],

        ["\x6F\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x99"],
        ["\x90\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xAB"],

        ["\x6F\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x9A"],
        ["\x90\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xB0"],

        ["\x6F\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x9B"],
        ["\x90\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xC0"],

        ["\x6F\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x9C"],
        ["\x90\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\x6A"],

        ["\x6F\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x9D"],
        ["\x90\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xD0"],

        ["\x6F\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x9E"],
        ["\x90\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xA1"],

        ["\x7C\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\x9F"],
        ["\x90\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x4F"],

        ["\x7C\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA0"],
        ["\x90\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x7F"],

        ["\x7C\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA1"],
        ["\x90\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x7B"],

        ["\x7C\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA2"],
        ["\x90\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xE0"],

        ["\x7C\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA3"],
        ["\x90\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x6C"],

        ["\x7C\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA4"],
        ["\x90\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x50"],

        ["\x7C\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA5"],
        ["\x90\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x7D"],

        ["\x7C\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA6"],
        ["\x90\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x4D"],

        ["\x7C\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA7"],
        ["\x90\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x5D"],

        ["\x7C\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA8"],
        ["\x90\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x5C"],

        ["\x7C\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xA9"],
        ["\x90\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x4E"],

        ["\x7C\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xAA"],
        ["\x90\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x6B"],

        ["\x7C\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xAB"],
        ["\x90\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x60"],

        ["\x7C\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xAC"],
        ["\x90\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x4B"],

        ["\x7C\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xAD"],
        ["\x90\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x61"],

        ["\x7C\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xAE"],
        ["\x90\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF0"],

        ["\x7C\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xAF"],
        ["\x90\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF1"],

        ["\x7C\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB0"],
        ["\x90\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF2"],

        ["\x7C\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB1"],
        ["\x90\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF3"],

        ["\x7C\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB2"],
        ["\x90\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF4"],

        ["\x7C\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB3"],
        ["\x90\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF5"],

        ["\x7C\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB4"],
        ["\x90\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF6"],

        ["\x7C\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB5"],
        ["\x90\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF7"],

        ["\x7C\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB6"],
        ["\x90\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF8"],

        ["\x7C\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB7"],
        ["\x90\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xF9"],

        ["\x7C\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB8"],
        ["\x90\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x7A"],

        ["\x7C\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xB9"],
        ["\x90\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x5E"],

        ["\x7C\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xBA"],
        ["\x90\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x4C"],

        ["\x7C\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xBB"],
        ["\x90\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x7E"],

        ["\x7C\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xBC"],
        ["\x90\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x6E"],

        ["\x7C\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xBD"],
        ["\x90\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x6F"],

        ["\x7C\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xBE"],
        ["\x90\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x7C"],

        ["\x7C\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xBF"],
        ["\x90\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC1"],

        ["\x7C\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC0"],
        ["\x90\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC2"],

        ["\x7C\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC1"],
        ["\x90\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC3"],

        ["\x7C\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC2"],
        ["\x90\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC4"],

        ["\x7C\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC3"],
        ["\x90\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC5"],

        ["\x7C\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC4"],
        ["\x90\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC6"],

        ["\x7C\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC5"],
        ["\x90\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC7"],

        ["\x7C\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC6"],
        ["\x90\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC8"],

        ["\x7C\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC7"],
        ["\x90\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC9"],

        ["\x7C\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC8"],
        ["\x90\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD1"],

        ["\x7C\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xC9"],
        ["\x90\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD2"],

        ["\x7C\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xCA"],
        ["\x90\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD3"],

        ["\x7C\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xCB"],
        ["\x90\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD4"],

        ["\x7C\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xCC"],
        ["\x90\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD5"],

        ["\x7C\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xCD"],
        ["\x90\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD6"],

        ["\x7C\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xCE"],
        ["\x90\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD7"],

        ["\x7C\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xCF"],
        ["\x90\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD8"],

        ["\x7C\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD0"],
        ["\x90\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD9"],

        ["\x7C\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD1"],
        ["\x90\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xE2"],

        ["\x7C\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD2"],
        ["\x90\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xE3"],

        ["\x7C\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD3"],
        ["\x90\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xE4"],

        ["\x7C\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD4"],
        ["\x90\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xE5"],

        ["\x7C\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD5"],
        ["\x90\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xE6"],

        ["\x7C\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD6"],
        ["\x90\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xE7"],

        ["\x7C\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD7"],
        ["\x90\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xE8"],

        ["\x7C\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD8"],
        ["\x90\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xE9"],

        ["\x7C\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xD9"],
        ["\x90\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x4A"],

        ["\x7C\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xDA"],
        ["\x90\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x5B"],

        ["\x7C\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xDB"],
        ["\x90\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x5A"],

        ["\x7C\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xDC"],
        ["\x90\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x5F"],

        ["\x7C\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xDD"],
        ["\x90\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x6D"],

        ["\x7C\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xDE"],
        ["\x90\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x79"],

        ["\x7C\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xDF"],
        ["\x90\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x57"],

        ["\x7C\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE0"],
        ["\x90\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x59"],

        ["\x7C\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE1"],
        ["\x90\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x62"],

        ["\x7C\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE2"],
        ["\x90\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x63"],

        ["\x7C\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE3"],
        ["\x90\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x64"],

        ["\x7C\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE4"],
        ["\x90\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x65"],

        ["\x7C\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE5"],
        ["\x90\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x66"],

        ["\x7C\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE6"],
        ["\x90\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x67"],

        ["\x7C\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE7"],
        ["\x90\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x68"],

        ["\x7C\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE8"],
        ["\x90\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x69"],

        ["\x7C\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xE9"],
        ["\x90\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x70"],

        ["\x7C\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xEA"],
        ["\x90\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x71"],

        ["\x7C\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xEB"],
        ["\x90\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x72"],

        ["\x7C\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xEC"],
        ["\x90\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x73"],

        ["\x7C\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xED"],
        ["\x90\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x74"],

        ["\x7C\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xEE"],
        ["\x90\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x75"],

        ["\x7C\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xEF"],
        ["\x90\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x76"],

        ["\x7C\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF0"],
        ["\x90\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x77"],

        ["\x7C\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF1"],
        ["\x90\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x78"],

        ["\x7C\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF2"],
        ["\x90\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x80"],

        ["\x7C\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF3"],
        ["\x90\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x8B"],

        ["\x7C\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF4"],
        ["\x90\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x9B"],

        ["\x7C\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF5"],
        ["\x90\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x9C"],

        ["\x7C\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF6"],
        ["\x90\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xA0"],

        ["\x7C\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF7"],
        ["\x90\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xAB"],

        ["\x7C\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF8"],
        ["\x90\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xB0"],

        ["\x7C\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xF9"],
        ["\x90\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xC0"],

        ["\x7C\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xFA"],
        ["\x90\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\x6A"],

        ["\x7C\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xFB"],
        ["\x90\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xD0"],

        ["\x7C\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x90\xFC"],
        ["\x90\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x7C\xA1"],

        ["\xC1\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x40"],
        ["\x91\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x4F"],

        ["\xC1\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x41"],
        ["\x91\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7F"],

        ["\xC1\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x42"],
        ["\x91\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7B"],

        ["\xC1\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x43"],
        ["\x91\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE0"],

        ["\xC1\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x44"],
        ["\x91\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x6C"],

        ["\xC1\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x45"],
        ["\x91\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x50"],

        ["\xC1\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x46"],
        ["\x91\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7D"],

        ["\x71\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x47"],
        ["\x91\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD4"],

        ["\xC1\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x48"],
        ["\x91\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5D"],

        ["\xC1\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x49"],
        ["\x91\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5C"],

        ["\xC1\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x4A"],
        ["\x91\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x4E"],

        ["\xC1\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x4B"],
        ["\x91\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x6B"],

        ["\xC1\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x4C"],
        ["\x91\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x60"],

        ["\xC1\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x4D"],
        ["\x91\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x4B"],

        ["\xC1\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x4E"],
        ["\x91\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x61"],

        ["\xC1\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x4F"],
        ["\x91\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],

        ["\xC1\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x50"],
        ["\x91\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],

        ["\xC1\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x51"],
        ["\x91\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF2"],

        ["\xC1\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x52"],
        ["\x91\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],

        ["\xC1\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x53"],
        ["\x91\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],

        ["\xC1\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x54"],
        ["\x91\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF5"],

        ["\xC1\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x55"],
        ["\x91\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF6"],

        ["\xC1\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x56"],
        ["\x91\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF7"],

        ["\xC1\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x57"],
        ["\x91\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF8"],

        ["\xC1\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x58"],
        ["\x91\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xF9"],

        ["\xC1\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x59"],
        ["\x91\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7A"],

        ["\xC1\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x5A"],
        ["\x91\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5E"],

        ["\xC1\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x5B"],
        ["\x91\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x4C"],

        ["\xC1\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x5C"],
        ["\x91\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7E"],

        ["\xC1\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x5D"],
        ["\x91\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x6E"],

        ["\xC1\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x5E"],
        ["\x91\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x6F"],

        ["\xC1\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x5F"],
        ["\x91\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x7C"],

        ["\xC1\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x60"],
        ["\x91\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC1"],

        ["\xC1\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x61"],
        ["\x91\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC2"],

        ["\xC1\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x62"],
        ["\x91\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC3"],

        ["\xC1\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x63"],
        ["\x91\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],

        ["\xC1\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x64"],
        ["\x91\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC5"],

        ["\xC1\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x65"],
        ["\x91\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC6"],

        ["\xC1\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x66"],
        ["\x91\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],

        ["\xC1\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x67"],
        ["\x91\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],

        ["\xC1\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x68"],
        ["\x91\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC9"],

        ["\xC1\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x69"],
        ["\x91\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],

        ["\xC1\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x6A"],
        ["\x91\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD2"],

        ["\xC1\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x6B"],
        ["\x91\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],

        ["\xC1\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x6C"],
        ["\x91\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD4"],

        ["\xC1\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x6D"],
        ["\x91\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD5"],

        ["\xC1\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x6E"],
        ["\x91\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD6"],

        ["\xC1\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x6F"],
        ["\x91\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD7"],

        ["\xC1\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x70"],
        ["\x91\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD8"],

        ["\xC1\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x71"],
        ["\x91\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],

        ["\xC1\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x72"],
        ["\x91\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE2"],

        ["\xC1\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x73"],
        ["\x91\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE3"],

        ["\xC1\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x74"],
        ["\x91\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE4"],

        ["\xC1\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x75"],
        ["\x91\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE5"],

        ["\xC1\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x76"],
        ["\x91\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],

        ["\xC1\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x77"],
        ["\x91\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE7"],

        ["\xC1\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x78"],
        ["\x91\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],

        ["\xC1\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x79"],
        ["\x91\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],

        ["\xC1\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x7A"],
        ["\x91\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x4A"],

        ["\xC1\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x7B"],
        ["\x91\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5B"],

        ["\xC1\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x7C"],
        ["\x91\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5A"],

        ["\xC1\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x7D"],
        ["\x91\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x5F"],

        ["\xC1\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x7E"],
        ["\x91\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x6D"],

        ["\xC1\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x80"],
        ["\x91\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x79"],

        ["\xC1\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x81"],
        ["\x91\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x57"],

        ["\xC1\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x82"],
        ["\x91\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x59"],

        ["\xC1\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x83"],
        ["\x91\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x62"],

        ["\xC1\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x84"],
        ["\x91\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x63"],

        ["\xC1\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x85"],
        ["\x91\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x64"],

        ["\xC1\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x86"],
        ["\x91\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x65"],

        ["\xC1\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x87"],
        ["\x91\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x66"],

        ["\xC1\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x88"],
        ["\x91\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x67"],

        ["\xC1\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x89"],
        ["\x91\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x68"],

        ["\xC1\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x8A"],
        ["\x91\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x69"],

        ["\xC1\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x8B"],
        ["\x91\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x70"],

        ["\xC1\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x8C"],
        ["\x91\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x71"],

        ["\xC1\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x8D"],
        ["\x91\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x72"],

        ["\xC1\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x8E"],
        ["\x91\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x73"],

        ["\xC1\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x8F"],
        ["\x91\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x74"],

        ["\xC1\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x90"],
        ["\x91\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x75"],

        ["\xC1\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x91"],
        ["\x91\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x76"],

        ["\xC1\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x92"],
        ["\x91\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x77"],

        ["\xC1\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x93"],
        ["\x91\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x78"],

        ["\xC1\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x94"],
        ["\x91\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x80"],

        ["\xC1\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x95"],
        ["\x91\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x8B"],

        ["\xC1\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x96"],
        ["\x91\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x9B"],

        ["\xC1\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x97"],
        ["\x91\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x9C"],

        ["\xC1\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x98"],
        ["\x91\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xA0"],

        ["\xC1\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x99"],
        ["\x91\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],

        ["\xC1\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x9A"],
        ["\x91\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xB0"],

        ["\xC1\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x9B"],
        ["\x91\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xC0"],

        ["\xC1\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x9C"],
        ["\x91\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x6A"],

        ["\xC1\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x9D"],
        ["\x91\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],

        ["\xC1\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x9E"],
        ["\x91\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\xA1"],

        ["\xC2\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\x9F"],
        ["\x91\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4F"],

        ["\xC2\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA0"],
        ["\x91\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x7F"],

        ["\xC2\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA1"],
        ["\x91\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x7B"],

        ["\xC2\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA2"],
        ["\x91\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],

        ["\xC2\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA3"],
        ["\x91\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6C"],

        ["\xC2\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA4"],
        ["\x91\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x50"],

        ["\xC2\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA5"],
        ["\x91\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x7D"],

        ["\xC2\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA6"],
        ["\x91\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4D"],

        ["\xC2\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA7"],
        ["\x91\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5D"],

        ["\xC2\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA8"],
        ["\x91\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5C"],

        ["\xC2\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xA9"],
        ["\x91\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4E"],

        ["\xC2\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xAA"],
        ["\x91\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6B"],

        ["\xC2\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xAB"],
        ["\x91\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x60"],

        ["\xC2\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xAC"],
        ["\x91\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4B"],

        ["\xC2\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xAD"],
        ["\x91\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x61"],

        ["\xC2\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xAE"],
        ["\x91\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF0"],

        ["\xC2\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xAF"],
        ["\x91\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],

        ["\xC2\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB0"],
        ["\x91\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF2"],

        ["\xC2\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB1"],
        ["\x91\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF3"],

        ["\xC2\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB2"],
        ["\x91\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],

        ["\xC2\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB3"],
        ["\x91\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],

        ["\xC2\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB4"],
        ["\x91\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],

        ["\xC2\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB5"],
        ["\x91\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],

        ["\xC2\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB6"],
        ["\x91\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],

        ["\xC2\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB7"],
        ["\x91\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xF9"],

        ["\xC2\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB8"],
        ["\x91\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x7A"],

        ["\xC2\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xB9"],
        ["\x91\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5E"],

        ["\xC2\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xBA"],
        ["\x91\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4C"],

        ["\xC2\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xBB"],
        ["\x91\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x7E"],

        ["\xC2\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xBC"],
        ["\x91\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6E"],

        ["\xC2\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xBD"],
        ["\x91\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6F"],

        ["\xC2\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xBE"],
        ["\x91\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x7C"],

        ["\xC2\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xBF"],
        ["\x91\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC1"],

        ["\xC2\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC0"],
        ["\x91\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC2"],

        ["\xC2\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC1"],
        ["\x91\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],

        ["\xC2\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC2"],
        ["\x91\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],

        ["\xC2\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC3"],
        ["\x91\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC5"],

        ["\xC2\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC4"],
        ["\x91\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC6"],

        ["\xC2\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC5"],
        ["\x91\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],

        ["\xC2\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC6"],
        ["\x91\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],

        ["\xC2\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC7"],
        ["\x91\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],

        ["\xC2\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC8"],
        ["\x91\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],

        ["\xC2\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xC9"],
        ["\x91\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD2"],

        ["\xC2\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xCA"],
        ["\x91\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD3"],

        ["\xC2\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xCB"],
        ["\x91\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],

        ["\xC2\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xCC"],
        ["\x91\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD5"],

        ["\xC2\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xCD"],
        ["\x91\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD6"],

        ["\xC2\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xCE"],
        ["\x91\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD7"],

        ["\xC2\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xCF"],
        ["\x91\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD8"],

        ["\xC2\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD0"],
        ["\x91\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD9"],

        ["\xC2\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD1"],
        ["\x91\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE2"],

        ["\xC2\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD2"],
        ["\x91\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE3"],

        ["\xC2\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD3"],
        ["\x91\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],

        ["\xC2\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD4"],
        ["\x91\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],

        ["\xC2\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD5"],
        ["\x91\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE6"],

        ["\xC2\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD6"],
        ["\x91\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE7"],

        ["\xC2\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD7"],
        ["\x91\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],

        ["\xC2\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD8"],
        ["\x91\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xE9"],

        ["\xC2\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xD9"],
        ["\x91\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x4A"],

        ["\xC2\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xDA"],
        ["\x91\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5B"],

        ["\xC2\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xDB"],
        ["\x91\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5A"],

        ["\xC2\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xDC"],
        ["\x91\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x5F"],

        ["\xC2\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xDD"],
        ["\x91\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6D"],

        ["\xC2\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xDE"],
        ["\x91\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x79"],

        ["\xC2\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xDF"],
        ["\x91\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x57"],

        ["\xC2\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE0"],
        ["\x91\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x59"],

        ["\xC2\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE1"],
        ["\x91\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x62"],

        ["\xC2\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE2"],
        ["\x91\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x63"],

        ["\xC2\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE3"],
        ["\x91\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x64"],

        ["\xC2\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE4"],
        ["\x91\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x65"],

        ["\xC2\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE5"],
        ["\x91\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x66"],

        ["\xC2\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE6"],
        ["\x91\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x67"],

        ["\xC2\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE7"],
        ["\x91\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x68"],

        ["\xC2\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE8"],
        ["\x91\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x69"],

        ["\xC2\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xE9"],
        ["\x91\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x70"],

        ["\xC2\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xEA"],
        ["\x91\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x71"],

        ["\xC2\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xEB"],
        ["\x91\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x72"],

        ["\xC2\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xEC"],
        ["\x91\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x73"],

        ["\xC2\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xED"],
        ["\x91\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x74"],

        ["\xC2\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xEE"],
        ["\x91\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x75"],

        ["\xC2\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xEF"],
        ["\x91\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x76"],

        ["\xC2\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF0"],
        ["\x91\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x77"],

        ["\xC2\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF1"],
        ["\x91\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x78"],

        ["\xC2\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF2"],
        ["\x91\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x80"],

        ["\xC2\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF3"],
        ["\x91\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x8B"],

        ["\xC2\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF4"],
        ["\x91\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x9B"],

        ["\xC2\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF5"],
        ["\x91\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x9C"],

        ["\xC2\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF6"],
        ["\x91\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xA0"],

        ["\xC2\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF7"],
        ["\x91\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xAB"],

        ["\xC2\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF8"],
        ["\x91\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],

        ["\xC2\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xF9"],
        ["\x91\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xC0"],

        ["\xC2\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xFA"],
        ["\x91\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\x6A"],

        ["\xC2\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xFB"],
        ["\x91\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],

        ["\xC2\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x91\xFC"],
        ["\x91\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],

        ["\xC3\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x40"],
        ["\x92\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x4F"],

        ["\xC3\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x41"],
        ["\x92\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x7F"],

        ["\xC3\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x42"],
        ["\x92\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x7B"],

        ["\xC3\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x43"],
        ["\x92\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],

        ["\xC3\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x44"],
        ["\x92\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x6C"],

        ["\xC3\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x45"],
        ["\x92\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x50"],

        ["\xC3\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x46"],
        ["\x92\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x7D"],

        ["\xC3\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x47"],
        ["\x92\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x4D"],

        ["\xC3\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x48"],
        ["\x92\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5D"],

        ["\xC3\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x49"],
        ["\x92\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5C"],

        ["\xC3\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x4A"],
        ["\x92\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x4E"],

        ["\xC3\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x4B"],
        ["\x92\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x6B"],

        ["\xC3\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x4C"],
        ["\x92\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x60"],

        ["\xC3\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x4D"],
        ["\x92\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x4B"],

        ["\xC3\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x4E"],
        ["\x92\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x61"],

        ["\xC3\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x4F"],
        ["\x92\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],

        ["\xC3\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x50"],
        ["\x92\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF1"],

        ["\xC3\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x51"],
        ["\x92\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF2"],

        ["\xC3\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x52"],
        ["\x92\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],

        ["\xC3\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x53"],
        ["\x92\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF4"],

        ["\xC3\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x54"],
        ["\x92\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF5"],

        ["\xC3\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x55"],
        ["\x92\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF6"],

        ["\xC3\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x56"],
        ["\x92\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF7"],

        ["\xC3\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x57"],
        ["\x92\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],

        ["\xC3\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x58"],
        ["\x92\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],

        ["\xC3\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x59"],
        ["\x92\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x7A"],

        ["\xC3\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x5A"],
        ["\x92\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5E"],

        ["\xC3\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x5B"],
        ["\x92\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x4C"],

        ["\xC3\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x5C"],
        ["\x92\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x7E"],

        ["\xC3\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x5D"],
        ["\x92\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x6E"],

        ["\xC3\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x5E"],
        ["\x92\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x6F"],

        ["\xC3\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x5F"],
        ["\x92\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x7C"],

        ["\xC3\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x60"],
        ["\x92\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],

        ["\xC3\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x61"],
        ["\x92\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC2"],

        ["\xC3\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x62"],
        ["\x92\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC3"],

        ["\xC3\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x63"],
        ["\x92\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC4"],

        ["\xC3\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x64"],
        ["\x92\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC5"],

        ["\xC3\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x65"],
        ["\x92\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],

        ["\xC3\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x66"],
        ["\x92\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],

        ["\xC3\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x67"],
        ["\x92\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],

        ["\xC3\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x68"],
        ["\x92\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC9"],

        ["\xC3\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x69"],
        ["\x92\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],

        ["\xC3\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x6A"],
        ["\x92\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD2"],

        ["\xC3\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x6B"],
        ["\x92\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD3"],

        ["\xC3\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x6C"],
        ["\x92\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD4"],

        ["\xC3\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x6D"],
        ["\x92\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],

        ["\xC3\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x6E"],
        ["\x92\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],

        ["\xC3\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x6F"],
        ["\x92\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD7"],

        ["\xC3\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x70"],
        ["\x92\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD8"],

        ["\xC3\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x71"],
        ["\x92\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD9"],

        ["\xC3\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x72"],
        ["\x92\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE2"],

        ["\xC3\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x73"],
        ["\x92\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],

        ["\xC3\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x74"],
        ["\x92\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],

        ["\xC3\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x75"],
        ["\x92\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],

        ["\xC3\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x76"],
        ["\x92\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],

        ["\xC3\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x77"],
        ["\x92\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],

        ["\xC3\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x78"],
        ["\x92\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],

        ["\xC3\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x79"],
        ["\x92\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xE9"],

        ["\xC3\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x7A"],
        ["\x92\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x4A"],

        ["\xC3\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x7B"],
        ["\x92\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5B"],

        ["\xC3\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x7C"],
        ["\x92\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5A"],

        ["\xC3\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x7D"],
        ["\x92\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x5F"],

        ["\xC3\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x7E"],
        ["\x92\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x6D"],

        ["\xC3\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x80"],
        ["\x92\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x79"],

        ["\xC3\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x81"],
        ["\x92\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x57"],

        ["\xC3\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x82"],
        ["\x92\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x59"],

        ["\xC3\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x83"],
        ["\x92\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x62"],

        ["\xC3\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x84"],
        ["\x92\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x63"],

        ["\xC3\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x85"],
        ["\x92\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x64"],

        ["\xC3\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x86"],
        ["\x92\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x65"],

        ["\xC3\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x87"],
        ["\x92\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x66"],

        ["\xC3\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x88"],
        ["\x92\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x67"],

        ["\xC3\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x89"],
        ["\x92\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x68"],

        ["\xC3\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x8A"],
        ["\x92\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x69"],

        ["\xC3\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x8B"],
        ["\x92\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x70"],

        ["\xC3\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x8C"],
        ["\x92\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x71"],

        ["\xC3\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x8D"],
        ["\x92\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x72"],

        ["\xC3\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x8E"],
        ["\x92\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x73"],

        ["\xC3\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x8F"],
        ["\x92\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x74"],

        ["\xC3\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x90"],
        ["\x92\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x75"],

        ["\xC3\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x91"],
        ["\x92\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x76"],

        ["\xC3\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x92"],
        ["\x92\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x77"],

        ["\xC3\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x93"],
        ["\x92\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x78"],

        ["\xC3\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x94"],
        ["\x92\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x80"],

        ["\xC3\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x95"],
        ["\x92\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x8B"],

        ["\xC3\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x96"],
        ["\x92\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x9B"],

        ["\xC3\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x97"],
        ["\x92\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x9C"],

        ["\xC3\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x98"],
        ["\x92\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xA0"],

        ["\xC3\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x99"],
        ["\x92\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xAB"],

        ["\xC3\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x9A"],
        ["\x92\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xB0"],

        ["\xC3\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x9B"],
        ["\x92\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xC0"],

        ["\xC3\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x9C"],
        ["\x92\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\x6A"],

        ["\xC3\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x9D"],
        ["\x92\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],

        ["\xC3\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x9E"],
        ["\x92\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],

        ["\xC4\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\x9F"],
        ["\x92\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x4F"],

        ["\xC4\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA0"],
        ["\x92\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7F"],

        ["\xC4\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA1"],
        ["\x92\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7B"],

        ["\xC4\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA2"],
        ["\x92\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE0"],

        ["\xC4\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA3"],
        ["\x92\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6C"],

        ["\xC4\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA4"],
        ["\x92\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x50"],

        ["\xC4\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA5"],
        ["\x92\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7D"],

        ["\xC4\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA6"],
        ["\x92\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x4D"],

        ["\xC4\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA7"],
        ["\x92\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5D"],

        ["\xC4\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA8"],
        ["\x92\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5C"],

        ["\xC4\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xA9"],
        ["\x92\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x4E"],

        ["\xC4\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xAA"],
        ["\x92\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6B"],

        ["\xC4\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xAB"],
        ["\x92\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x60"],

        ["\xC4\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xAC"],
        ["\x92\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x4B"],

        ["\xC4\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xAD"],
        ["\x92\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x61"],

        ["\xC4\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xAE"],
        ["\x92\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],

        ["\xC4\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xAF"],
        ["\x92\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF1"],

        ["\xC4\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB0"],
        ["\x92\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],

        ["\xC4\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB1"],
        ["\x92\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],

        ["\xC4\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB2"],
        ["\x92\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF4"],

        ["\xC4\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB3"],
        ["\x92\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF5"],

        ["\xC4\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB4"],
        ["\x92\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF6"],

        ["\xC4\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB5"],
        ["\x92\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF7"],

        ["\xC4\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB6"],
        ["\x92\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF8"],

        ["\xC4\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB7"],
        ["\x92\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],

        ["\xC4\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB8"],
        ["\x92\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7A"],

        ["\xC4\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xB9"],
        ["\x92\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5E"],

        ["\xC4\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xBA"],
        ["\x92\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x4C"],

        ["\xC4\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xBB"],
        ["\x92\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7E"],

        ["\xC4\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xBC"],
        ["\x92\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6E"],

        ["\xC4\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xBD"],
        ["\x92\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6F"],

        ["\xC4\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xBE"],
        ["\x92\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x7C"],

        ["\xC4\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xBF"],
        ["\x92\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],

        ["\xC4\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC0"],
        ["\x92\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],

        ["\xC4\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC1"],
        ["\x92\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC3"],

        ["\xC4\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC2"],
        ["\x92\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],

        ["\xC4\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC3"],
        ["\x92\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC5"],

        ["\xC4\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC4"],
        ["\x92\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],

        ["\xC4\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC5"],
        ["\x92\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],

        ["\xC4\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC6"],
        ["\x92\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC8"],

        ["\xC4\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC7"],
        ["\x92\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC9"],

        ["\xC4\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC8"],
        ["\x92\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],

        ["\xC4\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xC9"],
        ["\x92\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],

        ["\xC4\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xCA"],
        ["\x92\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],

        ["\x86\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xCB"],
        ["\x92\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xEB"],

        ["\xC4\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xCC"],
        ["\x92\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],

        ["\xC4\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xCD"],
        ["\x92\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],

        ["\xC4\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xCE"],
        ["\x92\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],

        ["\xC4\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xCF"],
        ["\x92\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD8"],

        ["\xC4\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD0"],
        ["\x92\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],

        ["\xC4\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD1"],
        ["\x92\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE2"],

        ["\xC4\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD2"],
        ["\x92\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],

        ["\xC4\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD3"],
        ["\x92\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE4"],

        ["\xC4\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD4"],
        ["\x92\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],

        ["\xC4\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD5"],
        ["\x92\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],

        ["\xC4\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD6"],
        ["\x92\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],

        ["\xC4\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD7"],
        ["\x92\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],

        ["\xC4\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD8"],
        ["\x92\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xE9"],

        ["\xE3\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xD9"],
        ["\x92\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x63"],

        ["\xC4\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xDA"],
        ["\x92\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5B"],

        ["\xC4\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xDB"],
        ["\x92\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5A"],

        ["\xC4\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xDC"],
        ["\x92\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x5F"],

        ["\xC4\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xDD"],
        ["\x92\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6D"],

        ["\xC4\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xDE"],
        ["\x92\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x79"],

        ["\xC4\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xDF"],
        ["\x92\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x57"],

        ["\xC4\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE0"],
        ["\x92\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x59"],

        ["\xC4\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE1"],
        ["\x92\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x62"],

        ["\xC4\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE2"],
        ["\x92\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x63"],

        ["\xC4\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE3"],
        ["\x92\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x64"],

        ["\xC4\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE4"],
        ["\x92\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x65"],

        ["\xC4\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE5"],
        ["\x92\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x66"],

        ["\xC4\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE6"],
        ["\x92\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x67"],

        ["\xC4\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE7"],
        ["\x92\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x68"],

        ["\xC4\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE8"],
        ["\x92\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x69"],

        ["\xC4\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xE9"],
        ["\x92\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x70"],

        ["\xC4\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xEA"],
        ["\x92\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x71"],

        ["\xC4\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xEB"],
        ["\x92\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x72"],

        ["\xC4\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xEC"],
        ["\x92\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x73"],

        ["\xC4\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xED"],
        ["\x92\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x74"],

        ["\xC4\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xEE"],
        ["\x92\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x75"],

        ["\xC4\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xEF"],
        ["\x92\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x76"],

        ["\xC4\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF0"],
        ["\x92\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x77"],

        ["\xC4\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF1"],
        ["\x92\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x78"],

        ["\xC4\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF2"],
        ["\x92\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x80"],

        ["\xC4\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF3"],
        ["\x92\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x8B"],

        ["\xC4\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF4"],
        ["\x92\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x9B"],

        ["\xC4\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF5"],
        ["\x92\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x9C"],

        ["\xC4\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF6"],
        ["\x92\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xA0"],

        ["\xC4\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF7"],
        ["\x92\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xAB"],

        ["\xC4\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF8"],
        ["\x92\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],

        ["\xC4\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xF9"],
        ["\x92\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],

        ["\xC4\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xFA"],
        ["\x92\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x6A"],

        ["\xC4\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xFB"],
        ["\x92\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD0"],

        ["\xC4\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x92\xFC"],
        ["\x92\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xA1"],

        ["\xC5\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x40"],
        ["\x93\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4F"],

        ["\xC5\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x41"],
        ["\x93\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7F"],

        ["\xC5\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x42"],
        ["\x93\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7B"],

        ["\xC5\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x43"],
        ["\x93\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],

        ["\xC5\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x44"],
        ["\x93\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6C"],

        ["\xC5\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x45"],
        ["\x93\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x50"],

        ["\xC5\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x46"],
        ["\x93\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7D"],

        ["\xC5\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x47"],
        ["\x93\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4D"],

        ["\xC5\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x48"],
        ["\x93\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5D"],

        ["\xC5\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x49"],
        ["\x93\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5C"],

        ["\xC5\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x4A"],
        ["\x93\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4E"],

        ["\xC5\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x4B"],
        ["\x93\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6B"],

        ["\xC5\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x4C"],
        ["\x93\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x60"],

        ["\xC5\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x4D"],
        ["\x93\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4B"],

        ["\xC5\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x4E"],
        ["\x93\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x61"],

        ["\xC5\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x4F"],
        ["\x93\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],

        ["\xC5\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x50"],
        ["\x93\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF1"],

        ["\xC5\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x51"],
        ["\x93\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],

        ["\xC5\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x52"],
        ["\x93\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],

        ["\xC5\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x53"],
        ["\x93\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF4"],

        ["\xC5\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x54"],
        ["\x93\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],

        ["\xAC\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x55"],
        ["\x93\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAC\xB8"],

        ["\xC5\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x56"],
        ["\x93\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],

        ["\xC5\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x57"],
        ["\x93\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF8"],

        ["\xC5\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x58"],
        ["\x93\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF9"],

        ["\xC5\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x59"],
        ["\x93\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7A"],

        ["\xC5\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x5A"],
        ["\x93\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5E"],

        ["\xC5\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x5B"],
        ["\x93\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4C"],

        ["\xC5\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x5C"],
        ["\x93\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7E"],

        ["\xC5\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x5D"],
        ["\x93\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6E"],

        ["\xA9\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x5E"],
        ["\x93\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x43"],

        ["\xC5\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x5F"],
        ["\x93\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x7C"],

        ["\xC5\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x60"],
        ["\x93\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC1"],

        ["\xC5\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x61"],
        ["\x93\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],

        ["\xC5\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x62"],
        ["\x93\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC3"],

        ["\xC5\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x63"],
        ["\x93\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC4"],

        ["\xC5\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x64"],
        ["\x93\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],

        ["\xC5\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x65"],
        ["\x93\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],

        ["\xC5\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x66"],
        ["\x93\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],

        ["\xC5\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x67"],
        ["\x93\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],

        ["\xC5\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x68"],
        ["\x93\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],

        ["\xC5\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x69"],
        ["\x93\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],

        ["\xC5\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x6A"],
        ["\x93\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD2"],

        ["\xC5\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x6B"],
        ["\x93\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],

        ["\xC5\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x6C"],
        ["\x93\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD4"],

        ["\xC5\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x6D"],
        ["\x93\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD5"],

        ["\xC5\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x6E"],
        ["\x93\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD6"],

        ["\xC5\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x6F"],
        ["\x93\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD7"],

        ["\xC5\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x70"],
        ["\x93\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],

        ["\xC5\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x71"],
        ["\x93\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],

        ["\xC5\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x72"],
        ["\x93\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE2"],

        ["\xC5\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x73"],
        ["\x93\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE3"],

        ["\xC5\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x74"],
        ["\x93\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE4"],

        ["\xC5\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x75"],
        ["\x93\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],

        ["\x59\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x76"],
        ["\x93\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x69"],

        ["\xC5\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x77"],
        ["\x93\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],

        ["\xC5\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x78"],
        ["\x93\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE8"],

        ["\xC5\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x79"],
        ["\x93\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],

        ["\xC5\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x7A"],
        ["\x93\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x4A"],

        ["\xC5\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x7B"],
        ["\x93\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5B"],

        ["\xC5\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x7C"],
        ["\x93\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5A"],

        ["\xC5\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x7D"],
        ["\x93\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x5F"],

        ["\xC5\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x7E"],
        ["\x93\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6D"],

        ["\xC5\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x80"],
        ["\x93\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x79"],

        ["\xC5\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x81"],
        ["\x93\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x57"],

        ["\xC5\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x82"],
        ["\x93\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x59"],

        ["\xC5\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x83"],
        ["\x93\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x62"],

        ["\xC5\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x84"],
        ["\x93\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x63"],

        ["\xC5\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x85"],
        ["\x93\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x64"],

        ["\xC5\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x86"],
        ["\x93\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x65"],

        ["\xC5\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x87"],
        ["\x93\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x66"],

        ["\xC5\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x88"],
        ["\x93\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x67"],

        ["\xC5\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x89"],
        ["\x93\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x68"],

        ["\xC5\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x8A"],
        ["\x93\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x69"],

        ["\xC5\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x8B"],
        ["\x93\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x70"],

        ["\xC5\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x8C"],
        ["\x93\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x71"],

        ["\xC5\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x8D"],
        ["\x93\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x72"],

        ["\x4A\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x8E"],
        ["\x93\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x72"],

        ["\xC5\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x8F"],
        ["\x93\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x74"],

        ["\xC5\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x90"],
        ["\x93\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x75"],

        ["\xC5\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x91"],
        ["\x93\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x76"],

        ["\xC5\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x92"],
        ["\x93\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x77"],

        ["\x5F\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x93"],
        ["\x93\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF9"],

        ["\xC5\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x94"],
        ["\x93\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x80"],

        ["\xC5\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x95"],
        ["\x93\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x8B"],

        ["\xC5\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x96"],
        ["\x93\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x9B"],

        ["\xC5\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x97"],
        ["\x93\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x9C"],

        ["\xC5\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x98"],
        ["\x93\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xA0"],

        ["\xC5\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x99"],
        ["\x93\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xAB"],

        ["\xC5\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x9A"],
        ["\x93\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],

        ["\xC5\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x9B"],
        ["\x93\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xC0"],

        ["\xC5\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x9C"],
        ["\x93\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6A"],

        ["\xC5\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x9D"],
        ["\x93\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],

        ["\xC5\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x9E"],
        ["\x93\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],

        ["\xC6\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\x9F"],
        ["\x93\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x4F"],

        ["\xC6\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA0"],
        ["\x93\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x7F"],

        ["\xC6\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA1"],
        ["\x93\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x7B"],

        ["\xC6\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA2"],
        ["\x93\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE0"],

        ["\xC6\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA3"],
        ["\x93\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x6C"],

        ["\xC6\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA4"],
        ["\x93\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x50"],

        ["\xC6\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA5"],
        ["\x93\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x7D"],

        ["\xC6\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA6"],
        ["\x93\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x4D"],

        ["\xC6\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA7"],
        ["\x93\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x5D"],

        ["\xC6\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA8"],
        ["\x93\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x5C"],

        ["\xC6\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xA9"],
        ["\x93\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x4E"],

        ["\xC6\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xAA"],
        ["\x93\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x6B"],

        ["\xC6\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xAB"],
        ["\x93\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x60"],

        ["\xC6\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xAC"],
        ["\x93\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x4B"],

        ["\xC6\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xAD"],
        ["\x93\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x61"],

        ["\xC6\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xAE"],
        ["\x93\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF0"],

        ["\xC6\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xAF"],
        ["\x93\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF1"],

        ["\xC6\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB0"],
        ["\x93\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF2"],

        ["\xC6\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB1"],
        ["\x93\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF3"],

        ["\xC6\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB2"],
        ["\x93\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF4"],

        ["\xC6\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB3"],
        ["\x93\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF5"],

        ["\xC6\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB4"],
        ["\x93\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF6"],

        ["\xC6\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB5"],
        ["\x93\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],

        ["\xC6\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB6"],
        ["\x93\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],

        ["\xC6\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB7"],
        ["\x93\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xF9"],

        ["\xC6\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB8"],
        ["\x93\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x7A"],

        ["\xC6\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xB9"],
        ["\x93\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x5E"],

        ["\xC6\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xBA"],
        ["\x93\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x4C"],

        ["\xC6\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xBB"],
        ["\x93\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x7E"],

        ["\xC6\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xBC"],
        ["\x93\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x6E"],

        ["\xC6\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xBD"],
        ["\x93\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x6F"],

        ["\xC6\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xBE"],
        ["\x93\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x7C"],

        ["\xC6\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xBF"],
        ["\x93\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC1"],

        ["\xC6\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC0"],
        ["\x93\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC2"],

        ["\xC6\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC1"],
        ["\x93\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC3"],

        ["\xC6\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC2"],
        ["\x93\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],

        ["\xC6\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC3"],
        ["\x93\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],

        ["\xC6\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC4"],
        ["\x93\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],

        ["\xC6\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC5"],
        ["\x93\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],

        ["\xC6\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC6"],
        ["\x93\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC8"],

        ["\xC6\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC7"],
        ["\x93\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],

        ["\xC6\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC8"],
        ["\x93\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],

        ["\xC6\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xC9"],
        ["\x93\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD2"],

        ["\xC6\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xCA"],
        ["\x93\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],

        ["\xC6\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xCB"],
        ["\x93\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD4"],

        ["\xC6\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xCC"],
        ["\x93\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD5"],

        ["\xC6\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xCD"],
        ["\x93\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD6"],

        ["\xC6\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xCE"],
        ["\x93\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD7"],

        ["\xC6\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xCF"],
        ["\x93\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD8"],

        ["\xC6\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD0"],
        ["\x93\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],

        ["\xC6\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD1"],
        ["\x93\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE2"],

        ["\xC6\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD2"],
        ["\x93\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE3"],

        ["\xC6\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD3"],
        ["\x93\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE4"],

        ["\xC6\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD4"],
        ["\x93\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE5"],

        ["\xC6\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD5"],
        ["\x93\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE6"],

        ["\xC6\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD6"],
        ["\x93\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],

        ["\xC6\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD7"],
        ["\x93\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],

        ["\xC6\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD8"],
        ["\x93\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xE9"],

        ["\xC6\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xD9"],
        ["\x93\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x4A"],

        ["\xC6\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xDA"],
        ["\x93\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x5B"],

        ["\xC6\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xDB"],
        ["\x93\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x5A"],

        ["\xC6\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xDC"],
        ["\x93\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x5F"],

        ["\xC6\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xDD"],
        ["\x93\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x6D"],

        ["\xC6\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xDE"],
        ["\x93\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x79"],

        ["\xC6\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xDF"],
        ["\x93\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x57"],

        ["\xC6\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE0"],
        ["\x93\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x59"],

        ["\xC6\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE1"],
        ["\x93\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x62"],

        ["\xC6\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE2"],
        ["\x93\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x63"],

        ["\xC6\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE3"],
        ["\x93\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x64"],

        ["\xC6\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE4"],
        ["\x93\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x65"],

        ["\xC6\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE5"],
        ["\x93\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x66"],

        ["\xC6\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE6"],
        ["\x93\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x67"],

        ["\xC6\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE7"],
        ["\x93\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x68"],

        ["\xC6\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE8"],
        ["\x93\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x69"],

        ["\xC6\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xE9"],
        ["\x93\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x70"],

        ["\xC6\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xEA"],
        ["\x93\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x71"],

        ["\xC6\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xEB"],
        ["\x93\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x72"],

        ["\xC6\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xEC"],
        ["\x93\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x73"],

        ["\xC6\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xED"],
        ["\x93\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x74"],

        ["\xC6\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xEE"],
        ["\x93\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x75"],

        ["\xC6\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xEF"],
        ["\x93\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x76"],

        ["\xC6\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF0"],
        ["\x93\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x77"],

        ["\xC6\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF1"],
        ["\x93\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x78"],

        ["\xC6\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF2"],
        ["\x93\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x80"],

        ["\xC6\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF3"],
        ["\x93\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x8B"],

        ["\x72\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF4"],
        ["\x93\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x73"],

        ["\xC6\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF5"],
        ["\x93\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x9C"],

        ["\xC6\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF6"],
        ["\x93\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xA0"],

        ["\xC6\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF7"],
        ["\x93\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],

        ["\xC6\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF8"],
        ["\x93\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xB0"],

        ["\xC6\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xF9"],
        ["\x93\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xC0"],

        ["\xC6\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xFA"],
        ["\x93\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x6A"],

        ["\xC6\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xFB"],
        ["\x93\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],

        ["\xC6\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x93\xFC"],
        ["\x93\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\xA1"],

        ["\xC7\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x40"],
        ["\x94\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x4F"],

        ["\xC7\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x41"],
        ["\x94\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7F"],

        ["\xC7\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x42"],
        ["\x94\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7B"],

        ["\xC7\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x43"],
        ["\x94\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],

        ["\xC7\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x44"],
        ["\x94\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x6C"],

        ["\xC7\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x45"],
        ["\x94\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x50"],

        ["\xC7\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x46"],
        ["\x94\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7D"],

        ["\xC7\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x47"],
        ["\x94\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x4D"],

        ["\xC7\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x48"],
        ["\x94\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x5D"],

        ["\xC7\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x49"],
        ["\x94\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x5C"],

        ["\xC7\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x4A"],
        ["\x94\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x4E"],

        ["\xC7\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x4B"],
        ["\x94\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x6B"],

        ["\xC7\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x4C"],
        ["\x94\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x60"],

        ["\xC7\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x4D"],
        ["\x94\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x4B"],

        ["\xC7\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x4E"],
        ["\x94\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x61"],

        ["\xC7\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x4F"],
        ["\x94\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF0"],

        ["\xC7\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x50"],
        ["\x94\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],

        ["\xC7\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x51"],
        ["\x94\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],

        ["\xC7\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x52"],
        ["\x94\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF3"],

        ["\xC7\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x53"],
        ["\x94\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF4"],

        ["\xC7\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x54"],
        ["\x94\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],

        ["\xC7\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x55"],
        ["\x94\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF6"],

        ["\xC7\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x56"],
        ["\x94\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],

        ["\xC7\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x57"],
        ["\x94\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],

        ["\xC7\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x58"],
        ["\x94\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xF9"],

        ["\xC7\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x59"],
        ["\x94\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7A"],

        ["\xC7\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x5A"],
        ["\x94\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x5E"],

        ["\xC7\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x5B"],
        ["\x94\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x4C"],

        ["\xC7\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x5C"],
        ["\x94\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7E"],

        ["\xC7\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x5D"],
        ["\x94\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x6E"],

        ["\xC7\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x5E"],
        ["\x94\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x6F"],

        ["\xC7\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x5F"],
        ["\x94\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x7C"],

        ["\xC7\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x60"],
        ["\x94\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC1"],

        ["\xC7\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x61"],
        ["\x94\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC2"],

        ["\xC7\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x62"],
        ["\x94\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC3"],

        ["\xC7\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x63"],
        ["\x94\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],

        ["\xC7\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x64"],
        ["\x94\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC5"],

        ["\xC7\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x65"],
        ["\x94\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC6"],

        ["\xC7\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x66"],
        ["\x94\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],

        ["\xC7\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x67"],
        ["\x94\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC8"],

        ["\xC7\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x68"],
        ["\x94\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],

        ["\xC7\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x69"],
        ["\x94\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],

        ["\xC7\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x6A"],
        ["\x94\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],

        ["\xC7\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x6B"],
        ["\x94\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD3"],

        ["\xC7\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x6C"],
        ["\x94\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD4"],

        ["\xC7\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x6D"],
        ["\x94\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD5"],

        ["\xC7\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x6E"],
        ["\x94\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],

        ["\xC7\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x6F"],
        ["\x94\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],

        ["\xC7\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x70"],
        ["\x94\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD8"],

        ["\xC7\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x71"],
        ["\x94\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD9"],

        ["\xC7\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x72"],
        ["\x94\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE2"],

        ["\xC7\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x73"],
        ["\x94\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE3"],

        ["\xC7\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x74"],
        ["\x94\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE4"],

        ["\xC7\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x75"],
        ["\x94\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],

        ["\xC7\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x76"],
        ["\x94\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE6"],

        ["\xC7\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x77"],
        ["\x94\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE7"],

        ["\xC7\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x78"],
        ["\x94\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],

        ["\xC7\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x79"],
        ["\x94\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xE9"],

        ["\xC7\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x7A"],
        ["\x94\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x4A"],

        ["\xC7\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x7B"],
        ["\x94\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x5B"],

        ["\xC7\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x7C"],
        ["\x94\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x5A"],

        ["\xC7\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x7D"],
        ["\x94\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x5F"],

        ["\xC7\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x7E"],
        ["\x94\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x6D"],

        ["\xC7\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x80"],
        ["\x94\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x79"],

        ["\xC7\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x81"],
        ["\x94\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x57"],

        ["\xC7\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x82"],
        ["\x94\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x59"],

        ["\xC7\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x83"],
        ["\x94\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x62"],

        ["\xC7\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x84"],
        ["\x94\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x63"],

        ["\xC7\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x85"],
        ["\x94\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x64"],

        ["\xC7\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x86"],
        ["\x94\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x65"],

        ["\xC7\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x87"],
        ["\x94\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x66"],

        ["\x69\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x88"],
        ["\x94\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xE0"],

        ["\xC7\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x89"],
        ["\x94\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x68"],

        ["\xC7\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x8A"],
        ["\x94\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x69"],

        ["\xC7\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x8B"],
        ["\x94\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x70"],

        ["\xC7\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x8C"],
        ["\x94\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x71"],

        ["\xC7\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x8D"],
        ["\x94\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x72"],

        ["\xC7\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x8E"],
        ["\x94\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x73"],

        ["\xC7\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x8F"],
        ["\x94\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x74"],

        ["\xC7\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x90"],
        ["\x94\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x75"],

        ["\xC7\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x91"],
        ["\x94\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x76"],

        ["\xC7\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x92"],
        ["\x94\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x77"],

        ["\xC7\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x93"],
        ["\x94\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x78"],

        ["\xC7\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x94"],
        ["\x94\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x80"],

        ["\xC7\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x95"],
        ["\x94\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x8B"],

        ["\xC7\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x96"],
        ["\x94\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x9B"],

        ["\xC7\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x97"],
        ["\x94\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x9C"],

        ["\xC7\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x98"],
        ["\x94\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xA0"],

        ["\xC7\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x99"],
        ["\x94\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xAB"],

        ["\xC7\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x9A"],
        ["\x94\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xB0"],

        ["\xC7\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x9B"],
        ["\x94\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xC0"],

        ["\xC7\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x9C"],
        ["\x94\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x6A"],

        ["\xC7\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x9D"],
        ["\x94\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xD0"],

        ["\xC7\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x9E"],
        ["\x94\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\xA1"],

        ["\xC8\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\x9F"],
        ["\x94\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x4F"],

        ["\xC8\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA0"],
        ["\x94\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x7F"],

        ["\xC8\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA1"],
        ["\x94\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x7B"],

        ["\xC8\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA2"],
        ["\x94\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],

        ["\xC8\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA3"],
        ["\x94\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x6C"],

        ["\xC8\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA4"],
        ["\x94\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x50"],

        ["\xC8\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA5"],
        ["\x94\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x7D"],

        ["\xC8\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA6"],
        ["\x94\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x4D"],

        ["\xC8\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA7"],
        ["\x94\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x5D"],

        ["\xC8\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA8"],
        ["\x94\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x5C"],

        ["\xC8\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xA9"],
        ["\x94\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x4E"],

        ["\xC8\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xAA"],
        ["\x94\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x6B"],

        ["\xC8\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xAB"],
        ["\x94\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x60"],

        ["\xC8\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xAC"],
        ["\x94\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x4B"],

        ["\xC8\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xAD"],
        ["\x94\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x61"],

        ["\xC8\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xAE"],
        ["\x94\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],

        ["\xC8\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xAF"],
        ["\x94\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],

        ["\xC8\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB0"],
        ["\x94\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF2"],

        ["\xC8\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB1"],
        ["\x94\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF3"],

        ["\xC8\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB2"],
        ["\x94\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF4"],

        ["\xC8\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB3"],
        ["\x94\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF5"],

        ["\xC8\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB4"],
        ["\x94\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],

        ["\xC8\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB5"],
        ["\x94\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],

        ["\xC8\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB6"],
        ["\x94\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],

        ["\xC8\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB7"],
        ["\x94\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],

        ["\xC8\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB8"],
        ["\x94\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x7A"],

        ["\xC8\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xB9"],
        ["\x94\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x5E"],

        ["\xC8\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xBA"],
        ["\x94\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x4C"],

        ["\xC8\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xBB"],
        ["\x94\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x7E"],

        ["\xC8\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xBC"],
        ["\x94\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x6E"],

        ["\xC8\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xBD"],
        ["\x94\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x6F"],

        ["\xC8\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xBE"],
        ["\x94\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x7C"],

        ["\xC8\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xBF"],
        ["\x94\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC1"],

        ["\xC8\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC0"],
        ["\x94\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC2"],

        ["\xC8\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC1"],
        ["\x94\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC3"],

        ["\xC8\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC2"],
        ["\x94\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC4"],

        ["\xC8\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC3"],
        ["\x94\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC5"],

        ["\xC8\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC4"],
        ["\x94\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],

        ["\xC8\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC5"],
        ["\x94\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC7"],

        ["\xC8\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC6"],
        ["\x94\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],

        ["\xC8\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC7"],
        ["\x94\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],

        ["\xC8\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC8"],
        ["\x94\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD1"],

        ["\xC8\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xC9"],
        ["\x94\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD2"],

        ["\xC8\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xCA"],
        ["\x94\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD3"],

        ["\xC8\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xCB"],
        ["\x94\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],

        ["\xC8\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xCC"],
        ["\x94\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD5"],

        ["\xC8\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xCD"],
        ["\x94\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD6"],

        ["\xC8\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xCE"],
        ["\x94\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD7"],

        ["\xC8\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xCF"],
        ["\x94\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD8"],

        ["\xC8\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD0"],
        ["\x94\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],

        ["\xC8\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD1"],
        ["\x94\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE2"],

        ["\xC8\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD2"],
        ["\x94\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE3"],

        ["\xC8\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD3"],
        ["\x94\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE4"],

        ["\xC8\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD4"],
        ["\x94\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],

        ["\xC8\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD5"],
        ["\x94\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE6"],

        ["\xC8\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD6"],
        ["\x94\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE7"],

        ["\xC8\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD7"],
        ["\x94\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],

        ["\xC8\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD8"],
        ["\x94\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],

        ["\xC8\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xD9"],
        ["\x94\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x4A"],

        ["\xC8\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xDA"],
        ["\x94\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x5B"],

        ["\xC8\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xDB"],
        ["\x94\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x5A"],

        ["\xC8\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xDC"],
        ["\x94\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x5F"],

        ["\xC8\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xDD"],
        ["\x94\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x6D"],

        ["\xC8\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xDE"],
        ["\x94\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x79"],

        ["\xC8\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xDF"],
        ["\x94\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x57"],

        ["\xC8\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE0"],
        ["\x94\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x59"],

        ["\xC8\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE1"],
        ["\x94\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x62"],

        ["\xC8\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE2"],
        ["\x94\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x63"],

        ["\xC8\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE3"],
        ["\x94\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x64"],

        ["\xC8\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE4"],
        ["\x94\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x65"],

        ["\xC8\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE5"],
        ["\x94\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x66"],

        ["\xC8\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE6"],
        ["\x94\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x67"],

        ["\xC8\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE7"],
        ["\x94\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x68"],

        ["\xC8\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE8"],
        ["\x94\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x69"],

        ["\xC8\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xE9"],
        ["\x94\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x70"],

        ["\xC8\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xEA"],
        ["\x94\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x71"],

        ["\xC8\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xEB"],
        ["\x94\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x72"],

        ["\xC8\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xEC"],
        ["\x94\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x73"],

        ["\xC8\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xED"],
        ["\x94\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x74"],

        ["\xC8\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xEE"],
        ["\x94\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x75"],

        ["\xC8\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xEF"],
        ["\x94\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x76"],

        ["\xC8\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF0"],
        ["\x94\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x77"],

        ["\xC8\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF1"],
        ["\x94\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x78"],

        ["\xC8\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF2"],
        ["\x94\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x80"],

        ["\xC8\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF3"],
        ["\x94\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x8B"],

        ["\xC8\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF4"],
        ["\x94\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x9B"],

        ["\xC8\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF5"],
        ["\x94\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x9C"],

        ["\xC8\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF6"],
        ["\x94\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xA0"],

        ["\xC8\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF7"],
        ["\x94\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xAB"],

        ["\xC8\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF8"],
        ["\x94\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],

        ["\xC8\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xF9"],
        ["\x94\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xC0"],

        ["\xC8\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xFA"],
        ["\x94\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\x6A"],

        ["\xC8\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xFB"],
        ["\x94\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xD0"],

        ["\xC8\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x94\xFC"],
        ["\x94\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC8\xA1"],

        ["\xC9\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x40"],
        ["\x95\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x4F"],

        ["\xC9\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x41"],
        ["\x95\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x7F"],

        ["\xC9\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x42"],
        ["\x95\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x7B"],

        ["\xC9\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x43"],
        ["\x95\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE0"],

        ["\xC9\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x44"],
        ["\x95\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x6C"],

        ["\xC9\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x45"],
        ["\x95\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x50"],

        ["\xC9\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x46"],
        ["\x95\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x7D"],

        ["\xC9\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x47"],
        ["\x95\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x4D"],

        ["\xC9\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x48"],
        ["\x95\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x5D"],

        ["\xC9\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x49"],
        ["\x95\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x5C"],

        ["\xC9\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x4A"],
        ["\x95\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x4E"],

        ["\xC9\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x4B"],
        ["\x95\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x6B"],

        ["\xC9\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x4C"],
        ["\x95\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x60"],

        ["\xC9\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x4D"],
        ["\x95\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x4B"],

        ["\xC9\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x4E"],
        ["\x95\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x61"],

        ["\x4A\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x4F"],
        ["\x95\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE7"],

        ["\xC9\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x50"],
        ["\x95\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF1"],

        ["\xC9\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x51"],
        ["\x95\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],

        ["\xC9\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x52"],
        ["\x95\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF3"],

        ["\xC9\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x53"],
        ["\x95\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],

        ["\xC9\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x54"],
        ["\x95\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF5"],

        ["\xC9\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x55"],
        ["\x95\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],

        ["\xC9\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x56"],
        ["\x95\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],

        ["\xC9\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x57"],
        ["\x95\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],

        ["\xC9\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x58"],
        ["\x95\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],

        ["\xC9\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x59"],
        ["\x95\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x7A"],

        ["\xC9\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x5A"],
        ["\x95\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x5E"],

        ["\xC9\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x5B"],
        ["\x95\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x4C"],

        ["\xC9\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x5C"],
        ["\x95\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x7E"],

        ["\xC9\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x5D"],
        ["\x95\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x6E"],

        ["\xC9\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x5E"],
        ["\x95\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x6F"],

        ["\xC9\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x5F"],
        ["\x95\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x7C"],

        ["\xC9\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x60"],
        ["\x95\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC1"],

        ["\xC9\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x61"],
        ["\x95\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],

        ["\xC9\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x62"],
        ["\x95\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],

        ["\xC9\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x63"],
        ["\x95\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],

        ["\xC9\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x64"],
        ["\x95\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],

        ["\xC9\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x65"],
        ["\x95\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],

        ["\xC9\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x66"],
        ["\x95\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC7"],

        ["\xC9\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x67"],
        ["\x95\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],

        ["\xC9\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x68"],
        ["\x95\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC9"],

        ["\xC9\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x69"],
        ["\x95\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],

        ["\xC9\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x6A"],
        ["\x95\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD2"],

        ["\xC9\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x6B"],
        ["\x95\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD3"],

        ["\xC9\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x6C"],
        ["\x95\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD4"],

        ["\xC9\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x6D"],
        ["\x95\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],

        ["\xC9\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x6E"],
        ["\x95\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD6"],

        ["\xC9\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x6F"],
        ["\x95\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],

        ["\xC9\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x70"],
        ["\x95\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],

        ["\xC9\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x71"],
        ["\x95\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],

        ["\xC9\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x72"],
        ["\x95\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE2"],

        ["\xC9\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x73"],
        ["\x95\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],

        ["\xC9\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x74"],
        ["\x95\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE4"],

        ["\xC9\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x75"],
        ["\x95\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE5"],

        ["\xC9\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x76"],
        ["\x95\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE6"],

        ["\xC9\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x77"],
        ["\x95\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],

        ["\xC9\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x78"],
        ["\x95\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],

        ["\xC9\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x79"],
        ["\x95\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xE9"],

        ["\xC9\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x7A"],
        ["\x95\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x4A"],

        ["\xC9\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x7B"],
        ["\x95\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x5B"],

        ["\xC9\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x7C"],
        ["\x95\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x5A"],

        ["\xC9\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x7D"],
        ["\x95\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x5F"],

        ["\xC9\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x7E"],
        ["\x95\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x6D"],

        ["\xC9\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x80"],
        ["\x95\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x79"],

        ["\xC9\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x81"],
        ["\x95\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x57"],

        ["\xC9\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x82"],
        ["\x95\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x59"],

        ["\xC9\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x83"],
        ["\x95\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x62"],

        ["\xC9\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x84"],
        ["\x95\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x63"],

        ["\xC9\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x85"],
        ["\x95\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x64"],

        ["\xC9\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x86"],
        ["\x95\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x65"],

        ["\xC9\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x87"],
        ["\x95\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x66"],

        ["\xC9\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x88"],
        ["\x95\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x67"],

        ["\xC9\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x89"],
        ["\x95\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x68"],

        ["\xC9\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x8A"],
        ["\x95\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x69"],

        ["\xC9\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x8B"],
        ["\x95\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x70"],

        ["\xC9\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x8C"],
        ["\x95\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x71"],

        ["\xC9\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x8D"],
        ["\x95\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x72"],

        ["\xC9\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x8E"],
        ["\x95\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x73"],

        ["\xC9\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x8F"],
        ["\x95\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x74"],

        ["\xC9\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x90"],
        ["\x95\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x75"],

        ["\xC9\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x91"],
        ["\x95\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x76"],

        ["\xC9\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x92"],
        ["\x95\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x77"],

        ["\xC9\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x93"],
        ["\x95\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x78"],

        ["\xC9\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x94"],
        ["\x95\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x80"],

        ["\xC9\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x95"],
        ["\x95\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x8B"],

        ["\xC9\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x96"],
        ["\x95\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x9B"],

        ["\xC9\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x97"],
        ["\x95\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x9C"],

        ["\xC9\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x98"],
        ["\x95\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xA0"],

        ["\xC9\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x99"],
        ["\x95\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],

        ["\xC9\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x9A"],
        ["\x95\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],

        ["\xC9\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x9B"],
        ["\x95\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],

        ["\xC9\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x9C"],
        ["\x95\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\x6A"],

        ["\xC9\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x9D"],
        ["\x95\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xD0"],

        ["\xC9\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x9E"],
        ["\x95\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xA1"],

        ["\xD1\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\x9F"],
        ["\x95\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x4F"],

        ["\xD1\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA0"],
        ["\x95\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x7F"],

        ["\xD1\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA1"],
        ["\x95\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x7B"],

        ["\xD1\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA2"],
        ["\x95\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xE0"],

        ["\xD1\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA3"],
        ["\x95\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x6C"],

        ["\xD1\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA4"],
        ["\x95\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x50"],

        ["\xD1\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA5"],
        ["\x95\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x7D"],

        ["\xD1\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA6"],
        ["\x95\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x4D"],

        ["\xD1\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA7"],
        ["\x95\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x5D"],

        ["\xD1\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA8"],
        ["\x95\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x5C"],

        ["\xD1\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xA9"],
        ["\x95\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x4E"],

        ["\xD1\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xAA"],
        ["\x95\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x6B"],

        ["\xD1\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xAB"],
        ["\x95\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x60"],

        ["\xD1\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xAC"],
        ["\x95\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x4B"],

        ["\xD1\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xAD"],
        ["\x95\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x61"],

        ["\xD1\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xAE"],
        ["\x95\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],

        ["\xD1\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xAF"],
        ["\x95\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF1"],

        ["\xD1\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB0"],
        ["\x95\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF2"],

        ["\xD1\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB1"],
        ["\x95\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF3"],

        ["\xD1\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB2"],
        ["\x95\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],

        ["\xD1\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB3"],
        ["\x95\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF5"],

        ["\xD1\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB4"],
        ["\x95\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF6"],

        ["\xD1\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB5"],
        ["\x95\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],

        ["\xD1\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB6"],
        ["\x95\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF8"],

        ["\xD1\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB7"],
        ["\x95\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],

        ["\xD1\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB8"],
        ["\x95\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x7A"],

        ["\xD1\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xB9"],
        ["\x95\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x5E"],

        ["\xD1\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xBA"],
        ["\x95\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x4C"],

        ["\xD1\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xBB"],
        ["\x95\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x7E"],

        ["\xD1\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xBC"],
        ["\x95\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x6E"],

        ["\xD1\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xBD"],
        ["\x95\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x6F"],

        ["\xD1\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xBE"],
        ["\x95\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x7C"],

        ["\xD1\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xBF"],
        ["\x95\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],

        ["\xD1\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC0"],
        ["\x95\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC2"],

        ["\xD1\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC1"],
        ["\x95\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],

        ["\xD1\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC2"],
        ["\x95\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],

        ["\xD1\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC3"],
        ["\x95\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],

        ["\xD1\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC4"],
        ["\x95\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],

        ["\xD1\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC5"],
        ["\x95\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC7"],

        ["\xD1\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC6"],
        ["\x95\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC8"],

        ["\xD1\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC7"],
        ["\x95\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC9"],

        ["\xD1\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC8"],
        ["\x95\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],

        ["\xD1\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xC9"],
        ["\x95\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],

        ["\xD1\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xCA"],
        ["\x95\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],

        ["\xD1\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xCB"],
        ["\x95\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],

        ["\xD1\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xCC"],
        ["\x95\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],

        ["\xD1\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xCD"],
        ["\x95\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],

        ["\xD1\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xCE"],
        ["\x95\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD7"],

        ["\xD1\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xCF"],
        ["\x95\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD8"],

        ["\xD1\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD0"],
        ["\x95\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],

        ["\xD1\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD1"],
        ["\x95\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],

        ["\xD1\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD2"],
        ["\x95\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xE3"],

        ["\xD1\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD3"],
        ["\x95\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],

        ["\xD1\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD4"],
        ["\x95\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xE5"],

        ["\xD1\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD5"],
        ["\x95\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],

        ["\xD1\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD6"],
        ["\x95\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xE7"],

        ["\xD1\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD7"],
        ["\x95\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xE8"],

        ["\xD1\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD8"],
        ["\x95\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xE9"],

        ["\xD1\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xD9"],
        ["\x95\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x4A"],

        ["\xD1\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xDA"],
        ["\x95\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x5B"],

        ["\xD1\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xDB"],
        ["\x95\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x5A"],

        ["\xD1\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xDC"],
        ["\x95\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x5F"],

        ["\xD1\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xDD"],
        ["\x95\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x6D"],

        ["\xD1\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xDE"],
        ["\x95\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x79"],

        ["\xD1\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xDF"],
        ["\x95\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x57"],

        ["\xD1\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE0"],
        ["\x95\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x59"],

        ["\xD1\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE1"],
        ["\x95\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x62"],

        ["\xD1\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE2"],
        ["\x95\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x63"],

        ["\xD1\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE3"],
        ["\x95\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x64"],

        ["\xD1\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE4"],
        ["\x95\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x65"],

        ["\xD1\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE5"],
        ["\x95\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x66"],

        ["\xD1\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE6"],
        ["\x95\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x67"],

        ["\xD1\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE7"],
        ["\x95\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x68"],

        ["\xD1\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE8"],
        ["\x95\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x69"],

        ["\xD1\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xE9"],
        ["\x95\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x70"],

        ["\xD1\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xEA"],
        ["\x95\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x71"],

        ["\xD1\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xEB"],
        ["\x95\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x72"],

        ["\xD1\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xEC"],
        ["\x95\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x73"],

        ["\xD1\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xED"],
        ["\x95\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x74"],

        ["\xD1\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xEE"],
        ["\x95\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x75"],

        ["\xD1\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xEF"],
        ["\x95\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x76"],

        ["\xD1\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF0"],
        ["\x95\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x77"],

        ["\xD1\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF1"],
        ["\x95\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x78"],

        ["\xD1\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF2"],
        ["\x95\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x80"],

        ["\xD1\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF3"],
        ["\x95\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x8B"],

        ["\xD1\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF4"],
        ["\x95\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x9B"],

        ["\xD1\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF5"],
        ["\x95\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x9C"],

        ["\xD1\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF6"],
        ["\x95\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xA0"],

        ["\xD1\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF7"],
        ["\x95\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xAB"],

        ["\xD1\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF8"],
        ["\x95\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],

        ["\xD1\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xF9"],
        ["\x95\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xC0"],

        ["\xD1\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xFA"],
        ["\x95\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\x6A"],

        ["\xD1\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xFB"],
        ["\x95\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xD0"],

        ["\xD1\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x95\xFC"],
        ["\x95\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD1\xA1"],

        ["\xD2\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x40"],
        ["\x96\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x4F"],

        ["\xD2\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x41"],
        ["\x96\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x7F"],

        ["\xD2\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x42"],
        ["\x96\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x7B"],

        ["\xD2\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x43"],
        ["\x96\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE0"],

        ["\xD2\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x44"],
        ["\x96\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x6C"],

        ["\xD2\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x45"],
        ["\x96\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x50"],

        ["\xD2\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x46"],
        ["\x96\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x7D"],

        ["\xD2\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x47"],
        ["\x96\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x4D"],

        ["\xD2\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x48"],
        ["\x96\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x5D"],

        ["\xD2\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x49"],
        ["\x96\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x5C"],

        ["\xD2\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x4A"],
        ["\x96\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x4E"],

        ["\xD2\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x4B"],
        ["\x96\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x6B"],

        ["\xD2\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x4C"],
        ["\x96\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x60"],

        ["\xD2\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x4D"],
        ["\x96\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x4B"],

        ["\xD2\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x4E"],
        ["\x96\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x61"],

        ["\xD2\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x4F"],
        ["\x96\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF0"],

        ["\xD2\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x50"],
        ["\x96\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF1"],

        ["\xD2\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x51"],
        ["\x96\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],

        ["\xD2\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x52"],
        ["\x96\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],

        ["\xD2\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x53"],
        ["\x96\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],

        ["\xD2\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x54"],
        ["\x96\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF5"],

        ["\xD2\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x55"],
        ["\x96\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF6"],

        ["\xD2\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x56"],
        ["\x96\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],

        ["\xD2\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x57"],
        ["\x96\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],

        ["\xD2\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x58"],
        ["\x96\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xF9"],

        ["\xD2\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x59"],
        ["\x96\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x7A"],

        ["\xD2\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x5A"],
        ["\x96\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x5E"],

        ["\xD2\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x5B"],
        ["\x96\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x4C"],

        ["\xD2\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x5C"],
        ["\x96\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x7E"],

        ["\xD2\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x5D"],
        ["\x96\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x6E"],

        ["\xD2\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x5E"],
        ["\x96\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x6F"],

        ["\xD2\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x5F"],
        ["\x96\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x7C"],

        ["\xD2\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x60"],
        ["\x96\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC1"],

        ["\xD2\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x61"],
        ["\x96\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC2"],

        ["\xD2\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x62"],
        ["\x96\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],

        ["\xD2\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x63"],
        ["\x96\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC4"],

        ["\xD2\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x64"],
        ["\x96\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],

        ["\xD2\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x65"],
        ["\x96\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC6"],

        ["\xD2\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x66"],
        ["\x96\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC7"],

        ["\xD2\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x67"],
        ["\x96\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC8"],

        ["\xD2\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x68"],
        ["\x96\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC9"],

        ["\xD2\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x69"],
        ["\x96\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],

        ["\xD2\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x6A"],
        ["\x96\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD2"],

        ["\xD2\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x6B"],
        ["\x96\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],

        ["\xD2\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x6C"],
        ["\x96\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD4"],

        ["\xD2\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x6D"],
        ["\x96\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD5"],

        ["\xD2\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x6E"],
        ["\x96\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD6"],

        ["\xD2\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x6F"],
        ["\x96\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD7"],

        ["\xD2\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x70"],
        ["\x96\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],

        ["\xD2\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x71"],
        ["\x96\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD9"],

        ["\xD2\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x72"],
        ["\x96\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE2"],

        ["\xD2\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x73"],
        ["\x96\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE3"],

        ["\xD2\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x74"],
        ["\x96\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE4"],

        ["\xD2\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x75"],
        ["\x96\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE5"],

        ["\xD2\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x76"],
        ["\x96\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE6"],

        ["\xD2\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x77"],
        ["\x96\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],

        ["\xD2\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x78"],
        ["\x96\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],

        ["\xD2\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x79"],
        ["\x96\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xE9"],

        ["\xD2\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x7A"],
        ["\x96\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x4A"],

        ["\xD2\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x7B"],
        ["\x96\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x5B"],

        ["\xD2\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x7C"],
        ["\x96\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x5A"],

        ["\xD2\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x7D"],
        ["\x96\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x5F"],

        ["\xD2\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x7E"],
        ["\x96\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x6D"],

        ["\xD2\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x80"],
        ["\x96\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x79"],

        ["\xD2\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x81"],
        ["\x96\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x57"],

        ["\xD2\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x82"],
        ["\x96\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x59"],

        ["\xD2\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x83"],
        ["\x96\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x62"],

        ["\xD2\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x84"],
        ["\x96\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x63"],

        ["\xD2\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x85"],
        ["\x96\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x64"],

        ["\xD2\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x86"],
        ["\x96\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x65"],

        ["\xD2\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x87"],
        ["\x96\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x66"],

        ["\xD2\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x88"],
        ["\x96\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x67"],

        ["\xD2\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x89"],
        ["\x96\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x68"],

        ["\x90\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x8A"],
        ["\x96\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xA3"],

        ["\xD2\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x8B"],
        ["\x96\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x70"],

        ["\xD2\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x8C"],
        ["\x96\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x71"],

        ["\xD2\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x8D"],
        ["\x96\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x72"],

        ["\xD2\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x8E"],
        ["\x96\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x73"],

        ["\xD2\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x8F"],
        ["\x96\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x74"],

        ["\xD2\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x90"],
        ["\x96\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x75"],

        ["\xD2\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x91"],
        ["\x96\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x76"],

        ["\xD2\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x92"],
        ["\x96\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x77"],

        ["\xD2\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x93"],
        ["\x96\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x78"],

        ["\xD2\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x94"],
        ["\x96\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x80"],

        ["\xD2\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x95"],
        ["\x96\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x8B"],

        ["\xD2\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x96"],
        ["\x96\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x9B"],

        ["\xD2\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x97"],
        ["\x96\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x9C"],

        ["\xD2\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x98"],
        ["\x96\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xA0"],

        ["\xD7\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x99"],
        ["\x96\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xE5"],

        ["\xD2\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x9A"],
        ["\x96\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xB0"],

        ["\xD2\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x9B"],
        ["\x96\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xC0"],

        ["\xD2\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x9C"],
        ["\x96\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x6A"],

        ["\xD2\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x9D"],
        ["\x96\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xD0"],

        ["\xD2\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x9E"],
        ["\x96\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xA1"],

        ["\xD3\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\x9F"],
        ["\x96\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x4F"],

        ["\xD3\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA0"],
        ["\x96\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x7F"],

        ["\xD3\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA1"],
        ["\x96\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x7B"],

        ["\xD3\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA2"],
        ["\x96\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE0"],

        ["\xD3\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA3"],
        ["\x96\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x6C"],

        ["\xD3\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA4"],
        ["\x96\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x50"],

        ["\xD3\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA5"],
        ["\x96\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x7D"],

        ["\xD3\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA6"],
        ["\x96\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x4D"],

        ["\xD3\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA7"],
        ["\x96\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5D"],

        ["\xD3\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA8"],
        ["\x96\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5C"],

        ["\xD3\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xA9"],
        ["\x96\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x4E"],

        ["\xD3\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xAA"],
        ["\x96\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x6B"],

        ["\xD3\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xAB"],
        ["\x96\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x60"],

        ["\xD3\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xAC"],
        ["\x96\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x4B"],

        ["\xD3\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xAD"],
        ["\x96\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x61"],

        ["\xD3\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xAE"],
        ["\x96\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF0"],

        ["\xD3\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xAF"],
        ["\x96\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF1"],

        ["\xD3\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB0"],
        ["\x96\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],

        ["\xD3\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB1"],
        ["\x96\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],

        ["\xD3\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB2"],
        ["\x96\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF4"],

        ["\xD3\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB3"],
        ["\x96\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],

        ["\xD3\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB4"],
        ["\x96\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],

        ["\xD3\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB5"],
        ["\x96\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF7"],

        ["\xD3\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB6"],
        ["\x96\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF8"],

        ["\xD3\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB7"],
        ["\x96\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xF9"],

        ["\xD3\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB8"],
        ["\x96\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x7A"],

        ["\xD3\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xB9"],
        ["\x96\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5E"],

        ["\xD3\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xBA"],
        ["\x96\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x4C"],

        ["\xD3\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xBB"],
        ["\x96\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x7E"],

        ["\xD3\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xBC"],
        ["\x96\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x6E"],

        ["\xD3\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xBD"],
        ["\x96\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x6F"],

        ["\xD3\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xBE"],
        ["\x96\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x7C"],

        ["\xD3\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xBF"],
        ["\x96\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],

        ["\xD3\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC0"],
        ["\x96\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],

        ["\xD3\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC1"],
        ["\x96\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC3"],

        ["\xD3\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC2"],
        ["\x96\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],

        ["\xD3\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC3"],
        ["\x96\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC5"],

        ["\xD3\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC4"],
        ["\x96\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC6"],

        ["\xD3\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC5"],
        ["\x96\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC7"],

        ["\xD3\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC6"],
        ["\x96\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC8"],

        ["\xD3\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC7"],
        ["\x96\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],

        ["\xD3\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC8"],
        ["\x96\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD1"],

        ["\xD3\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xC9"],
        ["\x96\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD2"],

        ["\xD3\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xCA"],
        ["\x96\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD3"],

        ["\xD3\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xCB"],
        ["\x96\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],

        ["\xD3\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xCC"],
        ["\x96\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],

        ["\xD3\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xCD"],
        ["\x96\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD6"],

        ["\xD3\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xCE"],
        ["\x96\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],

        ["\xD3\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xCF"],
        ["\x96\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],

        ["\xD3\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD0"],
        ["\x96\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],

        ["\xD3\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD1"],
        ["\x96\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],

        ["\xD3\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD2"],
        ["\x96\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],

        ["\xD3\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD3"],
        ["\x96\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE4"],

        ["\xD3\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD4"],
        ["\x96\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE5"],

        ["\xD3\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD5"],
        ["\x96\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE6"],

        ["\xD3\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD6"],
        ["\x96\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],

        ["\xD3\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD7"],
        ["\x96\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE8"],

        ["\xD3\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD8"],
        ["\x96\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xE9"],

        ["\xD3\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xD9"],
        ["\x96\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x4A"],

        ["\xD3\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xDA"],
        ["\x96\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5B"],

        ["\xD3\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xDB"],
        ["\x96\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5A"],

        ["\xD3\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xDC"],
        ["\x96\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x5F"],

        ["\xD3\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xDD"],
        ["\x96\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x6D"],

        ["\xD3\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xDE"],
        ["\x96\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x79"],

        ["\xD3\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xDF"],
        ["\x96\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x57"],

        ["\xD3\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE0"],
        ["\x96\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x59"],

        ["\xD3\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE1"],
        ["\x96\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x62"],

        ["\xD3\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE2"],
        ["\x96\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x63"],

        ["\xD3\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE3"],
        ["\x96\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x64"],

        ["\xD3\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE4"],
        ["\x96\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x65"],

        ["\xD3\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE5"],
        ["\x96\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x66"],

        ["\xD3\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE6"],
        ["\x96\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x67"],

        ["\xD3\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE7"],
        ["\x96\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x68"],

        ["\xD3\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE8"],
        ["\x96\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x69"],

        ["\xD3\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xE9"],
        ["\x96\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x70"],

        ["\xD3\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xEA"],
        ["\x96\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x71"],

        ["\xD3\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xEB"],
        ["\x96\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x72"],

        ["\xD3\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xEC"],
        ["\x96\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x73"],

        ["\xD3\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xED"],
        ["\x96\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x74"],

        ["\xD3\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xEE"],
        ["\x96\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x75"],

        ["\xD3\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xEF"],
        ["\x96\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x76"],

        ["\xD3\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF0"],
        ["\x96\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x77"],

        ["\xD3\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF1"],
        ["\x96\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x78"],

        ["\xD3\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF2"],
        ["\x96\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x80"],

        ["\xD3\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF3"],
        ["\x96\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x8B"],

        ["\xD3\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF4"],
        ["\x96\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x9B"],

        ["\xD3\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF5"],
        ["\x96\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x9C"],

        ["\xD3\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF6"],
        ["\x96\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xA0"],

        ["\x68\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF7"],
        ["\x96\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4B"],

        ["\xD3\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF8"],
        ["\x96\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],

        ["\xD3\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xF9"],
        ["\x96\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],

        ["\xD3\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xFA"],
        ["\x96\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\x6A"],

        ["\xD3\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xFB"],
        ["\x96\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xD0"],

        ["\xD3\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x96\xFC"],
        ["\x96\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],

        ["\xD4\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x40"],
        ["\x97\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4F"],

        ["\xD4\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x41"],
        ["\x97\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x7F"],

        ["\xD4\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x42"],
        ["\x97\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x7B"],

        ["\xD4\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x43"],
        ["\x97\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE0"],

        ["\xD4\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x44"],
        ["\x97\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x6C"],

        ["\xD4\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x45"],
        ["\x97\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x50"],

        ["\xD4\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x46"],
        ["\x97\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x7D"],

        ["\xD4\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x47"],
        ["\x97\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4D"],

        ["\xD4\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x48"],
        ["\x97\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5D"],

        ["\xD4\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x49"],
        ["\x97\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5C"],

        ["\xD4\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x4A"],
        ["\x97\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4E"],

        ["\xD4\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x4B"],
        ["\x97\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x6B"],

        ["\xD4\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x4C"],
        ["\x97\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x60"],

        ["\xD4\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x4D"],
        ["\x97\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4B"],

        ["\xD4\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x4E"],
        ["\x97\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x61"],

        ["\xD4\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x4F"],
        ["\x97\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],

        ["\xD4\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x50"],
        ["\x97\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],

        ["\xD4\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x51"],
        ["\x97\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],

        ["\xD4\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x52"],
        ["\x97\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],

        ["\xD4\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x53"],
        ["\x97\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF4"],

        ["\xD4\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x54"],
        ["\x97\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF5"],

        ["\xD4\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x55"],
        ["\x97\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF6"],

        ["\xD4\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x56"],
        ["\x97\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF7"],

        ["\xD4\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x57"],
        ["\x97\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],

        ["\xD4\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x58"],
        ["\x97\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xF9"],

        ["\xD4\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x59"],
        ["\x97\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x7A"],

        ["\xD4\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x5A"],
        ["\x97\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5E"],

        ["\xD4\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x5B"],
        ["\x97\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4C"],

        ["\xD4\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x5C"],
        ["\x97\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x7E"],

        ["\xD4\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x5D"],
        ["\x97\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x6E"],

        ["\xD4\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x5E"],
        ["\x97\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x6F"],

        ["\xD4\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x5F"],
        ["\x97\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x7C"],

        ["\xD4\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x60"],
        ["\x97\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC1"],

        ["\xD4\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x61"],
        ["\x97\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC2"],

        ["\xD4\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x62"],
        ["\x97\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],

        ["\xD4\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x63"],
        ["\x97\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC4"],

        ["\xD4\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x64"],
        ["\x97\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC5"],

        ["\xD4\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x65"],
        ["\x97\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC6"],

        ["\xD4\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x66"],
        ["\x97\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC7"],

        ["\xD4\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x67"],
        ["\x97\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC8"],

        ["\xD4\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x68"],
        ["\x97\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC9"],

        ["\xD4\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x69"],
        ["\x97\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD1"],

        ["\xD4\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x6A"],
        ["\x97\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],

        ["\xD4\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x6B"],
        ["\x97\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],

        ["\xD4\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x6C"],
        ["\x97\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],

        ["\xD4\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x6D"],
        ["\x97\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD5"],

        ["\xD4\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x6E"],
        ["\x97\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD6"],

        ["\xD4\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x6F"],
        ["\x97\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],

        ["\xD4\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x70"],
        ["\x97\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD8"],

        ["\xD4\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x71"],
        ["\x97\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD9"],

        ["\xD4\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x72"],
        ["\x97\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE2"],

        ["\xD4\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x73"],
        ["\x97\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],

        ["\xD4\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x74"],
        ["\x97\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],

        ["\xD4\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x75"],
        ["\x97\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],

        ["\xD4\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x76"],
        ["\x97\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE6"],

        ["\xD4\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x77"],
        ["\x97\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE7"],

        ["\xD4\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x78"],
        ["\x97\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE8"],

        ["\xA5\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x79"],
        ["\x97\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\x95"],

        ["\xD4\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x7A"],
        ["\x97\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x4A"],

        ["\xD4\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x7B"],
        ["\x97\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5B"],

        ["\xD4\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x7C"],
        ["\x97\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5A"],

        ["\xD4\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x7D"],
        ["\x97\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x5F"],

        ["\xD4\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x7E"],
        ["\x97\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x6D"],

        ["\xD4\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x80"],
        ["\x97\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x79"],

        ["\xD4\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x81"],
        ["\x97\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x57"],

        ["\xD4\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x82"],
        ["\x97\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x59"],

        ["\xD4\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x83"],
        ["\x97\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x62"],

        ["\xD4\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x84"],
        ["\x97\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x63"],

        ["\xD4\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x85"],
        ["\x97\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x64"],

        ["\xD4\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x86"],
        ["\x97\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x65"],

        ["\xD4\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x87"],
        ["\x97\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x66"],

        ["\xD4\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x88"],
        ["\x97\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x67"],

        ["\xD4\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x89"],
        ["\x97\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x68"],

        ["\xD4\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x8A"],
        ["\x97\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x69"],

        ["\xD4\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x8B"],
        ["\x97\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x70"],

        ["\xD4\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x8C"],
        ["\x97\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x71"],

        ["\xD4\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x8D"],
        ["\x97\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x72"],

        ["\xD4\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x8E"],
        ["\x97\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x73"],

        ["\xD4\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x8F"],
        ["\x97\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x74"],

        ["\xD4\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x90"],
        ["\x97\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x75"],

        ["\xD4\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x91"],
        ["\x97\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x76"],

        ["\xD4\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x92"],
        ["\x97\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x77"],

        ["\xD4\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x93"],
        ["\x97\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x78"],

        ["\xD4\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x94"],
        ["\x97\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x80"],

        ["\xD4\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x95"],
        ["\x97\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x8B"],

        ["\xD4\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x96"],
        ["\x97\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x9B"],

        ["\xD4\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x97"],
        ["\x97\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x9C"],

        ["\xD4\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x98"],
        ["\x97\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xA0"],

        ["\xD4\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x99"],
        ["\x97\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],

        ["\xD4\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x9A"],
        ["\x97\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xB0"],

        ["\xD4\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x9B"],
        ["\x97\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xC0"],

        ["\xD4\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x9C"],
        ["\x97\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\x6A"],

        ["\xD4\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x9D"],
        ["\x97\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xD0"],

        ["\xD4\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x9E"],
        ["\x97\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],

        ["\xD5\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\x9F"],
        ["\x97\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x4F"],

        ["\xD5\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA0"],
        ["\x97\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x7F"],

        ["\xD5\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA1"],
        ["\x97\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x7B"],

        ["\xD5\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA2"],
        ["\x97\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xE0"],

        ["\xD5\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA3"],
        ["\x97\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x6C"],

        ["\xD5\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA4"],
        ["\x97\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x50"],

        ["\xD5\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA5"],
        ["\x97\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x7D"],

        ["\xD5\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA6"],
        ["\x97\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x4D"],

        ["\xD5\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA7"],
        ["\x97\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x5D"],

        ["\xD5\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA8"],
        ["\x97\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x5C"],

        ["\xD5\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xA9"],
        ["\x97\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x4E"],

        ["\xD5\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xAA"],
        ["\x97\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x6B"],

        ["\xD5\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xAB"],
        ["\x97\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x60"],

        ["\xD5\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xAC"],
        ["\x97\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x4B"],

        ["\xD5\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xAD"],
        ["\x97\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x61"],

        ["\xD5\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xAE"],
        ["\x97\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],

        ["\xD5\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xAF"],
        ["\x97\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],

        ["\xD5\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB0"],
        ["\x97\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],

        ["\xD5\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB1"],
        ["\x97\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],

        ["\xD5\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB2"],
        ["\x97\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF4"],

        ["\xD5\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB3"],
        ["\x97\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],

        ["\xD5\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB4"],
        ["\x97\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],

        ["\xD5\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB5"],
        ["\x97\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF7"],

        ["\xD5\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB6"],
        ["\x97\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF8"],

        ["\xD5\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB7"],
        ["\x97\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],

        ["\xD5\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB8"],
        ["\x97\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x7A"],

        ["\xD5\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xB9"],
        ["\x97\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x5E"],

        ["\xD5\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xBA"],
        ["\x97\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x4C"],

        ["\xD5\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xBB"],
        ["\x97\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x7E"],

        ["\xD5\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xBC"],
        ["\x97\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x6E"],

        ["\xD5\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xBD"],
        ["\x97\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x6F"],

        ["\xD5\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xBE"],
        ["\x97\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x7C"],

        ["\xD5\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xBF"],
        ["\x97\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC1"],

        ["\xD5\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC0"],
        ["\x97\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],

        ["\xD5\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC1"],
        ["\x97\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC3"],

        ["\xD5\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC2"],
        ["\x97\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],

        ["\xD5\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC3"],
        ["\x97\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],

        ["\xD5\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC4"],
        ["\x97\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC6"],

        ["\xD5\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC5"],
        ["\x97\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],

        ["\xD5\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC6"],
        ["\x97\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC8"],

        ["\xD5\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC7"],
        ["\x97\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC9"],

        ["\xD5\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC8"],
        ["\x97\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],

        ["\xD5\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xC9"],
        ["\x97\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],

        ["\xD5\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xCA"],
        ["\x97\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],

        ["\xD5\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xCB"],
        ["\x97\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],

        ["\xD5\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xCC"],
        ["\x97\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD5"],

        ["\xD5\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xCD"],
        ["\x97\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],

        ["\xD5\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xCE"],
        ["\x97\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],

        ["\xD5\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xCF"],
        ["\x97\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],

        ["\xD5\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD0"],
        ["\x97\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD9"],

        ["\xD5\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD1"],
        ["\x97\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xE2"],

        ["\xD5\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD2"],
        ["\x97\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xE3"],

        ["\xD5\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD3"],
        ["\x97\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],

        ["\xD5\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD4"],
        ["\x97\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],

        ["\xD5\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD5"],
        ["\x97\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xE6"],

        ["\xD5\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD6"],
        ["\x97\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xE7"],

        ["\xD5\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD7"],
        ["\x97\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xE8"],

        ["\xD5\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD8"],
        ["\x97\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xE9"],

        ["\xD5\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xD9"],
        ["\x97\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x4A"],

        ["\xD5\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xDA"],
        ["\x97\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x5B"],

        ["\xD5\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xDB"],
        ["\x97\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x5A"],

        ["\xD5\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xDC"],
        ["\x97\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x5F"],

        ["\xD5\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xDD"],
        ["\x97\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x6D"],

        ["\xD5\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xDE"],
        ["\x97\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x79"],

        ["\xD5\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xDF"],
        ["\x97\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x57"],

        ["\xD5\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE0"],
        ["\x97\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x59"],

        ["\xD5\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE1"],
        ["\x97\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x62"],

        ["\xD5\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE2"],
        ["\x97\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x63"],

        ["\xD5\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE3"],
        ["\x97\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x64"],

        ["\xD5\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE4"],
        ["\x97\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x65"],

        ["\xD5\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE5"],
        ["\x97\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x66"],

        ["\xD5\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE6"],
        ["\x97\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x67"],

        ["\xD5\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE7"],
        ["\x97\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x68"],

        ["\xD5\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE8"],
        ["\x97\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x69"],

        ["\xD5\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xE9"],
        ["\x97\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x70"],

        ["\xD5\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xEA"],
        ["\x97\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x71"],

        ["\xD5\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xEB"],
        ["\x97\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x72"],

        ["\xD5\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xEC"],
        ["\x97\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x73"],

        ["\xD5\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xED"],
        ["\x97\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x74"],

        ["\xD5\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xEE"],
        ["\x97\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x75"],

        ["\xD5\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xEF"],
        ["\x97\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x76"],

        ["\xD5\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF0"],
        ["\x97\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x77"],

        ["\xD5\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF1"],
        ["\x97\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x78"],

        ["\xD5\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF2"],
        ["\x97\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x80"],

        ["\xD5\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF3"],
        ["\x97\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x8B"],

        ["\xD5\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF4"],
        ["\x97\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x9B"],

        ["\xD5\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF5"],
        ["\x97\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x9C"],

        ["\xD5\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF6"],
        ["\x97\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xA0"],

        ["\xD5\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF7"],
        ["\x97\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xAB"],

        ["\xD5\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF8"],
        ["\x97\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xB0"],

        ["\xD5\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xF9"],
        ["\x97\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xC0"],

        ["\xD5\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xFA"],
        ["\x97\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\x6A"],

        ["\xD5\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xFB"],
        ["\x97\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xD0"],

        ["\xD5\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x97\xFC"],
        ["\x97\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],

        ["\xD6\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x40"],
        ["\x98\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4F"],

        ["\xD6\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x41"],
        ["\x98\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7F"],

        ["\xD6\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x42"],
        ["\x98\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7B"],

        ["\xD6\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x43"],
        ["\x98\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xE0"],

        ["\xD6\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x44"],
        ["\x98\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6C"],

        ["\xD6\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x45"],
        ["\x98\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x50"],

        ["\xD6\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x46"],
        ["\x98\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7D"],

        ["\xD6\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x47"],
        ["\x98\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4D"],

        ["\xD6\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x48"],
        ["\x98\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x5D"],

        ["\xD6\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x49"],
        ["\x98\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x5C"],

        ["\xD6\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x4A"],
        ["\x98\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4E"],

        ["\xD6\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x4B"],
        ["\x98\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6B"],

        ["\xD6\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x4C"],
        ["\x98\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x60"],

        ["\xD6\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x4D"],
        ["\x98\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4B"],

        ["\xD6\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x4E"],
        ["\x98\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x61"],

        ["\xD6\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x4F"],
        ["\x98\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF0"],

        ["\xD6\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x50"],
        ["\x98\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF1"],

        ["\xD6\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x51"],
        ["\x98\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF2"],

        ["\xD6\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x52"],
        ["\x98\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF3"],

        ["\xD6\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x53"],
        ["\x98\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF4"],

        ["\xD6\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x54"],
        ["\x98\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF5"],

        ["\x63\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x55"],
        ["\x98\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC6"],

        ["\xD6\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x56"],
        ["\x98\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF7"],

        ["\xD6\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x57"],
        ["\x98\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF8"],

        ["\xD6\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x58"],
        ["\x98\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF9"],

        ["\xD6\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x59"],
        ["\x98\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7A"],

        ["\xD6\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x5A"],
        ["\x98\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x5E"],

        ["\xD6\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x5B"],
        ["\x98\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x4C"],

        ["\xD6\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x5C"],
        ["\x98\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7E"],

        ["\xD6\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x5D"],
        ["\x98\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6E"],

        ["\xD6\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x5E"],
        ["\x98\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x6F"],

        ["\xD6\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x5F"],
        ["\x98\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\x7C"],

        ["\xD6\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x60"],
        ["\x98\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC1"],

        ["\xD6\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x61"],
        ["\x98\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC2"],

        ["\xD6\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x62"],
        ["\x98\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC3"],

        ["\xD6\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x63"],
        ["\x98\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC4"],

        ["\xD6\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x64"],
        ["\x98\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC5"],

        ["\xD6\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x65"],
        ["\x98\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC6"],

        ["\xD6\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x66"],
        ["\x98\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC7"],

        ["\xD6\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x67"],
        ["\x98\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC8"],

        ["\xD6\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x68"],
        ["\x98\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xC9"],

        ["\xD6\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x69"],
        ["\x98\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD1"],

        ["\xD6\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x6A"],
        ["\x98\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD2"],

        ["\xD6\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x6B"],
        ["\x98\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD3"],

        ["\xD6\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x6C"],
        ["\x98\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD4"],

        ["\xD6\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x6D"],
        ["\x98\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD5"],

        ["\xD6\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x6E"],
        ["\x98\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD6"],

        ["\xD6\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x6F"],
        ["\x98\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD7"],

        ["\xD6\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x70"],
        ["\x98\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD8"],

        ["\xD6\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x71"],
        ["\x98\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xD9"],

        ["\xD6\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x72"],
        ["\x98\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xE2"],

        ["\xD7\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\x9F"],
        ["\x98\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4F"],

        ["\xD7\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA0"],
        ["\x98\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7F"],

        ["\xD7\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA1"],
        ["\x98\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7B"],

        ["\xD7\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA2"],
        ["\x98\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xE0"],

        ["\xD7\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA3"],
        ["\x98\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x6C"],

        ["\xD7\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA4"],
        ["\x98\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x50"],

        ["\xD7\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA5"],
        ["\x98\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7D"],

        ["\xD7\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA6"],
        ["\x98\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4D"],

        ["\xD7\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA7"],
        ["\x98\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5D"],

        ["\xD7\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA8"],
        ["\x98\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5C"],

        ["\xD7\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xA9"],
        ["\x98\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4E"],

        ["\xD7\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xAA"],
        ["\x98\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x6B"],

        ["\xD7\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xAB"],
        ["\x98\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x60"],

        ["\xD7\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xAC"],
        ["\x98\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4B"],

        ["\xD7\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xAD"],
        ["\x98\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x61"],

        ["\xD7\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xAE"],
        ["\x98\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF0"],

        ["\xD7\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xAF"],
        ["\x98\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF1"],

        ["\xD7\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB0"],
        ["\x98\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF2"],

        ["\xD7\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB1"],
        ["\x98\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF3"],

        ["\xD7\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB2"],
        ["\x98\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF4"],

        ["\xD7\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB3"],
        ["\x98\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF5"],

        ["\xD7\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB4"],
        ["\x98\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF6"],

        ["\xD7\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB5"],
        ["\x98\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF7"],

        ["\xD7\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB6"],
        ["\x98\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF8"],

        ["\xD7\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB7"],
        ["\x98\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xF9"],

        ["\xD7\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB8"],
        ["\x98\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7A"],

        ["\xD7\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xB9"],
        ["\x98\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5E"],

        ["\xD7\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xBA"],
        ["\x98\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4C"],

        ["\xD7\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xBB"],
        ["\x98\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7E"],

        ["\xD7\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xBC"],
        ["\x98\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x6E"],

        ["\xD7\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xBD"],
        ["\x98\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x6F"],

        ["\xD7\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xBE"],
        ["\x98\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x7C"],

        ["\xD7\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xBF"],
        ["\x98\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC1"],

        ["\xD7\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC0"],
        ["\x98\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC2"],

        ["\xD7\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC1"],
        ["\x98\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC3"],

        ["\xD7\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC2"],
        ["\x98\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC4"],

        ["\xD7\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC3"],
        ["\x98\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC5"],

        ["\xD7\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC4"],
        ["\x98\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC6"],

        ["\xD7\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC5"],
        ["\x98\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC7"],

        ["\xD7\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC6"],
        ["\x98\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC8"],

        ["\xD7\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC7"],
        ["\x98\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC9"],

        ["\xD7\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC8"],
        ["\x98\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD1"],

        ["\xD7\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xC9"],
        ["\x98\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD2"],

        ["\xD7\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xCA"],
        ["\x98\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD3"],

        ["\xD7\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xCB"],
        ["\x98\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD4"],

        ["\xD7\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xCC"],
        ["\x98\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD5"],

        ["\xD7\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xCD"],
        ["\x98\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD6"],

        ["\xD7\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xCE"],
        ["\x98\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD7"],

        ["\xD7\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xCF"],
        ["\x98\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD8"],

        ["\xD7\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD0"],
        ["\x98\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD9"],

        ["\xD7\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD1"],
        ["\x98\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xE2"],

        ["\xD7\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD2"],
        ["\x98\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xE3"],

        ["\xD7\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD3"],
        ["\x98\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xE4"],

        ["\xD2\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD4"],
        ["\x98\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],

        ["\xD7\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD5"],
        ["\x98\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xE6"],

        ["\xD7\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD6"],
        ["\x98\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xE7"],

        ["\xD7\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD7"],
        ["\x98\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xE8"],

        ["\xD7\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD8"],
        ["\x98\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xE9"],

        ["\xD7\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xD9"],
        ["\x98\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x4A"],

        ["\xD7\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xDA"],
        ["\x98\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5B"],

        ["\xD7\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xDB"],
        ["\x98\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5A"],

        ["\xD7\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xDC"],
        ["\x98\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x5F"],

        ["\xD7\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xDD"],
        ["\x98\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x6D"],

        ["\xD7\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xDE"],
        ["\x98\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x79"],

        ["\xD7\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xDF"],
        ["\x98\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x57"],

        ["\xD7\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE0"],
        ["\x98\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x59"],

        ["\xD7\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE1"],
        ["\x98\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x62"],

        ["\xD7\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE2"],
        ["\x98\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x63"],

        ["\xD7\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE3"],
        ["\x98\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x64"],

        ["\xD7\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE4"],
        ["\x98\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x65"],

        ["\xD7\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE5"],
        ["\x98\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x66"],

        ["\xD7\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE6"],
        ["\x98\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x67"],

        ["\xD7\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE7"],
        ["\x98\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x68"],

        ["\xD7\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE8"],
        ["\x98\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x69"],

        ["\xD7\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xE9"],
        ["\x98\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x70"],

        ["\xD7\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xEA"],
        ["\x98\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x71"],

        ["\xD7\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xEB"],
        ["\x98\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x72"],

        ["\xD7\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xEC"],
        ["\x98\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x73"],

        ["\xD7\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xED"],
        ["\x98\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x74"],

        ["\xD7\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xEE"],
        ["\x98\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x75"],

        ["\xD7\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xEF"],
        ["\x98\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x76"],

        ["\xD7\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF0"],
        ["\x98\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x77"],

        ["\xD7\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF1"],
        ["\x98\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x78"],

        ["\xD7\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF2"],
        ["\x98\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x80"],

        ["\xD7\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF3"],
        ["\x98\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x8B"],

        ["\xD7\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF4"],
        ["\x98\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x9B"],

        ["\xD7\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF5"],
        ["\x98\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x9C"],

        ["\xD7\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF6"],
        ["\x98\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xA0"],

        ["\xD7\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF7"],
        ["\x98\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xAB"],

        ["\xD7\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF8"],
        ["\x98\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xB0"],

        ["\xD7\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xF9"],
        ["\x98\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xC0"],

        ["\xD7\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xFA"],
        ["\x98\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\x6A"],

        ["\xD7\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xFB"],
        ["\x98\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xD0"],

        ["\xD7\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x98\xFC"],
        ["\x98\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD7\xA1"],

        ["\xD8\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x40"],
        ["\x99\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x4F"],

        ["\xD8\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x41"],
        ["\x99\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x7F"],

        ["\xD8\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x42"],
        ["\x99\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x7B"],

        ["\xD8\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x43"],
        ["\x99\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xE0"],

        ["\xD8\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x44"],
        ["\x99\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x6C"],

        ["\xD8\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x45"],
        ["\x99\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x50"],

        ["\xD8\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x46"],
        ["\x99\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x7D"],

        ["\xD8\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x47"],
        ["\x99\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x4D"],

        ["\xD8\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x48"],
        ["\x99\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x5D"],

        ["\xD8\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x49"],
        ["\x99\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x5C"],

        ["\xD8\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x4A"],
        ["\x99\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x4E"],

        ["\xD8\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x4B"],
        ["\x99\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x6B"],

        ["\xD8\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x4C"],
        ["\x99\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x60"],

        ["\xD8\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x4D"],
        ["\x99\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x4B"],

        ["\xD8\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x4E"],
        ["\x99\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x61"],

        ["\xD8\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x4F"],
        ["\x99\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF0"],

        ["\xD8\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x50"],
        ["\x99\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF1"],

        ["\xD8\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x51"],
        ["\x99\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF2"],

        ["\xD8\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x52"],
        ["\x99\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF3"],

        ["\xD8\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x53"],
        ["\x99\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF4"],

        ["\xD8\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x54"],
        ["\x99\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF5"],

        ["\xD8\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x55"],
        ["\x99\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF6"],

        ["\xD8\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x56"],
        ["\x99\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF7"],

        ["\xD8\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x57"],
        ["\x99\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF8"],

        ["\xD8\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x58"],
        ["\x99\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xF9"],

        ["\xD8\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x59"],
        ["\x99\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x7A"],

        ["\xD8\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x5A"],
        ["\x99\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x5E"],

        ["\xD8\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x5B"],
        ["\x99\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x4C"],

        ["\xD8\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x5C"],
        ["\x99\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x7E"],

        ["\xD8\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x5D"],
        ["\x99\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x6E"],

        ["\xD8\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x5E"],
        ["\x99\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x6F"],

        ["\xD8\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x5F"],
        ["\x99\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x7C"],

        ["\xD8\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x60"],
        ["\x99\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC1"],

        ["\xD8\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x61"],
        ["\x99\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC2"],

        ["\xD8\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x62"],
        ["\x99\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC3"],

        ["\xD8\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x63"],
        ["\x99\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC4"],

        ["\xD8\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x64"],
        ["\x99\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC5"],

        ["\xD8\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x65"],
        ["\x99\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC6"],

        ["\xD8\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x66"],
        ["\x99\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC7"],

        ["\xD8\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x67"],
        ["\x99\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC8"],

        ["\xD8\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x68"],
        ["\x99\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC9"],

        ["\xD8\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x69"],
        ["\x99\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD1"],

        ["\xD8\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x6A"],
        ["\x99\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD2"],

        ["\xD8\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x6B"],
        ["\x99\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD3"],

        ["\xD8\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x6C"],
        ["\x99\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD4"],

        ["\xD8\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x6D"],
        ["\x99\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD5"],

        ["\xD8\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x6E"],
        ["\x99\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD6"],

        ["\xD8\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x6F"],
        ["\x99\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD7"],

        ["\xD8\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x70"],
        ["\x99\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD8"],

        ["\xD8\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x71"],
        ["\x99\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD9"],

        ["\xD8\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x72"],
        ["\x99\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xE2"],

        ["\xD8\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x73"],
        ["\x99\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xE3"],

        ["\xD8\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x74"],
        ["\x99\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xE4"],

        ["\xD8\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x75"],
        ["\x99\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xE5"],

        ["\xD8\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x76"],
        ["\x99\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xE6"],

        ["\xD8\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x77"],
        ["\x99\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xE7"],

        ["\xD8\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x78"],
        ["\x99\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xE8"],

        ["\xD8\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x79"],
        ["\x99\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xE9"],

        ["\xD8\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x7A"],
        ["\x99\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x4A"],

        ["\xD8\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x7B"],
        ["\x99\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x5B"],

        ["\xD8\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x7C"],
        ["\x99\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x5A"],

        ["\xD8\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x7D"],
        ["\x99\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x5F"],

        ["\xD8\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x7E"],
        ["\x99\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x6D"],

        ["\xD8\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x80"],
        ["\x99\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x79"],

        ["\xD8\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x81"],
        ["\x99\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x57"],

        ["\xD8\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x82"],
        ["\x99\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x59"],

        ["\xD8\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x83"],
        ["\x99\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x62"],

        ["\xD8\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x84"],
        ["\x99\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x63"],

        ["\xD8\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x85"],
        ["\x99\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x64"],

        ["\xD8\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x86"],
        ["\x99\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x65"],

        ["\xD8\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x87"],
        ["\x99\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x66"],

        ["\xD8\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x88"],
        ["\x99\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x67"],

        ["\xD8\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x89"],
        ["\x99\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x68"],

        ["\xD8\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x8A"],
        ["\x99\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x69"],

        ["\xD8\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x8B"],
        ["\x99\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x70"],

        ["\xD8\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x8C"],
        ["\x99\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x71"],

        ["\xD8\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x8D"],
        ["\x99\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x72"],

        ["\xD8\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x8E"],
        ["\x99\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x73"],

        ["\xD8\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x8F"],
        ["\x99\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x74"],

        ["\xD8\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x90"],
        ["\x99\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x75"],

        ["\xD8\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x91"],
        ["\x99\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x76"],

        ["\xD8\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x92"],
        ["\x99\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x77"],

        ["\xD8\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x93"],
        ["\x99\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x78"],

        ["\xD8\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x94"],
        ["\x99\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x80"],

        ["\xD8\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x95"],
        ["\x99\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x8B"],

        ["\xD8\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x96"],
        ["\x99\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x9B"],

        ["\xD8\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x97"],
        ["\x99\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x9C"],

        ["\xD8\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x98"],
        ["\x99\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xA0"],

        ["\xD8\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x99"],
        ["\x99\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xAB"],

        ["\xD8\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x9A"],
        ["\x99\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xB0"],

        ["\xD8\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x9B"],
        ["\x99\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xC0"],

        ["\xD8\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x9C"],
        ["\x99\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\x6A"],

        ["\xD8\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x9D"],
        ["\x99\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xD0"],

        ["\xD8\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x9E"],
        ["\x99\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD8\xA1"],

        ["\xD9\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\x9F"],
        ["\x99\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x4F"],

        ["\xD9\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA0"],
        ["\x99\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x7F"],

        ["\xD9\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA1"],
        ["\x99\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x7B"],

        ["\xD9\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA2"],
        ["\x99\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xE0"],

        ["\xD9\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA3"],
        ["\x99\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x6C"],

        ["\xD9\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA4"],
        ["\x99\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x50"],

        ["\xD9\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA5"],
        ["\x99\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x7D"],

        ["\xD9\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA6"],
        ["\x99\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x4D"],

        ["\xD9\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA7"],
        ["\x99\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x5D"],

        ["\xD9\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA8"],
        ["\x99\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x5C"],

        ["\xD9\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xA9"],
        ["\x99\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x4E"],

        ["\xD9\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xAA"],
        ["\x99\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x6B"],

        ["\xD9\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xAB"],
        ["\x99\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x60"],

        ["\xD9\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xAC"],
        ["\x99\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x4B"],

        ["\xD9\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xAD"],
        ["\x99\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x61"],

        ["\xD9\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xAE"],
        ["\x99\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF0"],

        ["\xD9\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xAF"],
        ["\x99\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF1"],

        ["\xD9\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB0"],
        ["\x99\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF2"],

        ["\xD9\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB1"],
        ["\x99\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF3"],

        ["\xD9\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB2"],
        ["\x99\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF4"],

        ["\xD9\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB3"],
        ["\x99\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF5"],

        ["\xD9\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB4"],
        ["\x99\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF6"],

        ["\xD9\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB5"],
        ["\x99\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF7"],

        ["\xD9\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB6"],
        ["\x99\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF8"],

        ["\xD9\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB7"],
        ["\x99\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xF9"],

        ["\xD9\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB8"],
        ["\x99\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x7A"],

        ["\xD9\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xB9"],
        ["\x99\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x5E"],

        ["\xD9\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xBA"],
        ["\x99\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x4C"],

        ["\xD9\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xBB"],
        ["\x99\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x7E"],

        ["\xD9\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xBC"],
        ["\x99\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x6E"],

        ["\xD9\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xBD"],
        ["\x99\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x6F"],

        ["\xD9\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xBE"],
        ["\x99\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x7C"],

        ["\xD9\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xBF"],
        ["\x99\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC1"],

        ["\xD9\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC0"],
        ["\x99\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC2"],

        ["\xD9\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC1"],
        ["\x99\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC3"],

        ["\xD9\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC2"],
        ["\x99\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC4"],

        ["\xD9\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC3"],
        ["\x99\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC5"],

        ["\xD9\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC4"],
        ["\x99\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC6"],

        ["\xD9\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC5"],
        ["\x99\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC7"],

        ["\xD9\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC6"],
        ["\x99\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC8"],

        ["\xD9\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC7"],
        ["\x99\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC9"],

        ["\xD9\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC8"],
        ["\x99\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD1"],

        ["\xD9\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xC9"],
        ["\x99\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD2"],

        ["\xD9\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xCA"],
        ["\x99\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD3"],

        ["\xD9\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xCB"],
        ["\x99\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD4"],

        ["\xD9\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xCC"],
        ["\x99\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD5"],

        ["\xD9\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xCD"],
        ["\x99\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD6"],

        ["\xD9\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xCE"],
        ["\x99\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD7"],

        ["\xD9\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xCF"],
        ["\x99\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD8"],

        ["\xD9\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD0"],
        ["\x99\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD9"],

        ["\xD9\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD1"],
        ["\x99\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xE2"],

        ["\xD9\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD2"],
        ["\x99\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xE3"],

        ["\xD9\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD3"],
        ["\x99\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xE4"],

        ["\xD9\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD4"],
        ["\x99\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xE5"],

        ["\xD9\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD5"],
        ["\x99\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xE6"],

        ["\xD9\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD6"],
        ["\x99\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xE7"],

        ["\xD9\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD7"],
        ["\x99\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xE8"],

        ["\xD9\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD8"],
        ["\x99\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xE9"],

        ["\xD9\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xD9"],
        ["\x99\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x4A"],

        ["\xD9\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xDA"],
        ["\x99\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x5B"],

        ["\xD9\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xDB"],
        ["\x99\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x5A"],

        ["\xD9\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xDC"],
        ["\x99\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x5F"],

        ["\xD9\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xDD"],
        ["\x99\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x6D"],

        ["\xD9\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xDE"],
        ["\x99\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x79"],

        ["\xD9\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xDF"],
        ["\x99\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x57"],

        ["\xD9\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE0"],
        ["\x99\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x59"],

        ["\xD9\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE1"],
        ["\x99\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x62"],

        ["\xD9\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE2"],
        ["\x99\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x63"],

        ["\xD9\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE3"],
        ["\x99\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x64"],

        ["\xD9\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE4"],
        ["\x99\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x65"],

        ["\xD9\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE5"],
        ["\x99\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x66"],

        ["\xD9\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE6"],
        ["\x99\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x67"],

        ["\xD9\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE7"],
        ["\x99\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x68"],

        ["\xD9\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE8"],
        ["\x99\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x69"],

        ["\xD9\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xE9"],
        ["\x99\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x70"],

        ["\xD9\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xEA"],
        ["\x99\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x71"],

        ["\xD9\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xEB"],
        ["\x99\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x72"],

        ["\xD9\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xEC"],
        ["\x99\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x73"],

        ["\xD9\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xED"],
        ["\x99\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x74"],

        ["\xD9\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xEE"],
        ["\x99\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x75"],

        ["\xD9\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xEF"],
        ["\x99\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x76"],

        ["\xD9\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF0"],
        ["\x99\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x77"],

        ["\xD9\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF1"],
        ["\x99\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x78"],

        ["\xD9\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF2"],
        ["\x99\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x80"],

        ["\xD9\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF3"],
        ["\x99\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x8B"],

        ["\xD9\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF4"],
        ["\x99\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x9B"],

        ["\xD9\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF5"],
        ["\x99\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x9C"],

        ["\xD9\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF6"],
        ["\x99\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xA0"],

        ["\xD9\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF7"],
        ["\x99\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xAB"],

        ["\xD9\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF8"],
        ["\x99\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xB0"],

        ["\xD9\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xF9"],
        ["\x99\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xC0"],

        ["\xD9\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xFA"],
        ["\x99\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\x6A"],

        ["\xD9\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xFB"],
        ["\x99\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xD0"],

        ["\xD9\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x99\xFC"],
        ["\x99\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD9\xA1"],

        ["\xE2\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x40"],
        ["\x9A\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x4F"],

        ["\xE2\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x41"],
        ["\x9A\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7F"],

        ["\xE2\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x42"],
        ["\x9A\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7B"],

        ["\xE2\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x43"],
        ["\x9A\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],

        ["\xE2\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x44"],
        ["\x9A\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x6C"],

        ["\xE2\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x45"],
        ["\x9A\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x50"],

        ["\xE2\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x46"],
        ["\x9A\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7D"],

        ["\xE2\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x47"],
        ["\x9A\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x4D"],

        ["\xE2\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x48"],
        ["\x9A\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x5D"],

        ["\xE2\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x49"],
        ["\x9A\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x5C"],

        ["\xE2\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x4A"],
        ["\x9A\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x4E"],

        ["\xE2\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x4B"],
        ["\x9A\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x6B"],

        ["\xE2\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x4C"],
        ["\x9A\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x60"],

        ["\xE2\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x4D"],
        ["\x9A\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x4B"],

        ["\xE2\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x4E"],
        ["\x9A\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x61"],

        ["\xE2\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x4F"],
        ["\x9A\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],

        ["\xE2\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x50"],
        ["\x9A\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],

        ["\xE2\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x51"],
        ["\x9A\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],

        ["\xE2\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x52"],
        ["\x9A\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],

        ["\xE2\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x53"],
        ["\x9A\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],

        ["\xE2\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x54"],
        ["\x9A\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],

        ["\xE2\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x55"],
        ["\x9A\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],

        ["\xE2\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x56"],
        ["\x9A\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],

        ["\xE2\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x57"],
        ["\x9A\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],

        ["\xE2\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x58"],
        ["\x9A\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],

        ["\xE2\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x59"],
        ["\x9A\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7A"],

        ["\xE2\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x5A"],
        ["\x9A\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x5E"],

        ["\xE2\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x5B"],
        ["\x9A\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x4C"],

        ["\xE2\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x5C"],
        ["\x9A\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7E"],

        ["\xE2\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x5D"],
        ["\x9A\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x6E"],

        ["\xE2\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x5E"],
        ["\x9A\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x6F"],

        ["\xE2\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x5F"],
        ["\x9A\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x7C"],

        ["\xE2\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x60"],
        ["\x9A\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],

        ["\xE2\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x61"],
        ["\x9A\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],

        ["\xE2\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x62"],
        ["\x9A\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],

        ["\xE2\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x63"],
        ["\x9A\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],

        ["\xE2\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x64"],
        ["\x9A\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],

        ["\xE2\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x65"],
        ["\x9A\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],

        ["\xE2\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x66"],
        ["\x9A\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],

        ["\xE2\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x67"],
        ["\x9A\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],

        ["\xE2\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x68"],
        ["\x9A\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],

        ["\xE2\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x69"],
        ["\x9A\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],

        ["\xE2\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x6A"],
        ["\x9A\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],

        ["\xE2\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x6B"],
        ["\x9A\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],

        ["\xE2\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x6C"],
        ["\x9A\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],

        ["\xE2\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x6D"],
        ["\x9A\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],

        ["\xE2\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x6E"],
        ["\x9A\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],

        ["\xE2\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x6F"],
        ["\x9A\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],

        ["\xE2\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x70"],
        ["\x9A\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],

        ["\xE2\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x71"],
        ["\x9A\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],

        ["\xE2\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x72"],
        ["\x9A\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],

        ["\xE2\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x73"],
        ["\x9A\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],

        ["\xE2\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x74"],
        ["\x9A\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],

        ["\xE2\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x75"],
        ["\x9A\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],

        ["\xE2\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x76"],
        ["\x9A\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],

        ["\xE2\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x77"],
        ["\x9A\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],

        ["\xE2\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x78"],
        ["\x9A\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],

        ["\xE2\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x79"],
        ["\x9A\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],

        ["\xE2\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x7A"],
        ["\x9A\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x4A"],

        ["\xE2\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x7B"],
        ["\x9A\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x5B"],

        ["\xE2\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x7C"],
        ["\x9A\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x5A"],

        ["\xE2\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x7D"],
        ["\x9A\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x5F"],

        ["\xE2\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x7E"],
        ["\x9A\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x6D"],

        ["\xE2\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x80"],
        ["\x9A\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x79"],

        ["\xE2\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x81"],
        ["\x9A\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x57"],

        ["\xE2\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x82"],
        ["\x9A\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x59"],

        ["\xE2\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x83"],
        ["\x9A\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x62"],

        ["\xE2\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x84"],
        ["\x9A\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x63"],

        ["\xE2\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x85"],
        ["\x9A\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x64"],

        ["\xE2\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x86"],
        ["\x9A\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x65"],

        ["\xE2\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x87"],
        ["\x9A\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x66"],

        ["\xE2\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x88"],
        ["\x9A\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x67"],

        ["\xE2\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x89"],
        ["\x9A\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x68"],

        ["\xE2\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x8A"],
        ["\x9A\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x69"],

        ["\xE2\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x8B"],
        ["\x9A\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x70"],

        ["\xE2\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x8C"],
        ["\x9A\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x71"],

        ["\xE2\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x8D"],
        ["\x9A\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x72"],

        ["\xE2\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x8E"],
        ["\x9A\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x73"],

        ["\xE2\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x8F"],
        ["\x9A\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x74"],

        ["\xE2\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x90"],
        ["\x9A\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x75"],

        ["\xE2\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x91"],
        ["\x9A\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x76"],

        ["\xE2\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x92"],
        ["\x9A\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x77"],

        ["\xE2\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x93"],
        ["\x9A\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x78"],

        ["\xE2\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x94"],
        ["\x9A\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x80"],

        ["\xE2\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x95"],
        ["\x9A\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x8B"],

        ["\xE2\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x96"],
        ["\x9A\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x9B"],

        ["\xE2\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x97"],
        ["\x9A\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x9C"],

        ["\xE2\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x98"],
        ["\x9A\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xA0"],

        ["\xE2\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x99"],
        ["\x9A\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],

        ["\xE2\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x9A"],
        ["\x9A\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],

        ["\xE2\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x9B"],
        ["\x9A\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],

        ["\xE2\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x9C"],
        ["\x9A\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\x6A"],

        ["\xE2\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x9D"],
        ["\x9A\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],

        ["\xE2\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x9E"],
        ["\x9A\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],

        ["\xE3\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\x9F"],
        ["\x9A\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4F"],

        ["\xE3\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA0"],
        ["\x9A\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x7F"],

        ["\xE3\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA1"],
        ["\x9A\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x7B"],

        ["\xE3\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA2"],
        ["\x9A\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],

        ["\xE3\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA3"],
        ["\x9A\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x6C"],

        ["\xE3\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA4"],
        ["\x9A\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x50"],

        ["\xE3\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA5"],
        ["\x9A\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x7D"],

        ["\xE3\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA6"],
        ["\x9A\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4D"],

        ["\xE3\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA7"],
        ["\x9A\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x5D"],

        ["\xE3\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA8"],
        ["\x9A\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x5C"],

        ["\xE3\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xA9"],
        ["\x9A\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4E"],

        ["\xE3\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xAA"],
        ["\x9A\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x6B"],

        ["\xE3\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xAB"],
        ["\x9A\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x60"],

        ["\xE3\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xAC"],
        ["\x9A\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4B"],

        ["\xE3\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xAD"],
        ["\x9A\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x61"],

        ["\xE3\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xAE"],
        ["\x9A\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],

        ["\xE3\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xAF"],
        ["\x9A\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],

        ["\xE3\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB0"],
        ["\x9A\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],

        ["\xE3\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB1"],
        ["\x9A\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],

        ["\xE3\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB2"],
        ["\x9A\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],

        ["\xE3\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB3"],
        ["\x9A\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],

        ["\xE3\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB4"],
        ["\x9A\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],

        ["\xE3\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB5"],
        ["\x9A\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],

        ["\xE3\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB6"],
        ["\x9A\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],

        ["\xE3\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB7"],
        ["\x9A\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],

        ["\xE3\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB8"],
        ["\x9A\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x7A"],

        ["\xE3\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xB9"],
        ["\x9A\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x5E"],

        ["\xE3\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xBA"],
        ["\x9A\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4C"],

        ["\xE3\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xBB"],
        ["\x9A\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x7E"],

        ["\xE3\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xBC"],
        ["\x9A\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x6E"],

        ["\xE3\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xBD"],
        ["\x9A\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x6F"],

        ["\xE3\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xBE"],
        ["\x9A\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x7C"],

        ["\xE3\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xBF"],
        ["\x9A\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],

        ["\xE3\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC0"],
        ["\x9A\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],

        ["\xE3\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC1"],
        ["\x9A\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],

        ["\xE3\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC2"],
        ["\x9A\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],

        ["\xE3\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC3"],
        ["\x9A\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],

        ["\xE3\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC4"],
        ["\x9A\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],

        ["\xE3\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC5"],
        ["\x9A\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],

        ["\xE3\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC6"],
        ["\x9A\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],

        ["\xE3\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC7"],
        ["\x9A\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],

        ["\xE3\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC8"],
        ["\x9A\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],

        ["\xE3\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xC9"],
        ["\x9A\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],

        ["\xE3\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xCA"],
        ["\x9A\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],

        ["\xE3\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xCB"],
        ["\x9A\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],

        ["\xE3\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xCC"],
        ["\x9A\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],

        ["\xE3\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xCD"],
        ["\x9A\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],

        ["\xE3\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xCE"],
        ["\x9A\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],

        ["\xE3\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xCF"],
        ["\x9A\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],

        ["\xE3\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD0"],
        ["\x9A\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],

        ["\xE3\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD1"],
        ["\x9A\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],

        ["\xE3\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD2"],
        ["\x9A\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],

        ["\xE3\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD3"],
        ["\x9A\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],

        ["\xE3\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD4"],
        ["\x9A\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],

        ["\xE3\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD5"],
        ["\x9A\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],

        ["\xE3\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD6"],
        ["\x9A\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],

        ["\xE3\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD7"],
        ["\x9A\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],

        ["\xE3\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD8"],
        ["\x9A\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],

        ["\xE3\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xD9"],
        ["\x9A\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x4A"],

        ["\xE3\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xDA"],
        ["\x9A\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x5B"],

        ["\xE3\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xDB"],
        ["\x9A\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x5A"],

        ["\xE3\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xDC"],
        ["\x9A\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x5F"],

        ["\xE3\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xDD"],
        ["\x9A\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x6D"],

        ["\xE3\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xDE"],
        ["\x9A\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x79"],

        ["\xE3\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xDF"],
        ["\x9A\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x57"],

        ["\xE3\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE0"],
        ["\x9A\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x59"],

        ["\xE3\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE1"],
        ["\x9A\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x62"],

        ["\xC4\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE2"],
        ["\x9A\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\x4A"],

        ["\xE3\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE3"],
        ["\x9A\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x64"],

        ["\xE3\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE4"],
        ["\x9A\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x65"],

        ["\xE3\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE5"],
        ["\x9A\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x66"],

        ["\xE3\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE6"],
        ["\x9A\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x67"],

        ["\xE3\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE7"],
        ["\x9A\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x68"],

        ["\xE3\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE8"],
        ["\x9A\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x69"],

        ["\xE3\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xE9"],
        ["\x9A\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x70"],

        ["\xE3\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xEA"],
        ["\x9A\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x71"],

        ["\xE3\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xEB"],
        ["\x9A\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x72"],

        ["\xE3\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xEC"],
        ["\x9A\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x73"],

        ["\xE3\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xED"],
        ["\x9A\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x74"],

        ["\xE3\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xEE"],
        ["\x9A\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x75"],

        ["\xE3\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xEF"],
        ["\x9A\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x76"],

        ["\xE3\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF0"],
        ["\x9A\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x77"],

        ["\xE3\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF1"],
        ["\x9A\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x78"],

        ["\xE3\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF2"],
        ["\x9A\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x80"],

        ["\xE3\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF3"],
        ["\x9A\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B"],

        ["\xE3\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF4"],
        ["\x9A\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x9B"],

        ["\xE3\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF5"],
        ["\x9A\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x9C"],

        ["\xE3\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF6"],
        ["\x9A\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0"],

        ["\xE3\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF7"],
        ["\x9A\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],

        ["\xE3\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF8"],
        ["\x9A\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],

        ["\xE3\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xF9"],
        ["\x9A\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],

        ["\xE3\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xFA"],
        ["\x9A\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\x6A"],

        ["\xE3\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xFB"],
        ["\x9A\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],

        ["\xE3\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9A\xFC"],
        ["\x9A\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],

        ["\xE4\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x40"],
        ["\x9B\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x4F"],

        ["\xE4\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x41"],
        ["\x9B\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x7F"],

        ["\xE4\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x42"],
        ["\x9B\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x7B"],

        ["\xE4\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x43"],
        ["\x9B\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],

        ["\xE4\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x44"],
        ["\x9B\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x6C"],

        ["\xE4\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x45"],
        ["\x9B\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x50"],

        ["\xE4\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x46"],
        ["\x9B\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x7D"],

        ["\xE4\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x47"],
        ["\x9B\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x4D"],

        ["\xE4\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x48"],
        ["\x9B\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x5D"],

        ["\xE4\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x49"],
        ["\x9B\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x5C"],

        ["\xE4\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x4A"],
        ["\x9B\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x4E"],

        ["\xE4\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x4B"],
        ["\x9B\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x6B"],

        ["\xE4\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x4C"],
        ["\x9B\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x60"],

        ["\xE4\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x4D"],
        ["\x9B\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x4B"],

        ["\xE4\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x4E"],
        ["\x9B\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x61"],

        ["\xE4\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x4F"],
        ["\x9B\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],

        ["\xE4\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x50"],
        ["\x9B\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],

        ["\xE4\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x51"],
        ["\x9B\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],

        ["\xE4\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x52"],
        ["\x9B\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],

        ["\xE4\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x53"],
        ["\x9B\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],

        ["\xE4\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x54"],
        ["\x9B\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],

        ["\xE4\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x55"],
        ["\x9B\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],

        ["\xE4\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x56"],
        ["\x9B\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],

        ["\xE4\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x57"],
        ["\x9B\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],

        ["\xE4\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x58"],
        ["\x9B\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],

        ["\xE4\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x59"],
        ["\x9B\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x7A"],

        ["\xE4\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x5A"],
        ["\x9B\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x5E"],

        ["\xE4\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x5B"],
        ["\x9B\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x4C"],

        ["\xE4\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x5C"],
        ["\x9B\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x7E"],

        ["\xE4\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x5D"],
        ["\x9B\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x6E"],

        ["\xE4\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x5E"],
        ["\x9B\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x6F"],

        ["\xE4\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x5F"],
        ["\x9B\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x7C"],

        ["\xE4\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x60"],
        ["\x9B\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],

        ["\xE4\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x61"],
        ["\x9B\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],

        ["\xE4\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x62"],
        ["\x9B\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],

        ["\xE4\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x63"],
        ["\x9B\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],

        ["\xE4\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x64"],
        ["\x9B\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],

        ["\xE4\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x65"],
        ["\x9B\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],

        ["\xE4\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x66"],
        ["\x9B\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],

        ["\xE4\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x67"],
        ["\x9B\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],

        ["\xE4\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x68"],
        ["\x9B\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],

        ["\xE4\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x69"],
        ["\x9B\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],

        ["\xE4\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x6A"],
        ["\x9B\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],

        ["\xE4\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x6B"],
        ["\x9B\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],

        ["\xE4\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x6C"],
        ["\x9B\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],

        ["\xE4\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x6D"],
        ["\x9B\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],

        ["\xE4\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x6E"],
        ["\x9B\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],

        ["\xE4\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x6F"],
        ["\x9B\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],

        ["\xE4\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x70"],
        ["\x9B\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],

        ["\xE4\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x71"],
        ["\x9B\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],

        ["\xE4\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x72"],
        ["\x9B\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],

        ["\xE4\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x73"],
        ["\x9B\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],

        ["\xE4\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x74"],
        ["\x9B\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],

        ["\xE4\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x75"],
        ["\x9B\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],

        ["\xE4\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x76"],
        ["\x9B\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],

        ["\xE4\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x77"],
        ["\x9B\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],

        ["\xE4\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x78"],
        ["\x9B\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],

        ["\xE4\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x79"],
        ["\x9B\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],

        ["\xE4\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x7A"],
        ["\x9B\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x4A"],

        ["\xE4\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x7B"],
        ["\x9B\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x5B"],

        ["\xE4\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x7C"],
        ["\x9B\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x5A"],

        ["\xE4\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x7D"],
        ["\x9B\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x5F"],

        ["\xE4\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x7E"],
        ["\x9B\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x6D"],

        ["\xE4\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x80"],
        ["\x9B\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x79"],

        ["\xE4\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x81"],
        ["\x9B\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x57"],

        ["\xE4\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x82"],
        ["\x9B\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x59"],

        ["\xE4\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x83"],
        ["\x9B\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x62"],

        ["\xE4\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x84"],
        ["\x9B\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x63"],

        ["\xE4\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x85"],
        ["\x9B\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x64"],

        ["\xE4\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x86"],
        ["\x9B\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x65"],

        ["\xE4\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x87"],
        ["\x9B\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x66"],

        ["\xE4\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x88"],
        ["\x9B\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x67"],

        ["\xE4\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x89"],
        ["\x9B\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x68"],

        ["\xE4\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x8A"],
        ["\x9B\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x69"],

        ["\xE4\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x8B"],
        ["\x9B\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x70"],

        ["\xE4\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x8C"],
        ["\x9B\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x71"],

        ["\xE4\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x8D"],
        ["\x9B\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x72"],

        ["\xE4\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x8E"],
        ["\x9B\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x73"],

        ["\xE4\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x8F"],
        ["\x9B\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x74"],

        ["\xE4\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x90"],
        ["\x9B\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x75"],

        ["\xE4\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x91"],
        ["\x9B\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x76"],

        ["\xE4\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x92"],
        ["\x9B\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x77"],

        ["\xE4\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x93"],
        ["\x9B\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x78"],

        ["\xE4\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x94"],
        ["\x9B\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x80"],

        ["\xE4\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x95"],
        ["\x9B\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B"],

        ["\xE4\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x96"],
        ["\x9B\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x9B"],

        ["\xE4\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x97"],
        ["\x9B\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x9C"],

        ["\xE4\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x98"],
        ["\x9B\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xA0"],

        ["\xE4\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x99"],
        ["\x9B\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],

        ["\xE4\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x9A"],
        ["\x9B\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],

        ["\xE4\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x9B"],
        ["\x9B\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],

        ["\xE4\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x9C"],
        ["\x9B\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\x6A"],

        ["\xE4\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x9D"],
        ["\x9B\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],

        ["\xE4\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x9E"],
        ["\x9B\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],

        ["\xE5\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\x9F"],
        ["\x9B\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x4F"],

        ["\xE5\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA0"],
        ["\x9B\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x7F"],

        ["\xE5\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA1"],
        ["\x9B\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x7B"],

        ["\xE5\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA2"],
        ["\x9B\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],

        ["\xE5\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA3"],
        ["\x9B\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x6C"],

        ["\xE5\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA4"],
        ["\x9B\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x50"],

        ["\xE5\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA5"],
        ["\x9B\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x7D"],

        ["\xE5\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA6"],
        ["\x9B\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x4D"],

        ["\xE5\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA7"],
        ["\x9B\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x5D"],

        ["\xE5\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA8"],
        ["\x9B\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x5C"],

        ["\xE5\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xA9"],
        ["\x9B\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x4E"],

        ["\xE5\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xAA"],
        ["\x9B\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x6B"],

        ["\xE5\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xAB"],
        ["\x9B\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x60"],

        ["\xE5\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xAC"],
        ["\x9B\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x4B"],

        ["\xE5\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xAD"],
        ["\x9B\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x61"],

        ["\xE5\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xAE"],
        ["\x9B\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],

        ["\xE5\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xAF"],
        ["\x9B\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],

        ["\xE5\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB0"],
        ["\x9B\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],

        ["\xE5\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB1"],
        ["\x9B\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],

        ["\xE5\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB2"],
        ["\x9B\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],

        ["\xE5\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB3"],
        ["\x9B\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],

        ["\xE5\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB4"],
        ["\x9B\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],

        ["\xE5\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB5"],
        ["\x9B\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],

        ["\xE5\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB6"],
        ["\x9B\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],

        ["\xE5\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB7"],
        ["\x9B\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],

        ["\xE5\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB8"],
        ["\x9B\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x7A"],

        ["\xE5\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xB9"],
        ["\x9B\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x5E"],

        ["\xE5\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xBA"],
        ["\x9B\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x4C"],

        ["\xE5\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xBB"],
        ["\x9B\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x7E"],

        ["\xE5\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xBC"],
        ["\x9B\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x6E"],

        ["\xE5\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xBD"],
        ["\x9B\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x6F"],

        ["\xE5\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xBE"],
        ["\x9B\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x7C"],

        ["\xE5\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xBF"],
        ["\x9B\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],

        ["\xE5\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC0"],
        ["\x9B\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],

        ["\xE5\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC1"],
        ["\x9B\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],

        ["\xE5\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC2"],
        ["\x9B\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],

        ["\xE5\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC3"],
        ["\x9B\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],

        ["\xE5\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC4"],
        ["\x9B\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],

        ["\xE5\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC5"],
        ["\x9B\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],

        ["\xE5\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC6"],
        ["\x9B\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],

        ["\xE5\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC7"],
        ["\x9B\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],

        ["\xE5\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC8"],
        ["\x9B\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],

        ["\xE5\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xC9"],
        ["\x9B\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],

        ["\xE5\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xCA"],
        ["\x9B\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],

        ["\xE5\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xCB"],
        ["\x9B\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],

        ["\xE5\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xCC"],
        ["\x9B\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],

        ["\xE5\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xCD"],
        ["\x9B\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],

        ["\xE5\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xCE"],
        ["\x9B\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],

        ["\xE5\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xCF"],
        ["\x9B\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],

        ["\xE5\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD0"],
        ["\x9B\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],

        ["\xE5\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD1"],
        ["\x9B\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],

        ["\xE5\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD2"],
        ["\x9B\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],

        ["\xE5\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD3"],
        ["\x9B\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],

        ["\xE5\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD4"],
        ["\x9B\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],

        ["\xE5\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD5"],
        ["\x9B\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],

        ["\xE5\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD6"],
        ["\x9B\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],

        ["\xE5\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD7"],
        ["\x9B\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],

        ["\xE5\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD8"],
        ["\x9B\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],

        ["\xE5\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xD9"],
        ["\x9B\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x4A"],

        ["\xE5\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xDA"],
        ["\x9B\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x5B"],

        ["\xE5\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xDB"],
        ["\x9B\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x5A"],

        ["\xE5\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xDC"],
        ["\x9B\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x5F"],

        ["\xE5\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xDD"],
        ["\x9B\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x6D"],

        ["\xE5\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xDE"],
        ["\x9B\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x79"],

        ["\xE5\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xDF"],
        ["\x9B\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x57"],

        ["\xE5\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE0"],
        ["\x9B\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x59"],

        ["\xE5\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE1"],
        ["\x9B\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x62"],

        ["\xE5\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE2"],
        ["\x9B\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x63"],

        ["\xE5\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE3"],
        ["\x9B\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x64"],

        ["\xE5\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE4"],
        ["\x9B\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x65"],

        ["\xE5\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE5"],
        ["\x9B\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x66"],

        ["\xE5\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE6"],
        ["\x9B\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x67"],

        ["\xE5\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE7"],
        ["\x9B\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x68"],

        ["\xE5\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE8"],
        ["\x9B\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x69"],

        ["\xE5\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xE9"],
        ["\x9B\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x70"],

        ["\xE5\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xEA"],
        ["\x9B\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x71"],

        ["\xE5\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xEB"],
        ["\x9B\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x72"],

        ["\xE5\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xEC"],
        ["\x9B\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x73"],

        ["\xE5\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xED"],
        ["\x9B\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x74"],

        ["\xE5\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xEE"],
        ["\x9B\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x75"],

        ["\xE5\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xEF"],
        ["\x9B\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x76"],

        ["\xE5\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF0"],
        ["\x9B\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x77"],

        ["\xE5\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF1"],
        ["\x9B\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x78"],

        ["\xE5\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF2"],
        ["\x9B\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x80"],

        ["\xE5\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF3"],
        ["\x9B\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B"],

        ["\xE5\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF4"],
        ["\x9B\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B"],

        ["\xE5\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF5"],
        ["\x9B\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C"],

        ["\xE5\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF6"],
        ["\x9B\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0"],

        ["\xE5\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF7"],
        ["\x9B\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],

        ["\xE5\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF8"],
        ["\x9B\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],

        ["\xE5\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xF9"],
        ["\x9B\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],

        ["\xE5\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xFA"],
        ["\x9B\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\x6A"],

        ["\xE5\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xFB"],
        ["\x9B\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],

        ["\xE5\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9B\xFC"],
        ["\x9B\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],

        ["\xE6\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x40"],
        ["\x9C\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x4F"],

        ["\xE6\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x41"],
        ["\x9C\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x7F"],

        ["\xE6\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x42"],
        ["\x9C\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x7B"],

        ["\xE6\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x43"],
        ["\x9C\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],

        ["\xE6\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x44"],
        ["\x9C\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x6C"],

        ["\xE6\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x45"],
        ["\x9C\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x50"],

        ["\xE6\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x46"],
        ["\x9C\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x7D"],

        ["\xE6\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x47"],
        ["\x9C\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x4D"],

        ["\xE6\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x48"],
        ["\x9C\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x5D"],

        ["\xE6\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x49"],
        ["\x9C\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x5C"],

        ["\xE6\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x4A"],
        ["\x9C\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x4E"],

        ["\xE6\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x4B"],
        ["\x9C\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x6B"],

        ["\xE6\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x4C"],
        ["\x9C\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x60"],

        ["\xE6\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x4D"],
        ["\x9C\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x4B"],

        ["\xE6\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x4E"],
        ["\x9C\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x61"],

        ["\xE6\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x4F"],
        ["\x9C\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],

        ["\xE6\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x50"],
        ["\x9C\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],

        ["\xE6\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x51"],
        ["\x9C\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],

        ["\xE6\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x52"],
        ["\x9C\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],

        ["\xE6\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x53"],
        ["\x9C\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],

        ["\xE6\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x54"],
        ["\x9C\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],

        ["\xE6\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x55"],
        ["\x9C\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],

        ["\xE6\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x56"],
        ["\x9C\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],

        ["\xE6\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x57"],
        ["\x9C\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],

        ["\xE6\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x58"],
        ["\x9C\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],

        ["\xE6\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x59"],
        ["\x9C\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x7A"],

        ["\xE6\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5B"],
        ["\x9C\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x4C"],

        ["\xE6\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5C"],
        ["\x9C\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x7E"],

        ["\xE6\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5D"],
        ["\x9C\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x6E"],

        ["\xE6\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5E"],
        ["\x9C\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x6F"],

        ["\xE6\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5F"],
        ["\x9C\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x7C"],

        ["\xE6\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x60"],
        ["\x9C\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],

        ["\xE6\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x61"],
        ["\x9C\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],

        ["\xE6\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x62"],
        ["\x9C\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],

        ["\xE6\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x63"],
        ["\x9C\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],

        ["\xE6\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x64"],
        ["\x9C\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],

        ["\xE6\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x65"],
        ["\x9C\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],

        ["\xE6\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x66"],
        ["\x9C\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],

        ["\xE6\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x67"],
        ["\x9C\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],

        ["\xE6\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x68"],
        ["\x9C\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],

        ["\xE6\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x69"],
        ["\x9C\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],

        ["\xE6\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x6A"],
        ["\x9C\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],

        ["\xE6\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x6B"],
        ["\x9C\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],

        ["\xE6\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x6C"],
        ["\x9C\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],

        ["\xE6\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x6D"],
        ["\x9C\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],

        ["\xE6\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x6E"],
        ["\x9C\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],

        ["\xE6\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x6F"],
        ["\x9C\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],

        ["\xE6\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x70"],
        ["\x9C\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],

        ["\xE6\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x71"],
        ["\x9C\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],

        ["\xE6\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x72"],
        ["\x9C\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],

        ["\xE6\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x73"],
        ["\x9C\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],

        ["\xE6\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x74"],
        ["\x9C\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],

        ["\xE6\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x75"],
        ["\x9C\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],

        ["\xE6\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x76"],
        ["\x9C\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],

        ["\xE6\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x77"],
        ["\x9C\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],

        ["\xE6\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x78"],
        ["\x9C\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],

        ["\xE6\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x79"],
        ["\x9C\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],

        ["\xE6\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x7A"],
        ["\x9C\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x4A"],

        ["\xE6\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x7B"],
        ["\x9C\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x5B"],

        ["\xE6\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x7C"],
        ["\x9C\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x5A"],

        ["\xE6\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x7D"],
        ["\x9C\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x5F"],

        ["\xE6\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x7E"],
        ["\x9C\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x6D"],

        ["\xE6\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x80"],
        ["\x9C\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x79"],

        ["\xE6\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x81"],
        ["\x9C\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x57"],

        ["\xE6\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x82"],
        ["\x9C\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x59"],

        ["\xE6\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x83"],
        ["\x9C\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x62"],

        ["\xE6\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x84"],
        ["\x9C\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x63"],

        ["\xE6\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x85"],
        ["\x9C\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x64"],

        ["\xE6\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x86"],
        ["\x9C\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x65"],

        ["\xE6\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x87"],
        ["\x9C\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x66"],

        ["\xE6\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x88"],
        ["\x9C\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x67"],

        ["\xE6\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x89"],
        ["\x9C\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x68"],

        ["\xE6\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x8A"],
        ["\x9C\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x69"],

        ["\xE6\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x8B"],
        ["\x9C\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x70"],

        ["\xE6\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x8C"],
        ["\x9C\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x71"],

        ["\xE6\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x8D"],
        ["\x9C\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x72"],

        ["\xE6\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x8E"],
        ["\x9C\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x73"],

        ["\xE6\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x8F"],
        ["\x9C\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x74"],

        ["\xE6\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x90"],
        ["\x9C\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x75"],

        ["\xE6\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x91"],
        ["\x9C\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x76"],

        ["\xE6\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x92"],
        ["\x9C\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x77"],

        ["\xE6\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x93"],
        ["\x9C\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x78"],

        ["\xE6\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x94"],
        ["\x9C\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x80"],

        ["\xE6\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x95"],
        ["\x9C\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B"],

        ["\xE6\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x96"],
        ["\x9C\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B"],

        ["\xE6\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x97"],
        ["\x9C\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C"],

        ["\xE6\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x98"],
        ["\x9C\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0"],

        ["\xE6\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x99"],
        ["\x9C\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],

        ["\xE6\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x9A"],
        ["\x9C\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],

        ["\xE6\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x9B"],
        ["\x9C\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],

        ["\xE6\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x9C"],
        ["\x9C\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x6A"],

        ["\xE6\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x9D"],
        ["\x9C\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],

        ["\xE6\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x9E"],
        ["\x9C\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],

        ["\xE7\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x9F"],
        ["\x9C\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x4F"],

        ["\xE7\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA0"],
        ["\x9C\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x7F"],

        ["\xE7\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA1"],
        ["\x9C\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x7B"],

        ["\xE7\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA2"],
        ["\x9C\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],

        ["\xE7\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA3"],
        ["\x9C\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x6C"],

        ["\xE7\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA4"],
        ["\x9C\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x50"],

        ["\xE7\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA5"],
        ["\x9C\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x7D"],

        ["\xE7\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA6"],
        ["\x9C\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x4D"],

        ["\xE7\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA7"],
        ["\x9C\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x5D"],

        ["\xE7\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA8"],
        ["\x9C\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x5C"],

        ["\xE7\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xA9"],
        ["\x9C\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x4E"],

        ["\xE7\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xAA"],
        ["\x9C\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x6B"],

        ["\xE7\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xAB"],
        ["\x9C\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x60"],

        ["\xE7\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xAC"],
        ["\x9C\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x4B"],

        ["\xE7\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xAD"],
        ["\x9C\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x61"],

        ["\xE7\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xAE"],
        ["\x9C\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],

        ["\xE7\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xAF"],
        ["\x9C\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],

        ["\xE7\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB0"],
        ["\x9C\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],

        ["\xE7\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB1"],
        ["\x9C\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],

        ["\xE7\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB2"],
        ["\x9C\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],

        ["\xE7\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB3"],
        ["\x9C\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],

        ["\xE7\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB4"],
        ["\x9C\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],

        ["\xE7\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB5"],
        ["\x9C\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],

        ["\xE7\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB6"],
        ["\x9C\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],

        ["\xE7\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB7"],
        ["\x9C\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],

        ["\xE7\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB8"],
        ["\x9C\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x7A"],

        ["\xE7\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xB9"],
        ["\x9C\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x5E"],

        ["\xE7\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xBA"],
        ["\x9C\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x4C"],

        ["\xE7\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xBB"],
        ["\x9C\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x7E"],

        ["\xE7\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xBC"],
        ["\x9C\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x6E"],

        ["\xE7\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xBD"],
        ["\x9C\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x6F"],

        ["\xE7\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xBE"],
        ["\x9C\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x7C"],

        ["\xE7\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xBF"],
        ["\x9C\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],

        ["\xE7\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC0"],
        ["\x9C\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],

        ["\xE7\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC1"],
        ["\x9C\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],

        ["\xE7\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC2"],
        ["\x9C\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],

        ["\xE7\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC3"],
        ["\x9C\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],

        ["\xE7\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC4"],
        ["\x9C\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],

        ["\xE7\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC5"],
        ["\x9C\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],

        ["\xE7\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC6"],
        ["\x9C\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],

        ["\xE7\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC7"],
        ["\x9C\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],

        ["\xE7\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC8"],
        ["\x9C\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],

        ["\xE7\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xC9"],
        ["\x9C\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],

        ["\xE7\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xCA"],
        ["\x9C\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],

        ["\xE7\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xCB"],
        ["\x9C\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],

        ["\xE7\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xCC"],
        ["\x9C\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],

        ["\xE7\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xCD"],
        ["\x9C\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],

        ["\xE7\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xCE"],
        ["\x9C\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],

        ["\xE7\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xCF"],
        ["\x9C\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],

        ["\xE7\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD0"],
        ["\x9C\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],

        ["\xE7\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD1"],
        ["\x9C\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],

        ["\xE7\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD2"],
        ["\x9C\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],

        ["\xE7\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD3"],
        ["\x9C\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],

        ["\xE7\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD4"],
        ["\x9C\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],

        ["\xE7\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD5"],
        ["\x9C\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],

        ["\xE7\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD6"],
        ["\x9C\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],

        ["\xE7\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD7"],
        ["\x9C\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],

        ["\xE7\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD8"],
        ["\x9C\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],

        ["\xE7\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xD9"],
        ["\x9C\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x4A"],

        ["\xE7\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xDA"],
        ["\x9C\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x5B"],

        ["\xE7\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xDB"],
        ["\x9C\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x5A"],

        ["\xE7\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xDC"],
        ["\x9C\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x5F"],

        ["\xE7\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xDD"],
        ["\x9C\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x6D"],

        ["\xE7\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xDE"],
        ["\x9C\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x79"],

        ["\xE7\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xDF"],
        ["\x9C\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x57"],

        ["\xE7\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE0"],
        ["\x9C\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x59"],

        ["\xE7\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE1"],
        ["\x9C\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x62"],

        ["\xE7\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE2"],
        ["\x9C\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x63"],

        ["\xE7\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE3"],
        ["\x9C\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x64"],

        ["\xE7\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE4"],
        ["\x9C\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x65"],

        ["\xE7\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE5"],
        ["\x9C\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x66"],

        ["\xE7\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE6"],
        ["\x9C\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x67"],

        ["\xE7\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE7"],
        ["\x9C\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x68"],

        ["\xE7\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE8"],
        ["\x9C\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x69"],

        ["\xE7\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xE9"],
        ["\x9C\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x70"],

        ["\xE7\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xEA"],
        ["\x9C\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x71"],

        ["\xE7\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xEB"],
        ["\x9C\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x72"],

        ["\xE7\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xEC"],
        ["\x9C\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x73"],

        ["\xE7\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xED"],
        ["\x9C\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x74"],

        ["\xE7\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xEE"],
        ["\x9C\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x75"],

        ["\xE7\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xEF"],
        ["\x9C\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x76"],

        ["\xE7\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF0"],
        ["\x9C\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x77"],

        ["\xE7\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF1"],
        ["\x9C\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x78"],

        ["\xE7\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF2"],
        ["\x9C\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x80"],

        ["\xE7\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF3"],
        ["\x9C\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B"],

        ["\xE7\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF4"],
        ["\x9C\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B"],

        ["\xE7\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF5"],
        ["\x9C\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C"],

        ["\xE7\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF6"],
        ["\x9C\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0"],

        ["\xE7\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF7"],
        ["\x9C\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],

        ["\xE7\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF8"],
        ["\x9C\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],

        ["\xE7\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xF9"],
        ["\x9C\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],

        ["\xE7\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xFA"],
        ["\x9C\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\x6A"],

        ["\xE7\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xFB"],
        ["\x9C\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],

        ["\xE7\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\xFC"],
        ["\x9C\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],

        ["\xE8\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x40"],
        ["\x9D\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x4F"],

        ["\xE8\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x41"],
        ["\x9D\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x7F"],

        ["\xE8\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x42"],
        ["\x9D\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x7B"],

        ["\xE8\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x43"],
        ["\x9D\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],

        ["\xE8\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x44"],
        ["\x9D\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x6C"],

        ["\xE8\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x45"],
        ["\x9D\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x50"],

        ["\xE8\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x46"],
        ["\x9D\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x7D"],

        ["\xE8\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x47"],
        ["\x9D\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x4D"],

        ["\xE8\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x48"],
        ["\x9D\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x5D"],

        ["\xE8\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x49"],
        ["\x9D\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x5C"],

        ["\xE8\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x4A"],
        ["\x9D\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x4E"],

        ["\xE8\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x4B"],
        ["\x9D\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x6B"],

        ["\xE8\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x4C"],
        ["\x9D\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x60"],

        ["\xE8\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x4D"],
        ["\x9D\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x4B"],

        ["\xE8\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x4E"],
        ["\x9D\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x61"],

        ["\xE8\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x4F"],
        ["\x9D\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],

        ["\xE8\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x50"],
        ["\x9D\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],

        ["\xE8\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x51"],
        ["\x9D\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],

        ["\xE8\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x52"],
        ["\x9D\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],

        ["\xE8\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x53"],
        ["\x9D\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],

        ["\xE8\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x54"],
        ["\x9D\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],

        ["\xE8\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x55"],
        ["\x9D\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],

        ["\xE8\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x56"],
        ["\x9D\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],

        ["\xE8\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x57"],
        ["\x9D\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],

        ["\xE8\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x58"],
        ["\x9D\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],

        ["\xE8\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x59"],
        ["\x9D\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x7A"],

        ["\xE8\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x5A"],
        ["\x9D\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x5E"],

        ["\xE8\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x5B"],
        ["\x9D\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x4C"],

        ["\xE8\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x5C"],
        ["\x9D\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x7E"],

        ["\xE8\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x5D"],
        ["\x9D\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x6E"],

        ["\xE8\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x5E"],
        ["\x9D\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x6F"],

        ["\xE8\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x5F"],
        ["\x9D\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x7C"],

        ["\xE8\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x60"],
        ["\x9D\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],

        ["\xE8\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x61"],
        ["\x9D\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],

        ["\xE8\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x62"],
        ["\x9D\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],

        ["\xE8\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x63"],
        ["\x9D\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],

        ["\xE8\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x64"],
        ["\x9D\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],

        ["\xE8\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x65"],
        ["\x9D\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],

        ["\xE8\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x66"],
        ["\x9D\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],

        ["\xE8\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x67"],
        ["\x9D\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],

        ["\xE8\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x68"],
        ["\x9D\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],

        ["\xE8\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x69"],
        ["\x9D\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],

        ["\xE8\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x6A"],
        ["\x9D\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],

        ["\xE8\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x6B"],
        ["\x9D\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],

        ["\xE8\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x6C"],
        ["\x9D\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],

        ["\xE8\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x6D"],
        ["\x9D\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],

        ["\xE8\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x6E"],
        ["\x9D\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],

        ["\xE8\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x6F"],
        ["\x9D\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],

        ["\xE8\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x70"],
        ["\x9D\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],

        ["\xE8\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x71"],
        ["\x9D\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],

        ["\xE8\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x72"],
        ["\x9D\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],

        ["\xE8\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x73"],
        ["\x9D\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],

        ["\xE8\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x74"],
        ["\x9D\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],

        ["\xE8\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x75"],
        ["\x9D\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],

        ["\xE8\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x76"],
        ["\x9D\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],

        ["\xE8\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x77"],
        ["\x9D\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],

        ["\xE8\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x78"],
        ["\x9D\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],

        ["\xE8\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x79"],
        ["\x9D\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],

        ["\xE8\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x7A"],
        ["\x9D\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x4A"],

        ["\xE8\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x7B"],
        ["\x9D\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x5B"],

        ["\xE8\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x7C"],
        ["\x9D\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x5A"],

        ["\xE8\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x7D"],
        ["\x9D\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x5F"],

        ["\xE8\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x7E"],
        ["\x9D\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x6D"],

        ["\xE8\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x80"],
        ["\x9D\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x79"],

        ["\xE8\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x81"],
        ["\x9D\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x57"],

        ["\xE8\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x82"],
        ["\x9D\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x59"],

        ["\xE8\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x83"],
        ["\x9D\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x62"],

        ["\xE8\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x84"],
        ["\x9D\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x63"],

        ["\xE8\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x85"],
        ["\x9D\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x64"],

        ["\xE8\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x86"],
        ["\x9D\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x65"],

        ["\xE8\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x87"],
        ["\x9D\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x66"],

        ["\xE8\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x88"],
        ["\x9D\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x67"],

        ["\xE8\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x89"],
        ["\x9D\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x68"],

        ["\xE8\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x8A"],
        ["\x9D\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x69"],

        ["\xE8\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x8B"],
        ["\x9D\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x70"],

        ["\xE8\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x8C"],
        ["\x9D\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x71"],

        ["\xE8\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x8D"],
        ["\x9D\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x72"],

        ["\xE8\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x8E"],
        ["\x9D\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x73"],

        ["\xE8\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x8F"],
        ["\x9D\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x74"],

        ["\xE8\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x90"],
        ["\x9D\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x75"],

        ["\xE8\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x91"],
        ["\x9D\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x76"],

        ["\xE8\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x92"],
        ["\x9D\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x77"],

        ["\xE8\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x93"],
        ["\x9D\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x78"],

        ["\xE8\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x94"],
        ["\x9D\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x80"],

        ["\xE8\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x95"],
        ["\x9D\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B"],

        ["\xE8\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x96"],
        ["\x9D\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B"],

        ["\xE8\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x97"],
        ["\x9D\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C"],

        ["\xF3\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x98"],
        ["\x9D\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC9"],

        ["\xE8\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x99"],
        ["\x9D\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],

        ["\xE8\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x9A"],
        ["\x9D\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],

        ["\xE8\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x9B"],
        ["\x9D\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],

        ["\xE8\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x9C"],
        ["\x9D\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\x6A"],

        ["\xE8\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x9D"],
        ["\x9D\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],

        ["\xE8\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x9E"],
        ["\x9D\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],

        ["\xE9\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\x9F"],
        ["\x9D\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x4F"],

        ["\xE9\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA0"],
        ["\x9D\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x7F"],

        ["\xE9\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA1"],
        ["\x9D\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x7B"],

        ["\xE9\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA2"],
        ["\x9D\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],

        ["\xE9\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA3"],
        ["\x9D\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x6C"],

        ["\xE9\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA4"],
        ["\x9D\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x50"],

        ["\xE9\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA5"],
        ["\x9D\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x7D"],

        ["\xE9\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA6"],
        ["\x9D\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x4D"],

        ["\xE9\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA7"],
        ["\x9D\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x5D"],

        ["\xE9\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA8"],
        ["\x9D\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x5C"],

        ["\xE9\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xA9"],
        ["\x9D\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x4E"],

        ["\xE9\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xAA"],
        ["\x9D\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x6B"],

        ["\xE9\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xAB"],
        ["\x9D\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x60"],

        ["\xE9\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xAC"],
        ["\x9D\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x4B"],

        ["\xE9\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xAD"],
        ["\x9D\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x61"],

        ["\xE9\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xAE"],
        ["\x9D\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],

        ["\xE9\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xAF"],
        ["\x9D\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],

        ["\xE9\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB0"],
        ["\x9D\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],

        ["\xE9\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB1"],
        ["\x9D\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],

        ["\xE9\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB2"],
        ["\x9D\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],

        ["\xE9\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB3"],
        ["\x9D\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],

        ["\xE9\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB4"],
        ["\x9D\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],

        ["\xE9\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB5"],
        ["\x9D\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],

        ["\xE9\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB6"],
        ["\x9D\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],

        ["\xE9\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB7"],
        ["\x9D\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],

        ["\xE9\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB8"],
        ["\x9D\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x7A"],

        ["\xE9\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xB9"],
        ["\x9D\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x5E"],

        ["\xE9\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xBA"],
        ["\x9D\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x4C"],

        ["\xE9\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xBB"],
        ["\x9D\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x7E"],

        ["\xE9\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xBC"],
        ["\x9D\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x6E"],

        ["\xE9\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xBD"],
        ["\x9D\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x6F"],

        ["\xE9\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xBE"],
        ["\x9D\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x7C"],

        ["\xE9\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xBF"],
        ["\x9D\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],

        ["\xE9\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC0"],
        ["\x9D\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],

        ["\xE9\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC1"],
        ["\x9D\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],

        ["\xE9\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC2"],
        ["\x9D\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],

        ["\xE9\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC3"],
        ["\x9D\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],

        ["\xE9\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC4"],
        ["\x9D\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],

        ["\xE9\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC5"],
        ["\x9D\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],

        ["\xE9\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC6"],
        ["\x9D\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],

        ["\xE9\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC7"],
        ["\x9D\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],

        ["\xE9\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC8"],
        ["\x9D\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],

        ["\xE9\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xC9"],
        ["\x9D\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],

        ["\xE9\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xCA"],
        ["\x9D\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],

        ["\xE9\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xCB"],
        ["\x9D\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],

        ["\xE9\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xCC"],
        ["\x9D\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],

        ["\xE9\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xCD"],
        ["\x9D\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],

        ["\xE9\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xCE"],
        ["\x9D\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],

        ["\xE9\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xCF"],
        ["\x9D\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],

        ["\xE9\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD0"],
        ["\x9D\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],

        ["\xE9\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD1"],
        ["\x9D\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],

        ["\xE9\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD2"],
        ["\x9D\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],

        ["\xE9\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD3"],
        ["\x9D\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],

        ["\xE9\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD4"],
        ["\x9D\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],

        ["\xE9\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD5"],
        ["\x9D\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],

        ["\xE9\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD6"],
        ["\x9D\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],

        ["\xE9\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD7"],
        ["\x9D\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],

        ["\xE9\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD8"],
        ["\x9D\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],

        ["\xE9\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xD9"],
        ["\x9D\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x4A"],

        ["\xE9\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xDA"],
        ["\x9D\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x5B"],

        ["\xE9\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xDB"],
        ["\x9D\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x5A"],

        ["\xE9\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xDC"],
        ["\x9D\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x5F"],

        ["\xE9\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xDD"],
        ["\x9D\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x6D"],

        ["\xE9\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xDE"],
        ["\x9D\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x79"],

        ["\xE9\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xDF"],
        ["\x9D\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x57"],

        ["\xE9\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE0"],
        ["\x9D\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x59"],

        ["\xE9\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE1"],
        ["\x9D\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x62"],

        ["\xE9\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE2"],
        ["\x9D\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x63"],

        ["\xE9\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE3"],
        ["\x9D\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x64"],

        ["\xE9\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE4"],
        ["\x9D\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x65"],

        ["\xE9\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE5"],
        ["\x9D\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x66"],

        ["\xE9\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE6"],
        ["\x9D\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x67"],

        ["\xE9\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE7"],
        ["\x9D\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x68"],

        ["\xE9\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE8"],
        ["\x9D\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x69"],

        ["\xE9\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xE9"],
        ["\x9D\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x70"],

        ["\xE9\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xEA"],
        ["\x9D\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x71"],

        ["\xE9\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xEB"],
        ["\x9D\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x72"],

        ["\xE9\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xEC"],
        ["\x9D\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x73"],

        ["\xE9\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xED"],
        ["\x9D\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x74"],

        ["\xE9\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xEE"],
        ["\x9D\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x75"],

        ["\xE9\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xEF"],
        ["\x9D\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x76"],

        ["\xE9\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF0"],
        ["\x9D\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x77"],

        ["\xE9\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF1"],
        ["\x9D\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x78"],

        ["\xE9\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF2"],
        ["\x9D\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x80"],

        ["\xE9\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF3"],
        ["\x9D\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B"],

        ["\xE9\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF4"],
        ["\x9D\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B"],

        ["\xE9\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF5"],
        ["\x9D\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C"],

        ["\xE9\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF6"],
        ["\x9D\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0"],

        ["\xE9\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF7"],
        ["\x9D\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],

        ["\xE9\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF8"],
        ["\x9D\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],

        ["\xE9\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xF9"],
        ["\x9D\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],

        ["\xE9\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xFA"],
        ["\x9D\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\x6A"],

        ["\xE9\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xFB"],
        ["\x9D\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],

        ["\xE9\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9D\xFC"],
        ["\x9D\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],

        ["\x4A\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x40"],
        ["\x9E\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4F"],

        ["\x4A\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x41"],
        ["\x9E\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7F"],

        ["\x4A\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x42"],
        ["\x9E\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7B"],

        ["\x4A\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x43"],
        ["\x9E\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE0"],

        ["\x4A\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x44"],
        ["\x9E\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6C"],

        ["\x4A\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x45"],
        ["\x9E\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x50"],

        ["\x4A\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x46"],
        ["\x9E\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7D"],

        ["\x4A\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x47"],
        ["\x9E\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4D"],

        ["\x4A\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x48"],
        ["\x9E\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5D"],

        ["\x4A\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x49"],
        ["\x9E\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5C"],

        ["\x4A\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x4A"],
        ["\x9E\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4E"],

        ["\x4A\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x4B"],
        ["\x9E\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6B"],

        ["\x4A\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x4C"],
        ["\x9E\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x60"],

        ["\x4A\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x4D"],
        ["\x9E\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4B"],

        ["\x4A\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x4E"],
        ["\x9E\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x61"],

        ["\x4A\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x4F"],
        ["\x9E\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF0"],

        ["\x4A\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x50"],
        ["\x9E\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF1"],

        ["\x4A\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x51"],
        ["\x9E\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF2"],

        ["\x4A\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x52"],
        ["\x9E\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF3"],

        ["\x4A\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x53"],
        ["\x9E\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF4"],

        ["\x4A\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x54"],
        ["\x9E\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF5"],

        ["\x4A\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x55"],
        ["\x9E\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF6"],

        ["\x4A\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x56"],
        ["\x9E\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF7"],

        ["\x4A\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x57"],
        ["\x9E\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF8"],

        ["\x4A\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x58"],
        ["\x9E\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xF9"],

        ["\x4A\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x59"],
        ["\x9E\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7A"],

        ["\x4A\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x5A"],
        ["\x9E\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5E"],

        ["\x4A\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x5B"],
        ["\x9E\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4C"],

        ["\x4A\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x5C"],
        ["\x9E\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7E"],

        ["\x4A\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x5D"],
        ["\x9E\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6E"],

        ["\x4A\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x5E"],
        ["\x9E\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6F"],

        ["\x4A\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x5F"],
        ["\x9E\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x7C"],

        ["\x4A\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x60"],
        ["\x9E\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC1"],

        ["\x4A\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x61"],
        ["\x9E\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC2"],

        ["\x4A\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x62"],
        ["\x9E\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC3"],

        ["\x4A\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x63"],
        ["\x9E\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC4"],

        ["\x4A\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x64"],
        ["\x9E\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC5"],

        ["\x4A\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x65"],
        ["\x9E\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC6"],

        ["\x4A\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x66"],
        ["\x9E\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC7"],

        ["\x4A\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x67"],
        ["\x9E\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC8"],

        ["\x4A\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x68"],
        ["\x9E\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC9"],

        ["\x4A\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x69"],
        ["\x9E\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD1"],

        ["\x4A\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x6A"],
        ["\x9E\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD2"],

        ["\x4A\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x6B"],
        ["\x9E\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD3"],

        ["\x4A\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x6C"],
        ["\x9E\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD4"],

        ["\x4A\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x6D"],
        ["\x9E\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD5"],

        ["\x4A\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x6E"],
        ["\x9E\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD6"],

        ["\x4A\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x6F"],
        ["\x9E\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD7"],

        ["\x4A\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x70"],
        ["\x9E\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD8"],

        ["\x4A\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x71"],
        ["\x9E\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD9"],

        ["\x4A\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x72"],
        ["\x9E\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE2"],

        ["\x4A\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x73"],
        ["\x9E\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE3"],

        ["\x4A\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x74"],
        ["\x9E\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE4"],

        ["\x4A\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x75"],
        ["\x9E\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE5"],

        ["\x4A\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x76"],
        ["\x9E\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE6"],

        ["\xC9\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x77"],
        ["\x9E\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],

        ["\x4A\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x78"],
        ["\x9E\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE8"],

        ["\x4A\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x79"],
        ["\x9E\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xE9"],

        ["\x4A\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x7A"],
        ["\x9E\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x4A"],

        ["\x4A\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x7B"],
        ["\x9E\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5B"],

        ["\x4A\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x7C"],
        ["\x9E\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5A"],

        ["\x4A\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x7D"],
        ["\x9E\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x5F"],

        ["\x4A\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x7E"],
        ["\x9E\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6D"],

        ["\x4A\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x80"],
        ["\x9E\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x79"],

        ["\x4A\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x81"],
        ["\x9E\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x57"],

        ["\x4A\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x82"],
        ["\x9E\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x59"],

        ["\x4A\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x83"],
        ["\x9E\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x62"],

        ["\x4A\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x84"],
        ["\x9E\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x63"],

        ["\x4A\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x85"],
        ["\x9E\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x64"],

        ["\x4A\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x86"],
        ["\x9E\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x65"],

        ["\x4A\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x87"],
        ["\x9E\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x66"],

        ["\x4A\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x88"],
        ["\x9E\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x67"],

        ["\x4A\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x89"],
        ["\x9E\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x68"],

        ["\x4A\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x8A"],
        ["\x9E\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x69"],

        ["\x4A\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x8B"],
        ["\x9E\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x70"],

        ["\x4A\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x8C"],
        ["\x9E\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x71"],

        ["\xC5\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x8D"],
        ["\x9E\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x73"],

        ["\x4A\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x8E"],
        ["\x9E\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x73"],

        ["\x4A\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x8F"],
        ["\x9E\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x74"],

        ["\x4A\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x90"],
        ["\x9E\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x75"],

        ["\x4A\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x91"],
        ["\x9E\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x76"],

        ["\x4A\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x92"],
        ["\x9E\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x77"],

        ["\x4A\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x93"],
        ["\x9E\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x78"],

        ["\x4A\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x94"],
        ["\x9E\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x80"],

        ["\x4A\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x95"],
        ["\x9E\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x8B"],

        ["\x4A\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x96"],
        ["\x9E\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x9B"],

        ["\x4A\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x97"],
        ["\x9E\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x9C"],

        ["\x4A\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x98"],
        ["\x9E\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA0"],

        ["\x4A\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x99"],
        ["\x9E\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xAB"],

        ["\x4A\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x9A"],
        ["\x9E\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xB0"],

        ["\x4A\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x9B"],
        ["\x9E\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xC0"],

        ["\x4A\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x9C"],
        ["\x9E\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\x6A"],

        ["\x4A\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x9D"],
        ["\x9E\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xD0"],

        ["\x4A\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x9E"],
        ["\x9E\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4A\xA1"],

        ["\x5B\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\x9F"],
        ["\x9E\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4F"],

        ["\x5B\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA0"],
        ["\x9E\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7F"],

        ["\x5B\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA1"],
        ["\x9E\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7B"],

        ["\x5B\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA2"],
        ["\x9E\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE0"],

        ["\x5B\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA3"],
        ["\x9E\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6C"],

        ["\x5B\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA4"],
        ["\x9E\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x50"],

        ["\x5B\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA5"],
        ["\x9E\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7D"],

        ["\x5B\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA6"],
        ["\x9E\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4D"],

        ["\x5B\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA7"],
        ["\x9E\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5D"],

        ["\x5B\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA8"],
        ["\x9E\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5C"],

        ["\x5B\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xA9"],
        ["\x9E\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4E"],

        ["\x5B\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xAA"],
        ["\x9E\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6B"],

        ["\x5B\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xAB"],
        ["\x9E\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x60"],

        ["\x5B\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xAC"],
        ["\x9E\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4B"],

        ["\x5B\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xAD"],
        ["\x9E\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x61"],

        ["\x5B\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xAE"],
        ["\x9E\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF0"],

        ["\x5B\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xAF"],
        ["\x9E\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF1"],

        ["\x5B\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB0"],
        ["\x9E\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF2"],

        ["\x5B\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB1"],
        ["\x9E\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF3"],

        ["\x5B\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB2"],
        ["\x9E\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF4"],

        ["\x5B\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB3"],
        ["\x9E\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF5"],

        ["\x5B\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB4"],
        ["\x9E\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF6"],

        ["\x5B\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB5"],
        ["\x9E\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF7"],

        ["\x5B\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB6"],
        ["\x9E\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF8"],

        ["\x5B\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB7"],
        ["\x9E\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xF9"],

        ["\x5B\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB8"],
        ["\x9E\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7A"],

        ["\x5B\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xB9"],
        ["\x9E\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5E"],

        ["\x5B\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xBA"],
        ["\x9E\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4C"],

        ["\x5B\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xBB"],
        ["\x9E\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7E"],

        ["\x5B\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xBC"],
        ["\x9E\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6E"],

        ["\x5B\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xBD"],
        ["\x9E\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6F"],

        ["\x5B\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xBE"],
        ["\x9E\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x7C"],

        ["\x5B\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xBF"],
        ["\x9E\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC1"],

        ["\x5B\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC0"],
        ["\x9E\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC2"],

        ["\x5B\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC1"],
        ["\x9E\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC3"],

        ["\x5B\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC2"],
        ["\x9E\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC4"],

        ["\x5B\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC3"],
        ["\x9E\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC5"],

        ["\x5B\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC4"],
        ["\x9E\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC6"],

        ["\x5B\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC5"],
        ["\x9E\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC7"],

        ["\x5B\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC6"],
        ["\x9E\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC8"],

        ["\x5B\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC7"],
        ["\x9E\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC9"],

        ["\x5B\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC8"],
        ["\x9E\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD1"],

        ["\x5B\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xC9"],
        ["\x9E\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD2"],

        ["\x5B\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xCA"],
        ["\x9E\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD3"],

        ["\x5B\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xCB"],
        ["\x9E\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD4"],

        ["\x5B\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xCC"],
        ["\x9E\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD5"],

        ["\x5B\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xCD"],
        ["\x9E\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD6"],

        ["\x5B\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xCE"],
        ["\x9E\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD7"],

        ["\x5B\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xCF"],
        ["\x9E\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD8"],

        ["\x5B\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD0"],
        ["\x9E\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD9"],

        ["\x5B\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD1"],
        ["\x9E\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE2"],

        ["\x5B\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD2"],
        ["\x9E\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE3"],

        ["\x5B\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD3"],
        ["\x9E\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE4"],

        ["\x5B\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD4"],
        ["\x9E\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE5"],

        ["\x5B\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD5"],
        ["\x9E\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE6"],

        ["\x5B\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD6"],
        ["\x9E\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE7"],

        ["\x5B\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD7"],
        ["\x9E\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE8"],

        ["\x5B\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD8"],
        ["\x9E\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xE9"],

        ["\x5B\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xD9"],
        ["\x9E\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x4A"],

        ["\x5B\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xDA"],
        ["\x9E\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5B"],

        ["\x5B\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xDB"],
        ["\x9E\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5A"],

        ["\x5B\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xDC"],
        ["\x9E\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x5F"],

        ["\x5B\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xDD"],
        ["\x9E\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6D"],

        ["\x5B\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xDE"],
        ["\x9E\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x79"],

        ["\x5B\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xDF"],
        ["\x9E\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x57"],

        ["\x5B\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE0"],
        ["\x9E\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x59"],

        ["\x5B\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE1"],
        ["\x9E\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x62"],

        ["\x5B\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE2"],
        ["\x9E\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x63"],

        ["\x5B\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE3"],
        ["\x9E\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x64"],

        ["\x5B\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE4"],
        ["\x9E\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x65"],

        ["\x5B\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE5"],
        ["\x9E\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x66"],

        ["\x5B\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE6"],
        ["\x9E\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x67"],

        ["\x5B\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE7"],
        ["\x9E\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x68"],

        ["\x5B\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE8"],
        ["\x9E\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x69"],

        ["\x5B\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xE9"],
        ["\x9E\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x70"],

        ["\x5B\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xEA"],
        ["\x9E\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x71"],

        ["\x5B\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xEB"],
        ["\x9E\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x72"],

        ["\x5B\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xEC"],
        ["\x9E\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x73"],

        ["\x5B\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xED"],
        ["\x9E\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x74"],

        ["\x5B\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xEE"],
        ["\x9E\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x75"],

        ["\x5B\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xEF"],
        ["\x9E\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x76"],

        ["\x5B\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF0"],
        ["\x9E\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x77"],

        ["\x5B\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF1"],
        ["\x9E\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x78"],

        ["\x5B\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF2"],
        ["\x9E\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x80"],

        ["\x5B\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF3"],
        ["\x9E\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x8B"],

        ["\x5B\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF4"],
        ["\x9E\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x9B"],

        ["\x5B\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF5"],
        ["\x9E\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x9C"],

        ["\x5B\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF6"],
        ["\x9E\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA0"],

        ["\x5B\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF7"],
        ["\x9E\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xAB"],

        ["\x5B\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF8"],
        ["\x9E\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xB0"],

        ["\x5B\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xF9"],
        ["\x9E\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xC0"],

        ["\x5B\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xFA"],
        ["\x9E\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\x6A"],

        ["\x5B\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xFB"],
        ["\x9E\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xD0"],

        ["\x5B\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9E\xFC"],
        ["\x9E\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5B\xA1"],

        ["\x5A\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x40"],
        ["\x9F\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4F"],

        ["\x5A\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x41"],
        ["\x9F\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7F"],

        ["\x5A\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x42"],
        ["\x9F\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7B"],

        ["\x5A\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x43"],
        ["\x9F\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE0"],

        ["\x5A\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x44"],
        ["\x9F\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6C"],

        ["\x5A\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x45"],
        ["\x9F\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x50"],

        ["\x5A\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x46"],
        ["\x9F\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7D"],

        ["\x5A\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x47"],
        ["\x9F\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4D"],

        ["\x5A\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x48"],
        ["\x9F\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5D"],

        ["\x5A\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x49"],
        ["\x9F\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5C"],

        ["\x5A\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x4A"],
        ["\x9F\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4E"],

        ["\x5A\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x4B"],
        ["\x9F\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6B"],

        ["\x5A\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x4C"],
        ["\x9F\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x60"],

        ["\x5A\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x4D"],
        ["\x9F\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4B"],

        ["\x5A\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x4E"],
        ["\x9F\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x61"],

        ["\x5A\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x4F"],
        ["\x9F\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF0"],

        ["\x5A\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x50"],
        ["\x9F\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF1"],

        ["\x5A\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x51"],
        ["\x9F\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF2"],

        ["\x5A\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x52"],
        ["\x9F\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF3"],

        ["\x5A\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x53"],
        ["\x9F\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF4"],

        ["\x5A\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x54"],
        ["\x9F\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF5"],

        ["\x5A\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x55"],
        ["\x9F\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF6"],

        ["\x5A\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x56"],
        ["\x9F\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF7"],

        ["\x5A\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x57"],
        ["\x9F\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF8"],

        ["\x5A\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x58"],
        ["\x9F\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xF9"],

        ["\x5A\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x59"],
        ["\x9F\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7A"],

        ["\x5A\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x5A"],
        ["\x9F\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5E"],

        ["\x5A\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x5B"],
        ["\x9F\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4C"],

        ["\x5A\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x5C"],
        ["\x9F\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7E"],

        ["\x5A\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x5D"],
        ["\x9F\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6E"],

        ["\x5A\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x5E"],
        ["\x9F\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6F"],

        ["\x5A\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x5F"],
        ["\x9F\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x7C"],

        ["\x5A\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x60"],
        ["\x9F\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC1"],

        ["\x5A\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x61"],
        ["\x9F\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC2"],

        ["\x5A\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x62"],
        ["\x9F\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC3"],

        ["\x5A\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x63"],
        ["\x9F\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC4"],

        ["\x5A\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x64"],
        ["\x9F\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC5"],

        ["\x5A\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x65"],
        ["\x9F\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC6"],

        ["\x5A\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x66"],
        ["\x9F\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC7"],

        ["\x5A\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x67"],
        ["\x9F\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC8"],

        ["\x5A\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x68"],
        ["\x9F\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC9"],

        ["\x5A\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x69"],
        ["\x9F\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD1"],

        ["\x5A\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x6A"],
        ["\x9F\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD2"],

        ["\x5A\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x6B"],
        ["\x9F\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD3"],

        ["\x5A\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x6C"],
        ["\x9F\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD4"],

        ["\x5A\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x6D"],
        ["\x9F\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD5"],

        ["\x5A\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x6E"],
        ["\x9F\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD6"],

        ["\x5A\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x6F"],
        ["\x9F\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD7"],

        ["\x5A\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x70"],
        ["\x9F\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD8"],

        ["\x5A\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x71"],
        ["\x9F\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD9"],

        ["\x5A\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x72"],
        ["\x9F\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE2"],

        ["\x5A\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x73"],
        ["\x9F\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE3"],

        ["\x5A\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x74"],
        ["\x9F\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE4"],

        ["\x5A\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x75"],
        ["\x9F\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE5"],

        ["\x5A\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x76"],
        ["\x9F\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE6"],

        ["\x5A\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x77"],
        ["\x9F\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE7"],

        ["\x5A\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x78"],
        ["\x9F\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE8"],

        ["\x5A\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x79"],
        ["\x9F\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xE9"],

        ["\x5A\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x7A"],
        ["\x9F\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x4A"],

        ["\x5A\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x7B"],
        ["\x9F\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5B"],

        ["\x5A\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x7C"],
        ["\x9F\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5A"],

        ["\x5A\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x7D"],
        ["\x9F\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x5F"],

        ["\x5A\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x7E"],
        ["\x9F\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6D"],

        ["\x5A\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x80"],
        ["\x9F\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x79"],

        ["\x5A\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x81"],
        ["\x9F\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x57"],

        ["\x5A\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x82"],
        ["\x9F\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x59"],

        ["\x5A\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x83"],
        ["\x9F\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x62"],

        ["\x5A\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x84"],
        ["\x9F\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x63"],

        ["\x5A\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x85"],
        ["\x9F\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x64"],

        ["\x5A\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x86"],
        ["\x9F\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x65"],

        ["\x5A\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x87"],
        ["\x9F\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x66"],

        ["\x5A\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x88"],
        ["\x9F\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x67"],

        ["\x5A\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x89"],
        ["\x9F\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x68"],

        ["\x5A\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x8A"],
        ["\x9F\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x69"],

        ["\x5A\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x8B"],
        ["\x9F\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x70"],

        ["\x5A\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x8C"],
        ["\x9F\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x71"],

        ["\x5A\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x8D"],
        ["\x9F\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x72"],

        ["\x5A\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x8E"],
        ["\x9F\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x73"],

        ["\x5A\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x8F"],
        ["\x9F\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x74"],

        ["\x5A\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x90"],
        ["\x9F\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x75"],

        ["\x5A\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x91"],
        ["\x9F\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x76"],

        ["\x5A\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x92"],
        ["\x9F\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x77"],

        ["\x5A\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x93"],
        ["\x9F\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x78"],

        ["\x5A\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x94"],
        ["\x9F\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x80"],

        ["\x5A\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x95"],
        ["\x9F\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x8B"],

        ["\x5A\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x96"],
        ["\x9F\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x9B"],

        ["\x5A\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x97"],
        ["\x9F\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x9C"],

        ["\x5A\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x98"],
        ["\x9F\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA0"],

        ["\x5A\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x99"],
        ["\x9F\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xAB"],

        ["\x5A\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x9A"],
        ["\x9F\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xB0"],

        ["\x5A\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x9B"],
        ["\x9F\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xC0"],

        ["\x5A\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x9C"],
        ["\x9F\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\x6A"],

        ["\x5A\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x9D"],
        ["\x9F\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xD0"],

        ["\x5A\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x9E"],
        ["\x9F\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5A\xA1"],

        ["\x5F\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\x9F"],
        ["\x9F\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4F"],

        ["\x5F\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA0"],
        ["\x9F\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7F"],

        ["\x5F\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA1"],
        ["\x9F\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7B"],

        ["\x5F\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA2"],
        ["\x9F\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE0"],

        ["\x5F\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA3"],
        ["\x9F\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6C"],

        ["\x5F\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA4"],
        ["\x9F\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x50"],

        ["\x5F\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA5"],
        ["\x9F\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7D"],

        ["\x5F\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA6"],
        ["\x9F\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4D"],

        ["\x5F\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA7"],
        ["\x9F\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5D"],

        ["\x5F\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA8"],
        ["\x9F\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5C"],

        ["\x5F\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xA9"],
        ["\x9F\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4E"],

        ["\x5F\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xAA"],
        ["\x9F\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6B"],

        ["\x5F\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xAB"],
        ["\x9F\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x60"],

        ["\x5F\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xAC"],
        ["\x9F\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4B"],

        ["\x5F\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xAD"],
        ["\x9F\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x61"],

        ["\x5F\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xAE"],
        ["\x9F\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF0"],

        ["\x5F\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xAF"],
        ["\x9F\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF1"],

        ["\x5F\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB0"],
        ["\x9F\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF2"],

        ["\x5F\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB1"],
        ["\x9F\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF3"],

        ["\x5F\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB2"],
        ["\x9F\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF4"],

        ["\x5F\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB3"],
        ["\x9F\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF5"],

        ["\x5F\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB4"],
        ["\x9F\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF6"],

        ["\x5F\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB5"],
        ["\x9F\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF7"],

        ["\x5F\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB6"],
        ["\x9F\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xF8"],

        ["\xC5\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB7"],
        ["\x9F\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x78"],

        ["\x5F\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB8"],
        ["\x9F\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7A"],

        ["\x5F\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xB9"],
        ["\x9F\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5E"],

        ["\x5F\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xBA"],
        ["\x9F\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4C"],

        ["\x5F\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xBB"],
        ["\x9F\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7E"],

        ["\x5F\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xBC"],
        ["\x9F\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6E"],

        ["\x5F\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xBD"],
        ["\x9F\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6F"],

        ["\x5F\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xBE"],
        ["\x9F\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x7C"],

        ["\x5F\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xBF"],
        ["\x9F\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC1"],

        ["\x5F\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC0"],
        ["\x9F\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC2"],

        ["\x5F\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC1"],
        ["\x9F\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC3"],

        ["\x5F\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC2"],
        ["\x9F\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC4"],

        ["\x5F\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC3"],
        ["\x9F\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC5"],

        ["\x5F\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC4"],
        ["\x9F\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC6"],

        ["\x5F\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC5"],
        ["\x9F\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC7"],

        ["\x5F\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC6"],
        ["\x9F\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC8"],

        ["\x5F\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC7"],
        ["\x9F\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC9"],

        ["\x5F\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC8"],
        ["\x9F\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD1"],

        ["\x5F\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xC9"],
        ["\x9F\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD2"],

        ["\x5F\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xCA"],
        ["\x9F\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD3"],

        ["\x5F\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xCB"],
        ["\x9F\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD4"],

        ["\x5F\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xCC"],
        ["\x9F\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD5"],

        ["\x5F\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xCD"],
        ["\x9F\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD6"],

        ["\x5F\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xCE"],
        ["\x9F\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD7"],

        ["\x5F\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xCF"],
        ["\x9F\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD8"],

        ["\x5F\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD0"],
        ["\x9F\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD9"],

        ["\x5F\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD1"],
        ["\x9F\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE2"],

        ["\x5F\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD2"],
        ["\x9F\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE3"],

        ["\x5F\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD3"],
        ["\x9F\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE4"],

        ["\x5F\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD4"],
        ["\x9F\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE5"],

        ["\x5F\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD5"],
        ["\x9F\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE6"],

        ["\x5F\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD6"],
        ["\x9F\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE7"],

        ["\x5F\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD7"],
        ["\x9F\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE8"],

        ["\x5F\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD8"],
        ["\x9F\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xE9"],

        ["\x5F\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xD9"],
        ["\x9F\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x4A"],

        ["\x5F\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xDA"],
        ["\x9F\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5B"],

        ["\x5F\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xDB"],
        ["\x9F\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5A"],

        ["\x5F\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xDC"],
        ["\x9F\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x5F"],

        ["\x5F\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xDD"],
        ["\x9F\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6D"],

        ["\x5F\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xDE"],
        ["\x9F\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x79"],

        ["\x5F\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xDF"],
        ["\x9F\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x57"],

        ["\x5F\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE0"],
        ["\x9F\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x59"],

        ["\x5F\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE1"],
        ["\x9F\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x62"],

        ["\x5F\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE2"],
        ["\x9F\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x63"],

        ["\x5F\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE3"],
        ["\x9F\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x64"],

        ["\x5F\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE4"],
        ["\x9F\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x65"],

        ["\x5F\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE5"],
        ["\x9F\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x66"],

        ["\x5F\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE6"],
        ["\x9F\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x67"],

        ["\x5F\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE7"],
        ["\x9F\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x68"],

        ["\x5F\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE8"],
        ["\x9F\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x69"],

        ["\x5F\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xE9"],
        ["\x9F\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x70"],

        ["\x5F\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xEA"],
        ["\x9F\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x71"],

        ["\x5F\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xEB"],
        ["\x9F\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x72"],

        ["\x5F\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xEC"],
        ["\x9F\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x73"],

        ["\x5F\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xED"],
        ["\x9F\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x74"],

        ["\x5F\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xEE"],
        ["\x9F\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x75"],

        ["\x5F\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xEF"],
        ["\x9F\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x76"],

        ["\x5F\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF0"],
        ["\x9F\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x77"],

        ["\x5F\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF1"],
        ["\x9F\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x78"],

        ["\x5F\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF2"],
        ["\x9F\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x80"],

        ["\xF4\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF3"],
        ["\x9F\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xC3"],

        ["\x5F\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF4"],
        ["\x9F\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x9B"],

        ["\x5F\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF5"],
        ["\x9F\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x9C"],

        ["\x5F\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF6"],
        ["\x9F\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA0"],

        ["\x5F\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF7"],
        ["\x9F\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xAB"],

        ["\x5F\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF8"],
        ["\x9F\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xB0"],

        ["\x5F\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xF9"],
        ["\x9F\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xC0"],

        ["\x5F\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xFA"],
        ["\x9F\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\x6A"],

        ["\x5F\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xFB"],
        ["\x9F\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xD0"],

        ["\x5F\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9F\xFC"],
        ["\x9F\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x5F\xA1"],

        ["\x6D\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x40"],
        ["\xE0\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x4F"],

        ["\x6D\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x41"],
        ["\xE0\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x7F"],

        ["\x6D\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x42"],
        ["\xE0\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x7B"],

        ["\x6D\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x43"],
        ["\xE0\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xE0"],

        ["\x6D\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x44"],
        ["\xE0\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x6C"],

        ["\x6D\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x45"],
        ["\xE0\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x50"],

        ["\x6D\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x46"],
        ["\xE0\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x7D"],

        ["\x6D\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x47"],
        ["\xE0\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x4D"],

        ["\x6D\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x48"],
        ["\xE0\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x5D"],

        ["\x6D\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x49"],
        ["\xE0\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x5C"],

        ["\x6D\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x4A"],
        ["\xE0\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x4E"],

        ["\x6D\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x4B"],
        ["\xE0\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x6B"],

        ["\x6D\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x4C"],
        ["\xE0\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x60"],

        ["\x6D\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x4D"],
        ["\xE0\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x4B"],

        ["\x6D\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x4E"],
        ["\xE0\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x61"],

        ["\x6D\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x4F"],
        ["\xE0\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF0"],

        ["\x6D\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x50"],
        ["\xE0\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF1"],

        ["\x6D\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x51"],
        ["\xE0\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF2"],

        ["\x6D\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x52"],
        ["\xE0\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF3"],

        ["\x6D\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x53"],
        ["\xE0\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF4"],

        ["\x6D\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x54"],
        ["\xE0\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF5"],

        ["\x6D\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x55"],
        ["\xE0\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF6"],

        ["\x6D\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x56"],
        ["\xE0\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF7"],

        ["\x6D\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x57"],
        ["\xE0\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF8"],

        ["\x6D\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x58"],
        ["\xE0\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xF9"],

        ["\x6D\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x59"],
        ["\xE0\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x7A"],

        ["\x6D\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x5A"],
        ["\xE0\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x5E"],

        ["\x6D\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x5B"],
        ["\xE0\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x4C"],

        ["\x6D\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x5C"],
        ["\xE0\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x7E"],

        ["\x6D\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x5D"],
        ["\xE0\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x6E"],

        ["\x6D\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x5E"],
        ["\xE0\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x6F"],

        ["\x6D\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x5F"],
        ["\xE0\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x7C"],

        ["\x6D\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x60"],
        ["\xE0\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC1"],

        ["\x6D\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x61"],
        ["\xE0\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC2"],

        ["\x6D\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x62"],
        ["\xE0\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC3"],

        ["\x6D\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x63"],
        ["\xE0\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC4"],

        ["\x6D\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x64"],
        ["\xE0\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC5"],

        ["\x6D\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x65"],
        ["\xE0\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC6"],

        ["\x6D\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x66"],
        ["\xE0\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC7"],

        ["\x6D\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x67"],
        ["\xE0\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC8"],

        ["\x6D\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x68"],
        ["\xE0\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC9"],

        ["\x6D\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x69"],
        ["\xE0\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD1"],

        ["\x6D\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x6A"],
        ["\xE0\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD2"],

        ["\x6D\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x6B"],
        ["\xE0\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD3"],

        ["\x6D\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x6C"],
        ["\xE0\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD4"],

        ["\x6D\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x6D"],
        ["\xE0\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD5"],

        ["\x6D\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x6E"],
        ["\xE0\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD6"],

        ["\x6D\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x6F"],
        ["\xE0\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD7"],

        ["\x6D\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x70"],
        ["\xE0\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD8"],

        ["\x6D\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x71"],
        ["\xE0\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD9"],

        ["\x6D\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x72"],
        ["\xE0\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xE2"],

        ["\x6D\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x73"],
        ["\xE0\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xE3"],

        ["\x6D\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x74"],
        ["\xE0\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xE4"],

        ["\x6D\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x75"],
        ["\xE0\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xE5"],

        ["\x6D\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x76"],
        ["\xE0\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xE6"],

        ["\x6D\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x77"],
        ["\xE0\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xE7"],

        ["\x6D\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x78"],
        ["\xE0\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xE8"],

        ["\x6D\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x79"],
        ["\xE0\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xE9"],

        ["\x6D\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x7A"],
        ["\xE0\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x4A"],

        ["\x6D\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x7B"],
        ["\xE0\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x5B"],

        ["\x6D\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x7C"],
        ["\xE0\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x5A"],

        ["\x6D\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x7D"],
        ["\xE0\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x5F"],

        ["\x6D\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x7E"],
        ["\xE0\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x6D"],

        ["\x6D\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x80"],
        ["\xE0\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x79"],

        ["\x6D\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x81"],
        ["\xE0\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x57"],

        ["\x6D\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x82"],
        ["\xE0\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x59"],

        ["\x6D\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x83"],
        ["\xE0\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x62"],

        ["\x6D\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x84"],
        ["\xE0\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x63"],

        ["\x6D\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x85"],
        ["\xE0\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x64"],

        ["\x6D\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x86"],
        ["\xE0\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x65"],

        ["\x6D\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x87"],
        ["\xE0\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x66"],

        ["\x6D\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x88"],
        ["\xE0\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x67"],

        ["\x6D\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x89"],
        ["\xE0\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x68"],

        ["\x6D\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x8A"],
        ["\xE0\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x69"],

        ["\x6D\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x8B"],
        ["\xE0\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x70"],

        ["\x6D\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x8C"],
        ["\xE0\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x71"],

        ["\x6D\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x8D"],
        ["\xE0\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x72"],

        ["\x6D\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x8E"],
        ["\xE0\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x73"],

        ["\x6D\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x8F"],
        ["\xE0\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x74"],

        ["\x6D\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x90"],
        ["\xE0\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x75"],

        ["\x6D\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x91"],
        ["\xE0\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x76"],

        ["\x6D\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x92"],
        ["\xE0\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x77"],

        ["\x6D\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x93"],
        ["\xE0\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x78"],

        ["\x6D\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x94"],
        ["\xE0\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x80"],

        ["\x6D\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x95"],
        ["\xE0\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x8B"],

        ["\x6D\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x96"],
        ["\xE0\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x9B"],

        ["\x6D\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x97"],
        ["\xE0\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x9C"],

        ["\x6D\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x98"],
        ["\xE0\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xA0"],

        ["\x6D\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x99"],
        ["\xE0\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xAB"],

        ["\x6D\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x9A"],
        ["\xE0\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xB0"],

        ["\x6D\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x9B"],
        ["\xE0\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xC0"],

        ["\x6D\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x9C"],
        ["\xE0\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\x6A"],

        ["\x6D\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x9D"],
        ["\xE0\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xD0"],

        ["\x6D\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x9E"],
        ["\xE0\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6D\xA1"],

        ["\x79\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\x9F"],
        ["\xE0\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x4F"],

        ["\x79\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA0"],
        ["\xE0\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x7F"],

        ["\x79\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA1"],
        ["\xE0\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x7B"],

        ["\x79\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA2"],
        ["\xE0\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xE0"],

        ["\x79\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA3"],
        ["\xE0\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x6C"],

        ["\x79\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA4"],
        ["\xE0\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x50"],

        ["\x79\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA5"],
        ["\xE0\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x7D"],

        ["\x79\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA6"],
        ["\xE0\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x4D"],

        ["\x79\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA7"],
        ["\xE0\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x5D"],

        ["\x79\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA8"],
        ["\xE0\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x5C"],

        ["\x79\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xA9"],
        ["\xE0\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x4E"],

        ["\x79\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAA"],
        ["\xE0\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x6B"],

        ["\x79\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAB"],
        ["\xE0\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x60"],

        ["\x79\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],
        ["\xE0\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x4B"],

        ["\x79\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAD"],
        ["\xE0\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x61"],

        ["\x79\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAE"],
        ["\xE0\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF0"],

        ["\x79\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xAF"],
        ["\xE0\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF1"],

        ["\x79\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB0"],
        ["\xE0\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF2"],

        ["\x79\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB1"],
        ["\xE0\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF3"],

        ["\x79\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB2"],
        ["\xE0\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF4"],

        ["\x79\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB3"],
        ["\xE0\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF5"],

        ["\x79\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB4"],
        ["\xE0\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF6"],

        ["\x79\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB5"],
        ["\xE0\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF7"],

        ["\x79\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB6"],
        ["\xE0\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF8"],

        ["\x79\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB7"],
        ["\xE0\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xF9"],

        ["\x79\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB8"],
        ["\xE0\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x7A"],

        ["\x79\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xB9"],
        ["\xE0\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x5E"],

        ["\x79\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBA"],
        ["\xE0\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x4C"],

        ["\x79\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBB"],
        ["\xE0\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x7E"],

        ["\x79\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBC"],
        ["\xE0\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x6E"],

        ["\x79\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBD"],
        ["\xE0\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x6F"],

        ["\x79\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBE"],
        ["\xE0\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x7C"],

        ["\x79\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xBF"],
        ["\xE0\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC1"],

        ["\x79\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC0"],
        ["\xE0\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC2"],

        ["\x79\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],
        ["\xE0\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC3"],

        ["\x79\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],
        ["\xE0\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC4"],

        ["\x79\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],
        ["\xE0\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC5"],

        ["\x79\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],
        ["\xE0\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC6"],

        ["\x79\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],
        ["\xE0\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC7"],

        ["\x79\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],
        ["\xE0\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC8"],

        ["\x79\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],
        ["\xE0\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC9"],

        ["\x79\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],
        ["\xE0\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD1"],

        ["\x79\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],
        ["\xE0\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD2"],

        ["\x79\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCA"],
        ["\xE0\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD3"],

        ["\x79\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCB"],
        ["\xE0\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD4"],

        ["\x79\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCC"],
        ["\xE0\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD5"],

        ["\x79\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCD"],
        ["\xE0\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD6"],

        ["\x79\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCE"],
        ["\xE0\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD7"],

        ["\x79\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xCF"],
        ["\xE0\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD8"],

        ["\x79\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD0"],
        ["\xE0\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD9"],

        ["\x79\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],
        ["\xE0\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xE2"],

        ["\x79\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],
        ["\xE0\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xE3"],

        ["\x79\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],
        ["\xE0\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xE4"],

        ["\x79\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],
        ["\xE0\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xE5"],

        ["\x79\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],
        ["\xE0\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xE6"],

        ["\x79\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],
        ["\xE0\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xE7"],

        ["\x79\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],
        ["\xE0\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xE8"],

        ["\x79\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],
        ["\xE0\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xE9"],

        ["\x79\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],
        ["\xE0\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x4A"],

        ["\x79\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDA"],
        ["\xE0\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x5B"],

        ["\x79\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDB"],
        ["\xE0\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x5A"],

        ["\x79\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDC"],
        ["\xE0\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x5F"],

        ["\x79\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDD"],
        ["\xE0\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x6D"],

        ["\x79\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDE"],
        ["\xE0\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x79"],

        ["\x79\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xDF"],
        ["\xE0\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x57"],

        ["\x79\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],
        ["\xE0\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x59"],

        ["\x79\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE1"],
        ["\xE0\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x62"],

        ["\x79\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],
        ["\xE0\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x63"],

        ["\x79\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],
        ["\xE0\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x64"],

        ["\x79\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],
        ["\xE0\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x65"],

        ["\x79\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],
        ["\xE0\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x66"],

        ["\x79\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],
        ["\xE0\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x67"],

        ["\x79\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],
        ["\xE0\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x68"],

        ["\x79\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],
        ["\xE0\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x69"],

        ["\x79\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],
        ["\xE0\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x70"],

        ["\x79\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEA"],
        ["\xE0\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x71"],

        ["\x79\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEB"],
        ["\xE0\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x72"],

        ["\x79\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEC"],
        ["\xE0\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x73"],

        ["\x79\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xED"],
        ["\xE0\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x74"],

        ["\x79\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],
        ["\xE0\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x75"],

        ["\x79\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],
        ["\xE0\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x76"],

        ["\x79\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],
        ["\xE0\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x77"],

        ["\x79\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],
        ["\xE0\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x78"],

        ["\x79\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],
        ["\xE0\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x80"],

        ["\x79\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],
        ["\xE0\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x8B"],

        ["\x95\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],
        ["\xE0\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xCA"],

        ["\x79\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],
        ["\xE0\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x9C"],

        ["\x79\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],
        ["\xE0\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xA0"],

        ["\x79\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],
        ["\xE0\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xAB"],

        ["\x79\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],
        ["\xE0\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xB0"],

        ["\x79\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],
        ["\xE0\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xC0"],

        ["\x79\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],
        ["\xE0\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x6A"],

        ["\x79\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],
        ["\xE0\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xD0"],

        ["\x79\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],
        ["\xE0\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\xA1"],

        ["\x57\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x40"],
        ["\xE1\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4F"],

        ["\x57\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x41"],
        ["\xE1\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7F"],

        ["\x57\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x42"],
        ["\xE1\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7B"],

        ["\x57\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x43"],
        ["\xE1\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE0"],

        ["\x57\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x44"],
        ["\xE1\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6C"],

        ["\x57\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x45"],
        ["\xE1\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x50"],

        ["\x57\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x46"],
        ["\xE1\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7D"],

        ["\x57\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x47"],
        ["\xE1\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4D"],

        ["\x57\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x48"],
        ["\xE1\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5D"],

        ["\x57\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x49"],
        ["\xE1\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5C"],

        ["\x57\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x4A"],
        ["\xE1\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4E"],

        ["\x57\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x4B"],
        ["\xE1\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6B"],

        ["\x57\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x4C"],
        ["\xE1\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x60"],

        ["\x57\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x4D"],
        ["\xE1\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4B"],

        ["\x57\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x4E"],
        ["\xE1\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x61"],

        ["\x57\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x4F"],
        ["\xE1\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF0"],

        ["\x57\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x50"],
        ["\xE1\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF1"],

        ["\x57\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x51"],
        ["\xE1\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF2"],

        ["\x57\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x52"],
        ["\xE1\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF3"],

        ["\x57\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x53"],
        ["\xE1\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF4"],

        ["\x57\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x54"],
        ["\xE1\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF5"],

        ["\x57\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x55"],
        ["\xE1\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF6"],

        ["\x57\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x56"],
        ["\xE1\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF7"],

        ["\x57\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x57"],
        ["\xE1\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF8"],

        ["\x57\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x58"],
        ["\xE1\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xF9"],

        ["\x57\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x59"],
        ["\xE1\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7A"],

        ["\x57\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x5A"],
        ["\xE1\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5E"],

        ["\x57\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x5B"],
        ["\xE1\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4C"],

        ["\x57\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x5C"],
        ["\xE1\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7E"],

        ["\x57\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x5D"],
        ["\xE1\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6E"],

        ["\x57\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x5E"],
        ["\xE1\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6F"],

        ["\x57\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x5F"],
        ["\xE1\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x7C"],

        ["\x57\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x60"],
        ["\xE1\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC1"],

        ["\x57\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x61"],
        ["\xE1\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC2"],

        ["\x57\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x62"],
        ["\xE1\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC3"],

        ["\x57\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x63"],
        ["\xE1\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC4"],

        ["\x57\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x64"],
        ["\xE1\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC5"],

        ["\x57\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x65"],
        ["\xE1\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC6"],

        ["\x57\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x66"],
        ["\xE1\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC7"],

        ["\x57\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x67"],
        ["\xE1\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC8"],

        ["\x57\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x68"],
        ["\xE1\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC9"],

        ["\x57\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x69"],
        ["\xE1\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD1"],

        ["\x57\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x6A"],
        ["\xE1\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD2"],

        ["\x57\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x6B"],
        ["\xE1\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD3"],

        ["\x57\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x6C"],
        ["\xE1\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD4"],

        ["\x57\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x6D"],
        ["\xE1\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD5"],

        ["\x57\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x6E"],
        ["\xE1\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD6"],

        ["\x57\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x6F"],
        ["\xE1\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD7"],

        ["\x57\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x70"],
        ["\xE1\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD8"],

        ["\x57\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x71"],
        ["\xE1\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD9"],

        ["\x57\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x72"],
        ["\xE1\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE2"],

        ["\x57\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x73"],
        ["\xE1\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE3"],

        ["\x57\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x74"],
        ["\xE1\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE4"],

        ["\x57\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x75"],
        ["\xE1\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE5"],

        ["\x57\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x76"],
        ["\xE1\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE6"],

        ["\x57\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x77"],
        ["\xE1\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE7"],

        ["\x57\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x78"],
        ["\xE1\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE8"],

        ["\x57\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x79"],
        ["\xE1\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xE9"],

        ["\x57\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x7A"],
        ["\xE1\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x4A"],

        ["\x57\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x7B"],
        ["\xE1\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5B"],

        ["\x57\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x7C"],
        ["\xE1\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5A"],

        ["\x57\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x7D"],
        ["\xE1\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x5F"],

        ["\x57\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x7E"],
        ["\xE1\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6D"],

        ["\x57\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x80"],
        ["\xE1\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x79"],

        ["\x57\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x81"],
        ["\xE1\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x57"],

        ["\x57\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x82"],
        ["\xE1\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x59"],

        ["\x57\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x83"],
        ["\xE1\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x62"],

        ["\x57\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x84"],
        ["\xE1\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x63"],

        ["\x57\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x85"],
        ["\xE1\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x64"],

        ["\x57\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x86"],
        ["\xE1\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x65"],

        ["\x57\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x87"],
        ["\xE1\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x66"],

        ["\x57\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x88"],
        ["\xE1\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x67"],

        ["\x57\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x89"],
        ["\xE1\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x68"],

        ["\x57\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x8A"],
        ["\xE1\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x69"],

        ["\x57\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x8B"],
        ["\xE1\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x70"],

        ["\x57\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x8C"],
        ["\xE1\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x71"],

        ["\x57\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x8D"],
        ["\xE1\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x72"],

        ["\x57\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x8E"],
        ["\xE1\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x73"],

        ["\x57\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x8F"],
        ["\xE1\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x74"],

        ["\x57\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x90"],
        ["\xE1\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x75"],

        ["\x57\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x91"],
        ["\xE1\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x76"],

        ["\x57\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x92"],
        ["\xE1\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x77"],

        ["\x57\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x93"],
        ["\xE1\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x78"],

        ["\x57\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x94"],
        ["\xE1\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x80"],

        ["\x57\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x95"],
        ["\xE1\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x8B"],

        ["\x57\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x96"],
        ["\xE1\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x9B"],

        ["\x57\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x97"],
        ["\xE1\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x9C"],

        ["\x57\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x98"],
        ["\xE1\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA0"],

        ["\x57\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x99"],
        ["\xE1\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xAB"],

        ["\x57\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x9A"],
        ["\xE1\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xB0"],

        ["\x57\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x9B"],
        ["\xE1\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xC0"],

        ["\x57\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x9C"],
        ["\xE1\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\x6A"],

        ["\x57\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x9D"],
        ["\xE1\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xD0"],

        ["\x57\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x9E"],
        ["\xE1\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x57\xA1"],

        ["\x59\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\x9F"],
        ["\xE1\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4F"],

        ["\x59\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA0"],
        ["\xE1\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7F"],

        ["\x59\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA1"],
        ["\xE1\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7B"],

        ["\x59\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA2"],
        ["\xE1\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE0"],

        ["\x59\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA3"],
        ["\xE1\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6C"],

        ["\x59\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA4"],
        ["\xE1\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x50"],

        ["\x59\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA5"],
        ["\xE1\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7D"],

        ["\x59\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA6"],
        ["\xE1\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4D"],

        ["\x59\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA7"],
        ["\xE1\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5D"],

        ["\x59\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA8"],
        ["\xE1\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5C"],

        ["\x59\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xA9"],
        ["\xE1\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4E"],

        ["\x59\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAA"],
        ["\xE1\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6B"],

        ["\x59\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAB"],
        ["\xE1\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x60"],

        ["\x59\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAC"],
        ["\xE1\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4B"],

        ["\x59\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAD"],
        ["\xE1\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x61"],

        ["\x59\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAE"],
        ["\xE1\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF0"],

        ["\x59\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xAF"],
        ["\xE1\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF1"],

        ["\x59\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB0"],
        ["\xE1\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF2"],

        ["\x59\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB1"],
        ["\xE1\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF3"],

        ["\x59\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB2"],
        ["\xE1\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF4"],

        ["\x59\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB3"],
        ["\xE1\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF5"],

        ["\x59\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB4"],
        ["\xE1\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF6"],

        ["\x59\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB5"],
        ["\xE1\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF7"],

        ["\x59\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB6"],
        ["\xE1\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF8"],

        ["\x59\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB7"],
        ["\xE1\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xF9"],

        ["\x59\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8"],
        ["\xE1\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7A"],

        ["\x59\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB9"],
        ["\xE1\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5E"],

        ["\x59\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBA"],
        ["\xE1\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4C"],

        ["\x59\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBB"],
        ["\xE1\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7E"],

        ["\x59\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBC"],
        ["\xE1\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6E"],

        ["\x59\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD"],
        ["\xE1\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6F"],

        ["\x59\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBE"],
        ["\xE1\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x7C"],

        ["\x59\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBF"],
        ["\xE1\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC1"],

        ["\x59\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC0"],
        ["\xE1\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC2"],

        ["\x59\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC1"],
        ["\xE1\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC3"],

        ["\x59\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC2"],
        ["\xE1\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC4"],

        ["\x59\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC3"],
        ["\xE1\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC5"],

        ["\x59\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC4"],
        ["\xE1\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC6"],

        ["\x59\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC5"],
        ["\xE1\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC7"],

        ["\x59\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC6"],
        ["\xE1\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC8"],

        ["\x59\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC7"],
        ["\xE1\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC9"],

        ["\x59\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC8"],
        ["\xE1\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD1"],

        ["\x59\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xC9"],
        ["\xE1\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD2"],

        ["\x59\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCA"],
        ["\xE1\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD3"],

        ["\x59\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCB"],
        ["\xE1\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD4"],

        ["\x59\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCC"],
        ["\xE1\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD5"],

        ["\x59\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCD"],
        ["\xE1\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD6"],

        ["\x59\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCE"],
        ["\xE1\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD7"],

        ["\x59\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xCF"],
        ["\xE1\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD8"],

        ["\x59\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD0"],
        ["\xE1\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD9"],

        ["\x59\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD1"],
        ["\xE1\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE2"],

        ["\x59\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD2"],
        ["\xE1\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE3"],

        ["\x59\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD3"],
        ["\xE1\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE4"],

        ["\x59\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD4"],
        ["\xE1\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE5"],

        ["\x59\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD5"],
        ["\xE1\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE6"],

        ["\x59\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD6"],
        ["\xE1\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE7"],

        ["\x59\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD7"],
        ["\xE1\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE8"],

        ["\x59\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD8"],
        ["\xE1\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xE9"],

        ["\x59\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xD9"],
        ["\xE1\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x4A"],

        ["\x59\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDA"],
        ["\xE1\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5B"],

        ["\x59\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDB"],
        ["\xE1\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5A"],

        ["\x59\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDC"],
        ["\xE1\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x5F"],

        ["\x59\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDD"],
        ["\xE1\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6D"],

        ["\x59\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDE"],
        ["\xE1\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x79"],

        ["\x59\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xDF"],
        ["\xE1\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x57"],

        ["\x59\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE0"],
        ["\xE1\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x59"],

        ["\x59\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE1"],
        ["\xE1\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x62"],

        ["\x59\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE2"],
        ["\xE1\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x63"],

        ["\x59\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE3"],
        ["\xE1\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x64"],

        ["\x59\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE4"],
        ["\xE1\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x65"],

        ["\x59\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE5"],
        ["\xE1\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x66"],

        ["\xF9\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE6"],
        ["\xE1\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x5B"],

        ["\x59\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE7"],
        ["\xE1\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x68"],

        ["\xC5\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE8"],
        ["\xE1\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],

        ["\x59\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xE9"],
        ["\xE1\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x70"],

        ["\x59\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEA"],
        ["\xE1\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x71"],

        ["\x59\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEB"],
        ["\xE1\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x72"],

        ["\x59\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEC"],
        ["\xE1\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x73"],

        ["\x59\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xED"],
        ["\xE1\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x74"],

        ["\x59\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEE"],
        ["\xE1\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x75"],

        ["\x59\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xEF"],
        ["\xE1\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x76"],

        ["\x59\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF0"],
        ["\xE1\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x77"],

        ["\x59\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF1"],
        ["\xE1\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x78"],

        ["\x59\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF2"],
        ["\xE1\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x80"],

        ["\x59\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF3"],
        ["\xE1\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x8B"],

        ["\x59\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF4"],
        ["\xE1\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x9B"],

        ["\x59\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF5"],
        ["\xE1\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x9C"],

        ["\x59\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF6"],
        ["\xE1\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA0"],

        ["\x59\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF7"],
        ["\xE1\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xAB"],

        ["\x59\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF8"],
        ["\xE1\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xB0"],

        ["\x59\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xF9"],
        ["\xE1\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xC0"],

        ["\x59\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xFA"],
        ["\xE1\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\x6A"],

        ["\x59\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xFB"],
        ["\xE1\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xD0"],

        ["\x59\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xFC"],
        ["\xE1\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x59\xA1"],

        ["\x62\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x40"],
        ["\xE2\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4F"],

        ["\x62\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x41"],
        ["\xE2\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7F"],

        ["\x62\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x42"],
        ["\xE2\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7B"],

        ["\x62\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x43"],
        ["\xE2\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE0"],

        ["\x62\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x44"],
        ["\xE2\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6C"],

        ["\x62\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x45"],
        ["\xE2\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x50"],

        ["\x62\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x46"],
        ["\xE2\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7D"],

        ["\x62\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x47"],
        ["\xE2\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4D"],

        ["\x62\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x48"],
        ["\xE2\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5D"],

        ["\x62\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x49"],
        ["\xE2\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5C"],

        ["\x62\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x4A"],
        ["\xE2\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4E"],

        ["\x62\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x4B"],
        ["\xE2\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6B"],

        ["\x62\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x4C"],
        ["\xE2\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x60"],

        ["\x62\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x4D"],
        ["\xE2\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4B"],

        ["\x62\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x4E"],
        ["\xE2\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x61"],

        ["\x62\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x4F"],
        ["\xE2\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF0"],

        ["\x62\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x50"],
        ["\xE2\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF1"],

        ["\x62\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x51"],
        ["\xE2\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF2"],

        ["\x62\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x52"],
        ["\xE2\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF3"],

        ["\x62\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x53"],
        ["\xE2\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF4"],

        ["\x62\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x54"],
        ["\xE2\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF5"],

        ["\x62\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x55"],
        ["\xE2\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF6"],

        ["\x62\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x56"],
        ["\xE2\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF7"],

        ["\x62\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x57"],
        ["\xE2\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF8"],

        ["\x62\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x58"],
        ["\xE2\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xF9"],

        ["\x62\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x59"],
        ["\xE2\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7A"],

        ["\x62\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x5A"],
        ["\xE2\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5E"],

        ["\x62\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x5B"],
        ["\xE2\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4C"],

        ["\x62\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x5C"],
        ["\xE2\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7E"],

        ["\x62\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x5D"],
        ["\xE2\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6E"],

        ["\x62\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x5E"],
        ["\xE2\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6F"],

        ["\x62\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x5F"],
        ["\xE2\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x7C"],

        ["\x62\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x60"],
        ["\xE2\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC1"],

        ["\x62\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x61"],
        ["\xE2\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC2"],

        ["\x62\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x62"],
        ["\xE2\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC3"],

        ["\x62\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x63"],
        ["\xE2\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC4"],

        ["\x62\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x64"],
        ["\xE2\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC5"],

        ["\x62\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x65"],
        ["\xE2\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC6"],

        ["\x62\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x66"],
        ["\xE2\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC7"],

        ["\x62\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x67"],
        ["\xE2\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC8"],

        ["\x62\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x68"],
        ["\xE2\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC9"],

        ["\x62\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x69"],
        ["\xE2\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD1"],

        ["\x62\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x6A"],
        ["\xE2\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD2"],

        ["\x62\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x6B"],
        ["\xE2\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD3"],

        ["\x62\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x6C"],
        ["\xE2\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD4"],

        ["\x62\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x6D"],
        ["\xE2\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD5"],

        ["\x62\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x6E"],
        ["\xE2\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD6"],

        ["\x62\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x6F"],
        ["\xE2\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD7"],

        ["\x62\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x70"],
        ["\xE2\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD8"],

        ["\x62\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x71"],
        ["\xE2\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD9"],

        ["\x62\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x72"],
        ["\xE2\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE2"],

        ["\x62\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x73"],
        ["\xE2\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE3"],

        ["\x62\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x74"],
        ["\xE2\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE4"],

        ["\x62\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x75"],
        ["\xE2\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE5"],

        ["\x62\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x76"],
        ["\xE2\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE6"],

        ["\x62\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x77"],
        ["\xE2\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE7"],

        ["\x62\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x78"],
        ["\xE2\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE8"],

        ["\x62\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x79"],
        ["\xE2\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xE9"],

        ["\x62\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x7A"],
        ["\xE2\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x4A"],

        ["\x62\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x7B"],
        ["\xE2\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5B"],

        ["\x62\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x7C"],
        ["\xE2\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x5A"],

        ["\xF3\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x7D"],
        ["\xE2\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\x9B"],

        ["\x62\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x7E"],
        ["\xE2\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6D"],

        ["\x62\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80"],
        ["\xE2\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x79"],

        ["\x62\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x81"],
        ["\xE2\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x57"],

        ["\x62\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x82"],
        ["\xE2\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x59"],

        ["\x62\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x83"],
        ["\xE2\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x62"],

        ["\x62\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x84"],
        ["\xE2\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x63"],

        ["\x62\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85"],
        ["\xE2\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x64"],

        ["\x62\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86"],
        ["\xE2\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x65"],

        ["\x62\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x87"],
        ["\xE2\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x66"],

        ["\x62\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88"],
        ["\xE2\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x67"],

        ["\x62\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89"],
        ["\xE2\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x68"],

        ["\x62\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A"],
        ["\xE2\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x69"],

        ["\x62\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8B"],
        ["\xE2\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x70"],

        ["\x62\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C"],
        ["\xE2\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x71"],

        ["\x62\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8D"],
        ["\xE2\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x72"],

        ["\x62\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8E"],
        ["\xE2\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x73"],

        ["\x62\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F"],
        ["\xE2\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x74"],

        ["\x62\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x90"],
        ["\xE2\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x75"],

        ["\x62\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91"],
        ["\xE2\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x76"],

        ["\x62\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x92"],
        ["\xE2\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x77"],

        ["\x62\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93"],
        ["\xE2\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x78"],

        ["\x62\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94"],
        ["\xE2\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x80"],

        ["\x62\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x95"],
        ["\xE2\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x8B"],

        ["\x62\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96"],
        ["\xE2\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x9B"],

        ["\x62\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97"],
        ["\xE2\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x9C"],

        ["\x62\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98"],
        ["\xE2\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA0"],

        ["\x62\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99"],
        ["\xE2\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xAB"],

        ["\x62\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9A"],
        ["\xE2\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xB0"],

        ["\x62\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9B"],
        ["\xE2\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xC0"],

        ["\x62\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9C"],
        ["\xE2\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\x6A"],

        ["\x62\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D"],
        ["\xE2\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xD0"],

        ["\x62\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9E"],
        ["\xE2\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x62\xA1"],

        ["\x63\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9F"],
        ["\xE2\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4F"],

        ["\x63\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA0"],
        ["\xE2\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7F"],

        ["\x63\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],
        ["\xE2\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7B"],

        ["\x63\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA2"],
        ["\xE2\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE0"],

        ["\x63\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA3"],
        ["\xE2\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6C"],

        ["\x63\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4"],
        ["\xE2\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x50"],

        ["\x63\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA5"],
        ["\xE2\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7D"],

        ["\x63\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6"],
        ["\xE2\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4D"],

        ["\x63\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7"],
        ["\xE2\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5D"],

        ["\x63\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA8"],
        ["\xE2\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5C"],

        ["\x63\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA9"],
        ["\xE2\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4E"],

        ["\x63\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAA"],
        ["\xE2\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6B"],

        ["\x63\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],
        ["\xE2\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x60"],

        ["\x63\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAC"],
        ["\xE2\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4B"],

        ["\x63\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAD"],
        ["\xE2\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x61"],

        ["\x63\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAE"],
        ["\xE2\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF0"],

        ["\x63\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xAF"],
        ["\xE2\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF1"],

        ["\x63\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],
        ["\xE2\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF2"],

        ["\x63\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB1"],
        ["\xE2\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF3"],

        ["\x63\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB2"],
        ["\xE2\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF4"],

        ["\x63\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB3"],
        ["\xE2\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF5"],

        ["\x63\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB4"],
        ["\xE2\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF6"],

        ["\x63\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB5"],
        ["\xE2\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF7"],

        ["\x63\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB6"],
        ["\xE2\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF8"],

        ["\x63\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB7"],
        ["\xE2\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xF9"],

        ["\x63\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB8"],
        ["\xE2\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7A"],

        ["\x63\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xB9"],
        ["\xE2\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5E"],

        ["\x63\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBA"],
        ["\xE2\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4C"],

        ["\x63\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBB"],
        ["\xE2\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7E"],

        ["\x63\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBC"],
        ["\xE2\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6E"],

        ["\x63\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBD"],
        ["\xE2\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6F"],

        ["\x63\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBE"],
        ["\xE2\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x7C"],

        ["\x63\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xBF"],
        ["\xE2\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC1"],

        ["\x63\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],
        ["\xE2\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC2"],

        ["\x63\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],
        ["\xE2\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC3"],

        ["\x63\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],
        ["\xE2\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC4"],

        ["\x63\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],
        ["\xE2\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC5"],

        ["\xD6\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],
        ["\xE2\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD6\xF6"],

        ["\x63\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],
        ["\xE2\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC7"],

        ["\x63\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],
        ["\xE2\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC8"],

        ["\x63\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],
        ["\xE2\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC9"],

        ["\x63\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],
        ["\xE2\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD1"],

        ["\x63\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],
        ["\xE2\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD2"],

        ["\x63\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCA"],
        ["\xE2\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD3"],

        ["\x63\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCB"],
        ["\xE2\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD4"],

        ["\x63\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCC"],
        ["\xE2\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD5"],

        ["\x63\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCD"],
        ["\xE2\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD6"],

        ["\x63\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCE"],
        ["\xE2\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD7"],

        ["\x63\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xCF"],
        ["\xE2\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD8"],

        ["\x63\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],
        ["\xE2\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD9"],

        ["\x63\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],
        ["\xE2\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE2"],

        ["\x63\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],
        ["\xE2\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE3"],

        ["\x63\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],
        ["\xE2\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE4"],

        ["\x63\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],
        ["\xE2\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE5"],

        ["\x63\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],
        ["\xE2\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE6"],

        ["\x63\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],
        ["\xE2\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE7"],

        ["\x63\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],
        ["\xE2\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE8"],

        ["\x63\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],
        ["\xE2\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xE9"],

        ["\x63\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],
        ["\xE2\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x4A"],

        ["\x63\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDA"],
        ["\xE2\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5B"],

        ["\x63\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDB"],
        ["\xE2\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5A"],

        ["\x63\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDC"],
        ["\xE2\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x5F"],

        ["\x63\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDD"],
        ["\xE2\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6D"],

        ["\x63\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDE"],
        ["\xE2\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x79"],

        ["\x63\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xDF"],
        ["\xE2\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x57"],

        ["\x63\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],
        ["\xE2\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x59"],

        ["\x63\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],
        ["\xE2\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x62"],

        ["\x63\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],
        ["\xE2\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x63"],

        ["\x63\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],
        ["\xE2\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x64"],

        ["\x63\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],
        ["\xE2\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x65"],

        ["\x63\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],
        ["\xE2\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x66"],

        ["\x63\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],
        ["\xE2\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x67"],

        ["\x63\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],
        ["\xE2\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x68"],

        ["\x63\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],
        ["\xE2\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x69"],

        ["\x63\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],
        ["\xE2\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x70"],

        ["\x63\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],
        ["\xE2\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x71"],

        ["\x63\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],
        ["\xE2\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x72"],

        ["\x63\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],
        ["\xE2\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x73"],

        ["\x63\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],
        ["\xE2\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x74"],

        ["\x63\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],
        ["\xE2\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x75"],

        ["\x63\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],
        ["\xE2\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x76"],

        ["\x63\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],
        ["\xE2\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x77"],

        ["\x63\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],
        ["\xE2\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x78"],

        ["\x63\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],
        ["\xE2\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x80"],

        ["\x63\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],
        ["\xE2\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x8B"],

        ["\x63\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],
        ["\xE2\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x9B"],

        ["\x63\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],
        ["\xE2\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x9C"],

        ["\x63\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],
        ["\xE2\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA0"],

        ["\x63\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],
        ["\xE2\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xAB"],

        ["\x63\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],
        ["\xE2\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xB0"],

        ["\x63\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],
        ["\xE2\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xC0"],

        ["\x63\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xFA"],
        ["\xE2\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\x6A"],

        ["\x63\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],
        ["\xE2\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xD0"],

        ["\x63\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],
        ["\xE2\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x63\xA1"],

        ["\x64\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x40"],
        ["\xE3\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4F"],

        ["\x64\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x41"],
        ["\xE3\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7F"],

        ["\x64\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x42"],
        ["\xE3\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7B"],

        ["\x64\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x43"],
        ["\xE3\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE0"],

        ["\x64\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x44"],
        ["\xE3\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6C"],

        ["\x64\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x45"],
        ["\xE3\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x50"],

        ["\x64\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x46"],
        ["\xE3\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7D"],

        ["\x64\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x47"],
        ["\xE3\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4D"],

        ["\x64\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x48"],
        ["\xE3\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5D"],

        ["\x64\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x49"],
        ["\xE3\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5C"],

        ["\x64\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x4A"],
        ["\xE3\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4E"],

        ["\x64\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x4B"],
        ["\xE3\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6B"],

        ["\x64\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x4C"],
        ["\xE3\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x60"],

        ["\x64\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x4D"],
        ["\xE3\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4B"],

        ["\x64\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x4E"],
        ["\xE3\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x61"],

        ["\x64\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x4F"],
        ["\xE3\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF0"],

        ["\x64\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x50"],
        ["\xE3\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF1"],

        ["\x64\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x51"],
        ["\xE3\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF2"],

        ["\x64\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x52"],
        ["\xE3\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF3"],

        ["\x64\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x53"],
        ["\xE3\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF4"],

        ["\x64\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x54"],
        ["\xE3\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF5"],

        ["\x64\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x55"],
        ["\xE3\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF6"],

        ["\x64\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x56"],
        ["\xE3\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF7"],

        ["\x64\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x57"],
        ["\xE3\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF8"],

        ["\x64\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x58"],
        ["\xE3\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xF9"],

        ["\x64\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x59"],
        ["\xE3\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7A"],

        ["\x64\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x5A"],
        ["\xE3\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5E"],

        ["\x64\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x5B"],
        ["\xE3\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4C"],

        ["\x64\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x5C"],
        ["\xE3\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7E"],

        ["\x64\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x5D"],
        ["\xE3\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6E"],

        ["\x64\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x5E"],
        ["\xE3\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6F"],

        ["\x64\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x5F"],
        ["\xE3\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x7C"],

        ["\x64\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x60"],
        ["\xE3\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC1"],

        ["\x64\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x61"],
        ["\xE3\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC2"],

        ["\x64\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x62"],
        ["\xE3\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC3"],

        ["\x64\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x63"],
        ["\xE3\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC4"],

        ["\x64\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x64"],
        ["\xE3\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC5"],

        ["\x64\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x65"],
        ["\xE3\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC6"],

        ["\x64\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x66"],
        ["\xE3\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC7"],

        ["\x64\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x67"],
        ["\xE3\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC8"],

        ["\x64\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x68"],
        ["\xE3\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC9"],

        ["\x64\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x69"],
        ["\xE3\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD1"],

        ["\x64\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x6A"],
        ["\xE3\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD2"],

        ["\x64\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x6B"],
        ["\xE3\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD3"],

        ["\x64\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x6C"],
        ["\xE3\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD4"],

        ["\x64\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x6D"],
        ["\xE3\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD5"],

        ["\x64\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x6E"],
        ["\xE3\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD6"],

        ["\x64\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x6F"],
        ["\xE3\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD7"],

        ["\x64\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x70"],
        ["\xE3\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD8"],

        ["\x64\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x71"],
        ["\xE3\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD9"],

        ["\x64\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x72"],
        ["\xE3\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE2"],

        ["\x64\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x73"],
        ["\xE3\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE3"],

        ["\x64\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x74"],
        ["\xE3\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE4"],

        ["\x64\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x75"],
        ["\xE3\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE5"],

        ["\x64\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x76"],
        ["\xE3\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE6"],

        ["\x64\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x77"],
        ["\xE3\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE7"],

        ["\x64\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x78"],
        ["\xE3\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE8"],

        ["\x64\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x79"],
        ["\xE3\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xE9"],

        ["\x64\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x7A"],
        ["\xE3\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x4A"],

        ["\x64\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x7B"],
        ["\xE3\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5B"],

        ["\x64\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x7C"],
        ["\xE3\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5A"],

        ["\x64\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x7D"],
        ["\xE3\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x5F"],

        ["\x64\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x7E"],
        ["\xE3\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6D"],

        ["\x64\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80"],
        ["\xE3\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x79"],

        ["\x64\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81"],
        ["\xE3\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x57"],

        ["\x64\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82"],
        ["\xE3\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x59"],

        ["\x64\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83"],
        ["\xE3\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x62"],

        ["\x64\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x84"],
        ["\xE3\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x63"],

        ["\x64\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x85"],
        ["\xE3\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x64"],

        ["\x64\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x86"],
        ["\xE3\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x65"],

        ["\x64\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87"],
        ["\xE3\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x66"],

        ["\x64\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x88"],
        ["\xE3\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x67"],

        ["\x64\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89"],
        ["\xE3\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x68"],

        ["\x64\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A"],
        ["\xE3\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x69"],

        ["\x64\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B"],
        ["\xE3\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x70"],

        ["\x64\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C"],
        ["\xE3\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x71"],

        ["\x64\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D"],
        ["\xE3\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x72"],

        ["\x64\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E"],
        ["\xE3\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x73"],

        ["\x64\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8F"],
        ["\xE3\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x74"],

        ["\x64\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x90"],
        ["\xE3\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x75"],

        ["\x64\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x91"],
        ["\xE3\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x76"],

        ["\x64\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x92"],
        ["\xE3\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x77"],

        ["\x64\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x93"],
        ["\xE3\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x78"],

        ["\x64\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x94"],
        ["\xE3\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x80"],

        ["\x64\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x95"],
        ["\xE3\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x8B"],

        ["\x64\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x96"],
        ["\xE3\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x9B"],

        ["\x64\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x97"],
        ["\xE3\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x9C"],

        ["\x64\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x98"],
        ["\xE3\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA0"],

        ["\x64\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x99"],
        ["\xE3\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xAB"],

        ["\x64\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9A"],
        ["\xE3\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xB0"],

        ["\x64\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9B"],
        ["\xE3\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xC0"],

        ["\x64\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9C"],
        ["\xE3\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\x6A"],

        ["\x64\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D"],
        ["\xE3\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xD0"],

        ["\x64\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9E"],
        ["\xE3\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x64\xA1"],

        ["\x65\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F"],
        ["\xE3\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4F"],

        ["\x65\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0"],
        ["\xE3\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7F"],

        ["\x65\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],
        ["\xE3\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7B"],

        ["\x65\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA2"],
        ["\xE3\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE0"],

        ["\x65\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3"],
        ["\xE3\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6C"],

        ["\x65\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4"],
        ["\xE3\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x50"],

        ["\x65\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5"],
        ["\xE3\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7D"],

        ["\x65\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA6"],
        ["\xE3\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4D"],

        ["\x65\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA7"],
        ["\xE3\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5D"],

        ["\x65\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA8"],
        ["\xE3\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5C"],

        ["\x65\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9"],
        ["\xE3\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4E"],

        ["\x65\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAA"],
        ["\xE3\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6B"],

        ["\x65\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],
        ["\xE3\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x60"],

        ["\x65\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC"],
        ["\xE3\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4B"],

        ["\x65\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD"],
        ["\xE3\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x61"],

        ["\x65\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE"],
        ["\xE3\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF0"],

        ["\x65\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF"],
        ["\xE3\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF1"],

        ["\x65\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],
        ["\xE3\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF2"],

        ["\x65\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB1"],
        ["\xE3\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF3"],

        ["\x65\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB2"],
        ["\xE3\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF4"],

        ["\x65\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3"],
        ["\xE3\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF5"],

        ["\x65\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4"],
        ["\xE3\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF6"],

        ["\x65\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5"],
        ["\xE3\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF7"],

        ["\x65\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6"],
        ["\xE3\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF8"],

        ["\x65\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7"],
        ["\xE3\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xF9"],

        ["\x65\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8"],
        ["\xE3\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7A"],

        ["\x65\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9"],
        ["\xE3\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5E"],

        ["\x65\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA"],
        ["\xE3\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4C"],

        ["\x65\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBB"],
        ["\xE3\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7E"],

        ["\x65\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBC"],
        ["\xE3\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6E"],

        ["\x65\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD"],
        ["\xE3\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6F"],

        ["\x65\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE"],
        ["\xE3\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x7C"],

        ["\x65\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF"],
        ["\xE3\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC1"],

        ["\x65\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],
        ["\xE3\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC2"],

        ["\x65\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],
        ["\xE3\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC3"],

        ["\x65\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],
        ["\xE3\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC4"],

        ["\x65\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],
        ["\xE3\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC5"],

        ["\x65\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],
        ["\xE3\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC6"],

        ["\x65\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],
        ["\xE3\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC7"],

        ["\x65\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],
        ["\xE3\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC8"],

        ["\x65\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],
        ["\xE3\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC9"],

        ["\x65\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],
        ["\xE3\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD1"],

        ["\x65\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],
        ["\xE3\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD2"],

        ["\x65\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCA"],
        ["\xE3\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD3"],

        ["\x65\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCB"],
        ["\xE3\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD4"],

        ["\x65\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCC"],
        ["\xE3\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD5"],

        ["\x65\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCD"],
        ["\xE3\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD6"],

        ["\x65\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCE"],
        ["\xE3\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD7"],

        ["\x65\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xCF"],
        ["\xE3\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD8"],

        ["\x65\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],
        ["\xE3\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD9"],

        ["\x65\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],
        ["\xE3\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE2"],

        ["\x65\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],
        ["\xE3\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE3"],

        ["\x65\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],
        ["\xE3\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE4"],

        ["\x65\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],
        ["\xE3\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE5"],

        ["\x65\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],
        ["\xE3\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE6"],

        ["\x65\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],
        ["\xE3\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE7"],

        ["\x65\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],
        ["\xE3\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE8"],

        ["\x65\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],
        ["\xE3\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xE9"],

        ["\x65\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],
        ["\xE3\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x4A"],

        ["\x65\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDA"],
        ["\xE3\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5B"],

        ["\x65\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDB"],
        ["\xE3\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5A"],

        ["\x65\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDC"],
        ["\xE3\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x5F"],

        ["\x65\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDD"],
        ["\xE3\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6D"],

        ["\x65\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDE"],
        ["\xE3\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x79"],

        ["\x65\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xDF"],
        ["\xE3\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x57"],

        ["\x65\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],
        ["\xE3\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x59"],

        ["\x65\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],
        ["\xE3\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x62"],

        ["\x65\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],
        ["\xE3\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x63"],

        ["\x65\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],
        ["\xE3\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x64"],

        ["\x65\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],
        ["\xE3\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x65"],

        ["\x65\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],
        ["\xE3\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x66"],

        ["\x65\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],
        ["\xE3\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x67"],

        ["\x65\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],
        ["\xE3\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x68"],

        ["\x65\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],
        ["\xE3\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x69"],

        ["\x65\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],
        ["\xE3\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x70"],

        ["\x65\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEA"],
        ["\xE3\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x71"],

        ["\x65\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEB"],
        ["\xE3\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x72"],

        ["\x65\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],
        ["\xE3\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x73"],

        ["\x65\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],
        ["\xE3\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x74"],

        ["\x65\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEE"],
        ["\xE3\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x75"],

        ["\x65\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xEF"],
        ["\xE3\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x76"],

        ["\x65\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],
        ["\xE3\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x77"],

        ["\x65\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],
        ["\xE3\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x78"],

        ["\x65\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],
        ["\xE3\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x80"],

        ["\x65\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],
        ["\xE3\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x8B"],

        ["\x65\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],
        ["\xE3\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x9B"],

        ["\x65\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],
        ["\xE3\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x9C"],

        ["\x65\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],
        ["\xE3\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA0"],

        ["\x65\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],
        ["\xE3\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xAB"],

        ["\x65\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],
        ["\xE3\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xB0"],

        ["\x65\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],
        ["\xE3\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xC0"],

        ["\x65\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],
        ["\xE3\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\x6A"],

        ["\x65\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xFB"],
        ["\xE3\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xD0"],

        ["\x65\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xFC"],
        ["\xE3\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x65\xA1"],

        ["\x66\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x40"],
        ["\xE4\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4F"],

        ["\x66\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x41"],
        ["\xE4\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7F"],

        ["\x66\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x42"],
        ["\xE4\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7B"],

        ["\x66\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x43"],
        ["\xE4\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE0"],

        ["\x66\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x44"],
        ["\xE4\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6C"],

        ["\x66\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x45"],
        ["\xE4\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x50"],

        ["\x66\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x46"],
        ["\xE4\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7D"],

        ["\x66\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x47"],
        ["\xE4\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4D"],

        ["\x66\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x48"],
        ["\xE4\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5D"],

        ["\x66\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x49"],
        ["\xE4\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5C"],

        ["\x66\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x4A"],
        ["\xE4\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4E"],

        ["\x66\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x4B"],
        ["\xE4\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6B"],

        ["\x66\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x4C"],
        ["\xE4\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x60"],

        ["\x66\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x4D"],
        ["\xE4\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4B"],

        ["\x66\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x4E"],
        ["\xE4\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x61"],

        ["\x66\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x4F"],
        ["\xE4\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF0"],

        ["\x66\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x50"],
        ["\xE4\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF1"],

        ["\x66\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x51"],
        ["\xE4\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF2"],

        ["\x66\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x52"],
        ["\xE4\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF3"],

        ["\x66\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x53"],
        ["\xE4\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF4"],

        ["\x66\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x54"],
        ["\xE4\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF5"],

        ["\x66\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x55"],
        ["\xE4\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF6"],

        ["\x66\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x56"],
        ["\xE4\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF7"],

        ["\x66\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x57"],
        ["\xE4\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF8"],

        ["\x66\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x58"],
        ["\xE4\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xF9"],

        ["\x66\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x59"],
        ["\xE4\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7A"],

        ["\x66\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x5A"],
        ["\xE4\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5E"],

        ["\x66\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x5B"],
        ["\xE4\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4C"],

        ["\x66\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x5C"],
        ["\xE4\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7E"],

        ["\x66\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x5D"],
        ["\xE4\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6E"],

        ["\x66\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x5E"],
        ["\xE4\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6F"],

        ["\x66\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x5F"],
        ["\xE4\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x7C"],

        ["\x66\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x60"],
        ["\xE4\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC1"],

        ["\x66\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x61"],
        ["\xE4\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC2"],

        ["\x66\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x62"],
        ["\xE4\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC3"],

        ["\x66\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x63"],
        ["\xE4\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC4"],

        ["\x66\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x64"],
        ["\xE4\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC5"],

        ["\x66\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x65"],
        ["\xE4\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC6"],

        ["\x66\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x66"],
        ["\xE4\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC7"],

        ["\x66\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x67"],
        ["\xE4\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC8"],

        ["\x66\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x68"],
        ["\xE4\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC9"],

        ["\x66\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x69"],
        ["\xE4\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD1"],

        ["\x66\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x6A"],
        ["\xE4\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD2"],

        ["\x66\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x6B"],
        ["\xE4\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD3"],

        ["\x66\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x6C"],
        ["\xE4\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD4"],

        ["\x66\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x6D"],
        ["\xE4\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD5"],

        ["\x66\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x6E"],
        ["\xE4\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD6"],

        ["\x66\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x6F"],
        ["\xE4\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD7"],

        ["\x66\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x70"],
        ["\xE4\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD8"],

        ["\x66\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x71"],
        ["\xE4\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD9"],

        ["\x66\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x72"],
        ["\xE4\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE2"],

        ["\x66\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x73"],
        ["\xE4\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE3"],

        ["\x66\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x74"],
        ["\xE4\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE4"],

        ["\x66\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x75"],
        ["\xE4\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE5"],

        ["\x66\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x76"],
        ["\xE4\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE6"],

        ["\x66\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x77"],
        ["\xE4\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE7"],

        ["\x66\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x78"],
        ["\xE4\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE8"],

        ["\x66\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x79"],
        ["\xE4\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xE9"],

        ["\x66\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x7A"],
        ["\xE4\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x4A"],

        ["\x66\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x7B"],
        ["\xE4\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5B"],

        ["\x66\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x7C"],
        ["\xE4\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5A"],

        ["\x66\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x7D"],
        ["\xE4\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x5F"],

        ["\x66\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x7E"],
        ["\xE4\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6D"],

        ["\x66\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x80"],
        ["\xE4\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x79"],

        ["\x66\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x81"],
        ["\xE4\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x57"],

        ["\x66\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x82"],
        ["\xE4\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x59"],

        ["\x66\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x83"],
        ["\xE4\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x62"],

        ["\x66\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x84"],
        ["\xE4\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x63"],

        ["\x66\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x85"],
        ["\xE4\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x64"],

        ["\x66\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x86"],
        ["\xE4\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x65"],

        ["\x66\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x87"],
        ["\xE4\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x66"],

        ["\x66\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x88"],
        ["\xE4\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x67"],

        ["\x66\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x89"],
        ["\xE4\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x68"],

        ["\x66\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8A"],
        ["\xE4\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x69"],

        ["\x66\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B"],
        ["\xE4\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x70"],

        ["\x66\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8C"],
        ["\xE4\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x71"],

        ["\x66\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8D"],
        ["\xE4\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x72"],

        ["\x66\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8E"],
        ["\xE4\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x73"],

        ["\x66\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8F"],
        ["\xE4\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x74"],

        ["\x66\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x90"],
        ["\xE4\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x75"],

        ["\x66\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x91"],
        ["\xE4\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x76"],

        ["\x66\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x92"],
        ["\xE4\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x77"],

        ["\x66\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x93"],
        ["\xE4\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x78"],

        ["\x66\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x94"],
        ["\xE4\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x80"],

        ["\x66\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x95"],
        ["\xE4\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x8B"],

        ["\x66\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x96"],
        ["\xE4\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x9B"],

        ["\x66\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x97"],
        ["\xE4\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x9C"],

        ["\x66\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x98"],
        ["\xE4\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA0"],

        ["\x66\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x99"],
        ["\xE4\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xAB"],

        ["\x66\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9A"],
        ["\xE4\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xB0"],

        ["\x66\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9B"],
        ["\xE4\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xC0"],

        ["\x66\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9C"],
        ["\xE4\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\x6A"],

        ["\x66\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9D"],
        ["\xE4\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xD0"],

        ["\x66\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9E"],
        ["\xE4\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x66\xA1"],

        ["\x67\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9F"],
        ["\xE4\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4F"],

        ["\x67\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA0"],
        ["\xE4\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7F"],

        ["\x67\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],
        ["\xE4\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7B"],

        ["\x67\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2"],
        ["\xE4\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE0"],

        ["\x67\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA3"],
        ["\xE4\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6C"],

        ["\x67\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA4"],
        ["\xE4\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x50"],

        ["\x67\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA5"],
        ["\xE4\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7D"],

        ["\x67\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6"],
        ["\xE4\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4D"],

        ["\x67\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7"],
        ["\xE4\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5D"],

        ["\x67\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8"],
        ["\xE4\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5C"],

        ["\x67\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA9"],
        ["\xE4\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4E"],

        ["\x67\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA"],
        ["\xE4\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6B"],

        ["\x67\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],
        ["\xE4\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x60"],

        ["\x67\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC"],
        ["\xE4\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4B"],

        ["\x67\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAD"],
        ["\xE4\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x61"],

        ["\x67\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAE"],
        ["\xE4\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF0"],

        ["\x67\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF"],
        ["\xE4\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF1"],

        ["\x67\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],
        ["\xE4\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF2"],

        ["\x67\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB1"],
        ["\xE4\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF3"],

        ["\x67\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB2"],
        ["\xE4\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF4"],

        ["\x67\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3"],
        ["\xE4\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF5"],

        ["\x67\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4"],
        ["\xE4\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF6"],

        ["\x67\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5"],
        ["\xE4\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF7"],

        ["\x67\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB6"],
        ["\xE4\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF8"],

        ["\x67\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB7"],
        ["\xE4\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xF9"],

        ["\x67\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8"],
        ["\xE4\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7A"],

        ["\x67\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9"],
        ["\xE4\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5E"],

        ["\x67\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA"],
        ["\xE4\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4C"],

        ["\x67\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB"],
        ["\xE4\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7E"],

        ["\x67\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC"],
        ["\xE4\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6E"],

        ["\x67\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD"],
        ["\xE4\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6F"],

        ["\x67\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],
        ["\xE4\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x7C"],

        ["\x67\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],
        ["\xE4\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC1"],

        ["\x67\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],
        ["\xE4\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC2"],

        ["\x67\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],
        ["\xE4\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC3"],

        ["\x67\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],
        ["\xE4\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC4"],

        ["\x67\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],
        ["\xE4\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC5"],

        ["\x67\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],
        ["\xE4\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC6"],

        ["\x67\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],
        ["\xE4\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC7"],

        ["\x67\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],
        ["\xE4\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC8"],

        ["\x67\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],
        ["\xE4\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC9"],

        ["\x67\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],
        ["\xE4\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD1"],

        ["\x67\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],
        ["\xE4\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD2"],

        ["\x67\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],
        ["\xE4\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD3"],

        ["\x67\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],
        ["\xE4\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD4"],

        ["\x67\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],
        ["\xE4\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD5"],

        ["\x67\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCD"],
        ["\xE4\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD6"],

        ["\x67\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCE"],
        ["\xE4\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD7"],

        ["\x67\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xCF"],
        ["\xE4\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD8"],

        ["\x67\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],
        ["\xE4\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD9"],

        ["\x67\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],
        ["\xE4\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE2"],

        ["\x67\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],
        ["\xE4\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE3"],

        ["\x67\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],
        ["\xE4\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE4"],

        ["\x67\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],
        ["\xE4\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE5"],

        ["\x67\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],
        ["\xE4\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE6"],

        ["\x67\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],
        ["\xE4\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE7"],

        ["\x67\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],
        ["\xE4\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE8"],

        ["\x67\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],
        ["\xE4\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xE9"],

        ["\x67\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],
        ["\xE4\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x4A"],

        ["\x67\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDA"],
        ["\xE4\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5B"],

        ["\x67\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDB"],
        ["\xE4\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5A"],

        ["\x67\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDC"],
        ["\xE4\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x5F"],

        ["\x67\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDD"],
        ["\xE4\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6D"],

        ["\x67\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDE"],
        ["\xE4\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x79"],

        ["\x67\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xDF"],
        ["\xE4\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x57"],

        ["\x67\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],
        ["\xE4\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x59"],

        ["\x67\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE1"],
        ["\xE4\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x62"],

        ["\x67\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],
        ["\xE4\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x63"],

        ["\x67\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],
        ["\xE4\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x64"],

        ["\x67\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],
        ["\xE4\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x65"],

        ["\x67\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],
        ["\xE4\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x66"],

        ["\x67\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],
        ["\xE4\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x67"],

        ["\x67\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],
        ["\xE4\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x68"],

        ["\x67\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],
        ["\xE4\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x69"],

        ["\x67\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],
        ["\xE4\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x70"],

        ["\x67\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEA"],
        ["\xE4\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x71"],

        ["\x67\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEB"],
        ["\xE4\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x72"],

        ["\x67\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEC"],
        ["\xE4\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x73"],

        ["\x67\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xED"],
        ["\xE4\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x74"],

        ["\x67\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEE"],
        ["\xE4\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x75"],

        ["\x67\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xEF"],
        ["\xE4\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x76"],

        ["\x67\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],
        ["\xE4\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x77"],

        ["\x67\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],
        ["\xE4\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x78"],

        ["\x67\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],
        ["\xE4\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x80"],

        ["\x67\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],
        ["\xE4\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x8B"],

        ["\x67\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],
        ["\xE4\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x9B"],

        ["\x67\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],
        ["\xE4\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x9C"],

        ["\x67\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],
        ["\xE4\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA0"],

        ["\x67\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],
        ["\xE4\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xAB"],

        ["\x67\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],
        ["\xE4\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xB0"],

        ["\x67\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],
        ["\xE4\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xC0"],

        ["\x67\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xFA"],
        ["\xE4\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\x6A"],

        ["\x67\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xFB"],
        ["\xE4\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xD0"],

        ["\x67\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xFC"],
        ["\xE4\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x67\xA1"],

        ["\x68\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x40"],
        ["\xE5\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4F"],

        ["\x4C\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x41"],
        ["\xE5\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x4C\xC9"],

        ["\x68\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x42"],
        ["\xE5\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7B"],

        ["\x68\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x43"],
        ["\xE5\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xE0"],

        ["\x68\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x44"],
        ["\xE5\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6C"],

        ["\x68\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x45"],
        ["\xE5\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x50"],

        ["\x68\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x46"],
        ["\xE5\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7D"],

        ["\x68\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x47"],
        ["\xE5\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4D"],

        ["\x68\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x48"],
        ["\xE5\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5D"],

        ["\x68\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x49"],
        ["\xE5\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5C"],

        ["\x68\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x4A"],
        ["\xE5\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4E"],

        ["\x68\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x4B"],
        ["\xE5\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6B"],

        ["\x68\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x4C"],
        ["\xE5\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x60"],

        ["\xD3\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x4D"],
        ["\xE5\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD3\xAB"],

        ["\x68\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x4E"],
        ["\xE5\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x61"],

        ["\x68\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x4F"],
        ["\xE5\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF0"],

        ["\x68\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x50"],
        ["\xE5\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF1"],

        ["\x68\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x51"],
        ["\xE5\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF2"],

        ["\x68\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x52"],
        ["\xE5\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF3"],

        ["\x68\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x53"],
        ["\xE5\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF4"],

        ["\x68\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x54"],
        ["\xE5\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF5"],

        ["\x68\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x55"],
        ["\xE5\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF6"],

        ["\x68\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x56"],
        ["\xE5\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF7"],

        ["\x68\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x57"],
        ["\xE5\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF8"],

        ["\x68\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x58"],
        ["\xE5\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xF9"],

        ["\x68\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x59"],
        ["\xE5\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7A"],

        ["\x68\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x5A"],
        ["\xE5\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5E"],

        ["\x68\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x5B"],
        ["\xE5\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4C"],

        ["\x68\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x5C"],
        ["\xE5\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7E"],

        ["\x68\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x5D"],
        ["\xE5\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6E"],

        ["\x68\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x5E"],
        ["\xE5\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6F"],

        ["\x68\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x5F"],
        ["\xE5\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x7C"],

        ["\x68\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x60"],
        ["\xE5\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC1"],

        ["\x68\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x61"],
        ["\xE5\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC2"],

        ["\x68\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x62"],
        ["\xE5\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC3"],

        ["\x68\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x63"],
        ["\xE5\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC4"],

        ["\x68\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x64"],
        ["\xE5\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC5"],

        ["\x68\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x65"],
        ["\xE5\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC6"],

        ["\x68\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x66"],
        ["\xE5\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC7"],

        ["\x68\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x67"],
        ["\xE5\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC8"],

        ["\x68\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x68"],
        ["\xE5\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC9"],

        ["\x68\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x69"],
        ["\xE5\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD1"],

        ["\x68\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x6A"],
        ["\xE5\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD2"],

        ["\x68\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x6B"],
        ["\xE5\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD3"],

        ["\x68\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x6C"],
        ["\xE5\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD4"],

        ["\x68\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x6D"],
        ["\xE5\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD5"],

        ["\x68\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x6E"],
        ["\xE5\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD6"],

        ["\x68\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x6F"],
        ["\xE5\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD7"],

        ["\x68\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x70"],
        ["\xE5\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD8"],

        ["\x68\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x71"],
        ["\xE5\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD9"],

        ["\x68\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x72"],
        ["\xE5\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xE2"],

        ["\x68\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x73"],
        ["\xE5\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xE3"],

        ["\x68\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x74"],
        ["\xE5\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xE4"],

        ["\x68\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x75"],
        ["\xE5\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xE5"],

        ["\x68\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x76"],
        ["\xE5\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xE6"],

        ["\x68\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x77"],
        ["\xE5\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xE7"],

        ["\x68\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x78"],
        ["\xE5\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xE8"],

        ["\xF3\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x79"],
        ["\xE5\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF3\xC2"],

        ["\x68\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x7A"],
        ["\xE5\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x4A"],

        ["\x68\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x7B"],
        ["\xE5\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5B"],

        ["\x68\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x7C"],
        ["\xE5\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5A"],

        ["\x68\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x7D"],
        ["\xE5\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x5F"],

        ["\x68\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x7E"],
        ["\xE5\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6D"],

        ["\x68\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80"],
        ["\xE5\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x79"],

        ["\x68\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81"],
        ["\xE5\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x57"],

        ["\x68\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82"],
        ["\xE5\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x59"],

        ["\x68\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83"],
        ["\xE5\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x62"],

        ["\x68\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84"],
        ["\xE5\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x63"],

        ["\x68\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85"],
        ["\xE5\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x64"],

        ["\x68\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86"],
        ["\xE5\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x65"],

        ["\x68\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87"],
        ["\xE5\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x66"],

        ["\x68\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88"],
        ["\xE5\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x67"],

        ["\x68\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89"],
        ["\xE5\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x68"],

        ["\x68\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A"],
        ["\xE5\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x69"],

        ["\x68\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B"],
        ["\xE5\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x70"],

        ["\x68\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C"],
        ["\xE5\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x71"],

        ["\x68\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D"],
        ["\xE5\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x72"],

        ["\x68\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E"],
        ["\xE5\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x73"],

        ["\x68\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F"],
        ["\xE5\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x74"],

        ["\x68\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90"],
        ["\xE5\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x75"],

        ["\x68\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91"],
        ["\xE5\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x76"],

        ["\x68\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92"],
        ["\xE5\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x77"],

        ["\x68\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93"],
        ["\xE5\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x78"],

        ["\x68\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94"],
        ["\xE5\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x80"],

        ["\x68\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95"],
        ["\xE5\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x8B"],

        ["\x68\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96"],
        ["\xE5\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x9B"],

        ["\x68\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97"],
        ["\xE5\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x9C"],

        ["\x68\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98"],
        ["\xE5\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xA0"],

        ["\x68\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99"],
        ["\xE5\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xAB"],

        ["\x68\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A"],
        ["\xE5\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xB0"],

        ["\x68\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B"],
        ["\xE5\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xC0"],

        ["\x68\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C"],
        ["\xE5\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\x6A"],

        ["\x68\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D"],
        ["\xE5\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xD0"],

        ["\x68\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E"],
        ["\xE5\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x68\xA1"],

        ["\x69\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F"],
        ["\xE5\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4F"],

        ["\x69\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0"],
        ["\xE5\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x7F"],

        ["\x69\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],
        ["\xE5\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x7B"],

        ["\xC7\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2"],
        ["\xE5\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC7\x67"],

        ["\x69\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3"],
        ["\xE5\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x6C"],

        ["\x69\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4"],
        ["\xE5\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x50"],

        ["\x69\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5"],
        ["\xE5\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x7D"],

        ["\x69\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6"],
        ["\xE5\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4D"],

        ["\x69\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7"],
        ["\xE5\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x5D"],

        ["\x69\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8"],
        ["\xE5\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x5C"],

        ["\x69\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9"],
        ["\xE5\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4E"],

        ["\x69\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA"],
        ["\xE5\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x6B"],

        ["\x69\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],
        ["\xE5\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x60"],

        ["\x69\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC"],
        ["\xE5\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4B"],

        ["\x69\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD"],
        ["\xE5\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x61"],

        ["\x69\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE"],
        ["\xE5\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF0"],

        ["\x69\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF"],
        ["\xE5\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF1"],

        ["\x69\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],
        ["\xE5\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF2"],

        ["\x69\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1"],
        ["\xE5\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF3"],

        ["\x69\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],
        ["\xE5\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF4"],

        ["\x69\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3"],
        ["\xE5\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF5"],

        ["\x69\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4"],
        ["\xE5\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF6"],

        ["\x69\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5"],
        ["\xE5\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF7"],

        ["\x69\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6"],
        ["\xE5\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF8"],

        ["\x69\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7"],
        ["\xE5\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xF9"],

        ["\x69\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8"],
        ["\xE5\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x7A"],

        ["\x69\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9"],
        ["\xE5\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x5E"],

        ["\x69\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA"],
        ["\xE5\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4C"],

        ["\x69\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB"],
        ["\xE5\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x7E"],

        ["\x69\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC"],
        ["\xE5\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x6E"],

        ["\x69\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD"],
        ["\xE5\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x6F"],

        ["\x69\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE"],
        ["\xE5\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x7C"],

        ["\x69\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF"],
        ["\xE5\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC1"],

        ["\x69\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],
        ["\xE5\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC2"],

        ["\x69\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],
        ["\xE5\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC3"],

        ["\x69\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],
        ["\xE5\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC4"],

        ["\x69\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],
        ["\xE5\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC5"],

        ["\x69\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],
        ["\xE5\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC6"],

        ["\x69\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],
        ["\xE5\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC7"],

        ["\x69\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],
        ["\xE5\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC8"],

        ["\x69\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],
        ["\xE5\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC9"],

        ["\x69\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],
        ["\xE5\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD1"],

        ["\x69\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],
        ["\xE5\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD2"],

        ["\x69\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCA"],
        ["\xE5\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD3"],

        ["\x69\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCB"],
        ["\xE5\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD4"],

        ["\x69\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCC"],
        ["\xE5\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD5"],

        ["\x69\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCD"],
        ["\xE5\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD6"],

        ["\x69\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCE"],
        ["\xE5\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD7"],

        ["\x69\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xCF"],
        ["\xE5\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD8"],

        ["\x69\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],
        ["\xE5\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD9"],

        ["\x69\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],
        ["\xE5\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xE2"],

        ["\x69\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],
        ["\xE5\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xE3"],

        ["\x69\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],
        ["\xE5\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xE4"],

        ["\x69\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],
        ["\xE5\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xE5"],

        ["\x69\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],
        ["\xE5\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xE6"],

        ["\x69\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],
        ["\xE5\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xE7"],

        ["\x69\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],
        ["\xE5\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xE8"],

        ["\x69\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],
        ["\xE5\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xE9"],

        ["\x69\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],
        ["\xE5\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x4A"],

        ["\x69\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDA"],
        ["\xE5\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x5B"],

        ["\x69\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDB"],
        ["\xE5\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x5A"],

        ["\x69\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDC"],
        ["\xE5\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x5F"],

        ["\x69\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDD"],
        ["\xE5\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x6D"],

        ["\x69\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDE"],
        ["\xE5\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x79"],

        ["\x69\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xDF"],
        ["\xE5\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x57"],

        ["\x69\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],
        ["\xE5\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x59"],

        ["\x69\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE1"],
        ["\xE5\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x62"],

        ["\x69\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],
        ["\xE5\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x63"],

        ["\x69\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],
        ["\xE5\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x64"],

        ["\x69\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],
        ["\xE5\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x65"],

        ["\x69\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],
        ["\xE5\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x66"],

        ["\x69\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],
        ["\xE5\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x67"],

        ["\x69\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],
        ["\xE5\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x68"],

        ["\x69\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],
        ["\xE5\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x69"],

        ["\x69\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],
        ["\xE5\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x70"],

        ["\x69\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEA"],
        ["\xE5\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x71"],

        ["\x69\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEB"],
        ["\xE5\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x72"],

        ["\x69\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEC"],
        ["\xE5\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x73"],

        ["\x69\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xED"],
        ["\xE5\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x74"],

        ["\x69\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEE"],
        ["\xE5\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x75"],

        ["\x69\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],
        ["\xE5\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x76"],

        ["\x69\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],
        ["\xE5\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x77"],

        ["\x69\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],
        ["\xE5\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x78"],

        ["\x69\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],
        ["\xE5\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x80"],

        ["\x69\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],
        ["\xE5\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x8B"],

        ["\x69\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],
        ["\xE5\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x9B"],

        ["\x69\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],
        ["\xE5\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x9C"],

        ["\x69\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],
        ["\xE5\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xA0"],

        ["\x69\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],
        ["\xE5\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xAB"],

        ["\x69\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],
        ["\xE5\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xB0"],

        ["\x69\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],
        ["\xE5\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xC0"],

        ["\x69\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xFA"],
        ["\xE5\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\x6A"],

        ["\x69\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xFB"],
        ["\xE5\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xD0"],

        ["\x69\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xFC"],
        ["\xE5\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x69\xA1"],

        ["\x70\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x40"],
        ["\xE6\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x4F"],

        ["\x70\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x41"],
        ["\xE6\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x7F"],

        ["\x70\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x42"],
        ["\xE6\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x7B"],

        ["\x70\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x43"],
        ["\xE6\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xE0"],

        ["\x70\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x44"],
        ["\xE6\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x6C"],

        ["\x70\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x45"],
        ["\xE6\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x50"],

        ["\x70\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x46"],
        ["\xE6\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x7D"],

        ["\x70\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x47"],
        ["\xE6\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x4D"],

        ["\x70\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x48"],
        ["\xE6\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x5D"],

        ["\x70\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x49"],
        ["\xE6\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x5C"],

        ["\x70\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x4A"],
        ["\xE6\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x4E"],

        ["\x70\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x4B"],
        ["\xE6\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x6B"],

        ["\x70\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x4C"],
        ["\xE6\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x60"],

        ["\x70\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x4D"],
        ["\xE6\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x4B"],

        ["\x70\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x4E"],
        ["\xE6\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x61"],

        ["\x70\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x4F"],
        ["\xE6\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF0"],

        ["\x70\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x50"],
        ["\xE6\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF1"],

        ["\x70\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x51"],
        ["\xE6\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF2"],

        ["\x70\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x52"],
        ["\xE6\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF3"],

        ["\x70\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x53"],
        ["\xE6\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF4"],

        ["\x70\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x54"],
        ["\xE6\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF5"],

        ["\x70\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x55"],
        ["\xE6\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF6"],

        ["\x70\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x56"],
        ["\xE6\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF7"],

        ["\x70\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x57"],
        ["\xE6\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF8"],

        ["\x70\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x58"],
        ["\xE6\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xF9"],

        ["\x70\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x59"],
        ["\xE6\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x7A"],

        ["\x70\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x5A"],
        ["\xE6\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x5E"],

        ["\x70\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x5B"],
        ["\xE6\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x4C"],

        ["\x70\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x5C"],
        ["\xE6\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x7E"],

        ["\x70\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x5D"],
        ["\xE6\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x6E"],

        ["\x70\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x5E"],
        ["\xE6\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x6F"],

        ["\x70\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x5F"],
        ["\xE6\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x7C"],

        ["\x70\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x60"],
        ["\xE6\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC1"],

        ["\x70\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x61"],
        ["\xE6\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC2"],

        ["\x70\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x62"],
        ["\xE6\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC3"],

        ["\x70\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x63"],
        ["\xE6\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC4"],

        ["\x70\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x64"],
        ["\xE6\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC5"],

        ["\x70\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x65"],
        ["\xE6\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC6"],

        ["\x70\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x66"],
        ["\xE6\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC7"],

        ["\x70\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x67"],
        ["\xE6\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC8"],

        ["\x70\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x68"],
        ["\xE6\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC9"],

        ["\x70\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x69"],
        ["\xE6\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD1"],

        ["\x70\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x6A"],
        ["\xE6\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD2"],

        ["\x70\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x6B"],
        ["\xE6\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD3"],

        ["\x70\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x6C"],
        ["\xE6\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD4"],

        ["\x70\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x6D"],
        ["\xE6\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD5"],

        ["\x70\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x6E"],
        ["\xE6\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD6"],

        ["\x70\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x6F"],
        ["\xE6\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD7"],

        ["\x70\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x70"],
        ["\xE6\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD8"],

        ["\x70\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x71"],
        ["\xE6\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD9"],

        ["\x70\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x72"],
        ["\xE6\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xE2"],

        ["\x70\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x73"],
        ["\xE6\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xE3"],

        ["\x70\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x74"],
        ["\xE6\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xE4"],

        ["\x70\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x75"],
        ["\xE6\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xE5"],

        ["\x70\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x76"],
        ["\xE6\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xE6"],

        ["\x70\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x77"],
        ["\xE6\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xE7"],

        ["\x70\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x78"],
        ["\xE6\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xE8"],

        ["\x70\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x79"],
        ["\xE6\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xE9"],

        ["\x70\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x7A"],
        ["\xE6\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x4A"],

        ["\x70\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x7B"],
        ["\xE6\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x5B"],

        ["\xF4\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x7C"],
        ["\xE6\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF4\xD9"],

        ["\x70\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x7D"],
        ["\xE6\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x5F"],

        ["\x70\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x7E"],
        ["\xE6\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x6D"],

        ["\x70\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80"],
        ["\xE6\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x79"],

        ["\x70\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81"],
        ["\xE6\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x57"],

        ["\x70\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82"],
        ["\xE6\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x59"],

        ["\x70\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83"],
        ["\xE6\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x62"],

        ["\x70\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84"],
        ["\xE6\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x63"],

        ["\x70\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85"],
        ["\xE6\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x64"],

        ["\x70\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86"],
        ["\xE6\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x65"],

        ["\x70\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87"],
        ["\xE6\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x66"],

        ["\x70\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88"],
        ["\xE6\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x67"],

        ["\x70\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89"],
        ["\xE6\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x68"],

        ["\x70\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A"],
        ["\xE6\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x69"],

        ["\x70\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B"],
        ["\xE6\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x70"],

        ["\x70\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C"],
        ["\xE6\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x71"],

        ["\x70\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D"],
        ["\xE6\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x72"],

        ["\x70\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E"],
        ["\xE6\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x73"],

        ["\x70\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F"],
        ["\xE6\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x74"],

        ["\x70\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90"],
        ["\xE6\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x75"],

        ["\x70\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91"],
        ["\xE6\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x76"],

        ["\x70\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92"],
        ["\xE6\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x77"],

        ["\x70\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93"],
        ["\xE6\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x78"],

        ["\x70\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94"],
        ["\xE6\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x80"],

        ["\x70\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95"],
        ["\xE6\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x8B"],

        ["\x70\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96"],
        ["\xE6\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x9B"],

        ["\x70\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97"],
        ["\xE6\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x9C"],

        ["\x70\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98"],
        ["\xE6\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xA0"],

        ["\x70\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99"],
        ["\xE6\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xAB"],

        ["\x70\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A"],
        ["\xE6\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xB0"],

        ["\x70\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B"],
        ["\xE6\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xC0"],

        ["\x70\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C"],
        ["\xE6\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\x6A"],

        ["\x70\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D"],
        ["\xE6\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xD0"],

        ["\x70\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E"],
        ["\xE6\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x70\xA1"],

        ["\x71\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F"],
        ["\xE6\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x4F"],

        ["\x71\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0"],
        ["\xE6\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x7F"],

        ["\x71\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],
        ["\xE6\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x7B"],

        ["\x71\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2"],
        ["\xE6\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xE0"],

        ["\x71\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3"],
        ["\xE6\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x6C"],

        ["\x71\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4"],
        ["\xE6\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x50"],

        ["\x71\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5"],
        ["\xE6\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x7D"],

        ["\x71\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],
        ["\xE6\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x4D"],

        ["\x71\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],
        ["\xE6\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x5D"],

        ["\x71\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],
        ["\xE6\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x5C"],

        ["\x71\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],
        ["\xE6\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x4E"],

        ["\x71\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA"],
        ["\xE6\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x6B"],

        ["\x71\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],
        ["\xE6\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x60"],

        ["\x71\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],
        ["\xE6\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x4B"],

        ["\x71\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD"],
        ["\xE6\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x61"],

        ["\x71\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],
        ["\xE6\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF0"],

        ["\x71\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],
        ["\xE6\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF1"],

        ["\x71\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],
        ["\xE6\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF2"],

        ["\x71\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1"],
        ["\xE6\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF3"],

        ["\x71\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2"],
        ["\xE6\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF4"],

        ["\x71\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],
        ["\xE6\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF5"],

        ["\x71\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],
        ["\xE6\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF6"],

        ["\x71\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],
        ["\xE6\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF7"],

        ["\x71\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6"],
        ["\xE6\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF8"],

        ["\x71\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7"],
        ["\xE6\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xF9"],

        ["\x71\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],
        ["\xE6\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x7A"],

        ["\x71\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],
        ["\xE6\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x5E"],

        ["\x71\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],
        ["\xE6\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x4C"],

        ["\x71\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB"],
        ["\xE6\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x7E"],

        ["\x71\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC"],
        ["\xE6\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x6E"],

        ["\x71\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD"],
        ["\xE6\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x6F"],

        ["\x71\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE"],
        ["\xE6\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x7C"],

        ["\x71\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF"],
        ["\xE6\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC1"],

        ["\x71\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],
        ["\xE6\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC2"],

        ["\x71\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],
        ["\xE6\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC3"],

        ["\x71\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],
        ["\xE6\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC4"],

        ["\x71\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],
        ["\xE6\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC5"],

        ["\x71\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],
        ["\xE6\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC6"],

        ["\x71\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],
        ["\xE6\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC7"],

        ["\x71\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],
        ["\xE6\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC8"],

        ["\x71\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],
        ["\xE6\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC9"],

        ["\x71\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],
        ["\xE6\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD1"],

        ["\x71\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],
        ["\xE6\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD2"],

        ["\x71\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCA"],
        ["\xE6\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD3"],

        ["\xC1\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCB"],
        ["\xE6\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC1\x4D"],

        ["\x71\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCC"],
        ["\xE6\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD5"],

        ["\x71\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCD"],
        ["\xE6\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD6"],

        ["\x71\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCE"],
        ["\xE6\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD7"],

        ["\x71\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],
        ["\xE6\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD8"],

        ["\x71\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],
        ["\xE6\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD9"],

        ["\x71\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],
        ["\xE6\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xE2"],

        ["\x71\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],
        ["\xE6\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xE3"],

        ["\x71\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],
        ["\xE6\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xE4"],

        ["\x71\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],
        ["\xE6\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xE5"],

        ["\x71\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],
        ["\xE6\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xE6"],

        ["\x71\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],
        ["\xE6\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xE7"],

        ["\x71\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],
        ["\xE6\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xE8"],

        ["\x71\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],
        ["\xE6\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xE9"],

        ["\x71\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],
        ["\xE6\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x4A"],

        ["\x71\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],
        ["\xE6\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x5B"],

        ["\x71\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],
        ["\xE6\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x5A"],

        ["\x71\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],
        ["\xE6\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x5F"],

        ["\x71\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],
        ["\xE6\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x6D"],

        ["\x71\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDE"],
        ["\xE6\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x79"],

        ["\x71\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xDF"],
        ["\xE6\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x57"],

        ["\x71\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],
        ["\xE6\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x59"],

        ["\x71\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE1"],
        ["\xE6\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x62"],

        ["\x71\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],
        ["\xE6\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x63"],

        ["\x71\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],
        ["\xE6\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x64"],

        ["\x71\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],
        ["\xE6\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x65"],

        ["\x71\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],
        ["\xE6\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x66"],

        ["\x71\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],
        ["\xE6\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x67"],

        ["\x71\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],
        ["\xE6\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x68"],

        ["\x71\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],
        ["\xE6\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x69"],

        ["\x71\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],
        ["\xE6\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x70"],

        ["\x71\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEA"],
        ["\xE6\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x71"],

        ["\x71\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEB"],
        ["\xE6\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x72"],

        ["\x71\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEC"],
        ["\xE6\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x73"],

        ["\x71\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xED"],
        ["\xE6\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x74"],

        ["\x71\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEE"],
        ["\xE6\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x75"],

        ["\x71\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],
        ["\xE6\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x76"],

        ["\x71\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],
        ["\xE6\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x77"],

        ["\x71\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],
        ["\xE6\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x78"],

        ["\x71\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],
        ["\xE6\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x80"],

        ["\x71\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],
        ["\xE6\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x8B"],

        ["\x71\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],
        ["\xE6\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x9B"],

        ["\x71\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],
        ["\xE6\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x9C"],

        ["\x71\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],
        ["\xE6\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xA0"],

        ["\x71\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],
        ["\xE6\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xAB"],

        ["\x71\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],
        ["\xE6\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xB0"],

        ["\x71\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],
        ["\xE6\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xC0"],

        ["\x71\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xFA"],
        ["\xE6\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\x6A"],

        ["\x71\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xFB"],
        ["\xE6\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xD0"],

        ["\x71\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xFC"],
        ["\xE6\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x71\xA1"],

        ["\x72\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x40"],
        ["\xE7\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x4F"],

        ["\x72\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x41"],
        ["\xE7\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x7F"],

        ["\x72\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x42"],
        ["\xE7\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x7B"],

        ["\x72\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x43"],
        ["\xE7\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xE0"],

        ["\x72\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x44"],
        ["\xE7\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x6C"],

        ["\x72\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x45"],
        ["\xE7\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x50"],

        ["\x72\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x46"],
        ["\xE7\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x7D"],

        ["\x72\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x47"],
        ["\xE7\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x4D"],

        ["\x72\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x48"],
        ["\xE7\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x5D"],

        ["\x72\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x49"],
        ["\xE7\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x5C"],

        ["\x72\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x4A"],
        ["\xE7\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x4E"],

        ["\x72\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x4B"],
        ["\xE7\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x6B"],

        ["\x72\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x4C"],
        ["\xE7\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x60"],

        ["\x72\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x4D"],
        ["\xE7\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x4B"],

        ["\x72\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x4E"],
        ["\xE7\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x61"],

        ["\x72\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x4F"],
        ["\xE7\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF0"],

        ["\x72\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x50"],
        ["\xE7\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF1"],

        ["\x72\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x51"],
        ["\xE7\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF2"],

        ["\x72\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x52"],
        ["\xE7\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF3"],

        ["\x72\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x53"],
        ["\xE7\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF4"],

        ["\x72\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x54"],
        ["\xE7\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF5"],

        ["\x72\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x55"],
        ["\xE7\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF6"],

        ["\x72\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x56"],
        ["\xE7\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF7"],

        ["\x72\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x57"],
        ["\xE7\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF8"],

        ["\x72\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x58"],
        ["\xE7\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xF9"],

        ["\x72\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x59"],
        ["\xE7\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x7A"],

        ["\x72\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x5A"],
        ["\xE7\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x5E"],

        ["\x72\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x5B"],
        ["\xE7\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x4C"],

        ["\x72\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x5C"],
        ["\xE7\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x7E"],

        ["\x72\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x5D"],
        ["\xE7\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x6E"],

        ["\x72\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x5E"],
        ["\xE7\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x6F"],

        ["\x72\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x5F"],
        ["\xE7\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x7C"],

        ["\x72\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x60"],
        ["\xE7\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC1"],

        ["\x72\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x61"],
        ["\xE7\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC2"],

        ["\x72\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x62"],
        ["\xE7\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC3"],

        ["\x72\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x63"],
        ["\xE7\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC4"],

        ["\x72\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x64"],
        ["\xE7\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC5"],

        ["\x72\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x65"],
        ["\xE7\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC6"],

        ["\x72\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x66"],
        ["\xE7\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC7"],

        ["\x72\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x67"],
        ["\xE7\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC8"],

        ["\x72\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x68"],
        ["\xE7\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC9"],

        ["\x72\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x69"],
        ["\xE7\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD1"],

        ["\x72\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x6A"],
        ["\xE7\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD2"],

        ["\x72\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x6B"],
        ["\xE7\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD3"],

        ["\x72\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x6C"],
        ["\xE7\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD4"],

        ["\x72\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x6D"],
        ["\xE7\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD5"],

        ["\x72\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x6E"],
        ["\xE7\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD6"],

        ["\x72\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x6F"],
        ["\xE7\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD7"],

        ["\x72\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x70"],
        ["\xE7\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD8"],

        ["\x72\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x71"],
        ["\xE7\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD9"],

        ["\x72\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x72"],
        ["\xE7\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xE2"],

        ["\x72\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x73"],
        ["\xE7\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xE3"],

        ["\x72\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x74"],
        ["\xE7\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xE4"],

        ["\x72\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x75"],
        ["\xE7\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xE5"],

        ["\x72\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x76"],
        ["\xE7\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xE6"],

        ["\x72\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x77"],
        ["\xE7\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xE7"],

        ["\x72\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x78"],
        ["\xE7\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xE8"],

        ["\x72\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x79"],
        ["\xE7\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xE9"],

        ["\x72\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x7A"],
        ["\xE7\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x4A"],

        ["\x72\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x7B"],
        ["\xE7\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x5B"],

        ["\x72\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x7C"],
        ["\xE7\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x5A"],

        ["\x72\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x7D"],
        ["\xE7\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x5F"],

        ["\x72\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x7E"],
        ["\xE7\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x6D"],

        ["\x72\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80"],
        ["\xE7\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x79"],

        ["\x72\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81"],
        ["\xE7\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x57"],

        ["\x72\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82"],
        ["\xE7\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x59"],

        ["\x72\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83"],
        ["\xE7\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x62"],

        ["\x72\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84"],
        ["\xE7\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x63"],

        ["\x72\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85"],
        ["\xE7\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x64"],

        ["\x72\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86"],
        ["\xE7\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x65"],

        ["\x72\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87"],
        ["\xE7\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x66"],

        ["\x72\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88"],
        ["\xE7\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x67"],

        ["\x72\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89"],
        ["\xE7\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x68"],

        ["\x72\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A"],
        ["\xE7\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x69"],

        ["\x72\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B"],
        ["\xE7\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x70"],

        ["\x72\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C"],
        ["\xE7\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x71"],

        ["\x72\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D"],
        ["\xE7\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x72"],

        ["\xC6\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E"],
        ["\xE7\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC6\x9B"],

        ["\x72\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F"],
        ["\xE7\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x74"],

        ["\x72\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90"],
        ["\xE7\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x75"],

        ["\x72\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91"],
        ["\xE7\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x76"],

        ["\x72\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92"],
        ["\xE7\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x77"],

        ["\x72\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93"],
        ["\xE7\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x78"],

        ["\x72\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94"],
        ["\xE7\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x80"],

        ["\x72\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95"],
        ["\xE7\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x8B"],

        ["\x72\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96"],
        ["\xE7\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x9B"],

        ["\x72\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97"],
        ["\xE7\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x9C"],

        ["\x72\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98"],
        ["\xE7\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xA0"],

        ["\x72\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99"],
        ["\xE7\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xAB"],

        ["\x72\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A"],
        ["\xE7\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xB0"],

        ["\x72\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B"],
        ["\xE7\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xC0"],

        ["\x72\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C"],
        ["\xE7\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\x6A"],

        ["\x72\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D"],
        ["\xE7\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xD0"],

        ["\x72\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E"],
        ["\xE7\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x72\xA1"],

        ["\x73\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F"],
        ["\xE7\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x4F"],

        ["\x73\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0"],
        ["\xE7\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x7F"],

        ["\x73\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],
        ["\xE7\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x7B"],

        ["\x73\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2"],
        ["\xE7\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xE0"],

        ["\x73\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3"],
        ["\xE7\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x6C"],

        ["\x73\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4"],
        ["\xE7\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x50"],

        ["\x73\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5"],
        ["\xE7\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x7D"],

        ["\x73\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6"],
        ["\xE7\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x4D"],

        ["\x73\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7"],
        ["\xE7\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x5D"],

        ["\x73\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8"],
        ["\xE7\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x5C"],

        ["\x73\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9"],
        ["\xE7\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x4E"],

        ["\x73\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],
        ["\xE7\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x6B"],

        ["\x73\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],
        ["\xE7\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x60"],

        ["\x73\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC"],
        ["\xE7\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x4B"],

        ["\x73\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD"],
        ["\xE7\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x61"],

        ["\x73\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE"],
        ["\xE7\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF0"],

        ["\x73\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],
        ["\xE7\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF1"],

        ["\x73\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],
        ["\xE7\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF2"],

        ["\x73\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],
        ["\xE7\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF3"],

        ["\x73\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],
        ["\xE7\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF4"],

        ["\x73\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],
        ["\xE7\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF5"],

        ["\x73\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],
        ["\xE7\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF6"],

        ["\x73\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],
        ["\xE7\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF7"],

        ["\x73\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],
        ["\xE7\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF8"],

        ["\x73\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],
        ["\xE7\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xF9"],

        ["\x73\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],
        ["\xE7\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x7A"],

        ["\x73\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],
        ["\xE7\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x5E"],

        ["\x73\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],
        ["\xE7\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x4C"],

        ["\x73\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],
        ["\xE7\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x7E"],

        ["\x73\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],
        ["\xE7\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x6E"],

        ["\x73\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],
        ["\xE7\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x6F"],

        ["\x73\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],
        ["\xE7\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x7C"],

        ["\x73\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],
        ["\xE7\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC1"],

        ["\x73\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],
        ["\xE7\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC2"],

        ["\x73\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],
        ["\xE7\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC3"],

        ["\x73\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],
        ["\xE7\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC4"],

        ["\x73\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],
        ["\xE7\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC5"],

        ["\x73\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],
        ["\xE7\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC6"],

        ["\x73\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],
        ["\xE7\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC7"],

        ["\x73\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],
        ["\xE7\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC8"],

        ["\x73\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],
        ["\xE7\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC9"],

        ["\x73\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],
        ["\xE7\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD1"],

        ["\x73\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],
        ["\xE7\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD2"],

        ["\x73\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],
        ["\xE7\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD3"],

        ["\x73\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],
        ["\xE7\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD4"],

        ["\x73\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],
        ["\xE7\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD5"],

        ["\x73\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCD"],
        ["\xE7\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD6"],

        ["\x73\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCE"],
        ["\xE7\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD7"],

        ["\x73\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xCF"],
        ["\xE7\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD8"],

        ["\x73\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],
        ["\xE7\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD9"],

        ["\x73\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],
        ["\xE7\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xE2"],

        ["\x73\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],
        ["\xE7\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xE3"],

        ["\x73\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],
        ["\xE7\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xE4"],

        ["\x73\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],
        ["\xE7\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xE5"],

        ["\x73\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],
        ["\xE7\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xE6"],

        ["\x73\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],
        ["\xE7\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xE7"],

        ["\x73\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],
        ["\xE7\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xE8"],

        ["\x73\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],
        ["\xE7\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xE9"],

        ["\x73\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],
        ["\xE7\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x4A"],

        ["\x73\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDA"],
        ["\xE7\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x5B"],

        ["\x73\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDB"],
        ["\xE7\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x5A"],

        ["\x73\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDC"],
        ["\xE7\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x5F"],

        ["\x73\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDD"],
        ["\xE7\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x6D"],

        ["\x73\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDE"],
        ["\xE7\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x79"],

        ["\x73\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xDF"],
        ["\xE7\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x57"],

        ["\x73\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],
        ["\xE7\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x59"],

        ["\x73\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE1"],
        ["\xE7\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x62"],

        ["\x73\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],
        ["\xE7\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x63"],

        ["\x73\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],
        ["\xE7\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x64"],

        ["\x73\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],
        ["\xE7\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x65"],

        ["\x73\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],
        ["\xE7\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x66"],

        ["\x73\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],
        ["\xE7\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x67"],

        ["\x73\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],
        ["\xE7\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x68"],

        ["\x73\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],
        ["\xE7\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x69"],

        ["\x73\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],
        ["\xE7\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x70"],

        ["\x73\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEA"],
        ["\xE7\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x71"],

        ["\x73\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEB"],
        ["\xE7\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x72"],

        ["\x73\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEC"],
        ["\xE7\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x73"],

        ["\x73\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xED"],
        ["\xE7\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x74"],

        ["\x73\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEE"],
        ["\xE7\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x75"],

        ["\x73\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xEF"],
        ["\xE7\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x76"],

        ["\x73\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],
        ["\xE7\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x77"],

        ["\x73\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],
        ["\xE7\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x78"],

        ["\x73\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],
        ["\xE7\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x80"],

        ["\x73\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],
        ["\xE7\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x8B"],

        ["\x73\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],
        ["\xE7\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x9B"],

        ["\x73\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],
        ["\xE7\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x9C"],

        ["\x73\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],
        ["\xE7\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xA0"],

        ["\x73\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],
        ["\xE7\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xAB"],

        ["\x73\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],
        ["\xE7\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xB0"],

        ["\x73\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],
        ["\xE7\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xC0"],

        ["\x73\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xFA"],
        ["\xE7\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\x6A"],

        ["\x73\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xFB"],
        ["\xE7\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xD0"],

        ["\x73\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xFC"],
        ["\xE7\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x73\xA1"],

        ["\x74\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x40"],
        ["\xE8\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x4F"],

        ["\x74\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x41"],
        ["\xE8\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x7F"],

        ["\x74\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x42"],
        ["\xE8\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x7B"],

        ["\x74\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x43"],
        ["\xE8\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xE0"],

        ["\x74\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x44"],
        ["\xE8\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x6C"],

        ["\x74\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x45"],
        ["\xE8\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x50"],

        ["\x74\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x46"],
        ["\xE8\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x7D"],

        ["\x74\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x47"],
        ["\xE8\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x4D"],

        ["\x74\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x48"],
        ["\xE8\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x5D"],

        ["\x74\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x49"],
        ["\xE8\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x5C"],

        ["\x74\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x4A"],
        ["\xE8\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x4E"],

        ["\x74\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x4B"],
        ["\xE8\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x6B"],

        ["\x74\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x4C"],
        ["\xE8\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x60"],

        ["\x74\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x4D"],
        ["\xE8\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x4B"],

        ["\x74\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x4E"],
        ["\xE8\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x61"],

        ["\x74\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x4F"],
        ["\xE8\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF0"],

        ["\x74\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x50"],
        ["\xE8\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF1"],

        ["\x74\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x51"],
        ["\xE8\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF2"],

        ["\x74\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x52"],
        ["\xE8\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF3"],

        ["\x74\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x53"],
        ["\xE8\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF4"],

        ["\x74\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x54"],
        ["\xE8\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF5"],

        ["\x74\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x55"],
        ["\xE8\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF6"],

        ["\x74\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x56"],
        ["\xE8\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF7"],

        ["\x74\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x57"],
        ["\xE8\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF8"],

        ["\x74\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x58"],
        ["\xE8\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xF9"],

        ["\x74\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x59"],
        ["\xE8\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x7A"],

        ["\x74\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x5A"],
        ["\xE8\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x5E"],

        ["\x74\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x5B"],
        ["\xE8\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x4C"],

        ["\x74\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x5C"],
        ["\xE8\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x7E"],

        ["\x74\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x5D"],
        ["\xE8\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x6E"],

        ["\x74\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x5E"],
        ["\xE8\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x6F"],

        ["\x74\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x5F"],
        ["\xE8\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x7C"],

        ["\x74\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x60"],
        ["\xE8\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC1"],

        ["\x74\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x61"],
        ["\xE8\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC2"],

        ["\x74\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x62"],
        ["\xE8\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC3"],

        ["\x74\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x63"],
        ["\xE8\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC4"],

        ["\x74\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x64"],
        ["\xE8\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC5"],

        ["\x74\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x65"],
        ["\xE8\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC6"],

        ["\x74\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x66"],
        ["\xE8\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC7"],

        ["\x74\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x67"],
        ["\xE8\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC8"],

        ["\x74\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x68"],
        ["\xE8\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC9"],

        ["\x74\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x69"],
        ["\xE8\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD1"],

        ["\x74\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x6A"],
        ["\xE8\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD2"],

        ["\x74\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x6B"],
        ["\xE8\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD3"],

        ["\x74\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x6C"],
        ["\xE8\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD4"],

        ["\x74\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x6D"],
        ["\xE8\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD5"],

        ["\x74\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x6E"],
        ["\xE8\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD6"],

        ["\x74\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x6F"],
        ["\xE8\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD7"],

        ["\x74\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x70"],
        ["\xE8\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD8"],

        ["\x74\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x71"],
        ["\xE8\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD9"],

        ["\x74\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x72"],
        ["\xE8\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xE2"],

        ["\x74\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x73"],
        ["\xE8\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xE3"],

        ["\x74\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x74"],
        ["\xE8\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xE4"],

        ["\x74\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x75"],
        ["\xE8\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xE5"],

        ["\x74\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x76"],
        ["\xE8\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xE6"],

        ["\x74\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x77"],
        ["\xE8\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xE7"],

        ["\x74\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x78"],
        ["\xE8\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xE8"],

        ["\x74\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x79"],
        ["\xE8\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xE9"],

        ["\x74\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x7A"],
        ["\xE8\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x4A"],

        ["\x74\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x7B"],
        ["\xE8\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x5B"],

        ["\x74\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x7C"],
        ["\xE8\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x5A"],

        ["\x74\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x7D"],
        ["\xE8\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x5F"],

        ["\x74\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x7E"],
        ["\xE8\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x6D"],

        ["\x74\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80"],
        ["\xE8\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x79"],

        ["\x74\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81"],
        ["\xE8\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x57"],

        ["\x74\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82"],
        ["\xE8\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x59"],

        ["\x74\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83"],
        ["\xE8\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x62"],

        ["\x74\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84"],
        ["\xE8\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x63"],

        ["\x74\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85"],
        ["\xE8\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x64"],

        ["\x74\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86"],
        ["\xE8\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x65"],

        ["\x74\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87"],
        ["\xE8\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x66"],

        ["\x74\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88"],
        ["\xE8\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x67"],

        ["\x74\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89"],
        ["\xE8\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x68"],

        ["\x74\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A"],
        ["\xE8\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x69"],

        ["\x74\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B"],
        ["\xE8\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x70"],

        ["\x74\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C"],
        ["\xE8\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x71"],

        ["\x74\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D"],
        ["\xE8\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x72"],

        ["\x74\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E"],
        ["\xE8\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x73"],

        ["\x74\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F"],
        ["\xE8\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x74"],

        ["\x74\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90"],
        ["\xE8\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x75"],

        ["\x74\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91"],
        ["\xE8\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x76"],

        ["\x74\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92"],
        ["\xE8\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x77"],

        ["\x74\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93"],
        ["\xE8\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x78"],

        ["\x74\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94"],
        ["\xE8\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x80"],

        ["\x74\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95"],
        ["\xE8\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x8B"],

        ["\x74\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96"],
        ["\xE8\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x9B"],

        ["\x74\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97"],
        ["\xE8\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x9C"],

        ["\x74\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98"],
        ["\xE8\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xA0"],

        ["\x74\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99"],
        ["\xE8\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xAB"],

        ["\x74\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A"],
        ["\xE8\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xB0"],

        ["\x74\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B"],
        ["\xE8\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xC0"],

        ["\x74\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C"],
        ["\xE8\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\x6A"],

        ["\x74\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D"],
        ["\xE8\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xD0"],

        ["\x74\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E"],
        ["\xE8\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x74\xA1"],

        ["\x75\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F"],
        ["\xE8\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x4F"],

        ["\x75\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0"],
        ["\xE8\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x7F"],

        ["\x75\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],
        ["\xE8\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x7B"],

        ["\x75\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2"],
        ["\xE8\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xE0"],

        ["\x75\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3"],
        ["\xE8\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x6C"],

        ["\x75\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4"],
        ["\xE8\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x50"],

        ["\x75\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5"],
        ["\xE8\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x7D"],

        ["\x75\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6"],
        ["\xE8\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x4D"],

        ["\x75\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7"],
        ["\xE8\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x5D"],

        ["\x75\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8"],
        ["\xE8\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x5C"],

        ["\x75\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9"],
        ["\xE8\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x4E"],

        ["\x75\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],
        ["\xE8\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x6B"],

        ["\x75\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],
        ["\xE8\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x60"],

        ["\x75\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC"],
        ["\xE8\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x4B"],

        ["\x75\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD"],
        ["\xE8\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x61"],

        ["\x75\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],
        ["\xE8\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF0"],

        ["\x75\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAF"],
        ["\xE8\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF1"],

        ["\x75\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],
        ["\xE8\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF2"],

        ["\x75\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1"],
        ["\xE8\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF3"],

        ["\x75\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],
        ["\xE8\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF4"],

        ["\x75\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3"],
        ["\xE8\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF5"],

        ["\x75\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4"],
        ["\xE8\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF6"],

        ["\x75\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5"],
        ["\xE8\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF7"],

        ["\x75\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6"],
        ["\xE8\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF8"],

        ["\x75\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7"],
        ["\xE8\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xF9"],

        ["\x75\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],
        ["\xE8\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x7A"],

        ["\x75\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9"],
        ["\xE8\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x5E"],

        ["\x75\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA"],
        ["\xE8\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x4C"],

        ["\x75\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB"],
        ["\xE8\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x7E"],

        ["\x75\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC"],
        ["\xE8\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x6E"],

        ["\x75\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD"],
        ["\xE8\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x6F"],

        ["\x75\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE"],
        ["\xE8\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x7C"],

        ["\x75\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF"],
        ["\xE8\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC1"],

        ["\x75\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],
        ["\xE8\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC2"],

        ["\x75\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],
        ["\xE8\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC3"],

        ["\x75\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],
        ["\xE8\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC4"],

        ["\x75\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],
        ["\xE8\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC5"],

        ["\x75\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],
        ["\xE8\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC6"],

        ["\x75\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],
        ["\xE8\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC7"],

        ["\x75\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],
        ["\xE8\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC8"],

        ["\x75\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],
        ["\xE8\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC9"],

        ["\x75\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],
        ["\xE8\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD1"],

        ["\x75\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],
        ["\xE8\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD2"],

        ["\x75\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCA"],
        ["\xE8\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD3"],

        ["\x75\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCB"],
        ["\xE8\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD4"],

        ["\x75\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCC"],
        ["\xE8\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD5"],

        ["\x75\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCD"],
        ["\xE8\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD6"],

        ["\x75\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCE"],
        ["\xE8\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD7"],

        ["\x75\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xCF"],
        ["\xE8\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD8"],

        ["\x75\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],
        ["\xE8\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD9"],

        ["\x75\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],
        ["\xE8\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xE2"],

        ["\x75\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],
        ["\xE8\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xE3"],

        ["\x75\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],
        ["\xE8\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xE4"],

        ["\x75\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],
        ["\xE8\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xE5"],

        ["\x6F\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],
        ["\xE8\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6F\xE8"],

        ["\x75\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],
        ["\xE8\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xE7"],

        ["\x75\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],
        ["\xE8\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xE8"],

        ["\x75\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],
        ["\xE8\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xE9"],

        ["\x75\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],
        ["\xE8\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x4A"],

        ["\x75\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],
        ["\xE8\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x5B"],

        ["\x75\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],
        ["\xE8\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x5A"],

        ["\x75\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDC"],
        ["\xE8\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x5F"],

        ["\x75\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDD"],
        ["\xE8\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x6D"],

        ["\x75\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDE"],
        ["\xE8\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x79"],

        ["\x75\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xDF"],
        ["\xE8\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x57"],

        ["\x75\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],
        ["\xE8\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x59"],

        ["\x75\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE1"],
        ["\xE8\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x62"],

        ["\x75\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],
        ["\xE8\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x63"],

        ["\x75\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],
        ["\xE8\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x64"],

        ["\x75\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],
        ["\xE8\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x65"],

        ["\x75\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],
        ["\xE8\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x66"],

        ["\x75\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],
        ["\xE8\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x67"],

        ["\x75\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],
        ["\xE8\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x68"],

        ["\x75\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],
        ["\xE8\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x69"],

        ["\x75\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],
        ["\xE8\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x70"],

        ["\x75\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEA"],
        ["\xE8\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x71"],

        ["\x75\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],
        ["\xE8\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x72"],

        ["\x75\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],
        ["\xE8\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x73"],

        ["\x75\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xED"],
        ["\xE8\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x74"],

        ["\x75\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEE"],
        ["\xE8\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x75"],

        ["\x75\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xEF"],
        ["\xE8\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x76"],

        ["\x75\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],
        ["\xE8\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x77"],

        ["\x75\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],
        ["\xE8\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x78"],

        ["\xF7\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],
        ["\xE8\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF7\x4A"],

        ["\x75\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],
        ["\xE8\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x8B"],

        ["\x75\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],
        ["\xE8\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x9B"],

        ["\x75\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],
        ["\xE8\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x9C"],

        ["\x75\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],
        ["\xE8\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xA0"],

        ["\x75\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],
        ["\xE8\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xAB"],

        ["\x75\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],
        ["\xE8\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xB0"],

        ["\x75\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],
        ["\xE8\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xC0"],

        ["\x75\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],
        ["\xE8\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\x6A"],

        ["\x75\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],
        ["\xE8\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xD0"],

        ["\x75\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xFC"],
        ["\xE8\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x75\xA1"],

        ["\x76\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x40"],
        ["\xE9\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x4F"],

        ["\x76\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x41"],
        ["\xE9\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x7F"],

        ["\x76\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x42"],
        ["\xE9\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x7B"],

        ["\x76\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x43"],
        ["\xE9\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xE0"],

        ["\x76\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x44"],
        ["\xE9\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x6C"],

        ["\x76\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x45"],
        ["\xE9\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x50"],

        ["\x76\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x46"],
        ["\xE9\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x7D"],

        ["\x76\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x47"],
        ["\xE9\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x4D"],

        ["\x76\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x48"],
        ["\xE9\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x5D"],

        ["\x76\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x49"],
        ["\xE9\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x5C"],

        ["\x76\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x4A"],
        ["\xE9\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x4E"],

        ["\x76\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x4B"],
        ["\xE9\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x6B"],

        ["\x76\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x4C"],
        ["\xE9\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x60"],

        ["\x76\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x4D"],
        ["\xE9\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x4B"],

        ["\x76\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x4E"],
        ["\xE9\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x61"],

        ["\x76\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x4F"],
        ["\xE9\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF0"],

        ["\x76\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x50"],
        ["\xE9\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF1"],

        ["\x76\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x51"],
        ["\xE9\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF2"],

        ["\x76\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x52"],
        ["\xE9\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF3"],

        ["\x76\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x53"],
        ["\xE9\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF4"],

        ["\x76\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x54"],
        ["\xE9\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF5"],

        ["\x76\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x55"],
        ["\xE9\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF6"],

        ["\x76\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x56"],
        ["\xE9\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF7"],

        ["\x76\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x57"],
        ["\xE9\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF8"],

        ["\x76\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x58"],
        ["\xE9\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xF9"],

        ["\x76\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x59"],
        ["\xE9\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x7A"],

        ["\x76\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x5A"],
        ["\xE9\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x5E"],

        ["\x76\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x5B"],
        ["\xE9\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x4C"],

        ["\x76\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x5C"],
        ["\xE9\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x7E"],

        ["\x76\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x5D"],
        ["\xE9\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x6E"],

        ["\x76\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x5E"],
        ["\xE9\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x6F"],

        ["\x76\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x5F"],
        ["\xE9\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x7C"],

        ["\x76\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x60"],
        ["\xE9\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC1"],

        ["\x76\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x61"],
        ["\xE9\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC2"],

        ["\x76\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x62"],
        ["\xE9\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC3"],

        ["\x76\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x63"],
        ["\xE9\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC4"],

        ["\x76\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x64"],
        ["\xE9\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC5"],

        ["\x76\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x65"],
        ["\xE9\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC6"],

        ["\x76\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x66"],
        ["\xE9\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC7"],

        ["\x76\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x67"],
        ["\xE9\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC8"],

        ["\x76\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x68"],
        ["\xE9\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC9"],

        ["\x76\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x69"],
        ["\xE9\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD1"],

        ["\x76\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x6A"],
        ["\xE9\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD2"],

        ["\x76\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x6B"],
        ["\xE9\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD3"],

        ["\x76\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x6C"],
        ["\xE9\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD4"],

        ["\x76\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x6D"],
        ["\xE9\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD5"],

        ["\x76\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x6E"],
        ["\xE9\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD6"],

        ["\x76\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x6F"],
        ["\xE9\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD7"],

        ["\x76\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x70"],
        ["\xE9\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD8"],

        ["\x76\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x71"],
        ["\xE9\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD9"],

        ["\x76\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x72"],
        ["\xE9\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xE2"],

        ["\x76\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x73"],
        ["\xE9\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xE3"],

        ["\x76\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x74"],
        ["\xE9\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xE4"],

        ["\x76\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x75"],
        ["\xE9\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xE5"],

        ["\x76\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x76"],
        ["\xE9\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xE6"],

        ["\x76\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x77"],
        ["\xE9\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xE7"],

        ["\x76\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x78"],
        ["\xE9\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xE8"],

        ["\x76\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x79"],
        ["\xE9\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xE9"],

        ["\x76\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x7A"],
        ["\xE9\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x4A"],

        ["\x76\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x7B"],
        ["\xE9\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x5B"],

        ["\x76\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x7C"],
        ["\xE9\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x5A"],

        ["\x76\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x7D"],
        ["\xE9\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x5F"],

        ["\x76\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x7E"],
        ["\xE9\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x6D"],

        ["\x76\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80"],
        ["\xE9\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x79"],

        ["\x76\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81"],
        ["\xE9\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x57"],

        ["\x76\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82"],
        ["\xE9\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x59"],

        ["\x76\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83"],
        ["\xE9\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x62"],

        ["\x76\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84"],
        ["\xE9\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x63"],

        ["\x76\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85"],
        ["\xE9\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x64"],

        ["\x76\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86"],
        ["\xE9\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x65"],

        ["\x76\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87"],
        ["\xE9\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x66"],

        ["\x76\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88"],
        ["\xE9\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x67"],

        ["\x76\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89"],
        ["\xE9\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x68"],

        ["\x76\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A"],
        ["\xE9\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x69"],

        ["\x76\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B"],
        ["\xE9\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x70"],

        ["\x76\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C"],
        ["\xE9\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x71"],

        ["\x76\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D"],
        ["\xE9\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x72"],

        ["\x76\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E"],
        ["\xE9\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x73"],

        ["\x76\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F"],
        ["\xE9\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x74"],

        ["\x76\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90"],
        ["\xE9\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x75"],

        ["\x76\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91"],
        ["\xE9\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x76"],

        ["\x76\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x92"],
        ["\xE9\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x77"],

        ["\x76\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x93"],
        ["\xE9\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x78"],

        ["\x76\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x94"],
        ["\xE9\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x80"],

        ["\x76\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x95"],
        ["\xE9\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x8B"],

        ["\x76\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96"],
        ["\xE9\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x9B"],

        ["\x76\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97"],
        ["\xE9\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x9C"],

        ["\x76\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98"],
        ["\xE9\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xA0"],

        ["\x76\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99"],
        ["\xE9\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xAB"],

        ["\x76\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A"],
        ["\xE9\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xB0"],

        ["\x76\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B"],
        ["\xE9\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xC0"],

        ["\x76\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C"],
        ["\xE9\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\x6A"],

        ["\x76\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D"],
        ["\xE9\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xD0"],

        ["\x76\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E"],
        ["\xE9\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x76\xA1"],

        ["\x77\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F"],
        ["\xE9\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x4F"],

        ["\x77\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0"],
        ["\xE9\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x7F"],

        ["\x77\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],
        ["\xE9\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x7B"],

        ["\x77\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2"],
        ["\xE9\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xE0"],

        ["\x77\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3"],
        ["\xE9\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x6C"],

        ["\x77\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4"],
        ["\xE9\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x50"],

        ["\x77\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5"],
        ["\xE9\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x7D"],

        ["\x77\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6"],
        ["\xE9\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x4D"],

        ["\x77\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7"],
        ["\xE9\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x5D"],

        ["\x77\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8"],
        ["\xE9\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x5C"],

        ["\x77\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9"],
        ["\xE9\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x4E"],

        ["\x77\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA"],
        ["\xE9\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x6B"],

        ["\x77\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],
        ["\xE9\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x60"],

        ["\x77\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC"],
        ["\xE9\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x4B"],

        ["\x77\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD"],
        ["\xE9\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x61"],

        ["\x77\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE"],
        ["\xE9\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF0"],

        ["\x77\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF"],
        ["\xE9\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF1"],

        ["\x77\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],
        ["\xE9\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF2"],

        ["\x77\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1"],
        ["\xE9\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF3"],

        ["\x77\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB2"],
        ["\xE9\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF4"],

        ["\x77\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3"],
        ["\xE9\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF5"],

        ["\x77\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4"],
        ["\xE9\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF6"],

        ["\x77\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5"],
        ["\xE9\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF7"],

        ["\x77\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6"],
        ["\xE9\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF8"],

        ["\x77\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7"],
        ["\xE9\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xF9"],

        ["\x77\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8"],
        ["\xE9\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x7A"],

        ["\x77\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9"],
        ["\xE9\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x5E"],

        ["\x77\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA"],
        ["\xE9\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x4C"],

        ["\x77\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB"],
        ["\xE9\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x7E"],

        ["\x77\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC"],
        ["\xE9\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x6E"],

        ["\x77\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD"],
        ["\xE9\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x6F"],

        ["\x77\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE"],
        ["\xE9\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x7C"],

        ["\x77\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBF"],
        ["\xE9\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC1"],

        ["\x77\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],
        ["\xE9\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC2"],

        ["\x77\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],
        ["\xE9\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC3"],

        ["\x77\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],
        ["\xE9\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC4"],

        ["\x77\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],
        ["\xE9\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC5"],

        ["\x77\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],
        ["\xE9\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC6"],

        ["\x77\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],
        ["\xE9\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC7"],

        ["\x77\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],
        ["\xE9\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC8"],

        ["\x77\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],
        ["\xE9\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC9"],

        ["\x77\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],
        ["\xE9\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD1"],

        ["\x77\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],
        ["\xE9\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD2"],

        ["\x77\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCA"],
        ["\xE9\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD3"],

        ["\xF0\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCB"],
        ["\xE9\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],

        ["\x77\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCC"],
        ["\xE9\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD5"],

        ["\x77\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCD"],
        ["\xE9\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD6"],

        ["\x77\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCE"],
        ["\xE9\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD7"],

        ["\x77\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xCF"],
        ["\xE9\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD8"],

        ["\x77\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],
        ["\xE9\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD9"],

        ["\x77\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],
        ["\xE9\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xE2"],

        ["\x77\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],
        ["\xE9\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xE3"],

        ["\x77\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],
        ["\xE9\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xE4"],

        ["\x77\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],
        ["\xE9\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xE5"],

        ["\x77\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],
        ["\xE9\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xE6"],

        ["\x77\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],
        ["\xE9\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xE7"],

        ["\x77\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],
        ["\xE9\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xE8"],

        ["\x77\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],
        ["\xE9\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xE9"],

        ["\x77\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],
        ["\xE9\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x4A"],

        ["\x77\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDA"],
        ["\xE9\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x5B"],

        ["\x77\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDB"],
        ["\xE9\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x5A"],

        ["\x77\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDC"],
        ["\xE9\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x5F"],

        ["\x77\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDD"],
        ["\xE9\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x6D"],

        ["\x77\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDE"],
        ["\xE9\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x79"],

        ["\x77\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xDF"],
        ["\xE9\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x57"],

        ["\x77\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],
        ["\xE9\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x59"],

        ["\x77\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE1"],
        ["\xE9\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x62"],

        ["\x77\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],
        ["\xE9\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x63"],

        ["\x77\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],
        ["\xE9\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x64"],

        ["\x77\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],
        ["\xE9\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x65"],

        ["\x77\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],
        ["\xE9\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x66"],

        ["\x77\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],
        ["\xE9\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x67"],

        ["\x77\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],
        ["\xE9\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x68"],

        ["\x77\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],
        ["\xE9\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x69"],

        ["\x77\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],
        ["\xE9\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x70"],

        ["\x77\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEA"],
        ["\xE9\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x71"],

        ["\x77\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEB"],
        ["\xE9\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x72"],

        ["\x77\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEC"],
        ["\xE9\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x73"],

        ["\x77\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xED"],
        ["\xE9\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x74"],

        ["\x77\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEE"],
        ["\xE9\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x75"],

        ["\x77\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xEF"],
        ["\xE9\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x76"],

        ["\x77\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],
        ["\xE9\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x77"],

        ["\x77\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],
        ["\xE9\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x78"],

        ["\xF2\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],
        ["\xE9\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF2\x5D"],

        ["\x77\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],
        ["\xE9\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x8B"],

        ["\x77\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],
        ["\xE9\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x9B"],

        ["\x77\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],
        ["\xE9\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x9C"],

        ["\x77\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],
        ["\xE9\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xA0"],

        ["\x77\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],
        ["\xE9\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xAB"],

        ["\x77\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],
        ["\xE9\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xB0"],

        ["\x77\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],
        ["\xE9\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xC0"],

        ["\x77\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xFA"],
        ["\xE9\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\x6A"],

        ["\x77\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xFB"],
        ["\xE9\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xD0"],

        ["\x77\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xFC"],
        ["\xE9\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x77\xA1"],

        ["\x78\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x40"],
        ["\xEA\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x4F"],

        ["\x78\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x41"],
        ["\xEA\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x7F"],

        ["\x78\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x42"],
        ["\xEA\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x7B"],

        ["\x78\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x43"],
        ["\xEA\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xE0"],

        ["\x78\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x44"],
        ["\xEA\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x6C"],

        ["\x78\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x45"],
        ["\xEA\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x50"],

        ["\x78\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x46"],
        ["\xEA\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x7D"],

        ["\x78\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x47"],
        ["\xEA\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x4D"],

        ["\x78\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x48"],
        ["\xEA\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x5D"],

        ["\x78\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x49"],
        ["\xEA\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x5C"],

        ["\x78\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x4A"],
        ["\xEA\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x4E"],

        ["\x78\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x4B"],
        ["\xEA\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x6B"],

        ["\x78\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x4C"],
        ["\xEA\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x60"],

        ["\x78\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x4D"],
        ["\xEA\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x4B"],

        ["\x78\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x4E"],
        ["\xEA\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x61"],

        ["\x78\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x4F"],
        ["\xEA\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF0"],

        ["\x78\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x50"],
        ["\xEA\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF1"],

        ["\x78\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x51"],
        ["\xEA\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF2"],

        ["\x78\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x52"],
        ["\xEA\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF3"],

        ["\x78\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x53"],
        ["\xEA\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF4"],

        ["\x78\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x54"],
        ["\xEA\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF5"],

        ["\x78\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x55"],
        ["\xEA\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF6"],

        ["\x78\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x56"],
        ["\xEA\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF7"],

        ["\x78\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x57"],
        ["\xEA\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF8"],

        ["\x78\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x58"],
        ["\xEA\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xF9"],

        ["\x78\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x59"],
        ["\xEA\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x7A"],

        ["\x78\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x5A"],
        ["\xEA\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x5E"],

        ["\x78\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x5B"],
        ["\xEA\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x4C"],

        ["\x78\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x5C"],
        ["\xEA\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x7E"],

        ["\x78\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x5D"],
        ["\xEA\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x6E"],

        ["\x78\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x5E"],
        ["\xEA\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x6F"],

        ["\x78\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x5F"],
        ["\xEA\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x7C"],

        ["\x78\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x60"],
        ["\xEA\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC1"],

        ["\x78\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x61"],
        ["\xEA\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC2"],

        ["\x78\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x62"],
        ["\xEA\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC3"],

        ["\x78\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x63"],
        ["\xEA\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC4"],

        ["\x78\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x64"],
        ["\xEA\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC5"],

        ["\x78\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x65"],
        ["\xEA\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC6"],

        ["\x78\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x66"],
        ["\xEA\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC7"],

        ["\x78\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x67"],
        ["\xEA\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC8"],

        ["\x78\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x68"],
        ["\xEA\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC9"],

        ["\x78\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x69"],
        ["\xEA\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD1"],

        ["\x78\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x6A"],
        ["\xEA\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD2"],

        ["\x78\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x6B"],
        ["\xEA\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD3"],

        ["\x78\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x6C"],
        ["\xEA\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD4"],

        ["\x78\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x6D"],
        ["\xEA\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD5"],

        ["\x78\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x6E"],
        ["\xEA\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD6"],

        ["\x78\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x6F"],
        ["\xEA\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD7"],

        ["\x78\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x70"],
        ["\xEA\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD8"],

        ["\x78\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x71"],
        ["\xEA\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD9"],

        ["\x78\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x72"],
        ["\xEA\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xE2"],

        ["\x78\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x73"],
        ["\xEA\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xE3"],

        ["\x78\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x74"],
        ["\xEA\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xE4"],

        ["\x78\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x75"],
        ["\xEA\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xE5"],

        ["\x78\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x76"],
        ["\xEA\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xE6"],

        ["\x78\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x77"],
        ["\xEA\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xE7"],

        ["\x78\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x78"],
        ["\xEA\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xE8"],

        ["\x78\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x79"],
        ["\xEA\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xE9"],

        ["\x78\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x7A"],
        ["\xEA\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x4A"],

        ["\x78\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x7B"],
        ["\xEA\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x5B"],

        ["\x78\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x7C"],
        ["\xEA\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x5A"],

        ["\x78\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x7D"],
        ["\xEA\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x5F"],

        ["\x78\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x7E"],
        ["\xEA\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x6D"],

        ["\x78\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x80"],
        ["\xEA\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x79"],

        ["\x78\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x81"],
        ["\xEA\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x57"],

        ["\x78\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x82"],
        ["\xEA\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x59"],

        ["\x78\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x83"],
        ["\xEA\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x62"],

        ["\x78\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x84"],
        ["\xEA\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x63"],

        ["\x78\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x85"],
        ["\xEA\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x64"],

        ["\x78\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x86"],
        ["\xEA\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x65"],

        ["\x78\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x87"],
        ["\xEA\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x66"],

        ["\x78\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x88"],
        ["\xEA\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x67"],

        ["\x78\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x89"],
        ["\xEA\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x68"],

        ["\x78\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x8A"],
        ["\xEA\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x69"],

        ["\x78\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x8B"],
        ["\xEA\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x70"],

        ["\x78\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x8C"],
        ["\xEA\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x71"],

        ["\x78\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x8D"],
        ["\xEA\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x72"],

        ["\x78\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x8E"],
        ["\xEA\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x73"],

        ["\x78\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x8F"],
        ["\xEA\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x74"],

        ["\x78\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x90"],
        ["\xEA\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x75"],

        ["\x78\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x91"],
        ["\xEA\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x76"],

        ["\x78\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x92"],
        ["\xEA\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x77"],

        ["\x78\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x93"],
        ["\xEA\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x78"],

        ["\x78\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x94"],
        ["\xEA\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x80"],

        ["\x78\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x95"],
        ["\xEA\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x8B"],

        ["\x78\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x96"],
        ["\xEA\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x9B"],

        ["\x78\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x97"],
        ["\xEA\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x9C"],

        ["\x78\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x98"],
        ["\xEA\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xA0"],

        ["\x78\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x99"],
        ["\xEA\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xAB"],

        ["\x78\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x9A"],
        ["\xEA\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xB0"],

        ["\x78\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x9B"],
        ["\xEA\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xC0"],

        ["\x78\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x9C"],
        ["\xEA\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\x6A"],

        ["\x78\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x9D"],
        ["\xEA\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xD0"],

        ["\x78\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x9E"],
        ["\xEA\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x78\xA1"],

        ["\xF6\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\x9F"],
        ["\xEA\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF6\xC6"],

        ["\xD2\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA0"],
        ["\xEA\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD2\x69"],

        ["\xD4\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA1"],
        ["\xEA\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD4\xE9"],

        ["\x79\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA2"],
        ["\xEA\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x79\x9B"],

        ["\x84\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA3"],
        ["\xEA\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x48"],

        ["\x94\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xEA\xA4"],
        ["\xEA\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x8A"],

        ["\x42\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x40"],
        ["\xFA\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x8E"],

        ["\x42\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x41"],
        ["\xFA\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x8F"],

        ["\x42\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x42"],
        ["\xFA\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x90"],

        ["\x42\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x43"],
        ["\xFA\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x91"],

        ["\x42\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x44"],
        ["\xFA\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x92"],

        ["\x42\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x45"],
        ["\xFA\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x93"],

        ["\x42\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x46"],
        ["\xFA\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x94"],

        ["\x42\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x47"],
        ["\xFA\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x95"],

        ["\x42\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x48"],
        ["\xFA\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x96"],

        ["\x42\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x49"],
        ["\xFA\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x97"],

        ["\x45\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x55"],
        ["\xFA\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xFB"],

        ["\x43\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x56"],
        ["\xFA\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEF"],

        ["\x43\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x57"],
        ["\xFA\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xFA"],

        ["\x9A\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x5C"],
        ["\xFA\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xAE"],

        ["\xA3\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x5D"],
        ["\xFA\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x49"],

        ["\xA7\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x5E"],
        ["\xFA\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x89"],

        ["\xA6\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x5F"],
        ["\xFA\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xCF"],

        ["\x9F\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x60"],
        ["\xFA\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\x9D"],

        ["\x82\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x61"],
        ["\xFA\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xEC"],

        ["\x93\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x62"],
        ["\xFA\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xFE"],

        ["\x8E\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x63"],
        ["\xFA\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x90"],

        ["\x90\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x64"],
        ["\xFA\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x87"],

        ["\xA7\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x65"],
        ["\xFA\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x86"],

        ["\x8E\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x66"],
        ["\xFA\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xAA"],

        ["\x8A\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x67"],
        ["\xFA\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x98"],

        ["\x82\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x68"],
        ["\xFA\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x52"],

        ["\x82\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x69"],
        ["\xFA\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x93"],

        ["\x82\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x6A"],
        ["\xFA\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xA8"],

        ["\x82\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x6B"],
        ["\xFA\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xA2"],

        ["\x82\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x6C"],
        ["\xFA\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xA3"],

        ["\x82\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x6D"],
        ["\xFA\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xBB"],

        ["\x82\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x6E"],
        ["\xFA\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xAC"],

        ["\x82\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x6F"],
        ["\xFA\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xCC"],

        ["\x82\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x70"],
        ["\xFA\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xB9"],

        ["\x8A\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x71"],
        ["\xFA\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xBA"],

        ["\x82\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x72"],
        ["\xFA\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xB3"],

        ["\x82\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x73"],
        ["\xFA\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xEB"],

        ["\x83\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x74"],
        ["\xFA\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x82"],

        ["\x83\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x75"],
        ["\xFA\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x41"],

        ["\x83\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x76"],
        ["\xFA\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x83"],

        ["\x83\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x77"],
        ["\xFA\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x46"],

        ["\x83\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x78"],
        ["\xFA\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x91"],

        ["\x83\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x79"],
        ["\xFA\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x94"],

        ["\x83\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x7A"],
        ["\xFA\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x95"],

        ["\x83\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x7B"],
        ["\xFA\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x97"],

        ["\x83\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x7C"],
        ["\xFA\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xA7"],

        ["\x83\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x7D"],
        ["\xFA\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xAA"],

        ["\x83\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x7E"],
        ["\xFA\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xCA"],

        ["\x83\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x80"],
        ["\xFA\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xDC"],

        ["\x83\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x81"],
        ["\xFA\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xED"],

        ["\x84\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x82"],
        ["\xFA\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x42"],

        ["\xA9\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x83"],
        ["\xFA\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x48"],

        ["\x84\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x84"],
        ["\xFA\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x84"],

        ["\x84\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x85"],
        ["\xFA\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x92"],

        ["\x84\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x86"],
        ["\xFA\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x94"],

        ["\x84\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x87"],
        ["\xFA\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xA5"],

        ["\x84\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x88"],
        ["\xFA\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xAE"],

        ["\x84\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x89"],
        ["\xFA\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xCA"],

        ["\x84\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x8A"],
        ["\xFA\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xCE"],

        ["\x84\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x8B"],
        ["\xFA\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xDB"],

        ["\x85\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x8C"],
        ["\xFA\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x47"],

        ["\x85\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x8D"],
        ["\xFA\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x54"],

        ["\x85\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x8E"],
        ["\xFA\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x81"],

        ["\x85\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x8F"],
        ["\xFA\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x8D"],

        ["\x85\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x90"],
        ["\xFA\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x8F"],

        ["\x85\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x91"],
        ["\xFA\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xA8"],

        ["\x85\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x92"],
        ["\xFA\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xA4"],

        ["\x85\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x93"],
        ["\xFA\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xBC"],

        ["\x85\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x94"],
        ["\xFA\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xB2"],

        ["\x85\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x95"],
        ["\xFA\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xDA"],

        ["\x86\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x96"],
        ["\xFA\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xAC"],

        ["\x86\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x97"],
        ["\xFA\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xBE"],

        ["\x86\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x98"],
        ["\xFA\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xB5"],

        ["\x86\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x99"],
        ["\xFA\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xB7"],

        ["\x86\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x9A"],
        ["\xFA\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xB8"],

        ["\x86\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x9B"],
        ["\xFA\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xB9"],

        ["\xC4\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x9C"],
        ["\xFA\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],

        ["\x87\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x9D"],
        ["\xFA\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x48"],

        ["\x87\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x9E"],
        ["\xFA\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x55"],

        ["\x87\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\x9F"],
        ["\xFA\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x88"],

        ["\x87\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA0"],
        ["\xFA\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x9E"],

        ["\x87\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA1"],
        ["\xFA\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xA4"],

        ["\x87\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA2"],
        ["\xFA\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xA3"],

        ["\x87\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA3"],
        ["\xFA\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xA8"],

        ["\x87\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA4"],
        ["\xFA\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xBB"],

        ["\x87\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA5"],
        ["\xFA\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xB6"],

        ["\x88\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA6"],
        ["\xFA\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x84"],

        ["\x88\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA7"],
        ["\xFA\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x9D"],

        ["\x88\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA8"],
        ["\xFA\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x9F"],

        ["\x88\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xA9"],
        ["\xFA\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xA2"],

        ["\x88\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xAA"],
        ["\xFA\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xA9"],

        ["\x88\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xAB"],
        ["\xFA\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xB5"],

        ["\x88\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xAC"],
        ["\xFA\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xFB"],

        ["\x88\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xAD"],
        ["\xFA\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xEF"],

        ["\x89\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xAE"],
        ["\xFA\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x49"],

        ["\x89\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xAF"],
        ["\xFA\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x81"],

        ["\x97\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB0"],
        ["\xFA\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x87"],

        ["\x89\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB1"],
        ["\xFA\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x8A"],

        ["\x89\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB2"],
        ["\xFA\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x8E"],

        ["\x89\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB3"],
        ["\xFA\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x91"],

        ["\x89\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB4"],
        ["\xFA\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xA8"],

        ["\x89\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB5"],
        ["\xFA\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xAA"],

        ["\x89\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB6"],
        ["\xFA\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xBA"],

        ["\x8A\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB7"],
        ["\xFA\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x90"],

        ["\x8A\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB8"],
        ["\xFA\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x92"],

        ["\x8A\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xB9"],
        ["\xFA\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xA6"],

        ["\x8A\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xBA"],
        ["\xFA\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xCE"],

        ["\x8A\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xBB"],
        ["\xFA\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xFE"],

        ["\x8C\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xBC"],
        ["\xFA\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x49"],

        ["\x8C\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xBD"],
        ["\xFA\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x81"],

        ["\x85\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xBE"],
        ["\xFA\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xB7"],

        ["\x8C\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xBF"],
        ["\xFA\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x95"],

        ["\x8C\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC0"],
        ["\xFA\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x8E"],

        ["\x8C\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC1"],
        ["\xFA\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x9A"],

        ["\x8C\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC2"],
        ["\xFA\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xA3"],

        ["\x8C\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC3"],
        ["\xFA\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xA9"],

        ["\x8C\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC4"],
        ["\xFA\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xAC"],

        ["\x8C\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC5"],
        ["\xFA\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xAE"],

        ["\x86\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC6"],
        ["\xFA\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x48"],

        ["\x8C\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC7"],
        ["\xFA\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xEF"],

        ["\x8D\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC8"],
        ["\xFA\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x81"],

        ["\x8D\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xC9"],
        ["\xFA\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x9F"],

        ["\x8D\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xCA"],
        ["\xFA\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xAF"],

        ["\x8D\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xCB"],
        ["\xFA\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xBB"],

        ["\x8D\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xCC"],
        ["\xFA\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xBC"],

        ["\x8D\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xCD"],
        ["\xFA\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xDC"],

        ["\x8E\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xCE"],
        ["\xFA\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x8E"],

        ["\x8E\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xCF"],
        ["\xFA\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x85"],

        ["\xF9\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD0"],
        ["\xFA\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\xF7"],

        ["\x8E\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD1"],
        ["\xFA\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x87"],

        ["\x8E\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD2"],
        ["\xFA\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x93"],

        ["\x8E\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD3"],
        ["\xFA\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x95"],

        ["\x8E\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD4"],
        ["\xFA\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x98"],

        ["\x8E\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD5"],
        ["\xFA\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xAC"],

        ["\x8E\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD6"],
        ["\xFA\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xB2"],

        ["\x8E\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD7"],
        ["\xFA\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xBE"],

        ["\x8E\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD8"],
        ["\xFA\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xB6"],

        ["\x8E\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xD9"],
        ["\xFA\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xB8"],

        ["\x8E\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xDA"],
        ["\xFA\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xED"],

        ["\x96\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xDB"],
        ["\xFA\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xAE"],

        ["\x8F\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xDC"],
        ["\xFA\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x45"],

        ["\x8F\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xDD"],
        ["\xFA\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x53"],

        ["\x8E\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xDE"],
        ["\xFA\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xA6"],

        ["\x8F\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xDF"],
        ["\xFA\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x8D"],

        ["\x8F\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE0"],
        ["\xFA\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x8F"],

        ["\x8F\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE1"],
        ["\xFA\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x99"],

        ["\x8F\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE2"],
        ["\xFA\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xAF"],

        ["\x8F\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE3"],
        ["\xFA\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xB7"],

        ["\x8F\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE4"],
        ["\xFA\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xCA"],

        ["\x8F\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE5"],
        ["\xFA\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xB4"],

        ["\x8F\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE6"],
        ["\xFA\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xDC"],

        ["\x90\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE7"],
        ["\xFA\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x8A"],

        ["\x90\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE8"],
        ["\xFA\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x8D"],

        ["\x90\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xE9"],
        ["\xFA\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x91"],

        ["\x90\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xEA"],
        ["\xFA\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xAD"],

        ["\x97\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xEB"],
        ["\xFA\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x51"],

        ["\x90\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xEC"],
        ["\xFA\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xB6"],

        ["\x90\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xED"],
        ["\xFA\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xB7"],

        ["\x90\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xEE"],
        ["\xFA\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xB8"],

        ["\x90\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xEF"],
        ["\xFA\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xCE"],

        ["\x90\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF0"],
        ["\xFA\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xDC"],

        ["\x90\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF1"],
        ["\xFA\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xEE"],

        ["\x91\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF2"],
        ["\xFA\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x48"],

        ["\x91\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF3"],
        ["\xFA\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x45"],

        ["\x91\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF4"],
        ["\xFA\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xA4"],

        ["\x91\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF5"],
        ["\xFA\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xAF"],

        ["\x91\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF6"],
        ["\xFA\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xBE"],

        ["\x91\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF7"],
        ["\xFA\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xB7"],

        ["\x91\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF8"],
        ["\xFA\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xCD"],

        ["\x91\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xF9"],
        ["\xFA\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xEA"],

        ["\x92\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xFA"],
        ["\xFA\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x47"],

        ["\x92\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xFB"],
        ["\xFA\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x86"],

        ["\x92\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFA\xFC"],
        ["\xFA\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x98"],

        ["\x92\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x40"],
        ["\xFB\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x90"],

        ["\x92\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x41"],
        ["\xFB\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x9D"],

        ["\x92\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x42"],
        ["\xFB\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xAF"],

        ["\x92\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x43"],
        ["\xFB\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xA2"],

        ["\x92\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x44"],
        ["\xFB\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xBF"],

        ["\x92\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x45"],
        ["\xFB\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xA6"],

        ["\x92\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x46"],
        ["\xFB\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xFB"],

        ["\x92\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x47"],
        ["\xFB\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xDF"],

        ["\x92\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x48"],
        ["\xFB\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xEA"],

        ["\x92\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x49"],
        ["\xFB\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xDC"],

        ["\x93\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x4A"],
        ["\xFB\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x48"],

        ["\x93\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x4B"],
        ["\xFB\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xA3"],

        ["\x93\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x4C"],
        ["\xFB\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xBF"],

        ["\x93\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x4D"],
        ["\xFB\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xB6"],

        ["\x93\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x4E"],
        ["\xFB\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xDB"],

        ["\x93\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x4F"],
        ["\xFB\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xDA"],

        ["\x93\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x50"],
        ["\xFB\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xDD"],

        ["\x93\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x51"],
        ["\xFB\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xFB"],

        ["\x93\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x52"],
        ["\xFB\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xFC"],

        ["\x94\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x53"],
        ["\xFB\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x48"],

        ["\x94\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x54"],
        ["\xFB\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x46"],

        ["\x94\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x55"],
        ["\xFB\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x88"],

        ["\x94\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x56"],
        ["\xFB\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x89"],

        ["\x94\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x57"],
        ["\xFB\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x8D"],

        ["\x94\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x58"],
        ["\xFB\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xA3"],

        ["\x94\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x59"],
        ["\xFB\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xA5"],

        ["\x94\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x5A"],
        ["\xFB\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xAA"],

        ["\x94\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x5B"],
        ["\xFB\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xCD"],

        ["\x94\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x5C"],
        ["\xFB\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xDA"],

        ["\x94\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x5D"],
        ["\xFB\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xFB"],

        ["\x94\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x5E"],
        ["\xFB\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xEE"],

        ["\x95\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x5F"],
        ["\xFB\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x45"],

        ["\x95\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x60"],
        ["\xFB\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x8A"],

        ["\x95\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x61"],
        ["\xFB\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x88"],

        ["\x95\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x62"],
        ["\xFB\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x92"],

        ["\x95\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x63"],
        ["\xFB\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x93"],

        ["\x95\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x64"],
        ["\xFB\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x97"],

        ["\x95\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x65"],
        ["\xFB\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x98"],

        ["\x95\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x66"],
        ["\xFB\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x9E"],

        ["\x95\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x67"],
        ["\xFB\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xA7"],

        ["\x95\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x68"],
        ["\xFB\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xA8"],

        ["\x95\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x69"],
        ["\xFB\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xBB"],

        ["\x95\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x6A"],
        ["\xFB\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xAD"],

        ["\x95\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x6B"],
        ["\xFB\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xCF"],

        ["\x95\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x6C"],
        ["\xFB\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xDF"],

        ["\x95\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x6D"],
        ["\xFB\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xFB"],

        ["\x96\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x6E"],
        ["\xFB\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x53"],

        ["\x96\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x6F"],
        ["\xFB\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x84"],

        ["\x96\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x70"],
        ["\xFB\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xA8"],

        ["\x96\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x71"],
        ["\xFB\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xAF"],

        ["\x96\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x72"],
        ["\xFB\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xBA"],

        ["\x96\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x73"],
        ["\xFB\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xBB"],

        ["\x96\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x74"],
        ["\xFB\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xBF"],

        ["\x96\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x75"],
        ["\xFB\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xB7"],

        ["\x96\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x76"],
        ["\xFB\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xDE"],

        ["\x84\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x77"],
        ["\xFB\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x98"],

        ["\x97\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x78"],
        ["\xFB\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x81"],

        ["\x97\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x79"],
        ["\xFB\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x85"],

        ["\x97\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x7A"],
        ["\xFB\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x8E"],

        ["\x97\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x7B"],
        ["\xFB\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x95"],

        ["\x97\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x7C"],
        ["\xFB\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xBA"],

        ["\x97\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x7D"],
        ["\xFB\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xBD"],

        ["\x97\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x7E"],
        ["\xFB\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xCD"],

        ["\x97\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x80"],
        ["\xFB\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xED"],

        ["\x98\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x81"],
        ["\xFB\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x43"],

        ["\x98\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x82"],
        ["\xFB\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x46"],

        ["\x98\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x83"],
        ["\xFB\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x51"],

        ["\x98\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x84"],
        ["\xFB\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xDE"],

        ["\x98\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x85"],
        ["\xFB\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xEB"],

        ["\x98\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x86"],
        ["\xFB\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xED"],

        ["\x98\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x87"],
        ["\xFB\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xEE"],

        ["\x99\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x88"],
        ["\xFB\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x8C"],

        ["\x99\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x89"],
        ["\xFB\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xCA"],

        ["\x9A\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x8A"],
        ["\xFB\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x47"],

        ["\x9A\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x8B"],
        ["\xFB\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x53"],

        ["\x9A\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x8C"],
        ["\xFB\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x89"],

        ["\x9A\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x8D"],
        ["\xFB\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x86"],

        ["\x9A\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x8E"],
        ["\xFB\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x8E"],

        ["\x9A\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x8F"],
        ["\xFB\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xAA"],

        ["\x90\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x90"],
        ["\xFB\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xFB"],

        ["\x9A\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x91"],
        ["\xFB\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xDE"],

        ["\x9A\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x92"],
        ["\xFB\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xEC"],

        ["\x9E\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x93"],
        ["\xFB\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\x84"],

        ["\x9E\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x94"],
        ["\xFB\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xA8"],

        ["\x9E\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x95"],
        ["\xFB\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xA9"],

        ["\x9F\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x96"],
        ["\xFB\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\x41"],

        ["\x9E\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x97"],
        ["\xFB\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xED"],

        ["\x9F\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x98"],
        ["\xFB\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\x82"],

        ["\x9F\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x99"],
        ["\xFB\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\x94"],

        ["\x9F\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x9A"],
        ["\xFB\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\xDA"],

        ["\x9F\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x9B"],
        ["\xFB\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\xCC"],

        ["\x9F\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x9C"],
        ["\xFB\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\xCF"],

        ["\x9F\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x9D"],
        ["\xFB\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\xFD"],

        ["\xA2\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x9E"],
        ["\xFB\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x49"],

        ["\xA2\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\x9F"],
        ["\xFB\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x93"],

        ["\xA2\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA0"],
        ["\xFB\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xA8"],

        ["\xA2\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA1"],
        ["\xFB\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xB4"],

        ["\xA3\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA2"],
        ["\xFB\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x44"],

        ["\xA3\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA3"],
        ["\xFB\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x9D"],

        ["\xA3\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA4"],
        ["\xFB\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xBA"],

        ["\xA3\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA5"],
        ["\xFB\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xBF"],

        ["\xA3\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA6"],
        ["\xFB\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xB4"],

        ["\xA3\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA7"],
        ["\xFB\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xB5"],

        ["\xA3\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA8"],
        ["\xFB\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xCE"],

        ["\xA3\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xA9"],
        ["\xFB\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xCC"],

        ["\xA3\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xAA"],
        ["\xFB\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xCF"],

        ["\xA3\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xAB"],
        ["\xFB\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],

        ["\xA3\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xAC"],
        ["\xFB\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xFE"],

        ["\xA4\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xAD"],
        ["\xFB\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x8D"],

        ["\xA4\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xAE"],
        ["\xFB\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x8C"],

        ["\xA4\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xAF"],
        ["\xFB\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x93"],

        ["\xA4\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB0"],
        ["\xFB\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x96"],

        ["\xA4\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB1"],
        ["\xFB\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x98"],

        ["\xA4\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB2"],
        ["\xFB\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],

        ["\xA4\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB3"],
        ["\xFB\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xFD"],

        ["\xA5\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB4"],
        ["\xFB\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\x93"],

        ["\xA5\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB5"],
        ["\xFB\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],

        ["\xA5\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB6"],
        ["\xFB\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xCE"],

        ["\xA5\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB7"],
        ["\xFB\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xDE"],

        ["\xA5\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB8"],
        ["\xFB\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xDF"],

        ["\xA5\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xB9"],
        ["\xFB\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],

        ["\xA6\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xBA"],
        ["\xFB\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x88"],

        ["\xA6\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xBB"],
        ["\xFB\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x87"],

        ["\xA6\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xBC"],
        ["\xFB\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x89"],

        ["\xA6\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xBD"],
        ["\xFB\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x8C"],

        ["\xA6\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xBE"],
        ["\xFB\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x92"],

        ["\xA6\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xBF"],
        ["\xFB\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x8F"],

        ["\xA6\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC0"],
        ["\xFB\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x8E"],

        ["\xA6\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC1"],
        ["\xFB\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x97"],

        ["\xA6\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC2"],
        ["\xFB\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x95"],

        ["\xA6\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC3"],
        ["\xFB\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x9E"],

        ["\xA6\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC4"],
        ["\xFB\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xBC"],

        ["\xA6\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC5"],
        ["\xFB\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xAC"],

        ["\xA6\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC6"],
        ["\xFB\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xAF"],

        ["\xA6\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC7"],
        ["\xFB\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xBD"],

        ["\xA6\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC8"],
        ["\xFB\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xBB"],

        ["\xA6\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xC9"],
        ["\xFB\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xA6"],

        ["\xA6\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xCA"],
        ["\xFB\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xA8"],

        ["\xA6\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xCB"],
        ["\xFB\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xB6"],

        ["\xA6\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xCC"],
        ["\xFB\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xDA"],

        ["\xA6\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xCD"],
        ["\xFB\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xDB"],

        ["\xA6\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xCE"],
        ["\xFB\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xB8"],

        ["\xA6\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xCF"],
        ["\xFB\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xEF"],

        ["\xA6\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD0"],
        ["\xFB\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xDC"],

        ["\xA6\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD1"],
        ["\xFB\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xED"],

        ["\xA7\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD2"],
        ["\xFB\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x44"],

        ["\xA7\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD3"],
        ["\xFB\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x46"],

        ["\xA7\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD4"],
        ["\xFB\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x43"],

        ["\xA6\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD5"],
        ["\xFB\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xFE"],

        ["\xA6\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD6"],
        ["\xFB\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xEA"],

        ["\xA7\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD7"],
        ["\xFB\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x84"],

        ["\xA7\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD8"],
        ["\xFB\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x49"],

        ["\xA7\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xD9"],
        ["\xFB\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x56"],

        ["\xA7\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xDA"],
        ["\xFB\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x87"],

        ["\xA7\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xDB"],
        ["\xFB\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x52"],

        ["\xA7\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xDC"],
        ["\xFB\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x85"],

        ["\xA7\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xDD"],
        ["\xFB\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x83"],

        ["\xA7\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xDE"],
        ["\xFB\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x82"],

        ["\xA7\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xDF"],
        ["\xFB\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x8C"],

        ["\xA7\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE0"],
        ["\xFB\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x94"],

        ["\xA7\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE1"],
        ["\xFB\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xA8"],

        ["\xA7\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE2"],
        ["\xFB\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xBF"],

        ["\xA7\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE3"],
        ["\xFB\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xBA"],

        ["\xA7\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE4"],
        ["\xFB\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xB9"],

        ["\xA7\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE5"],
        ["\xFB\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xDE"],

        ["\xA7\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE6"],
        ["\xFB\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xDF"],

        ["\xA7\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE7"],
        ["\xFB\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xEA"],

        ["\xA7\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE8"],
        ["\xFB\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xFC"],

        ["\xA8\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xE9"],
        ["\xFB\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x89"],

        ["\xA8\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xEA"],
        ["\xFB\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x91"],

        ["\xA8\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xEB"],
        ["\xFB\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x92"],

        ["\xA8\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xEC"],
        ["\xFB\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x95"],

        ["\xA8\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xED"],
        ["\xFB\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xA9"],

        ["\xA8\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xEE"],
        ["\xFB\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xAA"],

        ["\xA8\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xEF"],
        ["\xFB\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xAD"],

        ["\xA8\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF0"],
        ["\xFB\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xAF"],

        ["\xA8\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF1"],
        ["\xFB\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xBB"],

        ["\xA8\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF2"],
        ["\xFB\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xBC"],

        ["\xA8\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF3"],
        ["\xFB\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xBE"],

        ["\xA9\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF4"],
        ["\xFB\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x41"],

        ["\xA9\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF5"],
        ["\xFB\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x44"],

        ["\xA9\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF6"],
        ["\xFB\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x83"],

        ["\xA9\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF7"],
        ["\xFB\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x84"],

        ["\xA9\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF8"],
        ["\xFB\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x87"],

        ["\xA9\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xF9"],
        ["\xFB\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x88"],

        ["\xA9\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xFA"],
        ["\xFB\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x94"],

        ["\xA9\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xFB"],
        ["\xFB\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xAD"],

        ["\xA9\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFB\xFC"],
        ["\xFB\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xBC"],

        ["\xA9\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x40"],
        ["\xFC\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xBE"],

        ["\xA9\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x41"],
        ["\xFC\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xDC"],

        ["\xA9\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x42"],
        ["\xFC\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xDB"],

        ["\xA9\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x43"],
        ["\xFC\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xDF"],

        ["\xA9\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x44"],
        ["\xFC\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xFB"],

        ["\xAA\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x45"],
        ["\xFC\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x48"],

        ["\xAA\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x46"],
        ["\xFC\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x56"],

        ["\xA8\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x47"],
        ["\xFC\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x9A"],

        ["\xAA\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x48"],
        ["\xFC\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xA9"],

        ["\xAA\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x49"],
        ["\xFC\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xBA"],

        ["\xAA\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x4A"],
        ["\xFC\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xBC"],

        ["\xAA\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\xFC\x4B"],
        ["\xFC\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xCD"],

        ["\x80\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x5C"],
        ["\x9C\x5A\x81\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x7F"],

        ["\x80\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x61"],
        ["\x9C\x5A\x81\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x7B"],

        ["\x80\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x7C"],
        ["\x9C\x5A\x81\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xE0"],

        ["\x80\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x91"],
        ["\x9C\x5A\x81\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x6C"],

        ["\x80\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\x92"],
        ["\x9C\x5A\x81\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x50"],

        ["\x80\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB1"],
        ["\x9C\x5A\x81\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x7D"],

        ["\x80\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB2"],
        ["\x9C\x5A\x81\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x4D"],

        ["\x80\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB3"],
        ["\x9C\x5A\x81\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x5D"],

        ["\x80\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB4"],
        ["\x9C\x5A\x81\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x5C"],

        ["\x80\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB5"],
        ["\x9C\x5A\x81\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x4E"],

        ["\x80\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB6"],
        ["\x9C\x5A\x81\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x6B"],

        ["\x80\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xB7"],
        ["\x9C\x5A\x81\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x60"],

        ["\x80\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC0"],
        ["\x9C\x5A\x81\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x4B"],

        ["\x80\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC1"],
        ["\x9C\x5A\x81\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x61"],

        ["\x80\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC2"],
        ["\x9C\x5A\x81\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF0"],

        ["\x80\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC3"],
        ["\x9C\x5A\x81\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF1"],

        ["\x80\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC4"],
        ["\x9C\x5A\x81\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF2"],

        ["\x80\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC5"],
        ["\x9C\x5A\x81\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF3"],

        ["\x80\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC6"],
        ["\x9C\x5A\x81\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF4"],

        ["\x80\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xC7"],
        ["\x9C\x5A\x81\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF5"],

        ["\x80\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xCA"],
        ["\x9C\x5A\x81\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF6"],

        ["\x45\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xCF"],
        ["\x9C\x5A\x81\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCB"],

        ["\x45\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD0"],
        ["\x9C\x5A\x81\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCC"],

        ["\x45\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD1"],
        ["\x9C\x5A\x81\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xCD"],

        ["\x80\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD3"],
        ["\x9C\x5A\x81\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF7"],

        ["\x80\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD4"],
        ["\x9C\x5A\x81\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF8"],

        ["\x80\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD5"],
        ["\x9C\x5A\x81\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xF9"],

        ["\x80\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD6"],
        ["\x9C\x5A\x81\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x7A"],

        ["\x80\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD7"],
        ["\x9C\x5A\x81\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x5E"],

        ["\x80\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD8"],
        ["\x9C\x5A\x81\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x4C"],

        ["\x80\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xD9"],
        ["\x9C\x5A\x81\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x7E"],

        ["\x45\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xE9"],
        ["\x9C\x5A\x81\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB2"],

        ["\x45\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEA"],
        ["\x9C\x5A\x81\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xAD"],

        ["\x80\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEB"],
        ["\x9C\x5A\x81\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x6E"],

        ["\x80\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEC"],
        ["\x9C\x5A\x81\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x6F"],

        ["\x45\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xED"],
        ["\x9C\x5A\x81\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB6"],

        ["\x45\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEE"],
        ["\x9C\x5A\x81\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xB5"],

        ["\x43\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xEF"],
        ["\x9C\x5A\x81\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xBE"],

        ["\x80\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xF8"],
        ["\x9C\x5A\x81\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x7C"],

        ["\x80\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xF9"],
        ["\x9C\x5A\x81\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC1"],

        ["\x80\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xFA"],
        ["\x9C\x5A\x81\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC2"],

        ["\x80\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x81\xFB"],
        ["\x9C\x5A\x81\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC3"],

        ["\x43\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x40"],
        ["\x9C\x5A\x82\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xCE"],

        ["\x43\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x41"],
        ["\x9C\x5A\x82\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDA"],

        ["\x43\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x42"],
        ["\x9C\x5A\x82\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xCD"],

        ["\x43\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x43"],
        ["\x9C\x5A\x82\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xCF"],

        ["\x43\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x44"],
        ["\x9C\x5A\x82\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB3"],

        ["\x43\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x45"],
        ["\x9C\x5A\x82\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB6"],

        ["\x43\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x46"],
        ["\x9C\x5A\x82\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB4"],

        ["\x43\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x47"],
        ["\x9C\x5A\x82\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xB5"],

        ["\x43\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x48"],
        ["\x9C\x5A\x82\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xBD"],

        ["\x80\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x49"],
        ["\x9C\x5A\x82\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC4"],

        ["\x80\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4A"],
        ["\x9C\x5A\x82\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC5"],

        ["\x80\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4B"],
        ["\x9C\x5A\x82\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC6"],

        ["\x80\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4C"],
        ["\x9C\x5A\x82\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC7"],

        ["\x80\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4D"],
        ["\x9C\x5A\x82\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC8"],

        ["\x80\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x4E"],
        ["\x9C\x5A\x82\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC9"],

        ["\x80\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x59"],
        ["\x9C\x5A\x82\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD1"],

        ["\x80\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5A"],
        ["\x9C\x5A\x82\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD2"],

        ["\x80\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5B"],
        ["\x9C\x5A\x82\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD3"],

        ["\x80\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5C"],
        ["\x9C\x5A\x82\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD4"],

        ["\x80\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5D"],
        ["\x9C\x5A\x82\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD5"],

        ["\x80\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5E"],
        ["\x9C\x5A\x82\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD6"],

        ["\x80\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x5F"],
        ["\x9C\x5A\x82\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD7"],

        ["\x45\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7A"],
        ["\x9C\x5A\x82\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xAC"],

        ["\x80\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7B"],
        ["\x9C\x5A\x82\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD8"],

        ["\x80\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7C"],
        ["\x9C\x5A\x82\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD9"],

        ["\x44\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7D"],
        ["\x9C\x5A\x82\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\xED"],

        ["\x80\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x7E"],
        ["\x9C\x5A\x82\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xE2"],

        ["\x80\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x80"],
        ["\x9C\x5A\x82\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xE3"],

        ["\x80\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x9B"],
        ["\x9C\x5A\x82\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xE4"],

        ["\x80\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x9C"],
        ["\x9C\x5A\x82\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xE5"],

        ["\x80\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x9D"],
        ["\x9C\x5A\x82\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xE6"],

        ["\x80\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\x9E"],
        ["\x9C\x5A\x82\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xE7"],

        ["\x80\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF2"],
        ["\x9C\x5A\x82\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xE8"],

        ["\x80\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF3"],
        ["\x9C\x5A\x82\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xE9"],

        ["\x80\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF4"],
        ["\x9C\x5A\x82\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x4A"],

        ["\x80\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF5"],
        ["\x9C\x5A\x82\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x5B"],

        ["\x80\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF6"],
        ["\x9C\x5A\x82\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x5A"],

        ["\x80\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF7"],
        ["\x9C\x5A\x82\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x5F"],

        ["\x80\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF8"],
        ["\x9C\x5A\x82\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x6D"],

        ["\x80\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x82\xF9"],
        ["\x9C\x5A\x82\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x79"],

        ["\x80\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x97"],
        ["\x9C\x5A\x83\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x57"],

        ["\x80\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x98"],
        ["\x9C\x5A\x83\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x59"],

        ["\x80\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x99"],
        ["\x9C\x5A\x83\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x62"],

        ["\x80\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9A"],
        ["\x9C\x5A\x83\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x63"],

        ["\x80\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9B"],
        ["\x9C\x5A\x83\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x64"],

        ["\x80\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9C"],
        ["\x9C\x5A\x83\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x65"],

        ["\x80\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9D"],
        ["\x9C\x5A\x83\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x66"],

        ["\x80\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\x9E"],
        ["\x9C\x5A\x83\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x67"],

        ["\x80\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xB7"],
        ["\x9C\x5A\x83\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x68"],

        ["\x45\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xB8"],
        ["\x9C\x5A\x83\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xEB"],

        ["\x80\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xB9"],
        ["\x9C\x5A\x83\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x69"],

        ["\x45\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBA"],
        ["\x9C\x5A\x83\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDF"],

        ["\x80\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBB"],
        ["\x9C\x5A\x83\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x70"],

        ["\x45\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBC"],
        ["\x9C\x5A\x83\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xEA"],

        ["\x80\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBD"],
        ["\x9C\x5A\x83\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x71"],

        ["\x45\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xBE"],
        ["\x9C\x5A\x83\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\xDE"],

        ["\x80\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xD7"],
        ["\x9C\x5A\x83\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x72"],

        ["\x80\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xD8"],
        ["\x9C\x5A\x83\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x73"],

        ["\x80\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xD9"],
        ["\x9C\x5A\x83\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x74"],

        ["\x80\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDA"],
        ["\x9C\x5A\x83\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x75"],

        ["\x80\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDB"],
        ["\x9C\x5A\x83\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x76"],

        ["\x80\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDC"],
        ["\x9C\x5A\x83\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x77"],

        ["\x80\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDD"],
        ["\x9C\x5A\x83\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x78"],

        ["\x80\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDE"],
        ["\x9C\x5A\x83\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x80"],

        ["\x80\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xDF"],
        ["\x9C\x5A\x83\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x8B"],

        ["\x80\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE0"],
        ["\x9C\x5A\x83\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x9B"],

        ["\x80\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE1"],
        ["\x9C\x5A\x83\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x9C"],

        ["\x80\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE2"],
        ["\x9C\x5A\x83\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xA0"],

        ["\x80\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE3"],
        ["\x9C\x5A\x83\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xAB"],

        ["\x80\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE4"],
        ["\x9C\x5A\x83\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xB0"],

        ["\x80\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE5"],
        ["\x9C\x5A\x83\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xC0"],

        ["\x80\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE6"],
        ["\x9C\x5A\x83\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\x6A"],

        ["\x80\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE7"],
        ["\x9C\x5A\x83\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xD0"],

        ["\x80\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE8"],
        ["\x9C\x5A\x83\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x80\xA1"],

        ["\x8B\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xE9"],
        ["\x9C\x5A\x83\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x4F"],

        ["\x8B\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEA"],
        ["\x9C\x5A\x83\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x7F"],

        ["\x8B\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEB"],
        ["\x9C\x5A\x83\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x7B"],

        ["\x8B\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEC"],
        ["\x9C\x5A\x83\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xE0"],

        ["\x8B\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xED"],
        ["\x9C\x5A\x83\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x6C"],

        ["\x8B\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEE"],
        ["\x9C\x5A\x83\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x50"],

        ["\x8B\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xEF"],
        ["\x9C\x5A\x83\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x7D"],

        ["\x8B\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF0"],
        ["\x9C\x5A\x83\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x4D"],

        ["\x8B\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF1"],
        ["\x9C\x5A\x83\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x5D"],

        ["\x8B\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF2"],
        ["\x9C\x5A\x83\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x5C"],

        ["\x8B\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF3"],
        ["\x9C\x5A\x83\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x4E"],

        ["\x8B\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF4"],
        ["\x9C\x5A\x83\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x6B"],

        ["\x8B\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF5"],
        ["\x9C\x5A\x83\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x60"],

        ["\x8B\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF6"],
        ["\x9C\x5A\x83\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x4B"],

        ["\x8B\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF7"],
        ["\x9C\x5A\x83\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x61"],

        ["\x8B\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF8"],
        ["\x9C\x5A\x83\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF0"],

        ["\x8B\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xF9"],
        ["\x9C\x5A\x83\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF1"],

        ["\x8B\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xFA"],
        ["\x9C\x5A\x83\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF2"],

        ["\x8B\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xFB"],
        ["\x9C\x5A\x83\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF3"],

        ["\x8B\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x83\xFC"],
        ["\x9C\x5A\x83\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF4"],

        ["\x8B\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x61"],
        ["\x9C\x5A\x84\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF5"],

        ["\x8B\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x62"],
        ["\x9C\x5A\x84\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF6"],

        ["\x8B\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x63"],
        ["\x9C\x5A\x84\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF7"],

        ["\x8B\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x64"],
        ["\x9C\x5A\x84\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF8"],

        ["\x8B\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x65"],
        ["\x9C\x5A\x84\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xF9"],

        ["\x8B\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x66"],
        ["\x9C\x5A\x84\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x7A"],

        ["\x8B\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x67"],
        ["\x9C\x5A\x84\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x5E"],

        ["\x8B\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x68"],
        ["\x9C\x5A\x84\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x4C"],

        ["\x8B\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x69"],
        ["\x9C\x5A\x84\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x7E"],

        ["\x8B\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6A"],
        ["\x9C\x5A\x84\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x6E"],

        ["\x8B\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6B"],
        ["\x9C\x5A\x84\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x6F"],

        ["\x8B\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6C"],
        ["\x9C\x5A\x84\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x7C"],

        ["\x8B\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6D"],
        ["\x9C\x5A\x84\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC1"],

        ["\x8B\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6E"],
        ["\x9C\x5A\x84\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC2"],

        ["\x8B\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x6F"],
        ["\x9C\x5A\x84\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC3"],

        ["\x8B\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x92"],
        ["\x9C\x5A\x84\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC4"],

        ["\x8B\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x93"],
        ["\x9C\x5A\x84\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC5"],

        ["\x8B\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x94"],
        ["\x9C\x5A\x84\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC6"],

        ["\x8B\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x95"],
        ["\x9C\x5A\x84\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC7"],

        ["\x8B\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x96"],
        ["\x9C\x5A\x84\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC8"],

        ["\x8B\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x97"],
        ["\x9C\x5A\x84\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC9"],

        ["\x42\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x98"],
        ["\x9C\x5A\x84\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xFA"],

        ["\x42\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x99"],
        ["\x9C\x5A\x84\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xFB"],

        ["\x8B\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9A"],
        ["\x9C\x5A\x84\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD1"],

        ["\x8B\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9B"],
        ["\x9C\x5A\x84\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD2"],

        ["\x8B\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9C"],
        ["\x9C\x5A\x84\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD3"],

        ["\x8B\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9D"],
        ["\x9C\x5A\x84\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD4"],

        ["\x8B\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\x9E"],
        ["\x9C\x5A\x84\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD5"],

        ["\x8B\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xBF"],
        ["\x9C\x5A\x84\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD6"],

        ["\x8B\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC0"],
        ["\x9C\x5A\x84\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD7"],

        ["\x8B\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC1"],
        ["\x9C\x5A\x84\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD8"],

        ["\x8B\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC2"],
        ["\x9C\x5A\x84\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD9"],

        ["\x8B\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC3"],
        ["\x9C\x5A\x84\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xE2"],

        ["\x8B\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC4"],
        ["\x9C\x5A\x84\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xE3"],

        ["\x8B\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC5"],
        ["\x9C\x5A\x84\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xE4"],

        ["\x8B\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC6"],
        ["\x9C\x5A\x84\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xE5"],

        ["\x8B\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC7"],
        ["\x9C\x5A\x84\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xE6"],

        ["\x8B\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC8"],
        ["\x9C\x5A\x84\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xE7"],

        ["\x8B\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xC9"],
        ["\x9C\x5A\x84\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xE8"],

        ["\x8B\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCA"],
        ["\x9C\x5A\x84\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xE9"],

        ["\x8B\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCB"],
        ["\x9C\x5A\x84\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x4A"],

        ["\x8B\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCC"],
        ["\x9C\x5A\x84\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x5B"],

        ["\x8B\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCD"],
        ["\x9C\x5A\x84\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x5A"],

        ["\x8B\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCE"],
        ["\x9C\x5A\x84\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x5F"],

        ["\x8B\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xCF"],
        ["\x9C\x5A\x84\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x6D"],

        ["\x8B\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD0"],
        ["\x9C\x5A\x84\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x79"],

        ["\x8B\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD1"],
        ["\x9C\x5A\x84\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x57"],

        ["\x8B\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD2"],
        ["\x9C\x5A\x84\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x59"],

        ["\x8B\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD3"],
        ["\x9C\x5A\x84\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x62"],

        ["\x8B\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD4"],
        ["\x9C\x5A\x84\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x63"],

        ["\x8B\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD5"],
        ["\x9C\x5A\x84\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x64"],

        ["\x8B\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD6"],
        ["\x9C\x5A\x84\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x65"],

        ["\x8B\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD7"],
        ["\x9C\x5A\x84\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x66"],

        ["\x8B\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD8"],
        ["\x9C\x5A\x84\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x67"],

        ["\x8B\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xD9"],
        ["\x9C\x5A\x84\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x68"],

        ["\x8B\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xDA"],
        ["\x9C\x5A\x84\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x69"],

        ["\x8B\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xDB"],
        ["\x9C\x5A\x84\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x70"],

        ["\x8B\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xDC"],
        ["\x9C\x5A\x84\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x71"],

        ["\x8B\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE5"],
        ["\x9C\x5A\x84\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x72"],

        ["\x8B\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE6"],
        ["\x9C\x5A\x84\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x73"],

        ["\x8B\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE7"],
        ["\x9C\x5A\x84\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x74"],

        ["\x8B\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE8"],
        ["\x9C\x5A\x84\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x75"],

        ["\x8B\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xE9"],
        ["\x9C\x5A\x84\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x76"],

        ["\x8B\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEA"],
        ["\x9C\x5A\x84\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x77"],

        ["\x8B\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEB"],
        ["\x9C\x5A\x84\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x78"],

        ["\x8B\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEC"],
        ["\x9C\x5A\x84\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x80"],

        ["\x8B\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xED"],
        ["\x9C\x5A\x84\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x8B"],

        ["\x8B\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEE"],
        ["\x9C\x5A\x84\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x9B"],

        ["\x8B\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xEF"],
        ["\x9C\x5A\x84\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x9C"],

        ["\x8B\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF0"],
        ["\x9C\x5A\x84\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xA0"],

        ["\x8B\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF1"],
        ["\x9C\x5A\x84\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xAB"],

        ["\x8B\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF2"],
        ["\x9C\x5A\x84\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xB0"],

        ["\x8B\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF3"],
        ["\x9C\x5A\x84\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xC0"],

        ["\x8B\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF4"],
        ["\x9C\x5A\x84\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\x6A"],

        ["\x8B\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF5"],
        ["\x9C\x5A\x84\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xD0"],

        ["\x8B\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF6"],
        ["\x9C\x5A\x84\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8B\xA1"],

        ["\x9B\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF7"],
        ["\x9C\x5A\x84\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x4F"],

        ["\x9B\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF8"],
        ["\x9C\x5A\x84\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x7F"],

        ["\x9B\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xF9"],
        ["\x9C\x5A\x84\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x7B"],

        ["\x9B\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x84\xFA"],
        ["\x9C\x5A\x84\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xE0"],

        ["\x9B\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x40"],
        ["\x9C\x5A\x85\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x6C"],

        ["\x9B\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x41"],
        ["\x9C\x5A\x85\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x50"],

        ["\x9B\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x42"],
        ["\x9C\x5A\x85\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x7D"],

        ["\x9B\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x43"],
        ["\x9C\x5A\x85\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x4D"],

        ["\x9B\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x44"],
        ["\x9C\x5A\x85\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x5D"],

        ["\x9B\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x45"],
        ["\x9C\x5A\x85\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x5C"],

        ["\x9B\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x46"],
        ["\x9C\x5A\x85\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x4E"],

        ["\x9B\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x47"],
        ["\x9C\x5A\x85\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x6B"],

        ["\x9B\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x48"],
        ["\x9C\x5A\x85\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x60"],

        ["\x9B\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x49"],
        ["\x9C\x5A\x85\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x4B"],

        ["\x9B\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4A"],
        ["\x9C\x5A\x85\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x61"],

        ["\x9B\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4B"],
        ["\x9C\x5A\x85\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF0"],

        ["\x9B\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4C"],
        ["\x9C\x5A\x85\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF1"],

        ["\x9B\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4D"],
        ["\x9C\x5A\x85\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF2"],

        ["\x9B\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4E"],
        ["\x9C\x5A\x85\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF3"],

        ["\x9B\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x4F"],
        ["\x9C\x5A\x85\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF4"],

        ["\x9B\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x50"],
        ["\x9C\x5A\x85\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF5"],

        ["\x9B\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x51"],
        ["\x9C\x5A\x85\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF6"],

        ["\x9B\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x52"],
        ["\x9C\x5A\x85\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF7"],

        ["\x9B\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x53"],
        ["\x9C\x5A\x85\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF8"],

        ["\x9B\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x54"],
        ["\x9C\x5A\x85\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xF9"],

        ["\x9B\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x55"],
        ["\x9C\x5A\x85\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x7A"],

        ["\x9B\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x56"],
        ["\x9C\x5A\x85\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x5E"],

        ["\x45\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x57"],
        ["\x9C\x5A\x85\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x41"],

        ["\x45\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x58"],
        ["\x9C\x5A\x85\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x42"],

        ["\x9B\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x59"],
        ["\x9C\x5A\x85\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x4C"],

        ["\x9B\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5A"],
        ["\x9C\x5A\x85\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x7E"],

        ["\x9B\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5B"],
        ["\x9C\x5A\x85\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x6E"],

        ["\x9B\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5C"],
        ["\x9C\x5A\x85\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x6F"],

        ["\x45\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5D"],
        ["\x9C\x5A\x85\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x44"],

        ["\x9B\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5E"],
        ["\x9C\x5A\x85\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x7C"],

        ["\x45\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x5F"],
        ["\x9C\x5A\x85\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x45"],

        ["\x45\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x60"],
        ["\x9C\x5A\x85\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x46"],

        ["\x9B\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x61"],
        ["\x9C\x5A\x85\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC1"],

        ["\x9B\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x62"],
        ["\x9C\x5A\x85\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC2"],

        ["\x45\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x63"],
        ["\x9C\x5A\x85\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x47"],

        ["\x45\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x64"],
        ["\x9C\x5A\x85\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x48"],

        ["\x45\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x65"],
        ["\x9C\x5A\x85\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8E"],

        ["\x9B\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x66"],
        ["\x9C\x5A\x85\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC3"],

        ["\x45\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x67"],
        ["\x9C\x5A\x85\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x49"],

        ["\x9B\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x68"],
        ["\x9C\x5A\x85\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC4"],

        ["\x45\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x69"],
        ["\x9C\x5A\x85\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x51"],

        ["\x45\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6A"],
        ["\x9C\x5A\x85\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x52"],

        ["\x9B\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6B"],
        ["\x9C\x5A\x85\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC5"],

        ["\x45\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6C"],
        ["\x9C\x5A\x85\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x53"],

        ["\x9B\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6D"],
        ["\x9C\x5A\x85\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC6"],

        ["\x9B\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6E"],
        ["\x9C\x5A\x85\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC7"],

        ["\x45\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x6F"],
        ["\x9C\x5A\x85\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x55"],

        ["\x45\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x70"],
        ["\x9C\x5A\x85\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x56"],

        ["\x45\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x71"],
        ["\x9C\x5A\x85\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x58"],

        ["\x45\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x72"],
        ["\x9C\x5A\x85\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x81"],

        ["\x9B\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x73"],
        ["\x9C\x5A\x85\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC8"],

        ["\x9B\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x74"],
        ["\x9C\x5A\x85\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC9"],

        ["\x45\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x75"],
        ["\x9C\x5A\x85\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x83"],

        ["\x45\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x76"],
        ["\x9C\x5A\x85\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x82"],

        ["\x45\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x77"],
        ["\x9C\x5A\x85\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x84"],

        ["\x9B\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x78"],
        ["\x9C\x5A\x85\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD1"],

        ["\x45\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x79"],
        ["\x9C\x5A\x85\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x85"],

        ["\x9B\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7A"],
        ["\x9C\x5A\x85\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD2"],

        ["\x9B\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7B"],
        ["\x9C\x5A\x85\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD3"],

        ["\x45\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7C"],
        ["\x9C\x5A\x85\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x86"],

        ["\x45\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7D"],
        ["\x9C\x5A\x85\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x88"],

        ["\x45\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x7E"],
        ["\x9C\x5A\x85\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x87"],

        ["\x45\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x80"],
        ["\x9C\x5A\x85\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x89"],

        ["\x45\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x81"],
        ["\x9C\x5A\x85\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8A"],

        ["\x9B\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x82"],
        ["\x9C\x5A\x85\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD4"],

        ["\x45\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x83"],
        ["\x9C\x5A\x85\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8C"],

        ["\x45\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x84"],
        ["\x9C\x5A\x85\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8D"],

        ["\x9B\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x85"],
        ["\x9C\x5A\x85\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD5"],

        ["\x9B\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x86"],
        ["\x9C\x5A\x85\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD6"],

        ["\x45\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x87"],
        ["\x9C\x5A\x85\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x8F"],

        ["\x9B\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x88"],
        ["\x9C\x5A\x85\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD7"],

        ["\x45\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x89"],
        ["\x9C\x5A\x85\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x90"],

        ["\x45\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8A"],
        ["\x9C\x5A\x85\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x91"],

        ["\x9B\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8B"],
        ["\x9C\x5A\x85\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD8"],

        ["\x45\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8C"],
        ["\x9C\x5A\x85\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x92"],

        ["\x9B\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8D"],
        ["\x9C\x5A\x85\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD9"],

        ["\x45\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8E"],
        ["\x9C\x5A\x85\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x96"],

        ["\x45\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x8F"],
        ["\x9C\x5A\x85\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x95"],

        ["\x45\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x90"],
        ["\x9C\x5A\x85\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x97"],

        ["\x45\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x91"],
        ["\x9C\x5A\x85\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x98"],

        ["\x9B\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x92"],
        ["\x9C\x5A\x85\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xE2"],

        ["\x9B\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x93"],
        ["\x9C\x5A\x85\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xE3"],

        ["\x45\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x94"],
        ["\x9C\x5A\x85\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x99"],

        ["\x9B\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x95"],
        ["\x9C\x5A\x85\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xE4"],

        ["\x9B\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x96"],
        ["\x9C\x5A\x85\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xE5"],

        ["\x9B\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x97"],
        ["\x9C\x5A\x85\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xE6"],

        ["\x9B\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x98"],
        ["\x9C\x5A\x85\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xE7"],

        ["\x9B\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x99"],
        ["\x9C\x5A\x85\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xE8"],

        ["\x9B\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9A"],
        ["\x9C\x5A\x85\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xE9"],

        ["\x9B\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9B"],
        ["\x9C\x5A\x85\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x4A"],

        ["\x9B\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9C"],
        ["\x9C\x5A\x85\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x5B"],

        ["\x9B\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9D"],
        ["\x9C\x5A\x85\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x5A"],

        ["\x9B\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9E"],
        ["\x9C\x5A\x85\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x5F"],

        ["\x9B\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\x9F"],
        ["\x9C\x5A\x85\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x6D"],

        ["\x9B\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA0"],
        ["\x9C\x5A\x85\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x79"],

        ["\x9B\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA1"],
        ["\x9C\x5A\x85\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x57"],

        ["\x9B\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA2"],
        ["\x9C\x5A\x85\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x59"],

        ["\x9B\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA3"],
        ["\x9C\x5A\x85\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x62"],

        ["\x9B\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA4"],
        ["\x9C\x5A\x85\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x63"],

        ["\x9B\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA5"],
        ["\x9C\x5A\x85\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x64"],

        ["\x9B\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA6"],
        ["\x9C\x5A\x85\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x65"],

        ["\x9B\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA7"],
        ["\x9C\x5A\x85\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x66"],

        ["\x9B\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA8"],
        ["\x9C\x5A\x85\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x67"],

        ["\x9B\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xA9"],
        ["\x9C\x5A\x85\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x68"],

        ["\x9B\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAA"],
        ["\x9C\x5A\x85\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x69"],

        ["\x9B\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAB"],
        ["\x9C\x5A\x85\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x70"],

        ["\x9B\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAC"],
        ["\x9C\x5A\x85\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x71"],

        ["\x9B\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAD"],
        ["\x9C\x5A\x85\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x72"],

        ["\x9B\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAE"],
        ["\x9C\x5A\x85\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x73"],

        ["\x9B\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xAF"],
        ["\x9C\x5A\x85\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x74"],

        ["\x9B\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB0"],
        ["\x9C\x5A\x85\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x75"],

        ["\x9B\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB1"],
        ["\x9C\x5A\x85\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x76"],

        ["\x9B\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB2"],
        ["\x9C\x5A\x85\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x77"],

        ["\x9B\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB3"],
        ["\x9C\x5A\x85\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x78"],

        ["\x9B\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB4"],
        ["\x9C\x5A\x85\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x80"],

        ["\x9B\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB5"],
        ["\x9C\x5A\x85\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x8B"],

        ["\x9B\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB6"],
        ["\x9C\x5A\x85\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x9B"],

        ["\x9B\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB7"],
        ["\x9C\x5A\x85\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x9C"],

        ["\x9B\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB8"],
        ["\x9C\x5A\x85\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xA0"],

        ["\x9B\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xB9"],
        ["\x9C\x5A\x85\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xAB"],

        ["\x9B\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBA"],
        ["\x9C\x5A\x85\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xB0"],

        ["\x9B\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBB"],
        ["\x9C\x5A\x85\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xC0"],

        ["\x9B\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBC"],
        ["\x9C\x5A\x85\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\x6A"],

        ["\x9B\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBD"],
        ["\x9C\x5A\x85\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xD0"],

        ["\x9B\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBE"],
        ["\x9C\x5A\x85\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9B\xA1"],

        ["\x9C\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xBF"],
        ["\x9C\x5A\x85\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x4F"],

        ["\x9C\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC0"],
        ["\x9C\x5A\x85\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x7F"],

        ["\x9C\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC1"],
        ["\x9C\x5A\x85\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x7B"],

        ["\x9C\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC2"],
        ["\x9C\x5A\x85\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xE0"],

        ["\x9C\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC3"],
        ["\x9C\x5A\x85\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x6C"],

        ["\x9C\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC4"],
        ["\x9C\x5A\x85\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x50"],

        ["\x9C\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC5"],
        ["\x9C\x5A\x85\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x7D"],

        ["\x9C\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC6"],
        ["\x9C\x5A\x85\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x4D"],

        ["\x9C\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC7"],
        ["\x9C\x5A\x85\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x5D"],

        ["\x9C\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC8"],
        ["\x9C\x5A\x85\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x5C"],

        ["\x9C\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xC9"],
        ["\x9C\x5A\x85\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x4E"],

        ["\x9C\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCA"],
        ["\x9C\x5A\x85\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x6B"],

        ["\x9C\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCB"],
        ["\x9C\x5A\x85\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x60"],

        ["\x9C\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCC"],
        ["\x9C\x5A\x85\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x4B"],

        ["\x9C\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCD"],
        ["\x9C\x5A\x85\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x61"],

        ["\x9C\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCE"],
        ["\x9C\x5A\x85\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF0"],

        ["\x9C\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xCF"],
        ["\x9C\x5A\x85\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF1"],

        ["\x9C\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD0"],
        ["\x9C\x5A\x85\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF2"],

        ["\x9C\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD1"],
        ["\x9C\x5A\x85\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF3"],

        ["\x9C\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD2"],
        ["\x9C\x5A\x85\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF4"],

        ["\x9C\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD3"],
        ["\x9C\x5A\x85\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF5"],

        ["\x9C\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD4"],
        ["\x9C\x5A\x85\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF6"],

        ["\x9C\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD5"],
        ["\x9C\x5A\x85\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF7"],

        ["\x9C\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD6"],
        ["\x9C\x5A\x85\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF8"],

        ["\x9C\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD7"],
        ["\x9C\x5A\x85\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xF9"],

        ["\x9C\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD8"],
        ["\x9C\x5A\x85\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x7A"],

        ["\x9C\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xD9"],
        ["\x9C\x5A\x85\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x5E"],

        ["\x9C\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDA"],
        ["\x9C\x5A\x85\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x4C"],

        ["\x9C\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDB"],
        ["\x9C\x5A\x85\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x7E"],

        ["\x9C\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDC"],
        ["\x9C\x5A\x85\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x6E"],

        ["\x9C\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDD"],
        ["\x9C\x5A\x85\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x6F"],

        ["\x9C\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDE"],
        ["\x9C\x5A\x85\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x7C"],

        ["\x9C\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xDF"],
        ["\x9C\x5A\x85\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC1"],

        ["\x9C\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE0"],
        ["\x9C\x5A\x85\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC2"],

        ["\x9C\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE1"],
        ["\x9C\x5A\x85\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC3"],

        ["\x9C\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE2"],
        ["\x9C\x5A\x85\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC4"],

        ["\x9C\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE3"],
        ["\x9C\x5A\x85\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC5"],

        ["\x9C\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE4"],
        ["\x9C\x5A\x85\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC6"],

        ["\x9C\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE5"],
        ["\x9C\x5A\x85\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC7"],

        ["\x9C\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE6"],
        ["\x9C\x5A\x85\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC8"],

        ["\x9C\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE7"],
        ["\x9C\x5A\x85\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC9"],

        ["\x9C\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE8"],
        ["\x9C\x5A\x85\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD1"],

        ["\x9C\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xE9"],
        ["\x9C\x5A\x85\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD2"],

        ["\x9C\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEA"],
        ["\x9C\x5A\x85\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD3"],

        ["\x9C\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEB"],
        ["\x9C\x5A\x85\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD4"],

        ["\x9C\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEC"],
        ["\x9C\x5A\x85\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD5"],

        ["\x9C\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xED"],
        ["\x9C\x5A\x85\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD6"],

        ["\x9C\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEE"],
        ["\x9C\x5A\x85\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD7"],

        ["\x9C\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xEF"],
        ["\x9C\x5A\x85\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD8"],

        ["\x9C\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF0"],
        ["\x9C\x5A\x85\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD9"],

        ["\x9C\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF1"],
        ["\x9C\x5A\x85\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xE2"],

        ["\x9C\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF2"],
        ["\x9C\x5A\x85\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xE3"],

        ["\x9C\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF3"],
        ["\x9C\x5A\x85\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xE4"],

        ["\x9C\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF4"],
        ["\x9C\x5A\x85\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xE5"],

        ["\x9C\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF5"],
        ["\x9C\x5A\x85\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xE6"],

        ["\x9C\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF6"],
        ["\x9C\x5A\x85\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xE7"],

        ["\x9C\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF7"],
        ["\x9C\x5A\x85\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xE8"],

        ["\x9C\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF8"],
        ["\x9C\x5A\x85\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xE9"],

        ["\x9C\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xF9"],
        ["\x9C\x5A\x85\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x4A"],

        ["\x9C\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xFA"],
        ["\x9C\x5A\x85\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x5B"],

        ["\x9C\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xFB"],
        ["\x9C\x5A\x85\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A"],

        ["\x9C\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x85\xFC"],
        ["\x9C\x5A\x85\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x5F"],

        ["\x9C\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x40"],
        ["\x9C\x5A\x86\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x6D"],

        ["\x9C\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x41"],
        ["\x9C\x5A\x86\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x79"],

        ["\x9C\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x42"],
        ["\x9C\x5A\x86\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x57"],

        ["\x9C\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x43"],
        ["\x9C\x5A\x86\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x59"],

        ["\x9C\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x44"],
        ["\x9C\x5A\x86\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x62"],

        ["\x9C\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x45"],
        ["\x9C\x5A\x86\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x63"],

        ["\x9C\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x46"],
        ["\x9C\x5A\x86\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x64"],

        ["\x9C\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x47"],
        ["\x9C\x5A\x86\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x65"],

        ["\x9C\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x48"],
        ["\x9C\x5A\x86\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x66"],

        ["\x45\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x49"],
        ["\x9C\x5A\x86\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x93"],

        ["\x45\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4A"],
        ["\x9C\x5A\x86\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x45\x54"],

        ["\x9C\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4B"],
        ["\x9C\x5A\x86\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x67"],

        ["\x9C\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4C"],
        ["\x9C\x5A\x86\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x68"],

        ["\x9C\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4D"],
        ["\x9C\x5A\x86\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x69"],

        ["\x9C\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4E"],
        ["\x9C\x5A\x86\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x70"],

        ["\x9C\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x4F"],
        ["\x9C\x5A\x86\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x71"],

        ["\x9C\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x50"],
        ["\x9C\x5A\x86\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x72"],

        ["\x9C\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x51"],
        ["\x9C\x5A\x86\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x73"],

        ["\x9C\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x52"],
        ["\x9C\x5A\x86\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x74"],

        ["\x9C\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x53"],
        ["\x9C\x5A\x86\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x75"],

        ["\x9C\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x54"],
        ["\x9C\x5A\x86\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x76"],

        ["\x9C\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x55"],
        ["\x9C\x5A\x86\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x77"],

        ["\x9C\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x56"],
        ["\x9C\x5A\x86\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x78"],

        ["\x9C\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x57"],
        ["\x9C\x5A\x86\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x80"],

        ["\x9C\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x58"],
        ["\x9C\x5A\x86\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x8B"],

        ["\x9C\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x59"],
        ["\x9C\x5A\x86\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x9B"],

        ["\x9C\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5A"],
        ["\x9C\x5A\x86\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x9C"],

        ["\x9C\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5B"],
        ["\x9C\x5A\x86\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xA0"],

        ["\x9C\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5C"],
        ["\x9C\x5A\x86\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xAB"],

        ["\x9C\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5D"],
        ["\x9C\x5A\x86\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xB0"],

        ["\x9C\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5E"],
        ["\x9C\x5A\x86\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xC0"],

        ["\x9C\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x5F"],
        ["\x9C\x5A\x86\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\x6A"],

        ["\x9C\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x60"],
        ["\x9C\x5A\x86\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xD0"],

        ["\x9C\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x61"],
        ["\x9C\x5A\x86\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9C\xA1"],

        ["\xA0\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x62"],
        ["\x9C\x5A\x86\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x4F"],

        ["\xA0\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x63"],
        ["\x9C\x5A\x86\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x7F"],

        ["\xA0\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x64"],
        ["\x9C\x5A\x86\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x7B"],

        ["\xA0\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x65"],
        ["\x9C\x5A\x86\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xE0"],

        ["\xA0\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x66"],
        ["\x9C\x5A\x86\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x6C"],

        ["\xA0\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x67"],
        ["\x9C\x5A\x86\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x50"],

        ["\xA0\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x68"],
        ["\x9C\x5A\x86\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x7D"],

        ["\xA0\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x69"],
        ["\x9C\x5A\x86\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x4D"],

        ["\xA0\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6A"],
        ["\x9C\x5A\x86\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x5D"],

        ["\xA0\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6B"],
        ["\x9C\x5A\x86\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x5C"],

        ["\xA0\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6C"],
        ["\x9C\x5A\x86\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x4E"],

        ["\xA0\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6D"],
        ["\x9C\x5A\x86\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x6B"],

        ["\xA0\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6E"],
        ["\x9C\x5A\x86\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x60"],

        ["\xA0\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x6F"],
        ["\x9C\x5A\x86\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x4B"],

        ["\xA0\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x70"],
        ["\x9C\x5A\x86\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x61"],

        ["\xA0\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x71"],
        ["\x9C\x5A\x86\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF0"],

        ["\xA0\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x72"],
        ["\x9C\x5A\x86\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF1"],

        ["\xA0\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x73"],
        ["\x9C\x5A\x86\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF2"],

        ["\xA0\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x74"],
        ["\x9C\x5A\x86\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF3"],

        ["\xA0\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x75"],
        ["\x9C\x5A\x86\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF4"],

        ["\xA0\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x76"],
        ["\x9C\x5A\x86\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF5"],

        ["\xA0\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x77"],
        ["\x9C\x5A\x86\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF6"],

        ["\xA0\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x78"],
        ["\x9C\x5A\x86\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF7"],

        ["\xA0\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x79"],
        ["\x9C\x5A\x86\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF8"],

        ["\xA0\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7A"],
        ["\x9C\x5A\x86\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xF9"],

        ["\xA0\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7B"],
        ["\x9C\x5A\x86\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x7A"],

        ["\xA0\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7C"],
        ["\x9C\x5A\x86\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x5E"],

        ["\xA0\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7D"],
        ["\x9C\x5A\x86\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x4C"],

        ["\xA0\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x7E"],
        ["\x9C\x5A\x86\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x7E"],

        ["\xA0\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x80"],
        ["\x9C\x5A\x86\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x6E"],

        ["\xA0\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x81"],
        ["\x9C\x5A\x86\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x6F"],

        ["\xA0\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x82"],
        ["\x9C\x5A\x86\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x7C"],

        ["\xA0\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x83"],
        ["\x9C\x5A\x86\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC1"],

        ["\xA0\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x84"],
        ["\x9C\x5A\x86\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC2"],

        ["\xA0\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x85"],
        ["\x9C\x5A\x86\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC3"],

        ["\xA0\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x86"],
        ["\x9C\x5A\x86\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC4"],

        ["\xA0\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x87"],
        ["\x9C\x5A\x86\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC5"],

        ["\xA0\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x88"],
        ["\x9C\x5A\x86\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC6"],

        ["\xA0\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x89"],
        ["\x9C\x5A\x86\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC7"],

        ["\xA0\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8A"],
        ["\x9C\x5A\x86\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC8"],

        ["\xA0\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8B"],
        ["\x9C\x5A\x86\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC9"],

        ["\xA0\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8C"],
        ["\x9C\x5A\x86\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD1"],

        ["\xA0\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8D"],
        ["\x9C\x5A\x86\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD2"],

        ["\xA0\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8E"],
        ["\x9C\x5A\x86\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD3"],

        ["\xA0\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x8F"],
        ["\x9C\x5A\x86\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD4"],

        ["\xA0\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x90"],
        ["\x9C\x5A\x86\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD5"],

        ["\xA0\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x91"],
        ["\x9C\x5A\x86\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD6"],

        ["\xA0\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x92"],
        ["\x9C\x5A\x86\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD7"],

        ["\xA0\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x93"],
        ["\x9C\x5A\x86\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD8"],

        ["\xA0\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x94"],
        ["\x9C\x5A\x86\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD9"],

        ["\xA0\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x95"],
        ["\x9C\x5A\x86\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xE2"],

        ["\xA0\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x96"],
        ["\x9C\x5A\x86\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xE3"],

        ["\xA0\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x97"],
        ["\x9C\x5A\x86\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xE4"],

        ["\xA0\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x98"],
        ["\x9C\x5A\x86\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xE5"],

        ["\xA0\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x99"],
        ["\x9C\x5A\x86\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xE6"],

        ["\xA0\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9A"],
        ["\x9C\x5A\x86\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xE7"],

        ["\xA0\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9B"],
        ["\x9C\x5A\x86\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xE8"],

        ["\xA0\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9C"],
        ["\x9C\x5A\x86\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xE9"],

        ["\xA0\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9D"],
        ["\x9C\x5A\x86\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x4A"],

        ["\xA0\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9E"],
        ["\x9C\x5A\x86\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x5B"],

        ["\x43\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\x9F"],
        ["\x9C\x5A\x86\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDB"],

        ["\x43\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA0"],
        ["\x9C\x5A\x86\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDC"],

        ["\x43\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA1"],
        ["\x9C\x5A\x86\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDD"],

        ["\x43\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA2"],
        ["\x9C\x5A\x86\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDE"],

        ["\x43\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA3"],
        ["\x9C\x5A\x86\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xDF"],

        ["\x43\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA4"],
        ["\x9C\x5A\x86\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEA"],

        ["\x43\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA5"],
        ["\x9C\x5A\x86\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEB"],

        ["\x43\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA6"],
        ["\x9C\x5A\x86\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEC"],

        ["\x43\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA7"],
        ["\x9C\x5A\x86\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xED"],

        ["\x43\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA8"],
        ["\x9C\x5A\x86\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x43\xEE"],

        ["\xA0\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xA9"],
        ["\x9C\x5A\x86\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x5A"],

        ["\xA0\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAA"],
        ["\x9C\x5A\x86\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x5F"],

        ["\xA0\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAB"],
        ["\x9C\x5A\x86\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x6D"],

        ["\xA0\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAC"],
        ["\x9C\x5A\x86\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x79"],

        ["\xA0\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAD"],
        ["\x9C\x5A\x86\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x57"],

        ["\xA0\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAE"],
        ["\x9C\x5A\x86\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x59"],

        ["\xA0\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xAF"],
        ["\x9C\x5A\x86\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x62"],

        ["\xA0\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xB0"],
        ["\x9C\x5A\x86\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x63"],

        ["\xA0\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xB1"],
        ["\x9C\x5A\x86\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x64"],

        ["\xA0\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xB2"],
        ["\x9C\x5A\x86\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x65"],

        ["\x42\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xBD"],
        ["\x9C\x5A\x86\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xBB"],

        ["\x42\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xBE"],
        ["\x9C\x5A\x86\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xBC"],

        ["\x41\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xBF"],
        ["\x9C\x5A\x86\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCA"],

        ["\x41\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC0"],
        ["\x9C\x5A\x86\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCB"],

        ["\x41\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC1"],
        ["\x9C\x5A\x86\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCC"],

        ["\x41\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC2"],
        ["\x9C\x5A\x86\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCD"],

        ["\x41\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC3"],
        ["\x9C\x5A\x86\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCE"],

        ["\x41\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC4"],
        ["\x9C\x5A\x86\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xCF"],

        ["\x41\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC5"],
        ["\x9C\x5A\x86\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDA"],

        ["\x41\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC6"],
        ["\x9C\x5A\x86\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDB"],

        ["\x41\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC7"],
        ["\x9C\x5A\x86\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDC"],

        ["\x41\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC8"],
        ["\x9C\x5A\x86\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDD"],

        ["\x41\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xC9"],
        ["\x9C\x5A\x86\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDE"],

        ["\x44\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCA"],
        ["\x9C\x5A\x86\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x8C"],

        ["\x44\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCB"],
        ["\x9C\x5A\x86\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x8D"],

        ["\x44\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCC"],
        ["\x9C\x5A\x86\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x8E"],

        ["\x44\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCD"],
        ["\x9C\x5A\x86\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x8F"],

        ["\x44\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCE"],
        ["\x9C\x5A\x86\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x90"],

        ["\x44\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xCF"],
        ["\x9C\x5A\x86\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x91"],

        ["\x44\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD0"],
        ["\x9C\x5A\x86\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x92"],

        ["\x44\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD1"],
        ["\x9C\x5A\x86\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x93"],

        ["\x44\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD2"],
        ["\x9C\x5A\x86\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x94"],

        ["\x44\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD3"],
        ["\x9C\x5A\x86\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x95"],

        ["\x44\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD4"],
        ["\x9C\x5A\x86\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x96"],

        ["\x44\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD5"],
        ["\x9C\x5A\x86\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x97"],

        ["\x44\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD6"],
        ["\x9C\x5A\x86\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x98"],

        ["\x44\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD7"],
        ["\x9C\x5A\x86\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x99"],

        ["\x44\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD8"],
        ["\x9C\x5A\x86\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x44\x9A"],

        ["\x41\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xD9"],
        ["\x9C\x5A\x86\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xFD"],

        ["\x41\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDA"],
        ["\x9C\x5A\x86\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xDF"],

        ["\x41\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDB"],
        ["\x9C\x5A\x86\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xFE"],

        ["\x42\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDC"],
        ["\x9C\x5A\x86\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x41"],

        ["\x42\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDD"],
        ["\x9C\x5A\x86\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x42"],

        ["\x42\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDE"],
        ["\x9C\x5A\x86\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x43"],

        ["\x42\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xDF"],
        ["\x9C\x5A\x86\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x44"],

        ["\x42\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE0"],
        ["\x9C\x5A\x86\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x45"],

        ["\x42\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE1"],
        ["\x9C\x5A\x86\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x46"],

        ["\x42\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE2"],
        ["\x9C\x5A\x86\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\x47"],

        ["\xA0\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE3"],
        ["\x9C\x5A\x86\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x66"],

        ["\xA0\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE4"],
        ["\x9C\x5A\x86\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x67"],

        ["\xA0\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE5"],
        ["\x9C\x5A\x86\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x68"],

        ["\xA0\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE6"],
        ["\x9C\x5A\x86\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x69"],

        ["\xA0\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE7"],
        ["\x9C\x5A\x86\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x70"],

        ["\xA0\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE8"],
        ["\x9C\x5A\x86\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x71"],

        ["\x41\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xE9"],
        ["\x9C\x5A\x86\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xFA"],

        ["\xA0\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEA"],
        ["\x9C\x5A\x86\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x72"],

        ["\xA0\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEB"],
        ["\x9C\x5A\x86\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x73"],

        ["\x41\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEC"],
        ["\x9C\x5A\x86\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xEF"],

        ["\x41\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xED"],
        ["\x9C\x5A\x86\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xEA"],

        ["\x41\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEE"],
        ["\x9C\x5A\x86\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xEB"],

        ["\x41\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xEF"],
        ["\x9C\x5A\x86\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xEC"],

        ["\x41\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xF0"],
        ["\x9C\x5A\x86\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xED"],

        ["\x41\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xF1"],
        ["\x9C\x5A\x86\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x41\xEE"],

        ["\xA0\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xFB"],
        ["\x9C\x5A\x86\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x74"],

        ["\xA0\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x86\xFC"],
        ["\x9C\x5A\x86\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x75"],

        ["\x42\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x5E"],
        ["\x9C\x5A\x87\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA6"],

        ["\x42\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x76"],
        ["\x9C\x5A\x87\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x42\xA7"],

        ["\xA0\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x9D"],
        ["\x9C\x5A\x87\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x76"],

        ["\xA0\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x9E"],
        ["\x9C\x5A\x87\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x77"],

        ["\xA0\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\x9F"],
        ["\x9C\x5A\x87\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x78"],

        ["\xA0\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA0"],
        ["\x9C\x5A\x87\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x80"],

        ["\xA0\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA1"],
        ["\x9C\x5A\x87\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x8B"],

        ["\xA0\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA3"],
        ["\x9C\x5A\x87\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x9B"],

        ["\x82\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA4"],
        ["\x9C\x5A\x87\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x54"],

        ["\x82\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA5"],
        ["\x9C\x5A\x87\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x84"],

        ["\x82\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA7"],
        ["\x9C\x5A\x87\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xA5"],

        ["\x82\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xA8"],
        ["\x9C\x5A\x87\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x99"],

        ["\x82\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAA"],
        ["\x9C\x5A\x87\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x97"],

        ["\xA0\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAB"],
        ["\x9C\x5A\x87\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x9C"],

        ["\x82\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAC"],
        ["\x9C\x5A\x87\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xAD"],

        ["\xA0\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAD"],
        ["\x9C\x5A\x87\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xA0"],

        ["\xA0\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xAF"],
        ["\x9C\x5A\x87\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xAB"],

        ["\x82\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB0"],
        ["\x9C\x5A\x87\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xCD"],

        ["\xA0\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB1"],
        ["\x9C\x5A\x87\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xB0"],

        ["\x82\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB2"],
        ["\x9C\x5A\x87\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xBE"],

        ["\x82\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB5"],
        ["\x9C\x5A\x87\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xB2"],

        ["\xA0\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB6"],
        ["\x9C\x5A\x87\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xC0"],

        ["\xA0\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB8"],
        ["\x9C\x5A\x87\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\x6A"],

        ["\xA0\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xB9"],
        ["\x9C\x5A\x87\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xD0"],

        ["\xA0\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBA"],
        ["\x9C\x5A\x87\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA0\xA1"],

        ["\x83\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBB"],
        ["\x9C\x5A\x87\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x56"],

        ["\x82\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBC"],
        ["\x9C\x5A\x87\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xFE"],

        ["\x83\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBD"],
        ["\x9C\x5A\x87\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x52"],

        ["\x83\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xBE"],
        ["\x9C\x5A\x87\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x45"],

        ["\xAB\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC0"],
        ["\x9C\x5A\x87\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x4F"],

        ["\xAB\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC1"],
        ["\x9C\x5A\x87\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x7F"],

        ["\x83\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC3"],
        ["\x9C\x5A\x87\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xA4"],

        ["\x83\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC4"],
        ["\x9C\x5A\x87\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xAD"],

        ["\x83\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC5"],
        ["\x9C\x5A\x87\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xAE"],

        ["\x83\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC6"],
        ["\x9C\x5A\x87\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xA8"],

        ["\xAB\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC7"],
        ["\x9C\x5A\x87\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x7B"],

        ["\x83\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC8"],
        ["\x9C\x5A\x87\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xBA"],

        ["\x83\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xC9"],
        ["\x9C\x5A\x87\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xB3"],

        ["\xAB\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCA"],
        ["\x9C\x5A\x87\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xE0"],

        ["\x83\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCB"],
        ["\x9C\x5A\x87\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xB5"],

        ["\xAB\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCC"],
        ["\x9C\x5A\x87\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x6C"],

        ["\xAB\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCE"],
        ["\x9C\x5A\x87\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x50"],

        ["\x83\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xCF"],
        ["\x9C\x5A\x87\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xCE"],

        ["\xAB\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD0"],
        ["\x9C\x5A\x87\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x7D"],

        ["\xAB\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD1"],
        ["\x9C\x5A\x87\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x4D"],

        ["\xAB\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD3"],
        ["\x9C\x5A\x87\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x5D"],

        ["\xAB\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD4"],
        ["\x9C\x5A\x87\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x5C"],

        ["\x84\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD5"],
        ["\x9C\x5A\x87\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x51"],

        ["\xAB\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD6"],
        ["\x9C\x5A\x87\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x4E"],

        ["\x84\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD7"],
        ["\x9C\x5A\x87\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x52"],

        ["\x84\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD8"],
        ["\x9C\x5A\x87\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x55"],

        ["\xAB\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xD9"],
        ["\x9C\x5A\x87\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x6B"],

        ["\xAB\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDA"],
        ["\x9C\x5A\x87\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x60"],

        ["\x84\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDC"],
        ["\x9C\x5A\x87\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x89"],

        ["\x84\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDD"],
        ["\x9C\x5A\x87\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x8A"],

        ["\xAB\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDE"],
        ["\x9C\x5A\x87\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x4B"],

        ["\xAB\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xDF"],
        ["\x9C\x5A\x87\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x61"],

        ["\x84\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE0"],
        ["\x9C\x5A\x87\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x9F"],

        ["\xAB\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE1"],
        ["\x9C\x5A\x87\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF0"],

        ["\xAB\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE2"],
        ["\x9C\x5A\x87\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF1"],

        ["\xAB\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE3"],
        ["\x9C\x5A\x87\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF2"],

        ["\xAB\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE4"],
        ["\x9C\x5A\x87\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF3"],

        ["\xAB\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE6"],
        ["\x9C\x5A\x87\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF4"],

        ["\xAB\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE7"],
        ["\x9C\x5A\x87\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF5"],

        ["\xAB\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xE8"],
        ["\x9C\x5A\x87\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF6"],

        ["\xAB\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xEB"],
        ["\x9C\x5A\x87\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF7"],

        ["\xAB\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xEC"],
        ["\x9C\x5A\x87\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF8"],

        ["\x85\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xED"],
        ["\x9C\x5A\x87\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x43"],

        ["\x85\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xEE"],
        ["\x9C\x5A\x87\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x44"],

        ["\xAB\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xEF"],
        ["\x9C\x5A\x87\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xF9"],

        ["\x85\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF1"],
        ["\x9C\x5A\x87\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x58"],

        ["\xAB\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF3"],
        ["\x9C\x5A\x87\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x7A"],

        ["\xAB\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF4"],
        ["\x9C\x5A\x87\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x5E"],

        ["\x85\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF5"],
        ["\x9C\x5A\x87\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x9D"],

        ["\xAB\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF7"],
        ["\x9C\x5A\x87\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x4C"],

        ["\xAB\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF8"],
        ["\x9C\x5A\x87\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x7E"],

        ["\x85\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xF9"],
        ["\x9C\x5A\x87\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x9F"],

        ["\xAB\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xFA"],
        ["\x9C\x5A\x87\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x6E"],

        ["\x85\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xFB"],
        ["\x9C\x5A\x87\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xA7"],

        ["\x85\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x87\xFC"],
        ["\x9C\x5A\x87\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xBA"],

        ["\x85\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x41"],
        ["\x9C\x5A\x88\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xAF"],

        ["\x85\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x43"],
        ["\x9C\x5A\x88\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xB5"],

        ["\xAB\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x44"],
        ["\x9C\x5A\x88\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x6F"],

        ["\xAB\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x45"],
        ["\x9C\x5A\x88\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x7C"],

        ["\x85\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x46"],
        ["\x9C\x5A\x88\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xCC"],

        ["\xAB\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x47"],
        ["\x9C\x5A\x88\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC1"],

        ["\xAB\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x48"],
        ["\x9C\x5A\x88\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC2"],

        ["\xAB\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4A"],
        ["\x9C\x5A\x88\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC3"],

        ["\xAB\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4B"],
        ["\x9C\x5A\x88\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC4"],

        ["\x85\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4C"],
        ["\x9C\x5A\x88\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xDC"],

        ["\x85\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4D"],
        ["\x9C\x5A\x88\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xFA"],

        ["\xAB\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4E"],
        ["\x9C\x5A\x88\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC5"],

        ["\x86\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x4F"],
        ["\x9C\x5A\x88\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x45"],

        ["\x86\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x50"],
        ["\x9C\x5A\x88\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x42"],

        ["\x86\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x51"],
        ["\x9C\x5A\x88\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x49"],

        ["\x86\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x52"],
        ["\x9C\x5A\x88\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x54"],

        ["\xAB\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x53"],
        ["\x9C\x5A\x88\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC6"],

        ["\x86\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x54"],
        ["\x9C\x5A\x88\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x83"],

        ["\xAB\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x55"],
        ["\x9C\x5A\x88\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC7"],

        ["\x86\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x56"],
        ["\x9C\x5A\x88\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x82"],

        ["\xAB\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x57"],
        ["\x9C\x5A\x88\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC8"],

        ["\x86\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x58"],
        ["\x9C\x5A\x88\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x84"],

        ["\xAB\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x59"],
        ["\x9C\x5A\x88\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC9"],

        ["\x86\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5A"],
        ["\x9C\x5A\x88\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x8C"],

        ["\xAB\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5B"],
        ["\x9C\x5A\x88\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD1"],

        ["\x86\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5C"],
        ["\x9C\x5A\x88\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x8E"],

        ["\xAB\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5D"],
        ["\x9C\x5A\x88\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD2"],

        ["\xAB\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5E"],
        ["\x9C\x5A\x88\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD3"],

        ["\xAB\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x5F"],
        ["\x9C\x5A\x88\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD4"],

        ["\x86\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x60"],
        ["\x9C\x5A\x88\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x97"],

        ["\xAB\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x61"],
        ["\x9C\x5A\x88\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD5"],

        ["\xAB\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x62"],
        ["\x9C\x5A\x88\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD6"],

        ["\x86\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x63"],
        ["\x9C\x5A\x88\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x9F"],

        ["\x86\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x64"],
        ["\x9C\x5A\x88\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xA4"],

        ["\x86\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x65"],
        ["\x9C\x5A\x88\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xA5"],

        ["\xAB\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x66"],
        ["\x9C\x5A\x88\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD7"],

        ["\xAB\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x67"],
        ["\x9C\x5A\x88\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD8"],

        ["\xAB\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x68"],
        ["\x9C\x5A\x88\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD9"],

        ["\xAB\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x69"],
        ["\x9C\x5A\x88\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xE2"],

        ["\xAB\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x6B"],
        ["\x9C\x5A\x88\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xE3"],

        ["\xAB\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x6C"],
        ["\x9C\x5A\x88\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xE4"],

        ["\xAB\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x6F"],
        ["\x9C\x5A\x88\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xE5"],

        ["\x86\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x70"],
        ["\x9C\x5A\x88\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xCE"],

        ["\xAB\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x71"],
        ["\x9C\x5A\x88\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xE6"],

        ["\x86\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x72"],
        ["\x9C\x5A\x88\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xCD"],

        ["\xAB\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x73"],
        ["\x9C\x5A\x88\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xE7"],

        ["\x92\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x74"],
        ["\x9C\x5A\x88\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x99"],

        ["\x86\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x75"],
        ["\x9C\x5A\x88\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xCF"],

        ["\xC5\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x77"],
        ["\x9C\x5A\x88\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],

        ["\x86\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x78"],
        ["\x9C\x5A\x88\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xFA"],

        ["\xAB\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x79"],
        ["\x9C\x5A\x88\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xE8"],

        ["\x86\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x7A"],
        ["\x9C\x5A\x88\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xFE"],

        ["\x87\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x7B"],
        ["\x9C\x5A\x88\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x43"],

        ["\xAB\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x7D"],
        ["\x9C\x5A\x88\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xE9"],

        ["\x87\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x7E"],
        ["\x9C\x5A\x88\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x52"],

        ["\xAB\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x80"],
        ["\x9C\x5A\x88\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x4A"],

        ["\xAB\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x81"],
        ["\x9C\x5A\x88\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x5B"],

        ["\x87\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x82"],
        ["\x9C\x5A\x88\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x82"],

        ["\x87\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x83"],
        ["\x9C\x5A\x88\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x83"],

        ["\x87\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x84"],
        ["\x9C\x5A\x88\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x84"],

        ["\xAB\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x85"],
        ["\x9C\x5A\x88\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x5A"],

        ["\x87\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x86"],
        ["\x9C\x5A\x88\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x86"],

        ["\x87\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x87"],
        ["\x9C\x5A\x88\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x8A"],

        ["\xAB\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x88"],
        ["\x9C\x5A\x88\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x5F"],

        ["\x87\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8A"],
        ["\x9C\x5A\x88\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xAD"],

        ["\x87\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8B"],
        ["\x9C\x5A\x88\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xBE"],

        ["\x87\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8C"],
        ["\x9C\x5A\x88\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xBC"],

        ["\x87\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8E"],
        ["\x9C\x5A\x88\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xB7"],

        ["\x87\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x8F"],
        ["\x9C\x5A\x88\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xB5"],

        ["\x87\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x90"],
        ["\x9C\x5A\x88\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xCD"],

        ["\x87\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x91"],
        ["\x9C\x5A\x88\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xDB"],

        ["\x87\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x92"],
        ["\x9C\x5A\x88\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xDA"],

        ["\xAB\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x93"],
        ["\x9C\x5A\x88\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x6D"],

        ["\x87\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x94"],
        ["\x9C\x5A\x88\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xDD"],

        ["\x87\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x95"],
        ["\x9C\x5A\x88\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xFD"],

        ["\x87\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x96"],
        ["\x9C\x5A\x88\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xEE"],

        ["\xAB\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x97"],
        ["\x9C\x5A\x88\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x79"],

        ["\x87\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x98"],
        ["\x9C\x5A\x88\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xFB"],

        ["\xAB\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x99"],
        ["\x9C\x5A\x88\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x57"],

        ["\x88\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9A"],
        ["\x9C\x5A\x88\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x42"],

        ["\xAB\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9B"],
        ["\x9C\x5A\x88\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x59"],

        ["\x88\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9C"],
        ["\x9C\x5A\x88\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x58"],

        ["\xAB\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9D"],
        ["\x9C\x5A\x88\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x62"],

        ["\xAB\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x88\x9E"],
        ["\x9C\x5A\x88\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x63"],

        ["\xAB\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x73"],
        ["\x9C\x5A\x98\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x64"],

        ["\xAB\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x74"],
        ["\x9C\x5A\x98\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x65"],

        ["\x88\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x76"],
        ["\x9C\x5A\x98\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x89"],

        ["\x88\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x77"],
        ["\x9C\x5A\x98\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x91"],

        ["\xAB\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x7A"],
        ["\x9C\x5A\x98\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x66"],

        ["\xAB\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x7C"],
        ["\x9C\x5A\x98\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x67"],

        ["\xAB\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x7D"],
        ["\x9C\x5A\x98\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x68"],

        ["\xAB\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x7E"],
        ["\x9C\x5A\x98\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x69"],

        ["\xAB\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x80"],
        ["\x9C\x5A\x98\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x70"],

        ["\xAB\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x81"],
        ["\x9C\x5A\x98\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x71"],

        ["\xAB\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x82"],
        ["\x9C\x5A\x98\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x72"],

        ["\xAB\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x83"],
        ["\x9C\x5A\x98\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x73"],

        ["\x88\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x84"],
        ["\x9C\x5A\x98\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xCE"],

        ["\x88\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x85"],
        ["\x9C\x5A\x98\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xDE"],

        ["\x88\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x86"],
        ["\x9C\x5A\x98\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xFE"],

        ["\xAB\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x87"],
        ["\x9C\x5A\x98\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x74"],

        ["\x88\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x88"],
        ["\x9C\x5A\x98\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xED"],

        ["\xAB\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8A"],
        ["\x9C\x5A\x98\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x75"],

        ["\xAB\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8B"],
        ["\x9C\x5A\x98\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x76"],

        ["\x89\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8C"],
        ["\x9C\x5A\x98\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x44"],

        ["\x89\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8D"],
        ["\x9C\x5A\x98\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x52"],

        ["\xAB\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8E"],
        ["\x9C\x5A\x98\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x77"],

        ["\xAB\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x8F"],
        ["\x9C\x5A\x98\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x78"],

        ["\xAB\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x90"],
        ["\x9C\x5A\x98\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x80"],

        ["\xAB\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x93"],
        ["\x9C\x5A\x98\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x8B"],

        ["\xAB\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x94"],
        ["\x9C\x5A\x98\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x9B"],

        ["\xAB\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x96"],
        ["\x9C\x5A\x98\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x9C"],

        ["\xAB\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x98"],
        ["\x9C\x5A\x98\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xA0"],

        ["\x89\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x99"],
        ["\x9C\x5A\x98\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xA2"],

        ["\xAB\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x9A"],
        ["\x9C\x5A\x98\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xAB"],

        ["\x89\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x9B"],
        ["\x9C\x5A\x98\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xA7"],

        ["\xAB\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x9D"],
        ["\x9C\x5A\x98\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xB0"],

        ["\xAB\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x98\x9E"],
        ["\x9C\x5A\x98\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xC0"],

        ["\xE6\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\x9C\x5A"],
        ["\x9C\x5A\x9C\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xE6\x5E"],

        ["\xAB\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA5"],
        ["\x9C\x5A\xEA\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\x6A"],

        ["\xAB\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA6"],
        ["\x9C\x5A\xEA\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xD0"],

        ["\xAB\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA7"],
        ["\x9C\x5A\xEA\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAB\xA1"],

        ["\x89\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA8"],
        ["\x9C\x5A\xEA\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xCA"],

        ["\x89\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xA9"],
        ["\x9C\x5A\xEA\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xDC"],

        ["\x89\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAA"],
        ["\x9C\x5A\xEA\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xDD"],

        ["\x8A\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAB"],
        ["\x9C\x5A\xEA\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x47"],

        ["\xB0\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAC"],
        ["\x9C\x5A\xEA\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x4F"],

        ["\x8A\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAD"],
        ["\x9C\x5A\xEA\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x51"],

        ["\xB0\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAE"],
        ["\x9C\x5A\xEA\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x7F"],

        ["\xB0\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xAF"],
        ["\x9C\x5A\xEA\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x7B"],

        ["\xB0\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB0"],
        ["\x9C\x5A\xEA\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xE0"],

        ["\x8A\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB1"],
        ["\x9C\x5A\xEA\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x8A"],

        ["\xB0\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB2"],
        ["\x9C\x5A\xEA\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x6C"],

        ["\xB0\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB3"],
        ["\x9C\x5A\xEA\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x50"],

        ["\x8A\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB5"],
        ["\x9C\x5A\xEA\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x93"],

        ["\x8A\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB6"],
        ["\x9C\x5A\xEA\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x96"],

        ["\x8A\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB7"],
        ["\x9C\x5A\xEA\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x97"],

        ["\xB0\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xB9"],
        ["\x9C\x5A\xEA\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x7D"],

        ["\xB0\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBA"],
        ["\x9C\x5A\xEA\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x4D"],

        ["\x8A\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBB"],
        ["\x9C\x5A\xEA\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xA2"],

        ["\x8A\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBD"],
        ["\x9C\x5A\xEA\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xAF"],

        ["\x8A\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBE"],
        ["\x9C\x5A\xEA\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xBC"],

        ["\x8A\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xBF"],
        ["\x9C\x5A\xEA\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xBE"],

        ["\xA5\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC0"],
        ["\x9C\x5A\xEA\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\x92"],

        ["\x8A\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC1"],
        ["\x9C\x5A\xEA\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xCA"],

        ["\xB0\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC2"],
        ["\x9C\x5A\xEA\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x5D"],

        ["\x8A\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC4"],
        ["\x9C\x5A\xEA\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xDC"],

        ["\x8A\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC6"],
        ["\x9C\x5A\xEA\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xEB"],

        ["\x8C\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC7"],
        ["\x9C\x5A\xEA\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x41"],

        ["\x8C\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC8"],
        ["\x9C\x5A\xEA\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x43"],

        ["\x8C\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xC9"],
        ["\x9C\x5A\xEA\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x46"],

        ["\xB0\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCA"],
        ["\x9C\x5A\xEA\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x5C"],

        ["\x8C\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCB"],
        ["\x9C\x5A\xEA\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x42"],

        ["\xB0\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCC"],
        ["\x9C\x5A\xEA\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x4E"],

        ["\x8C\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCD"],
        ["\x9C\x5A\xEA\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x51"],

        ["\xB0\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCE"],
        ["\x9C\x5A\xEA\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x6B"],

        ["\x8C\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xCF"],
        ["\x9C\x5A\xEA\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x82"],

        ["\x8C\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD0"],
        ["\x9C\x5A\xEA\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x83"],

        ["\xB0\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD1"],
        ["\x9C\x5A\xEA\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x60"],

        ["\xB0\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD2"],
        ["\x9C\x5A\xEA\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x4B"],

        ["\xB0\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD4"],
        ["\x9C\x5A\xEA\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x61"],

        ["\xB0\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD5"],
        ["\x9C\x5A\xEA\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF0"],

        ["\x8C\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD6"],
        ["\x9C\x5A\xEA\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x9D"],

        ["\x8C\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xD7"],
        ["\x9C\x5A\xEA\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xBA"],

        ["\xB0\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDA"],
        ["\x9C\x5A\xEA\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF1"],

        ["\x8C\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDB"],
        ["\x9C\x5A\xEA\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xCC"],

        ["\xB0\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDC"],
        ["\x9C\x5A\xEA\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF2"],

        ["\x8C\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDD"],
        ["\x9C\x5A\xEA\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xDA"],

        ["\xB0\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDE"],
        ["\x9C\x5A\xEA\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF3"],

        ["\xB0\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xDF"],
        ["\x9C\x5A\xEA\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF4"],

        ["\x8C\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE0"],
        ["\x9C\x5A\xEA\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xFB"],

        ["\xB0\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE1"],
        ["\x9C\x5A\xEA\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF5"],

        ["\x8D\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE2"],
        ["\x9C\x5A\xEA\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x43"],

        ["\x8D\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE3"],
        ["\x9C\x5A\xEA\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x48"],

        ["\x8D\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE4"],
        ["\x9C\x5A\xEA\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x51"],

        ["\xB0\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE5"],
        ["\x9C\x5A\xEA\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF6"],

        ["\xB0\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE6"],
        ["\x9C\x5A\xEA\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF7"],

        ["\x8D\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE7"],
        ["\x9C\x5A\xEA\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x55"],

        ["\x8D\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE8"],
        ["\x9C\x5A\xEA\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x54"],

        ["\x8D\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xE9"],
        ["\x9C\x5A\xEA\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x88"],

        ["\x8A\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEA"],
        ["\x9C\x5A\xEA\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x88"],

        ["\x8D\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEB"],
        ["\x9C\x5A\xEA\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x84"],

        ["\x8D\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEC"],
        ["\x9C\x5A\xEA\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x8F"],

        ["\x8D\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xED"],
        ["\x9C\x5A\xEA\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x8A"],

        ["\x8D\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEE"],
        ["\x9C\x5A\xEA\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x99"],

        ["\xB0\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xEF"],
        ["\x9C\x5A\xEA\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF8"],

        ["\x8D\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF0"],
        ["\x9C\x5A\xEA\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xA3"],

        ["\xB0\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF1"],
        ["\x9C\x5A\xEA\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xF9"],

        ["\xB0\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF3"],
        ["\x9C\x5A\xEA\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x7A"],

        ["\xB0\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF4"],
        ["\x9C\x5A\xEA\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x5E"],

        ["\xB0\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF5"],
        ["\x9C\x5A\xEA\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x4C"],

        ["\xB0\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF6"],
        ["\x9C\x5A\xEA\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x7E"],

        ["\xB0\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF7"],
        ["\x9C\x5A\xEA\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x6E"],

        ["\xB0\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xF9"],
        ["\x9C\x5A\xEA\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x6F"],

        ["\x8D\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xFB"],
        ["\x9C\x5A\xEA\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xB2"],

        ["\x8D\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEA\xFC"],
        ["\x9C\x5A\xEA\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xB4"],

        ["\xB0\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x40"],
        ["\x9C\x5A\xEB\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x7C"],

        ["\x8D\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x41"],
        ["\x9C\x5A\xEB\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xBE"],

        ["\x8D\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x42"],
        ["\x9C\x5A\xEB\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xBF"],

        ["\xB0\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x43"],
        ["\x9C\x5A\xEB\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC1"],

        ["\xB0\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x44"],
        ["\x9C\x5A\xEB\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC2"],

        ["\xB0\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x45"],
        ["\x9C\x5A\xEB\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC3"],

        ["\x8D\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x46"],
        ["\x9C\x5A\xEB\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xCD"],

        ["\xB0\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x47"],
        ["\x9C\x5A\xEB\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC4"],

        ["\x8D\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x48"],
        ["\x9C\x5A\xEB\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xEA"],

        ["\xB0\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x49"],
        ["\x9C\x5A\xEB\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC5"],

        ["\xB0\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x4A"],
        ["\x9C\x5A\xEB\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC6"],

        ["\xB0\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x4F"],
        ["\x9C\x5A\xEB\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC7"],

        ["\x8E\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x50"],
        ["\x9C\x5A\xEB\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x99"],

        ["\x8E\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x52"],
        ["\x9C\x5A\xEB\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x9A"],

        ["\x8E\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x53"],
        ["\x9C\x5A\xEB\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x94"],

        ["\xB0\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x55"],
        ["\x9C\x5A\xEB\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC8"],

        ["\xB0\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x57"],
        ["\x9C\x5A\xEB\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC9"],

        ["\x8E\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x58"],
        ["\x9C\x5A\xEB\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x9D"],

        ["\xB0\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x59"],
        ["\x9C\x5A\xEB\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD1"],

        ["\xB0\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x5B"],
        ["\x9C\x5A\xEB\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD2"],

        ["\x8E\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x5C"],
        ["\x9C\x5A\xEB\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xAF"],

        ["\x8E\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x5F"],
        ["\x9C\x5A\xEB\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xB5"],

        ["\x8E\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x60"],
        ["\x9C\x5A\xEB\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xDB"],

        ["\x8E\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x61"],
        ["\x9C\x5A\xEB\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xDE"],

        ["\xB0\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x62"],
        ["\x9C\x5A\xEB\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD3"],

        ["\x8F\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x65"],
        ["\x9C\x5A\xEB\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x52"],

        ["\xB0\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x66"],
        ["\x9C\x5A\xEB\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD4"],

        ["\x8F\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x67"],
        ["\x9C\x5A\xEB\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x51"],

        ["\xB0\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x68"],
        ["\x9C\x5A\xEB\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD5"],

        ["\xB0\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x69"],
        ["\x9C\x5A\xEB\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD6"],

        ["\x8F\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x6A"],
        ["\x9C\x5A\xEB\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x83"],

        ["\x8F\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x6C"],
        ["\x9C\x5A\xEB\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x8E"],

        ["\x8F\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x6E"],
        ["\x9C\x5A\xEB\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x91"],

        ["\x8F\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x70"],
        ["\x9C\x5A\xEB\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x93"],

        ["\xB0\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x71"],
        ["\x9C\x5A\xEB\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD7"],

        ["\x8F\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x72"],
        ["\x9C\x5A\xEB\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xA2"],

        ["\xB0\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x73"],
        ["\x9C\x5A\xEB\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD8"],

        ["\x8F\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x74"],
        ["\x9C\x5A\xEB\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x9F"],

        ["\x8F\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x75"],
        ["\x9C\x5A\xEB\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xA4"],

        ["\x8F\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x76"],
        ["\x9C\x5A\xEB\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xA9"],

        ["\x8F\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x78"],
        ["\x9C\x5A\xEB\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xBD"],

        ["\x8F\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x7A"],
        ["\x9C\x5A\xEB\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xAE"],

        ["\xB0\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x7B"],
        ["\x9C\x5A\xEB\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD9"],

        ["\x8F\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x7E"],
        ["\x9C\x5A\xEB\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xCC"],

        ["\xB0\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x80"],
        ["\x9C\x5A\xEB\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xE2"],

        ["\x8F\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x81"],
        ["\x9C\x5A\xEB\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xDD"],

        ["\xB0\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x82"],
        ["\x9C\x5A\xEB\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xE3"],

        ["\xB0\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x83"],
        ["\x9C\x5A\xEB\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xE4"],

        ["\xB0\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x84"],
        ["\x9C\x5A\xEB\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xE5"],

        ["\xB0\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x85"],
        ["\x9C\x5A\xEB\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xE6"],

        ["\xB0\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x86"],
        ["\x9C\x5A\xEB\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xE7"],

        ["\xB0\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x87"],
        ["\x9C\x5A\xEB\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xE8"],

        ["\x8F\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x88"],
        ["\x9C\x5A\xEB\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xEF"],

        ["\x90\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8A"],
        ["\x9C\x5A\xEB\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x54"],

        ["\x90\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8B"],
        ["\x9C\x5A\xEB\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x49"],

        ["\x90\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8C"],
        ["\x9C\x5A\xEB\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x83"],

        ["\x90\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8D"],
        ["\x9C\x5A\xEB\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x52"],

        ["\x90\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8E"],
        ["\x9C\x5A\xEB\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x58"],

        ["\x90\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x8F"],
        ["\x9C\x5A\xEB\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x55"],

        ["\x90\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x90"],
        ["\x9C\x5A\xEB\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x8C"],

        ["\xB0\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x91"],
        ["\x9C\x5A\xEB\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xE9"],

        ["\xB0\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x92"],
        ["\x9C\x5A\xEB\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x4A"],

        ["\x90\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x93"],
        ["\x9C\x5A\xEB\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x94"],

        ["\x90\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x94"],
        ["\x9C\x5A\xEB\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x90"],

        ["\xB0\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x95"],
        ["\x9C\x5A\xEB\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x5B"],

        ["\x90\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x96"],
        ["\x9C\x5A\xEB\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x92"],

        ["\xB0\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x97"],
        ["\x9C\x5A\xEB\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x5A"],

        ["\x90\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x99"],
        ["\x9C\x5A\xEB\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x95"],

        ["\xB0\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9B"],
        ["\x9C\x5A\xEB\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x5F"],

        ["\xB0\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9C"],
        ["\x9C\x5A\xEB\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x6D"],

        ["\xB0\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9D"],
        ["\x9C\x5A\xEB\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x79"],

        ["\xB0\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9E"],
        ["\x9C\x5A\xEB\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x57"],

        ["\xB0\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\x9F"],
        ["\x9C\x5A\xEB\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x59"],

        ["\xB0\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA1"],
        ["\x9C\x5A\xEB\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x62"],

        ["\xB0\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA2"],
        ["\x9C\x5A\xEB\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x63"],

        ["\xB0\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA3"],
        ["\x9C\x5A\xEB\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x64"],

        ["\xB0\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA4"],
        ["\x9C\x5A\xEB\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x65"],

        ["\x90\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA5"],
        ["\x9C\x5A\xEB\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xB2"],

        ["\xB0\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA6"],
        ["\x9C\x5A\xEB\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x66"],

        ["\xB0\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA7"],
        ["\x9C\x5A\xEB\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x67"],

        ["\xB0\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA8"],
        ["\x9C\x5A\xEB\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x68"],

        ["\xB0\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xA9"],
        ["\x9C\x5A\xEB\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x69"],

        ["\x90\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xAA"],
        ["\x9C\x5A\xEB\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xDB"],

        ["\x90\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xAB"],
        ["\x9C\x5A\xEB\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xCC"],

        ["\xB0\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xAC"],
        ["\x9C\x5A\xEB\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x70"],

        ["\x90\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xAD"],
        ["\x9C\x5A\xEB\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xB9"],

        ["\xB0\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB0"],
        ["\x9C\x5A\xEB\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x71"],

        ["\x90\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB1"],
        ["\x9C\x5A\xEB\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xEA"],

        ["\xB0\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB2"],
        ["\x9C\x5A\xEB\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x72"],

        ["\xB0\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB3"],
        ["\x9C\x5A\xEB\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x73"],

        ["\xB0\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB4"],
        ["\x9C\x5A\xEB\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x74"],

        ["\xB0\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB5"],
        ["\x9C\x5A\xEB\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x75"],

        ["\x91\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB7"],
        ["\x9C\x5A\xEB\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x51"],

        ["\xB0\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB8"],
        ["\x9C\x5A\xEB\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x76"],

        ["\xB0\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xB9"],
        ["\x9C\x5A\xEB\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x77"],

        ["\x91\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBA"],
        ["\x9C\x5A\xEB\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x83"],

        ["\xB0\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBB"],
        ["\x9C\x5A\xEB\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x78"],

        ["\xB0\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBC"],
        ["\x9C\x5A\xEB\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x80"],

        ["\x91\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBD"],
        ["\x9C\x5A\xEB\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x86"],

        ["\x91\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBE"],
        ["\x9C\x5A\xEB\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x8A"],

        ["\x91\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xBF"],
        ["\x9C\x5A\xEB\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x90"],

        ["\xB0\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC0"],
        ["\x9C\x5A\xEB\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x8B"],

        ["\xB0\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC1"],
        ["\x9C\x5A\xEB\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x9B"],

        ["\xB0\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC2"],
        ["\x9C\x5A\xEB\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x9C"],

        ["\xB0\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC3"],
        ["\x9C\x5A\xEB\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xA0"],

        ["\x91\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC4"],
        ["\x9C\x5A\xEB\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x97"],

        ["\xB0\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC5"],
        ["\x9C\x5A\xEB\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xAB"],

        ["\x91\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC6"],
        ["\x9C\x5A\xEB\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x9A"],

        ["\xB0\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC7"],
        ["\x9C\x5A\xEB\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xB0"],

        ["\x91\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xC8"],
        ["\x9C\x5A\xEB\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xA2"],

        ["\xB0\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCA"],
        ["\x9C\x5A\xEB\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xC0"],

        ["\xB0\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCB"],
        ["\x9C\x5A\xEB\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\x6A"],

        ["\xB0\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCC"],
        ["\x9C\x5A\xEB\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xD0"],

        ["\x91\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCD"],
        ["\x9C\x5A\xEB\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xA9"],

        ["\x91\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCE"],
        ["\x9C\x5A\xEB\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xAA"],

        ["\x91\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xCF"],
        ["\x9C\x5A\xEB\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xBC"],

        ["\xB0\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD1"],
        ["\x9C\x5A\xEB\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB0\xA1"],

        ["\xC0\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD2"],
        ["\x9C\x5A\xEB\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x4F"],

        ["\xC0\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD3"],
        ["\x9C\x5A\xEB\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x7F"],

        ["\x91\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD4"],
        ["\x9C\x5A\xEB\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xB6"],

        ["\xC0\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD6"],
        ["\x9C\x5A\xEB\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x7B"],

        ["\x91\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD7"],
        ["\x9C\x5A\xEB\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xCF"],

        ["\xC0\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD8"],
        ["\x9C\x5A\xEB\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE0"],

        ["\x91\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xD9"],
        ["\x9C\x5A\xEB\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xDD"],

        ["\x91\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDA"],
        ["\x9C\x5A\xEB\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xDE"],

        ["\x91\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDB"],
        ["\x9C\x5A\xEB\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xEE"],

        ["\x91\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDC"],
        ["\x9C\x5A\xEB\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xDF"],

        ["\x91\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDD"],
        ["\x9C\x5A\xEB\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xED"],

        ["\xC0\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xDE"],
        ["\x9C\x5A\xEB\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x6C"],

        ["\x92\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE0"],
        ["\x9C\x5A\xEB\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x48"],

        ["\x92\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE1"],
        ["\x9C\x5A\xEB\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x51"],

        ["\xC0\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE2"],
        ["\x9C\x5A\xEB\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x50"],

        ["\x92\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE3"],
        ["\x9C\x5A\xEB\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x54"],

        ["\xC0\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE4"],
        ["\x9C\x5A\xEB\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x7D"],

        ["\xC0\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE5"],
        ["\x9C\x5A\xEB\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x4D"],

        ["\x92\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE6"],
        ["\x9C\x5A\xEB\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x8E"],

        ["\xC0\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE7"],
        ["\x9C\x5A\xEB\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x5D"],

        ["\x92\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xE8"],
        ["\x9C\x5A\xEB\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x8A"],

        ["\xC0\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEA"],
        ["\x9C\x5A\xEB\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x5C"],

        ["\x92\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEB"],
        ["\x9C\x5A\xEB\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x87"],

        ["\xC0\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEC"],
        ["\x9C\x5A\xEB\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x4E"],

        ["\x92\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEE"],
        ["\x9C\x5A\xEB\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xA3"],

        ["\x92\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xEF"],
        ["\x9C\x5A\xEB\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x9F"],

        ["\x92\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF0"],
        ["\x9C\x5A\xEB\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xA5"],

        ["\xC0\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF1"],
        ["\x9C\x5A\xEB\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x6B"],

        ["\xC0\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF2"],
        ["\x9C\x5A\xEB\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x60"],

        ["\xC0\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF3"],
        ["\x9C\x5A\xEB\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x4B"],

        ["\xC0\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF5"],
        ["\x9C\x5A\xEB\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x61"],

        ["\xC0\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF6"],
        ["\x9C\x5A\xEB\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],

        ["\x92\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF7"],
        ["\x9C\x5A\xEB\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xCB"],

        ["\x92\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xF9"],
        ["\x9C\x5A\xEB\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xDD"],

        ["\xC0\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xFA"],
        ["\x9C\x5A\xEB\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],

        ["\x93\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xFB"],
        ["\x9C\x5A\xEB\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x41"],

        ["\xC0\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEB\xFC"],
        ["\x9C\x5A\xEB\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],

        ["\x93\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x40"],
        ["\x9C\x5A\xEC\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x42"],

        ["\xC0\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x41"],
        ["\x9C\x5A\xEC\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],

        ["\xC0\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x42"],
        ["\x9C\x5A\xEC\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],

        ["\x93\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x43"],
        ["\x9C\x5A\xEC\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x84"],

        ["\xC0\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x44"],
        ["\x9C\x5A\xEC\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF5"],

        ["\x93\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x45"],
        ["\x9C\x5A\xEC\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x83"],

        ["\xC0\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x46"],
        ["\x9C\x5A\xEC\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF6"],

        ["\x93\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x47"],
        ["\x9C\x5A\xEC\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x8C"],

        ["\xC0\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x48"],
        ["\x9C\x5A\xEC\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],

        ["\x93\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x49"],
        ["\x9C\x5A\xEC\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xA6"],

        ["\x93\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4A"],
        ["\x9C\x5A\xEC\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xB3"],

        ["\xC0\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4B"],
        ["\x9C\x5A\xEC\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],

        ["\x93\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4C"],
        ["\x9C\x5A\xEC\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x98"],

        ["\x93\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4D"],
        ["\x9C\x5A\xEC\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xA4"],

        ["\x93\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x4F"],
        ["\x9C\x5A\xEC\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x99"],

        ["\x93\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x50"],
        ["\x9C\x5A\xEC\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x9A"],

        ["\x93\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x51"],
        ["\x9C\x5A\xEC\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x95"],

        ["\xC0\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x52"],
        ["\x9C\x5A\xEC\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xF9"],

        ["\x93\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x53"],
        ["\x9C\x5A\xEC\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xBB"],

        ["\xC0\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x54"],
        ["\x9C\x5A\xEC\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x7A"],

        ["\xC0\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x55"],
        ["\x9C\x5A\xEC\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x5E"],

        ["\xC0\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x56"],
        ["\x9C\x5A\xEC\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x4C"],

        ["\xC0\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x57"],
        ["\x9C\x5A\xEC\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x7E"],

        ["\x93\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x58"],
        ["\x9C\x5A\xEC\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xCC"],

        ["\x93\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x59"],
        ["\x9C\x5A\xEC\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xB7"],

        ["\xC0\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x5C"],
        ["\x9C\x5A\xEC\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x6E"],

        ["\xC0\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x5E"],
        ["\x9C\x5A\xEC\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x6F"],

        ["\x93\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x5F"],
        ["\x9C\x5A\xEC\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xEB"],

        ["\xC0\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x60"],
        ["\x9C\x5A\xEC\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x7C"],

        ["\xC0\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x61"],
        ["\x9C\x5A\xEC\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC1"],

        ["\x93\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x62"],
        ["\x9C\x5A\xEC\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xEC"],

        ["\xC0\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x63"],
        ["\x9C\x5A\xEC\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC2"],

        ["\x8E\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x65"],
        ["\x9C\x5A\xEC\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x91"],

        ["\x93\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x67"],
        ["\x9C\x5A\xEC\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xFD"],

        ["\x94\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x68"],
        ["\x9C\x5A\xEC\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x44"],

        ["\x94\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x69"],
        ["\x9C\x5A\xEC\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x42"],

        ["\x94\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6A"],
        ["\x9C\x5A\xEC\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x45"],

        ["\xC0\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6C"],
        ["\x9C\x5A\xEC\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC3"],

        ["\x94\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6D"],
        ["\x9C\x5A\xEC\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x56"],

        ["\xC0\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6E"],
        ["\x9C\x5A\xEC\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC4"],

        ["\xC0\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x6F"],
        ["\x9C\x5A\xEC\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC5"],

        ["\xC0\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x70"],
        ["\x9C\x5A\xEC\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],

        ["\xC0\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x73"],
        ["\x9C\x5A\xEC\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC7"],

        ["\xC0\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x74"],
        ["\x9C\x5A\xEC\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC8"],

        ["\x94\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x75"],
        ["\x9C\x5A\xEC\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x87"],

        ["\x94\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x77"],
        ["\x9C\x5A\xEC\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x92"],

        ["\xC0\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x78"],
        ["\x9C\x5A\xEC\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],

        ["\x94\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x7A"],
        ["\x9C\x5A\xEC\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x97"],

        ["\xC0\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x7B"],
        ["\x9C\x5A\xEC\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD1"],

        ["\x94\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x7C"],
        ["\x9C\x5A\xEC\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x98"],

        ["\xC0\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x7E"],
        ["\x9C\x5A\xEC\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],

        ["\x94\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x80"],
        ["\x9C\x5A\xEC\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xA6"],

        ["\x94\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x82"],
        ["\x9C\x5A\xEC\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xAC"],

        ["\xC0\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x83"],
        ["\x9C\x5A\xEC\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD3"],

        ["\xC0\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x84"],
        ["\x9C\x5A\xEC\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],

        ["\x94\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x85"],
        ["\x9C\x5A\xEC\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xB2"],

        ["\xC0\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x86"],
        ["\x9C\x5A\xEC\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],

        ["\xC0\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x87"],
        ["\x9C\x5A\xEC\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],

        ["\x94\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x88"],
        ["\x9C\x5A\xEC\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xB8"],

        ["\xC0\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8A"],
        ["\x9C\x5A\xEC\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD7"],

        ["\x94\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8B"],
        ["\x9C\x5A\xEC\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xDC"],

        ["\xC0\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8C"],
        ["\x9C\x5A\xEC\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD8"],

        ["\xC0\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8D"],
        ["\x9C\x5A\xEC\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],

        ["\x94\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x8E"],
        ["\x9C\x5A\xEC\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xFA"],

        ["\xC0\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x90"],
        ["\x9C\x5A\xEC\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE2"],

        ["\xC0\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x91"],
        ["\x9C\x5A\xEC\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE3"],

        ["\x95\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x92"],
        ["\x9C\x5A\xEC\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x46"],

        ["\x95\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x93"],
        ["\x9C\x5A\xEC\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x55"],

        ["\xC0\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x94"],
        ["\x9C\x5A\xEC\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],

        ["\xC0\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x95"],
        ["\x9C\x5A\xEC\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],

        ["\xC0\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x96"],
        ["\x9C\x5A\xEC\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE6"],

        ["\xC0\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x97"],
        ["\x9C\x5A\xEC\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],

        ["\xC0\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x98"],
        ["\x9C\x5A\xEC\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE8"],

        ["\x95\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x9A"],
        ["\x9C\x5A\xEC\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x8D"],

        ["\x95\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x9C"],
        ["\x9C\x5A\xEC\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x90"],

        ["\x95\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\x9E"],
        ["\x9C\x5A\xEC\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x91"],

        ["\xC0\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA0"],
        ["\x9C\x5A\xEC\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xE9"],

        ["\x95\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA1"],
        ["\x9C\x5A\xEC\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xBD"],

        ["\x95\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA2"],
        ["\x9C\x5A\xEC\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xAF"],

        ["\xC0\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA3"],
        ["\x9C\x5A\xEC\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x4A"],

        ["\x95\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA5"],
        ["\x9C\x5A\xEC\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xAA"],

        ["\x95\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA7"],
        ["\x9C\x5A\xEC\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xBC"],

        ["\xC0\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xA8"],
        ["\x9C\x5A\xEC\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x5B"],

        ["\x95\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAA"],
        ["\x9C\x5A\xEC\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xA6"],

        ["\xC0\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAB"],
        ["\x9C\x5A\xEC\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x5A"],

        ["\xC0\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAC"],
        ["\x9C\x5A\xEC\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x5F"],

        ["\x95\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAD"],
        ["\x9C\x5A\xEC\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xB8"],

        ["\xC0\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAE"],
        ["\x9C\x5A\xEC\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x6D"],

        ["\x95\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xAF"],
        ["\x9C\x5A\xEC\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xB7"],

        ["\x95\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB0"],
        ["\x9C\x5A\xEC\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xB5"],

        ["\xC0\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB2"],
        ["\x9C\x5A\xEC\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x79"],

        ["\xC0\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB3"],
        ["\x9C\x5A\xEC\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x57"],

        ["\x95\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB4"],
        ["\x9C\x5A\xEC\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xDC"],

        ["\x95\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB5"],
        ["\x9C\x5A\xEC\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xDE"],

        ["\xC0\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB7"],
        ["\x9C\x5A\xEC\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x59"],

        ["\x95\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xB8"],
        ["\x9C\x5A\xEC\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xEF"],

        ["\xC0\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBA"],
        ["\x9C\x5A\xEC\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x62"],

        ["\x96\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBB"],
        ["\x9C\x5A\xEC\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x42"],

        ["\x96\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBC"],
        ["\x9C\x5A\xEC\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x41"],

        ["\x95\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBD"],
        ["\x9C\x5A\xEC\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xFC"],

        ["\xC0\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBE"],
        ["\x9C\x5A\xEC\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x63"],

        ["\xC0\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xBF"],
        ["\x9C\x5A\xEC\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x64"],

        ["\x96\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC0"],
        ["\x9C\x5A\xEC\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x44"],

        ["\x96\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC1"],
        ["\x9C\x5A\xEC\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x48"],

        ["\x96\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC2"],
        ["\x9C\x5A\xEC\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x46"],

        ["\x96\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC3"],
        ["\x9C\x5A\xEC\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x49"],

        ["\xC0\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC4"],
        ["\x9C\x5A\xEC\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x65"],

        ["\xC0\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC6"],
        ["\x9C\x5A\xEC\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x66"],

        ["\x96\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xC9"],
        ["\x9C\x5A\xEC\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x87"],

        ["\x96\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCA"],
        ["\x9C\x5A\xEC\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x8E"],

        ["\xC0\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCB"],
        ["\x9C\x5A\xEC\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x67"],

        ["\xC0\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCC"],
        ["\x9C\x5A\xEC\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x68"],

        ["\x96\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCD"],
        ["\x9C\x5A\xEC\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x93"],

        ["\x96\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCE"],
        ["\x9C\x5A\xEC\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x97"],

        ["\xC0\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xCF"],
        ["\x9C\x5A\xEC\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x69"],

        ["\xC0\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD0"],
        ["\x9C\x5A\xEC\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x70"],

        ["\xC0\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD1"],
        ["\x9C\x5A\xEC\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x71"],

        ["\x96\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD2"],
        ["\x9C\x5A\xEC\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x99"],

        ["\x96\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD3"],
        ["\x9C\x5A\xEC\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x9D"],

        ["\xC0\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD4"],
        ["\x9C\x5A\xEC\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x72"],

        ["\x96\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD5"],
        ["\x9C\x5A\xEC\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x9F"],

        ["\xC0\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD6"],
        ["\x9C\x5A\xEC\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x73"],

        ["\xC0\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD7"],
        ["\x9C\x5A\xEC\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x74"],

        ["\xC0\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD8"],
        ["\x9C\x5A\xEC\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x75"],

        ["\xC0\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xD9"],
        ["\x9C\x5A\xEC\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x76"],

        ["\x96\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDA"],
        ["\x9C\x5A\xEC\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xA4"],

        ["\x96\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDB"],
        ["\x9C\x5A\xEC\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xA5"],

        ["\xC0\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDC"],
        ["\x9C\x5A\xEC\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x77"],

        ["\x96\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDD"],
        ["\x9C\x5A\xEC\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xA6"],

        ["\xC0\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xDE"],
        ["\x9C\x5A\xEC\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x78"],

        ["\xC0\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE0"],
        ["\x9C\x5A\xEC\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x80"],

        ["\x96\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE3"],
        ["\x9C\x5A\xEC\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xB3"],

        ["\xC0\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE4"],
        ["\x9C\x5A\xEC\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x8B"],

        ["\xC0\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE5"],
        ["\x9C\x5A\xEC\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x9B"],

        ["\x96\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE6"],
        ["\x9C\x5A\xEC\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xB9"],

        ["\x96\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE7"],
        ["\x9C\x5A\xEC\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xB8"],

        ["\xC0\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE8"],
        ["\x9C\x5A\xEC\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x9C"],

        ["\xC0\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xE9"],
        ["\x9C\x5A\xEC\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xA0"],

        ["\x96\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEA"],
        ["\x9C\x5A\xEC\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xCD"],

        ["\xC0\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEB"],
        ["\x9C\x5A\xEC\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],

        ["\xC0\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEC"],
        ["\x9C\x5A\xEC\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xB0"],

        ["\x96\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xED"],
        ["\x9C\x5A\xEC\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xDA"],

        ["\xC0\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEE"],
        ["\x9C\x5A\xEC\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xC0"],

        ["\x96\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xEF"],
        ["\x9C\x5A\xEC\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xDC"],

        ["\x96\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF1"],
        ["\x9C\x5A\xEC\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xDF"],

        ["\xC0\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF2"],
        ["\x9C\x5A\xEC\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\x6A"],

        ["\x96\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF3"],
        ["\x9C\x5A\xEC\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xED"],

        ["\x96\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF4"],
        ["\x9C\x5A\xEC\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xEC"],

        ["\xC0\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF5"],
        ["\x9C\x5A\xEC\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xD0"],

        ["\xC0\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF6"],
        ["\x9C\x5A\xEC\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC0\xA1"],

        ["\x6A\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF7"],
        ["\x9C\x5A\xEC\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x4F"],

        ["\x6A\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF8"],
        ["\x9C\x5A\xEC\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x7F"],

        ["\x97\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xF9"],
        ["\x9C\x5A\xEC\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x42"],

        ["\x6A\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xFA"],
        ["\x9C\x5A\xEC\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x7B"],

        ["\x97\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xFB"],
        ["\x9C\x5A\xEC\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x56"],

        ["\x6A\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEC\xFC"],
        ["\x9C\x5A\xEC\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xE0"],

        ["\x97\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x40"],
        ["\x9C\x5A\xED\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x84"],

        ["\x6A\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x42"],
        ["\x9C\x5A\xED\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x6C"],

        ["\x6A\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x43"],
        ["\x9C\x5A\xED\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x50"],

        ["\x97\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x44"],
        ["\x9C\x5A\xED\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x8A"],

        ["\x97\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x45"],
        ["\x9C\x5A\xED\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x88"],

        ["\x6A\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x46"],
        ["\x9C\x5A\xED\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x7D"],

        ["\x6A\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x47"],
        ["\x9C\x5A\xED\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x4D"],

        ["\x6A\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x48"],
        ["\x9C\x5A\xED\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x5D"],

        ["\x97\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x49"],
        ["\x9C\x5A\xED\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x98"],

        ["\x6A\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4A"],
        ["\x9C\x5A\xED\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x5C"],

        ["\x6A\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4B"],
        ["\x9C\x5A\xED\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x4E"],

        ["\x97\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4C"],
        ["\x9C\x5A\xED\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xA8"],

        ["\x97\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4D"],
        ["\x9C\x5A\xED\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xA6"],

        ["\x6A\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4E"],
        ["\x9C\x5A\xED\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x6B"],

        ["\x6A\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x4F"],
        ["\x9C\x5A\xED\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x60"],

        ["\x97\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x50"],
        ["\x9C\x5A\xED\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xAF"],

        ["\x97\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x51"],
        ["\x9C\x5A\xED\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xBB"],

        ["\x6A\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x52"],
        ["\x9C\x5A\xED\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x4B"],

        ["\x6A\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x53"],
        ["\x9C\x5A\xED\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x61"],

        ["\x6A\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x54"],
        ["\x9C\x5A\xED\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF0"],

        ["\x6A\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x55"],
        ["\x9C\x5A\xED\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF1"],

        ["\x6A\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x56"],
        ["\x9C\x5A\xED\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF2"],

        ["\x6A\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x57"],
        ["\x9C\x5A\xED\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF3"],

        ["\x6A\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x58"],
        ["\x9C\x5A\xED\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF4"],

        ["\x97\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x59"],
        ["\x9C\x5A\xED\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xCA"],

        ["\x6A\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x5A"],
        ["\x9C\x5A\xED\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF5"],

        ["\x6A\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x5D"],
        ["\x9C\x5A\xED\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF6"],

        ["\x6A\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x5E"],
        ["\x9C\x5A\xED\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF7"],

        ["\x6A\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x5F"],
        ["\x9C\x5A\xED\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF8"],

        ["\x6A\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x61"],
        ["\x9C\x5A\xED\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xF9"],

        ["\x6A\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x62"],
        ["\x9C\x5A\xED\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x7A"],

        ["\x98\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x63"],
        ["\x9C\x5A\xED\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x82"],

        ["\x98\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x64"],
        ["\x9C\x5A\xED\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x86"],

        ["\x89\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x65"],
        ["\x9C\x5A\xED\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xEE"],

        ["\x6A\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x66"],
        ["\x9C\x5A\xED\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x5E"],

        ["\x99\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x67"],
        ["\x9C\x5A\xED\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xBE"],

        ["\x6A\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x68"],
        ["\x9C\x5A\xED\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x4C"],

        ["\x98\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x69"],
        ["\x9C\x5A\xED\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x8C"],

        ["\x6A\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6A"],
        ["\x9C\x5A\xED\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x7E"],

        ["\x98\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6B"],
        ["\x9C\x5A\xED\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x98"],

        ["\x6A\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6C"],
        ["\x9C\x5A\xED\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x6E"],

        ["\x98\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6D"],
        ["\x9C\x5A\xED\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xA6"],

        ["\x98\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6E"],
        ["\x9C\x5A\xED\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xAD"],

        ["\x6A\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x6F"],
        ["\x9C\x5A\xED\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x6F"],

        ["\x6A\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x70"],
        ["\x9C\x5A\xED\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x7C"],

        ["\x96\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x71"],
        ["\x9C\x5A\xED\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xCF"],

        ["\x98\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x72"],
        ["\x9C\x5A\xED\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xB7"],

        ["\x6A\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x73"],
        ["\x9C\x5A\xED\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC1"],

        ["\x6A\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x74"],
        ["\x9C\x5A\xED\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC2"],

        ["\x6A\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x75"],
        ["\x9C\x5A\xED\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC3"],

        ["\x98\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x76"],
        ["\x9C\x5A\xED\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xDD"],

        ["\x98\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x78"],
        ["\x9C\x5A\xED\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xFE"],

        ["\x6A\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x79"],
        ["\x9C\x5A\xED\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC4"],

        ["\x99\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7A"],
        ["\x9C\x5A\xED\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x46"],

        ["\x6A\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7B"],
        ["\x9C\x5A\xED\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC5"],

        ["\x99\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7C"],
        ["\x9C\x5A\xED\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x51"],

        ["\x6A\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7D"],
        ["\x9C\x5A\xED\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC6"],

        ["\x99\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x7E"],
        ["\x9C\x5A\xED\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x55"],

        ["\x99\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x80"],
        ["\x9C\x5A\xED\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x58"],

        ["\x99\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x81"],
        ["\x9C\x5A\xED\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x87"],

        ["\x6A\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x82"],
        ["\x9C\x5A\xED\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC7"],

        ["\x6A\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x84"],
        ["\x9C\x5A\xED\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC8"],

        ["\x99\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x85"],
        ["\x9C\x5A\xED\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x9E"],

        ["\x99\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x86"],
        ["\x9C\x5A\xED\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x99"],

        ["\x6A\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x87"],
        ["\x9C\x5A\xED\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC9"],

        ["\x99\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x88"],
        ["\x9C\x5A\xED\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xA9"],

        ["\x6A\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x89"],
        ["\x9C\x5A\xED\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD1"],

        ["\x96\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8A"],
        ["\x9C\x5A\xED\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xCC"],

        ["\x6A\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8B"],
        ["\x9C\x5A\xED\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD2"],

        ["\x6A\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8C"],
        ["\x9C\x5A\xED\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD3"],

        ["\x6A\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8D"],
        ["\x9C\x5A\xED\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD4"],

        ["\x6A\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8E"],
        ["\x9C\x5A\xED\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD5"],

        ["\x99\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x8F"],
        ["\x9C\x5A\xED\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xAF"],

        ["\x99\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x90"],
        ["\x9C\x5A\xED\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xBC"],

        ["\x99\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x91"],
        ["\x9C\x5A\xED\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xBF"],

        ["\x6A\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x92"],
        ["\x9C\x5A\xED\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD6"],

        ["\x99\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x93"],
        ["\x9C\x5A\xED\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xB2"],

        ["\x99\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x94"],
        ["\x9C\x5A\xED\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xB7"],

        ["\x6A\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x95"],
        ["\x9C\x5A\xED\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD7"],

        ["\x6A\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x96"],
        ["\x9C\x5A\xED\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD8"],

        ["\x99\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x97"],
        ["\x9C\x5A\xED\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xDD"],

        ["\x99\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x98"],
        ["\x9C\x5A\xED\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xDC"],

        ["\x6A\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x99"],
        ["\x9C\x5A\xED\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD9"],

        ["\x99\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9A"],
        ["\x9C\x5A\xED\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xEC"],

        ["\x99\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9B"],
        ["\x9C\x5A\xED\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xFB"],

        ["\x99\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9C"],
        ["\x9C\x5A\xED\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xEF"],

        ["\x99\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9D"],
        ["\x9C\x5A\xED\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xFC"],

        ["\x9A\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9E"],
        ["\x9C\x5A\xED\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x46"],

        ["\x9A\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\x9F"],
        ["\x9C\x5A\xED\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x44"],

        ["\x9A\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA1"],
        ["\x9C\x5A\xED\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x52"],

        ["\x6A\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA3"],
        ["\x9C\x5A\xED\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xE2"],

        ["\x6A\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA4"],
        ["\x9C\x5A\xED\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xE3"],

        ["\x9A\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA5"],
        ["\x9C\x5A\xED\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x81"],

        ["\x9A\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA7"],
        ["\x9C\x5A\xED\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x82"],

        ["\x9A\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA8"],
        ["\x9C\x5A\xED\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x85"],

        ["\x6A\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xA9"],
        ["\x9C\x5A\xED\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xE4"],

        ["\x6A\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAB"],
        ["\x9C\x5A\xED\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xE5"],

        ["\x6A\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAC"],
        ["\x9C\x5A\xED\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xE6"],

        ["\x6A\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAD"],
        ["\x9C\x5A\xED\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xE7"],

        ["\x9A\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAE"],
        ["\x9C\x5A\xED\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x95"],

        ["\x9A\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xAF"],
        ["\x9C\x5A\xED\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x96"],

        ["\x9A\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB0"],
        ["\x9C\x5A\xED\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x94"],

        ["\x6A\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB1"],
        ["\x9C\x5A\xED\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xE8"],

        ["\x9A\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB2"],
        ["\x9C\x5A\xED\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xA6"],

        ["\x6A\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB4"],
        ["\x9C\x5A\xED\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xE9"],

        ["\x6A\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB6"],
        ["\x9C\x5A\xED\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x4A"],

        ["\x6A\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB8"],
        ["\x9C\x5A\xED\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x5B"],

        ["\x9A\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xB9"],
        ["\x9C\x5A\xED\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xCF"],

        ["\x9A\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBA"],
        ["\x9C\x5A\xED\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xDB"],

        ["\x9A\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBB"],
        ["\x9C\x5A\xED\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xED"],

        ["\x9A\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBC"],
        ["\x9C\x5A\xED\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xEF"],

        ["\x6A\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBD"],
        ["\x9C\x5A\xED\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x5A"],

        ["\x9A\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBE"],
        ["\x9C\x5A\xED\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xFB"],

        ["\x9A\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xBF"],
        ["\x9C\x5A\xED\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xFD"],

        ["\x6A\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC0"],
        ["\x9C\x5A\xED\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x5F"],

        ["\x9D\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC1"],
        ["\x9C\x5A\xED\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x42"],

        ["\x6A\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC2"],
        ["\x9C\x5A\xED\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x6D"],

        ["\x9D\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC3"],
        ["\x9C\x5A\xED\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x46"],

        ["\x9D\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC4"],
        ["\x9C\x5A\xED\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x51"],

        ["\x6A\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC5"],
        ["\x9C\x5A\xED\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x79"],

        ["\x6A\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC6"],
        ["\x9C\x5A\xED\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x57"],

        ["\x6A\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC7"],
        ["\x9C\x5A\xED\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x59"],

        ["\x6A\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC8"],
        ["\x9C\x5A\xED\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x62"],

        ["\x6A\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xC9"],
        ["\x9C\x5A\xED\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x63"],

        ["\x9D\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCA"],
        ["\x9C\x5A\xED\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x85"],

        ["\x6A\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCB"],
        ["\x9C\x5A\xED\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x64"],

        ["\x9D\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCC"],
        ["\x9C\x5A\xED\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x90"],

        ["\x9D\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCD"],
        ["\x9C\x5A\xED\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x94"],

        ["\x6A\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCE"],
        ["\x9C\x5A\xED\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x65"],

        ["\x6A\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xCF"],
        ["\x9C\x5A\xED\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x66"],

        ["\x6A\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD0"],
        ["\x9C\x5A\xED\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x67"],

        ["\xAA\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD1"],
        ["\x9C\x5A\xED\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xEC"],

        ["\x6A\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD2"],
        ["\x9C\x5A\xED\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x68"],

        ["\x6A\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD3"],
        ["\x9C\x5A\xED\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x69"],

        ["\x6A\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD4"],
        ["\x9C\x5A\xED\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x70"],

        ["\x6A\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD5"],
        ["\x9C\x5A\xED\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x71"],

        ["\x6A\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD6"],
        ["\x9C\x5A\xED\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x72"],

        ["\x6A\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD7"],
        ["\x9C\x5A\xED\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x73"],

        ["\x6A\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD8"],
        ["\x9C\x5A\xED\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x74"],

        ["\x6A\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xD9"],
        ["\x9C\x5A\xED\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x75"],

        ["\x9D\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDA"],
        ["\x9C\x5A\xED\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\xB6"],

        ["\x6A\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDB"],
        ["\x9C\x5A\xED\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x76"],

        ["\x9D\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDC"],
        ["\x9C\x5A\xED\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\xDA"],

        ["\x6A\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDD"],
        ["\x9C\x5A\xED\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x77"],

        ["\x6A\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDE"],
        ["\x9C\x5A\xED\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x78"],

        ["\x6A\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xDF"],
        ["\x9C\x5A\xED\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x80"],

        ["\x9E\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE0"],
        ["\x9C\x5A\xED\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\x45"],

        ["\x6A\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE1"],
        ["\x9C\x5A\xED\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x8B"],

        ["\x9E\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE2"],
        ["\x9C\x5A\xED\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\x46"],

        ["\x6A\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE3"],
        ["\x9C\x5A\xED\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x9B"],

        ["\x6A\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE4"],
        ["\x9C\x5A\xED\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x9C"],

        ["\x6A\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE5"],
        ["\x9C\x5A\xED\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xA0"],

        ["\x6A\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE6"],
        ["\x9C\x5A\xED\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xAB"],

        ["\x6A\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE7"],
        ["\x9C\x5A\xED\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xB0"],

        ["\x9E\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE8"],
        ["\x9C\x5A\xED\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\x85"],

        ["\x6A\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xE9"],
        ["\x9C\x5A\xED\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xC0"],

        ["\x6A\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xEC"],
        ["\x9C\x5A\xED\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\x6A"],

        ["\x6A\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xED"],
        ["\x9C\x5A\xED\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xD0"],

        ["\x6A\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xEE"],
        ["\x9C\x5A\xED\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x6A\xA1"],

        ["\xD0\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xEF"],
        ["\x9C\x5A\xED\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x4F"],

        ["\xD0\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF0"],
        ["\x9C\x5A\xED\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x7F"],

        ["\xD0\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF1"],
        ["\x9C\x5A\xED\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x7B"],

        ["\x9E\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF2"],
        ["\x9C\x5A\xED\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xA3"],

        ["\xD0\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF3"],
        ["\x9C\x5A\xED\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE0"],

        ["\xD0\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF4"],
        ["\x9C\x5A\xED\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x6C"],

        ["\xD0\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF5"],
        ["\x9C\x5A\xED\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x50"],

        ["\xD0\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF6"],
        ["\x9C\x5A\xED\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x7D"],

        ["\x9E\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF7"],
        ["\x9C\x5A\xED\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xB3"],

        ["\xD0\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF8"],
        ["\x9C\x5A\xED\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x4D"],

        ["\x9E\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xF9"],
        ["\x9C\x5A\xED\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xFB"],

        ["\x9E\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xFA"],
        ["\x9C\x5A\xED\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xEE"],

        ["\xD0\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xED\xFC"],
        ["\x9C\x5A\xED\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x5D"],

        ["\xD0\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x40"],
        ["\x9C\x5A\xEE\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x5C"],

        ["\xD0\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x41"],
        ["\x9C\x5A\xEE\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x4E"],

        ["\x9E\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x42"],
        ["\x9C\x5A\xEE\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xFC"],

        ["\xD0\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x43"],
        ["\x9C\x5A\xEE\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x6B"],

        ["\xD0\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x44"],
        ["\x9C\x5A\xEE\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x60"],

        ["\xD0\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x45"],
        ["\x9C\x5A\xEE\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x4B"],

        ["\xD0\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x46"],
        ["\x9C\x5A\xEE\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x61"],

        ["\xD0\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x48"],
        ["\x9C\x5A\xEE\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],

        ["\xD0\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x49"],
        ["\x9C\x5A\xEE\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF1"],

        ["\xD0\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4A"],
        ["\x9C\x5A\xEE\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],

        ["\xD0\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4B"],
        ["\x9C\x5A\xEE\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],

        ["\xD0\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4C"],
        ["\x9C\x5A\xEE\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],

        ["\x9F\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4D"],
        ["\x9C\x5A\xEE\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\x93"],

        ["\xD0\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x4F"],
        ["\x9C\x5A\xEE\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF5"],

        ["\xD0\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x50"],
        ["\x9C\x5A\xEE\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF6"],

        ["\xD0\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x51"],
        ["\x9C\x5A\xEE\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF7"],

        ["\xD0\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x52"],
        ["\x9C\x5A\xEE\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],

        ["\xD0\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x53"],
        ["\x9C\x5A\xEE\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],

        ["\xD0\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x54"],
        ["\x9C\x5A\xEE\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x7A"],

        ["\xD0\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x55"],
        ["\x9C\x5A\xEE\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x5E"],

        ["\xD0\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x56"],
        ["\x9C\x5A\xEE\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x4C"],

        ["\xD0\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x58"],
        ["\x9C\x5A\xEE\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x7E"],

        ["\xD0\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5A"],
        ["\x9C\x5A\xEE\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x6E"],

        ["\xD0\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5B"],
        ["\x9C\x5A\xEE\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x6F"],

        ["\xD0\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5C"],
        ["\x9C\x5A\xEE\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x7C"],

        ["\x9F\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5D"],
        ["\x9C\x5A\xEE\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\xFE"],

        ["\xD0\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x5E"],
        ["\x9C\x5A\xEE\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],

        ["\xD0\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x60"],
        ["\x9C\x5A\xEE\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],

        ["\xA2\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x61"],
        ["\x9C\x5A\xEE\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x51"],

        ["\xD0\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x62"],
        ["\x9C\x5A\xEE\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC3"],

        ["\xA2\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x63"],
        ["\x9C\x5A\xEE\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x8A"],

        ["\xD0\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x64"],
        ["\x9C\x5A\xEE\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],

        ["\xD0\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x65"],
        ["\x9C\x5A\xEE\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC5"],

        ["\xD0\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x66"],
        ["\x9C\x5A\xEE\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC6"],

        ["\xA2\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x67"],
        ["\x9C\x5A\xEE\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x89"],

        ["\xD0\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x68"],
        ["\x9C\x5A\xEE\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC7"],

        ["\xD0\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x69"],
        ["\x9C\x5A\xEE\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC8"],

        ["\xA2\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6A"],
        ["\x9C\x5A\xEE\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x8D"],

        ["\xA2\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6B"],
        ["\x9C\x5A\xEE\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x90"],

        ["\xA2\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6C"],
        ["\x9C\x5A\xEE\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x98"],

        ["\xD0\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6D"],
        ["\x9C\x5A\xEE\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC9"],

        ["\xD0\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6E"],
        ["\x9C\x5A\xEE\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD1"],

        ["\xD0\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x6F"],
        ["\x9C\x5A\xEE\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD2"],

        ["\xD0\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x70"],
        ["\x9C\x5A\xEE\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD3"],

        ["\xA2\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x71"],
        ["\x9C\x5A\xEE\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x9F"],

        ["\xD0\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x72"],
        ["\x9C\x5A\xEE\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],

        ["\xD0\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x73"],
        ["\x9C\x5A\xEE\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD5"],

        ["\xD0\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x74"],
        ["\x9C\x5A\xEE\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD6"],

        ["\xD0\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x75"],
        ["\x9C\x5A\xEE\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD7"],

        ["\xA2\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x76"],
        ["\x9C\x5A\xEE\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xAA"],

        ["\xA2\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x77"],
        ["\x9C\x5A\xEE\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xAC"],

        ["\xD0\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x78"],
        ["\x9C\x5A\xEE\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],

        ["\xD0\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x79"],
        ["\x9C\x5A\xEE\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD9"],

        ["\xD0\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7A"],
        ["\x9C\x5A\xEE\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],

        ["\xA2\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7B"],
        ["\x9C\x5A\xEE\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xBE"],

        ["\xD0\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7C"],
        ["\x9C\x5A\xEE\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE3"],

        ["\xD0\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7D"],
        ["\x9C\x5A\xEE\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE4"],

        ["\xD0\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x7E"],
        ["\x9C\x5A\xEE\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE5"],

        ["\xD0\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x80"],
        ["\x9C\x5A\xEE\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE6"],

        ["\xA2\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x81"],
        ["\x9C\x5A\xEE\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xB2"],

        ["\xD0\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x82"],
        ["\x9C\x5A\xEE\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE7"],

        ["\xD0\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x83"],
        ["\x9C\x5A\xEE\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],

        ["\xD0\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x84"],
        ["\x9C\x5A\xEE\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],

        ["\xD0\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x85"],
        ["\x9C\x5A\xEE\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x4A"],

        ["\xD0\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x86"],
        ["\x9C\x5A\xEE\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x5B"],

        ["\xD0\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x87"],
        ["\x9C\x5A\xEE\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x5A"],

        ["\xA2\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x88"],
        ["\x9C\x5A\xEE\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xDE"],

        ["\xA2\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x89"],
        ["\x9C\x5A\xEE\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xEA"],

        ["\xA2\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x8A"],
        ["\x9C\x5A\xEE\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xFC"],

        ["\xA2\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x8B"],
        ["\x9C\x5A\xEE\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xFE"],

        ["\xD0\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x8C"],
        ["\x9C\x5A\xEE\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x5F"],

        ["\xD0\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x8F"],
        ["\x9C\x5A\xEE\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x6D"],

        ["\xD0\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x90"],
        ["\x9C\x5A\xEE\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x79"],

        ["\xD0\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x91"],
        ["\x9C\x5A\xEE\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x57"],

        ["\xA3\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x92"],
        ["\x9C\x5A\xEE\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x46"],

        ["\xA3\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x93"],
        ["\x9C\x5A\xEE\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x53"],

        ["\xA3\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x94"],
        ["\x9C\x5A\xEE\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x54"],

        ["\xD0\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x95"],
        ["\x9C\x5A\xEE\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x59"],

        ["\xD0\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x96"],
        ["\x9C\x5A\xEE\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x62"],

        ["\xD0\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x97"],
        ["\x9C\x5A\xEE\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x63"],

        ["\xA3\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x98"],
        ["\x9C\x5A\xEE\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x88"],

        ["\xD0\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x99"],
        ["\x9C\x5A\xEE\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x64"],

        ["\xD0\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9A"],
        ["\x9C\x5A\xEE\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x65"],

        ["\xA3\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9B"],
        ["\x9C\x5A\xEE\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x92"],

        ["\xD0\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9C"],
        ["\x9C\x5A\xEE\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x66"],

        ["\xA3\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9E"],
        ["\x9C\x5A\xEE\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x9A"],

        ["\xA3\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\x9F"],
        ["\x9C\x5A\xEE\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xA3"],

        ["\xA3\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA1"],
        ["\x9C\x5A\xEE\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xBB"],

        ["\xA3\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA2"],
        ["\x9C\x5A\xEE\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xA7"],

        ["\xA3\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA3"],
        ["\x9C\x5A\xEE\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xAF"],

        ["\xA3\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA4"],
        ["\x9C\x5A\xEE\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xBD"],

        ["\xA3\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA5"],
        ["\x9C\x5A\xEE\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xBE"],

        ["\xD0\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xA8"],
        ["\x9C\x5A\xEE\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x67"],

        ["\xD0\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xAA"],
        ["\x9C\x5A\xEE\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x68"],

        ["\xD0\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xAD"],
        ["\x9C\x5A\xEE\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x69"],

        ["\xD0\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xAE"],
        ["\x9C\x5A\xEE\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x70"],

        ["\x86\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xAF"],
        ["\x9C\x5A\xEE\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x8D"],

        ["\xA3\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB0"],
        ["\x9C\x5A\xEE\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],

        ["\xA3\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB1"],
        ["\x9C\x5A\xEE\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],

        ["\xD0\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB2"],
        ["\x9C\x5A\xEE\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x71"],

        ["\xD0\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB3"],
        ["\x9C\x5A\xEE\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x72"],

        ["\xA4\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB4"],
        ["\x9C\x5A\xEE\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x47"],

        ["\xD0\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB5"],
        ["\x9C\x5A\xEE\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x73"],

        ["\xD0\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB6"],
        ["\x9C\x5A\xEE\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x74"],

        ["\xA4\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB7"],
        ["\x9C\x5A\xEE\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x88"],

        ["\xD0\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xB9"],
        ["\x9C\x5A\xEE\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x75"],

        ["\xA4\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBA"],
        ["\x9C\x5A\xEE\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x8F"],

        ["\xD0\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBB"],
        ["\x9C\x5A\xEE\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x76"],

        ["\xD0\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBD"],
        ["\x9C\x5A\xEE\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x77"],

        ["\xD0\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBE"],
        ["\x9C\x5A\xEE\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x78"],

        ["\xA4\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xBF"],
        ["\x9C\x5A\xEE\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xA7"],

        ["\xA4\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC0"],
        ["\x9C\x5A\xEE\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xA6"],

        ["\xA4\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC1"],
        ["\x9C\x5A\xEE\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xA5"],

        ["\xA4\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC2"],
        ["\x9C\x5A\xEE\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xAC"],

        ["\xD0\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC3"],
        ["\x9C\x5A\xEE\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x80"],

        ["\xD0\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC4"],
        ["\x9C\x5A\xEE\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x8B"],

        ["\xD0\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC5"],
        ["\x9C\x5A\xEE\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x9B"],

        ["\xA4\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC6"],
        ["\x9C\x5A\xEE\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],

        ["\xD0\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC7"],
        ["\x9C\x5A\xEE\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x9C"],

        ["\xD0\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC8"],
        ["\x9C\x5A\xEE\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xA0"],

        ["\xD0\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xC9"],
        ["\x9C\x5A\xEE\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xAB"],

        ["\xA4\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCA"],
        ["\x9C\x5A\xEE\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xB5"],

        ["\xA4\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCB"],
        ["\x9C\x5A\xEE\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xB8"],

        ["\xA4\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCC"],
        ["\x9C\x5A\xEE\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xCA"],

        ["\xD0\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCD"],
        ["\x9C\x5A\xEE\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xB0"],

        ["\xA4\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCE"],
        ["\x9C\x5A\xEE\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xCE"],

        ["\xD0\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xCF"],
        ["\x9C\x5A\xEE\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xC0"],

        ["\x84\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD0"],
        ["\x9C\x5A\xEE\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xB4"],

        ["\xA4\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD1"],
        ["\x9C\x5A\xEE\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xDD"],

        ["\xA4\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD2"],
        ["\x9C\x5A\xEE\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xFE"],

        ["\xA5\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD3"],
        ["\x9C\x5A\xEE\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\x42"],

        ["\xA5\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD4"],
        ["\x9C\x5A\xEE\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\x41"],

        ["\xD0\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD5"],
        ["\x9C\x5A\xEE\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\x6A"],

        ["\xA5\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD6"],
        ["\x9C\x5A\xEE\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\x84"],

        ["\xD0\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD7"],
        ["\x9C\x5A\xEE\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xD0"],

        ["\xA5\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD8"],
        ["\x9C\x5A\xEE\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],

        ["\xD0\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xD9"],
        ["\x9C\x5A\xEE\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],

        ["\xA1\x4F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDA"],
        ["\x9C\x5A\xEE\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x4F"],

        ["\xA1\x7F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDB"],
        ["\x9C\x5A\xEE\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x7F"],

        ["\xA1\x7B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDC"],
        ["\x9C\x5A\xEE\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x7B"],

        ["\xA5\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDD"],
        ["\x9C\x5A\xEE\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],

        ["\xA5\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDE"],
        ["\x9C\x5A\xEE\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],

        ["\xA1\xE0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xDF"],
        ["\x9C\x5A\xEE\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xE0"],

        ["\xA1\x6C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE0"],
        ["\x9C\x5A\xEE\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x6C"],

        ["\xA5\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE1"],
        ["\x9C\x5A\xEE\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xCB"],

        ["\xA5\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE2"],
        ["\x9C\x5A\xEE\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xCC"],

        ["\xA1\x50",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE3"],
        ["\x9C\x5A\xEE\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x50"],

        ["\xA5\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE4"],
        ["\x9C\x5A\xEE\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xCF"],

        ["\xA5\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE6"],
        ["\x9C\x5A\xEE\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xDB"],

        ["\xA5\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE7"],
        ["\x9C\x5A\xEE\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],

        ["\xA1\x7D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xE9"],
        ["\x9C\x5A\xEE\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x7D"],

        ["\xA5\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xEB"],
        ["\x9C\x5A\xEE\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],

        ["\xA1\x4D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xEC"],
        ["\x9C\x5A\xEE\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x4D"],

        ["\xA1\x5D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xED"],
        ["\x9C\x5A\xEE\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x5D"],

        ["\xA5\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xEF"],
        ["\x9C\x5A\xEE\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],

        ["\xA5\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF0"],
        ["\x9C\x5A\xEE\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xFA"],

        ["\xA5\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF1"],
        ["\x9C\x5A\xEE\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xFB"],

        ["\xA1\x5C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF2"],
        ["\x9C\x5A\xEE\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x5C"],

        ["\xA1\x4E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF3"],
        ["\x9C\x5A\xEE\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x4E"],

        ["\xA5\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF4"],
        ["\x9C\x5A\xEE\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xFE"],

        ["\xA1\x6B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF5"],
        ["\x9C\x5A\xEE\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x6B"],

        ["\xA6\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF6"],
        ["\x9C\x5A\xEE\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x54"],

        ["\xA1\x60",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF7"],
        ["\x9C\x5A\xEE\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x60"],

        ["\xA1\x4B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF8"],
        ["\x9C\x5A\xEE\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x4B"],

        ["\xA4\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xF9"],
        ["\x9C\x5A\xEE\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x41"],

        ["\xA6\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEE\xFB"],
        ["\x9C\x5A\xEE\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x94"],

        ["\xA6\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x42"],
        ["\x9C\x5A\xEF\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x8D"],

        ["\xA6\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x43"],
        ["\x9C\x5A\xEF\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x96"],

        ["\xA6\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x45"],
        ["\x9C\x5A\xEF\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xA7"],

        ["\xA6\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x4A"],
        ["\x9C\x5A\xEF\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xAA"],

        ["\xA6\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x4B"],
        ["\x9C\x5A\xEF\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xA9"],

        ["\xA1\x61",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x4E"],
        ["\x9C\x5A\xEF\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x61"],

        ["\xA1\xF0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x4F"],
        ["\x9C\x5A\xEF\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],

        ["\xA1\xF1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x50"],
        ["\x9C\x5A\xEF\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],

        ["\xA1\xF2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x54"],
        ["\x9C\x5A\xEF\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],

        ["\xA7\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x55"],
        ["\x9C\x5A\xEF\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x47"],

        ["\xA7\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x59"],
        ["\x9C\x5A\xEF\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x96"],

        ["\xA1\xF3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5A"],
        ["\x9C\x5A\xEF\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],

        ["\xA7\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5B"],
        ["\x9C\x5A\xEF\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x8E"],

        ["\xA1\xF4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5C"],
        ["\x9C\x5A\xEF\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],

        ["\xA1\xF5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5D"],
        ["\x9C\x5A\xEF\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],

        ["\xA1\xF6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x5F"],
        ["\x9C\x5A\xEF\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],

        ["\xA1\xF7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x60"],
        ["\x9C\x5A\xEF\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],

        ["\xA7\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x61"],
        ["\x9C\x5A\xEF\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xA6"],

        ["\xA7\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x64"],
        ["\x9C\x5A\xEF\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xAE"],

        ["\xA7\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x65"],
        ["\x9C\x5A\xEF\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xCA"],

        ["\xA7\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x66"],
        ["\x9C\x5A\xEF\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xCC"],

        ["\xA7\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x67"],
        ["\x9C\x5A\xEF\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xDA"],

        ["\xA7\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x68"],
        ["\x9C\x5A\xEF\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xCF"],

        ["\xA1\xF8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x69"],
        ["\x9C\x5A\xEF\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],

        ["\xA7\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6A"],
        ["\x9C\x5A\xEF\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xED"],

        ["\xA7\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6B"],
        ["\x9C\x5A\xEF\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xEE"],

        ["\xA1\xF9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6C"],
        ["\x9C\x5A\xEF\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],

        ["\xA7\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6D"],
        ["\x9C\x5A\xEF\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\xFD"],

        ["\xA1\x7A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6E"],
        ["\x9C\x5A\xEF\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x7A"],

        ["\xA1\x5E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x6F"],
        ["\x9C\x5A\xEF\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x5E"],

        ["\xA2\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x70"],
        ["\x9C\x5A\xEF\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xAE"],

        ["\xA1\x4C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x71"],
        ["\x9C\x5A\xEF\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x4C"],

        ["\xA1\x7E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x72"],
        ["\x9C\x5A\xEF\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x7E"],

        ["\xA8\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x73"],
        ["\x9C\x5A\xEF\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x46"],

        ["\xA8\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x74"],
        ["\x9C\x5A\xEF\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x47"],

        ["\xA8\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x75"],
        ["\x9C\x5A\xEF\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x51"],

        ["\xA1\x6E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x76"],
        ["\x9C\x5A\xEF\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x6E"],

        ["\xA1\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x77"],
        ["\x9C\x5A\xEF\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x6F"],

        ["\xA1\x7C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x78"],
        ["\x9C\x5A\xEF\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x7C"],

        ["\xA1\xC1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x79"],
        ["\x9C\x5A\xEF\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC1"],

        ["\xA8\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x7A"],
        ["\x9C\x5A\xEF\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x58"],

        ["\x86\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x7B"],
        ["\x9C\x5A\xEF\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xEA"],

        ["\xA1\xC2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x7E"],
        ["\x9C\x5A\xEF\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC2"],

        ["\xA8\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x80"],
        ["\x9C\x5A\xEF\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x93"],

        ["\xA1\xC3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x81"],
        ["\x9C\x5A\xEF\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC3"],

        ["\xAA\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x82"],
        ["\x9C\x5A\xEF\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xA2"],

        ["\xA1\xC4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x83"],
        ["\x9C\x5A\xEF\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC4"],

        ["\xA8\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x84"],
        ["\x9C\x5A\xEF\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xA2"],

        ["\xA1\xC5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x85"],
        ["\x9C\x5A\xEF\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC5"],

        ["\xA8\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x89"],
        ["\x9C\x5A\xEF\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xAE"],

        ["\xA3\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8B"],
        ["\x9C\x5A\xEF\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x8D"],

        ["\xA1\xC6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8C"],
        ["\x9C\x5A\xEF\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC6"],

        ["\xA8\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8D"],
        ["\x9C\x5A\xEF\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xB5"],

        ["\xA1\xC7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8E"],
        ["\x9C\x5A\xEF\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC7"],

        ["\xA1\xC8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x8F"],
        ["\x9C\x5A\xEF\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC8"],

        ["\xAA\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x90"],
        ["\x9C\x5A\xEF\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xDC"],

        ["\xA8\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x91"],
        ["\x9C\x5A\xEF\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xB9"],

        ["\xA1\xC9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x92"],
        ["\x9C\x5A\xEF\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC9"],

        ["\xA8\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x93"],
        ["\x9C\x5A\xEF\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xCD"],

        ["\xA1\xD1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x94"],
        ["\x9C\x5A\xEF\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD1"],

        ["\xA1\xD2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x95"],
        ["\x9C\x5A\xEF\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD2"],

        ["\xA1\xD3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x96"],
        ["\x9C\x5A\xEF\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD3"],

        ["\xA8\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x97"],
        ["\x9C\x5A\xEF\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xDF"],

        ["\xA8\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x98"],
        ["\x9C\x5A\xEF\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xEB"],

        ["\xA8\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x99"],
        ["\x9C\x5A\xEF\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xEC"],

        ["\xA1\xD4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9A"],
        ["\x9C\x5A\xEF\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD4"],

        ["\xA1\xD5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9B"],
        ["\x9C\x5A\xEF\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD5"],

        ["\xA8\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9C"],
        ["\x9C\x5A\xEF\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xFC"],

        ["\xA8\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9D"],
        ["\x9C\x5A\xEF\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xFD"],

        ["\xA1\xD6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\x9E"],
        ["\x9C\x5A\xEF\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD6"],

        ["\xA9\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA0"],
        ["\x9C\x5A\xEF\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x42"],

        ["\xC5\x6F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA1"],
        ["\x9C\x5A\xEF\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xC5\x6F"],

        ["\xA1\xD7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA2"],
        ["\x9C\x5A\xEF\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD7"],

        ["\xA9\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA4"],
        ["\x9C\x5A\xEF\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x46"],

        ["\xA9\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA5"],
        ["\x9C\x5A\xEF\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x52"],

        ["\xA9\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA6"],
        ["\x9C\x5A\xEF\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x54"],

        ["\xA1\xD8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA7"],
        ["\x9C\x5A\xEF\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD8"],

        ["\xA1\xD9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xA8"],
        ["\x9C\x5A\xEF\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD9"],

        ["\xA9\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAA"],
        ["\x9C\x5A\xEF\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xA2"],

        ["\xA9\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAB"],
        ["\x9C\x5A\xEF\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x9F"],

        ["\xA1\xE2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAC"],
        ["\x9C\x5A\xEF\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xE2"],

        ["\xA1\xE3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAD"],
        ["\x9C\x5A\xEF\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xE3"],

        ["\xA9\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAE"],
        ["\x9C\x5A\xEF\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xA8"],

        ["\xA9\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xAF"],
        ["\x9C\x5A\xEF\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xA7"],

        ["\xA9\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB0"],
        ["\x9C\x5A\xEF\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xA9"],

        ["\xA1\xE4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB2"],
        ["\x9C\x5A\xEF\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xE4"],

        ["\xA1\xE5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB3"],
        ["\x9C\x5A\xEF\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xE5"],

        ["\xA1\xE6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB4"],
        ["\x9C\x5A\xEF\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xE6"],

        ["\xA1\xE7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB5"],
        ["\x9C\x5A\xEF\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xE7"],

        ["\xA1\xE8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB6"],
        ["\x9C\x5A\xEF\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],

        ["\xA1\xE9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB7"],
        ["\x9C\x5A\xEF\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],

        ["\xA1\x4A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB8"],
        ["\x9C\x5A\xEF\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x4A"],

        ["\xA9\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xB9"],
        ["\x9C\x5A\xEF\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xB5"],

        ["\xA9\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBA"],
        ["\x9C\x5A\xEF\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xB6"],

        ["\xA1\x5B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBB"],
        ["\x9C\x5A\xEF\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x5B"],

        ["\xA1\x5A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBC"],
        ["\x9C\x5A\xEF\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x5A"],

        ["\xA1\x5F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBD"],
        ["\x9C\x5A\xEF\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x5F"],

        ["\xA9\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBE"],
        ["\x9C\x5A\xEF\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xCD"],

        ["\xA9\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xBF"],
        ["\x9C\x5A\xEF\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xDE"],

        ["\xA9\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC0"],
        ["\x9C\x5A\xEF\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xDD"],

        ["\xA9\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC3"],
        ["\x9C\x5A\xEF\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xEE"],

        ["\xA1\x6D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC4"],
        ["\x9C\x5A\xEF\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x6D"],

        ["\xA9\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC6"],
        ["\x9C\x5A\xEF\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xFA"],

        ["\xA1\x79",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC7"],
        ["\x9C\x5A\xEF\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x79"],

        ["\xA1\x57",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC8"],
        ["\x9C\x5A\xEF\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x57"],

        ["\xAA\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xC9"],
        ["\x9C\x5A\xEF\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x45"],

        ["\xAA\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCA"],
        ["\x9C\x5A\xEF\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x51"],

        ["\xA1\x59",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCB"],
        ["\x9C\x5A\xEF\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x59"],

        ["\xA1\x62",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCC"],
        ["\x9C\x5A\xEF\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x62"],

        ["\xAA\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCE"],
        ["\x9C\x5A\xEF\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x83"],

        ["\xA1\x63",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xCF"],
        ["\x9C\x5A\xEF\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x63"],

        ["\xA1\x64",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD0"],
        ["\x9C\x5A\xEF\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x64"],

        ["\xA1\x65",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD1"],
        ["\x9C\x5A\xEF\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x65"],

        ["\xAA\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD2"],
        ["\x9C\x5A\xEF\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x89"],

        ["\xAA\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD3"],
        ["\x9C\x5A\xEF\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x8C"],

        ["\xA1\x66",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD4"],
        ["\x9C\x5A\xEF\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x66"],

        ["\xAA\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD5"],
        ["\x9C\x5A\xEF\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x90"],

        ["\xAA\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD6"],
        ["\x9C\x5A\xEF\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x96"],

        ["\xAA\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD7"],
        ["\x9C\x5A\xEF\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x95"],

        ["\xAA\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD8"],
        ["\x9C\x5A\xEF\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x9F"],

        ["\xAA\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xD9"],
        ["\x9C\x5A\xEF\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x9D"],

        ["\xA1\x67",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDA"],
        ["\x9C\x5A\xEF\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x67"],

        ["\xA1\x68",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDB"],
        ["\x9C\x5A\xEF\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x68"],

        ["\xAA\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDD"],
        ["\x9C\x5A\xEF\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xA8"],

        ["\xA1\x69",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDE"],
        ["\x9C\x5A\xEF\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x69"],

        ["\xAA\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xDF"],
        ["\x9C\x5A\xEF\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xAD"],

        ["\xA1\x70",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE0"],
        ["\x9C\x5A\xEF\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x70"],

        ["\xA1\x71",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE1"],
        ["\x9C\x5A\xEF\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x71"],

        ["\xA1\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE2"],
        ["\x9C\x5A\xEF\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x72"],

        ["\xA1\x73",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE3"],
        ["\x9C\x5A\xEF\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x73"],

        ["\xA1\x74",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE4"],
        ["\x9C\x5A\xEF\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x74"],

        ["\xA1\x75",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE5"],
        ["\x9C\x5A\xEF\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x75"],

        ["\xA1\x76",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE6"],
        ["\x9C\x5A\xEF\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x76"],

        ["\xA1\x77",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE7"],
        ["\x9C\x5A\xEF\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x77"],

        ["\xA1\x78",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE8"],
        ["\x9C\x5A\xEF\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x78"],

        ["\xA1\x80",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xE9"],
        ["\x9C\x5A\xEF\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x80"],

        ["\xAA\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEA"],
        ["\x9C\x5A\xEF\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xB6"],

        ["\xAA\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEB"],
        ["\x9C\x5A\xEF\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xB7"],

        ["\xA1\x8B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEC"],
        ["\x9C\x5A\xEF\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x8B"],

        ["\xF9\x72",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xED"],
        ["\x9C\x5A\xEF\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xF9\x72"],

        ["\xA1\x9B",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEE"],
        ["\x9C\x5A\xEF\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x9B"],

        ["\xA1\x9C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xEF"],
        ["\x9C\x5A\xEF\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x9C"],

        ["\xAA\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF1"],
        ["\x9C\x5A\xEF\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xDB"],

        ["\xAA\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF2"],
        ["\x9C\x5A\xEF\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xDF"],

        ["\xA1\xA0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF3"],
        ["\x9C\x5A\xEF\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xA0"],

        ["\x8A\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF4"],
        ["\x9C\x5A\xEF\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x81"],

        ["\xAA\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF5"],
        ["\x9C\x5A\xEF\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xEF"],

        ["\xA1\xAB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF6"],
        ["\x9C\x5A\xEF\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xAB"],

        ["\x86\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF7"],
        ["\x9C\x5A\xEF\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x91"],

        ["\xA1\xB0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF8"],
        ["\x9C\x5A\xEF\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xB0"],

        ["\xA1\xC0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xF9"],
        ["\x9C\x5A\xEF\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xC0"],

        ["\xA1\x6A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xFA"],
        ["\x9C\x5A\xEF\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\x6A"],

        ["\xA1\xD0",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xFB"],
        ["\x9C\x5A\xEF\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xD0"],

        ["\xA1\xA1",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xEF\xFC"],
        ["\x9C\x5A\xEF\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA1\xA1"],

        ["\xB2\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x40"],
        ["\x9C\x5A\xF0\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x41"],

        ["\x82\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x41"],
        ["\x9C\x5A\xF0\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x41"],

        ["\xB2\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x42"],
        ["\x9C\x5A\xF0\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x42"],

        ["\xB2\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x43"],
        ["\x9C\x5A\xF0\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x43"],

        ["\xB2\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x44"],
        ["\x9C\x5A\xF0\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x44"],

        ["\x82\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x45"],
        ["\x9C\x5A\xF0\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x53"],

        ["\x82\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x46"],
        ["\x9C\x5A\xF0\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x56"],

        ["\xB2\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x47"],
        ["\x9C\x5A\xF0\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x45"],

        ["\xB2\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x48"],
        ["\x9C\x5A\xF0\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x46"],

        ["\xB2\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x49"],
        ["\x9C\x5A\xF0\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x47"],

        ["\xB2\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4A"],
        ["\x9C\x5A\xF0\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x48"],

        ["\xB2\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4B"],
        ["\x9C\x5A\xF0\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x49"],

        ["\xB2\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4C"],
        ["\x9C\x5A\xF0\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x51"],

        ["\xB2\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4D"],
        ["\x9C\x5A\xF0\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x52"],

        ["\xB2\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4E"],
        ["\x9C\x5A\xF0\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x53"],

        ["\xB2\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x4F"],
        ["\x9C\x5A\xF0\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x54"],

        ["\xB2\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x50"],
        ["\x9C\x5A\xF0\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x55"],

        ["\xB2\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x51"],
        ["\x9C\x5A\xF0\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x56"],

        ["\xB2\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x52"],
        ["\x9C\x5A\xF0\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x58"],

        ["\x82\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x53"],
        ["\x9C\x5A\xF0\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x8C"],

        ["\xB2\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x54"],
        ["\x9C\x5A\xF0\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x81"],

        ["\xB2\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x55"],
        ["\x9C\x5A\xF0\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x82"],

        ["\xB2\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x56"],
        ["\x9C\x5A\xF0\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x83"],

        ["\xB2\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x57"],
        ["\x9C\x5A\xF0\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x84"],

        ["\xB2\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x58"],
        ["\x9C\x5A\xF0\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x85"],

        ["\x82\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x59"],
        ["\x9C\x5A\xF0\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x90"],

        ["\xB2\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5A"],
        ["\x9C\x5A\xF0\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x86"],

        ["\xB2\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5B"],
        ["\x9C\x5A\xF0\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x87"],

        ["\x82\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5C"],
        ["\x9C\x5A\xF0\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x9F"],

        ["\x82\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5D"],
        ["\x9C\x5A\xF0\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xA7"],

        ["\xB2\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x5F"],
        ["\x9C\x5A\xF0\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x88"],

        ["\xB2\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x60"],
        ["\x9C\x5A\xF0\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x89"],

        ["\xB2\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x61"],
        ["\x9C\x5A\xF0\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x8A"],

        ["\x82\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x62"],
        ["\x9C\x5A\xF0\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xAA"],

        ["\x82\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x63"],
        ["\x9C\x5A\xF0\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xA9"],

        ["\xB2\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x64"],
        ["\x9C\x5A\xF0\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x8C"],

        ["\xB2\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x65"],
        ["\x9C\x5A\xF0\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x8D"],

        ["\xB2\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x66"],
        ["\x9C\x5A\xF0\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x8E"],

        ["\x82\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x67"],
        ["\x9C\x5A\xF0\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xCB"],

        ["\xB2\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x68"],
        ["\x9C\x5A\xF0\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x8F"],

        ["\xB2\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x69"],
        ["\x9C\x5A\xF0\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x90"],

        ["\xB2\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x6A"],
        ["\x9C\x5A\xF0\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x91"],

        ["\xB2\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x6B"],
        ["\x9C\x5A\xF0\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x92"],

        ["\xB2\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x6E"],
        ["\x9C\x5A\xF0\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x93"],

        ["\x82\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x6F"],
        ["\x9C\x5A\xF0\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xEF"],

        ["\x82\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x70"],
        ["\x9C\x5A\xF0\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xEA"],

        ["\x82\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x71"],
        ["\x9C\x5A\xF0\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xDA"],

        ["\x82\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x72"],
        ["\x9C\x5A\xF0\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xDE"],

        ["\x82\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x73"],
        ["\x9C\x5A\xF0\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xDD"],

        ["\xB2\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x74"],
        ["\x9C\x5A\xF0\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x94"],

        ["\xB2\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x75"],
        ["\x9C\x5A\xF0\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x95"],

        ["\x83\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x76"],
        ["\x9C\x5A\xF0\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x47"],

        ["\x83\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x77"],
        ["\x9C\x5A\xF0\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x43"],

        ["\xB2\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x78"],
        ["\x9C\x5A\xF0\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x96"],

        ["\x83\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x79"],
        ["\x9C\x5A\xF0\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x42"],

        ["\x83\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x7A"],
        ["\x9C\x5A\xF0\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x44"],

        ["\xB2\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x7D"],
        ["\x9C\x5A\xF0\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x97"],

        ["\xB2\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x81"],
        ["\x9C\x5A\xF0\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x98"],

        ["\xB2\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x82"],
        ["\x9C\x5A\xF0\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x99"],

        ["\x83\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x83"],
        ["\x9C\x5A\xF0\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x8A"],

        ["\x83\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x84"],
        ["\x9C\x5A\xF0\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x8D"],

        ["\x83\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x85"],
        ["\x9C\x5A\xF0\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x90"],

        ["\x83\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x86"],
        ["\x9C\x5A\xF0\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\x85"],

        ["\xB2\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x88"],
        ["\x9C\x5A\xF0\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x9A"],

        ["\xB2\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x89"],
        ["\x9C\x5A\xF0\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x9D"],

        ["\xB2\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8A"],
        ["\x9C\x5A\xF0\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x9E"],

        ["\xB2\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8B"],
        ["\x9C\x5A\xF0\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\x9F"],

        ["\xB2\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8C"],
        ["\x9C\x5A\xF0\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xA2"],

        ["\xB2\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8D"],
        ["\x9C\x5A\xF0\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xA3"],

        ["\xB2\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8E"],
        ["\x9C\x5A\xF0\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xA4"],

        ["\xB2\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x8F"],
        ["\x9C\x5A\xF0\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xA5"],

        ["\xB2\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x90"],
        ["\x9C\x5A\xF0\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xA6"],

        ["\xB2\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x91"],
        ["\x9C\x5A\xF0\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],

        ["\xB2\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x92"],
        ["\x9C\x5A\xF0\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xA8"],

        ["\xB2\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x93"],
        ["\x9C\x5A\xF0\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xA9"],

        ["\x83\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x94"],
        ["\x9C\x5A\xF0\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xA2"],

        ["\xB2\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x95"],
        ["\x9C\x5A\xF0\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xAA"],

        ["\xB2\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x96"],
        ["\x9C\x5A\xF0\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],

        ["\xB2\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x97"],
        ["\x9C\x5A\xF0\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],

        ["\xB2\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x98"],
        ["\x9C\x5A\xF0\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xAE"],

        ["\xB2\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x99"],
        ["\x9C\x5A\xF0\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],

        ["\xB2\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9A"],
        ["\x9C\x5A\xF0\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xBA"],

        ["\xB2\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9B"],
        ["\x9C\x5A\xF0\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],

        ["\xB2\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9C"],
        ["\x9C\x5A\xF0\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xBC"],

        ["\x83\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9D"],
        ["\x9C\x5A\xF0\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xA6"],

        ["\xB2\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9E"],
        ["\x9C\x5A\xF0\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xBD"],

        ["\xB2\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\x9F"],
        ["\x9C\x5A\xF0\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xBE"],

        ["\xB2\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA0"],
        ["\x9C\x5A\xF0\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],

        ["\xB2\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA1"],
        ["\x9C\x5A\xF0\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xB2"],

        ["\xB2\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA3"],
        ["\x9C\x5A\xF0\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xB3"],

        ["\xB2\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA4"],
        ["\x9C\x5A\xF0\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],

        ["\xB2\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA5"],
        ["\x9C\x5A\xF0\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xB5"],

        ["\xB2\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA6"],
        ["\x9C\x5A\xF0\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xB6"],

        ["\xB2\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA7"],
        ["\x9C\x5A\xF0\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xB7"],

        ["\xB2\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA8"],
        ["\x9C\x5A\xF0\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xB8"],

        ["\xB2\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xA9"],
        ["\x9C\x5A\xF0\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xB9"],

        ["\xB2\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAA"],
        ["\x9C\x5A\xF0\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xCA"],

        ["\xB2\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAB"],
        ["\x9C\x5A\xF0\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xCB"],

        ["\x88\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAC"],
        ["\x9C\x5A\xF0\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xB7"],

        ["\xB2\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAD"],
        ["\x9C\x5A\xF0\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],

        ["\xB2\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAE"],
        ["\x9C\x5A\xF0\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],

        ["\xB2\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xAF"],
        ["\x9C\x5A\xF0\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],

        ["\xB2\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB0"],
        ["\x9C\x5A\xF0\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xCF"],

        ["\xB2\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB1"],
        ["\x9C\x5A\xF0\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xDA"],

        ["\xB2\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB2"],
        ["\x9C\x5A\xF0\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],

        ["\xB2\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB3"],
        ["\x9C\x5A\xF0\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xDC"],

        ["\x88\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB4"],
        ["\x9C\x5A\xF0\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xCD"],

        ["\xB2\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB5"],
        ["\x9C\x5A\xF0\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xDD"],

        ["\xB2\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB6"],
        ["\x9C\x5A\xF0\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],

        ["\xB2\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB7"],
        ["\x9C\x5A\xF0\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xDF"],

        ["\xB2\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB8"],
        ["\x9C\x5A\xF0\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],

        ["\xB2\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xB9"],
        ["\x9C\x5A\xF0\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],

        ["\xB2\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBA"],
        ["\x9C\x5A\xF0\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xEC"],

        ["\xB2\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBB"],
        ["\x9C\x5A\xF0\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xED"],

        ["\xB2\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBC"],
        ["\x9C\x5A\xF0\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],

        ["\xB2\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBD"],
        ["\x9C\x5A\xF0\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xEF"],

        ["\xB2\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBE"],
        ["\x9C\x5A\xF0\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xFA"],

        ["\xB2\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xBF"],
        ["\x9C\x5A\xF0\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xFB"],

        ["\xB2\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC0"],
        ["\x9C\x5A\xF0\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xFC"],

        ["\xB2\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC2"],
        ["\x9C\x5A\xF0\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xFD"],

        ["\xB2\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC3"],
        ["\x9C\x5A\xF0\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],

        ["\xB3\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC4"],
        ["\x9C\x5A\xF0\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x41"],

        ["\x88\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC5"],
        ["\x9C\x5A\xF0\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\xEB"],

        ["\xB3\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC6"],
        ["\x9C\x5A\xF0\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x42"],

        ["\x89\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC7"],
        ["\x9C\x5A\xF0\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x45"],

        ["\xB3\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC8"],
        ["\x9C\x5A\xF0\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x43"],

        ["\xB3\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xC9"],
        ["\x9C\x5A\xF0\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x44"],

        ["\x89\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCA"],
        ["\x9C\x5A\xF0\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x84"],

        ["\xB3\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCB"],
        ["\x9C\x5A\xF0\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x45"],

        ["\x89\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCC"],
        ["\x9C\x5A\xF0\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x85"],

        ["\xB3\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCD"],
        ["\x9C\x5A\xF0\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x46"],

        ["\xB3\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCE"],
        ["\x9C\x5A\xF0\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x47"],

        ["\xB3\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xCF"],
        ["\x9C\x5A\xF0\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x48"],

        ["\xB3\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD0"],
        ["\x9C\x5A\xF0\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x49"],

        ["\xB3\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD1"],
        ["\x9C\x5A\xF0\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x51"],

        ["\xB3\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD2"],
        ["\x9C\x5A\xF0\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x52"],

        ["\xB3\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD4"],
        ["\x9C\x5A\xF0\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x53"],

        ["\x89\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD5"],
        ["\x9C\x5A\xF0\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x92"],

        ["\xB3\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD6"],
        ["\x9C\x5A\xF0\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x54"],

        ["\xB3\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD7"],
        ["\x9C\x5A\xF0\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x55"],

        ["\xB3\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD8"],
        ["\x9C\x5A\xF0\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x56"],

        ["\xB3\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xD9"],
        ["\x9C\x5A\xF0\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x58"],

        ["\xB3\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDA"],
        ["\x9C\x5A\xF0\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x81"],

        ["\x89\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDB"],
        ["\x9C\x5A\xF0\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\x97"],

        ["\xB3\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDC"],
        ["\x9C\x5A\xF0\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x82"],

        ["\x89\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDD"],
        ["\x9C\x5A\xF0\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xA5"],

        ["\x89\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDE"],
        ["\x9C\x5A\xF0\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xA3"],

        ["\xB3\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xDF"],
        ["\x9C\x5A\xF0\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x83"],

        ["\xB3\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE0"],
        ["\x9C\x5A\xF0\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x84"],

        ["\xB3\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE1"],
        ["\x9C\x5A\xF0\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x85"],

        ["\xB3\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE2"],
        ["\x9C\x5A\xF0\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x86"],

        ["\xB3\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE3"],
        ["\x9C\x5A\xF0\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x87"],

        ["\xB3\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE4"],
        ["\x9C\x5A\xF0\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x88"],

        ["\xB3\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE6"],
        ["\x9C\x5A\xF0\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x89"],

        ["\xB3\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE7"],
        ["\x9C\x5A\xF0\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8A"],

        ["\xB3\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE8"],
        ["\x9C\x5A\xF0\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8C"],

        ["\x89\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xE9"],
        ["\x9C\x5A\xF0\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xBD"],

        ["\xB3\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEA"],
        ["\x9C\x5A\xF0\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8D"],

        ["\xB3\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEB"],
        ["\x9C\x5A\xF0\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8E"],

        ["\xB3\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEC"],
        ["\x9C\x5A\xF0\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x8F"],

        ["\xB3\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xED"],
        ["\x9C\x5A\xF0\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x90"],

        ["\x89\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEE"],
        ["\x9C\x5A\xF0\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xB5"],

        ["\xB3\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xEF"],
        ["\x9C\x5A\xF0\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x91"],

        ["\x89\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF0"],
        ["\x9C\x5A\xF0\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xCB"],

        ["\x89\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF1"],
        ["\x9C\x5A\xF0\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xB9"],

        ["\xB3\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF2"],
        ["\x9C\x5A\xF0\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x92"],

        ["\xB3\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF3"],
        ["\x9C\x5A\xF0\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x93"],

        ["\x89\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF4"],
        ["\x9C\x5A\xF0\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xCD"],

        ["\xB3\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF5"],
        ["\x9C\x5A\xF0\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x94"],

        ["\xB3\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF6"],
        ["\x9C\x5A\xF0\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x95"],

        ["\xB3\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF7"],
        ["\x9C\x5A\xF0\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x96"],

        ["\xB3\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF8"],
        ["\x9C\x5A\xF0\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x97"],

        ["\xB3\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xF9"],
        ["\x9C\x5A\xF0\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x98"],

        ["\xB3\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xFA"],
        ["\x9C\x5A\xF0\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x99"],

        ["\xB3\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xFB"],
        ["\x9C\x5A\xF0\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9A"],

        ["\xB3\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF0\xFC"],
        ["\x9C\x5A\xF0\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9D"],

        ["\xB3\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x40"],
        ["\x9C\x5A\xF1\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9E"],

        ["\xB3\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x41"],
        ["\x9C\x5A\xF1\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\x9F"],

        ["\xB3\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x42"],
        ["\x9C\x5A\xF1\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],

        ["\xB3\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x43"],
        ["\x9C\x5A\xF1\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],

        ["\xB3\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x44"],
        ["\x9C\x5A\xF1\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],

        ["\xB3\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x45"],
        ["\x9C\x5A\xF1\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],

        ["\xB3\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x46"],
        ["\x9C\x5A\xF1\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],

        ["\xB3\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x47"],
        ["\x9C\x5A\xF1\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],

        ["\xB3\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x48"],
        ["\x9C\x5A\xF1\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA8"],

        ["\xB3\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x49"],
        ["\x9C\x5A\xF1\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xA9"],

        ["\xB3\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4A"],
        ["\x9C\x5A\xF1\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAA"],

        ["\xB3\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4B"],
        ["\x9C\x5A\xF1\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAC"],

        ["\x85\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4C"],
        ["\x9C\x5A\xF1\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x8E"],

        ["\xB3\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4D"],
        ["\x9C\x5A\xF1\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAD"],

        ["\xB3\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4E"],
        ["\x9C\x5A\xF1\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAE"],

        ["\x84\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x4F"],
        ["\x9C\x5A\xF1\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x41"],

        ["\xB3\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x50"],
        ["\x9C\x5A\xF1\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],

        ["\xB3\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x51"],
        ["\x9C\x5A\xF1\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],

        ["\xB3\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x52"],
        ["\x9C\x5A\xF1\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBB"],

        ["\x84\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x53"],
        ["\x9C\x5A\xF1\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x53"],

        ["\x84\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x54"],
        ["\x9C\x5A\xF1\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x54"],

        ["\xB3\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x55"],
        ["\x9C\x5A\xF1\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],

        ["\x84\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x56"],
        ["\x9C\x5A\xF1\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\x83"],

        ["\xB3\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x57"],
        ["\x9C\x5A\xF1\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBD"],

        ["\xB3\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x58"],
        ["\x9C\x5A\xF1\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBE"],

        ["\xB3\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x59"],
        ["\x9C\x5A\xF1\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],

        ["\xB3\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5A"],
        ["\x9C\x5A\xF1\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],

        ["\xB3\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5B"],
        ["\x9C\x5A\xF1\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],

        ["\xB3\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5C"],
        ["\x9C\x5A\xF1\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB4"],

        ["\xB3\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5D"],
        ["\x9C\x5A\xF1\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],

        ["\xB3\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5E"],
        ["\x9C\x5A\xF1\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB6"],

        ["\xB3\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x5F"],
        ["\x9C\x5A\xF1\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB7"],

        ["\xB3\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x60"],
        ["\x9C\x5A\xF1\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB8"],

        ["\xB3\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x61"],
        ["\x9C\x5A\xF1\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xB9"],

        ["\xB3\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x64"],
        ["\x9C\x5A\xF1\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCA"],

        ["\xB3\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x65"],
        ["\x9C\x5A\xF1\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCB"],

        ["\xB3\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x66"],
        ["\x9C\x5A\xF1\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCC"],

        ["\xB3\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x67"],
        ["\x9C\x5A\xF1\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],

        ["\x84\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x68"],
        ["\x9C\x5A\xF1\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xA6"],

        ["\xB3\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x69"],
        ["\x9C\x5A\xF1\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCE"],

        ["\xB3\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6A"],
        ["\x9C\x5A\xF1\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],

        ["\x84\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6B"],
        ["\x9C\x5A\xF1\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xCF"],

        ["\x9A\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6C"],
        ["\x9C\x5A\xF1\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xBC"],

        ["\xB3\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6E"],
        ["\x9C\x5A\xF1\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],

        ["\xB3\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x6F"],
        ["\x9C\x5A\xF1\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDB"],

        ["\x84\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x70"],
        ["\x9C\x5A\xF1\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xDF"],

        ["\xB3\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x71"],
        ["\x9C\x5A\xF1\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDC"],

        ["\xB3\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x72"],
        ["\x9C\x5A\xF1\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDD"],

        ["\xB3\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x73"],
        ["\x9C\x5A\xF1\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDE"],

        ["\x85\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x74"],
        ["\x9C\x5A\xF1\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x46"],

        ["\xB3\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x75"],
        ["\x9C\x5A\xF1\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xDF"],

        ["\xB3\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x76"],
        ["\x9C\x5A\xF1\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEA"],

        ["\xB3\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x77"],
        ["\x9C\x5A\xF1\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],

        ["\xB3\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x78"],
        ["\x9C\x5A\xF1\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],

        ["\xB3\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x79"],
        ["\x9C\x5A\xF1\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xED"],

        ["\xB3\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7A"],
        ["\x9C\x5A\xF1\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEE"],

        ["\xB3\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7B"],
        ["\x9C\x5A\xF1\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xEF"],

        ["\xB3\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7C"],
        ["\x9C\x5A\xF1\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFA"],

        ["\xB3\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7D"],
        ["\x9C\x5A\xF1\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFB"],

        ["\x85\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x7E"],
        ["\x9C\x5A\xF1\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x8A"],

        ["\x85\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x80"],
        ["\x9C\x5A\xF1\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\x8C"],

        ["\xB3\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x81"],
        ["\x9C\x5A\xF1\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFC"],

        ["\xB3\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x82"],
        ["\x9C\x5A\xF1\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFD"],

        ["\xB3\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x83"],
        ["\x9C\x5A\xF1\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB3\xFE"],

        ["\xB4\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x84"],
        ["\x9C\x5A\xF1\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x41"],

        ["\xB4\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x85"],
        ["\x9C\x5A\xF1\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x42"],

        ["\xB4\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x86"],
        ["\x9C\x5A\xF1\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x43"],

        ["\xB4\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x87"],
        ["\x9C\x5A\xF1\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x44"],

        ["\xB4\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x88"],
        ["\x9C\x5A\xF1\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x45"],

        ["\xB4\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x89"],
        ["\x9C\x5A\xF1\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x46"],

        ["\x85\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8A"],
        ["\x9C\x5A\xF1\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xA3"],

        ["\xB4\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8B"],
        ["\x9C\x5A\xF1\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x47"],

        ["\xB4\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8D"],
        ["\x9C\x5A\xF1\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x48"],

        ["\xB4\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8E"],
        ["\x9C\x5A\xF1\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x49"],

        ["\xB4\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x8F"],
        ["\x9C\x5A\xF1\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x51"],

        ["\xB4\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x90"],
        ["\x9C\x5A\xF1\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x52"],

        ["\xB4\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x91"],
        ["\x9C\x5A\xF1\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x53"],

        ["\xB4\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x92"],
        ["\x9C\x5A\xF1\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x54"],

        ["\xB4\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x93"],
        ["\x9C\x5A\xF1\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x55"],

        ["\xB4\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x94"],
        ["\x9C\x5A\xF1\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x56"],

        ["\x85\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x95"],
        ["\x9C\x5A\xF1\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xAE"],

        ["\xB4\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x96"],
        ["\x9C\x5A\xF1\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x58"],

        ["\xB4\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x97"],
        ["\x9C\x5A\xF1\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x81"],

        ["\xB4\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x98"],
        ["\x9C\x5A\xF1\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x82"],

        ["\xB4\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x99"],
        ["\x9C\x5A\xF1\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x83"],

        ["\xB4\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9A"],
        ["\x9C\x5A\xF1\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x84"],

        ["\xB4\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9B"],
        ["\x9C\x5A\xF1\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x85"],

        ["\xB4\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9C"],
        ["\x9C\x5A\xF1\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x86"],

        ["\x85\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9D"],
        ["\x9C\x5A\xF1\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xB3"],

        ["\x85\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9E"],
        ["\x9C\x5A\xF1\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xBF"],

        ["\xB4\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\x9F"],
        ["\x9C\x5A\xF1\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x87"],

        ["\xB4\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA0"],
        ["\x9C\x5A\xF1\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x88"],

        ["\xB4\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA1"],
        ["\x9C\x5A\xF1\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x89"],

        ["\x85\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA2"],
        ["\x9C\x5A\xF1\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xCA"],

        ["\x85\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA3"],
        ["\x9C\x5A\xF1\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xCE"],

        ["\xB4\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA4"],
        ["\x9C\x5A\xF1\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8A"],

        ["\x85\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA5"],
        ["\x9C\x5A\xF1\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xCB"],

        ["\x85\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA6"],
        ["\x9C\x5A\xF1\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xCD"],

        ["\xB4\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA7"],
        ["\x9C\x5A\xF1\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8C"],

        ["\xB4\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA8"],
        ["\x9C\x5A\xF1\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8D"],

        ["\xB4\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xA9"],
        ["\x9C\x5A\xF1\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8E"],

        ["\xB4\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAA"],
        ["\x9C\x5A\xF1\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x8F"],

        ["\xB4\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAB"],
        ["\x9C\x5A\xF1\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x90"],

        ["\x85\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAC"],
        ["\x9C\x5A\xF1\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xDE"],

        ["\xB4\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAD"],
        ["\x9C\x5A\xF1\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x91"],

        ["\xB4\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAE"],
        ["\x9C\x5A\xF1\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x92"],

        ["\xB4\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xAF"],
        ["\x9C\x5A\xF1\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x93"],

        ["\xB4\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB0"],
        ["\x9C\x5A\xF1\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x94"],

        ["\xB4\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB1"],
        ["\x9C\x5A\xF1\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x95"],

        ["\xB4\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB2"],
        ["\x9C\x5A\xF1\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x96"],

        ["\xB4\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB3"],
        ["\x9C\x5A\xF1\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x97"],

        ["\xB4\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB4"],
        ["\x9C\x5A\xF1\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x98"],

        ["\xB4\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB5"],
        ["\x9C\x5A\xF1\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x99"],

        ["\xB4\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB6"],
        ["\x9C\x5A\xF1\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9A"],

        ["\xB4\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB7"],
        ["\x9C\x5A\xF1\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9D"],

        ["\xB4\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB8"],
        ["\x9C\x5A\xF1\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9E"],

        ["\x85\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xB9"],
        ["\x9C\x5A\xF1\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x85\xFB"],

        ["\xB4\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBA"],
        ["\x9C\x5A\xF1\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\x9F"],

        ["\xB4\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBB"],
        ["\x9C\x5A\xF1\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],

        ["\xB4\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBC"],
        ["\x9C\x5A\xF1\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA3"],

        ["\x86\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBD"],
        ["\x9C\x5A\xF1\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x44"],

        ["\xB4\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBE"],
        ["\x9C\x5A\xF1\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA4"],

        ["\xB4\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xBF"],
        ["\x9C\x5A\xF1\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA5"],

        ["\xB4\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC0"],
        ["\x9C\x5A\xF1\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA6"],

        ["\x86\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC1"],
        ["\x9C\x5A\xF1\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x53"],

        ["\x86\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC2"],
        ["\x9C\x5A\xF1\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x55"],

        ["\xB4\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC3"],
        ["\x9C\x5A\xF1\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA7"],

        ["\xB4\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC4"],
        ["\x9C\x5A\xF1\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],

        ["\xB4\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC5"],
        ["\x9C\x5A\xF1\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xA9"],

        ["\xB4\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC6"],
        ["\x9C\x5A\xF1\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],

        ["\xB4\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC7"],
        ["\x9C\x5A\xF1\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],

        ["\xB4\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC8"],
        ["\x9C\x5A\xF1\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],

        ["\xB4\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xC9"],
        ["\x9C\x5A\xF1\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],

        ["\xB4\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCA"],
        ["\x9C\x5A\xF1\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xAF"],

        ["\xB4\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCB"],
        ["\x9C\x5A\xF1\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],

        ["\xB4\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCC"],
        ["\x9C\x5A\xF1\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBB"],

        ["\xB4\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCD"],
        ["\x9C\x5A\xF1\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBC"],

        ["\xB4\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCE"],
        ["\x9C\x5A\xF1\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBD"],

        ["\x86\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xCF"],
        ["\x9C\x5A\xF1\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x8F"],

        ["\xB4\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD0"],
        ["\x9C\x5A\xF1\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBE"],

        ["\xB4\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD1"],
        ["\x9C\x5A\xF1\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xBF"],

        ["\x86\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD2"],
        ["\x9C\x5A\xF1\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\x92"],

        ["\xB4\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD3"],
        ["\x9C\x5A\xF1\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB2"],

        ["\xB4\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD4"],
        ["\x9C\x5A\xF1\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],

        ["\xB4\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD5"],
        ["\x9C\x5A\xF1\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],

        ["\xB4\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD6"],
        ["\x9C\x5A\xF1\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB5"],

        ["\xB4\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD7"],
        ["\x9C\x5A\xF1\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB6"],

        ["\xB4\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD8"],
        ["\x9C\x5A\xF1\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB7"],

        ["\xB4\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xD9"],
        ["\x9C\x5A\xF1\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB8"],

        ["\xB4\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDA"],
        ["\x9C\x5A\xF1\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],

        ["\xB4\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDB"],
        ["\x9C\x5A\xF1\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCA"],

        ["\xB4\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDC"],
        ["\x9C\x5A\xF1\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCB"],

        ["\xB4\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDD"],
        ["\x9C\x5A\xF1\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],

        ["\xB4\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDE"],
        ["\x9C\x5A\xF1\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCD"],

        ["\x86\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xDF"],
        ["\x9C\x5A\xF1\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xA8"],

        ["\xB4\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE0"],
        ["\x9C\x5A\xF1\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCE"],

        ["\xB4\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE1"],
        ["\x9C\x5A\xF1\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xCF"],

        ["\xB4\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE2"],
        ["\x9C\x5A\xF1\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDA"],

        ["\xB4\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE3"],
        ["\x9C\x5A\xF1\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDB"],

        ["\xB4\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE4"],
        ["\x9C\x5A\xF1\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDC"],

        ["\xB4\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE5"],
        ["\x9C\x5A\xF1\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDD"],

        ["\xB4\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE6"],
        ["\x9C\x5A\xF1\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDE"],

        ["\x86\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE7"],
        ["\x9C\x5A\xF1\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xAF"],

        ["\xB4\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE8"],
        ["\x9C\x5A\xF1\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xDF"],

        ["\xB4\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xE9"],
        ["\x9C\x5A\xF1\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEA"],

        ["\x86\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xEB"],
        ["\x9C\x5A\xF1\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xB2"],

        ["\xB4\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xEC"],
        ["\x9C\x5A\xF1\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEB"],

        ["\xB4\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xED"],
        ["\x9C\x5A\xF1\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],

        ["\xB4\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xEE"],
        ["\x9C\x5A\xF1\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],

        ["\xB4\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xEF"],
        ["\x9C\x5A\xF1\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEE"],

        ["\xB4\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF0"],
        ["\x9C\x5A\xF1\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],

        ["\xB4\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF1"],
        ["\x9C\x5A\xF1\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFA"],

        ["\xB4\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF2"],
        ["\x9C\x5A\xF1\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFB"],

        ["\xB4\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF3"],
        ["\x9C\x5A\xF1\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFC"],

        ["\x86\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF4"],
        ["\x9C\x5A\xF1\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xDA"],

        ["\xB4\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF5"],
        ["\x9C\x5A\xF1\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFD"],

        ["\xB4\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF6"],
        ["\x9C\x5A\xF1\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB4\xFE"],

        ["\xB5\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF7"],
        ["\x9C\x5A\xF1\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x41"],

        ["\x86\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF8"],
        ["\x9C\x5A\xF1\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xCB"],

        ["\xB5\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xF9"],
        ["\x9C\x5A\xF1\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x42"],

        ["\xB5\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xFA"],
        ["\x9C\x5A\xF1\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x43"],

        ["\xB5\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xFB"],
        ["\x9C\x5A\xF1\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x44"],

        ["\x86\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF1\xFC"],
        ["\x9C\x5A\xF1\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xDF"],

        ["\x86\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x40"],
        ["\x9C\x5A\xF2\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xDE"],

        ["\xB5\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x41"],
        ["\x9C\x5A\xF2\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x45"],

        ["\xB5\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x42"],
        ["\x9C\x5A\xF2\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x46"],

        ["\x86\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x43"],
        ["\x9C\x5A\xF2\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xEE"],

        ["\xB5\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x44"],
        ["\x9C\x5A\xF2\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x47"],

        ["\xB5\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x45"],
        ["\x9C\x5A\xF2\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x48"],

        ["\xB5\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x46"],
        ["\x9C\x5A\xF2\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x49"],

        ["\xB5\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x47"],
        ["\x9C\x5A\xF2\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x51"],

        ["\xB5\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x48"],
        ["\x9C\x5A\xF2\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x52"],

        ["\xB5\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x49"],
        ["\x9C\x5A\xF2\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x53"],

        ["\xB5\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4A"],
        ["\x9C\x5A\xF2\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x54"],

        ["\x87\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4B"],
        ["\x9C\x5A\xF2\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x46"],

        ["\x86\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4C"],
        ["\x9C\x5A\xF2\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xFD"],

        ["\xB5\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4D"],
        ["\x9C\x5A\xF2\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x55"],

        ["\xB5\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4E"],
        ["\x9C\x5A\xF2\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x56"],

        ["\xB5\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x4F"],
        ["\x9C\x5A\xF2\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x58"],

        ["\x87\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x50"],
        ["\x9C\x5A\xF2\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x56"],

        ["\xB5\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x51"],
        ["\x9C\x5A\xF2\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x81"],

        ["\xB5\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x52"],
        ["\x9C\x5A\xF2\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x82"],

        ["\xB5\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x53"],
        ["\x9C\x5A\xF2\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x83"],

        ["\xB5\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x54"],
        ["\x9C\x5A\xF2\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x84"],

        ["\xB5\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x55"],
        ["\x9C\x5A\xF2\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x85"],

        ["\xB5\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x56"],
        ["\x9C\x5A\xF2\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x86"],

        ["\xB5\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x57"],
        ["\x9C\x5A\xF2\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x87"],

        ["\x87\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x58"],
        ["\x9C\x5A\xF2\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x87"],

        ["\xB5\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5A"],
        ["\x9C\x5A\xF2\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x88"],

        ["\xB5\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5B"],
        ["\x9C\x5A\xF2\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x89"],

        ["\x87\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5C"],
        ["\x9C\x5A\xF2\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\x95"],

        ["\xB5\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5D"],
        ["\x9C\x5A\xF2\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8A"],

        ["\xB5\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5E"],
        ["\x9C\x5A\xF2\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8C"],

        ["\xB5\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x5F"],
        ["\x9C\x5A\xF2\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8D"],

        ["\xB5\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x60"],
        ["\x9C\x5A\xF2\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8E"],

        ["\xB5\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x61"],
        ["\x9C\x5A\xF2\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x8F"],

        ["\xB5\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x62"],
        ["\x9C\x5A\xF2\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x90"],

        ["\xB5\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x63"],
        ["\x9C\x5A\xF2\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x91"],

        ["\xB5\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x65"],
        ["\x9C\x5A\xF2\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x92"],

        ["\xB5\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x66"],
        ["\x9C\x5A\xF2\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x93"],

        ["\x87\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x67"],
        ["\x9C\x5A\xF2\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xAE"],

        ["\xB5\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x68"],
        ["\x9C\x5A\xF2\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x94"],

        ["\xB5\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x69"],
        ["\x9C\x5A\xF2\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x95"],

        ["\x87\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6A"],
        ["\x9C\x5A\xF2\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xBF"],

        ["\xB5\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6B"],
        ["\x9C\x5A\xF2\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x96"],

        ["\xB5\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6C"],
        ["\x9C\x5A\xF2\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x97"],

        ["\x87\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6D"],
        ["\x9C\x5A\xF2\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xB8"],

        ["\xB5\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6E"],
        ["\x9C\x5A\xF2\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x98"],

        ["\x87\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x6F"],
        ["\x9C\x5A\xF2\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xCE"],

        ["\xB5\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x70"],
        ["\x9C\x5A\xF2\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x99"],

        ["\x87\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x71"],
        ["\x9C\x5A\xF2\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xCB"],

        ["\xB5\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x72"],
        ["\x9C\x5A\xF2\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9A"],

        ["\x87\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x73"],
        ["\x9C\x5A\xF2\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xCC"],

        ["\xB5\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x74"],
        ["\x9C\x5A\xF2\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9D"],

        ["\xB5\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x75"],
        ["\x9C\x5A\xF2\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9E"],

        ["\xB5\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x76"],
        ["\x9C\x5A\xF2\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\x9F"],

        ["\xB5\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x77"],
        ["\x9C\x5A\xF2\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA2"],

        ["\xB5\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x78"],
        ["\x9C\x5A\xF2\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],

        ["\xB5\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x79"],
        ["\x9C\x5A\xF2\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],

        ["\xB5\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7A"],
        ["\x9C\x5A\xF2\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA5"],

        ["\xB5\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7B"],
        ["\x9C\x5A\xF2\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],

        ["\x87\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7C"],
        ["\x9C\x5A\xF2\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xDF"],

        ["\x87\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7D"],
        ["\x9C\x5A\xF2\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xDE"],

        ["\xB5\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x7E"],
        ["\x9C\x5A\xF2\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],

        ["\xB5\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x80"],
        ["\x9C\x5A\xF2\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA8"],

        ["\x87\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x81"],
        ["\x9C\x5A\xF2\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xFE"],

        ["\x87\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x82"],
        ["\x9C\x5A\xF2\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x87\xED"],

        ["\xB5\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x83"],
        ["\x9C\x5A\xF2\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xA9"],

        ["\xB5\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x84"],
        ["\x9C\x5A\xF2\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAA"],

        ["\xB5\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x85"],
        ["\x9C\x5A\xF2\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAC"],

        ["\xB5\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x86"],
        ["\x9C\x5A\xF2\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],

        ["\xB5\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x87"],
        ["\x9C\x5A\xF2\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAE"],

        ["\x88\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x88"],
        ["\x9C\x5A\xF2\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x44"],

        ["\xB5\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x89"],
        ["\x9C\x5A\xF2\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xAF"],

        ["\xB5\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8A"],
        ["\x9C\x5A\xF2\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],

        ["\xB5\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8B"],
        ["\x9C\x5A\xF2\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],

        ["\xB5\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8C"],
        ["\x9C\x5A\xF2\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],

        ["\xB5\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8D"],
        ["\x9C\x5A\xF2\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],

        ["\xB5\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8E"],
        ["\x9C\x5A\xF2\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],

        ["\xB5\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x8F"],
        ["\x9C\x5A\xF2\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xBF"],

        ["\x88\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x90"],
        ["\x9C\x5A\xF2\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x54"],

        ["\xB5\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x91"],
        ["\x9C\x5A\xF2\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB2"],

        ["\x88\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x92"],
        ["\x9C\x5A\xF2\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x53"],

        ["\xB5\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x93"],
        ["\x9C\x5A\xF2\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB3"],

        ["\x88\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x94"],
        ["\x9C\x5A\xF2\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x55"],

        ["\xB5\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x95"],
        ["\x9C\x5A\xF2\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB4"],

        ["\x88\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x96"],
        ["\x9C\x5A\xF2\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x83"],

        ["\xB5\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x97"],
        ["\x9C\x5A\xF2\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB5"],

        ["\xB5\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x98"],
        ["\x9C\x5A\xF2\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB6"],

        ["\xB5\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x99"],
        ["\x9C\x5A\xF2\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB7"],

        ["\xB5\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9A"],
        ["\x9C\x5A\xF2\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB8"],

        ["\x88\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9B"],
        ["\x9C\x5A\xF2\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x8D"],

        ["\x88\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9C"],
        ["\x9C\x5A\xF2\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x88\x8E"],

        ["\xB5\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9D"],
        ["\x9C\x5A\xF2\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xB9"],

        ["\xB5\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9E"],
        ["\x9C\x5A\xF2\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],

        ["\xB5\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\x9F"],
        ["\x9C\x5A\xF2\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCB"],

        ["\xB5\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA0"],
        ["\x9C\x5A\xF2\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],

        ["\xB5\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA1"],
        ["\x9C\x5A\xF2\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCD"],

        ["\xB5\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA2"],
        ["\x9C\x5A\xF2\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],

        ["\xB5\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA3"],
        ["\x9C\x5A\xF2\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],

        ["\xB5\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA4"],
        ["\x9C\x5A\xF2\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],

        ["\xB5\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA5"],
        ["\x9C\x5A\xF2\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDB"],

        ["\xB5\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA6"],
        ["\x9C\x5A\xF2\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],

        ["\xB5\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA7"],
        ["\x9C\x5A\xF2\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDD"],

        ["\xB5\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA8"],
        ["\x9C\x5A\xF2\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDE"],

        ["\xB5\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xA9"],
        ["\x9C\x5A\xF2\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],

        ["\xB5\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAA"],
        ["\x9C\x5A\xF2\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],

        ["\x8A\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAB"],
        ["\x9C\x5A\xF2\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x89"],

        ["\x82\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAC"],
        ["\x9C\x5A\xF2\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\x47"],

        ["\x8A\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAD"],
        ["\x9C\x5A\xF2\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x8F"],

        ["\xB5\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAE"],
        ["\x9C\x5A\xF2\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],

        ["\xB5\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xAF"],
        ["\x9C\x5A\xF2\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],

        ["\xB5\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB0"],
        ["\x9C\x5A\xF2\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xED"],

        ["\xB5\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB1"],
        ["\x9C\x5A\xF2\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],

        ["\xB5\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB2"],
        ["\x9C\x5A\xF2\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xEF"],

        ["\xB5\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB3"],
        ["\x9C\x5A\xF2\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],

        ["\xB5\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB4"],
        ["\x9C\x5A\xF2\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],

        ["\xB5\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB5"],
        ["\x9C\x5A\xF2\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFC"],

        ["\xB5\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB6"],
        ["\x9C\x5A\xF2\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFD"],

        ["\xB5\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB7"],
        ["\x9C\x5A\xF2\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB5\xFE"],

        ["\x8A\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB8"],
        ["\x9C\x5A\xF2\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xDA"],

        ["\xB6\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xB9"],
        ["\x9C\x5A\xF2\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x41"],

        ["\xB6\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBA"],
        ["\x9C\x5A\xF2\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x42"],

        ["\xB6\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBB"],
        ["\x9C\x5A\xF2\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x43"],

        ["\x8A\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBC"],
        ["\x9C\x5A\xF2\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xDF"],

        ["\xB6\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBD"],
        ["\x9C\x5A\xF2\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x44"],

        ["\x8A\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBE"],
        ["\x9C\x5A\xF2\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xDD"],

        ["\x8A\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xBF"],
        ["\x9C\x5A\xF2\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xEE"],

        ["\x8A\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC0"],
        ["\x9C\x5A\xF2\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xEA"],

        ["\x8A\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC1"],
        ["\x9C\x5A\xF2\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\xED"],

        ["\xB6\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC2"],
        ["\x9C\x5A\xF2\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x45"],

        ["\xB6\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC3"],
        ["\x9C\x5A\xF2\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x46"],

        ["\xB6\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC4"],
        ["\x9C\x5A\xF2\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x47"],

        ["\x8C\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC5"],
        ["\x9C\x5A\xF2\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x44"],

        ["\xB6\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC6"],
        ["\x9C\x5A\xF2\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x48"],

        ["\xB6\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC7"],
        ["\x9C\x5A\xF2\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x49"],

        ["\xB6\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC8"],
        ["\x9C\x5A\xF2\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x51"],

        ["\xB6\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xC9"],
        ["\x9C\x5A\xF2\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x52"],

        ["\x84\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCA"],
        ["\x9C\x5A\xF2\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xAA"],

        ["\xB6\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCC"],
        ["\x9C\x5A\xF2\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x53"],

        ["\xB6\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCD"],
        ["\x9C\x5A\xF2\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x54"],

        ["\xB6\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCE"],
        ["\x9C\x5A\xF2\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x55"],

        ["\x8C\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xCF"],
        ["\x9C\x5A\xF2\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x93"],

        ["\x8C\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD0"],
        ["\x9C\x5A\xF2\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x8F"],

        ["\xB6\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD1"],
        ["\x9C\x5A\xF2\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x56"],

        ["\xB6\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD2"],
        ["\x9C\x5A\xF2\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x58"],

        ["\xB6\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD3"],
        ["\x9C\x5A\xF2\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x81"],

        ["\xB6\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD4"],
        ["\x9C\x5A\xF2\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x82"],

        ["\xB6\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD5"],
        ["\x9C\x5A\xF2\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x83"],

        ["\xB6\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD7"],
        ["\x9C\x5A\xF2\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x84"],

        ["\xB6\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD8"],
        ["\x9C\x5A\xF2\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x85"],

        ["\x8C\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xD9"],
        ["\x9C\x5A\xF2\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x9E"],

        ["\x8C\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDA"],
        ["\x9C\x5A\xF2\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\x9F"],

        ["\xB6\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDB"],
        ["\x9C\x5A\xF2\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x86"],

        ["\x8C\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDC"],
        ["\x9C\x5A\xF2\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xA2"],

        ["\xB6\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDD"],
        ["\x9C\x5A\xF2\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x87"],

        ["\xB6\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDE"],
        ["\x9C\x5A\xF2\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x88"],

        ["\xB6\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xDF"],
        ["\x9C\x5A\xF2\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x89"],

        ["\xB6\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE0"],
        ["\x9C\x5A\xF2\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8A"],

        ["\xB6\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE1"],
        ["\x9C\x5A\xF2\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8C"],

        ["\x8C\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE2"],
        ["\x9C\x5A\xF2\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xBF"],

        ["\xB6\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE3"],
        ["\x9C\x5A\xF2\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8D"],

        ["\xB6\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE4"],
        ["\x9C\x5A\xF2\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8E"],

        ["\x8C\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE5"],
        ["\x9C\x5A\xF2\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xCB"],

        ["\x8C\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE6"],
        ["\x9C\x5A\xF2\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xB9"],

        ["\xB6\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE8"],
        ["\x9C\x5A\xF2\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x8F"],

        ["\x8C\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xE9"],
        ["\x9C\x5A\xF2\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xB8"],

        ["\x8C\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEA"],
        ["\x9C\x5A\xF2\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xCA"],

        ["\xB6\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEB"],
        ["\x9C\x5A\xF2\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x90"],

        ["\x8C\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEC"],
        ["\x9C\x5A\xF2\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xDC"],

        ["\xB6\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xED"],
        ["\x9C\x5A\xF2\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x91"],

        ["\x8C\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEE"],
        ["\x9C\x5A\xF2\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xDD"],

        ["\xB6\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xEF"],
        ["\x9C\x5A\xF2\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x92"],

        ["\xB6\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF0"],
        ["\x9C\x5A\xF2\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x93"],

        ["\xB6\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF1"],
        ["\x9C\x5A\xF2\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x94"],

        ["\xB6\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF2"],
        ["\x9C\x5A\xF2\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x95"],

        ["\x8C\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF3"],
        ["\x9C\x5A\xF2\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8C\xFD"],

        ["\xB6\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF4"],
        ["\x9C\x5A\xF2\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x96"],

        ["\x8D\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF5"],
        ["\x9C\x5A\xF2\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x45"],

        ["\x8D\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF6"],
        ["\x9C\x5A\xF2\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x46"],

        ["\xB6\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF7"],
        ["\x9C\x5A\xF2\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x97"],

        ["\xB6\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF8"],
        ["\x9C\x5A\xF2\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x98"],

        ["\xB6\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xF9"],
        ["\x9C\x5A\xF2\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x99"],

        ["\xB6\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xFA"],
        ["\x9C\x5A\xF2\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9A"],

        ["\xB6\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xFB"],
        ["\x9C\x5A\xF2\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9D"],

        ["\xB6\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF2\xFC"],
        ["\x9C\x5A\xF2\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9E"],

        ["\xB6\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x40"],
        ["\x9C\x5A\xF3\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\x9F"],

        ["\x8D\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x42"],
        ["\x9C\x5A\xF3\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x53"],

        ["\xB6\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x43"],
        ["\x9C\x5A\xF3\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],

        ["\x8F\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x44"],
        ["\x9C\x5A\xF3\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x87"],

        ["\xB6\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x45"],
        ["\x9C\x5A\xF3\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA3"],

        ["\xB6\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x46"],
        ["\x9C\x5A\xF3\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],

        ["\xB6\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x47"],
        ["\x9C\x5A\xF3\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],

        ["\xB6\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x48"],
        ["\x9C\x5A\xF3\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA6"],

        ["\xB6\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x49"],
        ["\x9C\x5A\xF3\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA7"],

        ["\xB6\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4A"],
        ["\x9C\x5A\xF3\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],

        ["\x8A\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4B"],
        ["\x9C\x5A\xF3\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x8C"],

        ["\xB6\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4C"],
        ["\x9C\x5A\xF3\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],

        ["\xB6\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4D"],
        ["\x9C\x5A\xF3\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAA"],

        ["\xB6\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4E"],
        ["\x9C\x5A\xF3\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],

        ["\x8D\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x4F"],
        ["\x9C\x5A\xF3\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x89"],

        ["\x8D\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x50"],
        ["\x9C\x5A\xF3\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x8E"],

        ["\xB6\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x51"],
        ["\x9C\x5A\xF3\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],

        ["\xB6\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x52"],
        ["\x9C\x5A\xF3\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],

        ["\xB6\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x53"],
        ["\x9C\x5A\xF3\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xAF"],

        ["\xB6\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x54"],
        ["\x9C\x5A\xF3\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBA"],

        ["\xB6\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x55"],
        ["\x9C\x5A\xF3\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],

        ["\x8D\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x56"],
        ["\x9C\x5A\xF3\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x95"],

        ["\xB6\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x57"],
        ["\x9C\x5A\xF3\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],

        ["\xB6\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x58"],
        ["\x9C\x5A\xF3\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],

        ["\xB6\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x59"],
        ["\x9C\x5A\xF3\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],

        ["\xB6\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5A"],
        ["\x9C\x5A\xF3\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xBF"],

        ["\xB6\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5B"],
        ["\x9C\x5A\xF3\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],

        ["\xB6\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5C"],
        ["\x9C\x5A\xF3\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],

        ["\xB6\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5D"],
        ["\x9C\x5A\xF3\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],

        ["\x8A\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5E"],
        ["\x9C\x5A\xF3\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8A\x8D"],

        ["\xB6\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x5F"],
        ["\x9C\x5A\xF3\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB5"],

        ["\xB6\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x60"],
        ["\x9C\x5A\xF3\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB6"],

        ["\xB6\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x61"],
        ["\x9C\x5A\xF3\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB7"],

        ["\xB6\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x62"],
        ["\x9C\x5A\xF3\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB8"],

        ["\x8D\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x63"],
        ["\x9C\x5A\xF3\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xA8"],

        ["\xB6\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x64"],
        ["\x9C\x5A\xF3\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xB9"],

        ["\x8D\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x65"],
        ["\x9C\x5A\xF3\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xAA"],

        ["\xB6\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x66"],
        ["\x9C\x5A\xF3\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCA"],

        ["\xB6\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x67"],
        ["\x9C\x5A\xF3\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCB"],

        ["\xB6\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x68"],
        ["\x9C\x5A\xF3\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],

        ["\xB6\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x69"],
        ["\x9C\x5A\xF3\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCD"],

        ["\xB6\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6A"],
        ["\x9C\x5A\xF3\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCE"],

        ["\x8D\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6B"],
        ["\x9C\x5A\xF3\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xAE"],

        ["\xB6\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6C"],
        ["\x9C\x5A\xF3\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],

        ["\xB6\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6D"],
        ["\x9C\x5A\xF3\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],

        ["\xB6\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x6E"],
        ["\x9C\x5A\xF3\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDB"],

        ["\xB6\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x70"],
        ["\x9C\x5A\xF3\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDC"],

        ["\xB6\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x71"],
        ["\x9C\x5A\xF3\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDD"],

        ["\xB6\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x72"],
        ["\x9C\x5A\xF3\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],

        ["\xB6\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x73"],
        ["\x9C\x5A\xF3\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xDF"],

        ["\x8D\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x74"],
        ["\x9C\x5A\xF3\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xB3"],

        ["\xB6\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x75"],
        ["\x9C\x5A\xF3\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEA"],

        ["\xB6\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x76"],
        ["\x9C\x5A\xF3\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],

        ["\xB6\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x77"],
        ["\x9C\x5A\xF3\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],

        ["\xB6\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x78"],
        ["\x9C\x5A\xF3\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],

        ["\x8D\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x79"],
        ["\x9C\x5A\xF3\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xCA"],

        ["\xB6\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7A"],
        ["\x9C\x5A\xF3\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],

        ["\xB6\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7B"],
        ["\x9C\x5A\xF3\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xEF"],

        ["\x8D\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7C"],
        ["\x9C\x5A\xF3\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xCC"],

        ["\xB6\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7D"],
        ["\x9C\x5A\xF3\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],

        ["\xB6\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x7E"],
        ["\x9C\x5A\xF3\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xFB"],

        ["\xB6\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x80"],
        ["\x9C\x5A\xF3\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xFC"],

        ["\xB6\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x81"],
        ["\x9C\x5A\xF3\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],

        ["\xB6\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x82"],
        ["\x9C\x5A\xF3\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],

        ["\xB7\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x83"],
        ["\x9C\x5A\xF3\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x41"],

        ["\xB7\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x84"],
        ["\x9C\x5A\xF3\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x42"],

        ["\xB7\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x85"],
        ["\x9C\x5A\xF3\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x43"],

        ["\x8D\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x86"],
        ["\x9C\x5A\xF3\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\xEF"],

        ["\xB7\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x87"],
        ["\x9C\x5A\xF3\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x44"],

        ["\xB7\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x88"],
        ["\x9C\x5A\xF3\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x45"],

        ["\xB7\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x89"],
        ["\x9C\x5A\xF3\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x46"],

        ["\xB7\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8A"],
        ["\x9C\x5A\xF3\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x47"],

        ["\xB7\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8B"],
        ["\x9C\x5A\xF3\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x48"],

        ["\xB7\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8C"],
        ["\x9C\x5A\xF3\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x49"],

        ["\x8E\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8D"],
        ["\x9C\x5A\xF3\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x51"],

        ["\x8E\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8E"],
        ["\x9C\x5A\xF3\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x53"],

        ["\xB7\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x8F"],
        ["\x9C\x5A\xF3\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x51"],

        ["\xB7\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x90"],
        ["\x9C\x5A\xF3\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x52"],

        ["\xB7\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x91"],
        ["\x9C\x5A\xF3\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x53"],

        ["\x8E\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x92"],
        ["\x9C\x5A\xF3\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x83"],

        ["\x8E\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x93"],
        ["\x9C\x5A\xF3\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x88"],

        ["\xB7\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x94"],
        ["\x9C\x5A\xF3\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x54"],

        ["\x8E\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x95"],
        ["\x9C\x5A\xF3\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x89"],

        ["\x8E\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x96"],
        ["\x9C\x5A\xF3\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x8C"],

        ["\x8E\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x97"],
        ["\x9C\x5A\xF3\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\x97"],

        ["\xB7\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x98"],
        ["\x9C\x5A\xF3\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x55"],

        ["\x8E\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x99"],
        ["\x9C\x5A\xF3\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xA2"],

        ["\x8E\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9A"],
        ["\x9C\x5A\xF3\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xA3"],

        ["\xB7\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9B"],
        ["\x9C\x5A\xF3\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x56"],

        ["\xB7\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9C"],
        ["\x9C\x5A\xF3\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x58"],

        ["\xB7\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9D"],
        ["\x9C\x5A\xF3\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x81"],

        ["\x8E\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\x9F"],
        ["\x9C\x5A\xF3\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xBD"],

        ["\xB7\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA0"],
        ["\x9C\x5A\xF3\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x82"],

        ["\xB7\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA1"],
        ["\x9C\x5A\xF3\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x83"],

        ["\xB7\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA2"],
        ["\x9C\x5A\xF3\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x84"],

        ["\x8E\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA3"],
        ["\x9C\x5A\xF3\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xCB"],

        ["\x8E\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA4"],
        ["\x9C\x5A\xF3\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xCC"],

        ["\xB7\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA5"],
        ["\x9C\x5A\xF3\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x85"],

        ["\xB7\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA6"],
        ["\x9C\x5A\xF3\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x86"],

        ["\xB7\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA7"],
        ["\x9C\x5A\xF3\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x87"],

        ["\xB7\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA8"],
        ["\x9C\x5A\xF3\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x88"],

        ["\xB7\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xA9"],
        ["\x9C\x5A\xF3\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x89"],

        ["\x8E\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAA"],
        ["\x9C\x5A\xF3\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xDD"],

        ["\xB7\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAC"],
        ["\x9C\x5A\xF3\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x8A"],

        ["\xB7\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAD"],
        ["\x9C\x5A\xF3\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x8C"],

        ["\x8E\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAE"],
        ["\x9C\x5A\xF3\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xFE"],

        ["\x8F\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xAF"],
        ["\x9C\x5A\xF3\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x43"],

        ["\xB7\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB0"],
        ["\x9C\x5A\xF3\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x8D"],

        ["\xB7\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB2"],
        ["\x9C\x5A\xF3\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x8E"],

        ["\xB7\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB3"],
        ["\x9C\x5A\xF3\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x8F"],

        ["\xB7\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB4"],
        ["\x9C\x5A\xF3\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x90"],

        ["\xB7\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB5"],
        ["\x9C\x5A\xF3\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x91"],

        ["\x8F\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB6"],
        ["\x9C\x5A\xF3\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x89"],

        ["\xB7\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB7"],
        ["\x9C\x5A\xF3\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x92"],

        ["\xB7\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB8"],
        ["\x9C\x5A\xF3\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x93"],

        ["\xB7\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xB9"],
        ["\x9C\x5A\xF3\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x94"],

        ["\xB7\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBA"],
        ["\x9C\x5A\xF3\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x95"],

        ["\xB7\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBB"],
        ["\x9C\x5A\xF3\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x96"],

        ["\x8F\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBC"],
        ["\x9C\x5A\xF3\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x94"],

        ["\xB7\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBD"],
        ["\x9C\x5A\xF3\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x97"],

        ["\xB7\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBE"],
        ["\x9C\x5A\xF3\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x98"],

        ["\x8F\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xBF"],
        ["\x9C\x5A\xF3\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\x98"],

        ["\xB7\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC0"],
        ["\x9C\x5A\xF3\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x99"],

        ["\xB7\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC1"],
        ["\x9C\x5A\xF3\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x9A"],

        ["\xB7\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC2"],
        ["\x9C\x5A\xF3\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x9D"],

        ["\xB7\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC3"],
        ["\x9C\x5A\xF3\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x9E"],

        ["\x8F\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC4"],
        ["\x9C\x5A\xF3\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xAD"],

        ["\xB7\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC5"],
        ["\x9C\x5A\xF3\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\x9F"],

        ["\xB7\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC6"],
        ["\x9C\x5A\xF3\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA2"],

        ["\xB7\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC7"],
        ["\x9C\x5A\xF3\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],

        ["\xB7\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC8"],
        ["\x9C\x5A\xF3\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA4"],

        ["\xB7\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xC9"],
        ["\x9C\x5A\xF3\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA5"],

        ["\xB7\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCA"],
        ["\x9C\x5A\xF3\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],

        ["\xB7\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCB"],
        ["\x9C\x5A\xF3\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA7"],

        ["\xB7\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCC"],
        ["\x9C\x5A\xF3\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],

        ["\xB7\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCD"],
        ["\x9C\x5A\xF3\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xA9"],

        ["\xB7\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCE"],
        ["\x9C\x5A\xF3\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAA"],

        ["\x8F\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xCF"],
        ["\x9C\x5A\xF3\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xBB"],

        ["\xB7\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD0"],
        ["\x9C\x5A\xF3\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAC"],

        ["\xB7\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD1"],
        ["\x9C\x5A\xF3\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAD"],

        ["\x8F\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD2"],
        ["\x9C\x5A\xF3\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xB2"],

        ["\xB7\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD3"],
        ["\x9C\x5A\xF3\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],

        ["\xB7\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD4"],
        ["\x9C\x5A\xF3\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],

        ["\xB7\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD5"],
        ["\x9C\x5A\xF3\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],

        ["\xB7\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD6"],
        ["\x9C\x5A\xF3\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBB"],

        ["\xB7\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD7"],
        ["\x9C\x5A\xF3\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBC"],

        ["\xB7\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD8"],
        ["\x9C\x5A\xF3\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBD"],

        ["\xB7\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xD9"],
        ["\x9C\x5A\xF3\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBE"],

        ["\xB7\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDA"],
        ["\x9C\x5A\xF3\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xBF"],

        ["\x8F\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDB"],
        ["\x9C\x5A\xF3\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xCF"],

        ["\xB7\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDC"],
        ["\x9C\x5A\xF3\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],

        ["\xB7\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDE"],
        ["\x9C\x5A\xF3\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],

        ["\xB7\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xDF"],
        ["\x9C\x5A\xF3\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],

        ["\x84\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE0"],
        ["\x9C\x5A\xF3\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x84\xEF"],

        ["\xB7\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE1"],
        ["\x9C\x5A\xF3\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB5"],

        ["\xB7\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE2"],
        ["\x9C\x5A\xF3\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],

        ["\xB7\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE3"],
        ["\x9C\x5A\xF3\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],

        ["\xB7\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE4"],
        ["\x9C\x5A\xF3\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],

        ["\xB7\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE5"],
        ["\x9C\x5A\xF3\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xB9"],

        ["\xB7\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE6"],
        ["\x9C\x5A\xF3\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCA"],

        ["\xB7\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE7"],
        ["\x9C\x5A\xF3\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],

        ["\xB7\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE8"],
        ["\x9C\x5A\xF3\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCC"],

        ["\xB7\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xE9"],
        ["\x9C\x5A\xF3\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCD"],

        ["\x8F\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEA"],
        ["\x9C\x5A\xF3\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xFB"],

        ["\xB7\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEB"],
        ["\x9C\x5A\xF3\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],

        ["\xB7\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEC"],
        ["\x9C\x5A\xF3\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],

        ["\xB7\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xED"],
        ["\x9C\x5A\xF3\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xDA"],

        ["\x90\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEE"],
        ["\x9C\x5A\xF3\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x45"],

        ["\xB7\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xEF"],
        ["\x9C\x5A\xF3\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],

        ["\x90\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF0"],
        ["\x9C\x5A\xF3\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x43"],

        ["\xB7\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF1"],
        ["\x9C\x5A\xF3\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],

        ["\xB7\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF2"],
        ["\x9C\x5A\xF3\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xDD"],

        ["\xB7\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF3"],
        ["\x9C\x5A\xF3\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],

        ["\xB7\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF4"],
        ["\x9C\x5A\xF3\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],

        ["\xB7\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF5"],
        ["\x9C\x5A\xF3\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],

        ["\xB7\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF6"],
        ["\x9C\x5A\xF3\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],

        ["\xB7\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF8"],
        ["\x9C\x5A\xF3\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],

        ["\xB7\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xF9"],
        ["\x9C\x5A\xF3\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xED"],

        ["\xB7\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xFA"],
        ["\x9C\x5A\xF3\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],

        ["\x90\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF3\xFC"],
        ["\x9C\x5A\xF3\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x53"],

        ["\x90\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x40"],
        ["\x9C\x5A\xF4\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x81"],

        ["\xB7\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x41"],
        ["\x9C\x5A\xF4\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],

        ["\xB7\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x42"],
        ["\x9C\x5A\xF4\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xFA"],

        ["\x90\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x43"],
        ["\x9C\x5A\xF4\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x51"],

        ["\xB7\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x44"],
        ["\x9C\x5A\xF4\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],

        ["\xB7\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x45"],
        ["\x9C\x5A\xF4\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xFC"],

        ["\xB7\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x46"],
        ["\x9C\x5A\xF4\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],

        ["\xB7\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x47"],
        ["\x9C\x5A\xF4\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],

        ["\xB8\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x48"],
        ["\x9C\x5A\xF4\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x41"],

        ["\xB8\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x49"],
        ["\x9C\x5A\xF4\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x42"],

        ["\x90\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4A"],
        ["\x9C\x5A\xF4\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x96"],

        ["\xB8\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4B"],
        ["\x9C\x5A\xF4\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x43"],

        ["\xB8\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4C"],
        ["\x9C\x5A\xF4\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x44"],

        ["\xB8\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4D"],
        ["\x9C\x5A\xF4\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x45"],

        ["\xB8\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4E"],
        ["\x9C\x5A\xF4\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x46"],

        ["\xB8\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x4F"],
        ["\x9C\x5A\xF4\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x47"],

        ["\xB8\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x50"],
        ["\x9C\x5A\xF4\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x48"],

        ["\xB8\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x51"],
        ["\x9C\x5A\xF4\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x49"],

        ["\xB8\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x52"],
        ["\x9C\x5A\xF4\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x51"],

        ["\xB8\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x53"],
        ["\x9C\x5A\xF4\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x52"],

        ["\x90\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x54"],
        ["\x9C\x5A\xF4\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x9F"],

        ["\x89\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x56"],
        ["\x9C\x5A\xF4\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x89\xFA"],

        ["\xB8\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x57"],
        ["\x9C\x5A\xF4\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x53"],

        ["\x90\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x58"],
        ["\x9C\x5A\xF4\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\x9D"],

        ["\xB8\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x59"],
        ["\x9C\x5A\xF4\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x54"],

        ["\xB8\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5A"],
        ["\x9C\x5A\xF4\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x55"],

        ["\xB8\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5B"],
        ["\x9C\x5A\xF4\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x56"],

        ["\xB8\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5C"],
        ["\x9C\x5A\xF4\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x58"],

        ["\x90\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5D"],
        ["\x9C\x5A\xF4\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xA7"],

        ["\xB8\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5E"],
        ["\x9C\x5A\xF4\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x81"],

        ["\xB8\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x5F"],
        ["\x9C\x5A\xF4\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x82"],

        ["\xB8\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x61"],
        ["\x9C\x5A\xF4\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x83"],

        ["\xB8\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x62"],
        ["\x9C\x5A\xF4\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x84"],

        ["\xB8\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x63"],
        ["\x9C\x5A\xF4\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x85"],

        ["\xB8\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x64"],
        ["\x9C\x5A\xF4\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x86"],

        ["\xB8\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x65"],
        ["\x9C\x5A\xF4\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x87"],

        ["\x90\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x66"],
        ["\x9C\x5A\xF4\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xBB"],

        ["\xB8\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x67"],
        ["\x9C\x5A\xF4\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x88"],

        ["\xB8\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x68"],
        ["\x9C\x5A\xF4\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x89"],

        ["\xB8\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x69"],
        ["\x9C\x5A\xF4\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x8A"],

        ["\x90\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6A"],
        ["\x9C\x5A\xF4\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xBF"],

        ["\xB8\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6B"],
        ["\x9C\x5A\xF4\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x8C"],

        ["\xB8\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6C"],
        ["\x9C\x5A\xF4\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x8D"],

        ["\xB8\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6D"],
        ["\x9C\x5A\xF4\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x8E"],

        ["\x90\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6E"],
        ["\x9C\x5A\xF4\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xCA"],

        ["\xB8\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x6F"],
        ["\x9C\x5A\xF4\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x8F"],

        ["\xB8\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x70"],
        ["\x9C\x5A\xF4\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x90"],

        ["\xB8\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x71"],
        ["\x9C\x5A\xF4\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x91"],

        ["\xB8\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x73"],
        ["\x9C\x5A\xF4\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x92"],

        ["\xB8\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x74"],
        ["\x9C\x5A\xF4\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x93"],

        ["\xB8\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x75"],
        ["\x9C\x5A\xF4\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x94"],

        ["\xB8\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x76"],
        ["\x9C\x5A\xF4\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x95"],

        ["\x90\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x77"],
        ["\x9C\x5A\xF4\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xCB"],

        ["\xB8\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x78"],
        ["\x9C\x5A\xF4\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x96"],

        ["\xB8\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7A"],
        ["\x9C\x5A\xF4\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x97"],

        ["\xB8\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7B"],
        ["\x9C\x5A\xF4\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x98"],

        ["\xB8\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7C"],
        ["\x9C\x5A\xF4\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x99"],

        ["\x90\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7D"],
        ["\x9C\x5A\xF4\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xFA"],

        ["\x90\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x7E"],
        ["\x9C\x5A\xF4\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x90\xDE"],

        ["\xB8\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x80"],
        ["\x9C\x5A\xF4\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x9A"],

        ["\xB8\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x81"],
        ["\x9C\x5A\xF4\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x9D"],

        ["\xB8\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x82"],
        ["\x9C\x5A\xF4\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x9E"],

        ["\xB8\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x83"],
        ["\x9C\x5A\xF4\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\x9F"],

        ["\xB8\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x84"],
        ["\x9C\x5A\xF4\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],

        ["\xB8\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x85"],
        ["\x9C\x5A\xF4\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA3"],

        ["\x91\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x86"],
        ["\x9C\x5A\xF4\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x47"],

        ["\xB8\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x87"],
        ["\x9C\x5A\xF4\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],

        ["\xB8\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x88"],
        ["\x9C\x5A\xF4\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA5"],

        ["\xB8\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x89"],
        ["\x9C\x5A\xF4\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA6"],

        ["\xB8\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8A"],
        ["\x9C\x5A\xF4\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA7"],

        ["\x91\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8B"],
        ["\x9C\x5A\xF4\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x52"],

        ["\x91\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8C"],
        ["\x9C\x5A\xF4\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x49"],

        ["\xB8\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8D"],
        ["\x9C\x5A\xF4\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA8"],

        ["\xB8\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8E"],
        ["\x9C\x5A\xF4\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xA9"],

        ["\xB8\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x8F"],
        ["\x9C\x5A\xF4\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xAA"],

        ["\xB8\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x90"],
        ["\x9C\x5A\xF4\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],

        ["\xB8\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x91"],
        ["\x9C\x5A\xF4\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],

        ["\xB8\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x92"],
        ["\x9C\x5A\xF4\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],

        ["\x91\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x93"],
        ["\x9C\x5A\xF4\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x82"],

        ["\x91\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x94"],
        ["\x9C\x5A\xF4\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x81"],

        ["\xB8\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x95"],
        ["\x9C\x5A\xF4\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xAF"],

        ["\xB8\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x96"],
        ["\x9C\x5A\xF4\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xBA"],

        ["\xB8\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x97"],
        ["\x9C\x5A\xF4\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xBB"],

        ["\x91\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x98"],
        ["\x9C\x5A\xF4\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x85"],

        ["\x91\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x99"],
        ["\x9C\x5A\xF4\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x8C"],

        ["\x91\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9A"],
        ["\x9C\x5A\xF4\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\x8F"],

        ["\xB8\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9B"],
        ["\x9C\x5A\xF4\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],

        ["\xB8\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9C"],
        ["\x9C\x5A\xF4\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],

        ["\xB8\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9D"],
        ["\x9C\x5A\xF4\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xBE"],

        ["\xB8\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9E"],
        ["\x9C\x5A\xF4\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xBF"],

        ["\xB8\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\x9F"],
        ["\x9C\x5A\xF4\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB2"],

        ["\xB8\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA0"],
        ["\x9C\x5A\xF4\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],

        ["\xB8\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA1"],
        ["\x9C\x5A\xF4\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],

        ["\xB8\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA2"],
        ["\x9C\x5A\xF4\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB5"],

        ["\xB8\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA3"],
        ["\x9C\x5A\xF4\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB6"],

        ["\xB8\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA4"],
        ["\x9C\x5A\xF4\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB7"],

        ["\xB8\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA5"],
        ["\x9C\x5A\xF4\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB8"],

        ["\xA6\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA6"],
        ["\x9C\x5A\xF4\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\x58"],

        ["\xB8\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA7"],
        ["\x9C\x5A\xF4\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],

        ["\xB8\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA8"],
        ["\x9C\x5A\xF4\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],

        ["\x91\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xA9"],
        ["\x9C\x5A\xF4\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xA7"],

        ["\x8D\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAA"],
        ["\x9C\x5A\xF4\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8D\x9A"],

        ["\xA8\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAB"],
        ["\x9C\x5A\xF4\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xB4"],

        ["\xB8\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAC"],
        ["\x9C\x5A\xF4\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xCB"],

        ["\xB8\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAD"],
        ["\x9C\x5A\xF4\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],

        ["\xB8\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAE"],
        ["\x9C\x5A\xF4\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],

        ["\x91\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xAF"],
        ["\x9C\x5A\xF4\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xAC"],

        ["\xB8\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB0"],
        ["\x9C\x5A\xF4\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xCE"],

        ["\xB8\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB1"],
        ["\x9C\x5A\xF4\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xCF"],

        ["\xB8\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB2"],
        ["\x9C\x5A\xF4\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xDA"],

        ["\x91\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB4"],
        ["\x9C\x5A\xF4\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xBD"],

        ["\xB8\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB5"],
        ["\x9C\x5A\xF4\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xDB"],

        ["\xB8\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB6"],
        ["\x9C\x5A\xF4\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xDC"],

        ["\xB8\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB7"],
        ["\x9C\x5A\xF4\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xDD"],

        ["\x91\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB8"],
        ["\x9C\x5A\xF4\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xB9"],

        ["\xB8\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xB9"],
        ["\x9C\x5A\xF4\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xDE"],

        ["\x91\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBA"],
        ["\x9C\x5A\xF4\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xCC"],

        ["\xB8\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBB"],
        ["\x9C\x5A\xF4\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xDF"],

        ["\x91\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBC"],
        ["\x9C\x5A\xF4\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xDC"],

        ["\xB8\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBD"],
        ["\x9C\x5A\xF4\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xEA"],

        ["\xB8\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBE"],
        ["\x9C\x5A\xF4\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],

        ["\xB8\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xBF"],
        ["\x9C\x5A\xF4\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],

        ["\xB8\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC0"],
        ["\x9C\x5A\xF4\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xED"],

        ["\x91\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC1"],
        ["\x9C\x5A\xF4\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xFB"],

        ["\xB8\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC3"],
        ["\x9C\x5A\xF4\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xEE"],

        ["\x91\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC4"],
        ["\x9C\x5A\xF4\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x91\xFA"],

        ["\x92\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC5"],
        ["\x9C\x5A\xF4\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x42"],

        ["\xB8\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC6"],
        ["\x9C\x5A\xF4\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xEF"],

        ["\xB8\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC7"],
        ["\x9C\x5A\xF4\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xFA"],

        ["\x92\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC8"],
        ["\x9C\x5A\xF4\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x82"],

        ["\x92\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xC9"],
        ["\x9C\x5A\xF4\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x49"],

        ["\xB8\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCA"],
        ["\x9C\x5A\xF4\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],

        ["\xB8\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCB"],
        ["\x9C\x5A\xF4\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xFC"],

        ["\x92\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCC"],
        ["\x9C\x5A\xF4\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x55"],

        ["\xB8\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCD"],
        ["\x9C\x5A\xF4\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xFD"],

        ["\xB8\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCE"],
        ["\x9C\x5A\xF4\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],

        ["\x92\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xCF"],
        ["\x9C\x5A\xF4\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x52"],

        ["\xB9\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD0"],
        ["\x9C\x5A\xF4\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x41"],

        ["\xB9\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD1"],
        ["\x9C\x5A\xF4\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x42"],

        ["\xB9\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD2"],
        ["\x9C\x5A\xF4\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x43"],

        ["\x92\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD3"],
        ["\x9C\x5A\xF4\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x95"],

        ["\xB9\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD4"],
        ["\x9C\x5A\xF4\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x44"],

        ["\xB9\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD5"],
        ["\x9C\x5A\xF4\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x45"],

        ["\xB9\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD6"],
        ["\x9C\x5A\xF4\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x46"],

        ["\xB9\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD7"],
        ["\x9C\x5A\xF4\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x47"],

        ["\xB9\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD8"],
        ["\x9C\x5A\xF4\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x48"],

        ["\xB9\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xD9"],
        ["\x9C\x5A\xF4\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x49"],

        ["\xB9\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDA"],
        ["\x9C\x5A\xF4\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x51"],

        ["\xB9\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDB"],
        ["\x9C\x5A\xF4\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x52"],

        ["\xB9\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDC"],
        ["\x9C\x5A\xF4\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x53"],

        ["\xB9\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDD"],
        ["\x9C\x5A\xF4\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x54"],

        ["\xB9\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDE"],
        ["\x9C\x5A\xF4\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x55"],

        ["\xB9\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xDF"],
        ["\x9C\x5A\xF4\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x56"],

        ["\xB9\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE0"],
        ["\x9C\x5A\xF4\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x58"],

        ["\xB9\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE1"],
        ["\x9C\x5A\xF4\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x81"],

        ["\xB9\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE2"],
        ["\x9C\x5A\xF4\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x82"],

        ["\xB9\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE3"],
        ["\x9C\x5A\xF4\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x83"],

        ["\x92\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE4"],
        ["\x9C\x5A\xF4\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\x9E"],

        ["\x92\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE5"],
        ["\x9C\x5A\xF4\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xBB"],

        ["\xB9\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE7"],
        ["\x9C\x5A\xF4\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x84"],

        ["\x92\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE8"],
        ["\x9C\x5A\xF4\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xA4"],

        ["\x92\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xE9"],
        ["\x9C\x5A\xF4\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xA8"],

        ["\xB9\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xEA"],
        ["\x9C\x5A\xF4\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x85"],

        ["\x92\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xEB"],
        ["\x9C\x5A\xF4\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xB3"],

        ["\xB9\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xEC"],
        ["\x9C\x5A\xF4\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x86"],

        ["\xB9\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xED"],
        ["\x9C\x5A\xF4\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x87"],

        ["\xB9\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xEF"],
        ["\x9C\x5A\xF4\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x88"],

        ["\xB9\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF0"],
        ["\x9C\x5A\xF4\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x89"],

        ["\xB9\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF2"],
        ["\x9C\x5A\xF4\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x8A"],

        ["\xB9\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF3"],
        ["\x9C\x5A\xF4\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x8C"],

        ["\xB9\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF4"],
        ["\x9C\x5A\xF4\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x8D"],

        ["\xB9\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF5"],
        ["\x9C\x5A\xF4\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x8E"],

        ["\xB9\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF6"],
        ["\x9C\x5A\xF4\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x8F"],

        ["\x92\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF7"],
        ["\x9C\x5A\xF4\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xCA"],

        ["\x92\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF8"],
        ["\x9C\x5A\xF4\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xCC"],

        ["\xB9\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xF9"],
        ["\x9C\x5A\xF4\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x90"],

        ["\x92\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xFA"],
        ["\x9C\x5A\xF4\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xDB"],

        ["\x92\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xFB"],
        ["\x9C\x5A\xF4\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xB8"],

        ["\xB9\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF4\xFC"],
        ["\x9C\x5A\xF4\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x91"],

        ["\xB9\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x40"],
        ["\x9C\x5A\xF5\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x92"],

        ["\xB9\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x41"],
        ["\x9C\x5A\xF5\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x93"],

        ["\xB9\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x42"],
        ["\x9C\x5A\xF5\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x94"],

        ["\x92\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x44"],
        ["\x9C\x5A\xF5\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x92\xFE"],

        ["\xB9\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x45"],
        ["\x9C\x5A\xF5\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x95"],

        ["\xB9\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x46"],
        ["\x9C\x5A\xF5\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x96"],

        ["\xB9\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x47"],
        ["\x9C\x5A\xF5\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x97"],

        ["\xB9\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x48"],
        ["\x9C\x5A\xF5\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x98"],

        ["\x93\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x49"],
        ["\x9C\x5A\xF5\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x86"],

        ["\xB9\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4A"],
        ["\x9C\x5A\xF5\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x99"],

        ["\xB9\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4B"],
        ["\x9C\x5A\xF5\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x9A"],

        ["\xB9\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4C"],
        ["\x9C\x5A\xF5\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x9D"],

        ["\xB9\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4D"],
        ["\x9C\x5A\xF5\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x9E"],

        ["\xB9\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4E"],
        ["\x9C\x5A\xF5\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\x9F"],

        ["\xB9\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x4F"],
        ["\x9C\x5A\xF5\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA2"],

        ["\x93\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x50"],
        ["\x9C\x5A\xF5\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x87"],

        ["\xB9\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x51"],
        ["\x9C\x5A\xF5\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA3"],

        ["\xB9\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x52"],
        ["\x9C\x5A\xF5\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],

        ["\xB9\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x53"],
        ["\x9C\x5A\xF5\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],

        ["\xB9\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x54"],
        ["\x9C\x5A\xF5\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA6"],

        ["\xB9\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x55"],
        ["\x9C\x5A\xF5\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA7"],

        ["\xB9\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x56"],
        ["\x9C\x5A\xF5\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA8"],

        ["\xB9\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x57"],
        ["\x9C\x5A\xF5\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],

        ["\x93\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x58"],
        ["\x9C\x5A\xF5\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xA9"],

        ["\x93\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x59"],
        ["\x9C\x5A\xF5\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x94"],

        ["\x93\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5A"],
        ["\x9C\x5A\xF5\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xA5"],

        ["\xB9\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5B"],
        ["\x9C\x5A\xF5\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xAA"],

        ["\xB9\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5C"],
        ["\x9C\x5A\xF5\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xAC"],

        ["\xB9\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5D"],
        ["\x9C\x5A\xF5\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xAD"],

        ["\x93\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5E"],
        ["\x9C\x5A\xF5\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xB2"],

        ["\xB9\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x5F"],
        ["\x9C\x5A\xF5\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xAE"],

        ["\xB9\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x61"],
        ["\x9C\x5A\xF5\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xAF"],

        ["\xB9\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x62"],
        ["\x9C\x5A\xF5\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],

        ["\x93\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x63"],
        ["\x9C\x5A\xF5\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xCA"],

        ["\xB9\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x64"],
        ["\x9C\x5A\xF5\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xBB"],

        ["\xB9\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x65"],
        ["\x9C\x5A\xF5\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xBC"],

        ["\xB9\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x66"],
        ["\x9C\x5A\xF5\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],

        ["\xB9\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x67"],
        ["\x9C\x5A\xF5\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xBE"],

        ["\xB9\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x68"],
        ["\x9C\x5A\xF5\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xBF"],

        ["\xB9\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6A"],
        ["\x9C\x5A\xF5\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB2"],

        ["\xB9\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6B"],
        ["\x9C\x5A\xF5\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB3"],

        ["\xB9\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6C"],
        ["\x9C\x5A\xF5\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],

        ["\xB9\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6D"],
        ["\x9C\x5A\xF5\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],

        ["\xB9\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6E"],
        ["\x9C\x5A\xF5\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB6"],

        ["\x93\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x6F"],
        ["\x9C\x5A\xF5\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xEA"],

        ["\xB9\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x70"],
        ["\x9C\x5A\xF5\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB7"],

        ["\xB9\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x71"],
        ["\x9C\x5A\xF5\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB8"],

        ["\xB9\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x72"],
        ["\x9C\x5A\xF5\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xB9"],

        ["\xB9\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x73"],
        ["\x9C\x5A\xF5\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xCA"],

        ["\xB9\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x74"],
        ["\x9C\x5A\xF5\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xCB"],

        ["\xB9\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x75"],
        ["\x9C\x5A\xF5\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xCC"],

        ["\xB9\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x76"],
        ["\x9C\x5A\xF5\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],

        ["\x93\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x77"],
        ["\x9C\x5A\xF5\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xED"],

        ["\x93\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x78"],
        ["\x9C\x5A\xF5\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xEE"],

        ["\x98\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x79"],
        ["\x9C\x5A\xF5\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xB2"],

        ["\xB9\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7A"],
        ["\x9C\x5A\xF5\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],

        ["\xB9\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7B"],
        ["\x9C\x5A\xF5\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xCF"],

        ["\xB9\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7C"],
        ["\x9C\x5A\xF5\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],

        ["\x93\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7D"],
        ["\x9C\x5A\xF5\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\xFA"],

        ["\x83\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x7E"],
        ["\x9C\x5A\xF5\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x83\xCD"],

        ["\xB9\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x81"],
        ["\x9C\x5A\xF5\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xDB"],

        ["\xB9\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x82"],
        ["\x9C\x5A\xF5\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xDC"],

        ["\xB9\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x83"],
        ["\x9C\x5A\xF5\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],

        ["\xB9\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x84"],
        ["\x9C\x5A\xF5\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xDE"],

        ["\xB9\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x85"],
        ["\x9C\x5A\xF5\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xDF"],

        ["\xB9\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x86"],
        ["\x9C\x5A\xF5\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xEA"],

        ["\xB9\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x87"],
        ["\x9C\x5A\xF5\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],

        ["\x94\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x88"],
        ["\x9C\x5A\xF5\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x43"],

        ["\x94\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x89"],
        ["\x9C\x5A\xF5\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x41"],

        ["\xB9\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8A"],
        ["\x9C\x5A\xF5\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xEC"],

        ["\xB9\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8C"],
        ["\x9C\x5A\xF5\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xED"],

        ["\x94\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8D"],
        ["\x9C\x5A\xF5\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x53"],

        ["\xB9\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8E"],
        ["\x9C\x5A\xF5\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xEE"],

        ["\xB9\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x8F"],
        ["\x9C\x5A\xF5\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xEF"],

        ["\xB9\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x90"],
        ["\x9C\x5A\xF5\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],

        ["\x94\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x91"],
        ["\x9C\x5A\xF5\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x82"],

        ["\x94\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x92"],
        ["\x9C\x5A\xF5\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x55"],

        ["\xB9\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x93"],
        ["\x9C\x5A\xF5\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xFB"],

        ["\x8E\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x94"],
        ["\x9C\x5A\xF5\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8E\xDF"],

        ["\xB9\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x95"],
        ["\x9C\x5A\xF5\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xFC"],

        ["\xB9\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x96"],
        ["\x9C\x5A\xF5\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xFD"],

        ["\xB9\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x97"],
        ["\x9C\x5A\xF5\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xB9\xFE"],

        ["\xCA\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x98"],
        ["\x9C\x5A\xF5\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x41"],

        ["\x94\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x99"],
        ["\x9C\x5A\xF5\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x99"],

        ["\xCA\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9A"],
        ["\x9C\x5A\xF5\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x42"],

        ["\x94\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9B"],
        ["\x9C\x5A\xF5\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\x9D"],

        ["\xCA\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9C"],
        ["\x9C\x5A\xF5\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x43"],

        ["\xCA\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9D"],
        ["\x9C\x5A\xF5\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x44"],

        ["\xCA\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9E"],
        ["\x9C\x5A\xF5\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x45"],

        ["\xCA\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\x9F"],
        ["\x9C\x5A\xF5\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x46"],

        ["\xCA\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA0"],
        ["\x9C\x5A\xF5\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x47"],

        ["\xCA\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA1"],
        ["\x9C\x5A\xF5\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x48"],

        ["\xCA\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA2"],
        ["\x9C\x5A\xF5\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x49"],

        ["\xCA\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA3"],
        ["\x9C\x5A\xF5\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x51"],

        ["\xCA\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA4"],
        ["\x9C\x5A\xF5\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x52"],

        ["\xCA\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA5"],
        ["\x9C\x5A\xF5\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x53"],

        ["\xCA\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA6"],
        ["\x9C\x5A\xF5\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x54"],

        ["\xCA\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA7"],
        ["\x9C\x5A\xF5\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x55"],

        ["\xCA\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA8"],
        ["\x9C\x5A\xF5\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x56"],

        ["\xCA\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xA9"],
        ["\x9C\x5A\xF5\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x58"],

        ["\xCA\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAA"],
        ["\x9C\x5A\xF5\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x81"],

        ["\xCA\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAB"],
        ["\x9C\x5A\xF5\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x82"],

        ["\xCA\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAC"],
        ["\x9C\x5A\xF5\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x83"],

        ["\x9A\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAD"],
        ["\x9C\x5A\xF5\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xDC"],

        ["\xCA\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAE"],
        ["\x9C\x5A\xF5\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x84"],

        ["\xCA\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xAF"],
        ["\x9C\x5A\xF5\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x85"],

        ["\x94\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB0"],
        ["\x9C\x5A\xF5\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xB5"],

        ["\xCA\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB1"],
        ["\x9C\x5A\xF5\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x86"],

        ["\xCA\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB2"],
        ["\x9C\x5A\xF5\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x87"],

        ["\xCA\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB3"],
        ["\x9C\x5A\xF5\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x88"],

        ["\x94\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB4"],
        ["\x9C\x5A\xF5\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xB6"],

        ["\x94\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB5"],
        ["\x9C\x5A\xF5\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xB7"],

        ["\xCA\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB6"],
        ["\x9C\x5A\xF5\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x89"],

        ["\xCA\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB7"],
        ["\x9C\x5A\xF5\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x8A"],

        ["\x94\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB8"],
        ["\x9C\x5A\xF5\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xB9"],

        ["\x94\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xB9"],
        ["\x9C\x5A\xF5\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xCA"],

        ["\xCA\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBA"],
        ["\x9C\x5A\xF5\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x8C"],

        ["\xCA\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBC"],
        ["\x9C\x5A\xF5\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x8D"],

        ["\xCA\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBD"],
        ["\x9C\x5A\xF5\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x8E"],

        ["\x94\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBE"],
        ["\x9C\x5A\xF5\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xDB"],

        ["\xCA\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xBF"],
        ["\x9C\x5A\xF5\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x8F"],

        ["\xCA\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC0"],
        ["\x9C\x5A\xF5\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x90"],

        ["\xCA\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC1"],
        ["\x9C\x5A\xF5\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x91"],

        ["\xCA\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC2"],
        ["\x9C\x5A\xF5\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x92"],

        ["\xCA\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC3"],
        ["\x9C\x5A\xF5\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x93"],

        ["\xCA\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC4"],
        ["\x9C\x5A\xF5\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x94"],

        ["\xCA\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC5"],
        ["\x9C\x5A\xF5\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x95"],

        ["\x94\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC6"],
        ["\x9C\x5A\xF5\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xDF"],

        ["\xCA\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC7"],
        ["\x9C\x5A\xF5\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x96"],

        ["\xCA\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC8"],
        ["\x9C\x5A\xF5\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x97"],

        ["\xA2\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xC9"],
        ["\x9C\x5A\xF5\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xA9"],

        ["\x94\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCA"],
        ["\x9C\x5A\xF5\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xEF"],

        ["\xCA\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCB"],
        ["\x9C\x5A\xF5\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x98"],

        ["\x94\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCC"],
        ["\x9C\x5A\xF5\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x94\xFC"],

        ["\xCA\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCD"],
        ["\x9C\x5A\xF5\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x99"],

        ["\xCA\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCE"],
        ["\x9C\x5A\xF5\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x9A"],

        ["\x95\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xCF"],
        ["\x9C\x5A\xF5\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x44"],

        ["\xCA\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD0"],
        ["\x9C\x5A\xF5\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x9D"],

        ["\xCA\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD1"],
        ["\x9C\x5A\xF5\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x9E"],

        ["\xCA\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD2"],
        ["\x9C\x5A\xF5\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\x9F"],

        ["\xCA\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD3"],
        ["\x9C\x5A\xF5\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],

        ["\xCA\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD4"],
        ["\x9C\x5A\xF5\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA3"],

        ["\x95\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD6"],
        ["\x9C\x5A\xF5\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x47"],

        ["\x95\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD7"],
        ["\x9C\x5A\xF5\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x48"],

        ["\xCA\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD8"],
        ["\x9C\x5A\xF5\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA4"],

        ["\xCA\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xD9"],
        ["\x9C\x5A\xF5\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],

        ["\x95\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDA"],
        ["\x9C\x5A\xF5\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x58"],

        ["\x95\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDB"],
        ["\x9C\x5A\xF5\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x83"],

        ["\x95\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDC"],
        ["\x9C\x5A\xF5\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x82"],

        ["\xCA\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDD"],
        ["\x9C\x5A\xF5\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],

        ["\xCA\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDE"],
        ["\x9C\x5A\xF5\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA7"],

        ["\xCA\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xDF"],
        ["\x9C\x5A\xF5\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],

        ["\xCA\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE0"],
        ["\x9C\x5A\xF5\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xA9"],

        ["\x95\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE1"],
        ["\x9C\x5A\xF5\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x8C"],

        ["\xCA\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE2"],
        ["\x9C\x5A\xF5\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],

        ["\xCA\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE3"],
        ["\x9C\x5A\xF5\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xAC"],

        ["\x95\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE4"],
        ["\x9C\x5A\xF5\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x8E"],

        ["\x95\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE5"],
        ["\x9C\x5A\xF5\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x89"],

        ["\xCA\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE6"],
        ["\x9C\x5A\xF5\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xAD"],

        ["\xCA\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE7"],
        ["\x9C\x5A\xF5\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xAE"],

        ["\x95\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE8"],
        ["\x9C\x5A\xF5\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x95"],

        ["\xCA\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xE9"],
        ["\x9C\x5A\xF5\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xAF"],

        ["\x95\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEA"],
        ["\x9C\x5A\xF5\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\x9D"],

        ["\x95\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEB"],
        ["\x9C\x5A\xF5\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xA2"],

        ["\x95\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEC"],
        ["\x9C\x5A\xF5\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xAC"],

        ["\xCA\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xED"],
        ["\x9C\x5A\xF5\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xBA"],

        ["\x95\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEE"],
        ["\x9C\x5A\xF5\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xA9"],

        ["\xCA\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xEF"],
        ["\x9C\x5A\xF5\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xBB"],

        ["\xCA\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF0"],
        ["\x9C\x5A\xF5\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xBC"],

        ["\xCA\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF1"],
        ["\x9C\x5A\xF5\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xBD"],

        ["\xCA\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF2"],
        ["\x9C\x5A\xF5\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xBE"],

        ["\x95\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF3"],
        ["\x9C\x5A\xF5\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xB9"],

        ["\xCA\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF4"],
        ["\x9C\x5A\xF5\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],

        ["\x95\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF5"],
        ["\x9C\x5A\xF5\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xCD"],

        ["\xCA\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF6"],
        ["\x9C\x5A\xF5\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB2"],

        ["\xCA\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF7"],
        ["\x9C\x5A\xF5\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB3"],

        ["\xCA\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF8"],
        ["\x9C\x5A\xF5\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB4"],

        ["\xCA\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xF9"],
        ["\x9C\x5A\xF5\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],

        ["\xCA\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xFA"],
        ["\x9C\x5A\xF5\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB6"],

        ["\xCA\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xFB"],
        ["\x9C\x5A\xF5\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],

        ["\x95\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF5\xFC"],
        ["\x9C\x5A\xF5\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xFA"],

        ["\xCA\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x40"],
        ["\x9C\x5A\xF6\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB8"],

        ["\xCA\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x41"],
        ["\x9C\x5A\xF6\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xB9"],

        ["\xCA\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x42"],
        ["\x9C\x5A\xF6\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xCA"],

        ["\xCA\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x43"],
        ["\x9C\x5A\xF6\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xCB"],

        ["\x95\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x44"],
        ["\x9C\x5A\xF6\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x95\xFD"],

        ["\x96\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x45"],
        ["\x9C\x5A\xF6\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x45"],

        ["\xCA\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x46"],
        ["\x9C\x5A\xF6\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xCC"],

        ["\xCA\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x47"],
        ["\x9C\x5A\xF6\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xCD"],

        ["\xCA\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x48"],
        ["\x9C\x5A\xF6\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],

        ["\xCA\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x49"],
        ["\x9C\x5A\xF6\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xCF"],

        ["\xCA\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4A"],
        ["\x9C\x5A\xF6\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],

        ["\xCA\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4B"],
        ["\x9C\x5A\xF6\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],

        ["\xCA\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4C"],
        ["\x9C\x5A\xF6\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xDC"],

        ["\xCA\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4D"],
        ["\x9C\x5A\xF6\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],

        ["\xCA\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4E"],
        ["\x9C\x5A\xF6\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xDE"],

        ["\xCA\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x4F"],
        ["\x9C\x5A\xF6\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],

        ["\xCA\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x50"],
        ["\x9C\x5A\xF6\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xEA"],

        ["\xCA\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x51"],
        ["\x9C\x5A\xF6\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xEB"],

        ["\xCA\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x52"],
        ["\x9C\x5A\xF6\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xEC"],

        ["\xCA\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x53"],
        ["\x9C\x5A\xF6\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xED"],

        ["\xCA\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x54"],
        ["\x9C\x5A\xF6\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],

        ["\xCA\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x55"],
        ["\x9C\x5A\xF6\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xEF"],

        ["\xCA\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x56"],
        ["\x9C\x5A\xF6\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFA"],

        ["\x96\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x57"],
        ["\x9C\x5A\xF6\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x56"],

        ["\xCA\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x58"],
        ["\x9C\x5A\xF6\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFB"],

        ["\xCA\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x59"],
        ["\x9C\x5A\xF6\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFC"],

        ["\x96\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5A"],
        ["\x9C\x5A\xF6\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x58"],

        ["\xCA\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5B"],
        ["\x9C\x5A\xF6\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFD"],

        ["\xCA\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5C"],
        ["\x9C\x5A\xF6\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCA\xFE"],

        ["\xCB\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5D"],
        ["\x9C\x5A\xF6\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x41"],

        ["\x96\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5E"],
        ["\x9C\x5A\xF6\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x83"],

        ["\xCB\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x5F"],
        ["\x9C\x5A\xF6\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x42"],

        ["\xCB\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x60"],
        ["\x9C\x5A\xF6\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x43"],

        ["\x96\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x61"],
        ["\x9C\x5A\xF6\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x88"],

        ["\x96\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x62"],
        ["\x9C\x5A\xF6\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x89"],

        ["\xCB\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x63"],
        ["\x9C\x5A\xF6\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x44"],

        ["\xCB\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x64"],
        ["\x9C\x5A\xF6\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x45"],

        ["\xCB\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x65"],
        ["\x9C\x5A\xF6\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x46"],

        ["\xCB\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x66"],
        ["\x9C\x5A\xF6\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x47"],

        ["\xCB\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x67"],
        ["\x9C\x5A\xF6\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x48"],

        ["\xCB\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x68"],
        ["\x9C\x5A\xF6\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x49"],

        ["\xCB\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x69"],
        ["\x9C\x5A\xF6\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x51"],

        ["\xCB\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6A"],
        ["\x9C\x5A\xF6\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x52"],

        ["\x96\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6B"],
        ["\x9C\x5A\xF6\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x90"],

        ["\xCB\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6C"],
        ["\x9C\x5A\xF6\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x53"],

        ["\xCB\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6D"],
        ["\x9C\x5A\xF6\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x54"],

        ["\xCB\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6E"],
        ["\x9C\x5A\xF6\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x55"],

        ["\xCB\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x6F"],
        ["\x9C\x5A\xF6\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x56"],

        ["\xCB\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x70"],
        ["\x9C\x5A\xF6\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x58"],

        ["\xCB\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x71"],
        ["\x9C\x5A\xF6\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x81"],

        ["\xCB\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x72"],
        ["\x9C\x5A\xF6\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x82"],

        ["\xCB\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x73"],
        ["\x9C\x5A\xF6\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x83"],

        ["\xCB\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x74"],
        ["\x9C\x5A\xF6\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x84"],

        ["\xCB\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x75"],
        ["\x9C\x5A\xF6\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x85"],

        ["\x96\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x76"],
        ["\x9C\x5A\xF6\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x96"],

        ["\xCB\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x77"],
        ["\x9C\x5A\xF6\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x86"],

        ["\xCB\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x78"],
        ["\x9C\x5A\xF6\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x87"],

        ["\xCB\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x79"],
        ["\x9C\x5A\xF6\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x88"],

        ["\xCB\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7A"],
        ["\x9C\x5A\xF6\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x89"],

        ["\xCB\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7B"],
        ["\x9C\x5A\xF6\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x8A"],

        ["\xCB\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7C"],
        ["\x9C\x5A\xF6\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x8C"],

        ["\x96\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7D"],
        ["\x9C\x5A\xF6\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x98"],

        ["\xCB\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x7E"],
        ["\x9C\x5A\xF6\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x8D"],

        ["\xCB\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x80"],
        ["\x9C\x5A\xF6\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x8E"],

        ["\xCB\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x81"],
        ["\x9C\x5A\xF6\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x8F"],

        ["\x96\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x82"],
        ["\x9C\x5A\xF6\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x9A"],

        ["\xCB\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x83"],
        ["\x9C\x5A\xF6\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x90"],

        ["\xCB\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x84"],
        ["\x9C\x5A\xF6\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x91"],

        ["\x96\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x85"],
        ["\x9C\x5A\xF6\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\x9E"],

        ["\xCB\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x86"],
        ["\x9C\x5A\xF6\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x92"],

        ["\xCB\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x87"],
        ["\x9C\x5A\xF6\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x93"],

        ["\xCB\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x88"],
        ["\x9C\x5A\xF6\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x94"],

        ["\xCB\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x89"],
        ["\x9C\x5A\xF6\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x95"],

        ["\xCB\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8A"],
        ["\x9C\x5A\xF6\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x96"],

        ["\xCB\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8B"],
        ["\x9C\x5A\xF6\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x97"],

        ["\xCB\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8C"],
        ["\x9C\x5A\xF6\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x98"],

        ["\xCB\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8D"],
        ["\x9C\x5A\xF6\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x99"],

        ["\xCB\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x8E"],
        ["\x9C\x5A\xF6\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x9A"],

        ["\xCB\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x90"],
        ["\x9C\x5A\xF6\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x9D"],

        ["\xCB\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x91"],
        ["\x9C\x5A\xF6\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x9E"],

        ["\x96\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x92"],
        ["\x9C\x5A\xF6\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xB2"],

        ["\xCB\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x93"],
        ["\x9C\x5A\xF6\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\x9F"],

        ["\xCB\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x94"],
        ["\x9C\x5A\xF6\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA2"],

        ["\xCB\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x95"],
        ["\x9C\x5A\xF6\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA3"],

        ["\xCB\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x96"],
        ["\x9C\x5A\xF6\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA4"],

        ["\xCB\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x97"],
        ["\x9C\x5A\xF6\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],

        ["\xCB\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x98"],
        ["\x9C\x5A\xF6\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],

        ["\xCB\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x99"],
        ["\x9C\x5A\xF6\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA7"],

        ["\xCB\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9A"],
        ["\x9C\x5A\xF6\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],

        ["\xCB\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9B"],
        ["\x9C\x5A\xF6\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9"],

        ["\xCB\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9C"],
        ["\x9C\x5A\xF6\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xAA"],

        ["\xCB\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9D"],
        ["\x9C\x5A\xF6\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xAC"],

        ["\xCB\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9E"],
        ["\x9C\x5A\xF6\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xAD"],

        ["\xCB\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\x9F"],
        ["\x9C\x5A\xF6\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xAE"],

        ["\xCB\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA0"],
        ["\x9C\x5A\xF6\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xAF"],

        ["\xCB\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA1"],
        ["\x9C\x5A\xF6\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xBA"],

        ["\xCB\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA2"],
        ["\x9C\x5A\xF6\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xBB"],

        ["\xCB\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA3"],
        ["\x9C\x5A\xF6\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xBC"],

        ["\xCB\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA4"],
        ["\x9C\x5A\xF6\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xBD"],

        ["\x96\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA5"],
        ["\x9C\x5A\xF6\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xEB"],

        ["\xCB\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA6"],
        ["\x9C\x5A\xF6\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xBE"],

        ["\x96\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA7"],
        ["\x9C\x5A\xF6\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xFB"],

        ["\xCB\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA8"],
        ["\x9C\x5A\xF6\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xBF"],

        ["\xCB\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xA9"],
        ["\x9C\x5A\xF6\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB2"],

        ["\xCB\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAA"],
        ["\x9C\x5A\xF6\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB3"],

        ["\xCB\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAB"],
        ["\x9C\x5A\xF6\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],

        ["\x96\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAC"],
        ["\x9C\x5A\xF6\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xFE"],

        ["\xCB\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAD"],
        ["\x9C\x5A\xF6\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],

        ["\x96\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAE"],
        ["\x9C\x5A\xF6\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xFD"],

        ["\xCB\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xAF"],
        ["\x9C\x5A\xF6\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB6"],

        ["\xCB\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB0"],
        ["\x9C\x5A\xF6\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB7"],

        ["\x97\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB1"],
        ["\x9C\x5A\xF6\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x45"],

        ["\xCB\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB2"],
        ["\x9C\x5A\xF6\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB8"],

        ["\x97\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB3"],
        ["\x9C\x5A\xF6\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x47"],

        ["\x82\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB4"],
        ["\x9C\x5A\xF6\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x82\xDC"],

        ["\xCB\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB5"],
        ["\x9C\x5A\xF6\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xB9"],

        ["\xCB\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB6"],
        ["\x9C\x5A\xF6\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCA"],

        ["\xCB\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB7"],
        ["\x9C\x5A\xF6\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCB"],

        ["\xCB\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB8"],
        ["\x9C\x5A\xF6\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCC"],

        ["\x97\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xB9"],
        ["\x9C\x5A\xF6\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x52"],

        ["\x97\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBA"],
        ["\x9C\x5A\xF6\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x53"],

        ["\xCB\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBB"],
        ["\x9C\x5A\xF6\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCD"],

        ["\xCB\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBC"],
        ["\x9C\x5A\xF6\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],

        ["\x97\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBD"],
        ["\x9C\x5A\xF6\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x55"],

        ["\xCB\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBE"],
        ["\x9C\x5A\xF6\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xCF"],

        ["\xCB\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xBF"],
        ["\x9C\x5A\xF6\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDA"],

        ["\xCB\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC0"],
        ["\x9C\x5A\xF6\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDB"],

        ["\xCB\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC2"],
        ["\x9C\x5A\xF6\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDC"],

        ["\xCB\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC3"],
        ["\x9C\x5A\xF6\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDD"],

        ["\xCB\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC5"],
        ["\x9C\x5A\xF6\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDE"],

        ["\xCB\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC6"],
        ["\x9C\x5A\xF6\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xDF"],

        ["\xCB\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC7"],
        ["\x9C\x5A\xF6\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xEA"],

        ["\xCB\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC8"],
        ["\x9C\x5A\xF6\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xEB"],

        ["\x97\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xC9"],
        ["\x9C\x5A\xF6\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x96"],

        ["\xCB\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCA"],
        ["\x9C\x5A\xF6\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xEC"],

        ["\x97\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCB"],
        ["\x9C\x5A\xF6\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x97"],

        ["\xCB\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCC"],
        ["\x9C\x5A\xF6\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xED"],

        ["\xCB\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCD"],
        ["\x9C\x5A\xF6\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xEE"],

        ["\x97\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCE"],
        ["\x9C\x5A\xF6\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x9A"],

        ["\xCB\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xCF"],
        ["\x9C\x5A\xF6\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xEF"],

        ["\xCB\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD0"],
        ["\x9C\x5A\xF6\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xFA"],

        ["\xCB\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD1"],
        ["\x9C\x5A\xF6\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],

        ["\x97\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD2"],
        ["\x9C\x5A\xF6\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xA4"],

        ["\x97\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD3"],
        ["\x9C\x5A\xF6\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\x9F"],

        ["\xCB\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD4"],
        ["\x9C\x5A\xF6\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],

        ["\xCB\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD5"],
        ["\x9C\x5A\xF6\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xFD"],

        ["\xA7\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD6"],
        ["\x9C\x5A\xF6\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA7\x88"],

        ["\x97\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD7"],
        ["\x9C\x5A\xF6\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xA5"],

        ["\xCB\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD8"],
        ["\x9C\x5A\xF6\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCB\xFE"],

        ["\xCC\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xD9"],
        ["\x9C\x5A\xF6\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x41"],

        ["\xCC\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDA"],
        ["\x9C\x5A\xF6\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x42"],

        ["\xCC\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDB"],
        ["\x9C\x5A\xF6\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x43"],

        ["\xCC\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDD"],
        ["\x9C\x5A\xF6\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x44"],

        ["\x97\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDE"],
        ["\x9C\x5A\xF6\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xBC"],

        ["\xCC\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xDF"],
        ["\x9C\x5A\xF6\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x45"],

        ["\xCC\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE0"],
        ["\x9C\x5A\xF6\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x46"],

        ["\x97\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE1"],
        ["\x9C\x5A\xF6\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xB9"],

        ["\xCC\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE2"],
        ["\x9C\x5A\xF6\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x47"],

        ["\x97\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE3"],
        ["\x9C\x5A\xF6\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xEE"],

        ["\x97\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE4"],
        ["\x9C\x5A\xF6\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x97\xFA"],

        ["\xCC\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE6"],
        ["\x9C\x5A\xF6\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x48"],

        ["\x98\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE7"],
        ["\x9C\x5A\xF6\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x45"],

        ["\xCC\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xE9"],
        ["\x9C\x5A\xF6\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x49"],

        ["\xCC\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEA"],
        ["\x9C\x5A\xF6\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x51"],

        ["\xCC\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEB"],
        ["\x9C\x5A\xF6\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x52"],

        ["\xCC\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEC"],
        ["\x9C\x5A\xF6\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x53"],

        ["\x98\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xED"],
        ["\x9C\x5A\xF6\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x83"],

        ["\xCC\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEE"],
        ["\x9C\x5A\xF6\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x54"],

        ["\xCC\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xEF"],
        ["\x9C\x5A\xF6\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x55"],

        ["\xCC\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF0"],
        ["\x9C\x5A\xF6\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x56"],

        ["\x98\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF1"],
        ["\x9C\x5A\xF6\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x8A"],

        ["\xCC\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF2"],
        ["\x9C\x5A\xF6\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x58"],

        ["\xCC\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF3"],
        ["\x9C\x5A\xF6\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x81"],

        ["\xCC\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF4"],
        ["\x9C\x5A\xF6\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x82"],

        ["\xCC\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF5"],
        ["\x9C\x5A\xF6\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x83"],

        ["\x98\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF6"],
        ["\x9C\x5A\xF6\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x95"],

        ["\x98\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF7"],
        ["\x9C\x5A\xF6\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x9D"],

        ["\xCC\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF8"],
        ["\x9C\x5A\xF6\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x84"],

        ["\x98\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xF9"],
        ["\x9C\x5A\xF6\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x9A"],

        ["\x98\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xFA"],
        ["\x9C\x5A\xF6\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\x9E"],

        ["\xCC\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xFB"],
        ["\x9C\x5A\xF6\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x85"],

        ["\xCC\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF6\xFC"],
        ["\x9C\x5A\xF6\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x86"],

        ["\x98\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x40"],
        ["\x9C\x5A\xF7\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xA7"],

        ["\xCC\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x41"],
        ["\x9C\x5A\xF7\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x87"],

        ["\x98\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x42"],
        ["\x9C\x5A\xF7\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xAC"],

        ["\xCC\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x43"],
        ["\x9C\x5A\xF7\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x88"],

        ["\xCC\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x44"],
        ["\x9C\x5A\xF7\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x89"],

        ["\xCC\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x45"],
        ["\x9C\x5A\xF7\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x8A"],

        ["\x98\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x46"],
        ["\x9C\x5A\xF7\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xBB"],

        ["\xCC\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x47"],
        ["\x9C\x5A\xF7\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x8C"],

        ["\xCC\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x48"],
        ["\x9C\x5A\xF7\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x8D"],

        ["\x98\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x49"],
        ["\x9C\x5A\xF7\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xBE"],

        ["\xCC\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4A"],
        ["\x9C\x5A\xF7\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x8E"],

        ["\xCC\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4B"],
        ["\x9C\x5A\xF7\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x8F"],

        ["\xCC\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4C"],
        ["\x9C\x5A\xF7\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x90"],

        ["\xCC\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4D"],
        ["\x9C\x5A\xF7\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x91"],

        ["\xCC\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4E"],
        ["\x9C\x5A\xF7\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x92"],

        ["\xCC\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x4F"],
        ["\x9C\x5A\xF7\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x93"],

        ["\x98\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x50"],
        ["\x9C\x5A\xF7\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xCA"],

        ["\xCC\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x51"],
        ["\x9C\x5A\xF7\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x94"],

        ["\xCC\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x52"],
        ["\x9C\x5A\xF7\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x95"],

        ["\xCC\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x53"],
        ["\x9C\x5A\xF7\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x96"],

        ["\x98\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x54"],
        ["\x9C\x5A\xF7\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x98\xDA"],

        ["\xCC\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x55"],
        ["\x9C\x5A\xF7\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x97"],

        ["\xCC\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x56"],
        ["\x9C\x5A\xF7\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x98"],

        ["\xCC\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x57"],
        ["\x9C\x5A\xF7\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x99"],

        ["\xCC\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5A"],
        ["\x9C\x5A\xF7\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x9A"],

        ["\xCC\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5B"],
        ["\x9C\x5A\xF7\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x9D"],

        ["\xCC\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5C"],
        ["\x9C\x5A\xF7\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x9E"],

        ["\xCC\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5D"],
        ["\x9C\x5A\xF7\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\x9F"],

        ["\xCC\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5E"],
        ["\x9C\x5A\xF7\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA2"],

        ["\xCC\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x5F"],
        ["\x9C\x5A\xF7\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA3"],

        ["\x99\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x60"],
        ["\x9C\x5A\xF7\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x49"],

        ["\xCC\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x61"],
        ["\x9C\x5A\xF7\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA4"],

        ["\xCC\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x62"],
        ["\x9C\x5A\xF7\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA5"],

        ["\x99\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x63"],
        ["\x9C\x5A\xF7\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x45"],

        ["\xCC\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x64"],
        ["\x9C\x5A\xF7\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA6"],

        ["\x99\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x65"],
        ["\x9C\x5A\xF7\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x44"],

        ["\xCC\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x66"],
        ["\x9C\x5A\xF7\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA7"],

        ["\xCC\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x67"],
        ["\x9C\x5A\xF7\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA8"],

        ["\xCC\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x68"],
        ["\x9C\x5A\xF7\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xA9"],

        ["\xCC\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x69"],
        ["\x9C\x5A\xF7\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xAA"],

        ["\xCC\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6A"],
        ["\x9C\x5A\xF7\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xAC"],

        ["\xCC\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6B"],
        ["\x9C\x5A\xF7\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xAD"],

        ["\xCC\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6C"],
        ["\x9C\x5A\xF7\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xAE"],

        ["\x99\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6D"],
        ["\x9C\x5A\xF7\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x84"],

        ["\x99\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6E"],
        ["\x9C\x5A\xF7\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x85"],

        ["\x99\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x6F"],
        ["\x9C\x5A\xF7\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x56"],

        ["\xCC\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x70"],
        ["\x9C\x5A\xF7\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xAF"],

        ["\xCC\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x71"],
        ["\x9C\x5A\xF7\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBA"],

        ["\xCC\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x72"],
        ["\x9C\x5A\xF7\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBB"],

        ["\xCC\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x73"],
        ["\x9C\x5A\xF7\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBC"],

        ["\x99\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x74"],
        ["\x9C\x5A\xF7\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x89"],

        ["\x99\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x75"],
        ["\x9C\x5A\xF7\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x8D"],

        ["\xCC\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x76"],
        ["\x9C\x5A\xF7\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBD"],

        ["\xCC\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x77"],
        ["\x9C\x5A\xF7\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBE"],

        ["\xCC\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x78"],
        ["\x9C\x5A\xF7\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xBF"],

        ["\x99\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x79"],
        ["\x9C\x5A\xF7\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x97"],

        ["\xCC\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7A"],
        ["\x9C\x5A\xF7\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],

        ["\xCC\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7B"],
        ["\x9C\x5A\xF7\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB3"],

        ["\xCC\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7C"],
        ["\x9C\x5A\xF7\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],

        ["\xCC\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7D"],
        ["\x9C\x5A\xF7\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB5"],

        ["\x99\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x7E"],
        ["\x9C\x5A\xF7\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xA2"],

        ["\xCC\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x80"],
        ["\x9C\x5A\xF7\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],

        ["\x99\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x81"],
        ["\x9C\x5A\xF7\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\x9A"],

        ["\xCC\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x82"],
        ["\x9C\x5A\xF7\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],

        ["\xCC\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x83"],
        ["\x9C\x5A\xF7\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB8"],

        ["\xCC\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x84"],
        ["\x9C\x5A\xF7\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xB9"],

        ["\x96\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x85"],
        ["\x9C\x5A\xF7\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x96\xCB"],

        ["\xCC\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x86"],
        ["\x9C\x5A\xF7\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],

        ["\x99\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x87"],
        ["\x9C\x5A\xF7\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xA4"],

        ["\xCC\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x88"],
        ["\x9C\x5A\xF7\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xCB"],

        ["\xCC\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x89"],
        ["\x9C\x5A\xF7\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xCC"],

        ["\xCC\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8A"],
        ["\x9C\x5A\xF7\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xCD"],

        ["\xCC\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8B"],
        ["\x9C\x5A\xF7\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xCE"],

        ["\xCC\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8C"],
        ["\x9C\x5A\xF7\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xCF"],

        ["\xCC\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8D"],
        ["\x9C\x5A\xF7\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xDA"],

        ["\xCC\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8E"],
        ["\x9C\x5A\xF7\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xDB"],

        ["\xCC\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x8F"],
        ["\x9C\x5A\xF7\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xDC"],

        ["\x99\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x90"],
        ["\x9C\x5A\xF7\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xBD"],

        ["\xCC\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x91"],
        ["\x9C\x5A\xF7\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xDD"],

        ["\xCC\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x92"],
        ["\x9C\x5A\xF7\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xDE"],

        ["\xCC\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x93"],
        ["\x9C\x5A\xF7\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xDF"],

        ["\xCC\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x94"],
        ["\x9C\x5A\xF7\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],

        ["\xCC\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x95"],
        ["\x9C\x5A\xF7\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xEB"],

        ["\xCC\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x96"],
        ["\x9C\x5A\xF7\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xEC"],

        ["\xCC\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x97"],
        ["\x9C\x5A\xF7\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],

        ["\xCC\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x98"],
        ["\x9C\x5A\xF7\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],

        ["\x99\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x99"],
        ["\x9C\x5A\xF7\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xCB"],

        ["\xCC\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9A"],
        ["\x9C\x5A\xF7\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xEF"],

        ["\xCC\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9B"],
        ["\x9C\x5A\xF7\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xFA"],

        ["\xCC\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9C"],
        ["\x9C\x5A\xF7\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xFB"],

        ["\xCC\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9D"],
        ["\x9C\x5A\xF7\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xFC"],

        ["\x99\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9E"],
        ["\x9C\x5A\xF7\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xCE"],

        ["\xCC\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\x9F"],
        ["\x9C\x5A\xF7\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],

        ["\xCC\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA0"],
        ["\x9C\x5A\xF7\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],

        ["\xCD\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA1"],
        ["\x9C\x5A\xF7\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x41"],

        ["\xCD\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA2"],
        ["\x9C\x5A\xF7\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x42"],

        ["\xA9\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA3"],
        ["\x9C\x5A\xF7\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\x8A"],

        ["\xCD\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA4"],
        ["\x9C\x5A\xF7\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x43"],

        ["\xCD\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA5"],
        ["\x9C\x5A\xF7\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x44"],

        ["\xCD\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA6"],
        ["\x9C\x5A\xF7\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x45"],

        ["\x99\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA7"],
        ["\x9C\x5A\xF7\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xED"],

        ["\x99\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA8"],
        ["\x9C\x5A\xF7\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x99\xEE"],

        ["\xCD\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xA9"],
        ["\x9C\x5A\xF7\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x46"],

        ["\xCD\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAA"],
        ["\x9C\x5A\xF7\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x47"],

        ["\xCD\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAB"],
        ["\x9C\x5A\xF7\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x48"],

        ["\xCD\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAC"],
        ["\x9C\x5A\xF7\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x49"],

        ["\xCD\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAD"],
        ["\x9C\x5A\xF7\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x51"],

        ["\xCD\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAE"],
        ["\x9C\x5A\xF7\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x52"],

        ["\x9A\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xAF"],
        ["\x9C\x5A\xF7\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x45"],

        ["\xCD\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB0"],
        ["\x9C\x5A\xF7\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x53"],

        ["\x9A\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB1"],
        ["\x9C\x5A\xF7\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x43"],

        ["\xCD\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB2"],
        ["\x9C\x5A\xF7\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x54"],

        ["\xCD\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB3"],
        ["\x9C\x5A\xF7\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x55"],

        ["\xCD\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB4"],
        ["\x9C\x5A\xF7\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x56"],

        ["\xCD\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB5"],
        ["\x9C\x5A\xF7\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x58"],

        ["\xCD\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB6"],
        ["\x9C\x5A\xF7\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x81"],

        ["\x9A\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB7"],
        ["\x9C\x5A\xF7\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x51"],

        ["\xCD\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB8"],
        ["\x9C\x5A\xF7\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x82"],

        ["\xCD\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xB9"],
        ["\x9C\x5A\xF7\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x83"],

        ["\xCD\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBA"],
        ["\x9C\x5A\xF7\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x84"],

        ["\xCD\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBB"],
        ["\x9C\x5A\xF7\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x85"],

        ["\xCD\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBC"],
        ["\x9C\x5A\xF7\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x86"],

        ["\x9A\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBD"],
        ["\x9C\x5A\xF7\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x58"],

        ["\x9A\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBE"],
        ["\x9C\x5A\xF7\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x55"],

        ["\xCD\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xBF"],
        ["\x9C\x5A\xF7\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x87"],

        ["\xCD\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC0"],
        ["\x9C\x5A\xF7\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x88"],

        ["\xCD\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC1"],
        ["\x9C\x5A\xF7\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x89"],

        ["\xCD\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC2"],
        ["\x9C\x5A\xF7\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x8A"],

        ["\xCD\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC3"],
        ["\x9C\x5A\xF7\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x8C"],

        ["\xCD\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC4"],
        ["\x9C\x5A\xF7\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x8D"],

        ["\xCD\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC6"],
        ["\x9C\x5A\xF7\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x8E"],

        ["\x9A\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC7"],
        ["\x9C\x5A\xF7\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x91"],

        ["\xCD\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC8"],
        ["\x9C\x5A\xF7\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x8F"],

        ["\xCD\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xC9"],
        ["\x9C\x5A\xF7\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x90"],

        ["\x9A\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCA"],
        ["\x9C\x5A\xF7\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x93"],

        ["\xCD\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCB"],
        ["\x9C\x5A\xF7\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x91"],

        ["\xCD\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCC"],
        ["\x9C\x5A\xF7\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x92"],

        ["\xCD\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCD"],
        ["\x9C\x5A\xF7\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x93"],

        ["\xCD\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCE"],
        ["\x9C\x5A\xF7\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x94"],

        ["\xCD\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xCF"],
        ["\x9C\x5A\xF7\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x95"],

        ["\xCD\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD0"],
        ["\x9C\x5A\xF7\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x96"],

        ["\x9A\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD1"],
        ["\x9C\x5A\xF7\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x99"],

        ["\x9A\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD2"],
        ["\x9C\x5A\xF7\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\x97"],

        ["\x9A\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD3"],
        ["\x9C\x5A\xF7\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xA2"],

        ["\xCD\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD4"],
        ["\x9C\x5A\xF7\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x97"],

        ["\xCD\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD5"],
        ["\x9C\x5A\xF7\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x98"],

        ["\xCD\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD6"],
        ["\x9C\x5A\xF7\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x99"],

        ["\xCD\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD7"],
        ["\x9C\x5A\xF7\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x9A"],

        ["\x9A\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD8"],
        ["\x9C\x5A\xF7\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xAD"],

        ["\x9A\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xD9"],
        ["\x9C\x5A\xF7\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xAF"],

        ["\xCD\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDA"],
        ["\x9C\x5A\xF7\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x9D"],

        ["\xCD\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDB"],
        ["\x9C\x5A\xF7\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x9E"],

        ["\x9A\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDC"],
        ["\x9C\x5A\xF7\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xBB"],

        ["\xCD\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDD"],
        ["\x9C\x5A\xF7\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\x9F"],

        ["\xCD\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDE"],
        ["\x9C\x5A\xF7\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA2"],

        ["\xCD\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xDF"],
        ["\x9C\x5A\xF7\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA3"],

        ["\xCD\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE0"],
        ["\x9C\x5A\xF7\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA4"],

        ["\xCD\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE1"],
        ["\x9C\x5A\xF7\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA5"],

        ["\xCD\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE2"],
        ["\x9C\x5A\xF7\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA6"],

        ["\x9A\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE3"],
        ["\x9C\x5A\xF7\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xBE"],

        ["\x9A\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE4"],
        ["\x9C\x5A\xF7\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xBF"],

        ["\xCD\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE5"],
        ["\x9C\x5A\xF7\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA7"],

        ["\xCD\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE6"],
        ["\x9C\x5A\xF7\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA8"],

        ["\xCD\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE7"],
        ["\x9C\x5A\xF7\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],

        ["\x9A\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE8"],
        ["\x9C\x5A\xF7\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xB5"],

        ["\xCD\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xE9"],
        ["\x9C\x5A\xF7\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],

        ["\x9A\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEA"],
        ["\x9C\x5A\xF7\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xB9"],

        ["\x9A\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEB"],
        ["\x9C\x5A\xF7\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xCA"],

        ["\xCD\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEC"],
        ["\x9C\x5A\xF7\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xAC"],

        ["\xCD\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xED"],
        ["\x9C\x5A\xF7\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xAD"],

        ["\xCD\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEE"],
        ["\x9C\x5A\xF7\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xAE"],

        ["\xCD\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xEF"],
        ["\x9C\x5A\xF7\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xAF"],

        ["\xCD\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF0"],
        ["\x9C\x5A\xF7\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],

        ["\xCD\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF1"],
        ["\x9C\x5A\xF7\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xBB"],

        ["\xCD\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF2"],
        ["\x9C\x5A\xF7\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],

        ["\xCD\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF3"],
        ["\x9C\x5A\xF7\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xBD"],

        ["\xCD\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF4"],
        ["\x9C\x5A\xF7\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xBE"],

        ["\xCD\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF5"],
        ["\x9C\x5A\xF7\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],

        ["\x9A\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF6"],
        ["\x9C\x5A\xF7\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xEA"],

        ["\xCD\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF7"],
        ["\x9C\x5A\xF7\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xB2"],

        ["\xCD\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF8"],
        ["\x9C\x5A\xF7\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xB3"],

        ["\x9A\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xF9"],
        ["\x9C\x5A\xF7\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xEE"],

        ["\xCD\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xFA"],
        ["\x9C\x5A\xF7\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xB4"],

        ["\x9A\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xFB"],
        ["\x9C\x5A\xF7\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xFE"],

        ["\x9D\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF7\xFC"],
        ["\x9C\x5A\xF7\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x41"],

        ["\xCD\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x40"],
        ["\x9C\x5A\xF8\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xB5"],

        ["\xCD\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x41"],
        ["\x9C\x5A\xF8\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xB6"],

        ["\x9D\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x42"],
        ["\x9C\x5A\xF8\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x45"],

        ["\xCD\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x43"],
        ["\x9C\x5A\xF8\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xB7"],

        ["\xCD\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x44"],
        ["\x9C\x5A\xF8\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xB8"],

        ["\xCD\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x45"],
        ["\x9C\x5A\xF8\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],

        ["\xCD\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x46"],
        ["\x9C\x5A\xF8\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xCA"],

        ["\x9D\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x47"],
        ["\x9C\x5A\xF8\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x48"],

        ["\xCD\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x48"],
        ["\x9C\x5A\xF8\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xCB"],

        ["\x9D\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x49"],
        ["\x9C\x5A\xF8\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x52"],

        ["\xCD\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4A"],
        ["\x9C\x5A\xF8\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],

        ["\xCD\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4B"],
        ["\x9C\x5A\xF8\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],

        ["\xCD\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4C"],
        ["\x9C\x5A\xF8\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],

        ["\x9D\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4D"],
        ["\x9C\x5A\xF8\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x58"],

        ["\xCD\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4E"],
        ["\x9C\x5A\xF8\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xCF"],

        ["\xCD\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x4F"],
        ["\x9C\x5A\xF8\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],

        ["\xCD\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x50"],
        ["\x9C\x5A\xF8\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xDB"],

        ["\xCD\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x51"],
        ["\x9C\x5A\xF8\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xDC"],

        ["\xCD\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x52"],
        ["\x9C\x5A\xF8\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],

        ["\xCD\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x53"],
        ["\x9C\x5A\xF8\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],

        ["\xCD\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x54"],
        ["\x9C\x5A\xF8\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xDF"],

        ["\xCD\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x55"],
        ["\x9C\x5A\xF8\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xEA"],

        ["\xCD\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x56"],
        ["\x9C\x5A\xF8\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xEB"],

        ["\x9D\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x57"],
        ["\x9C\x5A\xF8\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x87"],

        ["\xCD\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x58"],
        ["\x9C\x5A\xF8\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],

        ["\xCD\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x59"],
        ["\x9C\x5A\xF8\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xED"],

        ["\xCD\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5A"],
        ["\x9C\x5A\xF8\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xEE"],

        ["\xCD\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5B"],
        ["\x9C\x5A\xF8\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xEF"],

        ["\xCD\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5C"],
        ["\x9C\x5A\xF8\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xFA"],

        ["\xCD\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5D"],
        ["\x9C\x5A\xF8\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xFB"],

        ["\xCD\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5E"],
        ["\x9C\x5A\xF8\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],

        ["\x9D\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x5F"],
        ["\x9C\x5A\xF8\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\x91"],

        ["\xCD\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x60"],
        ["\x9C\x5A\xF8\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xFD"],

        ["\xCD\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x61"],
        ["\x9C\x5A\xF8\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],

        ["\xCE\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x62"],
        ["\x9C\x5A\xF8\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x41"],

        ["\xCE\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x63"],
        ["\x9C\x5A\xF8\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x42"],

        ["\xCE\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x64"],
        ["\x9C\x5A\xF8\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x43"],

        ["\xCE\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x65"],
        ["\x9C\x5A\xF8\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x44"],

        ["\xCE\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x66"],
        ["\x9C\x5A\xF8\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x45"],

        ["\xCE\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x67"],
        ["\x9C\x5A\xF8\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x46"],

        ["\xCE\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x68"],
        ["\x9C\x5A\xF8\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x47"],

        ["\xCE\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x69"],
        ["\x9C\x5A\xF8\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x48"],

        ["\xCE\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6A"],
        ["\x9C\x5A\xF8\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x49"],

        ["\xCE\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6B"],
        ["\x9C\x5A\xF8\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x51"],

        ["\xCE\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6C"],
        ["\x9C\x5A\xF8\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x52"],

        ["\xCE\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6D"],
        ["\x9C\x5A\xF8\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x53"],

        ["\xCE\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6E"],
        ["\x9C\x5A\xF8\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x54"],

        ["\xCE\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x6F"],
        ["\x9C\x5A\xF8\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x55"],

        ["\xCE\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x70"],
        ["\x9C\x5A\xF8\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x56"],

        ["\xCE\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x71"],
        ["\x9C\x5A\xF8\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x58"],

        ["\xCE\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x72"],
        ["\x9C\x5A\xF8\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x81"],

        ["\xCE\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x73"],
        ["\x9C\x5A\xF8\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x82"],

        ["\xCE\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x74"],
        ["\x9C\x5A\xF8\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x83"],

        ["\xCE\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x75"],
        ["\x9C\x5A\xF8\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x84"],

        ["\x9D\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x76"],
        ["\x9C\x5A\xF8\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\xA3"],

        ["\xCE\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x77"],
        ["\x9C\x5A\xF8\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x85"],

        ["\x8F\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x78"],
        ["\x9C\x5A\xF8\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x8F\xCD"],

        ["\xCE\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x79"],
        ["\x9C\x5A\xF8\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x86"],

        ["\xCE\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7A"],
        ["\x9C\x5A\xF8\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x87"],

        ["\xCE\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7B"],
        ["\x9C\x5A\xF8\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x88"],

        ["\xCE\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7C"],
        ["\x9C\x5A\xF8\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x89"],

        ["\xCE\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7D"],
        ["\x9C\x5A\xF8\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x8A"],

        ["\xCE\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x7E"],
        ["\x9C\x5A\xF8\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x8C"],

        ["\xCE\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x80"],
        ["\x9C\x5A\xF8\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x8D"],

        ["\x9D\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x81"],
        ["\x9C\x5A\xF8\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\xBA"],

        ["\x9D\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x82"],
        ["\x9C\x5A\xF8\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\xBB"],

        ["\xCE\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x83"],
        ["\x9C\x5A\xF8\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x8E"],

        ["\xCE\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x84"],
        ["\x9C\x5A\xF8\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x8F"],

        ["\x9D\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x85"],
        ["\x9C\x5A\xF8\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\xBD"],

        ["\xCE\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x86"],
        ["\x9C\x5A\xF8\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x90"],

        ["\x9D\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x87"],
        ["\x9C\x5A\xF8\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\xBF"],

        ["\xCE\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x88"],
        ["\x9C\x5A\xF8\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x91"],

        ["\xCE\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x89"],
        ["\x9C\x5A\xF8\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x92"],

        ["\xCE\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8A"],
        ["\x9C\x5A\xF8\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x93"],

        ["\xCE\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8B"],
        ["\x9C\x5A\xF8\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x94"],

        ["\xCE\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8C"],
        ["\x9C\x5A\xF8\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x95"],

        ["\xCE\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8D"],
        ["\x9C\x5A\xF8\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x96"],

        ["\xCE\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8E"],
        ["\x9C\x5A\xF8\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x97"],

        ["\xCE\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x8F"],
        ["\x9C\x5A\xF8\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x98"],

        ["\xCE\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x90"],
        ["\x9C\x5A\xF8\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x99"],

        ["\xCE\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x91"],
        ["\x9C\x5A\xF8\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x9A"],

        ["\xCE\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x92"],
        ["\x9C\x5A\xF8\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x9D"],

        ["\xCE\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x93"],
        ["\x9C\x5A\xF8\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x9E"],

        ["\xCE\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x94"],
        ["\x9C\x5A\xF8\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\x9F"],

        ["\xCE\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x95"],
        ["\x9C\x5A\xF8\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA2"],

        ["\x9D\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x96"],
        ["\x9C\x5A\xF8\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\xB8"],

        ["\xCE\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x97"],
        ["\x9C\x5A\xF8\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],

        ["\xCE\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x98"],
        ["\x9C\x5A\xF8\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],

        ["\xCE\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x99"],
        ["\x9C\x5A\xF8\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA5"],

        ["\xCE\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9A"],
        ["\x9C\x5A\xF8\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],

        ["\xCE\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9B"],
        ["\x9C\x5A\xF8\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA7"],

        ["\xCE\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9C"],
        ["\x9C\x5A\xF8\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA8"],

        ["\xCE\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9D"],
        ["\x9C\x5A\xF8\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],

        ["\xCE\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9E"],
        ["\x9C\x5A\xF8\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xAA"],

        ["\xCE\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\x9F"],
        ["\x9C\x5A\xF8\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],

        ["\xCE\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA0"],
        ["\x9C\x5A\xF8\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],

        ["\x9E\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA1"],
        ["\x9C\x5A\xF8\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\x48"],

        ["\xCE\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA2"],
        ["\x9C\x5A\xF8\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xAE"],

        ["\xCE\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA3"],
        ["\x9C\x5A\xF8\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xAF"],

        ["\xCE\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA4"],
        ["\x9C\x5A\xF8\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xBA"],

        ["\xCE\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA5"],
        ["\x9C\x5A\xF8\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xBB"],

        ["\xCE\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA6"],
        ["\x9C\x5A\xF8\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],

        ["\xCE\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA7"],
        ["\x9C\x5A\xF8\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xBD"],

        ["\xCE\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA8"],
        ["\x9C\x5A\xF8\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xBE"],

        ["\xCE\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xA9"],
        ["\x9C\x5A\xF8\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],

        ["\xCE\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAA"],
        ["\x9C\x5A\xF8\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB2"],

        ["\xCE\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAB"],
        ["\x9C\x5A\xF8\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB3"],

        ["\xCE\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAC"],
        ["\x9C\x5A\xF8\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB4"],

        ["\xCE\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAD"],
        ["\x9C\x5A\xF8\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB5"],

        ["\xCE\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAE"],
        ["\x9C\x5A\xF8\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB6"],

        ["\xCE\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xAF"],
        ["\x9C\x5A\xF8\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB7"],

        ["\xCE\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB0"],
        ["\x9C\x5A\xF8\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],

        ["\xCE\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB2"],
        ["\x9C\x5A\xF8\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xB9"],

        ["\xCE\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB3"],
        ["\x9C\x5A\xF8\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],

        ["\x9E\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB4"],
        ["\x9C\x5A\xF8\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xB6"],

        ["\xCE\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB5"],
        ["\x9C\x5A\xF8\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],

        ["\xCE\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB6"],
        ["\x9C\x5A\xF8\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xCC"],

        ["\xCE\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB7"],
        ["\x9C\x5A\xF8\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xCD"],

        ["\xCE\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB8"],
        ["\x9C\x5A\xF8\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],

        ["\xCE\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xB9"],
        ["\x9C\x5A\xF8\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xCF"],

        ["\xCE\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBA"],
        ["\x9C\x5A\xF8\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],

        ["\xCE\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBB"],
        ["\x9C\x5A\xF8\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],

        ["\xCE\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBC"],
        ["\x9C\x5A\xF8\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xDC"],

        ["\xCE\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBD"],
        ["\x9C\x5A\xF8\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],

        ["\xCE\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBE"],
        ["\x9C\x5A\xF8\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],

        ["\xCE\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xBF"],
        ["\x9C\x5A\xF8\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],

        ["\x9E\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC0"],
        ["\x9C\x5A\xF8\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9E\xEF"],

        ["\xCE\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC1"],
        ["\x9C\x5A\xF8\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],

        ["\xCE\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC2"],
        ["\x9C\x5A\xF8\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],

        ["\xCE\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC3"],
        ["\x9C\x5A\xF8\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],

        ["\xCE\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC4"],
        ["\x9C\x5A\xF8\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],

        ["\x9F\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC5"],
        ["\x9C\x5A\xF8\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\x84"],

        ["\x9F\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC6"],
        ["\x9C\x5A\xF8\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\x86"],

        ["\xCE\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC7"],
        ["\x9C\x5A\xF8\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xEE"],

        ["\xCE\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC8"],
        ["\x9C\x5A\xF8\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xEF"],

        ["\xCE\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xC9"],
        ["\x9C\x5A\xF8\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xFA"],

        ["\x9F\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCA"],
        ["\x9C\x5A\xF8\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\x87"],

        ["\xCE\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCB"],
        ["\x9C\x5A\xF8\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xFB"],

        ["\xCE\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCC"],
        ["\x9C\x5A\xF8\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xFC"],

        ["\xCE\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCD"],
        ["\x9C\x5A\xF8\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xFD"],

        ["\xCE\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCE"],
        ["\x9C\x5A\xF8\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],

        ["\xCF\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xCF"],
        ["\x9C\x5A\xF8\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x41"],

        ["\xCF\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD0"],
        ["\x9C\x5A\xF8\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x42"],

        ["\xCF\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD1"],
        ["\x9C\x5A\xF8\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x43"],

        ["\xCF\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD2"],
        ["\x9C\x5A\xF8\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x44"],

        ["\xCF\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD4"],
        ["\x9C\x5A\xF8\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x45"],

        ["\x9F\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD5"],
        ["\x9C\x5A\xF8\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\x9A"],

        ["\xCF\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD6"],
        ["\x9C\x5A\xF8\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x46"],

        ["\xCF\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD7"],
        ["\x9C\x5A\xF8\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x47"],

        ["\xCF\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD8"],
        ["\x9C\x5A\xF8\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x48"],

        ["\xCF\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xD9"],
        ["\x9C\x5A\xF8\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x49"],

        ["\xCF\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDA"],
        ["\x9C\x5A\xF8\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x51"],

        ["\xCF\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDB"],
        ["\x9C\x5A\xF8\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x52"],

        ["\xCF\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDC"],
        ["\x9C\x5A\xF8\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x53"],

        ["\xCF\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDD"],
        ["\x9C\x5A\xF8\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x54"],

        ["\xCF\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDE"],
        ["\x9C\x5A\xF8\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x55"],

        ["\x9F\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xDF"],
        ["\x9C\x5A\xF8\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\xAF"],

        ["\xCF\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE0"],
        ["\x9C\x5A\xF8\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x56"],

        ["\xCF\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE1"],
        ["\x9C\x5A\xF8\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x58"],

        ["\xCF\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE2"],
        ["\x9C\x5A\xF8\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x81"],

        ["\xCF\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE3"],
        ["\x9C\x5A\xF8\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x82"],

        ["\xCF\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE4"],
        ["\x9C\x5A\xF8\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x83"],

        ["\xCF\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE5"],
        ["\x9C\x5A\xF8\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x84"],

        ["\xCF\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE6"],
        ["\x9C\x5A\xF8\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x85"],

        ["\xCF\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE7"],
        ["\x9C\x5A\xF8\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x86"],

        ["\xCF\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE8"],
        ["\x9C\x5A\xF8\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x87"],

        ["\xCF\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xE9"],
        ["\x9C\x5A\xF8\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x88"],

        ["\xCF\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xEA"],
        ["\x9C\x5A\xF8\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x89"],

        ["\xCF\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xEB"],
        ["\x9C\x5A\xF8\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x8A"],

        ["\xCF\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xEC"],
        ["\x9C\x5A\xF8\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x8C"],

        ["\xCF\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xED"],
        ["\x9C\x5A\xF8\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x8D"],

        ["\xCF\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xEE"],
        ["\x9C\x5A\xF8\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x8E"],

        ["\xCF\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF0"],
        ["\x9C\x5A\xF8\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x8F"],

        ["\xCF\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF1"],
        ["\x9C\x5A\xF8\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x90"],

        ["\x9F\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF2"],
        ["\x9C\x5A\xF8\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9F\xCB"],

        ["\xCF\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF3"],
        ["\x9C\x5A\xF8\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x91"],

        ["\xCF\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF4"],
        ["\x9C\x5A\xF8\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x92"],

        ["\xCF\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF5"],
        ["\x9C\x5A\xF8\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x93"],

        ["\xCF\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF6"],
        ["\x9C\x5A\xF8\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x94"],

        ["\xCF\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF7"],
        ["\x9C\x5A\xF8\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x95"],

        ["\xCF\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF8"],
        ["\x9C\x5A\xF8\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x96"],

        ["\xCF\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xF9"],
        ["\x9C\x5A\xF8\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x97"],

        ["\xCF\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xFA"],
        ["\x9C\x5A\xF8\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x98"],

        ["\xCF\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xFB"],
        ["\x9C\x5A\xF8\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x99"],

        ["\xCF\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF8\xFC"],
        ["\x9C\x5A\xF8\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x9A"],

        ["\xCF\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x40"],
        ["\x9C\x5A\xF9\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x9D"],

        ["\xCF\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x41"],
        ["\x9C\x5A\xF9\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x9E"],

        ["\xCF\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x42"],
        ["\x9C\x5A\xF9\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\x9F"],

        ["\xCF\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x43"],
        ["\x9C\x5A\xF9\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA2"],

        ["\xCF\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x44"],
        ["\x9C\x5A\xF9\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],

        ["\xCF\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x45"],
        ["\x9C\x5A\xF9\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA4"],

        ["\xCF\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x46"],
        ["\x9C\x5A\xF9\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],

        ["\xCF\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x47"],
        ["\x9C\x5A\xF9\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],

        ["\xCF\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x48"],
        ["\x9C\x5A\xF9\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],

        ["\xCF\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x49"],
        ["\x9C\x5A\xF9\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA8"],

        ["\xCF\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4A"],
        ["\x9C\x5A\xF9\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xA9"],

        ["\xCF\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4B"],
        ["\x9C\x5A\xF9\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xAA"],

        ["\xCF\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4C"],
        ["\x9C\x5A\xF9\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xAC"],

        ["\xCF\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4D"],
        ["\x9C\x5A\xF9\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xAD"],

        ["\xCF\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4E"],
        ["\x9C\x5A\xF9\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xAE"],

        ["\xCF\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x4F"],
        ["\x9C\x5A\xF9\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xAF"],

        ["\xCF\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x50"],
        ["\x9C\x5A\xF9\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xBA"],

        ["\xCF\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x51"],
        ["\x9C\x5A\xF9\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],

        ["\xCF\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x52"],
        ["\x9C\x5A\xF9\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],

        ["\xCF\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x53"],
        ["\x9C\x5A\xF9\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xBD"],

        ["\xCF\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x54"],
        ["\x9C\x5A\xF9\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],

        ["\xCF\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x55"],
        ["\x9C\x5A\xF9\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xBF"],

        ["\xCF\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x56"],
        ["\x9C\x5A\xF9\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB2"],

        ["\xCF\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x58"],
        ["\x9C\x5A\xF9\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB3"],

        ["\xA2\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x59"],
        ["\x9C\x5A\xF9\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\x99"],

        ["\xCF\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5A"],
        ["\x9C\x5A\xF9\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB4"],

        ["\xA2\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5B"],
        ["\x9C\x5A\xF9\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],

        ["\xA2\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5C"],
        ["\x9C\x5A\xF9\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],

        ["\xCF\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5D"],
        ["\x9C\x5A\xF9\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],

        ["\xCF\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5E"],
        ["\x9C\x5A\xF9\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB6"],

        ["\xCF\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x5F"],
        ["\x9C\x5A\xF9\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB7"],

        ["\xCF\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x60"],
        ["\x9C\x5A\xF9\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],

        ["\xCF\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x61"],
        ["\x9C\x5A\xF9\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],

        ["\xCF\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x62"],
        ["\x9C\x5A\xF9\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xCA"],

        ["\xCF\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x63"],
        ["\x9C\x5A\xF9\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xCB"],

        ["\xA2\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x65"],
        ["\x9C\x5A\xF9\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],

        ["\xCF\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x66"],
        ["\x9C\x5A\xF9\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xCC"],

        ["\xCF\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x67"],
        ["\x9C\x5A\xF9\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xCD"],

        ["\xCF\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x68"],
        ["\x9C\x5A\xF9\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xCE"],

        ["\xCF\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x69"],
        ["\x9C\x5A\xF9\x69",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xCF"],

        ["\xCF\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6A"],
        ["\x9C\x5A\xF9\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xDA"],

        ["\xCF\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6B"],
        ["\x9C\x5A\xF9\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xDB"],

        ["\xCF\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6C"],
        ["\x9C\x5A\xF9\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xDC"],

        ["\xCF\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6D"],
        ["\x9C\x5A\xF9\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xDD"],

        ["\xCF\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6E"],
        ["\x9C\x5A\xF9\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xDE"],

        ["\xCF\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x6F"],
        ["\x9C\x5A\xF9\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xDF"],

        ["\xCF\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x70"],
        ["\x9C\x5A\xF9\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xEA"],

        ["\xCF\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x71"],
        ["\x9C\x5A\xF9\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xEB"],

        ["\xCF\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x72"],
        ["\x9C\x5A\xF9\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xEC"],

        ["\xCF\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x73"],
        ["\x9C\x5A\xF9\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xED"],

        ["\xA2\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x74"],
        ["\x9C\x5A\xF9\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xAF"],

        ["\xCF\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x75"],
        ["\x9C\x5A\xF9\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xEE"],

        ["\xCF\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x76"],
        ["\x9C\x5A\xF9\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xEF"],

        ["\xCF\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x77"],
        ["\x9C\x5A\xF9\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xFA"],

        ["\xCF\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x78"],
        ["\x9C\x5A\xF9\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xFB"],

        ["\xCF\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x79"],
        ["\x9C\x5A\xF9\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xFC"],

        ["\xCF\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7A"],
        ["\x9C\x5A\xF9\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xFD"],

        ["\xCF\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7B"],
        ["\x9C\x5A\xF9\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xCF\xFE"],

        ["\xDA\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7C"],
        ["\x9C\x5A\xF9\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x41"],

        ["\xDA\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7D"],
        ["\x9C\x5A\xF9\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x42"],

        ["\xA2\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x7E"],
        ["\x9C\x5A\xF9\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xBA"],

        ["\xDA\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x80"],
        ["\x9C\x5A\xF9\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x43"],

        ["\xDA\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x81"],
        ["\x9C\x5A\xF9\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x44"],

        ["\xDA\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x82"],
        ["\x9C\x5A\xF9\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x45"],

        ["\xDA\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x83"],
        ["\x9C\x5A\xF9\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x46"],

        ["\xDA\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x84"],
        ["\x9C\x5A\xF9\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x47"],

        ["\xDA\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x85"],
        ["\x9C\x5A\xF9\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x48"],

        ["\xDA\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x86"],
        ["\x9C\x5A\xF9\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x49"],

        ["\xDA\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x87"],
        ["\x9C\x5A\xF9\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x51"],

        ["\xDA\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x88"],
        ["\x9C\x5A\xF9\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x52"],

        ["\xDA\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x89"],
        ["\x9C\x5A\xF9\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x53"],

        ["\xA2\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8A"],
        ["\x9C\x5A\xF9\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xBD"],

        ["\xDA\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8B"],
        ["\x9C\x5A\xF9\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x54"],

        ["\xDA\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8C"],
        ["\x9C\x5A\xF9\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x55"],

        ["\xDA\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8D"],
        ["\x9C\x5A\xF9\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x56"],

        ["\xDA\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8E"],
        ["\x9C\x5A\xF9\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x58"],

        ["\xDA\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x8F"],
        ["\x9C\x5A\xF9\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x81"],

        ["\xDA\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x90"],
        ["\x9C\x5A\xF9\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x82"],

        ["\xDA\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x91"],
        ["\x9C\x5A\xF9\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x83"],

        ["\xDA\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x92"],
        ["\x9C\x5A\xF9\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x84"],

        ["\xDA\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x93"],
        ["\x9C\x5A\xF9\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x85"],

        ["\xDA\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x94"],
        ["\x9C\x5A\xF9\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x86"],

        ["\xDA\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x95"],
        ["\x9C\x5A\xF9\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x87"],

        ["\xDA\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x96"],
        ["\x9C\x5A\xF9\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x88"],

        ["\xDA\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x97"],
        ["\x9C\x5A\xF9\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x89"],

        ["\xDA\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x98"],
        ["\x9C\x5A\xF9\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x8A"],

        ["\xDA\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x99"],
        ["\x9C\x5A\xF9\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x8C"],

        ["\xA2\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9A"],
        ["\x9C\x5A\xF9\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xB7"],

        ["\xDA\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9B"],
        ["\x9C\x5A\xF9\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x8D"],

        ["\xA2\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9C"],
        ["\x9C\x5A\xF9\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xB5"],

        ["\xDA\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9D"],
        ["\x9C\x5A\xF9\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x8E"],

        ["\xA2\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9E"],
        ["\x9C\x5A\xF9\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xB8"],

        ["\xDA\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\x9F"],
        ["\x9C\x5A\xF9\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x8F"],

        ["\xA2\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA0"],
        ["\x9C\x5A\xF9\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xB9"],

        ["\xDA\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA1"],
        ["\x9C\x5A\xF9\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x90"],

        ["\xDA\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA2"],
        ["\x9C\x5A\xF9\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x91"],

        ["\xDA\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA3"],
        ["\x9C\x5A\xF9\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x92"],

        ["\xDA\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA4"],
        ["\x9C\x5A\xF9\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x93"],

        ["\xA5\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA5"],
        ["\x9C\x5A\xF9\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],

        ["\xA2\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA6"],
        ["\x9C\x5A\xF9\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xCE"],

        ["\xDA\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA7"],
        ["\x9C\x5A\xF9\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x94"],

        ["\xDA\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA8"],
        ["\x9C\x5A\xF9\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x95"],

        ["\xDA\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xA9"],
        ["\x9C\x5A\xF9\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x96"],

        ["\xDA\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAA"],
        ["\x9C\x5A\xF9\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x97"],

        ["\xDA\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAB"],
        ["\x9C\x5A\xF9\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x98"],

        ["\xDA\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAC"],
        ["\x9C\x5A\xF9\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x99"],

        ["\xDA\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAD"],
        ["\x9C\x5A\xF9\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x9A"],

        ["\xDA\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAE"],
        ["\x9C\x5A\xF9\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x9D"],

        ["\xDA\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xAF"],
        ["\x9C\x5A\xF9\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x9E"],

        ["\xA2\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB0"],
        ["\x9C\x5A\xF9\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA2\xEE"],

        ["\xDA\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB1"],
        ["\x9C\x5A\xF9\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\x9F"],

        ["\xDA\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB2"],
        ["\x9C\x5A\xF9\xB2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xA2"],

        ["\xDA\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB3"],
        ["\x9C\x5A\xF9\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xA3"],

        ["\xDA\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB4"],
        ["\x9C\x5A\xF9\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xA4"],

        ["\xA3\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB5"],
        ["\x9C\x5A\xF9\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x41"],

        ["\xDA\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB6"],
        ["\x9C\x5A\xF9\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xA5"],

        ["\xA3\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB7"],
        ["\x9C\x5A\xF9\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x43"],

        ["\xDA\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB8"],
        ["\x9C\x5A\xF9\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xA6"],

        ["\xDA\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xB9"],
        ["\x9C\x5A\xF9\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xA7"],

        ["\xDA\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBA"],
        ["\x9C\x5A\xF9\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xA8"],

        ["\xDA\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBB"],
        ["\x9C\x5A\xF9\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xA9"],

        ["\xDA\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBC"],
        ["\x9C\x5A\xF9\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xAA"],

        ["\xDA\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBD"],
        ["\x9C\x5A\xF9\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xAC"],

        ["\xDA\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBE"],
        ["\x9C\x5A\xF9\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xAD"],

        ["\xDA\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xBF"],
        ["\x9C\x5A\xF9\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xAE"],

        ["\xDA\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC0"],
        ["\x9C\x5A\xF9\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xAF"],

        ["\xDA\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC1"],
        ["\x9C\x5A\xF9\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xBA"],

        ["\xDA\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC2"],
        ["\x9C\x5A\xF9\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xBB"],

        ["\xDA\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC3"],
        ["\x9C\x5A\xF9\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xBC"],

        ["\x9A\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC4"],
        ["\x9C\x5A\xF9\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9A\xCD"],

        ["\xDA\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC5"],
        ["\x9C\x5A\xF9\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xBD"],

        ["\xDA\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC6"],
        ["\x9C\x5A\xF9\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xBE"],

        ["\xA3\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC7"],
        ["\x9C\x5A\xF9\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x90"],

        ["\xDA\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC8"],
        ["\x9C\x5A\xF9\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xBF"],

        ["\xDA\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xC9"],
        ["\x9C\x5A\xF9\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xB2"],

        ["\xDA\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCA"],
        ["\x9C\x5A\xF9\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xB3"],

        ["\xDA\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCB"],
        ["\x9C\x5A\xF9\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xB4"],

        ["\xDA\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCC"],
        ["\x9C\x5A\xF9\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xB5"],

        ["\xDA\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCD"],
        ["\x9C\x5A\xF9\xCD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xB6"],

        ["\xDA\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCE"],
        ["\x9C\x5A\xF9\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xB7"],

        ["\xDA\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xCF"],
        ["\x9C\x5A\xF9\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xB8"],

        ["\xDA\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD0"],
        ["\x9C\x5A\xF9\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xB9"],

        ["\xDA\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD1"],
        ["\x9C\x5A\xF9\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xCA"],

        ["\xA3\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD2"],
        ["\x9C\x5A\xF9\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\x9E"],

        ["\xDA\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD3"],
        ["\x9C\x5A\xF9\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xCB"],

        ["\xDA\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD4"],
        ["\x9C\x5A\xF9\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xCC"],

        ["\xDA\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD5"],
        ["\x9C\x5A\xF9\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xCD"],

        ["\xDA\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD6"],
        ["\x9C\x5A\xF9\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xCE"],

        ["\xDA\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD7"],
        ["\x9C\x5A\xF9\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xCF"],

        ["\xA3\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD8"],
        ["\x9C\x5A\xF9\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xAD"],

        ["\xA3\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xD9"],
        ["\x9C\x5A\xF9\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xA6"],

        ["\xA3\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDA"],
        ["\x9C\x5A\xF9\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xA8"],

        ["\xDA\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDB"],
        ["\x9C\x5A\xF9\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xDA"],

        ["\xDA\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDC"],
        ["\x9C\x5A\xF9\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xDB"],

        ["\xDA\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDD"],
        ["\x9C\x5A\xF9\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xDC"],

        ["\xA3\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xDF"],
        ["\x9C\x5A\xF9\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xB6"],

        ["\xA3\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE0"],
        ["\x9C\x5A\xF9\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xCD"],

        ["\xDA\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE1"],
        ["\x9C\x5A\xF9\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xDD"],

        ["\xDA\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE2"],
        ["\x9C\x5A\xF9\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xDE"],

        ["\xDA\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE3"],
        ["\x9C\x5A\xF9\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xDF"],

        ["\xDA\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE4"],
        ["\x9C\x5A\xF9\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xEA"],

        ["\xDA\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE5"],
        ["\x9C\x5A\xF9\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xEB"],

        ["\xDA\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE6"],
        ["\x9C\x5A\xF9\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xEC"],

        ["\xDA\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE7"],
        ["\x9C\x5A\xF9\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xED"],

        ["\xA3\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE8"],
        ["\x9C\x5A\xF9\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],

        ["\xDA\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xE9"],
        ["\x9C\x5A\xF9\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xEE"],

        ["\xDA\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEA"],
        ["\x9C\x5A\xF9\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xEF"],

        ["\xDA\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEB"],
        ["\x9C\x5A\xF9\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xFA"],

        ["\xDA\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEC"],
        ["\x9C\x5A\xF9\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xFB"],

        ["\xDA\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEE"],
        ["\x9C\x5A\xF9\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xFC"],

        ["\xDA\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xEF"],
        ["\x9C\x5A\xF9\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xFD"],

        ["\xDA\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF0"],
        ["\x9C\x5A\xF9\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDA\xFE"],

        ["\xDB\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF1"],
        ["\x9C\x5A\xF9\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x41"],

        ["\xDB\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF2"],
        ["\x9C\x5A\xF9\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x42"],

        ["\xDB\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF3"],
        ["\x9C\x5A\xF9\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x43"],

        ["\xA4\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF4"],
        ["\x9C\x5A\xF9\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x43"],

        ["\xDB\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF5"],
        ["\x9C\x5A\xF9\xF5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x44"],

        ["\xDB\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF6"],
        ["\x9C\x5A\xF9\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x45"],

        ["\xDB\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF7"],
        ["\x9C\x5A\xF9\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x46"],

        ["\xDB\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF8"],
        ["\x9C\x5A\xF9\xF8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x47"],

        ["\xA4\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xF9"],
        ["\x9C\x5A\xF9\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x45"],

        ["\xA4\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xFA"],
        ["\x9C\x5A\xF9\xFA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x46"],

        ["\xDB\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xFB"],
        ["\x9C\x5A\xF9\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x48"],

        ["\x9D\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xF9\xFC"],
        ["\x9C\x5A\xF9\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x9D\xB7"],

        ["\xDB\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4A"],
        ["\x9C\x5A\xFA\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x49"],

        ["\xA4\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4B"],
        ["\x9C\x5A\xFA\x4B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x85"],

        ["\xDB\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4C"],
        ["\x9C\x5A\xFA\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x51"],

        ["\xA4\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4D"],
        ["\x9C\x5A\xFA\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x89"],

        ["\xDB\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x4E"],
        ["\x9C\x5A\xFA\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x52"],

        ["\xDB\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x50"],
        ["\x9C\x5A\xFA\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x53"],

        ["\xDB\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x51"],
        ["\x9C\x5A\xFA\x51",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x54"],

        ["\xDB\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x52"],
        ["\x9C\x5A\xFA\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x55"],

        ["\xDB\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x53"],
        ["\x9C\x5A\xFA\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x56"],

        ["\xDB\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x54"],
        ["\x9C\x5A\xFA\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x58"],

        ["\xA4\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x55"],
        ["\x9C\x5A\xFA\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\x99"],

        ["\xDB\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x56"],
        ["\x9C\x5A\xFA\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x81"],

        ["\xDB\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x57"],
        ["\x9C\x5A\xFA\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x82"],

        ["\xDB\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x58"],
        ["\x9C\x5A\xFA\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x83"],

        ["\xDB\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x59"],
        ["\x9C\x5A\xFA\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x84"],

        ["\xDB\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x5A"],
        ["\x9C\x5A\xFA\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x85"],

        ["\xDB\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x5B"],
        ["\x9C\x5A\xFA\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x86"],

        ["\xDB\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x5E"],
        ["\x9C\x5A\xFA\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x87"],

        ["\xDB\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x5F"],
        ["\x9C\x5A\xFA\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x88"],

        ["\xDB\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x65"],
        ["\x9C\x5A\xFA\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x89"],

        ["\xDB\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x68"],
        ["\x9C\x5A\xFA\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x8A"],

        ["\xDB\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x7B"],
        ["\x9C\x5A\xFA\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x8C"],

        ["\xA4\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x90"],
        ["\x9C\x5A\xFA\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA4\xFB"],

        ["\xDB\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x9B"],
        ["\x9C\x5A\xFA\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x8D"],

        ["\xA5\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\x9C"],
        ["\x9C\x5A\xFA\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA5\x8F"],

        ["\xDB\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xA5"],
        ["\x9C\x5A\xFA\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x8E"],

        ["\xDB\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xB1"],
        ["\x9C\x5A\xFA\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x8F"],

        ["\xDB\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xD8"],
        ["\x9C\x5A\xFA\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x90"],

        ["\xA6\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xE0"],
        ["\x9C\x5A\xFA\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xB4"],

        ["\xA6\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xE8"],
        ["\x9C\x5A\xFA\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA6\xCD"],

        ["\xDB\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFA\xEA"],
        ["\x9C\x5A\xFA\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x91"],

        ["\xDB\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x58"],
        ["\x9C\x5A\xFB\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x92"],

        ["\xDB\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x5E"],
        ["\x9C\x5A\xFB\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x93"],

        ["\xA8\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x75"],
        ["\x9C\x5A\xFB\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x41"],

        ["\x86\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x7D"],
        ["\x9C\x5A\xFB\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x86\xA7"],

        ["\xDB\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x7E"],
        ["\x9C\x5A\xFB\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x94"],

        ["\xDB\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x80"],
        ["\x9C\x5A\xFB\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x95"],

        ["\xDB\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x82"],
        ["\x9C\x5A\xFB\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x96"],

        ["\xA8\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x86"],
        ["\x9C\x5A\xFB\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x88"],

        ["\xDB\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x8A"],
        ["\x9C\x5A\xFB\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x97"],

        ["\xDB\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x90"],
        ["\x9C\x5A\xFB\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x98"],

        ["\xDB\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x92"],
        ["\x9C\x5A\xFB\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x99"],

        ["\xDB\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x95"],
        ["\x9C\x5A\xFB\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x9A"],

        ["\xDB\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x98"],
        ["\x9C\x5A\xFB\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x9D"],

        ["\xDB\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x9D"],
        ["\x9C\x5A\xFB\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x9E"],

        ["\xDB\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\x9F"],
        ["\x9C\x5A\xFB\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\x9F"],

        ["\xA8\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xA9"],
        ["\x9C\x5A\xFB\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xB3"],

        ["\xA8\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB1"],
        ["\x9C\x5A\xFB\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\xDE"],

        ["\xDB\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB3"],
        ["\x9C\x5A\xFB\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xA2"],

        ["\x93\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB4"],
        ["\x9C\x5A\xFB\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\x93\x58"],

        ["\xDB\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB5"],
        ["\x9C\x5A\xFB\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xA3"],

        ["\xDB\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xB7"],
        ["\x9C\x5A\xFB\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xA4"],

        ["\xDB\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xD3"],
        ["\x9C\x5A\xFB\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xA5"],

        ["\xDB\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xDA"],
        ["\x9C\x5A\xFB\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xA6"],

        ["\xDB\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xE9"],
        ["\x9C\x5A\xFB\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xA7"],

        ["\xDB\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xEA"],
        ["\x9C\x5A\xFB\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xA8"],

        ["\xDB\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xF6"],
        ["\x9C\x5A\xFB\xF6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xA9"],

        ["\xDB\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xF7"],
        ["\x9C\x5A\xFB\xF7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xAA"],

        ["\xDB\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xF9"],
        ["\x9C\x5A\xFB\xF9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xAC"],

        ["\xDB\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xFB"],
        ["\x9C\x5A\xFB\xFB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xAD"],

        ["\xDB\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFB\xFC"],
        ["\x9C\x5A\xFB\xFC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xAE"],

        ["\xDB\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x40"],
        ["\x9C\x5A\xFC\x40",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xAF"],

        ["\xDB\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x41"],
        ["\x9C\x5A\xFC\x41",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xBA"],

        ["\xDB\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x42"],
        ["\x9C\x5A\xFC\x42",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xBB"],

        ["\xDB\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x43"],
        ["\x9C\x5A\xFC\x43",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xBC"],

        ["\xDB\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x44"],
        ["\x9C\x5A\xFC\x44",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xBD"],

        ["\xDB\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x45"],
        ["\x9C\x5A\xFC\x45",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xBE"],

        ["\xA9\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x46"],
        ["\x9C\x5A\xFC\x46",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xBA"],

        ["\xDB\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x47"],
        ["\x9C\x5A\xFC\x47",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xBF"],

        ["\xDB\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x48"],
        ["\x9C\x5A\xFC\x48",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xB2"],

        ["\xDB\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x49"],
        ["\x9C\x5A\xFC\x49",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xB3"],

        ["\xDB\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4A"],
        ["\x9C\x5A\xFC\x4A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xB4"],

        ["\xDB\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4C"],
        ["\x9C\x5A\xFC\x4C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xB5"],

        ["\xDB\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4D"],
        ["\x9C\x5A\xFC\x4D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xB6"],

        ["\xDB\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4E"],
        ["\x9C\x5A\xFC\x4E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xB7"],

        ["\xDB\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x4F"],
        ["\x9C\x5A\xFC\x4F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xB8"],

        ["\xDB\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x50"],
        ["\x9C\x5A\xFC\x50",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xB9"],

        ["\xDB\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x52"],
        ["\x9C\x5A\xFC\x52",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xCA"],

        ["\xDB\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x53"],
        ["\x9C\x5A\xFC\x53",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xCB"],

        ["\xA9\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x54"],
        ["\x9C\x5A\xFC\x54",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xB3"],

        ["\xDB\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x55"],
        ["\x9C\x5A\xFC\x55",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xCC"],

        ["\xDB\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x56"],
        ["\x9C\x5A\xFC\x56",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xCD"],

        ["\xDB\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x57"],
        ["\x9C\x5A\xFC\x57",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xCE"],

        ["\xA9\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x58"],
        ["\x9C\x5A\xFC\x58",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xB7"],

        ["\xDB\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x59"],
        ["\x9C\x5A\xFC\x59",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xCF"],

        ["\xDB\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5A"],
        ["\x9C\x5A\xFC\x5A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xDA"],

        ["\xDB\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5B"],
        ["\x9C\x5A\xFC\x5B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xDB"],

        ["\xDB\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5C"],
        ["\x9C\x5A\xFC\x5C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xDC"],

        ["\xDB\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5D"],
        ["\x9C\x5A\xFC\x5D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xDD"],

        ["\xDB\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5E"],
        ["\x9C\x5A\xFC\x5E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xDE"],

        ["\xDB\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x5F"],
        ["\x9C\x5A\xFC\x5F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xDF"],

        ["\xDB\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x60"],
        ["\x9C\x5A\xFC\x60",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xEA"],

        ["\xDB\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x61"],
        ["\x9C\x5A\xFC\x61",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xEB"],

        ["\xDB\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x62"],
        ["\x9C\x5A\xFC\x62",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xEC"],

        ["\xDB\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x63"],
        ["\x9C\x5A\xFC\x63",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xED"],

        ["\xA9\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x64"],
        ["\x9C\x5A\xFC\x64",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xDA"],

        ["\xDB\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x65"],
        ["\x9C\x5A\xFC\x65",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xEE"],

        ["\xDB\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x66"],
        ["\x9C\x5A\xFC\x66",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xEF"],

        ["\xDB\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x67"],
        ["\x9C\x5A\xFC\x67",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xFA"],

        ["\xDB\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x68"],
        ["\x9C\x5A\xFC\x68",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xFB"],

        ["\xDB\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6A"],
        ["\x9C\x5A\xFC\x6A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xFC"],

        ["\xDB\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6B"],
        ["\x9C\x5A\xFC\x6B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xFD"],

        ["\xA9\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6C"],
        ["\x9C\x5A\xFC\x6C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA9\xFC"],

        ["\xDB\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6D"],
        ["\x9C\x5A\xFC\x6D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDB\xFE"],

        ["\xDC\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6E"],
        ["\x9C\x5A\xFC\x6E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x41"],

        ["\xAA\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x6F"],
        ["\x9C\x5A\xFC\x6F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x41"],

        ["\xDC\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x70"],
        ["\x9C\x5A\xFC\x70",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x42"],

        ["\xDC\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x71"],
        ["\x9C\x5A\xFC\x71",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x43"],

        ["\xDC\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x72"],
        ["\x9C\x5A\xFC\x72",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x44"],

        ["\xDC\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x73"],
        ["\x9C\x5A\xFC\x73",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x45"],

        ["\xAA\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x74"],
        ["\x9C\x5A\xFC\x74",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x54"],

        ["\xAA\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x75"],
        ["\x9C\x5A\xFC\x75",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x49"],

        ["\xDC\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x76"],
        ["\x9C\x5A\xFC\x76",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x46"],

        ["\xDC\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x77"],
        ["\x9C\x5A\xFC\x77",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x47"],

        ["\xDC\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x78"],
        ["\x9C\x5A\xFC\x78",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x48"],

        ["\xAA\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x79"],
        ["\x9C\x5A\xFC\x79",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x81"],

        ["\xDC\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7A"],
        ["\x9C\x5A\xFC\x7A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x49"],

        ["\xDC\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7B"],
        ["\x9C\x5A\xFC\x7B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x51"],

        ["\xDC\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7C"],
        ["\x9C\x5A\xFC\x7C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x52"],

        ["\xDC\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7D"],
        ["\x9C\x5A\xFC\x7D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x53"],

        ["\xDC\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x7E"],
        ["\x9C\x5A\xFC\x7E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x54"],

        ["\xDC\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x80"],
        ["\x9C\x5A\xFC\x80",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x55"],

        ["\xDC\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x81"],
        ["\x9C\x5A\xFC\x81",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x56"],

        ["\xDC\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x82"],
        ["\x9C\x5A\xFC\x82",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x58"],

        ["\xDC\x81",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x83"],
        ["\x9C\x5A\xFC\x83",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x81"],

        ["\xDC\x82",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x84"],
        ["\x9C\x5A\xFC\x84",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x82"],

        ["\xAA\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x85"],
        ["\x9C\x5A\xFC\x85",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x84"],

        ["\xAA\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x86"],
        ["\x9C\x5A\xFC\x86",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x86"],

        ["\xDC\x83",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x87"],
        ["\x9C\x5A\xFC\x87",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x83"],

        ["\xAA\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x88"],
        ["\x9C\x5A\xFC\x88",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x87"],

        ["\xDC\x84",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x89"],
        ["\x9C\x5A\xFC\x89",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x84"],

        ["\xDC\x85",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8A"],
        ["\x9C\x5A\xFC\x8A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x85"],

        ["\xDC\x86",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8B"],
        ["\x9C\x5A\xFC\x8B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x86"],

        ["\xDC\x87",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8C"],
        ["\x9C\x5A\xFC\x8C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x87"],

        ["\xDC\x88",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8D"],
        ["\x9C\x5A\xFC\x8D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x88"],

        ["\xDC\x89",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8E"],
        ["\x9C\x5A\xFC\x8E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x89"],

        ["\xDC\x8A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x8F"],
        ["\x9C\x5A\xFC\x8F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x8A"],

        ["\xDC\x8C",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x90"],
        ["\x9C\x5A\xFC\x90",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x8C"],

        ["\xDC\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x91"],
        ["\x9C\x5A\xFC\x91",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x8D"],

        ["\xDC\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x92"],
        ["\x9C\x5A\xFC\x92",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x8E"],

        ["\xDC\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x93"],
        ["\x9C\x5A\xFC\x93",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x8F"],

        ["\xDC\x90",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x94"],
        ["\x9C\x5A\xFC\x94",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x90"],

        ["\xDC\x91",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x95"],
        ["\x9C\x5A\xFC\x95",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x91"],

        ["\xAA\x8D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x96"],
        ["\x9C\x5A\xFC\x96",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x8D"],

        ["\xDC\x92",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x97"],
        ["\x9C\x5A\xFC\x97",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x92"],

        ["\xDC\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x98"],
        ["\x9C\x5A\xFC\x98",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x93"],

        ["\xDC\x94",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x99"],
        ["\x9C\x5A\xFC\x99",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x94"],

        ["\xAA\x8E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9A"],
        ["\x9C\x5A\xFC\x9A",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x8E"],

        ["\xAA\x8F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9B"],
        ["\x9C\x5A\xFC\x9B",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x8F"],

        ["\xDC\x95",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9C"],
        ["\x9C\x5A\xFC\x9C",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x95"],

        ["\xDC\x96",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9D"],
        ["\x9C\x5A\xFC\x9D",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x96"],

        ["\xDC\x97",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9E"],
        ["\x9C\x5A\xFC\x9E",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x97"],

        ["\xDC\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\x9F"],
        ["\x9C\x5A\xFC\x9F",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x98"],

        ["\xDC\x99",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA0"],
        ["\x9C\x5A\xFC\xA0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x99"],

        ["\xAA\x93",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA1"],
        ["\x9C\x5A\xFC\xA1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x93"],

        ["\xDC\x9A",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA2"],
        ["\x9C\x5A\xFC\xA2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x9A"],

        ["\xDC\x9D",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA3"],
        ["\x9C\x5A\xFC\xA3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x9D"],

        ["\xDC\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA4"],
        ["\x9C\x5A\xFC\xA4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x9E"],

        ["\xDC\x9F",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA5"],
        ["\x9C\x5A\xFC\xA5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\x9F"],

        ["\xAA\x98",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA6"],
        ["\x9C\x5A\xFC\xA6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\x98"],

        ["\xDC\xA2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA7"],
        ["\x9C\x5A\xFC\xA7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xA2"],

        ["\xDC\xA3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA8"],
        ["\x9C\x5A\xFC\xA8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xA3"],

        ["\xDC\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xA9"],
        ["\x9C\x5A\xFC\xA9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xA4"],

        ["\xDC\xA5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAA"],
        ["\x9C\x5A\xFC\xAA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xA5"],

        ["\xDC\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAB"],
        ["\x9C\x5A\xFC\xAB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xA6"],

        ["\xDC\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAC"],
        ["\x9C\x5A\xFC\xAC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xA7"],

        ["\xDC\xA8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAD"],
        ["\x9C\x5A\xFC\xAD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xA8"],

        ["\xDC\xA9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAE"],
        ["\x9C\x5A\xFC\xAE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xA9"],

        ["\xAA\xA4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xAF"],
        ["\x9C\x5A\xFC\xAF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xA4"],

        ["\xDC\xAA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB0"],
        ["\x9C\x5A\xFC\xB0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xAA"],

        ["\xDC\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB1"],
        ["\x9C\x5A\xFC\xB1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xAC"],

        ["\xDC\xAD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB3"],
        ["\x9C\x5A\xFC\xB3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xAD"],

        ["\xDC\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB4"],
        ["\x9C\x5A\xFC\xB4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xAE"],

        ["\xDC\xAF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB5"],
        ["\x9C\x5A\xFC\xB5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xAF"],

        ["\xAA\xA6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB6"],
        ["\x9C\x5A\xFC\xB6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xA6"],

        ["\xDC\xBA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB7"],
        ["\x9C\x5A\xFC\xB7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xBA"],

        ["\xDC\xBB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB8"],
        ["\x9C\x5A\xFC\xB8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xBB"],

        ["\xAA\xA7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xB9"],
        ["\x9C\x5A\xFC\xB9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xA7"],

        ["\xDC\xBC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBA"],
        ["\x9C\x5A\xFC\xBA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xBC"],

        ["\xAA\xAC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBB"],
        ["\x9C\x5A\xFC\xBB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xAC"],

        ["\xDC\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBC"],
        ["\x9C\x5A\xFC\xBC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xBD"],

        ["\xA8\x9E",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBD"],
        ["\x9C\x5A\xFC\xBD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xA8\x9E"],

        ["\xDC\xBE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBE"],
        ["\x9C\x5A\xFC\xBE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xBE"],

        ["\xDC\xBF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xBF"],
        ["\x9C\x5A\xFC\xBF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xBF"],

        ["\xAA\xAE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC0"],
        ["\x9C\x5A\xFC\xC0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xAE"],

        ["\xDC\xB2",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC1"],
        ["\x9C\x5A\xFC\xC1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xB2"],

        ["\xDC\xB3",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC2"],
        ["\x9C\x5A\xFC\xC2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xB3"],

        ["\xDC\xB4",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC3"],
        ["\x9C\x5A\xFC\xC3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xB4"],

        ["\xDC\xB5",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC4"],
        ["\x9C\x5A\xFC\xC4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xB5"],

        ["\xDC\xB6",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC5"],
        ["\x9C\x5A\xFC\xC5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xB6"],

        ["\xDC\xB7",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC6"],
        ["\x9C\x5A\xFC\xC6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xB7"],

        ["\xDC\xB8",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC7"],
        ["\x9C\x5A\xFC\xC7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xB8"],

        ["\xDC\xB9",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC8"],
        ["\x9C\x5A\xFC\xC8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xB9"],

        ["\xDC\xCA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xC9"],
        ["\x9C\x5A\xFC\xC9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xCA"],

        ["\xDC\xCB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCA"],
        ["\x9C\x5A\xFC\xCA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xCB"],

        ["\xDC\xCC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCB"],
        ["\x9C\x5A\xFC\xCB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xCC"],

        ["\xDC\xCD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCC"],
        ["\x9C\x5A\xFC\xCC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xCD"],

        ["\xAA\xBD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCE"],
        ["\x9C\x5A\xFC\xCE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xBD"],

        ["\xDC\xCE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xCF"],
        ["\x9C\x5A\xFC\xCF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xCE"],

        ["\xDC\xCF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD0"],
        ["\x9C\x5A\xFC\xD0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xCF"],

        ["\xDC\xDA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD1"],
        ["\x9C\x5A\xFC\xD1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xDA"],

        ["\xDC\xDB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD2"],
        ["\x9C\x5A\xFC\xD2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xDB"],

        ["\xDC\xDC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD3"],
        ["\x9C\x5A\xFC\xD3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xDC"],

        ["\xDC\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD4"],
        ["\x9C\x5A\xFC\xD4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xDD"],

        ["\xDC\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD5"],
        ["\x9C\x5A\xFC\xD5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xDE"],

        ["\xDC\xDF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD6"],
        ["\x9C\x5A\xFC\xD6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xDF"],

        ["\xDC\xEA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD7"],
        ["\x9C\x5A\xFC\xD7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xEA"],

        ["\xDC\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD8"],
        ["\x9C\x5A\xFC\xD8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xEB"],

        ["\xDC\xEC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xD9"],
        ["\x9C\x5A\xFC\xD9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xEC"],

        ["\xDC\xED",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDA"],
        ["\x9C\x5A\xFC\xDA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xED"],

        ["\xDC\xEE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDB"],
        ["\x9C\x5A\xFC\xDB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xEE"],

        ["\xDC\xEF",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDC"],
        ["\x9C\x5A\xFC\xDC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xEF"],

        ["\xDC\xFA",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDD"],
        ["\x9C\x5A\xFC\xDD",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xFA"],

        ["\xDC\xFB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDE"],
        ["\x9C\x5A\xFC\xDE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xFB"],

        ["\xDC\xFC",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xDF"],
        ["\x9C\x5A\xFC\xDF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xFC"],

        ["\xDC\xFD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE0"],
        ["\x9C\x5A\xFC\xE0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xFD"],

        ["\xAA\xDD",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE1"],
        ["\x9C\x5A\xFC\xE1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xDD"],

        ["\xDC\xFE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE2"],
        ["\x9C\x5A\xFC\xE2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDC\xFE"],

        ["\xAA\xDE",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE3"],
        ["\x9C\x5A\xFC\xE3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xDE"],

        ["\xDD\x41",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE4"],
        ["\x9C\x5A\xFC\xE4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x41"],

        ["\xDD\x42",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE5"],
        ["\x9C\x5A\xFC\xE5",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x42"],

        ["\xAA\xEB",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE6"],
        ["\x9C\x5A\xFC\xE6",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xAA\xEB"],

        ["\xDD\x43",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE7"],
        ["\x9C\x5A\xFC\xE7",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x43"],

        ["\xDD\x44",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE8"],
        ["\x9C\x5A\xFC\xE8",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x44"],

        ["\xDD\x45",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xE9"],
        ["\x9C\x5A\xFC\xE9",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x45"],

        ["\xDD\x46",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEA"],
        ["\x9C\x5A\xFC\xEA",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x46"],

        ["\xDD\x47",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEB"],
        ["\x9C\x5A\xFC\xEB",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x47"],

        ["\xDD\x48",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEC"],
        ["\x9C\x5A\xFC\xEC",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x48"],

        ["\xDD\x49",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xED"],
        ["\x9C\x5A\xFC\xED",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x49"],

        ["\xDD\x51",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEE"],
        ["\x9C\x5A\xFC\xEE",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x51"],

        ["\xDD\x52",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xEF"],
        ["\x9C\x5A\xFC\xEF",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x52"],

        ["\xDD\x53",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF0"],
        ["\x9C\x5A\xFC\xF0",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x53"],

        ["\xDD\x54",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF1"],
        ["\x9C\x5A\xFC\xF1",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x54"],

        ["\xDD\x55",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF2"],
        ["\x9C\x5A\xFC\xF2",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x55"],

        ["\xDD\x56",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF3"],
        ["\x9C\x5A\xFC\xF3",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x56"],

        ["\xDD\x58",'cp932x','jipse',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A\xFC\xF4"],
        ["\x9C\x5A\xFC\xF4",'jipse','cp932x',{'INPUT_LAYOUT'=>'D'},"\xDD\x58"],

    );
    $|=1; print "1..",scalar(@test),"\n"; my $testno=1; sub ok { print $_[0]?'ok ':'not ok ',$testno++,$_[1]?" - $_[1]\n":"\n" }
}

use Jacode4e::RoundTrip;

for my $test (@test) {
    my($give,$OUTPUT_encoding,$INPUT_encoding,$option,$want) = @{$test};
    my $got = $give;
    my $return = Jacode4e::RoundTrip::convert(\$got,$OUTPUT_encoding,$INPUT_encoding,$option);

    my $option_content = '';
    if (defined $option) {
        $option_content .= qq{INPUT_LAYOUT=>$option->{'INPUT_LAYOUT'}}        if exists $option->{'INPUT_LAYOUT'};
        $option_content .= qq{OUTPUT_SHIFTING=>$option->{'OUTPUT_SHIFTING'}}  if exists $option->{'OUTPUT_SHIFTING'};
        $option_content .= qq{SPACE=>@{[uc unpack('H*',$option->{'SPACE'})]}} if exists $option->{'SPACE'};
        $option_content .= qq{GETA=>@{[uc unpack('H*',$option->{'GETA'})]}}   if exists $option->{'GETA'};
        $option_content = "{$option_content}";
    }

    ok(($return > 0) and ($got eq $want),
        sprintf(qq{$INPUT_encoding(%s) to $OUTPUT_encoding(%s), $option_content => return=$return,got=(%s)},
            uc unpack('H*',$give),
            uc unpack('H*',$want),
            uc unpack('H*',$got),
        )
    );
}

__END__
