######################################################################
#
# 5101_utf8_by_jipse_RT_DBCS.t
#
# Copyright (c) 2018, 2019 INABA Hitoshi <ina@cpan.org> in a CPAN
######################################################################

use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";

BEGIN {
    use vars qw(@test);
    @test = (
        ["\x4F\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x80"],
        ["\xE3\x80\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x4F"],

        ["\x4F\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x81"],
        ["\xE3\x80\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x7F"],

        ["\x4F\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x82"],
        ["\xE3\x80\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x7B"],

        ["\x4F\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8C"],
        ["\xEF\xBC\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xE0"],

        ["\x4F\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8E"],
        ["\xEF\xBC\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x6C"],

        ["\x4F\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBB"],
        ["\xE3\x83\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x50"],

        ["\x4F\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9A"],
        ["\xEF\xBC\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x7D"],

        ["\x4F\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9B"],
        ["\xEF\xBC\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x4D"],

        ["\x4F\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9F"],
        ["\xEF\xBC\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x5D"],

        ["\x4F\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x81"],
        ["\xEF\xBC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x5C"],

        ["\x4F\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9B"],
        ["\xE3\x82\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x4E"],

        ["\x4F\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9C"],
        ["\xE3\x82\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x6B"],

        ["\x4F\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],
        ["\xC2\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x60"],

        ["\x4F\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x80"],
        ["\xEF\xBD\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x4B"],

        ["\x4F\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],
        ["\xC2\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x61"],

        ["\x4F\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBE"],
        ["\xEF\xBC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF0"],

        ["\x4F\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA3"],
        ["\xEF\xBF\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF1"],

        ["\x4F\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBF"],
        ["\xEF\xBC\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF2"],

        ["\x4F\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBD"],
        ["\xE3\x83\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF3"],

        ["\x4F\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBE"],
        ["\xE3\x83\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF4"],

        ["\x4F\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9D"],
        ["\xE3\x82\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF5"],

        ["\x4F\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9E"],
        ["\xE3\x82\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF6"],

        ["\x4F\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x83"],
        ["\xE3\x80\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF7"],

        ["\x4F\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x9D"],
        ["\xE4\xBB\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF8"],

        ["\x4F\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x85"],
        ["\xE3\x80\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xF9"],

        ["\x4F\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x86"],
        ["\xE3\x80\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x7A"],

        ["\x4F\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x87"],
        ["\xE3\x80\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x5E"],

        ["\x4F\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBC"],
        ["\xE3\x83\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x4C"],

        ["\x4F\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x95"],
        ["\xE2\x80\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x7E"],

        ["\x4F\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x90"],
        ["\xE2\x80\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x6E"],

        ["\x4F\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8F"],
        ["\xEF\xBC\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x6F"],

        ["\x4F\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBC"],
        ["\xEF\xBC\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x7C"],

        ["\x4F\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x9C"],
        ["\xE3\x80\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC1"],

        ["\x4F\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA5"],
        ["\xE2\x88\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC2"],

        ["\x4F\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9C"],
        ["\xEF\xBD\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC3"],

        ["\x4F\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA6"],
        ["\xE2\x80\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC4"],

        ["\x4F\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA5"],
        ["\xE2\x80\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC5"],

        ["\x4F\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x98"],
        ["\xE2\x80\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC6"],

        ["\x4F\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x99"],
        ["\xE2\x80\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC7"],

        ["\x4F\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x9C"],
        ["\xE2\x80\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC8"],

        ["\x4F\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x9D"],
        ["\xE2\x80\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC9"],

        ["\x4F\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x88"],
        ["\xEF\xBC\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD1"],

        ["\x4F\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x89"],
        ["\xEF\xBC\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD2"],

        ["\x4F\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x94"],
        ["\xE3\x80\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD3"],

        ["\x4F\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x95"],
        ["\xE3\x80\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD4"],

        ["\x4F\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBB"],
        ["\xEF\xBC\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD5"],

        ["\x4F\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBD"],
        ["\xEF\xBC\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD6"],

        ["\x4F\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9B"],
        ["\xEF\xBD\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD7"],

        ["\x4F\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9D"],
        ["\xEF\xBD\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD8"],

        ["\x4F\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x88"],
        ["\xE3\x80\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD9"],

        ["\x4F\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x89"],
        ["\xE3\x80\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xE2"],

        ["\x4F\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8A"],
        ["\xE3\x80\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xE3"],

        ["\x4F\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8B"],
        ["\xE3\x80\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xE4"],

        ["\x4F\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8C"],
        ["\xE3\x80\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xE5"],

        ["\x4F\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8D"],
        ["\xE3\x80\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xE6"],

        ["\x4F\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8E"],
        ["\xE3\x80\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xE7"],

        ["\x4F\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8F"],
        ["\xE3\x80\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xE8"],

        ["\x4F\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x90"],
        ["\xE3\x80\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xE9"],

        ["\x4F\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x91"],
        ["\xE3\x80\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x4A"],

        ["\x4F\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8B"],
        ["\xEF\xBC\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x5B"],

        ["\x4F\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8D"],
        ["\xEF\xBC\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x5A"],

        ["\x4F\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB1"],
        ["\xC2\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x5F"],

        ["\x4F\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x97"],
        ["\xC3\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x6D"],

        ["\x4F\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],
        ["\xC3\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x79"],

        ["\x4F\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9D"],
        ["\xEF\xBC\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x57"],

        ["\x4F\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA0"],
        ["\xE2\x89\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x59"],

        ["\x4F\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9C"],
        ["\xEF\xBC\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x62"],

        ["\x4F\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9E"],
        ["\xEF\xBC\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x63"],

        ["\x4F\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA6"],
        ["\xE2\x89\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x64"],

        ["\x4F\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA7"],
        ["\xE2\x89\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x65"],

        ["\x4F\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x9E"],
        ["\xE2\x88\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x66"],

        ["\x4F\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xB4"],
        ["\xE2\x88\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x67"],

        ["\x4F\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\x82"],
        ["\xE2\x99\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x68"],

        ["\x4F\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\x80"],
        ["\xE2\x99\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x69"],

        ["\x4F\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],
        ["\xC2\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x70"],

        ["\x4F\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xB2"],
        ["\xE2\x80\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x71"],

        ["\x4F\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xB3"],
        ["\xE2\x80\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x72"],

        ["\x4F\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\x83"],
        ["\xE2\x84\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x73"],

        ["\x4F\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA5"],
        ["\xEF\xBF\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x74"],

        ["\x4F\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x84"],
        ["\xEF\xBC\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x75"],

        ["\x4F\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA0"],
        ["\xEF\xBF\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x76"],

        ["\x4F\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA1"],
        ["\xEF\xBF\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x77"],

        ["\x4F\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x85"],
        ["\xEF\xBC\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x78"],

        ["\x4F\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x83"],
        ["\xEF\xBC\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x80"],

        ["\x4F\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x86"],
        ["\xEF\xBC\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x8B"],

        ["\x4F\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8A"],
        ["\xEF\xBC\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x9B"],

        ["\x4F\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA0"],
        ["\xEF\xBC\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x9C"],

        ["\x4F\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA7"],
        ["\xC2\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xA0"],

        ["\x4F\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x86"],
        ["\xE2\x98\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xAB"],

        ["\x4F\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x85"],
        ["\xE2\x98\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xB0"],

        ["\x4F\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x8B"],
        ["\xE2\x97\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xC0"],

        ["\x4F\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x8F"],
        ["\xE2\x97\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\x6A"],

        ["\x4F\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x8E"],
        ["\xE2\x97\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xD0"],

        ["\x4F\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x87"],
        ["\xE2\x97\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4F\xA1"],

        ["\x7F\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x86"],
        ["\xE2\x97\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x4F"],

        ["\x7F\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xA1"],
        ["\xE2\x96\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x7F"],

        ["\x7F\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xA0"],
        ["\xE2\x96\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x7B"],

        ["\x7F\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB3"],
        ["\xE2\x96\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\xE0"],

        ["\x7F\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB2"],
        ["\xE2\x96\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x6C"],

        ["\x7F\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xBD"],
        ["\xE2\x96\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x50"],

        ["\x7F\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xBC"],
        ["\xE2\x96\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x7D"],

        ["\x7F\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xBB"],
        ["\xE2\x80\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x4D"],

        ["\x7F\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x92"],
        ["\xE3\x80\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x5D"],

        ["\x7F\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x92"],
        ["\xE2\x86\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x5C"],

        ["\x7F\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x90"],
        ["\xE2\x86\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x4E"],

        ["\x7F\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x91"],
        ["\xE2\x86\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x6B"],

        ["\x7F\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x93"],
        ["\xE2\x86\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x60"],

        ["\x7F\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x93"],
        ["\xE3\x80\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7F\x4B"],

        ["\x45\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x88"],
        ["\xE2\x88\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xA9"],

        ["\x45\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x8B"],
        ["\xE2\x88\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xAA"],

        ["\x46\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x86"],
        ["\xE2\x8A\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xEA"],

        ["\x46\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x87"],
        ["\xE2\x8A\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xEB"],

        ["\x45\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x82"],
        ["\xE2\x8A\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xA7"],

        ["\x45\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x83"],
        ["\xE2\x8A\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xA8"],

        ["\x60\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xAA"],
        ["\xE2\x88\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x6A"],

        ["\x60\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA9"],
        ["\xE2\x88\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC0"],

        ["\x45\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA7"],
        ["\xE2\x88\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xA5"],

        ["\x45\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA8"],
        ["\xE2\x88\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xA6"],

        ["\x80\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA2"],
        ["\xEF\xBF\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x4F"],

        ["\x46\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\x92"],
        ["\xE2\x87\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xEC"],

        ["\x46\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\x94"],
        ["\xE2\x87\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xED"],

        ["\x45\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x80"],
        ["\xE2\x88\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xB9"],

        ["\x45\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x83"],
        ["\xE2\x88\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xCA"],

        ["\x60\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA0"],
        ["\xE2\x88\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x9C"],

        ["\x60\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\xA5"],
        ["\xE2\x8A\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x9B"],

        ["\x46\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C\x92"],
        ["\xE2\x8C\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xEE"],

        ["\x45\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x82"],
        ["\xE2\x88\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x9D"],

        ["\x46\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x87"],
        ["\xE2\x88\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xEF"],

        ["\x60\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA1"],
        ["\xE2\x89\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x76"],

        ["\x60\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\x92"],
        ["\xE2\x89\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x75"],

        ["\x45\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xAA"],
        ["\xE2\x89\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xB3"],

        ["\x45\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xAB"],
        ["\xE2\x89\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xB4"],

        ["\x60\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x9A"],
        ["\xE2\x88\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x8B"],

        ["\x45\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xBD"],
        ["\xE2\x88\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xBD"],

        ["\x45\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x9D"],
        ["\xE2\x88\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xBC"],

        ["\x60\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xB5"],
        ["\xE2\x88\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xB0"],

        ["\x60\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xAB"],
        ["\xE2\x88\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x77"],

        ["\x46\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xAC"],
        ["\xE2\x88\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xFA"],

        ["\x44\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\xAB"],
        ["\xE2\x84\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\xBF"],

        ["\x44\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xB0"],
        ["\xE2\x80\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\xFE"],

        ["\x46\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAF"],
        ["\xE2\x99\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xFB"],

        ["\x46\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAD"],
        ["\xE2\x99\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xFC"],

        ["\x46\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAA"],
        ["\xE2\x99\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xFD"],

        ["\x45\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA0"],
        ["\xE2\x80\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xDA"],

        ["\x45\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA1"],
        ["\xE2\x80\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xDB"],

        ["\x45\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],
        ["\xC2\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xDC"],

        ["\x46\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\xAF"],
        ["\xE2\x97\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x46\xFE"],

        ["\x7B\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x90"],
        ["\xEF\xBC\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF0"],

        ["\x7B\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x91"],
        ["\xEF\xBC\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF1"],

        ["\x7B\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x92"],
        ["\xEF\xBC\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF2"],

        ["\x7B\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x93"],
        ["\xEF\xBC\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF3"],

        ["\x7B\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x94"],
        ["\xEF\xBC\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF4"],

        ["\x7B\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x95"],
        ["\xEF\xBC\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF5"],

        ["\x7B\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x96"],
        ["\xEF\xBC\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF6"],

        ["\x7B\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x97"],
        ["\xEF\xBC\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF7"],

        ["\x7B\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x98"],
        ["\xEF\xBC\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF8"],

        ["\x7B\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x99"],
        ["\xEF\xBC\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xF9"],

        ["\x7B\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA1"],
        ["\xEF\xBC\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xC1"],

        ["\x7B\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA2"],
        ["\xEF\xBC\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xC2"],

        ["\x7B\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA3"],
        ["\xEF\xBC\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xC3"],

        ["\x7B\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA4"],
        ["\xEF\xBC\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xC4"],

        ["\x7B\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA5"],
        ["\xEF\xBC\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xC5"],

        ["\x7B\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA6"],
        ["\xEF\xBC\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xC6"],

        ["\x7B\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA7"],
        ["\xEF\xBC\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xC7"],

        ["\x7B\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA8"],
        ["\xEF\xBC\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xC8"],

        ["\x7B\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA9"],
        ["\xEF\xBC\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xC9"],

        ["\x7B\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAA"],
        ["\xEF\xBC\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xD1"],

        ["\x7B\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAB"],
        ["\xEF\xBC\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xD2"],

        ["\x7B\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAC"],
        ["\xEF\xBC\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xD3"],

        ["\x7B\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAD"],
        ["\xEF\xBC\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xD4"],

        ["\x7B\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAE"],
        ["\xEF\xBC\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xD5"],

        ["\x7B\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAF"],
        ["\xEF\xBC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xD6"],

        ["\x7B\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB0"],
        ["\xEF\xBC\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xD7"],

        ["\x7B\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB1"],
        ["\xEF\xBC\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xD8"],

        ["\x7B\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB2"],
        ["\xEF\xBC\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xD9"],

        ["\x7B\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB3"],
        ["\xEF\xBC\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xE2"],

        ["\x7B\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB4"],
        ["\xEF\xBC\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xE3"],

        ["\x7B\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB5"],
        ["\xEF\xBC\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xE4"],

        ["\x7B\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB6"],
        ["\xEF\xBC\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xE5"],

        ["\x7B\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB7"],
        ["\xEF\xBC\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xE6"],

        ["\x7B\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB8"],
        ["\xEF\xBC\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xE7"],

        ["\x7B\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB9"],
        ["\xEF\xBC\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xE8"],

        ["\x7B\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBA"],
        ["\xEF\xBC\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xE9"],

        ["\x7B\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x81"],
        ["\xEF\xBD\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x57"],

        ["\x7B\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x82"],
        ["\xEF\xBD\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x59"],

        ["\x7B\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x83"],
        ["\xEF\xBD\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x62"],

        ["\x7B\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x84"],
        ["\xEF\xBD\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x63"],

        ["\x7B\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x85"],
        ["\xEF\xBD\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x64"],

        ["\x7B\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x86"],
        ["\xEF\xBD\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x65"],

        ["\x7B\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x87"],
        ["\xEF\xBD\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x66"],

        ["\x7B\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x88"],
        ["\xEF\xBD\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x67"],

        ["\x7B\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x89"],
        ["\xEF\xBD\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x68"],

        ["\x7B\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8A"],
        ["\xEF\xBD\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x69"],

        ["\x7B\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8B"],
        ["\xEF\xBD\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x70"],

        ["\x7B\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8C"],
        ["\xEF\xBD\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x71"],

        ["\x7B\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8D"],
        ["\xEF\xBD\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x72"],

        ["\x7B\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8E"],
        ["\xEF\xBD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x73"],

        ["\x7B\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8F"],
        ["\xEF\xBD\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x74"],

        ["\x7B\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x90"],
        ["\xEF\xBD\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x75"],

        ["\x7B\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x91"],
        ["\xEF\xBD\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x76"],

        ["\x7B\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x92"],
        ["\xEF\xBD\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x77"],

        ["\x7B\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x93"],
        ["\xEF\xBD\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x78"],

        ["\x7B\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x94"],
        ["\xEF\xBD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x80"],

        ["\x7B\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x95"],
        ["\xEF\xBD\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x8B"],

        ["\x7B\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x96"],
        ["\xEF\xBD\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x9B"],

        ["\x7B\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x97"],
        ["\xEF\xBD\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\x9C"],

        ["\x7B\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x98"],
        ["\xEF\xBD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xA0"],

        ["\x7B\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x99"],
        ["\xEF\xBD\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xAB"],

        ["\x7B\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9A"],
        ["\xEF\xBD\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7B\xB0"],

        ["\xE0\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x81"],
        ["\xE3\x81\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x4F"],

        ["\xE0\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x82"],
        ["\xE3\x81\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x7F"],

        ["\xE0\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x83"],
        ["\xE3\x81\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x7B"],

        ["\xE0\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x84"],
        ["\xE3\x81\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],

        ["\xE0\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x85"],
        ["\xE3\x81\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x6C"],

        ["\xE0\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x86"],
        ["\xE3\x81\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x50"],

        ["\xE0\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x87"],
        ["\xE3\x81\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x7D"],

        ["\xE0\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x88"],
        ["\xE3\x81\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x4D"],

        ["\xE0\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x89"],
        ["\xE3\x81\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x5D"],

        ["\xE0\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8A"],
        ["\xE3\x81\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x5C"],

        ["\xE0\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8B"],
        ["\xE3\x81\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x4E"],

        ["\xE0\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8C"],
        ["\xE3\x81\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x6B"],

        ["\xE0\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8D"],
        ["\xE3\x81\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x60"],

        ["\xE0\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8E"],
        ["\xE3\x81\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x4B"],

        ["\xE0\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8F"],
        ["\xE3\x81\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x61"],

        ["\xE0\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x90"],
        ["\xE3\x81\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],

        ["\xE0\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x91"],
        ["\xE3\x81\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],

        ["\xE0\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x92"],
        ["\xE3\x81\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],

        ["\xE0\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x93"],
        ["\xE3\x81\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],

        ["\xE0\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x94"],
        ["\xE3\x81\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],

        ["\xE0\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x95"],
        ["\xE3\x81\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],

        ["\xE0\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x96"],
        ["\xE3\x81\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],

        ["\xE0\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x97"],
        ["\xE3\x81\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],

        ["\xE0\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x98"],
        ["\xE3\x81\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],

        ["\xE0\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x99"],
        ["\xE3\x81\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],

        ["\xE0\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9A"],
        ["\xE3\x81\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x7A"],

        ["\xE0\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9B"],
        ["\xE3\x81\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x5E"],

        ["\xE0\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9C"],
        ["\xE3\x81\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x4C"],

        ["\xE0\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9D"],
        ["\xE3\x81\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x7E"],

        ["\xE0\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9E"],
        ["\xE3\x81\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x6E"],

        ["\xE0\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9F"],
        ["\xE3\x81\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x6F"],

        ["\xE0\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA0"],
        ["\xE3\x81\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x7C"],

        ["\xE0\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA1"],
        ["\xE3\x81\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],

        ["\xE0\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA2"],
        ["\xE3\x81\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],

        ["\xE0\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA3"],
        ["\xE3\x81\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],

        ["\xE0\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA4"],
        ["\xE3\x81\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],

        ["\xE0\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA5"],
        ["\xE3\x81\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],

        ["\xE0\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA6"],
        ["\xE3\x81\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],

        ["\xE0\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA7"],
        ["\xE3\x81\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],

        ["\xE0\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA8"],
        ["\xE3\x81\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],

        ["\xE0\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA9"],
        ["\xE3\x81\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],

        ["\xE0\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAA"],
        ["\xE3\x81\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],

        ["\xE0\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAB"],
        ["\xE3\x81\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],

        ["\xE0\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAC"],
        ["\xE3\x81\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],

        ["\xE0\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAD"],
        ["\xE3\x81\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],

        ["\xE0\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAE"],
        ["\xE3\x81\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],

        ["\xE0\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAF"],
        ["\xE3\x81\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],

        ["\xE0\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB0"],
        ["\xE3\x81\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],

        ["\xE0\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB1"],
        ["\xE3\x81\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],

        ["\xE0\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB2"],
        ["\xE3\x81\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],

        ["\xE0\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB3"],
        ["\xE3\x81\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],

        ["\xE0\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB4"],
        ["\xE3\x81\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],

        ["\xE0\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB5"],
        ["\xE3\x81\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],

        ["\xE0\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB6"],
        ["\xE3\x81\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],

        ["\xE0\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB7"],
        ["\xE3\x81\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],

        ["\xE0\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB8"],
        ["\xE3\x81\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],

        ["\xE0\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB9"],
        ["\xE3\x81\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],

        ["\xE0\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBA"],
        ["\xE3\x81\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],

        ["\xE0\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBB"],
        ["\xE3\x81\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x4A"],

        ["\xE0\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBC"],
        ["\xE3\x81\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x5B"],

        ["\xE0\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBD"],
        ["\xE3\x81\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x5A"],

        ["\xE0\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBE"],
        ["\xE3\x81\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x5F"],

        ["\xE0\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBF"],
        ["\xE3\x81\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x6D"],

        ["\xE0\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x80"],
        ["\xE3\x82\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x79"],

        ["\xE0\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x81"],
        ["\xE3\x82\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x57"],

        ["\xE0\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x82"],
        ["\xE3\x82\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x59"],

        ["\xE0\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x83"],
        ["\xE3\x82\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x62"],

        ["\xE0\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x84"],
        ["\xE3\x82\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x63"],

        ["\xE0\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x85"],
        ["\xE3\x82\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x64"],

        ["\xE0\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x86"],
        ["\xE3\x82\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x65"],

        ["\xE0\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x87"],
        ["\xE3\x82\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x66"],

        ["\xE0\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x88"],
        ["\xE3\x82\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x67"],

        ["\xE0\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x89"],
        ["\xE3\x82\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x68"],

        ["\xE0\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8A"],
        ["\xE3\x82\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x69"],

        ["\xE0\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8B"],
        ["\xE3\x82\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x70"],

        ["\xE0\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8C"],
        ["\xE3\x82\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x71"],

        ["\xE0\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8D"],
        ["\xE3\x82\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x72"],

        ["\xE0\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8E"],
        ["\xE3\x82\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x73"],

        ["\xE0\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8F"],
        ["\xE3\x82\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x74"],

        ["\xE0\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x90"],
        ["\xE3\x82\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x75"],

        ["\xE0\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x91"],
        ["\xE3\x82\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x76"],

        ["\xE0\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x92"],
        ["\xE3\x82\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x77"],

        ["\xE0\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x93"],
        ["\xE3\x82\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE0\x78"],

        ["\x6C\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA1"],
        ["\xE3\x82\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x4F"],

        ["\x6C\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA2"],
        ["\xE3\x82\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x7F"],

        ["\x6C\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA3"],
        ["\xE3\x82\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x7B"],

        ["\x6C\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA4"],
        ["\xE3\x82\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xE0"],

        ["\x6C\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA5"],
        ["\xE3\x82\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x6C"],

        ["\x6C\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA6"],
        ["\xE3\x82\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x50"],

        ["\x6C\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA7"],
        ["\xE3\x82\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x7D"],

        ["\x6C\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA8"],
        ["\xE3\x82\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x4D"],

        ["\x6C\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA9"],
        ["\xE3\x82\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x5D"],

        ["\x6C\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAA"],
        ["\xE3\x82\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x5C"],

        ["\x6C\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAB"],
        ["\xE3\x82\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x4E"],

        ["\x6C\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAC"],
        ["\xE3\x82\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x6B"],

        ["\x6C\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAD"],
        ["\xE3\x82\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x60"],

        ["\x6C\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAE"],
        ["\xE3\x82\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x4B"],

        ["\x6C\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAF"],
        ["\xE3\x82\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x61"],

        ["\x6C\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB0"],
        ["\xE3\x82\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF0"],

        ["\x6C\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB1"],
        ["\xE3\x82\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF1"],

        ["\x6C\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB2"],
        ["\xE3\x82\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF2"],

        ["\x6C\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB3"],
        ["\xE3\x82\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF3"],

        ["\x6C\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB4"],
        ["\xE3\x82\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF4"],

        ["\x6C\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB5"],
        ["\xE3\x82\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF5"],

        ["\x6C\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB6"],
        ["\xE3\x82\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF6"],

        ["\x6C\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB7"],
        ["\xE3\x82\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF7"],

        ["\x6C\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB8"],
        ["\xE3\x82\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF8"],

        ["\x6C\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB9"],
        ["\xE3\x82\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xF9"],

        ["\x6C\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBA"],
        ["\xE3\x82\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x7A"],

        ["\x6C\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBB"],
        ["\xE3\x82\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x5E"],

        ["\x6C\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBC"],
        ["\xE3\x82\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x4C"],

        ["\x6C\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBD"],
        ["\xE3\x82\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x7E"],

        ["\x6C\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBE"],
        ["\xE3\x82\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x6E"],

        ["\x6C\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBF"],
        ["\xE3\x82\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x6F"],

        ["\x6C\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x80"],
        ["\xE3\x83\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x7C"],

        ["\x6C\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x81"],
        ["\xE3\x83\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xC1"],

        ["\x6C\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x82"],
        ["\xE3\x83\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xC2"],

        ["\x6C\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x83"],
        ["\xE3\x83\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xC3"],

        ["\x6C\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x84"],
        ["\xE3\x83\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xC4"],

        ["\x6C\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x85"],
        ["\xE3\x83\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xC5"],

        ["\x6C\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x86"],
        ["\xE3\x83\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xC6"],

        ["\x6C\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x87"],
        ["\xE3\x83\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xC7"],

        ["\x6C\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x88"],
        ["\xE3\x83\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xC8"],

        ["\x6C\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x89"],
        ["\xE3\x83\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xC9"],

        ["\x6C\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8A"],
        ["\xE3\x83\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xD1"],

        ["\x6C\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8B"],
        ["\xE3\x83\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xD2"],

        ["\x6C\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8C"],
        ["\xE3\x83\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xD3"],

        ["\x6C\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8D"],
        ["\xE3\x83\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xD4"],

        ["\x6C\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8E"],
        ["\xE3\x83\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xD5"],

        ["\x6C\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8F"],
        ["\xE3\x83\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xD6"],

        ["\x6C\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x90"],
        ["\xE3\x83\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xD7"],

        ["\x6C\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x91"],
        ["\xE3\x83\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xD8"],

        ["\x6C\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x92"],
        ["\xE3\x83\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xD9"],

        ["\x6C\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x93"],
        ["\xE3\x83\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xE2"],

        ["\x6C\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x94"],
        ["\xE3\x83\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xE3"],

        ["\x6C\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x95"],
        ["\xE3\x83\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xE4"],

        ["\x6C\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x96"],
        ["\xE3\x83\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xE5"],

        ["\x6C\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x97"],
        ["\xE3\x83\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xE6"],

        ["\x6C\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x98"],
        ["\xE3\x83\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xE7"],

        ["\x6C\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x99"],
        ["\xE3\x83\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xE8"],

        ["\x6C\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9A"],
        ["\xE3\x83\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\xE9"],

        ["\x6C\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9B"],
        ["\xE3\x83\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x4A"],

        ["\x6C\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9C"],
        ["\xE3\x83\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x5B"],

        ["\x6C\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9D"],
        ["\xE3\x83\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x5A"],

        ["\x6C\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9E"],
        ["\xE3\x83\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x5F"],

        ["\x6C\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9F"],
        ["\xE3\x83\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x6D"],

        ["\x6C\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA0"],
        ["\xE3\x83\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x79"],

        ["\x6C\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA1"],
        ["\xE3\x83\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x57"],

        ["\x6C\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA2"],
        ["\xE3\x83\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x59"],

        ["\x6C\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA3"],
        ["\xE3\x83\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x62"],

        ["\x6C\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA4"],
        ["\xE3\x83\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x63"],

        ["\x6C\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA5"],
        ["\xE3\x83\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x64"],

        ["\x6C\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA6"],
        ["\xE3\x83\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x65"],

        ["\x6C\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA7"],
        ["\xE3\x83\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x66"],

        ["\x6C\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA8"],
        ["\xE3\x83\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x67"],

        ["\x6C\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA9"],
        ["\xE3\x83\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x68"],

        ["\x6C\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAA"],
        ["\xE3\x83\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x69"],

        ["\x6C\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAB"],
        ["\xE3\x83\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x70"],

        ["\x6C\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAC"],
        ["\xE3\x83\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x71"],

        ["\x6C\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAD"],
        ["\xE3\x83\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x72"],

        ["\x6C\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAE"],
        ["\xE3\x83\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x73"],

        ["\x6C\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAF"],
        ["\xE3\x83\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x74"],

        ["\x6C\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB0"],
        ["\xE3\x83\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x75"],

        ["\x6C\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB1"],
        ["\xE3\x83\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x76"],

        ["\x6C\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB2"],
        ["\xE3\x83\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x77"],

        ["\x6C\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB3"],
        ["\xE3\x83\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x78"],

        ["\x6C\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB4"],
        ["\xE3\x83\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x80"],

        ["\x6C\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB5"],
        ["\xE3\x83\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x8B"],

        ["\x6C\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB6"],
        ["\xE3\x83\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6C\x9B"],

        ["\x50\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x91"],
        ["\xCE\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x4F"],

        ["\x50\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x92"],
        ["\xCE\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x7F"],

        ["\x50\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x93"],
        ["\xCE\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x7B"],

        ["\x50\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x94"],
        ["\xCE\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xE0"],

        ["\x50\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x95"],
        ["\xCE\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x6C"],

        ["\x50\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x96"],
        ["\xCE\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x50"],

        ["\x50\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x97"],
        ["\xCE\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x7D"],

        ["\x50\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x98"],
        ["\xCE\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x4D"],

        ["\x50\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x99"],
        ["\xCE\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x5D"],

        ["\x50\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x9A"],
        ["\xCE\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x5C"],

        ["\x50\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x9B"],
        ["\xCE\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x4E"],

        ["\x50\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x9C"],
        ["\xCE\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x6B"],

        ["\x50\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x9D"],
        ["\xCE\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x60"],

        ["\x50\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x9E"],
        ["\xCE\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x4B"],

        ["\x50\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\x9F"],
        ["\xCE\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\x61"],

        ["\x50\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA0"],
        ["\xCE\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xF0"],

        ["\x50\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA1"],
        ["\xCE\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xF1"],

        ["\x50\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],
        ["\xCE\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xF2"],

        ["\x50\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],
        ["\xCE\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xF3"],

        ["\x50\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA5"],
        ["\xCE\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xF4"],

        ["\x50\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],
        ["\xCE\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xF5"],

        ["\x50\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA7"],
        ["\xCE\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xF6"],

        ["\x50\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA8"],
        ["\xCE\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xF7"],

        ["\x50\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],
        ["\xCE\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xF8"],

        ["\x50\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB1"],
        ["\xCE\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xC1"],

        ["\x50\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB2"],
        ["\xCE\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xC2"],

        ["\x50\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB3"],
        ["\xCE\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xC3"],

        ["\x50\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB4"],
        ["\xCE\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xC4"],

        ["\x50\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB5"],
        ["\xCE\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xC5"],

        ["\x50\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB6"],
        ["\xCE\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xC6"],

        ["\x50\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB7"],
        ["\xCE\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xC7"],

        ["\x50\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],
        ["\xCE\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xC8"],

        ["\x50\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xB9"],
        ["\xCE\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xC9"],

        ["\x50\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xBA"],
        ["\xCE\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xD1"],

        ["\x50\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xBB"],
        ["\xCE\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xD2"],

        ["\x50\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],
        ["\xCE\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xD3"],

        ["\x50\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xBD"],
        ["\xCE\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xD4"],

        ["\x50\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xBE"],
        ["\xCE\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xD5"],

        ["\x50\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],
        ["\xCE\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xD6"],

        ["\x50\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x80"],
        ["\xCF\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xD7"],

        ["\x50\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x81"],
        ["\xCF\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xD8"],

        ["\x50\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x83"],
        ["\xCF\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xD9"],

        ["\x50\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x84"],
        ["\xCF\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xE2"],

        ["\x50\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x85"],
        ["\xCF\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xE3"],

        ["\x50\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x86"],
        ["\xCF\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xE4"],

        ["\x50\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x87"],
        ["\xCF\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xE5"],

        ["\x50\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x88"],
        ["\xCF\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xE6"],

        ["\x50\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x89"],
        ["\xCF\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x50\xE7"],

        ["\x7D\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x90"],
        ["\xD0\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x4F"],

        ["\x7D\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x91"],
        ["\xD0\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x7F"],

        ["\x7D\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x92"],
        ["\xD0\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x7B"],

        ["\x7D\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x93"],
        ["\xD0\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xE0"],

        ["\x7D\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x94"],
        ["\xD0\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x6C"],

        ["\x7D\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x95"],
        ["\xD0\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x50"],

        ["\x7D\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x81"],
        ["\xD0\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x7D"],

        ["\x7D\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x96"],
        ["\xD0\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x4D"],

        ["\x7D\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x97"],
        ["\xD0\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x5D"],

        ["\x7D\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x98"],
        ["\xD0\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x5C"],

        ["\x7D\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x99"],
        ["\xD0\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x4E"],

        ["\x7D\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x9A"],
        ["\xD0\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x6B"],

        ["\x7D\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x9B"],
        ["\xD0\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x60"],

        ["\x7D\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x9C"],
        ["\xD0\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x4B"],

        ["\x7D\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x9D"],
        ["\xD0\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x61"],

        ["\x7D\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x9E"],
        ["\xD0\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF0"],

        ["\x7D\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\x9F"],
        ["\xD0\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF1"],

        ["\x7D\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA0"],
        ["\xD0\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF2"],

        ["\x7D\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],
        ["\xD0\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF3"],

        ["\x7D\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA2"],
        ["\xD0\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF4"],

        ["\x7D\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA3"],
        ["\xD0\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF5"],

        ["\x7D\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA4"],
        ["\xD0\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF6"],

        ["\x7D\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA5"],
        ["\xD0\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF7"],

        ["\x7D\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA6"],
        ["\xD0\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF8"],

        ["\x7D\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA7"],
        ["\xD0\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xF9"],

        ["\x7D\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA8"],
        ["\xD0\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x7A"],

        ["\x7D\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xA9"],
        ["\xD0\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x5E"],

        ["\x7D\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xAA"],
        ["\xD0\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x4C"],

        ["\x7D\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xAB"],
        ["\xD0\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x7E"],

        ["\x7D\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xAC"],
        ["\xD0\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x6E"],

        ["\x7D\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xAD"],
        ["\xD0\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x6F"],

        ["\x7D\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xAE"],
        ["\xD0\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x7C"],

        ["\x7D\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xAF"],
        ["\xD0\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xC1"],

        ["\x7D\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB0"],
        ["\xD0\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xD8"],

        ["\x7D\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB1"],
        ["\xD0\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xD9"],

        ["\x7D\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB2"],
        ["\xD0\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xE2"],

        ["\x7D\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB3"],
        ["\xD0\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xE3"],

        ["\x7D\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB4"],
        ["\xD0\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xE4"],

        ["\x7D\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB5"],
        ["\xD0\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xE5"],

        ["\x7D\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x91"],
        ["\xD1\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xE6"],

        ["\x7D\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB6"],
        ["\xD0\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xE7"],

        ["\x7D\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB7"],
        ["\xD0\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xE8"],

        ["\x7D\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB8"],
        ["\xD0\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\xE9"],

        ["\x7D\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xB9"],
        ["\xD0\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x4A"],

        ["\x7D\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xBA"],
        ["\xD0\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x5B"],

        ["\x7D\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xBB"],
        ["\xD0\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x5A"],

        ["\x7D\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xBC"],
        ["\xD0\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x5F"],

        ["\x7D\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xBD"],
        ["\xD0\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x6D"],

        ["\x7D\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xBE"],
        ["\xD0\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x79"],

        ["\x7D\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD0\xBF"],
        ["\xD0\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x57"],

        ["\x7D\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x80"],
        ["\xD1\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x59"],

        ["\x7D\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x81"],
        ["\xD1\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x62"],

        ["\x7D\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x82"],
        ["\xD1\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x63"],

        ["\x7D\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x83"],
        ["\xD1\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x64"],

        ["\x7D\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x84"],
        ["\xD1\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x65"],

        ["\x7D\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x85"],
        ["\xD1\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x66"],

        ["\x7D\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x86"],
        ["\xD1\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x67"],

        ["\x7D\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x87"],
        ["\xD1\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x68"],

        ["\x7D\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x88"],
        ["\xD1\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x69"],

        ["\x7D\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x89"],
        ["\xD1\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x70"],

        ["\x7D\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x8A"],
        ["\xD1\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x71"],

        ["\x7D\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x8B"],
        ["\xD1\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x72"],

        ["\x7D\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x8C"],
        ["\xD1\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x73"],

        ["\x7D\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x8D"],
        ["\xD1\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x74"],

        ["\x7D\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x8E"],
        ["\xD1\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x75"],

        ["\x7D\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xD1\x8F"],
        ["\xD1\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7D\x76"],

        ["\x6B\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x80"],
        ["\xE2\x94\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xE0"],

        ["\x6B\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x82"],
        ["\xE2\x94\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x50"],

        ["\x6B\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x8C"],
        ["\xE2\x94\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xF0"],

        ["\x6B\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x90"],
        ["\xE2\x94\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xF4"],

        ["\x6B\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x98"],
        ["\xE2\x94\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x4C"],

        ["\x6B\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x94"],
        ["\xE2\x94\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xF8"],

        ["\x6B\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x9C"],
        ["\xE2\x94\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x7C"],

        ["\x6B\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xAC"],
        ["\xE2\x94\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xD7"],

        ["\x6B\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA4"],
        ["\xE2\x94\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xC8"],

        ["\x6B\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB4"],
        ["\xE2\x94\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xE7"],

        ["\x6B\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xBC"],
        ["\xE2\x94\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x79"],

        ["\x6B\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x81"],
        ["\xE2\x94\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x6C"],

        ["\x6B\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x83"],
        ["\xE2\x94\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x7D"],

        ["\x6B\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x8F"],
        ["\xE2\x94\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xF3"],

        ["\x6B\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x93"],
        ["\xE2\x94\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xF7"],

        ["\x6B\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x9B"],
        ["\xE2\x94\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x6F"],

        ["\x6B\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x97"],
        ["\xE2\x94\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x5E"],

        ["\x6B\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA3"],
        ["\xE2\x94\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xC7"],

        ["\x6B\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB3"],
        ["\xE2\x94\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xE6"],

        ["\x6B\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xAB"],
        ["\xE2\x94\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xD6"],

        ["\x6B\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xBB"],
        ["\xE2\x94\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x6D"],

        ["\x6B\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x95\x8B"],
        ["\xE2\x95\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x74"],

        ["\x6B\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA0"],
        ["\xE2\x94\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xC4"],

        ["\x6B\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xAF"],
        ["\xE2\x94\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xE2"],

        ["\x6B\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA8"],
        ["\xE2\x94\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xD3"],

        ["\x6B\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB7"],
        ["\xE2\x94\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x4A"],

        ["\x6B\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xBF"],
        ["\xE2\x94\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x62"],

        ["\x6B\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x9D"],
        ["\xE2\x94\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xC1"],

        ["\x6B\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB0"],
        ["\xE2\x94\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xE3"],

        ["\x6B\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA5"],
        ["\xE2\x94\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\xC9"],

        ["\x6B\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB8"],
        ["\xE2\x94\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x5B"],

        ["\x6B\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x95\x82"],
        ["\xE2\x95\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6B\x65"],

        ["\x60\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA0"],
        ["\xE2\x91\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x4F"],

        ["\x60\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA1"],
        ["\xE2\x91\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x7F"],

        ["\x60\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA2"],
        ["\xE2\x91\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x7B"],

        ["\x60\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA3"],
        ["\xE2\x91\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xE0"],

        ["\x60\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA4"],
        ["\xE2\x91\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x6C"],

        ["\x60\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA5"],
        ["\xE2\x91\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x50"],

        ["\x60\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA6"],
        ["\xE2\x91\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x7D"],

        ["\x60\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA7"],
        ["\xE2\x91\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x4D"],

        ["\x60\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA8"],
        ["\xE2\x91\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x5D"],

        ["\x60\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA9"],
        ["\xE2\x91\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x5C"],

        ["\x60\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAA"],
        ["\xE2\x91\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x4E"],

        ["\x60\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAB"],
        ["\xE2\x91\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x6B"],

        ["\x60\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAC"],
        ["\xE2\x91\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x60"],

        ["\x60\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAD"],
        ["\xE2\x91\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x4B"],

        ["\x60\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAE"],
        ["\xE2\x91\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x61"],

        ["\x60\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAF"],
        ["\xE2\x91\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF0"],

        ["\x60\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xB0"],
        ["\xE2\x91\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF1"],

        ["\x60\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xB1"],
        ["\xE2\x91\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF2"],

        ["\x60\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xB2"],
        ["\xE2\x91\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF3"],

        ["\x60\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xB3"],
        ["\xE2\x91\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF4"],

        ["\x60\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA0"],
        ["\xE2\x85\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF5"],

        ["\x60\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA1"],
        ["\xE2\x85\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF6"],

        ["\x60\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA2"],
        ["\xE2\x85\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF7"],

        ["\x60\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA3"],
        ["\xE2\x85\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF8"],

        ["\x60\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA4"],
        ["\xE2\x85\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xF9"],

        ["\x60\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA5"],
        ["\xE2\x85\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x7A"],

        ["\x60\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA6"],
        ["\xE2\x85\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x5E"],

        ["\x60\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA7"],
        ["\xE2\x85\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x4C"],

        ["\x60\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA8"],
        ["\xE2\x85\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x7E"],

        ["\x60\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA9"],
        ["\xE2\x85\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x6E"],

        ["\x60\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x89"],
        ["\xE3\x8D\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x7C"],

        ["\x60\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\x94"],
        ["\xE3\x8C\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC1"],

        ["\x60\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xA2"],
        ["\xE3\x8C\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC2"],

        ["\x60\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x8D"],
        ["\xE3\x8D\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC3"],

        ["\x60\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\x98"],
        ["\xE3\x8C\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC4"],

        ["\x60\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xA7"],
        ["\xE3\x8C\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC5"],

        ["\x60\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\x83"],
        ["\xE3\x8C\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC6"],

        ["\x60\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xB6"],
        ["\xE3\x8C\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC7"],

        ["\x60\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x91"],
        ["\xE3\x8D\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC8"],

        ["\x60\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x97"],
        ["\xE3\x8D\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xC9"],

        ["\x60\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\x8D"],
        ["\xE3\x8C\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xD1"],

        ["\x60\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xA6"],
        ["\xE3\x8C\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xD2"],

        ["\x60\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xA3"],
        ["\xE3\x8C\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xD3"],

        ["\x60\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xAB"],
        ["\xE3\x8C\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xD4"],

        ["\x60\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x8A"],
        ["\xE3\x8D\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xD5"],

        ["\x60\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xBB"],
        ["\xE3\x8C\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xD6"],

        ["\x60\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x9C"],
        ["\xE3\x8E\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xD7"],

        ["\x60\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x9D"],
        ["\xE3\x8E\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xD8"],

        ["\x60\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x9E"],
        ["\xE3\x8E\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xD9"],

        ["\x60\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x8E"],
        ["\xE3\x8E\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xE2"],

        ["\x60\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x8F"],
        ["\xE3\x8E\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xE3"],

        ["\x60\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8F\x84"],
        ["\xE3\x8F\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xE4"],

        ["\x60\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\xA1"],
        ["\xE3\x8E\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xE5"],

        ["\x60\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\xBB"],
        ["\xE3\x8D\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x6D"],

        ["\x60\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x9D"],
        ["\xE3\x80\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x79"],

        ["\x60\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x9F"],
        ["\xE3\x80\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x57"],

        ["\x60\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\x96"],
        ["\xE2\x84\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x59"],

        ["\x60\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8F\x8D"],
        ["\xE3\x8F\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x62"],

        ["\x60\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\xA1"],
        ["\xE2\x84\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x63"],

        ["\x60\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA4"],
        ["\xE3\x8A\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x64"],

        ["\x60\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA5"],
        ["\xE3\x8A\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x65"],

        ["\x60\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA6"],
        ["\xE3\x8A\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x66"],

        ["\x60\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA7"],
        ["\xE3\x8A\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x67"],

        ["\x60\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA8"],
        ["\xE3\x8A\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x68"],

        ["\x60\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x88\xB1"],
        ["\xE3\x88\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x69"],

        ["\x60\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x88\xB2"],
        ["\xE3\x88\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x70"],

        ["\x60\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x88\xB9"],
        ["\xE3\x88\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x71"],

        ["\x60\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\xBE"],
        ["\xE3\x8D\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x72"],

        ["\x60\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\xBD"],
        ["\xE3\x8D\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x73"],

        ["\x60\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\xBC"],
        ["\xE3\x8D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x74"],

        ["\x60\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xAE"],
        ["\xE2\x88\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x78"],

        ["\x60\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x91"],
        ["\xE2\x88\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\x80"],

        ["\x60\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x9F"],
        ["\xE2\x88\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xA0"],

        ["\x60\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\xBF"],
        ["\xE2\x8A\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x60\xAB"],

        ["\xF0\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9C"],
        ["\xE4\xBA\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x4F"],

        ["\xF0\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x96"],
        ["\xE5\x94\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x7F"],

        ["\xF0\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x83"],
        ["\xE5\xA8\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x7B"],

        ["\xF0\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xBF"],
        ["\xE9\x98\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],

        ["\xF0\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x80"],
        ["\xE5\x93\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x6C"],

        ["\xF0\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9B"],
        ["\xE6\x84\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x50"],

        ["\xF0\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xA8"],
        ["\xE6\x8C\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x7D"],

        ["\xF0\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xB6"],
        ["\xE5\xA7\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x4D"],

        ["\xF0\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA2"],
        ["\xE9\x80\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x5D"],

        ["\xF0\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB5"],
        ["\xE8\x91\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x5C"],

        ["\xF0\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x9C"],
        ["\xE8\x8C\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x4E"],

        ["\xF0\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x90"],
        ["\xE7\xA9\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x6B"],

        ["\xF0\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xAA"],
        ["\xE6\x82\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x60"],

        ["\xF0\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA1"],
        ["\xE6\x8F\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x4B"],

        ["\xF0\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA5"],
        ["\xE6\xB8\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x61"],

        ["\xF0\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xAD"],
        ["\xE6\x97\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],

        ["\xF0\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA6"],
        ["\xE8\x91\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],

        ["\xF0\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA6"],
        ["\xE8\x8A\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],

        ["\x77\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB5"],
        ["\xE9\xAF\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD4"],

        ["\xF0\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x93"],
        ["\xE6\xA2\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],

        ["\xF0\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA7"],
        ["\xE5\x9C\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],

        ["\xF0\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xA1"],
        ["\xE6\x96\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],

        ["\xF0\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xB1"],
        ["\xE6\x89\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],

        ["\xF0\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9B"],
        ["\xE5\xAE\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],

        ["\xF0\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x90"],
        ["\xE5\xA7\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],

        ["\xF0\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xBB"],
        ["\xE8\x99\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x7A"],

        ["\xF0\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xB4"],
        ["\xE9\xA3\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x5E"],

        ["\xF0\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA2"],
        ["\xE7\xB5\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x4C"],

        ["\xF0\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBE"],
        ["\xE7\xB6\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x7E"],

        ["\xF0\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x8E"],
        ["\xE9\xAE\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x6E"],

        ["\xF0\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x96"],
        ["\xE6\x88\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x6F"],

        ["\xF0\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x9F"],
        ["\xE7\xB2\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x7C"],

        ["\xF0\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB7"],
        ["\xE8\xA2\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],

        ["\xF0\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x89"],
        ["\xE5\xAE\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],

        ["\xF0\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB5"],
        ["\xE5\xBA\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],

        ["\xF0\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x89"],
        ["\xE6\x8C\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],

        ["\xF0\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x97"],
        ["\xE6\x9A\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],

        ["\xF0\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x88"],
        ["\xE6\xA1\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],

        ["\xF0\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x87"],
        ["\xE9\x97\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],

        ["\xF0\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x8D"],
        ["\xE9\x9E\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],

        ["\xF0\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x8F"],
        ["\xE6\x9D\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],

        ["\xF0\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xA5"],
        ["\xE4\xBB\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],

        ["\xF0\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8A"],
        ["\xE4\xBC\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],

        ["\xF0\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x8D"],
        ["\xE4\xBD\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],

        ["\xF0\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x9D"],
        ["\xE4\xBE\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],

        ["\xF0\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x89"],
        ["\xE5\x81\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],

        ["\xF0\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB2"],
        ["\xE5\x9B\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],

        ["\xF0\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xB7"],
        ["\xE5\xA4\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],

        ["\xF0\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x94"],
        ["\xE5\xA7\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],

        ["\xF0\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x81"],
        ["\xE5\xA8\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],

        ["\xF0\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x89"],
        ["\xE5\xB0\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],

        ["\xF0\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9F"],
        ["\xE6\x83\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],

        ["\xF0\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x8F"],
        ["\xE6\x84\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],

        ["\xF0\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB0"],
        ["\xE6\x85\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],

        ["\xF0\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x93"],
        ["\xE6\x98\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],

        ["\xF0\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x85"],
        ["\xE6\xA4\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],

        ["\xF0\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xBA"],
        ["\xE7\x82\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],

        ["\xF0\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8F"],
        ["\xE7\x95\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],

        ["\xF0\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB0"],
        ["\xE7\x95\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x4A"],

        ["\xF0\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xBB"],
        ["\xE7\xA7\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x5B"],

        ["\xF0\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAD"],
        ["\xE7\xB6\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x5A"],

        ["\xF0\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xAF"],
        ["\xE7\xB7\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x5F"],

        ["\xF0\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x83"],
        ["\xE8\x83\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x6D"],

        ["\xF0\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8E"],
        ["\xE8\x90\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x79"],

        ["\xF0\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA3"],
        ["\xE8\xA1\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x57"],

        ["\xF0\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x82"],
        ["\xE8\xAC\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x59"],

        ["\xF0\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x95"],
        ["\xE9\x81\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x62"],

        ["\xF0\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xBA"],
        ["\xE9\x81\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x63"],

        ["\xF0\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xBB"],
        ["\xE5\x8C\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x64"],

        ["\xF0\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x95"],
        ["\xE4\xBA\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x65"],

        ["\xF0\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA5"],
        ["\xE4\xBA\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x66"],

        ["\xF0\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x9F"],
        ["\xE5\x9F\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x67"],

        ["\xF0\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xB2"],
        ["\xE8\x82\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x68"],

        ["\xF0\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x81"],
        ["\xE9\x83\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x69"],

        ["\xF0\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xAF"],
        ["\xE7\xA3\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x70"],

        ["\xF0\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x80"],
        ["\xE4\xB8\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x71"],

        ["\xF0\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB1"],
        ["\xE5\xA3\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x72"],

        ["\xF0\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xA2"],
        ["\xE6\xBA\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x73"],

        ["\xF0\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB8"],
        ["\xE9\x80\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x74"],

        ["\xF0\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB2"],
        ["\xE7\xA8\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x75"],

        ["\xF0\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xA8"],
        ["\xE8\x8C\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x76"],

        ["\xF0\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x8B"],
        ["\xE8\x8A\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x77"],

        ["\xF0\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xAF"],
        ["\xE9\xB0\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x78"],

        ["\xF0\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x81"],
        ["\xE5\x85\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x80"],

        ["\xF0\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB0"],
        ["\xE5\x8D\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x8B"],

        ["\xF0\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBD"],
        ["\xE5\x92\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x9B"],

        ["\xF0\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA1"],
        ["\xE5\x93\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x9C"],

        ["\xF0\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xA0"],
        ["\xE5\x9B\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0"],

        ["\xF0\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xBB"],
        ["\xE5\xA7\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],

        ["\xF0\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x95"],
        ["\xE5\xBC\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],

        ["\xF0\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xB2"],
        ["\xE9\xA3\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],

        ["\xF0\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xAB"],
        ["\xE6\xB7\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\x6A"],

        ["\xF0\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA4"],
        ["\xE8\x83\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],

        ["\xF0\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xAD"],
        ["\xE8\x94\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],

        ["\xF1\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA2"],
        ["\xE9\x99\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x4F"],

        ["\xF1\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB0"],
        ["\xE9\x99\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x7F"],

        ["\xF1\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA0"],
        ["\xE9\x9A\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x7B"],

        ["\xF1\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xBB"],
        ["\xE9\x9F\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xE0"],

        ["\xF1\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8B"],
        ["\xE5\x90\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x6C"],

        ["\xF1\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB3"],
        ["\xE5\x8F\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x50"],

        ["\xF1\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x87"],
        ["\xE5\xAE\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x7D"],

        ["\xF1\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x8F"],
        ["\xE7\x83\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x4D"],

        ["\xF1\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xBD"],
        ["\xE7\xBE\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x5D"],

        ["\xF1\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x82"],
        ["\xE8\xBF\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x5C"],

        ["\xF1\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xA8"],
        ["\xE9\x9B\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x4E"],

        ["\xF1\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xAF"],
        ["\xE5\x8D\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x6B"],

        ["\xF1\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x9C"],
        ["\xE9\xB5\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x60"],

        ["\xF1\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBA"],
        ["\xE7\xAA\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x4B"],

        ["\xF1\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x91"],
        ["\xE4\xB8\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x61"],

        ["\xF1\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x93"],
        ["\xE7\xA2\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF0"],

        ["\xF1\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBC"],
        ["\xE8\x87\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF1"],

        ["\xF1\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA6"],
        ["\xE6\xB8\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF2"],

        ["\xF1\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x98"],
        ["\xE5\x98\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF3"],

        ["\xF1\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x84"],
        ["\xE5\x94\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF4"],

        ["\xF1\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x9D"],
        ["\xE6\xAC\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF5"],

        ["\xF1\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x9A"],
        ["\xE8\x94\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF6"],

        ["\xF1\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xBB"],
        ["\xE9\xB0\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF7"],

        ["\xF1\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA5"],
        ["\xE5\xA7\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF8"],

        ["\xF1\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA9"],
        ["\xE5\x8E\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xF9"],

        ["\xF1\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA6"],
        ["\xE6\xB5\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x7A"],

        ["\xF1\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x9C"],
        ["\xE7\x93\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x5E"],

        ["\xF1\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8F"],
        ["\xE9\x96\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x4C"],

        ["\xF1\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x82"],
        ["\xE5\x99\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x7E"],

        ["\xF1\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x91"],
        ["\xE4\xBA\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x6E"],

        ["\xF1\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8B"],
        ["\xE9\x81\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x6F"],

        ["\xF1\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB2"],
        ["\xE9\x9B\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x7C"],

        ["\xF1\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x8F"],
        ["\xE8\x8D\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC1"],

        ["\xF1\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x8C"],
        ["\xE9\xA4\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC2"],

        ["\xF1\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA1"],
        ["\xE5\x8F\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC3"],

        ["\xF1\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xB6"],
        ["\xE5\x96\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC4"],

        ["\xF1\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xB0"],
        ["\xE5\xAC\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC5"],

        ["\xF1\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB1"],
        ["\xE5\xBD\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC6"],

        ["\xF1\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA0"],
        ["\xE6\x98\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC7"],

        ["\xF1\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB3"],
        ["\xE6\x9B\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC8"],

        ["\xF1\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x84"],
        ["\xE6\xA0\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC9"],

        ["\xF1\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB8"],
        ["\xE6\xB0\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD1"],

        ["\xF1\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xB3"],
        ["\xE6\xB3\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD2"],

        ["\xF1\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA9"],
        ["\xE6\xB4\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD3"],

        ["\xF1\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9B"],
        ["\xE7\x91\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD4"],

        ["\xF1\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x88"],
        ["\xE7\x9B\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD5"],

        ["\xF1\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x8E"],
        ["\xE7\xA9\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD6"],

        ["\xF1\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xB4"],
        ["\xE9\xA0\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD7"],

        ["\xF1\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB1"],
        ["\xE8\x8B\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD8"],

        ["\xF1\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x9B"],
        ["\xE8\xA1\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD9"],

        ["\xF1\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA0"],
        ["\xE8\xA9\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xE2"],

        ["\xF1\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xAD"],
        ["\xE9\x8B\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xE3"],

        ["\xF1\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xB2"],
        ["\xE6\xB6\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xE4"],

        ["\xF1\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xAB"],
        ["\xE7\x96\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xE5"],

        ["\xF1\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x8A"],
        ["\xE7\x9B\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xE6"],

        ["\xF1\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x85"],
        ["\xE9\xA7\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xE7"],

        ["\xF1\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA6"],
        ["\xE6\x82\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xE8"],

        ["\xF1\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x81"],
        ["\xE8\xAC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xE9"],

        ["\xF1\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x8A"],
        ["\xE8\xB6\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x4A"],

        ["\xF1\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xB2"],
        ["\xE9\x96\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x5B"],

        ["\xF1\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x8E"],
        ["\xE6\xA6\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x5A"],

        ["\xF1\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xAD"],
        ["\xE5\x8E\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x5F"],

        ["\xF1\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x86"],
        ["\xE5\x86\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x6D"],

        ["\xF1\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x92"],
        ["\xE5\x9C\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x79"],

        ["\xF1\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB0"],
        ["\xE5\xA0\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x57"],

        ["\xF1\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x84"],
        ["\xE5\xA5\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x59"],

        ["\xF1\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB4"],
        ["\xE5\xAE\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x62"],

        ["\xF1\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB6"],
        ["\xE5\xBB\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x63"],

        ["\xF1\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA8"],
        ["\xE6\x80\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x64"],

        ["\xF1\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA9"],
        ["\xE6\x8E\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x65"],

        ["\xF1\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB4"],
        ["\xE6\x8F\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x66"],

        ["\xF1\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBF"],
        ["\xE6\xB2\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x67"],

        ["\xF1\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x94"],
        ["\xE6\xBC\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x68"],

        ["\xF1\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x8E"],
        ["\xE7\x82\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x69"],

        ["\xF1\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x94"],
        ["\xE7\x84\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x70"],

        ["\xF1\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x99"],
        ["\xE7\x85\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x71"],

        ["\xF1\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x95"],
        ["\xE7\x87\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x72"],

        ["\xF1\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xBF"],
        ["\xE7\x8C\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x73"],

        ["\xF1\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x81"],
        ["\xE7\xB8\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x74"],

        ["\xF1\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB6"],
        ["\xE8\x89\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x75"],

        ["\xF1\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x91"],
        ["\xE8\x8B\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x76"],

        ["\xF1\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x97"],
        ["\xE8\x96\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x77"],

        ["\xF1\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA0"],
        ["\xE9\x81\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x78"],

        ["\xF1\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x9B"],
        ["\xE9\x89\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x80"],

        ["\xF1\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x9B"],
        ["\xE9\xB4\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x8B"],

        ["\xF1\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA9"],
        ["\xE5\xA1\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x9B"],

        ["\xF1\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xBC"],
        ["\xE6\x96\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x9C"],

        ["\xF1\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9A"],
        ["\xE6\xB1\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xA0"],

        ["\xF1\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA5"],
        ["\xE7\x94\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],

        ["\xF1\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB9"],
        ["\xE5\x87\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],

        ["\xF1\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAE"],
        ["\xE5\xA4\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xC0"],

        ["\xF1\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA5"],
        ["\xE5\xA5\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\x6A"],

        ["\xF1\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x80"],
        ["\xE5\xBE\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xD0"],

        ["\xF1\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x9C"],
        ["\xE5\xBF\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],

        ["\xF2\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xBC"],
        ["\xE6\x8A\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x4F"],

        ["\xF2\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xBA"],
        ["\xE6\x97\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x7F"],

        ["\xF2\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xAA"],
        ["\xE6\xA8\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x7B"],

        ["\xF2\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xA7"],
        ["\xE6\xAC\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xE0"],

        ["\xF2\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB4"],
        ["\xE6\xAE\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x6C"],

        ["\xF2\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x8B"],
        ["\xE7\x8E\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x50"],

        ["\xF2\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x81"],
        ["\xE7\xBF\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x7D"],

        ["\xF2\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x96"],
        ["\xE8\xA5\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x4D"],

        ["\x77\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xAC"],
        ["\xE9\xB4\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x80"],

        ["\xF2\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x8E"],
        ["\xE9\xB4\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x5C"],

        ["\xF2\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x84"],
        ["\xE9\xBB\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x4E"],

        ["\xF2\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA1"],
        ["\xE5\xB2\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x6B"],

        ["\xF2\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x96"],
        ["\xE6\xB2\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x60"],

        ["\xF2\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xBB"],
        ["\xE8\x8D\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x4B"],

        ["\xF2\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x84"],
        ["\xE5\x84\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x61"],

        ["\xF2\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8B"],
        ["\xE5\xB1\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF0"],

        ["\xF2\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xB6"],
        ["\xE6\x86\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF1"],

        ["\xF2\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x86"],
        ["\xE8\x87\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF2"],

        ["\xF2\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB6"],
        ["\xE6\xA1\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF3"],

        ["\xF2\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA1"],
        ["\xE7\x89\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF4"],

        ["\xF2\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x99"],
        ["\xE4\xB9\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF5"],

        ["\xF2\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xBA"],
        ["\xE4\xBF\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF6"],

        ["\xF2\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB8"],
        ["\xE5\x8D\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF7"],

        ["\xF2\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA9"],
        ["\xE6\x81\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF8"],

        ["\xF2\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA9"],
        ["\xE6\xB8\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xF9"],

        ["\xF2\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x8F"],
        ["\xE7\xA9\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x7A"],

        ["\xF2\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB3"],
        ["\xE9\x9F\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x5E"],

        ["\xF2\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8B"],
        ["\xE4\xB8\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x4C"],

        ["\xF2\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x96"],
        ["\xE5\x8C\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x7E"],

        ["\xF2\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xAE"],
        ["\xE4\xBB\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x6E"],

        ["\xF2\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x95"],
        ["\xE4\xBD\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x6F"],

        ["\xF2\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xBD"],
        ["\xE4\xBC\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x7C"],

        ["\xF2\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xA1"],
        ["\xE4\xBE\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC1"],

        ["\xF2\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB3"],
        ["\xE4\xBD\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC2"],

        ["\xF2\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA0"],
        ["\xE5\x8A\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC3"],

        ["\xF2\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAF"],
        ["\xE5\x8F\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC4"],

        ["\xF2\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x89"],
        ["\xE5\x98\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC5"],

        ["\xF2\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8F"],
        ["\xE5\xA4\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC6"],

        ["\xF2\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x81"],
        ["\xE5\xAB\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC7"],

        ["\xF2\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB6"],
        ["\xE5\xAE\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC8"],

        ["\xF2\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA1"],
        ["\xE5\xAF\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC9"],

        ["\xF2\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x91"],
        ["\xE7\xA7\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD1"],

        ["\xF2\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x87"],
        ["\xE6\x9A\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD2"],

        ["\xF2\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x9C"],
        ["\xE6\x9E\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD3"],

        ["\xF2\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB6"],
        ["\xE6\x9E\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD4"],

        ["\xF2\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x8C"],
        ["\xE6\xAD\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD5"],

        ["\xF2\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xB3"],
        ["\xE6\xB2\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD6"],

        ["\xF2\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xAB"],
        ["\xE7\x81\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD7"],

        ["\xF2\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x82"],
        ["\xE7\x8F\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD8"],

        ["\xF2\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x8D"],
        ["\xE7\xA6\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD9"],

        ["\xF2\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBE"],
        ["\xE7\xA6\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xE2"],

        ["\xF2\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBC"],
        ["\xE7\xA8\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xE3"],

        ["\xF2\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x87"],
        ["\xE7\xAE\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xE4"],

        ["\xF2\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB1"],
        ["\xE8\x8A\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xE5"],

        ["\xF2\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x9B"],
        ["\xE8\x8B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xE6"],

        ["\xF2\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x84"],
        ["\xE8\x8C\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xE7"],

        ["\xF2\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xB7"],
        ["\xE8\x8D\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xE8"],

        ["\xF2\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xAF"],
        ["\xE8\x8F\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xE9"],

        ["\xF2\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x93"],
        ["\xE8\x8F\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x4A"],

        ["\xF2\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA6"],
        ["\xE8\x9D\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x5B"],

        ["\xF2\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xB2"],
        ["\xE8\xAA\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x5A"],

        ["\xF2\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xA9"],
        ["\xE5\x98\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x5F"],

        ["\xF2\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA8"],
        ["\xE8\xB2\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x6D"],

        ["\xF2\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA6"],
        ["\xE8\xBF\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x79"],

        ["\xF2\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8E"],
        ["\xE9\x81\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x57"],

        ["\xF2\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x9E"],
        ["\xE9\x9C\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x59"],

        ["\xF2\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x8A"],
        ["\xE8\x9A\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x62"],

        ["\xF2\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x84"],
        ["\xE4\xBF\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x63"],

        ["\xF2\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xA8"],
        ["\xE5\xB3\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x64"],

        ["\xF2\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x91"],
        ["\xE6\x88\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x65"],

        ["\xF2\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x99"],
        ["\xE7\x89\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x66"],

        ["\xF2\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBB"],
        ["\xE7\x94\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x67"],

        ["\xF2\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA5"],
        ["\xE8\x87\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x68"],

        ["\xF2\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBD"],
        ["\xE8\x8A\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x69"],

        ["\xF2\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBE"],
        ["\xE8\x9B\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x70"],

        ["\xF2\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x80"],
        ["\xE8\xB3\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x71"],

        ["\xF2\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x85"],
        ["\xE9\x9B\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x72"],

        ["\xF2\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x93"],
        ["\xE9\xA4\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x73"],

        ["\xF2\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x95"],
        ["\xE9\xA7\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x74"],

        ["\xF2\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8B"],
        ["\xE4\xBB\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x75"],

        ["\xF2\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x9A"],
        ["\xE4\xBC\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x76"],

        ["\xF2\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xA3"],
        ["\xE8\xA7\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x77"],

        ["\xF2\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x9E"],
        ["\xE5\x9B\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x78"],

        ["\xF2\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x8A"],
        ["\xE5\xA1\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x80"],

        ["\xF2\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x8A"],
        ["\xE5\xA3\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x8B"],

        ["\xF2\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBB"],
        ["\xE5\xBB\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x9B"],

        ["\xF2\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xAB"],
        ["\xE5\xBF\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x9C"],

        ["\xF2\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xAA"],
        ["\xE6\x80\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xA0"],

        ["\xF2\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x94"],
        ["\xE6\x82\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xAB"],

        ["\xF2\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA2"],
        ["\xE6\x81\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xB0"],

        ["\xF2\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x90"],
        ["\xE6\x87\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xC0"],

        ["\xF2\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x92"],
        ["\xE6\x88\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x6A"],

        ["\xF2\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x90"],
        ["\xE6\x8B\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xD0"],

        ["\xF2\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB9"],
        ["\xE6\x94\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\xA1"],

        ["\xF3\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x81"],
        ["\xE9\xAD\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x4F"],

        ["\xF3\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA6"],
        ["\xE6\x99\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x7F"],

        ["\xF3\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB0"],
        ["\xE6\xA2\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x7B"],

        ["\xF3\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB7"],
        ["\xE6\xB5\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xE0"],

        ["\xF3\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xB0"],
        ["\xE7\x81\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x6C"],

        ["\xF3\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8C"],
        ["\xE7\x95\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x50"],

        ["\xF3\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x86"],
        ["\xE7\x9A\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x7D"],

        ["\xF3\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB5"],
        ["\xE7\xB5\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x4D"],

        ["\xF3\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA5"],
        ["\xE8\x8A\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x5D"],

        ["\xF3\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB9"],
        ["\xE8\x9F\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x5C"],

        ["\xF3\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8B"],
        ["\xE9\x96\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x4E"],

        ["\xF3\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8E"],
        ["\xE9\x9A\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x6B"],

        ["\xF3\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x9D"],
        ["\xE8\xB2\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x60"],

        ["\xF3\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB1"],
        ["\xE5\x87\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x4B"],

        ["\xF3\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xBE"],
        ["\xE5\x8A\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x61"],

        ["\xF3\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x96"],
        ["\xE5\xA4\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF0"],

        ["\xF3\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xB3"],
        ["\xE5\x92\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF1"],

        ["\xF3\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB3"],
        ["\xE5\xAE\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF2"],

        ["\xF3\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x96"],
        ["\xE5\xB4\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF3"],

        ["\xF3\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA8"],
        ["\xE6\x85\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF4"],

        ["\xF3\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x82"],
        ["\xE6\xA6\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF5"],

        ["\xF3\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAF"],
        ["\xE6\xB6\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF6"],

        ["\xF3\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x8D"],
        ["\xE7\xA2\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF7"],

        ["\xF3\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8B"],
        ["\xE8\x93\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF8"],

        ["\xF3\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x97"],
        ["\xE8\xA1\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xF9"],

        ["\xF3\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB2"],
        ["\xE8\xA9\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x7A"],

        ["\xF3\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xA7"],
        ["\xE9\x8E\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x5E"],

        ["\xF3\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB8"],
        ["\xE9\xAA\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x4C"],

        ["\xF3\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xAC"],
        ["\xE6\xB5\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x7E"],

        ["\xF3\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xA8"],
        ["\xE9\xA6\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x6E"],

        ["\xF3\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x99"],
        ["\xE8\x9B\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x6F"],

        ["\xF3\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA3"],
        ["\xE5\x9E\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x7C"],

        ["\xF3\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xBF"],
        ["\xE6\x9F\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC1"],

        ["\x68\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x8E"],
        ["\xE8\x9B\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xE9"],

        ["\xF3\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x8E"],
        ["\xE9\x88\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC3"],

        ["\xF3\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x83"],
        ["\xE5\x8A\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC4"],

        ["\xF3\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x87"],
        ["\xE5\x9A\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC5"],

        ["\xF3\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x84"],
        ["\xE5\x90\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC6"],

        ["\xF3\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x93"],
        ["\xE5\xBB\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC7"],

        ["\xF3\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xA1"],
        ["\xE6\x8B\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC8"],

        ["\xE8\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xB9"],
        ["\xE6\x92\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0"],

        ["\xF3\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xBC"],
        ["\xE6\xA0\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD1"],

        ["\xF3\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB8"],
        ["\xE6\xA0\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD2"],

        ["\xF3\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBB"],
        ["\xE6\xAE\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD3"],

        ["\xF3\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB2"],
        ["\xE7\x8D\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD4"],

        ["\xF3\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xBA"],
        ["\xE7\xA2\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD5"],

        ["\xF3\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xAB"],
        ["\xE7\xA9\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD6"],

        ["\xF3\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x9A"],
        ["\xE8\xA6\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD7"],

        ["\xF3\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x92"],
        ["\xE8\xA7\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD8"],

        ["\xF3\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xAB"],
        ["\xE8\xB5\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD9"],

        ["\xF3\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x83"],
        ["\xE8\xBC\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xE2"],

        ["\xF3\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xAD"],
        ["\xE9\x83\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xE3"],

        ["\xF3\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA3"],
        ["\xE9\x96\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xE4"],

        ["\xF3\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x94"],
        ["\xE9\x9A\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xE5"],

        ["\xF3\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA9"],
        ["\xE9\x9D\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xE6"],

        ["\xF3\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA6"],
        ["\xE5\xAD\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xE7"],

        ["\xF3\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB3"],
        ["\xE5\xB2\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xE8"],

        ["\xF3\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBD"],
        ["\xE6\xA5\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xE9"],

        ["\xF3\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8D"],
        ["\xE9\xA1\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x4A"],

        ["\xF3\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8E"],
        ["\xE9\xA1\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x5B"],

        ["\xF3\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x9B"],
        ["\xE6\x8E\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x5A"],

        ["\xF3\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA0"],
        ["\xE7\xAC\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x5F"],

        ["\xF3\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xAB"],
        ["\xE6\xA8\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x6D"],

        ["\xF3\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xBF"],
        ["\xE6\xA9\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x79"],

        ["\xF3\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB6"],
        ["\xE6\xA2\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x57"],

        ["\xF3\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x8D"],
        ["\xE9\xB0\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x59"],

        ["\xF3\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9F"],
        ["\xE6\xBD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x62"],

        ["\xF3\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB2"],
        ["\xE5\x89\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x63"],

        ["\xF3\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9D"],
        ["\xE5\x96\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x64"],

        ["\xF3\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xB0"],
        ["\xE6\x81\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x65"],

        ["\xF3\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xAC"],
        ["\xE6\x8B\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x66"],

        ["\xF3\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBB"],
        ["\xE6\xB4\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x67"],

        ["\xF3\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x87"],
        ["\xE6\xB8\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x68"],

        ["\xF3\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x91"],
        ["\xE6\xBB\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x69"],

        ["\xF3\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x9B"],
        ["\xE8\x91\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x70"],

        ["\xF3\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x90"],
        ["\xE8\xA4\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x71"],

        ["\xF3\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x84"],
        ["\xE8\xBD\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x72"],

        ["\xF3\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x94"],
        ["\xE4\xB8\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x73"],

        ["\xF3\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB9"],
        ["\xE9\xB0\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x74"],

        ["\xF3\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB6"],
        ["\xE5\x8F\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x75"],

        ["\xF3\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x9B"],
        ["\xE6\xA4\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x76"],

        ["\xF3\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBA"],
        ["\xE6\xA8\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x77"],

        ["\xF3\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x84"],
        ["\xE9\x9E\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x78"],

        ["\xF3\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xAA"],
        ["\xE6\xA0\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x80"],

        ["\xF3\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x9C"],
        ["\xE5\x85\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x8B"],

        ["\x62\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x83"],
        ["\xE7\xAB\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x5F"],

        ["\xF3\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xB2"],
        ["\xE8\x92\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x9C"],

        ["\xF3\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9C"],
        ["\xE9\x87\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xA0"],

        ["\xF3\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x8C"],
        ["\xE9\x8E\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xAB"],

        ["\xF3\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x9B"],
        ["\xE5\x99\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0"],

        ["\xF3\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xA8"],
        ["\xE9\xB4\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC0"],

        ["\xF3\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xA2"],
        ["\xE6\xA0\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x6A"],

        ["\xF3\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x85"],
        ["\xE8\x8C\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xD0"],

        ["\xF3\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xB1"],
        ["\xE8\x90\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xA1"],

        ["\xF4\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA5"],
        ["\xE7\xB2\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x4F"],

        ["\xF4\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x88"],
        ["\xE5\x88\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x7F"],

        ["\xF4\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x85"],
        ["\xE8\x8B\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x7B"],

        ["\xF4\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA6"],
        ["\xE7\x93\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xE0"],

        ["\xF4\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xBE"],
        ["\xE4\xB9\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x6C"],

        ["\xF4\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x83"],
        ["\xE4\xBE\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x50"],

        ["\xF4\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA0"],
        ["\xE5\x86\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x7D"],

        ["\xF4\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x92"],
        ["\xE5\xAF\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x4D"],

        ["\xF4\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x8A"],
        ["\xE5\x88\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x5D"],

        ["\xF4\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x98"],
        ["\xE5\x8B\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x5C"],

        ["\xF4\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA7"],
        ["\xE5\x8B\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x4E"],

        ["\xF4\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xBB"],
        ["\xE5\xB7\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x6B"],

        ["\xF4\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9A"],
        ["\xE5\x96\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x60"],

        ["\xF4\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xAA"],
        ["\xE5\xA0\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x4B"],

        ["\xF4\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA6"],
        ["\xE5\xA7\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x61"],

        ["\xF4\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x8C"],
        ["\xE5\xAE\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF0"],

        ["\xF4\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x98"],
        ["\xE5\xAE\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF1"],

        ["\xF4\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x9B"],
        ["\xE5\xAF\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF2"],

        ["\xF4\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB2"],
        ["\xE5\xB9\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF3"],

        ["\xF4\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB9"],
        ["\xE5\xB9\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF4"],

        ["\xF4\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA3"],
        ["\xE6\x82\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF5"],

        ["\xF4\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9F"],
        ["\xE6\x84\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF6"],

        ["\xF4\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA3"],
        ["\xE6\x85\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF7"],

        ["\xF4\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xBE"],
        ["\xE6\x86\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF8"],

        ["\xF4\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x9B"],
        ["\xE6\x8F\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xF9"],

        ["\xF4\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xA2"],
        ["\xE6\x95\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x7A"],

        ["\xF4\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x91"],
        ["\xE6\x9F\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x5E"],

        ["\xF4\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x93"],
        ["\xE6\xA1\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x4C"],

        ["\xF4\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xBA"],
        ["\xE6\xA3\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x7E"],

        ["\xF4\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xBE"],
        ["\xE6\xAC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x6E"],

        ["\xF4\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x93"],
        ["\xE6\xAD\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x6F"],

        ["\xF4\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x97"],
        ["\xE6\xB1\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x7C"],

        ["\xF4\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xA2"],
        ["\xE6\xBC\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC1"],

        ["\xF4\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x97"],
        ["\xE6\xBE\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC2"],

        ["\x5F\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x85"],
        ["\xE6\xBD\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x8B"],

        ["\xF4\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xB0"],
        ["\xE7\x92\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC4"],

        ["\xF4\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x98"],
        ["\xE7\x94\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC5"],

        ["\xF4\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA3"],
        ["\xE7\x9B\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC6"],

        ["\xF4\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x8B"],
        ["\xE7\x9C\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC7"],

        ["\xF4\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xBF"],
        ["\xE7\xAB\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC8"],

        ["\xF4\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xA1"],
        ["\xE7\xAE\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC9"],

        ["\xF4\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA1"],
        ["\xE7\xB0\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD1"],

        ["\xF4\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA9"],
        ["\xE7\xB7\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD2"],

        ["\xF4\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xB6"],
        ["\xE7\xBC\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD3"],

        ["\xF4\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xB0"],
        ["\xE7\xBF\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD4"],

        ["\xF4\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x9D"],
        ["\xE8\x82\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD5"],

        ["\xF4\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA6"],
        ["\xE8\x89\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD6"],

        ["\xF4\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9E"],
        ["\xE8\x8E\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD7"],

        ["\xF4\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xB3"],
        ["\xE8\xA6\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD8"],

        ["\x70\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x8C"],
        ["\xE8\xAB\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x5A"],

        ["\xF4\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAB"],
        ["\xE8\xB2\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xE2"],

        ["\xF4\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x84"],
        ["\xE9\x82\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xE3"],

        ["\xF4\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x91"],
        ["\xE9\x91\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xE4"],

        ["\xF4\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x93"],
        ["\xE9\x96\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xE5"],

        ["\xF4\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x91"],
        ["\xE9\x96\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xE6"],

        ["\xF4\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA2"],
        ["\xE9\x96\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xE7"],

        ["\xF4\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA5"],
        ["\xE9\x99\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xE8"],

        ["\xF4\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x93"],
        ["\xE9\x9F\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xE9"],

        ["\xF4\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA8"],
        ["\xE9\xA4\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x4A"],

        ["\xF4\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x98"],
        ["\xE8\x88\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x5B"],

        ["\xF4\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB8"],
        ["\xE4\xB8\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x5A"],

        ["\xF4\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xAB"],
        ["\xE5\x90\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x5F"],

        ["\xF4\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB8"],
        ["\xE5\xB2\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x6D"],

        ["\xF4\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x8C"],
        ["\xE5\xB7\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x79"],

        ["\xF4\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA9"],
        ["\xE7\x8E\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x57"],

        ["\xF4\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x8C"],
        ["\xE7\x99\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x59"],

        ["\xF4\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xBC"],
        ["\xE7\x9C\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x62"],

        ["\xF4\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA9"],
        ["\xE5\xB2\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x63"],

        ["\xF4\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xAB"],
        ["\xE7\xBF\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x64"],

        ["\xF4\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8B"],
        ["\xE8\xB4\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x65"],

        ["\xF4\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x81"],
        ["\xE9\x9B\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x66"],

        ["\xF4\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x91"],
        ["\xE9\xA0\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x67"],

        ["\xF4\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x94"],
        ["\xE9\xA1\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x68"],

        ["\xF4\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x98"],
        ["\xE9\xA1\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x69"],

        ["\xF4\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x81"],
        ["\xE4\xBC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x70"],

        ["\xF4\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8E"],
        ["\xE4\xBC\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x71"],

        ["\xF4\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB1"],
        ["\xE5\x8D\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x72"],

        ["\xF4\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9C"],
        ["\xE5\x96\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x73"],

        ["\xF4\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xA8"],
        ["\xE5\x99\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x74"],

        ["\xF4\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBA"],
        ["\xE5\x9F\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x75"],

        ["\xF4\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x87"],
        ["\xE5\xA5\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x76"],

        ["\xF4\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x89"],
        ["\xE5\xAC\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x77"],

        ["\xF4\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x84"],
        ["\xE5\xAF\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x78"],

        ["\xF4\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x90"],
        ["\xE5\xB2\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x80"],

        ["\xF4\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x8C"],
        ["\xE5\xB8\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x8B"],

        ["\xF4\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBE"],
        ["\xE5\xB9\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x9B"],

        ["\xF4\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x8C"],
        ["\xE5\xBF\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x9C"],

        ["\xF4\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xAE"],
        ["\xE6\x8F\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xA0"],

        ["\xF4\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xBA"],
        ["\xE6\x9C\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xAB"],

        ["\xF4\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x97"],
        ["\xE6\x97\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xB0"],

        ["\xF4\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA2"],
        ["\xE6\x97\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC0"],

        ["\xF4\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x9F"],
        ["\xE6\x9C\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\x6A"],

        ["\xF4\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8B"],
        ["\xE6\xA3\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD0"],

        ["\xF4\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x84"],
        ["\xE6\xA3\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xA1"],

        ["\xF5\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x9F"],
        ["\xE6\xA9\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x4F"],

        ["\xF5\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB0"],
        ["\xE5\xB8\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x7F"],

        ["\xF5\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x85"],
        ["\xE6\xAF\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x7B"],

        ["\xF5\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x97"],
        ["\xE6\xB0\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xE0"],

        ["\xF5\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xBD"],
        ["\xE6\xB1\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x6C"],

        ["\xF5\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xBF"],
        ["\xE7\x95\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x50"],

        ["\xF5\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x88"],
        ["\xE7\xA5\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x7D"],

        ["\xF5\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA3"],
        ["\xE5\xAD\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x4D"],

        ["\xF5\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x80"],
        ["\xE7\xA8\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x5D"],

        ["\xF5\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x80"],
        ["\xE7\xB4\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x5C"],

        ["\xF5\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xBD"],
        ["\xE5\xBE\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x4E"],

        ["\xF5\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x8F"],
        ["\xE8\xA6\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x6B"],

        ["\xF5\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x98"],
        ["\xE8\xA8\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x60"],

        ["\xF5\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB4"],
        ["\xE8\xB2\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x4B"],

        ["\xF5\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB7"],
        ["\xE8\xB5\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x61"],

        ["\xF5\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8C"],
        ["\xE8\xBB\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF0"],

        ["\xF5\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9D"],
        ["\xE8\xBC\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF1"],

        ["\xF5\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xA2"],
        ["\xE9\xA3\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF2"],

        ["\xF5\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x8E"],
        ["\xE9\xA8\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF3"],

        ["\xF5\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xBC"],
        ["\xE9\xAC\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF4"],

        ["\xF5\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x80"],
        ["\xE4\xBA\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF5"],

        ["\xF5\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xBD"],
        ["\xE5\x81\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF6"],

        ["\xF5\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x80"],
        ["\xE5\x84\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF7"],

        ["\xF5\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x93"],
        ["\xE5\xA6\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF8"],

        ["\xF5\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9C"],
        ["\xE5\xAE\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xF9"],

        ["\xF5\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xAF"],
        ["\xE6\x88\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x7A"],

        ["\xF5\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x80"],
        ["\xE6\x8A\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x5E"],

        ["\xF5\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xAC"],
        ["\xE6\x93\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x4C"],

        ["\xF5\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xBA"],
        ["\xE6\xAC\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x7E"],

        ["\xF5\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xA0"],
        ["\xE7\x8A\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x6E"],

        ["\xF5\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x91"],
        ["\xE7\x96\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x6F"],

        ["\xF5\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x87"],
        ["\xE7\xA5\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x7C"],

        ["\xF5\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA9"],
        ["\xE7\xBE\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC1"],

        ["\xF5\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xBB"],
        ["\xE8\x9F\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC2"],

        ["\xF5\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xBC"],
        ["\xE8\xAA\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC3"],

        ["\xF5\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB0"],
        ["\xE8\xAD\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC4"],

        ["\xF5\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xAC"],
        ["\xE6\x8E\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC5"],

        ["\xF5\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x8A"],
        ["\xE8\x8F\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC6"],

        ["\xF5\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xA0"],
        ["\xE9\x9E\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC7"],

        ["\xF5\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x89"],
        ["\xE5\x90\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC8"],

        ["\xF5\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x83"],
        ["\xE5\x90\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC9"],

        ["\xF5\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAB"],
        ["\xE5\x96\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD1"],

        ["\xF5\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x94"],
        ["\xE6\xA1\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD2"],

        ["\xF5\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x98"],
        ["\xE6\xA9\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD3"],

        ["\xF5\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB0"],
        ["\xE8\xA9\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD4"],

        ["\xF5\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA7"],
        ["\xE7\xA0\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD5"],

        ["\xF5\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB5"],
        ["\xE6\x9D\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD6"],

        ["\xF5\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x8D"],
        ["\xE9\xBB\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD7"],

        ["\xF5\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB4"],
        ["\xE5\x8D\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD8"],

        ["\xF5\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA2"],
        ["\xE5\xAE\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD9"],

        ["\xF5\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x9A"],
        ["\xE8\x84\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xE2"],

        ["\xF5\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x90"],
        ["\xE8\x99\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xE3"],

        ["\xF5\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x86"],
        ["\xE9\x80\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xE4"],

        ["\xF5\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x98"],
        ["\xE4\xB8\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xE5"],

        ["\xF5\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x85"],
        ["\xE4\xB9\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xE6"],

        ["\xF5\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x87"],
        ["\xE4\xBB\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xE7"],

        ["\xF5\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x91"],
        ["\xE4\xBC\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xE8"],

        ["\xF5\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8A"],
        ["\xE5\x8F\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xE9"],

        ["\xF5\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xB8"],
        ["\xE5\x90\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x4A"],

        ["\xF5\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xAE"],
        ["\xE5\xAE\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x5B"],

        ["\xF5\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x93"],
        ["\xE5\xBC\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x5A"],

        ["\xF5\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA5"],
        ["\xE6\x80\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x5F"],

        ["\xF5\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x91"],
        ["\xE6\x95\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x6D"],

        ["\xF5\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xBD"],
        ["\xE6\x9C\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x79"],

        ["\xF5\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x82"],
        ["\xE6\xB1\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x57"],

        ["\xF5\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB2"],
        ["\xE6\xB1\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x59"],

        ["\xF5\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA3"],
        ["\xE6\xB3\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x62"],

        ["\xF5\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xB8"],
        ["\xE7\x81\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x63"],

        ["\xF5\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x83"],
        ["\xE7\x90\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x64"],

        ["\xF5\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB6"],
        ["\xE7\xA9\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x65"],

        ["\xF5\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xAE"],
        ["\xE7\xAA\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x66"],

        ["\xF5\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x88"],
        ["\xE7\xAC\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x67"],

        ["\xF5\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9A"],
        ["\xE7\xB4\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x68"],

        ["\xF5\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xBE"],
        ["\xE7\xB3\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x69"],

        ["\xF5\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA6"],
        ["\xE7\xB5\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x70"],

        ["\xF5\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA7"],
        ["\xE6\x97\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x71"],

        ["\xF5\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x9B"],
        ["\xE7\x89\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x72"],

        ["\xF5\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xBB"],
        ["\xE5\x8E\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x73"],

        ["\xF5\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x85"],
        ["\xE5\xB1\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x74"],

        ["\xF5\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA8"],
        ["\xE5\xB7\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x75"],

        ["\xF5\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x92"],
        ["\xE6\x8B\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x76"],

        ["\xF5\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xA0"],
        ["\xE6\x8B\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x77"],

        ["\xF5\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x99"],
        ["\xE6\x8C\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x78"],

        ["\xF5\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA0"],
        ["\xE6\xB8\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x80"],

        ["\xF5\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9A"],
        ["\xE8\x99\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x8B"],

        ["\xF5\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB1"],
        ["\xE8\xA8\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x9B"],

        ["\xF5\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x9D"],
        ["\xE8\xB7\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x9C"],

        ["\xF5\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xB8"],
        ["\xE9\x8B\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xA0"],

        ["\xF5\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x81"],
        ["\xE6\xBC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xAB"],

        ["\xF5\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xA6"],
        ["\xE7\xA6\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xB0"],

        ["\xF5\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x9A"],
        ["\xE9\xAD\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xC0"],

        ["\xF5\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA8"],
        ["\xE4\xBA\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\x6A"],

        ["\xF5\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xAB"],
        ["\xE4\xBA\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xD0"],

        ["\xF5\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xAC"],
        ["\xE4\xBA\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF5\xA1"],

        ["\xF6\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x9B"],
        ["\xE4\xBE\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x4F"],

        ["\xF6\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xA0"],
        ["\xE4\xBE\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x7F"],

        ["\xF6\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x91"],
        ["\xE5\x83\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x7B"],

        ["\xF6\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x87"],
        ["\xE5\x85\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xE0"],

        ["\xF6\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB6"],
        ["\xE7\xAB\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x6C"],

        ["\xF6\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB1"],
        ["\xE5\x85\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x50"],

        ["\xF6\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB6"],
        ["\xE5\x87\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x7D"],

        ["\xF6\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x94"],
        ["\xE5\x8D\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x4D"],

        ["\xF6\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xA1"],
        ["\xE5\x8C\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x5D"],

        ["\xF6\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xBF"],
        ["\xE5\x8D\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x5C"],

        ["\xF6\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAB"],
        ["\xE5\x8F\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x4E"],

        ["\xF6\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAC"],
        ["\xE5\x96\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x6B"],

        ["\xF6\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x83"],
        ["\xE5\xA2\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x60"],

        ["\xF6\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xA1"],
        ["\xE5\xB3\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x4B"],

        ["\xF6\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB7"],
        ["\xE5\xBC\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x61"],

        ["\xF6\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x8A"],
        ["\xE5\xBD\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF0"],

        ["\xF6\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xAF"],
        ["\xE6\x80\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF1"],

        ["\xF6\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x90"],
        ["\xE6\x81\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF2"],

        ["\xF6\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAD"],
        ["\xE6\x81\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF3"],

        ["\xF6\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x9F"],
        ["\xE6\x8C\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF4"],

        ["\xF6\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x99"],
        ["\xE6\x95\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF5"],

        ["\xF6\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x8B"],
        ["\xE6\xA9\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF6"],

        ["\xF6\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x81"],
        ["\xE6\xB3\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF7"],

        ["\xF6\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x82"],
        ["\xE7\x8B\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF8"],

        ["\xF6\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xAD"],
        ["\xE7\x8B\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xF9"],

        ["\xF6\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAF"],
        ["\xE7\x9F\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x7A"],

        ["\xF6\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB8"],
        ["\xE8\x83\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x5E"],

        ["\xF6\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x85"],
        ["\xE8\x84\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x4C"],

        ["\xF6\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x88"],
        ["\xE8\x88\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x7E"],

        ["\xF6\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x8E"],
        ["\xE8\x95\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x6E"],

        ["\xF6\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xB7"],
        ["\xE9\x83\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x6F"],

        ["\xF6\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xA1"],
        ["\xE9\x8F\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x7C"],

        ["\xF6\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xBF"],
        ["\xE9\x9F\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC1"],

        ["\xF6\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x97"],
        ["\xE9\xA5\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC2"],

        ["\xF6\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x9A"],
        ["\xE9\xA9\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC3"],

        ["\xF6\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB0"],
        ["\xE4\xBB\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC4"],

        ["\xF6\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x9D"],
        ["\xE5\x87\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC5"],

        ["\x86\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xAD"],
        ["\xE5\xB0\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xBA"],

        ["\xF6\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x81"],
        ["\xE6\x9A\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC7"],

        ["\xF6\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAD"],
        ["\xE6\xA5\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC8"],

        ["\xF6\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x80"],
        ["\xE5\xB1\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC9"],

        ["\xF6\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB2"],
        ["\xE6\x9B\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD1"],

        ["\xF6\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB5"],
        ["\xE6\xA5\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD2"],

        ["\xF6\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x89"],
        ["\xE7\x8E\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD3"],

        ["\xF6\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x90"],
        ["\xE6\xA1\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD4"],

        ["\xF6\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x81"],
        ["\xE7\xB2\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD5"],

        ["\xF6\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x85"],
        ["\xE5\x83\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD6"],

        ["\xF6\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA4"],
        ["\xE5\x8B\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD7"],

        ["\xF6\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x87"],
        ["\xE5\x9D\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD8"],

        ["\xF6\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xBE"],
        ["\xE5\xB7\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD9"],

        ["\xF6\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA6"],
        ["\xE9\x8C\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xE2"],

        ["\xF6\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xA4"],
        ["\xE6\x96\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xE3"],

        ["\xF6\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xA3"],
        ["\xE6\xAC\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xE4"],

        ["\xF6\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xBD"],
        ["\xE6\xAC\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xE5"],

        ["\xF6\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB4"],
        ["\xE7\x90\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xE6"],

        ["\xF6\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x81"],
        ["\xE7\xA6\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xE7"],

        ["\xF6\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBD"],
        ["\xE7\xA6\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xE8"],

        ["\xF6\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8B"],
        ["\xE7\xAD\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xE9"],

        ["\xF6\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x8A"],
        ["\xE7\xB7\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x4A"],

        ["\xF6\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB9"],
        ["\xE8\x8A\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x5B"],

        ["\xF6\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x8C"],
        ["\xE8\x8F\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x5A"],

        ["\xF6\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xBF"],
        ["\xE8\xA1\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x5F"],

        ["\xF6\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x9F"],
        ["\xE8\xA5\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x6D"],

        ["\xF6\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xB9"],
        ["\xE8\xAC\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x79"],

        ["\xF6\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x91"],
        ["\xE8\xBF\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x57"],

        ["\xF6\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x91"],
        ["\xE9\x87\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x59"],

        ["\xF6\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x9F"],
        ["\xE5\x90\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x62"],

        ["\xF6\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x80"],
        ["\xE9\x8A\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x63"],

        ["\xF6\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x9D"],
        ["\xE4\xB9\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x64"],

        ["\xF6\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xB6"],
        ["\xE5\x80\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x65"],

        ["\xF6\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA5"],
        ["\xE5\x8F\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x66"],

        ["\xF6\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xBA"],
        ["\xE5\x8C\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x67"],

        ["\xF6\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x97"],
        ["\xE7\x8B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x68"],

        ["\xF6\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x96"],
        ["\xE7\x8E\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x69"],

        ["\xF6\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA9"],
        ["\xE7\x9F\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x70"],

        ["\xF6\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA6"],
        ["\xE8\x8B\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x71"],

        ["\xF6\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xAF"],
        ["\xE8\xBA\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x72"],

        ["\xF6\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x86"],
        ["\xE9\xA7\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x73"],

        ["\xF6\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x88"],
        ["\xE9\xA7\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x74"],

        ["\xF6\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x92"],
        ["\xE9\xA7\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x75"],

        ["\xF6\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB7"],
        ["\xE5\x85\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x76"],

        ["\xF6\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9A"],
        ["\xE6\x84\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x77"],

        ["\xF6\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9E"],
        ["\xE8\x99\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x78"],

        ["\xF6\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xB0"],
        ["\xE5\x96\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x80"],

        ["\xF6\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xBA"],
        ["\xE7\xA9\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x8B"],

        ["\xF6\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB6"],
        ["\xE5\x81\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x9B"],

        ["\xF6\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x93"],
        ["\xE5\xAF\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x9C"],

        ["\xF6\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x87"],
        ["\xE9\x81\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xA0"],

        ["\xF6\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x85"],
        ["\xE9\x9A\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xAB"],

        ["\xF6\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB2"],
        ["\xE4\xB8\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xB0"],

        ["\xF6\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9B"],
        ["\xE6\xAB\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC0"],

        ["\xF6\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA7"],
        ["\xE9\x87\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\x6A"],

        ["\xF6\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x91"],
        ["\xE5\xB1\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xD0"],

        ["\xF6\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x88"],
        ["\xE5\xB1\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xA1"],

        ["\xF7\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x98"],
        ["\xE6\x8E\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x4F"],

        ["\xF7\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x9F"],
        ["\xE7\xAA\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x7F"],

        ["\xF7\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x93"],
        ["\xE6\xB2\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x7B"],

        ["\xF7\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xB4"],
        ["\xE9\x9D\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xE0"],

        ["\xF7\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\xA1"],
        ["\xE8\xBD\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x6C"],

        ["\xF7\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xAA"],
        ["\xE7\xAA\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x50"],

        ["\xF7\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x8A"],
        ["\xE7\x86\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x7D"],

        ["\xF7\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x88"],
        ["\xE9\x9A\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x4D"],

        ["\xF7\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x82"],
        ["\xE7\xB2\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x5D"],

        ["\xF7\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x97"],
        ["\xE6\xA0\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x5C"],

        ["\xF7\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xB0"],
        ["\xE7\xB9\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x4E"],

        ["\xF7\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x91"],
        ["\xE6\xA1\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x6B"],

        ["\xF7\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xAC"],
        ["\xE9\x8D\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x60"],

        ["\xF7\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB2"],
        ["\xE5\x8B\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x4B"],

        ["\xF7\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x9B"],
        ["\xE5\x90\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x61"],

        ["\xF7\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAB"],
        ["\xE8\x96\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF0"],

        ["\xF7\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x93"],
        ["\xE8\xA8\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF1"],

        ["\xF7\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA4"],
        ["\xE7\xBE\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF2"],

        ["\xF7\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8D"],
        ["\xE8\xBB\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF3"],

        ["\xF7\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xA1"],
        ["\xE9\x83\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF4"],

        ["\xF7\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA6"],
        ["\xE5\x8D\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF5"],

        ["\xF7\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x88"],
        ["\xE8\xA2\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF6"],

        ["\xF7\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x81"],
        ["\xE7\xA5\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF7"],

        ["\xF7\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x82"],
        ["\xE4\xBF\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF8"],

        ["\xF7\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xBE"],
        ["\xE5\x82\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xF9"],

        ["\xF7\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x91"],
        ["\xE5\x88\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x7A"],

        ["\xF7\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x84"],
        ["\xE5\x85\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x5E"],

        ["\xF7\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x93"],
        ["\xE5\x95\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x4C"],

        ["\xF7\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xAD"],
        ["\xE5\x9C\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x7E"],

        ["\xF7\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xAA"],
        ["\xE7\x8F\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x6E"],

        ["\xF7\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x8B"],
        ["\xE5\x9E\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x6F"],

        ["\xF7\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x91"],
        ["\xE5\xA5\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x7C"],

        ["\xF7\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA2"],
        ["\xE5\xBD\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC1"],

        ["\xF7\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x84"],
        ["\xE5\xBE\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC2"],

        ["\xF7\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xB5"],
        ["\xE6\x81\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC3"],

        ["\xF7\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB6"],
        ["\xE6\x85\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC4"],

        ["\xF7\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA7"],
        ["\xE6\x85\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC5"],

        ["\xF7\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA9"],
        ["\xE6\x86\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC6"],

        ["\xF7\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xB2"],
        ["\xE6\x8E\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC7"],

        ["\xF7\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xBA"],
        ["\xE6\x90\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC8"],

        ["\xF7\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xAC"],
        ["\xE6\x95\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC9"],

        ["\xF7\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAF"],
        ["\xE6\x99\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD1"],

        ["\xF7\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x82"],
        ["\xE6\xA1\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD2"],

        ["\xF7\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x93"],
        ["\xE6\xB8\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD3"],

        ["\xF7\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA6"],
        ["\xE7\x95\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD4"],

        ["\xF7\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBD"],
        ["\xE7\xA8\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD5"],

        ["\xF7\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xBB"],
        ["\xE7\xB3\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD6"],

        ["\xF7\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x8C"],
        ["\xE7\xB5\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD7"],

        ["\xF7\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x99"],
        ["\xE7\xB6\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD8"],

        ["\xF7\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x8B"],
        ["\xE7\xB9\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD9"],

        ["\xF7\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xAB"],
        ["\xE7\xBD\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xE2"],

        ["\xF7\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x8E"],
        ["\xE8\x8C\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xE3"],

        ["\xF7\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x8A"],
        ["\xE8\x8D\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xE4"],

        ["\xF7\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x8D"],
        ["\xE8\x9B\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xE5"],

        ["\xF7\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x88"],
        ["\xE8\xA8\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xE6"],

        ["\xF7\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA3"],
        ["\xE8\xA9\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xE7"],

        ["\xF7\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xA6"],
        ["\xE8\xAD\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xE8"],

        ["\xF7\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBD"],
        ["\xE8\xBB\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xE9"],

        ["\x75\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x9A"],
        ["\xE9\xA0\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x80"],

        ["\xF7\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x8F"],
        ["\xE9\xB6\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x5B"],

        ["\xF7\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB8"],
        ["\xE8\x8A\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x5A"],

        ["\xF7\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x8E"],
        ["\xE8\xBF\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x5F"],

        ["\xF7\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA8"],
        ["\xE9\xAF\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x6D"],

        ["\xF7\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x87"],
        ["\xE5\x8A\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x79"],

        ["\xF7\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9F"],
        ["\xE6\x88\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x57"],

        ["\xF7\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x83"],
        ["\xE6\x92\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x59"],

        ["\xF7\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x80"],
        ["\xE6\xBF\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x62"],

        ["\xF7\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x99"],
        ["\xE9\x9A\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x63"],

        ["\xF7\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x81"],
        ["\xE6\xA1\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x64"],

        ["\xF7\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x91"],
        ["\xE5\x82\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x65"],

        ["\xF7\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xA0"],
        ["\xE6\xAC\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x66"],

        ["\xF7\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xBA"],
        ["\xE6\xB1\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x67"],

        ["\xF7\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x94"],
        ["\xE6\xBD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x68"],

        ["\xF7\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB4"],
        ["\xE7\xA9\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x69"],

        ["\xF7\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x90"],
        ["\xE7\xB5\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x70"],

        ["\xF7\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x80"],
        ["\xE8\xA1\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x71"],

        ["\xF7\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xA3"],
        ["\xE8\xA8\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x72"],

        ["\xF7\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x88"],
        ["\xE6\x9C\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x73"],

        ["\xF7\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB6"],
        ["\xE4\xBB\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x74"],

        ["\xF7\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xB9"],
        ["\xE5\x80\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x75"],

        ["\xF7\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA6"],
        ["\xE5\x80\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x76"],

        ["\xF7\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xA5"],
        ["\xE5\x81\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x77"],

        ["\xF7\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xBC"],
        ["\xE5\x85\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x78"],

        ["\xF7\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB8"],
        ["\xE5\x88\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x80"],

        ["\xF7\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA3"],
        ["\xE5\x89\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x8B"],

        ["\xF7\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xA7"],
        ["\xE5\x96\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x9B"],

        ["\xF7\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x8F"],
        ["\xE5\x9C\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x9C"],

        ["\xF7\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x85"],
        ["\xE5\xA0\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xA0"],

        ["\xF7\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x8C"],
        ["\xE5\xAB\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xAB"],

        ["\xF7\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBA"],
        ["\xE5\xBB\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xB0"],

        ["\xF7\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xB2"],
        ["\xE6\x86\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xC0"],

        ["\xF7\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB8"],
        ["\xE6\x87\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x6A"],

        ["\xF7\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB3"],
        ["\xE6\x8B\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xD0"],

        ["\xF7\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xB2"],
        ["\xE6\x8D\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\xA1"],

        ["\xF8\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x9C"],
        ["\xE6\xA4\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x4F"],

        ["\xF8\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xA9"],
        ["\xE6\xA8\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x7F"],

        ["\xF8\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xBD"],
        ["\xE7\x89\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x7B"],

        ["\xF8\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xAC"],
        ["\xE7\x8A\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xE0"],

        ["\xF8\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAE"],
        ["\xE7\x8C\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x6C"],

        ["\xF8\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x94"],
        ["\xE7\xA0\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x50"],

        ["\xF8\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAF"],
        ["\xE7\xA1\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x7D"],

        ["\xF8\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB9"],
        ["\xE7\xB5\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x4D"],

        ["\xF8\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x8C"],
        ["\xE7\x9C\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x5D"],

        ["\xF8\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA9"],
        ["\xE8\x82\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x5C"],

        ["\xF8\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x8B"],
        ["\xE8\xA6\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x4E"],

        ["\xF8\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x99"],
        ["\xE8\xAC\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x6B"],

        ["\xF8\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA2"],
        ["\xE8\xB3\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x60"],

        ["\xF8\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x92"],
        ["\xE8\xBB\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x4B"],

        ["\xF8\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA3"],
        ["\xE9\x81\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x61"],

        ["\xF8\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xB5"],
        ["\xE9\x8D\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF0"],

        ["\xF8\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xBA"],
        ["\xE9\x99\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF1"],

        ["\xF8\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x95"],
        ["\xE9\xA1\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF2"],

        ["\xF8\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x93"],
        ["\xE9\xA8\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF3"],

        ["\xF8\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xB8"],
        ["\xE9\xB9\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF4"],

        ["\xF8\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x83"],
        ["\xE5\x85\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF5"],

        ["\xF8\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x9F"],
        ["\xE5\x8E\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF6"],

        ["\xF8\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB3"],
        ["\xE5\x8E\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF7"],

        ["\xF8\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBB"],
        ["\xE5\xB9\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF8"],

        ["\xF8\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA6"],
        ["\xE5\xBC\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xF9"],

        ["\xF8\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9B"],
        ["\xE6\xB8\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x7A"],

        ["\xF8\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x90"],
        ["\xE6\xBA\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x5E"],

        ["\xF8\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x84"],
        ["\xE7\x8E\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x4C"],

        ["\xF8\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xBE"],
        ["\xE7\x8F\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x7E"],

        ["\xF8\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x83"],
        ["\xE7\xB5\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x6E"],

        ["\xF8\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB7"],
        ["\xE8\x88\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x6F"],

        ["\xF8\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x80"],
        ["\xE8\xA8\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x7C"],

        ["\xF8\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xBA"],
        ["\xE8\xAB\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC1"],

        ["\xF8\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x90"],
        ["\xE9\x99\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC2"],

        ["\xF8\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x8E"],
        ["\xE4\xB9\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC3"],

        ["\xF8\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x8B"],
        ["\xE5\x80\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC4"],

        ["\xF8\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA4"],
        ["\xE5\x8F\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC5"],

        ["\xF8\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xBC"],
        ["\xE5\x91\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC6"],

        ["\xF8\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xBA"],
        ["\xE5\x9B\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC7"],

        ["\xF8\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x91"],
        ["\xE5\xA7\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC8"],

        ["\xF8\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA4"],
        ["\xE5\xAD\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC9"],

        ["\xF8\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB1"],
        ["\xE5\xB7\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD1"],

        ["\xF8\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xAB"],
        ["\xE5\xBA\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD2"],

        ["\xF8\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA7"],
        ["\xE5\xBC\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD3"],

        ["\xF8\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB8"],
        ["\xE6\x88\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD4"],

        ["\xF8\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x85"],
        ["\xE6\x95\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD5"],

        ["\xF8\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xAF"],
        ["\xE6\x9E\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD6"],

        ["\xF8\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x96"],
        ["\xE6\xB9\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD7"],

        ["\xF8\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x90"],
        ["\xE7\x8B\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD8"],

        ["\xF8\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x8A"],
        ["\xE7\xB3\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD9"],

        ["\xF8\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB4"],
        ["\xE8\xA2\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xE2"],

        ["\xF8\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA1"],
        ["\xE8\x82\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xE3"],

        ["\xF8\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA1"],
        ["\xE8\x83\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xE4"],

        ["\xF8\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB0"],
        ["\xE8\x8F\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xE5"],

        ["\xF8\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x8E"],
        ["\xE8\x99\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xE6"],

        ["\xF8\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x87"],
        ["\xE8\xAA\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xE7"],

        ["\xF8\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xA8"],
        ["\xE8\xB7\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xE8"],

        ["\xF8\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xB7"],
        ["\xE9\x88\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xE9"],

        ["\xF8\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x87"],
        ["\xE9\x9B\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x4A"],

        ["\xF8\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xA7"],
        ["\xE9\xA1\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x5B"],

        ["\xF8\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x93"],
        ["\xE9\xBC\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x5A"],

        ["\xF8\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x94"],
        ["\xE4\xBA\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x5F"],

        ["\xF8\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x92"],
        ["\xE4\xBA\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x6D"],

        ["\xF8\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8D"],
        ["\xE4\xBC\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x79"],

        ["\xF8\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x88"],
        ["\xE5\x8D\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x57"],

        ["\xF8\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x89"],
        ["\xE5\x91\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x59"],

        ["\xF8\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xBE"],
        ["\xE5\x90\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x62"],

        ["\xF8\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xAF"],
        ["\xE5\xA8\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x63"],

        ["\xF8\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x8C"],
        ["\xE5\xBE\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x64"],

        ["\xF8\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA1"],
        ["\xE5\xBE\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x65"],

        ["\xF8\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9F"],
        ["\xE6\x82\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x66"],

        ["\xF8\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA7"],
        ["\xE6\xA2\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x67"],

        ["\xF8\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x8E"],
        ["\xE6\xAA\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x68"],

        ["\xF8\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9A"],
        ["\xE7\x91\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x69"],

        ["\xF8\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x81"],
        ["\xE7\xA2\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x70"],

        ["\xF8\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x9E"],
        ["\xE8\xAA\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x71"],

        ["\xF8\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA4"],
        ["\xE8\xAA\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x72"],

        ["\xF8\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB7"],
        ["\xE8\xAD\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x73"],

        ["\xF8\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x90"],
        ["\xE9\x86\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x74"],

        ["\xF8\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x9E"],
        ["\xE4\xB9\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x75"],

        ["\xF8\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x89"],
        ["\xE9\xAF\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x76"],

        ["\xF8\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA4"],
        ["\xE4\xBA\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x77"],

        ["\xF8\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBC"],
        ["\xE4\xBD\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x78"],

        ["\xF8\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xAF"],
        ["\xE4\xBE\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x80"],

        ["\xF8\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x99"],
        ["\xE5\x80\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x8B"],

        ["\xF8\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x96"],
        ["\xE5\x80\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x9B"],

        ["\xF8\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x89"],
        ["\xE5\x85\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x9C"],

        ["\xF8\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAC"],
        ["\xE5\x85\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xA0"],

        ["\xF8\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x9F"],
        ["\xE5\x8A\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xAB"],

        ["\xF8\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xB9"],
        ["\xE5\x8A\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xB0"],

        ["\xF8\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xBE"],
        ["\xE5\x8B\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xC0"],

        ["\xF8\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x9A"],
        ["\xE5\x8E\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\x6A"],

        ["\xF8\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA3"],
        ["\xE5\x8F\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xD0"],

        ["\xF8\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x91"],
        ["\xE5\x90\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF8\xA1"],

        ["\xF9\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8E"],
        ["\xE5\x90\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x4F"],

        ["\xF9\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x89"],
        ["\xE5\x96\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x7F"],

        ["\xF9\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x91"],
        ["\xE5\x9D\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x7B"],

        ["\xF9\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA2"],
        ["\xE5\x9E\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xE0"],

        ["\xF9\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xBD"],
        ["\xE5\xA5\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x6C"],

        ["\xF9\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x94"],
        ["\xE5\xAD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x50"],

        ["\xF9\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9D"],
        ["\xE5\xAD\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x7D"],

        ["\xF9\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x8F"],
        ["\xE5\xAE\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x4D"],

        ["\xF9\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA5"],
        ["\xE5\xB7\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x5D"],

        ["\xF9\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA7"],
        ["\xE5\xB7\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x5C"],

        ["\xF9\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB7"],
        ["\xE5\xB7\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x4E"],

        ["\xF9\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB8"],
        ["\xE5\xB9\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x6B"],

        ["\xF9\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x83"],
        ["\xE5\xBA\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x60"],

        ["\xF9\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x9A"],
        ["\xE5\xBA\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x4B"],

        ["\xF9\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB7"],
        ["\xE5\xBA\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x61"],

        ["\xF9\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x98"],
        ["\xE5\xBC\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF0"],

        ["\xF9\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x92"],
        ["\xE6\x81\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF1"],

        ["\xF9\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8C"],
        ["\xE6\x85\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF2"],

        ["\xF9\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x97"],
        ["\xE6\x8A\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF3"],

        ["\xF9\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x98"],
        ["\xE6\x8B\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF4"],

        ["\xF9\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA7"],
        ["\xE6\x8E\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF5"],

        ["\xF9\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xBB"],
        ["\xE6\x94\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF6"],

        ["\x8E\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x82"],
        ["\xE6\x98\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x86"],

        ["\xF9\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x83"],
        ["\xE6\x99\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF8"],

        ["\xF9\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB4"],
        ["\xE6\x9B\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF9"],

        ["\xF9\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xAD"],
        ["\xE6\x9D\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x7A"],

        ["\xF9\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xA1"],
        ["\xE6\xA0\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x5E"],

        ["\xF9\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x97"],
        ["\xE6\xA2\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x4C"],

        ["\xF9\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8B"],
        ["\xE6\xA7\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x7E"],

        ["\xF9\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9F"],
        ["\xE6\xB1\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x6E"],

        ["\xF9\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xAA"],
        ["\xE6\xB4\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x6F"],

        ["\xF9\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA9"],
        ["\xE6\xB5\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x7C"],

        ["\xF9\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAF"],
        ["\xE6\xB8\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC1"],

        ["\xF9\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x9D"],
        ["\xE6\xBA\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC2"],

        ["\xF9\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB2"],
        ["\xE7\x94\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC3"],

        ["\xF9\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x87"],
        ["\xE7\x9A\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC4"],

        ["\xF9\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAC"],
        ["\xE7\xA1\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC5"],

        ["\xF9\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBF"],
        ["\xE7\xA8\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC6"],

        ["\xF9\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xA0"],
        ["\xE7\xB3\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC7"],

        ["\xF9\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x85"],
        ["\xE7\xB4\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC8"],

        ["\xF9\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x98"],
        ["\xE7\xB4\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC9"],

        ["\xF9\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x9E"],
        ["\xE7\xB5\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD1"],

        ["\xF9\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB1"],
        ["\xE7\xB6\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD2"],

        ["\xF9\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x95"],
        ["\xE8\x80\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD3"],

        ["\xF9\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x83"],
        ["\xE8\x80\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD4"],

        ["\xF9\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xAF"],
        ["\xE8\x82\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD5"],

        ["\xF9\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xB1"],
        ["\xE8\x82\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD6"],

        ["\xF9\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x94"],
        ["\xE8\x85\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD7"],

        ["\xF9\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x8F"],
        ["\xE8\x86\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD8"],

        ["\xF9\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xAA"],
        ["\xE8\x88\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD9"],

        ["\xF9\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x92"],
        ["\xE8\x8D\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xE2"],

        ["\xF9\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x8C"],
        ["\xE8\xA1\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xE3"],

        ["\xF9\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA1"],
        ["\xE8\xA1\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xE4"],

        ["\xF9\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9B"],
        ["\xE8\xAC\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xE5"],

        ["\xF9\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA2"],
        ["\xE8\xB2\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xE6"],

        ["\xF9\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBC"],
        ["\xE8\xB3\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xE7"],

        ["\xF9\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x8A"],
        ["\xE9\x83\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xE8"],

        ["\xF9\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB5"],
        ["\xE9\x85\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xE9"],

        ["\xF9\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xB1"],
        ["\xE9\x89\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x4A"],

        ["\x59\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xBF"],
        ["\xE7\xA0\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x67"],

        ["\xF9\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xBC"],
        ["\xE9\x8B\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x5A"],

        ["\xF9\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA4"],
        ["\xE9\x96\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x5F"],

        ["\xF9\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x8D"],
        ["\xE9\x99\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x6D"],

        ["\xF9\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x85"],
        ["\xE9\xA0\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x79"],

        ["\xF9\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x99"],
        ["\xE9\xA6\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x57"],

        ["\xF9\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x98"],
        ["\xE9\xAB\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x59"],

        ["\xF9\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xBB"],
        ["\xE9\xB4\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x62"],

        ["\xF9\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x9B"],
        ["\xE5\x89\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x63"],

        ["\xF9\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAB"],
        ["\xE5\x8A\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x64"],

        ["\xF9\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB7"],
        ["\xE5\x8F\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x65"],

        ["\xF9\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x88"],
        ["\xE5\x90\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x66"],

        ["\xF9\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x95"],
        ["\xE5\xA3\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x67"],

        ["\xF9\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB7"],
        ["\xE6\x8B\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x68"],

        ["\xF9\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xA0"],
        ["\xE6\xBF\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x69"],

        ["\xF9\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xAA"],
        ["\xE8\xB1\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x70"],

        ["\xF9\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x9F"],
        ["\xE8\xBD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x71"],

        ["\xAC\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xB9"],
        ["\xE9\xBA\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAC\x8C"],

        ["\xF9\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8B"],
        ["\xE5\x85\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x73"],

        ["\xF9\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xBB"],
        ["\xE5\x88\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x74"],

        ["\xF9\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x8A"],
        ["\xE5\x91\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x75"],

        ["\xF9\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xBD"],
        ["\xE5\x9B\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x76"],

        ["\xF9\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x80"],
        ["\xE7\xA9\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x77"],

        ["\xF9\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB7"],
        ["\xE9\x85\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x78"],

        ["\xF9\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA0"],
        ["\xE9\xB5\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x80"],

        ["\xF9\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x92"],
        ["\xE9\xBB\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x8B"],

        ["\xF9\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x84"],
        ["\xE7\x8D\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x9B"],

        ["\xF9\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x89"],
        ["\xE6\xBC\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x9C"],

        ["\xF9\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB0"],
        ["\xE8\x85\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xA0"],

        ["\xF9\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x91"],
        ["\xE7\x94\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xAB"],

        ["\xF9\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xBD"],
        ["\xE5\xBF\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xB0"],

        ["\xF9\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9A"],
        ["\xE6\x83\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xC0"],

        ["\xF9\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xA8"],
        ["\xE9\xAA\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x6A"],

        ["\xF9\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x9B"],
        ["\xE7\x8B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xD0"],

        ["\xF9\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xBC"],
        ["\xE8\xBE\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xA1"],

        ["\x7A\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA4"],
        ["\xE6\xAD\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x4F"],

        ["\x7A\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x83"],
        ["\xE9\xA0\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x7F"],

        ["\x7A\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8A"],
        ["\xE4\xBB\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x7B"],

        ["\x7A\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB0"],
        ["\xE5\x9B\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xE0"],

        ["\x7A\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA4"],
        ["\xE5\x9D\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x6C"],

        ["\x7A\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xBE"],
        ["\xE5\xA2\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x50"],

        ["\x7A\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x9A"],
        ["\xE5\xA9\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x7D"],

        ["\x7A\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA8"],
        ["\xE6\x81\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x4D"],

        ["\x7A\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x87"],
        ["\xE6\x87\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x5D"],

        ["\x7A\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x8F"],
        ["\xE6\x98\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x5C"],

        ["\x7A\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x86"],
        ["\xE6\x98\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x4E"],

        ["\x7A\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB9"],
        ["\xE6\xA0\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x6B"],

        ["\x7A\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB1"],
        ["\xE6\xA2\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x60"],

        ["\x7A\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB7"],
        ["\xE6\xB7\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x4B"],

        ["\x7A\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x95"],
        ["\xE7\x97\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x61"],

        ["\x7A\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xBA"],
        ["\xE7\xB4\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF0"],

        ["\x7A\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xAE"],
        ["\xE8\x89\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF1"],

        ["\x7A\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x82"],
        ["\xE9\xAD\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF2"],

        ["\x7A\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9B"],
        ["\xE4\xBA\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF3"],

        ["\x7A\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x90"],
        ["\xE4\xBD\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF4"],

        ["\x7A\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x89"],
        ["\xE5\x8F\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF5"],

        ["\x7A\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x86"],
        ["\xE5\x94\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF6"],

        ["\x7A\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xAF"],
        ["\xE5\xB5\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF7"],

        ["\x7A\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA6"],
        ["\xE5\xB7\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF8"],

        ["\x7A\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xAE"],
        ["\xE5\xB7\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xF9"],

        ["\x7A\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xBB"],
        ["\xE6\x9F\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x7A"],

        ["\x7A\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x99"],
        ["\xE6\xB2\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x5E"],

        ["\x7A\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xB3"],
        ["\xE7\x91\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x4C"],

        ["\x7A\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x82"],
        ["\xE7\xA0\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x7E"],

        ["\x7A\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x90"],
        ["\xE8\xA9\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x6E"],

        ["\x7A\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x96"],
        ["\xE9\x8E\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x6F"],

        ["\x7A\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x9F"],
        ["\xE8\xA3\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x7C"],

        ["\x7A\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x90"],
        ["\xE5\x9D\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC1"],

        ["\x7A\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xA7"],
        ["\xE5\xBA\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC2"],

        ["\x7A\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xAB"],
        ["\xE6\x8C\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC3"],

        ["\x7A\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB5"],
        ["\xE5\x82\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC4"],

        ["\x7A\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xAC"],
        ["\xE5\x82\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC5"],

        ["\x7A\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8D"],
        ["\xE5\x86\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC6"],

        ["\x7A\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x80"],
        ["\xE6\x9C\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC7"],

        ["\x7A\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x89"],
        ["\xE5\x93\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC8"],

        ["\x7A\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x9E"],
        ["\xE5\xA1\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC9"],

        ["\x7A\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xBB"],
        ["\xE5\xA6\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD1"],

        ["\x7A\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB0"],
        ["\xE5\xAE\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD2"],

        ["\x7A\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA9"],
        ["\xE5\xBD\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD3"],

        ["\x7A\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x8D"],
        ["\xE6\x89\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD4"],

        ["\x7A\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA1"],
        ["\xE6\x8E\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD5"],

        ["\x7A\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xBD"],
        ["\xE6\xA0\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD6"],

        ["\x7A\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB3"],
        ["\xE6\xAD\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD7"],

        ["\x7A\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x88"],
        ["\xE6\xB8\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD8"],

        ["\x7A\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xBD"],
        ["\xE7\x81\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD9"],

        ["\x7A\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x87"],
        ["\xE9\x87\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xE2"],

        ["\x7A\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x80"],
        ["\xE7\x8A\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xE3"],

        ["\x7A\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x95"],
        ["\xE7\xA0\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xE4"],

        ["\x7A\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA6"],
        ["\xE7\xA0\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xE5"],

        ["\x7A\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xAD"],
        ["\xE7\xA5\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xE6"],

        ["\x7A\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x8E"],
        ["\xE6\x96\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xE7"],

        ["\x7A\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB0"],
        ["\xE7\xB4\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xE8"],

        ["\x7A\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x9C"],
        ["\xE8\x8F\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xE9"],

        ["\x7A\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x81"],
        ["\xE8\xA3\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x4A"],

        ["\x7A\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x89"],
        ["\xE8\xBC\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x5B"],

        ["\x7A\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x9B"],
        ["\xE9\x9A\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x5A"],

        ["\x7A\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA4"],
        ["\xE5\x89\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x5F"],

        ["\x7A\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA8"],
        ["\xE5\x9C\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x6D"],

        ["\x7A\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x90"],
        ["\xE6\x9D\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x79"],

        ["\x7A\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xAA"],
        ["\xE7\xBD\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x57"],

        ["\x7A\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA1"],
        ["\xE8\xB2\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x59"],

        ["\x7A\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB4"],
        ["\xE5\x86\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x62"],

        ["\x7A\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x82"],
        ["\xE5\x9D\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x63"],

        ["\x7A\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xAA"],
        ["\xE9\x98\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x64"],

        ["\x7A\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xBA"],
        ["\xE5\xA0\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x65"],

        ["\x7A\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x8A"],
        ["\xE6\xA6\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x66"],

        ["\x7A\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xB4"],
        ["\xE8\x82\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x67"],

        ["\x7A\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xB2"],
        ["\xE5\x92\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x68"],

        ["\x7A\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x8E"],
        ["\xE5\xB4\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x69"],

        ["\x7A\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBC"],
        ["\xE5\x9F\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x70"],

        ["\x7A\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x95"],
        ["\xE7\xA2\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x71"],

        ["\x7A\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xBA"],
        ["\xE9\xB7\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x72"],

        ["\x7A\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9C"],
        ["\xE4\xBD\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x73"],

        ["\x7A\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8A"],
        ["\xE5\x89\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x74"],

        ["\x7A\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8B"],
        ["\xE5\x92\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x75"],

        ["\x7A\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xBE"],
        ["\xE6\x90\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x76"],

        ["\x7A\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA8"],
        ["\xE6\x98\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x77"],

        ["\x7A\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x94"],
        ["\xE6\x9C\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x78"],

        ["\x7A\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB5"],
        ["\xE6\x9F\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x80"],

        ["\x7A\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x84"],
        ["\xE7\xAA\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x8B"],

        ["\x7A\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x96"],
        ["\xE7\xAD\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x9B"],

        ["\x7A\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xA2"],
        ["\xE7\xB4\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x9C"],

        ["\x7A\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xAF"],
        ["\xE9\x8C\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xA0"],

        ["\x7A\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x9C"],
        ["\xE6\xA1\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xAB"],

        ["\x7A\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAD"],
        ["\xE9\xAE\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xB0"],

        ["\x7A\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB9"],
        ["\xE7\xAC\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xC0"],

        ["\x7A\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x99"],
        ["\xE5\x8C\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\x6A"],

        ["\x7A\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8A"],
        ["\xE5\x86\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xD0"],

        ["\x7A\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB7"],
        ["\xE5\x88\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7A\xA1"],

        ["\x5E\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x9F"],
        ["\xE5\xAF\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x4F"],

        ["\x5E\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB6"],
        ["\xE6\x8B\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x7F"],

        ["\x5E\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xAE"],
        ["\xE6\x92\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x7B"],

        ["\x5E\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA6"],
        ["\xE6\x93\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xE0"],

        ["\x5E\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAD"],
        ["\xE6\x9C\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x6C"],

        ["\x5E\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBA"],
        ["\xE6\xAE\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x50"],

        ["\x5E\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA9"],
        ["\xE8\x96\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x7D"],

        ["\x5E\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x91"],
        ["\xE9\x9B\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x4D"],

        ["\x5E\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x90"],
        ["\xE7\x9A\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x5D"],

        ["\x5E\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x96"],
        ["\xE9\xAF\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x5C"],

        ["\x5E\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x8C"],
        ["\xE6\x8D\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x4E"],

        ["\x5E\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x86"],
        ["\xE9\x8C\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x6B"],

        ["\x5E\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAB"],
        ["\xE9\xAE\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x60"],

        ["\x5E\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xBF"],
        ["\xE7\x9A\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x4B"],

        ["\x5E\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x92"],
        ["\xE6\x99\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x61"],

        ["\x5E\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x89"],
        ["\xE4\xB8\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF0"],

        ["\x5E\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x98"],
        ["\xE5\x82\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF1"],

        ["\x5E\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x82"],
        ["\xE5\x8F\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF2"],

        ["\x5E\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xB1"],
        ["\xE5\xB1\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF3"],

        ["\x5E\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA8"],
        ["\xE6\x83\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF4"],

        ["\x5E\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x92"],
        ["\xE6\x92\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF5"],

        ["\x5E\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xA3"],
        ["\xE6\x95\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF6"],

        ["\x5E\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x9F"],
        ["\xE6\xA1\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF7"],

        ["\x5E\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xA6"],
        ["\xE7\x87\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF8"],

        ["\x5E\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8A"],
        ["\xE7\x8F\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xF9"],

        ["\x5E\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA3"],
        ["\xE7\x94\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x7A"],

        ["\x5E\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x97"],
        ["\xE7\xAE\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x5E"],

        ["\x5E\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x82"],
        ["\xE7\xBA\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x4C"],

        ["\x5E\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x95"],
        ["\xE8\x9A\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x7E"],

        ["\x5E\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x83"],
        ["\xE8\xAE\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x6E"],

        ["\x5E\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x9B"],
        ["\xE8\xB3\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x6F"],

        ["\x5E\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB8"],
        ["\xE9\x85\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x7C"],

        ["\x5E\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x90"],
        ["\xE9\xA4\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC1"],

        ["\x5E\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xAC"],
        ["\xE6\x96\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC2"],

        ["\x5E\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xAB"],
        ["\xE6\x9A\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC3"],

        ["\x5E\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x8B"],
        ["\xE6\xAE\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC4"],

        ["\x5E\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x95"],
        ["\xE4\xBB\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC5"],

        ["\x5E\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x94"],
        ["\xE4\xBB\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC6"],

        ["\x5E\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xBA"],
        ["\xE4\xBC\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC7"],

        ["\x5E\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBF"],
        ["\xE4\xBD\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC8"],

        ["\x5E\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xBA"],
        ["\xE5\x88\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC9"],

        ["\x5E\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB8"],
        ["\xE5\x8F\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD1"],

        ["\x5E\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB2"],
        ["\xE5\x8F\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD2"],

        ["\x5E\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xA3"],
        ["\xE5\x97\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD3"],

        ["\x5E\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x9B"],
        ["\xE5\x9B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD4"],

        ["\x5E\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xAB"],
        ["\xE5\xA3\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD5"],

        ["\x5E\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x8B"],
        ["\xE5\xA7\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD6"],

        ["\x5E\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x89"],
        ["\xE5\xA7\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD7"],

        ["\x5E\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xBF"],
        ["\xE5\xA7\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD8"],

        ["\x5E\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x90"],
        ["\xE5\xAD\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD9"],

        ["\x5E\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8D"],
        ["\xE5\xB1\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xE2"],

        ["\x5E\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x82"],
        ["\xE5\xB8\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xE3"],

        ["\x5E\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xAB"],
        ["\xE5\xB8\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xE4"],

        ["\x5E\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x97"],
        ["\xE5\xBF\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xE5"],

        ["\x5E\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x9D"],
        ["\xE6\x80\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xE6"],

        ["\x5E\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x87"],
        ["\xE6\x8C\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xE7"],

        ["\x5E\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xAF"],
        ["\xE6\x94\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xE8"],

        ["\x5E\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9C"],
        ["\xE5\xAD\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xE9"],

        ["\x5E\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xAF"],
        ["\xE6\x96\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x4A"],

        ["\x5E\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xBD"],
        ["\xE6\x96\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x5B"],

        ["\x5E\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA8"],
        ["\xE6\x97\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x5A"],

        ["\x5E\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x9D"],
        ["\xE6\x9E\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x5F"],

        ["\x5E\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA2"],
        ["\xE6\xAD\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x6D"],

        ["\x5E\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xBB"],
        ["\xE6\xAD\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x79"],

        ["\x5E\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x8F"],
        ["\xE6\xB0\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x57"],

        ["\x5E\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x85"],
        ["\xE7\x8D\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x59"],

        ["\x5E\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x89"],
        ["\xE7\xA5\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x62"],

        ["\x5E\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x81"],
        ["\xE7\xA7\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x63"],

        ["\x5E\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB8"],
        ["\xE7\xB3\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x64"],

        ["\x5E\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x99"],
        ["\xE7\xB4\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x65"],

        ["\x5E\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xAB"],
        ["\xE7\xB4\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x66"],

        ["\x5E\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA2"],
        ["\xE8\x82\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x67"],

        ["\x5E\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x82"],
        ["\xE8\x84\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x68"],

        ["\x5E\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xB3"],
        ["\xE8\x87\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x69"],

        ["\x5E\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x96"],
        ["\xE8\xA6\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x70"],

        ["\x5E\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x9E"],
        ["\xE8\xA9\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x71"],

        ["\x5E\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA9"],
        ["\xE8\xA9\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x72"],

        ["\x5E\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA6"],
        ["\xE8\xA9\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x73"],

        ["\x5E\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x8C"],
        ["\xE8\xAA\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x74"],

        ["\x5E\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xAE"],
        ["\xE8\xAB\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x75"],

        ["\x5E\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x87"],
        ["\xE8\xB3\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x76"],

        ["\x5E\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x9C"],
        ["\xE8\xB3\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x77"],

        ["\x5E\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x8C"],
        ["\xE9\x9B\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x78"],

        ["\x5E\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xBC"],
        ["\xE9\xA3\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x80"],

        ["\x5E\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xAF"],
        ["\xE6\xAD\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x8B"],

        ["\x5E\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8B"],
        ["\xE4\xBA\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x9B"],

        ["\x5E\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xBC"],
        ["\xE4\xBC\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x9C"],

        ["\x5E\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x8D"],
        ["\xE4\xBE\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xA0"],

        ["\x5E\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x90"],
        ["\xE5\x85\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xAB"],

        ["\x5E\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x97"],
        ["\xE5\xAD\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xB0"],

        ["\x5E\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xBA"],
        ["\xE5\xAF\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xC0"],

        ["\x5E\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x88"],
        ["\xE6\x85\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\x6A"],

        ["\x5E\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x81"],
        ["\xE6\x8C\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xD0"],

        ["\x5E\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x82"],
        ["\xE6\x99\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5E\xA1"],

        ["\x4C\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xA1"],
        ["\xE6\xAC\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x4F"],

        ["\x4C\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x8B"],
        ["\xE6\xBB\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x7F"],

        ["\x4C\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBB"],
        ["\xE6\xB2\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x7B"],

        ["\x4C\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBE"],
        ["\xE7\x88\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xE0"],

        ["\x4C\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xBD"],
        ["\xE7\x92\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x6C"],

        ["\x4C\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x94"],
        ["\xE7\x97\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x50"],

        ["\x4C\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x81"],
        ["\xE7\xA3\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x7D"],

        ["\x4C\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xBA"],
        ["\xE7\xA4\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x4D"],

        ["\x4C\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x8C"],
        ["\xE8\x80\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x5D"],

        ["\x4C\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB3"],
        ["\xE8\x80\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x5C"],

        ["\x4C\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xAA"],
        ["\xE8\x87\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x4E"],

        ["\x4C\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x94"],
        ["\xE8\x92\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x6B"],

        ["\x4C\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\x9E"],
        ["\xE8\xBE\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x60"],

        ["\x4C\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x90"],
        ["\xE6\xB1\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x4B"],

        ["\x4C\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xBF"],
        ["\xE9\xB9\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x61"],

        ["\x4C\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8F"],
        ["\xE5\xBC\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF0"],

        ["\x4C\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x98"],
        ["\xE8\xAD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF1"],

        ["\x4C\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xAB"],
        ["\xE9\xB4\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF2"],

        ["\x4C\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xBA"],
        ["\xE7\xAB\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF3"],

        ["\x4C\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xB8"],
        ["\xE8\xBB\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF4"],

        ["\x4C\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x8D"],
        ["\xE5\xAE\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF5"],

        ["\x4C\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xAB"],
        ["\xE9\x9B\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF6"],

        ["\x4C\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x83"],
        ["\xE4\xB8\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF7"],

        ["\x4C\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB1"],
        ["\xE5\x8F\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF8"],

        ["\x4C\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB7"],
        ["\xE5\x9F\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xF9"],

        ["\x4C\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xB1"],
        ["\xE5\xA4\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x7A"],

        ["\x4C\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x89"],
        ["\xE5\xAB\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x5E"],

        ["\x4C\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA4"],
        ["\xE5\xAE\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x4C"],

        ["\x4C\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x89"],
        ["\xE6\x82\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x7E"],

        ["\x4C\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xBF"],
        ["\xE6\xB9\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x6E"],

        ["\x4C\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x86"],
        ["\xE6\xBC\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x6F"],

        ["\x4C\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xBE"],
        ["\xE7\x96\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x7C"],

        ["\x4C\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xAA"],
        ["\xE8\xB3\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC1"],

        ["\x4C\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9F"],
        ["\xE5\xAE\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC2"],

        ["\x4C\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x80"],
        ["\xE8\x94\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC3"],

        ["\x4C\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA0"],
        ["\xE7\xAF\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC4"],

        ["\x4C\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB2"],
        ["\xE5\x81\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC5"],

        ["\x4C\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB4"],
        ["\xE6\x9F\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC6"],

        ["\x4C\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x9D"],
        ["\xE8\x8A\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC7"],

        ["\x4C\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA1"],
        ["\xE5\xB1\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC8"],

        ["\x68\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x8A"],
        ["\xE8\x95\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x7F"],

        ["\x4C\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x9E"],
        ["\xE7\xB8\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD1"],

        ["\x4C\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x8E"],
        ["\xE8\x88\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD2"],

        ["\x4C\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x99"],
        ["\xE5\x86\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD3"],

        ["\x4C\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x84"],
        ["\xE5\xB0\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD4"],

        ["\x4C\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xA8"],
        ["\xE6\x8D\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD5"],

        ["\x4C\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xA6"],
        ["\xE8\xB5\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD6"],

        ["\x4C\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x9C"],
        ["\xE6\x96\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD7"],

        ["\x4C\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xAE"],
        ["\xE7\x85\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD8"],

        ["\x4C\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xBE"],
        ["\xE7\xA4\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD9"],

        ["\x4C\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x97"],
        ["\xE7\xB4\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xE2"],

        ["\x4C\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x85"],
        ["\xE8\x80\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xE3"],

        ["\x4C\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9D"],
        ["\xE8\xAC\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xE4"],

        ["\x4C\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8A"],
        ["\xE8\xBB\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xE5"],

        ["\x4C\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xAE"],
        ["\xE9\x81\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xE6"],

        ["\x4C\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x87"],
        ["\xE8\x9B\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xE7"],

        ["\x4C\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xAA"],
        ["\xE9\x82\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xE8"],

        ["\x4C\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x9F"],
        ["\xE5\x80\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xE9"],

        ["\x4C\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xBA"],
        ["\xE5\x8B\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x4A"],

        ["\x4C\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBA"],
        ["\xE5\xB0\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x5B"],

        ["\x4C\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x93"],
        ["\xE6\x9D\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x5A"],

        ["\x4C\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xBC"],
        ["\xE7\x81\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x5F"],

        ["\x4C\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB5"],
        ["\xE7\x88\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x6D"],

        ["\x4C\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8C"],
        ["\xE9\x85\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x79"],

        ["\x4C\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x88"],
        ["\xE9\x87\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x57"],

        ["\x4C\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xAB"],
        ["\xE9\x8C\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x59"],

        ["\x4C\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA5"],
        ["\xE8\x8B\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x62"],

        ["\x4C\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x82"],
        ["\xE5\xAF\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x63"],

        ["\x4C\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB1"],
        ["\xE5\xBC\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x64"],

        ["\x4C\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB9"],
        ["\xE6\x83\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x65"],

        ["\x4C\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xBB"],
        ["\xE4\xB8\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x66"],

        ["\x4C\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x96"],
        ["\xE5\x8F\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x67"],

        ["\x4C\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x88"],
        ["\xE5\xAE\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x68"],

        ["\x4C\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x8B"],
        ["\xE6\x89\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x69"],

        ["\x4C\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB1"],
        ["\xE6\x9C\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x70"],

        ["\x4C\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x8A"],
        ["\xE6\xAE\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x71"],

        ["\x4C\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xA9"],
        ["\xE7\x8B\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x72"],

        ["\x4C\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA0"],
        ["\xE7\x8F\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x73"],

        ["\x4C\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xAE"],
        ["\xE7\xA8\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x74"],

        ["\x4C\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xAB"],
        ["\xE8\x85\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x75"],

        ["\x4C\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xA3"],
        ["\xE8\xB6\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x76"],

        ["\x4C\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x92"],
        ["\xE9\x85\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x77"],

        ["\x4C\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x96"],
        ["\xE9\xA6\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x78"],

        ["\x4C\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x92"],
        ["\xE5\x84\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x80"],

        ["\x4C\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x97"],
        ["\xE5\x8F\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x8B"],

        ["\x4C\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xAA"],
        ["\xE5\x91\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x9B"],

        ["\x4C\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xBF"],
        ["\xE5\xAF\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x9C"],

        ["\x4C\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x88"],
        ["\xE6\x8E\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xA0"],

        ["\x4C\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB9"],
        ["\xE6\xA8\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xAB"],

        ["\x4C\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAC"],
        ["\xE7\xB6\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xB0"],

        ["\x4C\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x80"],
        ["\xE9\x9C\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC0"],

        ["\x4C\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x9A"],
        ["\xE5\x9B\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\x6A"],

        ["\x4C\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8E"],
        ["\xE5\x8F\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xD0"],

        ["\x4C\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xA8"],
        ["\xE5\x91\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xA1"],

        ["\x7E\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x97"],
        ["\xE5\xAE\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x4F"],

        ["\x7E\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xB1"],
        ["\xE5\xB0\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x7F"],

        ["\x7E\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x9E"],
        ["\xE5\xB7\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x7B"],

        ["\x7E\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xAE"],
        ["\xE4\xBF\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xE0"],

        ["\x7E\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x81"],
        ["\xE6\x84\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x6C"],

        ["\x7E\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xBE"],
        ["\xE6\x8B\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x50"],

        ["\x7E\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB2"],
        ["\xE6\xB4\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x7D"],

        ["\x7E\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x80"],
        ["\xE7\xA7\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x4D"],

        ["\x7E\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x8B"],
        ["\xE7\xA7\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x5D"],

        ["\x7E\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x82"],
        ["\xE7\xB5\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x5C"],

        ["\x7E\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x8D"],
        ["\xE7\xB9\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x4E"],

        ["\x7E\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x92"],
        ["\xE7\xBF\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x6B"],

        ["\x7E\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xAD"],
        ["\xE8\x87\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x60"],

        ["\x7E\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x9F"],
        ["\xE8\x88\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x4B"],

        ["\x7E\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x90"],
        ["\xE8\x92\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x61"],

        ["\x7E\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x86"],
        ["\xE8\xA1\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF0"],

        ["\x7E\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xB2"],
        ["\xE8\xA5\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF1"],

        ["\x7E\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x90"],
        ["\xE8\xAE\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF2"],

        ["\x7E\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xB4"],
        ["\xE8\xB9\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF3"],

        ["\x7E\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xAF"],
        ["\xE8\xBC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF4"],

        ["\x7E\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB1"],
        ["\xE9\x80\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF5"],

        ["\x7E\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8B"],
        ["\xE9\x85\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF6"],

        ["\x7E\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xAC"],
        ["\xE9\x85\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF7"],

        ["\x7E\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x86"],
        ["\xE9\x9B\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF8"],

        ["\x7E\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x9C"],
        ["\xE9\x86\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xF9"],

        ["\x7E\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x80"],
        ["\xE4\xBB\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x7A"],

        ["\x7E\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x8F"],
        ["\xE4\xBD\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x5E"],

        ["\x7E\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x85"],
        ["\xE5\x85\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x4C"],

        ["\x7E\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x81"],
        ["\xE5\x8D\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x7E"],

        ["\x7E\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x93"],
        ["\xE5\xBE\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x6E"],

        ["\x7E\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x8E"],
        ["\xE6\x88\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x6F"],

        ["\x7E\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x94"],
        ["\xE6\x9F\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x7C"],

        ["\x7E\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x81"],
        ["\xE6\xB1\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC1"],

        ["\x7E\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x8B"],
        ["\xE6\xB8\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC2"],

        ["\x7E\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xA3"],
        ["\xE7\x8D\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC3"],

        ["\x7E\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA6"],
        ["\xE7\xB8\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC4"],

        ["\x7E\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8D"],
        ["\xE9\x87\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC5"],

        ["\x7E\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x83"],
        ["\xE9\x8A\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC6"],

        ["\x7E\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x94"],
        ["\xE5\x8F\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC7"],

        ["\x7E\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x99"],
        ["\xE5\xA4\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC8"],

        ["\x7E\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xBF"],
        ["\xE5\xAE\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC9"],

        ["\x7E\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x91"],
        ["\xE6\xB7\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD1"],

        ["\x7E\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9D"],
        ["\xE7\xA5\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD2"],

        ["\x7E\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xAE"],
        ["\xE7\xB8\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD3"],

        ["\x7E\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x9B"],
        ["\xE7\xB2\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD4"],

        ["\x7E\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xBE"],
        ["\xE5\xA1\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD5"],

        ["\x7E\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x9F"],
        ["\xE7\x86\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD6"],

        ["\x7E\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xBA"],
        ["\xE5\x87\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD7"],

        ["\x7E\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x93"],
        ["\xE8\xA1\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD8"],

        ["\x7E\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB0"],
        ["\xE8\xBF\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD9"],

        ["\x7E\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8A"],
        ["\xE4\xBF\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xE2"],

        ["\x7E\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xBB"],
        ["\xE5\xB3\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xE3"],

        ["\x7E\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA5"],
        ["\xE6\x98\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xE4"],

        ["\x7E\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xAC"],
        ["\xE7\x9E\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xE5"],

        ["\x7E\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA3"],
        ["\xE7\xAB\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xE6"],

        ["\x7E\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x9C"],
        ["\xE8\x88\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xE7"],

        ["\x7E\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xBF"],
        ["\xE9\xA7\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xE8"],

        ["\x7E\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x86"],
        ["\xE5\x87\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xE9"],

        ["\x7E\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xAA"],
        ["\xE5\xBE\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x4A"],

        ["\x7E\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xAC"],
        ["\xE6\x97\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x5B"],

        ["\x7E\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAF"],
        ["\xE6\xA5\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x5A"],

        ["\x7E\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x89"],
        ["\xE6\xAE\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x5F"],

        ["\x7E\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB3"],
        ["\xE6\xB7\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x6D"],

        ["\x7E\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x96"],
        ["\xE6\xBA\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x79"],

        ["\x7E\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA4"],
        ["\xE6\xBD\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x57"],

        ["\x7E\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xBE"],
        ["\xE7\x9B\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x59"],

        ["\x7E\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x94"],
        ["\xE7\xB4\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x62"],

        ["\x7E\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA1"],
        ["\xE5\xB7\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x63"],

        ["\x7E\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB5"],
        ["\xE9\x81\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x64"],

        ["\x7E\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x87"],
        ["\xE9\x86\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x65"],

        ["\x7E\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x86"],
        ["\xE9\xA0\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x66"],

        ["\x7E\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA6"],
        ["\xE5\x87\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x67"],

        ["\x7E\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x9D"],
        ["\xE5\x88\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x68"],

        ["\x7E\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x80"],
        ["\xE6\x89\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x69"],

        ["\x7E\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x91"],
        ["\xE6\x9A\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x70"],

        ["\x7E\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x99"],
        ["\xE6\x9B\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x71"],

        ["\x7E\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9A"],
        ["\xE6\xB8\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x72"],

        ["\x7E\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB6"],
        ["\xE5\xBA\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x73"],

        ["\x7E\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x92"],
        ["\xE7\xB7\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x74"],

        ["\x7E\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB2"],
        ["\xE7\xBD\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x75"],

        ["\x7E\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB8"],
        ["\xE6\x9B\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x76"],

        ["\x7E\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAF"],
        ["\xE8\x96\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x77"],

        ["\x7E\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xB7"],
        ["\xE8\x97\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x78"],

        ["\x7E\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB8"],
        ["\xE8\xAB\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x80"],

        ["\x7E\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA9"],
        ["\xE5\x8A\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x8B"],

        ["\x7E\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x99"],
        ["\xE5\x8F\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x9B"],

        ["\x7E\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB3"],
        ["\xE5\xA5\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x9C"],

        ["\x7E\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x8F"],
        ["\xE5\xBA\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xA0"],

        ["\x7E\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x90"],
        ["\xE5\xBE\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xAB"],

        ["\x7E\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x95"],
        ["\xE6\x81\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xB0"],

        ["\x7E\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xA4"],
        ["\xE9\x8B\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xC0"],

        ["\x7E\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA4"],
        ["\xE9\x99\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\x6A"],

        ["\x7E\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB7"],
        ["\xE5\x82\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xD0"],

        ["\x7E\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x9F"],
        ["\xE5\x84\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7E\xA1"],

        ["\x6E\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x9D"],
        ["\xE5\x8B\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x4F"],

        ["\x6E\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xA0"],
        ["\xE5\x8C\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x7F"],

        ["\x6E\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x87"],
        ["\xE5\x8D\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x7B"],

        ["\x6E\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAC"],
        ["\xE5\x8F\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xE0"],

        ["\x6E\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA8"],
        ["\xE5\x93\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x6C"],

        ["\x6E\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x86"],
        ["\xE5\x95\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x50"],

        ["\x6E\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB1"],
        ["\xE5\x94\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x7D"],

        ["\x6E\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x97"],
        ["\xE5\x98\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x4D"],

        ["\x6E\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA8"],
        ["\xE5\xA5\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x5D"],

        ["\x6E\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xBE"],
        ["\xE5\xA6\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x5C"],

        ["\x6E\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xBC"],
        ["\xE5\xA8\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x4E"],

        ["\x6E\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB5"],
        ["\xE5\xAE\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x6B"],

        ["\x6E\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x86"],
        ["\xE5\xB0\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x60"],

        ["\x6E\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8F"],
        ["\xE5\xB0\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x4B"],

        ["\x6E\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x91"],
        ["\xE5\xB0\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x61"],

        ["\x6E\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x9A"],
        ["\xE5\xB0\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF0"],

        ["\x6E\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x84"],
        ["\xE5\xBA\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF1"],

        ["\x6E\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x8A"],
        ["\xE5\xBA\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF2"],

        ["\x6E\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA0"],
        ["\xE5\xBB\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF3"],

        ["\x6E\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB0"],
        ["\xE5\xBD\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF4"],

        ["\x6E\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xBF"],
        ["\xE6\x89\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF5"],

        ["\x6E\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x84"],
        ["\xE6\x8A\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF6"],

        ["\x6E\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x9B"],
        ["\xE6\x8B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF7"],

        ["\x6E\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x8C"],
        ["\xE6\x8E\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF8"],

        ["\x6E\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xB7"],
        ["\xE6\x8D\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xF9"],

        ["\x6E\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x87"],
        ["\xE6\x98\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x7A"],

        ["\x6E\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x8C"],
        ["\xE6\x98\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x5E"],

        ["\x6E\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAD"],
        ["\xE6\x98\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x4C"],

        ["\x6E\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB6"],
        ["\xE6\x99\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x7E"],

        ["\x6E\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xBE"],
        ["\xE6\x9D\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x6E"],

        ["\x6E\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA2"],
        ["\xE6\xA2\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x6F"],

        ["\x6E\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9F"],
        ["\xE6\xA8\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x7C"],

        ["\x6E\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB5"],
        ["\xE6\xA8\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC1"],

        ["\x6E\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBC"],
        ["\xE6\xB2\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC2"],

        ["\x6E\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x88"],
        ["\xE6\xB6\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC3"],

        ["\x6E\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x89"],
        ["\xE6\xB8\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC4"],

        ["\x6E\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x98"],
        ["\xE6\xB9\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC5"],

        ["\x6E\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xBC"],
        ["\xE7\x84\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC6"],

        ["\x6E\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xA6"],
        ["\xE7\x84\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC7"],

        ["\x6E\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA7"],
        ["\xE7\x85\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC8"],

        ["\x6E\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x87"],
        ["\xE7\x97\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC9"],

        ["\x6E\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x81"],
        ["\xE7\x9C\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD1"],

        ["\x6E\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x9D"],
        ["\xE7\xA1\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD2"],

        ["\x6E\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x81"],
        ["\xE7\xA4\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD3"],

        ["\x6E\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA5"],
        ["\xE7\xA5\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD4"],

        ["\x6E\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xB0"],
        ["\xE7\xA7\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD5"],

        ["\x6E\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA0"],
        ["\xE7\xAB\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD6"],

        ["\x6E\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x91"],
        ["\xE7\xAC\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD7"],

        ["\x6E\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA7"],
        ["\xE7\xB2\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD8"],

        ["\x6E\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB9"],
        ["\xE7\xB4\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD9"],

        ["\x6E\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x96"],
        ["\xE8\x82\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xE2"],

        ["\x6E\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x96"],
        ["\xE8\x8F\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xE3"],

        ["\x6E\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x8B"],
        ["\xE8\x92\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xE4"],

        ["\x6E\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x89"],
        ["\xE8\x95\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xE5"],

        ["\x6E\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x9D"],
        ["\xE8\xA1\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xE6"],

        ["\x6E\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB3"],
        ["\xE8\xA3\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xE7"],

        ["\x6E\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x9F"],
        ["\xE8\xA8\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xE8"],

        ["\x6E\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xBC"],
        ["\xE8\xA8\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xE9"],

        ["\x6E\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x94"],
        ["\xE8\xA9\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x4A"],

        ["\x6E\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB3"],
        ["\xE8\xA9\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x5B"],

        ["\x6E\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xA1"],
        ["\xE8\xB1\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x5A"],

        ["\x6E\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x9E"],
        ["\xE8\xB3\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x5F"],

        ["\x6E\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xA4"],
        ["\xE9\x86\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x6D"],

        ["\x6E\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA6"],
        ["\xE9\x89\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x79"],

        ["\x6E\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xBE"],
        ["\xE9\x8D\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x57"],

        ["\x6E\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x98"],
        ["\xE9\x90\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x59"],

        ["\x6E\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x9C"],
        ["\xE9\x9A\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x62"],

        ["\x6E\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x98"],
        ["\xE9\x9E\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x63"],

        ["\x6E\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8A"],
        ["\xE4\xB8\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x64"],

        ["\x6E\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x88"],
        ["\xE4\xB8\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x65"],

        ["\x6E\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x9E"],
        ["\xE4\xB8\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x66"],

        ["\x6E\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x97"],
        ["\xE4\xB9\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x67"],

        ["\x6E\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x97"],
        ["\xE5\x86\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x68"],

        ["\x6E\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB0"],
        ["\xE5\x89\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x69"],

        ["\x6E\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x8E"],
        ["\xE5\x9F\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x70"],

        ["\x6E\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB4"],
        ["\xE5\xA0\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x71"],

        ["\x6E\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x8C"],
        ["\xE5\xA3\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x72"],

        ["\x6E\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xA2"],
        ["\xE5\xAC\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x73"],

        ["\x6E\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB8"],
        ["\xE5\xB8\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x74"],

        ["\x6E\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x85"],
        ["\xE6\x83\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x75"],

        ["\x6E\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBE"],
        ["\xE6\x93\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x76"],

        ["\x6E\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA1"],
        ["\xE6\x9D\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x77"],

        ["\x6E\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x96"],
        ["\xE6\x9D\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x78"],

        ["\x6E\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x84"],
        ["\xE6\xB5\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x80"],

        ["\x6E\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB6"],
        ["\xE7\x8A\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x8B"],

        ["\x6E\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB3"],
        ["\xE7\x95\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x9B"],

        ["\x6E\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA3"],
        ["\xE7\xA9\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x9C"],

        ["\x6E\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xB8"],
        ["\xE8\x92\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xA0"],

        ["\x6E\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB2"],
        ["\xE8\xAD\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xAB"],

        ["\x6E\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xB8"],
        ["\xE9\x86\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xB0"],

        ["\x6E\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA0"],
        ["\xE9\x8C\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xC0"],

        ["\x6E\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB1"],
        ["\xE5\x98\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\x6A"],

        ["\x6E\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB4"],
        ["\xE5\x9F\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xD0"],

        ["\x6E\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xBE"],
        ["\xE9\xA3\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6E\xA1"],

        ["\x6F\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xAD"],
        ["\xE6\x8B\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x4F"],

        ["\x6F\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8D"],
        ["\xE6\xA4\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x7F"],

        ["\x6F\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x96"],
        ["\xE6\xAE\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x7B"],

        ["\x6F\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xAD"],
        ["\xE7\x87\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xE0"],

        ["\x6F\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x94"],
        ["\xE7\xB9\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x6C"],

        ["\x6F\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB7"],
        ["\xE8\x81\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x50"],

        ["\x6F\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB2"],
        ["\xE8\x89\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x7D"],

        ["\x6F\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xA6"],
        ["\xE8\xA7\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x4D"],

        ["\x6F\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x9F"],
        ["\xE9\xA3\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x5D"],

        ["\x6F\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x95"],
        ["\xE8\x9D\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x5C"],

        ["\x6F\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB1"],
        ["\xE8\xBE\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x4E"],

        ["\x6F\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBB"],
        ["\xE5\xB0\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x6B"],

        ["\x6F\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB8"],
        ["\xE4\xBC\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x60"],

        ["\x6F\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA1"],
        ["\xE4\xBF\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x4B"],

        ["\x6F\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xB5"],
        ["\xE4\xBE\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x61"],

        ["\x6F\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x87"],
        ["\xE5\x94\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF0"],

        ["\x6F\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA0"],
        ["\xE5\xA8\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF1"],

        ["\x6F\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x9D"],
        ["\xE5\xAF\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF2"],

        ["\x6F\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA9"],
        ["\xE5\xAF\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF3"],

        ["\x6F\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x83"],
        ["\xE5\xBF\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF4"],

        ["\x6F\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8E"],
        ["\xE6\x85\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF5"],

        ["\x6F\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xAF"],
        ["\xE6\x8C\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF6"],

        ["\x6F\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB0"],
        ["\xE6\x96\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF7"],

        ["\x6F\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x8B"],
        ["\xE6\x99\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF8"],

        ["\x6F\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xAE"],
        ["\xE6\xA3\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xF9"],

        ["\x6F\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x9B"],
        ["\xE6\xA6\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x7A"],

        ["\x6F\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB8"],
        ["\xE6\xB5\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x5E"],

        ["\x6F\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB1"],
        ["\xE6\xB7\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x4C"],

        ["\x6F\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB3"],
        ["\xE7\x94\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x7E"],

        ["\x6F\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB9"],
        ["\xE7\x96\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x6E"],

        ["\x6F\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x9F"],
        ["\xE7\x9C\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x6F"],

        ["\x6F\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9E"],
        ["\xE7\xA5\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x7C"],

        ["\x6F\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA6"],
        ["\xE7\xA7\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC1"],

        ["\x6F\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB3"],
        ["\xE7\xB4\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC2"],

        ["\x6F\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA3"],
        ["\xE8\x87\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC3"],

        ["\x6F\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAF"],
        ["\xE8\x8A\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC4"],

        ["\x6F\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAA"],
        ["\xE8\x96\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC5"],

        ["\x6F\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xAA"],
        ["\xE8\xA6\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC6"],

        ["\x6F\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xBA"],
        ["\xE8\xA8\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC7"],

        ["\x6F\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xAB"],
        ["\xE8\xBA\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC8"],

        ["\x6F\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\x9B"],
        ["\xE8\xBE\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC9"],

        ["\x6F\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB2"],
        ["\xE9\x80\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD1"],

        ["\x6F\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9D"],
        ["\xE9\x87\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD2"],

        ["\x6F\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x87"],
        ["\xE9\x9C\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD3"],

        ["\x6F\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xBA"],
        ["\xE4\xBA\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD4"],

        ["\x6F\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x81"],
        ["\xE4\xBB\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD5"],

        ["\x6F\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x83"],
        ["\xE5\x88\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD6"],

        ["\x6F\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xB5"],
        ["\xE5\xA1\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD7"],

        ["\x6F\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xAC"],
        ["\xE5\xA3\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD8"],

        ["\x6F\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8B"],
        ["\xE5\xB0\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD9"],

        ["\x6F\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x9A"],
        ["\xE7\x94\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xE2"],

        ["\x6F\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBD"],
        ["\xE5\xB0\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xE3"],

        ["\x6F\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x8E"],
        ["\xE8\x85\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xE4"],

        ["\x6F\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x8A"],
        ["\xE8\xA8\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xE5"],

        ["\x6F\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x85"],
        ["\xE8\xBF\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xE6"],

        ["\x6F\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA3"],
        ["\xE9\x99\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xE7"],

        ["\x75\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xAD"],
        ["\xE9\x9D\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xE6"],

        ["\x6F\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA5"],
        ["\xE7\xAC\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xE9"],

        ["\x6F\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x8F"],
        ["\xE8\xAB\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x4A"],

        ["\x6F\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x88"],
        ["\xE9\xA0\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x5B"],

        ["\x6F\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xA2"],
        ["\xE9\x85\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x5A"],

        ["\x6F\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB3"],
        ["\xE5\x9B\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x5F"],

        ["\x6F\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA8"],
        ["\xE5\x8E\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x6D"],

        ["\x6F\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x97"],
        ["\xE9\x80\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x79"],

        ["\x6F\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xB9"],
        ["\xE5\x90\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x57"],

        ["\x6F\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x82"],
        ["\xE5\x9E\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x59"],

        ["\x6F\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xA5"],
        ["\xE5\xB8\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x62"],

        ["\x6F\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA8"],
        ["\xE6\x8E\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x63"],

        ["\x6F\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB4"],
        ["\xE6\xB0\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x64"],

        ["\x6F\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x8A"],
        ["\xE7\x82\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x65"],

        ["\x6F\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA1"],
        ["\xE7\x9D\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x66"],

        ["\x6F\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x8B"],
        ["\xE7\xB2\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x67"],

        ["\x6F\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA0"],
        ["\xE7\xBF\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x68"],

        ["\x6F\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xB0"],
        ["\xE8\xA1\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x69"],

        ["\x6F\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x82"],
        ["\xE9\x81\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x70"],

        ["\x6F\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x94"],
        ["\xE9\x85\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x71"],

        ["\x6F\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x90"],
        ["\xE9\x8C\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x72"],

        ["\x6F\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x98"],
        ["\xE9\x8C\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x73"],

        ["\x6F\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8F"],
        ["\xE9\x9A\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x74"],

        ["\x6F\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9E"],
        ["\xE7\x91\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x75"],

        ["\x6F\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x84"],
        ["\xE9\xAB\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x76"],

        ["\x6F\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x87"],
        ["\xE5\xB4\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x77"],

        ["\x6F\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xA9"],
        ["\xE5\xB5\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x78"],

        ["\x6F\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB0"],
        ["\xE6\x95\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x80"],

        ["\x6F\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA2"],
        ["\xE6\x9E\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x8B"],

        ["\x6F\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xA8"],
        ["\xE8\xB6\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x9B"],

        ["\x6F\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x9B"],
        ["\xE9\x9B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x9C"],

        ["\x6F\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xAE"],
        ["\xE6\x8D\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xA0"],

        ["\x6F\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x89"],
        ["\xE6\x9D\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xAB"],

        ["\x6F\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x99"],
        ["\xE6\xA4\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xB0"],

        ["\x6F\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x85"],
        ["\xE8\x8F\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xC0"],

        ["\x6F\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x97"],
        ["\xE9\xA0\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\x6A"],

        ["\x6F\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x80"],
        ["\xE9\x9B\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xD0"],

        ["\x6F\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xBE"],
        ["\xE8\xA3\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xA1"],

        ["\x7C\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x84"],
        ["\xE6\xBE\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x4F"],

        ["\x7C\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xBA"],
        ["\xE6\x91\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x7F"],

        ["\x7C\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB8"],
        ["\xE5\xAF\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x7B"],

        ["\x7C\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x96"],
        ["\xE4\xB8\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xE0"],

        ["\x7C\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xAC"],
        ["\xE7\x80\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x6C"],

        ["\x7C\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x9D"],
        ["\xE7\x95\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x50"],

        ["\x7C\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAF"],
        ["\xE6\x98\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x7D"],

        ["\x7C\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x84"],
        ["\xE5\x87\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x4D"],

        ["\x7C\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB6"],
        ["\xE5\x88\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x5D"],

        ["\x7C\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA2"],
        ["\xE5\x8B\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x5C"],

        ["\x7C\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x93"],
        ["\xE5\xA7\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x4E"],

        ["\x7C\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x81"],
        ["\xE5\xBE\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x6B"],

        ["\x7C\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA7"],
        ["\xE6\x80\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x60"],

        ["\x7C\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x90"],
        ["\xE6\x88\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x4B"],

        ["\x7C\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xBF"],
        ["\xE6\x94\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x61"],

        ["\x7C\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB4"],
        ["\xE6\x95\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF0"],

        ["\x7C\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x9F"],
        ["\xE6\x98\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF1"],

        ["\x7C\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB4"],
        ["\xE6\x99\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF2"],

        ["\x7C\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB2"],
        ["\xE6\xA3\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF3"],

        ["\x7C\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x96"],
        ["\xE6\xA0\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF4"],

        ["\x7C\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA3"],
        ["\xE6\xAD\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF5"],

        ["\x7C\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x85"],
        ["\xE6\xB8\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF6"],

        ["\x7C\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xB2"],
        ["\xE7\x89\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF7"],

        ["\x7C\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x9F"],
        ["\xE7\x94\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF8"],

        ["\x7C\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x9B"],
        ["\xE7\x9B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xF9"],

        ["\x7C\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xBE"],
        ["\xE7\xB2\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x7A"],

        ["\x7C\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x96"],
        ["\xE8\x81\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x5E"],

        ["\x7C\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB0"],
        ["\xE5\xA3\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x4C"],

        ["\x7C\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xBD"],
        ["\xE8\xA3\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x7E"],

        ["\x7C\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xBF"],
        ["\xE8\xA5\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x6E"],

        ["\x7C\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA0"],
        ["\xE8\xAA\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x6F"],

        ["\x7C\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x93"],
        ["\xE8\xAA\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x7C"],

        ["\x7C\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x8B"],
        ["\xE8\xAB\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC1"],

        ["\x7C\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x9D"],
        ["\xE9\x80\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC2"],

        ["\x7C\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x92"],
        ["\xE9\x86\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC3"],

        ["\x7C\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x92"],
        ["\xE9\x9D\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC4"],

        ["\x7C\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x99"],
        ["\xE9\x9D\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC5"],

        ["\x7C\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x89"],
        ["\xE6\x96\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC6"],

        ["\x7C\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x8E"],
        ["\xE7\xA8\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC7"],

        ["\x7C\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x86"],
        ["\xE8\x84\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC8"],

        ["\x7C\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xBB"],
        ["\xE9\x9A\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC9"],

        ["\x7C\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xAD"],
        ["\xE5\xB8\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD1"],

        ["\x7C\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9C"],
        ["\xE6\x83\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD2"],

        ["\x7C\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9A"],
        ["\xE6\x88\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD3"],

        ["\x7C\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xA5"],
        ["\xE6\x96\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD4"],

        ["\x7C\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x94"],
        ["\xE6\x98\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD5"],

        ["\x7C\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x90"],
        ["\xE6\x9E\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD6"],

        ["\x7C\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xB3"],
        ["\xE7\x9F\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD7"],

        ["\x7C\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x8D"],
        ["\xE7\xA9\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD8"],

        ["\x7C\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x8D"],
        ["\xE7\xB1\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD9"],

        ["\x7C\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xBE"],
        ["\xE7\xB8\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xE2"],

        ["\x7C\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x8A"],
        ["\xE8\x84\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xE3"],

        ["\x7C\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAC"],
        ["\xE8\xB2\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xE4"],

        ["\x7C\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xA4"],
        ["\xE8\xB5\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xE5"],

        ["\x7C\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xA1"],
        ["\xE8\xB7\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xE6"],

        ["\x7C\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x9F"],
        ["\xE8\xB9\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xE7"],

        ["\x7C\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xA9"],
        ["\xE7\xA2\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xE8"],

        ["\x7C\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x87"],
        ["\xE5\x88\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xE9"],

        ["\x7C\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x99"],
        ["\xE6\x8B\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x4A"],

        ["\x7C\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA5"],
        ["\xE6\x8E\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x5B"],

        ["\x7C\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x82"],
        ["\xE6\x91\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x5A"],

        ["\x7C\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x98"],
        ["\xE6\x8A\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x5F"],

        ["\x7C\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xAD"],
        ["\xE8\xA8\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x6D"],

        ["\x7C\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x83"],
        ["\xE7\xAA\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x79"],

        ["\x7C\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x80"],
        ["\xE7\xAF\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x57"],

        ["\x7C\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xAC"],
        ["\xE8\xAA\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x59"],

        ["\x7C\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xAA"],
        ["\xE9\x9B\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x62"],

        ["\x7C\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB6"],
        ["\xE7\xB5\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x63"],

        ["\x7C\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x8C"],
        ["\xE8\x88\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x64"],

        ["\x7C\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x89"],
        ["\xE8\x9D\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x65"],

        ["\x7C\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x99"],
        ["\xE4\xBB\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x66"],

        ["\x7C\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x88"],
        ["\xE5\x85\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x67"],

        ["\x7C\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x83"],
        ["\xE5\x8D\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x68"],

        ["\x7C\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA0"],
        ["\xE5\x8D\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x69"],

        ["\x7C\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA3"],
        ["\xE5\xAE\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x70"],

        ["\x7C\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x82"],
        ["\xE5\xB0\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x71"],

        ["\x7C\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x96"],
        ["\xE5\xB0\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x72"],

        ["\x7C\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x9D"],
        ["\xE5\xB7\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x73"],

        ["\x7C\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA6"],
        ["\xE6\x88\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x74"],

        ["\x7C\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x87"],
        ["\xE6\x89\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x75"],

        ["\x7C\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xB0"],
        ["\xE6\x92\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x76"],

        ["\x7C\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x93"],
        ["\xE6\xA0\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x77"],

        ["\x7C\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB4"],
        ["\xE6\xA0\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x78"],

        ["\x7C\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x89"],
        ["\xE6\xB3\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x80"],

        ["\x7C\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x85"],
        ["\xE6\xB5\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x8B"],

        ["\x7C\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x97"],
        ["\xE6\xB4\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x9B"],

        ["\x7C\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x93"],
        ["\xE6\x9F\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x9C"],

        ["\x7C\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9C"],
        ["\xE6\xBD\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xA0"],

        ["\x7C\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x8E"],
        ["\xE7\x85\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xAB"],

        ["\x7C\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xBD"],
        ["\xE7\x85\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xB0"],

        ["\x7C\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x8B"],
        ["\xE6\x97\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xC0"],

        ["\x7C\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xBF"],
        ["\xE7\xA9\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\x6A"],

        ["\x7C\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xAD"],
        ["\xE7\xAE\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xD0"],

        ["\x7C\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x9A"],
        ["\xE7\xB7\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x7C\xA1"],

        ["\xC1\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x8A"],
        ["\xE7\xB9\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x4F"],

        ["\xC1\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA8"],
        ["\xE7\xBE\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x7F"],

        ["\xC1\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xBA"],
        ["\xE8\x85\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x7B"],

        ["\xC1\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x9B"],
        ["\xE8\x88\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xE0"],

        ["\xC1\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB9"],
        ["\xE8\x88\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x6C"],

        ["\xC1\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA6"],
        ["\xE8\x96\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x50"],

        ["\xC1\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xAE"],
        ["\xE8\xA9\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x7D"],

        ["\x71\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x8E"],
        ["\xE8\xB3\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD4"],

        ["\xC1\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xB5"],
        ["\xE8\xB7\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x5D"],

        ["\xC1\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB8"],
        ["\xE9\x81\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x5C"],

        ["\xC1\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB7"],
        ["\xE9\x81\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x4E"],

        ["\xC1\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\xAD"],
        ["\xE9\x8A\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x6B"],

        ["\xC1\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x91"],
        ["\xE9\x8A\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x60"],

        ["\xC1\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x83"],
        ["\xE9\x96\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x4B"],

        ["\xC1\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAE"],
        ["\xE9\xAE\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x61"],

        ["\xC1\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8D"],
        ["\xE5\x89\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],

        ["\xC1\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x84"],
        ["\xE5\x96\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],

        ["\xC1\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB8"],
        ["\xE6\xBC\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF2"],

        ["\xC1\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xB6"],
        ["\xE7\x84\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],

        ["\xC1\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA8"],
        ["\xE5\x85\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],

        ["\xC1\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x85"],
        ["\xE7\xA6\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF5"],

        ["\xC1\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x95"],
        ["\xE7\xB9\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF6"],

        ["\xC1\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB3"],
        ["\xE8\x86\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF7"],

        ["\xC1\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x8E"],
        ["\xE7\xB3\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF8"],

        ["\xC1\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x8C"],
        ["\xE5\x99\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xF9"],

        ["\xC1\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x91"],
        ["\xE5\xA1\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x7A"],

        ["\xC1\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA8"],
        ["\xE5\xB2\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x5E"],

        ["\xC1\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xAA"],
        ["\xE6\x8E\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x4C"],

        ["\xC1\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBE"],
        ["\xE6\x9B\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x7E"],

        ["\xC1\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBD"],
        ["\xE6\x9B\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x6E"],

        ["\xC1\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x9A"],
        ["\xE6\xA5\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x6F"],

        ["\xC1\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x99"],
        ["\xE7\x8B\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x7C"],

        ["\xC1\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8F"],
        ["\xE7\x96\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC1"],

        ["\xC1\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8E"],
        ["\xE7\x96\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC2"],

        ["\xC1\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x8E"],
        ["\xE7\xA4\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC3"],

        ["\xC1\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x96"],
        ["\xE7\xA5\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],

        ["\xC1\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x9F"],
        ["\xE7\xA7\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC5"],

        ["\xC1\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x97"],
        ["\xE7\xB2\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC6"],

        ["\xC1\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xA0"],
        ["\xE7\xB4\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],

        ["\xC1\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x84"],
        ["\xE7\xB5\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],

        ["\xC1\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x87"],
        ["\xE8\x98\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC9"],

        ["\xC1\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB4"],
        ["\xE8\xA8\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],

        ["\xC1\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xBB"],
        ["\xE9\x98\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD2"],

        ["\xC1\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA1"],
        ["\xE9\x81\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],

        ["\xC1\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xA0"],
        ["\xE9\xBC\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD4"],

        ["\xC1\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA7"],
        ["\xE5\x83\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD5"],

        ["\xC1\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB5"],
        ["\xE5\x89\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD6"],

        ["\xC1\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8C"],
        ["\xE5\x8F\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD7"],

        ["\xC1\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA2"],
        ["\xE5\x8F\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD8"],

        ["\xC1\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x89"],
        ["\xE5\x80\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],

        ["\xC1\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAA"],
        ["\xE5\x96\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xE2"],

        ["\xC1\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xAE"],
        ["\xE5\xA3\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xE3"],

        ["\xC1\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x8F"],
        ["\xE5\xA5\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xE4"],

        ["\xC1\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBD"],
        ["\xE7\x88\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xE5"],

        ["\xC1\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x8B"],
        ["\xE5\xAE\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],

        ["\xC1\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA4"],
        ["\xE5\xB1\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xE7"],

        ["\xC1\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x9D"],
        ["\xE5\x8C\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],

        ["\xC1\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA3"],
        ["\xE6\x83\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],

        ["\xC1\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB3"],
        ["\xE6\x83\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x4A"],

        ["\xC1\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x9C"],
        ["\xE6\x8D\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x5B"],

        ["\xC1\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x83"],
        ["\xE6\x8E\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x5A"],

        ["\xC1\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBF"],
        ["\xE6\x8C\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x5F"],

        ["\xC1\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xBB"],
        ["\xE6\x8E\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x6D"],

        ["\xC1\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8D"],
        ["\xE6\x93\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x79"],

        ["\xC1\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA9"],
        ["\xE6\x97\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x57"],

        ["\xC1\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB9"],
        ["\xE6\x9B\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x59"],

        ["\xC1\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA3"],
        ["\xE5\xB7\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x62"],

        ["\xC1\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8D"],
        ["\xE6\xA7\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x63"],

        ["\xC1\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xBD"],
        ["\xE6\xA7\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x64"],

        ["\xC1\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x95"],
        ["\xE6\xBC\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x65"],

        ["\xC1\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xA5"],
        ["\xE7\x87\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x66"],

        ["\xC1\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x89"],
        ["\xE4\xBA\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x67"],

        ["\xC1\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA9"],
        ["\xE7\x97\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x68"],

        ["\xC1\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xB8"],
        ["\xE7\x9B\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x69"],

        ["\xC1\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x93"],
        ["\xE7\xAA\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x70"],

        ["\xC1\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x9F"],
        ["\xE7\xB3\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x71"],

        ["\xC1\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x8F"],
        ["\xE7\xB7\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x72"],

        ["\xC1\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9C"],
        ["\xE7\xB6\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x73"],

        ["\xC1\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xA1"],
        ["\xE8\x81\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x74"],

        ["\xC1\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x89"],
        ["\xE8\x8D\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x75"],

        ["\xC1\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x98"],
        ["\xE8\x8D\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x76"],

        ["\xC1\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAC"],
        ["\xE8\x91\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x77"],

        ["\xC1\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBC"],
        ["\xE8\x92\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x78"],

        ["\xC1\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xBB"],
        ["\xE8\x97\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x80"],

        ["\xC1\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x85"],
        ["\xE8\xA3\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x8B"],

        ["\xC1\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB0"],
        ["\xE8\xB5\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x9B"],

        ["\xC1\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x81"],
        ["\xE9\x80\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x9C"],

        ["\xC1\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xAD"],
        ["\xE9\x81\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xA0"],

        ["\xC1\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x97"],
        ["\xE9\x8E\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],

        ["\xC1\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x9C"],
        ["\xE9\x9C\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xB0"],

        ["\xC1\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x92"],
        ["\xE9\xA8\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xC0"],

        ["\xC1\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8F"],
        ["\xE5\x83\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x6A"],

        ["\xC1\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x97"],
        ["\xE5\xA2\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],

        ["\xC1\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x8E"],
        ["\xE6\x86\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\xA1"],

        ["\xC2\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x93"],
        ["\xE8\x87\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x4F"],

        ["\xC2\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xB5"],
        ["\xE8\x94\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x7F"],

        ["\xC2\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x88"],
        ["\xE8\xB4\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x7B"],

        ["\xC2\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA0"],
        ["\xE9\x80\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],

        ["\xC2\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x83"],
        ["\xE4\xBF\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x6C"],

        ["\xC2\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB4"],
        ["\xE5\x81\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x50"],

        ["\xC2\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x87"],
        ["\xE5\x89\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x7D"],

        ["\xC2\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB3"],
        ["\xE5\x8D\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x4D"],

        ["\xC2\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAF"],
        ["\xE6\x81\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x5D"],

        ["\xC2\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x89"],
        ["\xE6\x8D\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x5C"],

        ["\xC2\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x9F"],
        ["\xE6\x9D\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x4E"],

        ["\xC2\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAC"],
        ["\xE6\xB8\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x6B"],

        ["\xC2\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xB3"],
        ["\xE8\xB6\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x60"],

        ["\xC2\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x9F"],
        ["\xE9\x80\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x4B"],

        ["\xC2\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x97"],
        ["\xE4\xBF\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x61"],

        ["\xC2\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x9E"],
        ["\xE5\xB1\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF0"],

        ["\xC2\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x8A"],
        ["\xE8\xB3\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],

        ["\xC2\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x8F"],
        ["\xE6\x97\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF2"],

        ["\xC2\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9A"],
        ["\xE7\xB6\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF3"],

        ["\xC2\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x92"],
        ["\xE5\x8D\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],

        ["\xC2\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x96"],
        ["\xE8\xA2\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],

        ["\xC2\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB6"],
        ["\xE5\x85\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],

        ["\xC2\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x83"],
        ["\xE6\x8F\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],

        ["\xC2\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x98"],
        ["\xE5\xAD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],

        ["\xC2\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xAB"],
        ["\xE5\xAD\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xF9"],

        ["\xC2\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8A"],
        ["\xE5\xB0\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x7A"],

        ["\xC2\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x8D"],
        ["\xE6\x90\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x5E"],

        ["\xC2\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x91"],
        ["\xE6\x9D\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x4C"],

        ["\xC2\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x9C"],
        ["\xE9\x81\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x7E"],

        ["\xC2\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x96"],
        ["\xE4\xBB\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x6E"],

        ["\xC2\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x9A"],
        ["\xE5\xA4\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x6F"],

        ["\xC2\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAA"],
        ["\xE5\xA4\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x7C"],

        ["\xC2\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB0"],
        ["\xE6\xB1\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC1"],

        ["\xC2\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x91"],
        ["\xE8\xA9\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC2"],

        ["\xC2\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xBE"],
        ["\xE5\x94\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],

        ["\xC2\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x95"],
        ["\xE5\xA0\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],

        ["\xC2\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xA5"],
        ["\xE5\xA6\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC5"],

        ["\xC2\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB0"],
        ["\xE6\x83\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC6"],

        ["\xC2\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x93"],
        ["\xE6\x89\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],

        ["\xC2\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x81"],
        ["\xE6\x9F\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],

        ["\xC2\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB5"],
        ["\xE8\x88\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],

        ["\xC2\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x95"],
        ["\xE6\xA5\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],

        ["\xC2\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x80"],
        ["\xE9\x99\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD2"],

        ["\xC2\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x84"],
        ["\xE9\xA7\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD3"],

        ["\xC2\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xA8"],
        ["\xE9\xA8\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],

        ["\xC2\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x93"],
        ["\xE4\xBD\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD5"],

        ["\xC2\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x86"],
        ["\xE5\xA0\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD6"],

        ["\xC2\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xBE"],
        ["\xE5\xAF\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD7"],

        ["\xC2\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x90"],
        ["\xE8\x80\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD8"],

        ["\xC2\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB1"],
        ["\xE5\xB2\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD9"],

        ["\xC2\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xAF"],
        ["\xE5\xB8\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xE2"],

        ["\xC2\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x85"],
        ["\xE5\xBE\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xE3"],

        ["\xC2\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA0"],
        ["\xE6\x80\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],

        ["\xC2\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8B"],
        ["\xE6\x85\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],

        ["\xC2\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB4"],
        ["\xE6\x88\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xE6"],

        ["\xC2\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBF"],
        ["\xE6\x9B\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xE7"],

        ["\xC2\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xB0"],
        ["\xE6\xB3\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],

        ["\xC2\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x9E"],
        ["\xE6\xBB\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xE9"],

        ["\xC2\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x8E"],
        ["\xE8\x83\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x4A"],

        ["\xC2\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xBF"],
        ["\xE8\x85\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x5B"],

        ["\xC2\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x94"],
        ["\xE8\x8B\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x5A"],

        ["\xC2\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x8B"],
        ["\xE8\xA2\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x5F"],

        ["\xC2\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB8"],
        ["\xE8\xB2\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x6D"],

        ["\xC2\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x80"],
        ["\xE9\x80\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x79"],

        ["\xC2\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xAE"],
        ["\xE9\x80\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x57"],

        ["\xC2\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8A"],
        ["\xE9\x9A\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x59"],

        ["\xC2\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9B"],
        ["\xE9\xBB\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x62"],

        ["\xC2\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x9B"],
        ["\xE9\xAF\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x63"],

        ["\xC2\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xA3"],
        ["\xE4\xBB\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x64"],

        ["\xC2\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB0"],
        ["\xE5\x8F\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x65"],

        ["\xC2\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA7"],
        ["\xE5\xA4\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x66"],

        ["\xC2\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAC"],
        ["\xE7\xAC\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x67"],

        ["\xC2\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x8D"],
        ["\xE9\x86\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x68"],

        ["\xC2\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8C"],
        ["\xE9\xA1\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x69"],

        ["\xC2\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xB9"],
        ["\xE9\xB7\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x70"],

        ["\xC2\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x9D"],
        ["\xE6\xBB\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x71"],

        ["\xC2\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xA7"],
        ["\xE7\x80\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x72"],

        ["\xC2\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x93"],
        ["\xE5\x8D\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x73"],

        ["\xC2\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x84"],
        ["\xE5\x95\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x74"],

        ["\xC2\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x85"],
        ["\xE5\xAE\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x75"],

        ["\xC2\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x98"],
        ["\xE6\x89\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x76"],

        ["\xC2\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x9E"],
        ["\xE6\x8A\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x77"],

        ["\xC2\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x93"],
        ["\xE6\x8B\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x78"],

        ["\xC2\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xA2"],
        ["\xE6\xB2\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x80"],

        ["\xC2\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xAF"],
        ["\xE6\xBF\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x8B"],

        ["\xC2\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA2"],
        ["\xE7\x90\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x9B"],

        ["\xC2\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x97"],
        ["\xE8\xA8\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x9C"],

        ["\xC2\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB8"],
        ["\xE9\x90\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xA0"],

        ["\xC2\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x81"],
        ["\xE6\xBF\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xAB"],

        ["\xC2\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xBE"],
        ["\xE8\xAB\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],

        ["\xC2\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB8"],
        ["\xE8\x8C\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xC0"],

        ["\xC2\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA7"],
        ["\xE5\x87\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\x6A"],

        ["\xC2\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xB8"],
        ["\xE8\x9B\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],

        ["\xC2\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAA"],
        ["\xE5\x8F\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],

        ["\xC3\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA9"],
        ["\xE5\x8F\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x4F"],

        ["\xC3\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x86"],
        ["\xE4\xBD\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x7F"],

        ["\xC3\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x94"],
        ["\xE9\x81\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x7B"],

        ["\xC3\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB0"],
        ["\xE8\xBE\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],

        ["\xC3\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xAA"],
        ["\xE5\xA5\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x6C"],

        ["\xC3\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xB1"],
        ["\xE8\x84\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x50"],

        ["\xC3\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xBD"],
        ["\xE5\xB7\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x7D"],

        ["\xC3\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xAA"],
        ["\xE7\xAB\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x4D"],

        ["\xC3\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xBF"],
        ["\xE8\xBE\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x5D"],

        ["\xC3\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x9A"],
        ["\xE6\xA3\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x5C"],

        ["\xC3\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xB7"],
        ["\xE8\xB0\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x4E"],

        ["\xC3\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xB8"],
        ["\xE7\x8B\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x6B"],

        ["\xC3\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x88"],
        ["\xE9\xB1\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x60"],

        ["\xC3\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBD"],
        ["\xE6\xA8\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x4B"],

        ["\xC3\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xB0"],
        ["\xE8\xAA\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x61"],

        ["\xC3\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB9"],
        ["\xE4\xB8\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],

        ["\xC3\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x98"],
        ["\xE5\x8D\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF1"],

        ["\xC3\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x86"],
        ["\xE5\x98\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF2"],

        ["\xC3\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA6"],
        ["\xE5\x9D\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],

        ["\xC3\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x85"],
        ["\xE6\x8B\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF4"],

        ["\xC3\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA2"],
        ["\xE6\x8E\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF5"],

        ["\xC3\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA6"],
        ["\xE6\x97\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF6"],

        ["\xC3\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x8E"],
        ["\xE6\xAD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF7"],

        ["\xC3\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA1"],
        ["\xE6\xB7\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],

        ["\xC3\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x9B"],
        ["\xE6\xB9\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],

        ["\xC3\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAD"],
        ["\xE7\x82\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x7A"],

        ["\xC3\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAD"],
        ["\xE7\x9F\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x5E"],

        ["\xC3\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xAF"],
        ["\xE7\xAB\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x4C"],

        ["\xC3\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xAA"],
        ["\xE7\xAE\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x7E"],

        ["\xC3\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBB"],
        ["\xE7\xB6\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x6E"],

        ["\xC3\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xBD"],
        ["\xE8\x80\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x6F"],

        ["\xC3\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x86"],
        ["\xE8\x83\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x7C"],

        ["\xC3\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x8B"],
        ["\xE8\x9B\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],

        ["\xC3\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x95"],
        ["\xE8\xAA\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC2"],

        ["\xC3\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x9B"],
        ["\xE9\x8D\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC3"],

        ["\xC3\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xA3"],
        ["\xE5\x9B\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC4"],

        ["\xC3\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x87"],
        ["\xE5\xA3\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC5"],

        ["\xC3\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xBE"],
        ["\xE5\xBC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],

        ["\xC3\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xAD"],
        ["\xE6\x96\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],

        ["\xC3\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x96"],
        ["\xE6\x9A\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],

        ["\xC3\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x80"],
        ["\xE6\xAA\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC9"],

        ["\xC3\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB5"],
        ["\xE6\xAE\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],

        ["\xC3\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB7"],
        ["\xE7\x94\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD2"],

        ["\xC3\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x87"],
        ["\xE8\xAB\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD3"],

        ["\xC3\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA4"],
        ["\xE5\x80\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD4"],

        ["\xC3\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA5"],
        ["\xE7\x9F\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],

        ["\xC3\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB0"],
        ["\xE5\x9C\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],

        ["\xC3\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9B"],
        ["\xE5\xBC\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD7"],

        ["\xC3\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA5"],
        ["\xE6\x81\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD8"],

        ["\xC3\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xBA"],
        ["\xE6\x99\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD9"],

        ["\xC3\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xA0"],
        ["\xE6\xB1\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xE2"],

        ["\xC3\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB4"],
        ["\xE7\x97\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],

        ["\xC3\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9A"],
        ["\xE7\xA8\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],

        ["\xC3\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xAE"],
        ["\xE7\xBD\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],

        ["\xC3\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xB4"],
        ["\xE8\x87\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],

        ["\xC3\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x98"],
        ["\xE8\x9C\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],

        ["\xC3\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x85"],
        ["\xE9\x81\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],

        ["\xC3\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xB3"],
        ["\xE9\xA6\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xE9"],

        ["\xC3\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x89"],
        ["\xE7\xAF\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x4A"],

        ["\xC3\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x9C"],
        ["\xE7\x95\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x5B"],

        ["\xC3\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB9"],
        ["\xE7\xAB\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x5A"],

        ["\xC3\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x91"],
        ["\xE7\xAD\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x5F"],

        ["\xC3\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x84"],
        ["\xE8\x93\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x6D"],

        ["\xC3\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x90"],
        ["\xE9\x80\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x79"],

        ["\xC3\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA9"],
        ["\xE7\xA7\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x57"],

        ["\xC3\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x92"],
        ["\xE7\xAA\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x59"],

        ["\xC3\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB6"],
        ["\xE8\x8C\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x62"],

        ["\xC3\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA1"],
        ["\xE5\xAB\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x63"],

        ["\xC3\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x80"],
        ["\xE7\x9D\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x64"],

        ["\xC3\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAD"],
        ["\xE4\xB8\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x65"],

        ["\xC3\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB2"],
        ["\xE4\xBB\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x66"],

        ["\xC3\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x99"],
        ["\xE5\xAE\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x67"],

        ["\xC3\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA0"],
        ["\xE5\xBF\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x68"],

        ["\xC3\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xBD"],
        ["\xE6\x8A\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x69"],

        ["\xC3\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xBC"],
        ["\xE6\x98\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x70"],

        ["\xC3\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB1"],
        ["\xE6\x9F\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x71"],

        ["\xC3\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA8"],
        ["\xE6\xB3\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x72"],

        ["\xC3\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xAB"],
        ["\xE8\x99\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x73"],

        ["\xC3\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xB7"],
        ["\xE8\xA1\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x74"],

        ["\xC3\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xBB"],
        ["\xE8\xA8\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x75"],

        ["\xC3\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8E"],
        ["\xE9\x85\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x76"],

        ["\xC3\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xB3"],
        ["\xE9\x8B\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x77"],

        ["\xC3\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x90"],
        ["\xE9\xA7\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x78"],

        ["\xC3\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x97"],
        ["\xE6\xA8\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x80"],

        ["\xC3\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xA6"],
        ["\xE7\x80\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x8B"],

        ["\xC3\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAA"],
        ["\xE7\x8C\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x9B"],

        ["\xC3\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA7"],
        ["\xE8\x8B\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x9C"],

        ["\xC3\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x97"],
        ["\xE8\x91\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xA0"],

        ["\xC3\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAF"],
        ["\xE8\xB2\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xAB"],

        ["\xC3\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x81"],
        ["\xE4\xB8\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xB0"],

        ["\xC3\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x86"],
        ["\xE5\x85\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xC0"],

        ["\xC3\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x8B"],
        ["\xE5\x87\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\x6A"],

        ["\xC3\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x8B"],
        ["\xE5\x96\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],

        ["\xC3\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB5"],
        ["\xE5\xAF\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],

        ["\xC4\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x96"],
        ["\xE5\xB8\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x4F"],

        ["\xC4\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB3"],
        ["\xE5\xB8\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x7F"],

        ["\xC4\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x81"],
        ["\xE5\xBA\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x7B"],

        ["\xC4\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x94"],
        ["\xE5\xBC\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xE0"],

        ["\xC4\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB5"],
        ["\xE5\xBC\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x6C"],

        ["\xC4\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xAB"],
        ["\xE5\xBD\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x50"],

        ["\xC4\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB4"],
        ["\xE5\xBE\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x7D"],

        ["\xC4\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB2"],
        ["\xE6\x87\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x4D"],

        ["\xC4\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x91"],
        ["\xE6\x8C\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x5D"],

        ["\xC4\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xA2"],
        ["\xE6\x9A\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x5C"],

        ["\xC4\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x9D"],
        ["\xE6\x9C\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x4E"],

        ["\xC4\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xAE"],
        ["\xE6\xBD\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x6B"],

        ["\xC4\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x92"],
        ["\xE7\x89\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x60"],

        ["\xC4\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBA"],
        ["\xE7\x94\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x4B"],

        ["\xC4\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xBA"],
        ["\xE7\x9C\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x61"],

        ["\xC4\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB4"],
        ["\xE8\x81\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],

        ["\xC4\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xB9"],
        ["\xE8\x84\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF1"],

        ["\xC4\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB8"],
        ["\xE8\x85\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],

        ["\xC4\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB6"],
        ["\xE8\x9D\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],

        ["\xC4\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xBF"],
        ["\xE8\xAA\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF4"],

        ["\xC4\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9C"],
        ["\xE8\xAB\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF5"],

        ["\xC4\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x85"],
        ["\xE8\xB6\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF6"],

        ["\xC4\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xB3"],
        ["\xE8\xB7\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF7"],

        ["\xC4\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x9A"],
        ["\xE9\x8A\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF8"],

        ["\xC4\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x95\xB7"],
        ["\xE9\x95\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],

        ["\xC4\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x82"],
        ["\xE9\xA0\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x7A"],

        ["\xC4\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xA5"],
        ["\xE9\xB3\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x5E"],

        ["\xC4\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x85"],
        ["\xE5\x8B\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x4C"],

        ["\xC4\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x97"],
        ["\xE6\x8D\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x7E"],

        ["\xC4\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xB4"],
        ["\xE7\x9B\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x6E"],

        ["\xC4\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x95"],
        ["\xE6\x9C\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x6F"],

        ["\xC4\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x88"],
        ["\xE6\xB2\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x7C"],

        ["\xC4\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8D"],
        ["\xE7\x8F\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],

        ["\xC4\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x83"],
        ["\xE8\xB3\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],

        ["\xC4\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xAE"],
        ["\xE9\x8E\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC3"],

        ["\xC4\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB3"],
        ["\xE9\x99\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],

        ["\xC4\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA5"],
        ["\xE6\xB4\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC5"],

        ["\xC4\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x9C"],
        ["\xE5\xA2\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],

        ["\xC4\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8E"],
        ["\xE6\xA4\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],

        ["\xC4\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8C"],
        ["\xE6\xA7\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC8"],

        ["\xC4\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xBD"],
        ["\xE8\xBF\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC9"],

        ["\xC4\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x9A"],
        ["\xE9\x8E\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],

        ["\xC4\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x9B"],
        ["\xE7\x97\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],

        ["\xC4\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x9A"],
        ["\xE9\x80\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],

        ["\x86\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x9A"],
        ["\xE5\xA1\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xEB"],

        ["\xC4\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x82"],
        ["\xE6\xA0\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],

        ["\xC4\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xB4"],
        ["\xE6\x8E\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],

        ["\xC4\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xBB"],
        ["\xE6\xA7\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],

        ["\xC4\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x83"],
        ["\xE4\xBD\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD8"],

        ["\xC4\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xAC"],
        ["\xE6\xBC\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],

        ["\xC4\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x98"],
        ["\xE6\x9F\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xE2"],

        ["\xC4\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xBB"],
        ["\xE8\xBE\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],

        ["\xC4\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA6"],
        ["\xE8\x94\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xE4"],

        ["\xC4\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB4"],
        ["\xE7\xB6\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],

        ["\xC4\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x94"],
        ["\xE9\x8D\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],

        ["\xC4\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xBF"],
        ["\xE6\xA4\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],

        ["\xC4\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xB0"],
        ["\xE6\xBD\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],

        ["\xC4\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xAA"],
        ["\xE5\x9D\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xE9"],

        ["\xE3\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB7"],
        ["\xE5\xA3\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x63"],

        ["\xC4\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xAC"],
        ["\xE5\xAC\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x5B"],

        ["\xC4\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xAC"],
        ["\xE7\xB4\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x5A"],

        ["\xC4\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xAA"],
        ["\xE7\x88\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x5F"],

        ["\xC4\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8A"],
        ["\xE5\x90\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x6D"],

        ["\xC4\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA3"],
        ["\xE9\x87\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x79"],

        ["\xC4\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB4"],
        ["\xE9\xB6\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x57"],

        ["\xC4\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xAD"],
        ["\xE4\xBA\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x59"],

        ["\xC4\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x8E"],
        ["\xE4\xBD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x62"],

        ["\xC4\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x9C"],
        ["\xE5\x81\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x63"],

        ["\xC4\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB5"],
        ["\xE5\x81\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x64"],

        ["\xC4\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x83"],
        ["\xE5\x89\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x65"],

        ["\xC4\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x9E"],
        ["\xE8\xB2\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x66"],

        ["\xC4\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x88"],
        ["\xE5\x91\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x67"],

        ["\xC4\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xA4"],
        ["\xE5\xA0\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x68"],

        ["\xC4\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9A"],
        ["\xE5\xAE\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x69"],

        ["\xC4\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x9D"],
        ["\xE5\xB8\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x70"],

        ["\xC4\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x95"],
        ["\xE5\xBA\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x71"],

        ["\xC4\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xAD"],
        ["\xE5\xBA\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x72"],

        ["\xC4\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB7"],
        ["\xE5\xBB\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x73"],

        ["\xC4\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9F"],
        ["\xE5\xBC\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x74"],

        ["\xC4\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x8C"],
        ["\xE6\x82\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x75"],

        ["\xC4\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xB5"],
        ["\xE6\x8A\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x76"],

        ["\xC4\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBA"],
        ["\xE6\x8C\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x77"],

        ["\xC4\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x90"],
        ["\xE6\x8F\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x78"],

        ["\xC4\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xAF"],
        ["\xE6\xA2\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x80"],

        ["\xC4\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x80"],
        ["\xE6\xB1\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x8B"],

        ["\xC4\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x87"],
        ["\xE7\xA2\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x9B"],

        ["\xC4\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x8E"],
        ["\xE7\xA6\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x9C"],

        ["\xC4\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x8B"],
        ["\xE7\xA8\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xA0"],

        ["\xC4\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA0"],
        ["\xE7\xB7\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xAB"],

        ["\xC4\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x87"],
        ["\xE8\x89\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],

        ["\xC4\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x82"],
        ["\xE8\xA8\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],

        ["\xC4\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA6"],
        ["\xE8\xAB\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x6A"],

        ["\xC4\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x84"],
        ["\xE8\xB9\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD0"],

        ["\xC4\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x93"],
        ["\xE9\x80\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xA1"],

        ["\xC5\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xB8"],
        ["\xE9\x82\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x4F"],

        ["\xC5\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xAD"],
        ["\xE9\x84\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x7F"],

        ["\xC5\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x98"],
        ["\xE9\x87\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x7B"],

        ["\xC5\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x8E"],
        ["\xE9\xBC\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],

        ["\xC5\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA5"],
        ["\xE6\xB3\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x6C"],

        ["\xC5\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x98"],
        ["\xE6\x91\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x50"],

        ["\xC5\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA2"],
        ["\xE6\x93\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x7D"],

        ["\xC5\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB5"],
        ["\xE6\x95\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x4D"],

        ["\xC5\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB4"],
        ["\xE6\xBB\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x5D"],

        ["\xC5\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x84"],
        ["\xE7\x9A\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x5C"],

        ["\xC5\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x9B"],
        ["\xE7\xAC\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x4E"],

        ["\xC5\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA9"],
        ["\xE9\x81\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x6B"],

        ["\xC5\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x91"],
        ["\xE9\x8F\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x60"],

        ["\xC5\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xBA"],
        ["\xE6\xBA\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x4B"],

        ["\xC5\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xB2"],
        ["\xE5\x93\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x61"],

        ["\xC5\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB9"],
        ["\xE5\xBE\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],

        ["\xC5\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xA4"],
        ["\xE6\x92\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF1"],

        ["\xC5\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x8D"],
        ["\xE8\xBD\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],

        ["\xC5\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAD"],
        ["\xE8\xBF\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],

        ["\xC5\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x84"],
        ["\xE9\x89\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF4"],

        ["\xC5\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB8"],
        ["\xE5\x85\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],

        ["\xAC\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xAB"],
        ["\xE5\xA1\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAC\xB8"],

        ["\xC5\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA9"],
        ["\xE5\xA4\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],

        ["\xC5\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x95"],
        ["\xE5\xB1\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF8"],

        ["\xC5\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x97"],
        ["\xE5\xBA\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF9"],

        ["\xC5\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xBB"],
        ["\xE6\xB7\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x7A"],

        ["\xC5\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8F"],
        ["\xE7\xBA\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x5E"],

        ["\xC5\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x9C"],
        ["\xE7\x94\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x4C"],

        ["\xC5\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xBC"],
        ["\xE8\xB2\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x7E"],

        ["\xC5\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xA2"],
        ["\xE8\xBB\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x6E"],

        ["\xA9\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x9B"],
        ["\xE9\xA1\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x43"],

        ["\xC5\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB9"],
        ["\xE7\x82\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x7C"],

        ["\xC5\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x9D"],
        ["\xE4\xBC\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC1"],

        ["\xC5\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBF"],
        ["\xE6\xAE\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],

        ["\xC5\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB1"],
        ["\xE6\xBE\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC3"],

        ["\xC5\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB0"],
        ["\xE7\x94\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC4"],

        ["\xC5\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xBB"],
        ["\xE9\x9B\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],

        ["\xC5\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8E"],
        ["\xE5\x85\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],

        ["\xC5\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x90"],
        ["\xE5\x90\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],

        ["\xC5\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB5"],
        ["\xE5\xA0\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],

        ["\xC5\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x97"],
        ["\xE5\xA1\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],

        ["\xC5\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xAC"],
        ["\xE5\xA6\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],

        ["\xC5\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA0"],
        ["\xE5\xB1\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD2"],

        ["\xC5\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x92"],
        ["\xE5\xBE\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],

        ["\xC5\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x97"],
        ["\xE6\x96\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD4"],

        ["\xC5\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x9C"],
        ["\xE6\x9D\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD5"],

        ["\xC5\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA1"],
        ["\xE6\xB8\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD6"],

        ["\xC5\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBB"],
        ["\xE7\x99\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD7"],

        ["\xC5\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x9F"],
        ["\xE8\x8F\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],

        ["\xC5\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xAD"],
        ["\xE8\xB3\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],

        ["\xC5\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x94"],
        ["\xE9\x80\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xE2"],

        ["\xC5\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xBD"],
        ["\xE9\x83\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xE3"],

        ["\xC5\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x8D"],
        ["\xE9\x8D\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xE4"],

        ["\xC5\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA5"],
        ["\xE7\xA0\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],

        ["\x59\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xBA"],
        ["\xE7\xA0\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x69"],

        ["\xC5\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAA"],
        ["\xE5\x8A\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],

        ["\xC5\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xA6"],
        ["\xE5\xBA\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xE8"],

        ["\xC5\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x9F"],
        ["\xE5\x9C\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],

        ["\xC5\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB4"],
        ["\xE5\xA5\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x4A"],

        ["\xC5\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x92"],
        ["\xE6\x80\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x5B"],

        ["\xC5\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x92"],
        ["\xE5\x80\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x5A"],

        ["\xC5\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x9A"],
        ["\xE5\x85\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x5F"],

        ["\xC5\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xAC"],
        ["\xE5\x86\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x6D"],

        ["\xC5\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x8D"],
        ["\xE5\x87\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x79"],

        ["\xC5\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x80"],
        ["\xE5\x88\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x57"],

        ["\xC5\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x90"],
        ["\xE5\x94\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x59"],

        ["\xC5\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x94"],
        ["\xE5\xA1\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x62"],

        ["\xC5\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x98"],
        ["\xE5\xA1\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x63"],

        ["\xC5\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x97"],
        ["\xE5\xA5\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x64"],

        ["\xC5\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x95"],
        ["\xE5\xAE\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x65"],

        ["\xC5\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xB6"],
        ["\xE5\xB3\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x66"],

        ["\xC5\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x8B"],
        ["\xE5\xB6\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x67"],

        ["\xC5\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xBC"],
        ["\xE6\x82\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x68"],

        ["\xC5\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x95"],
        ["\xE6\x8A\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x69"],

        ["\xC5\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xAD"],
        ["\xE6\x90\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x70"],

        ["\xC5\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB1"],
        ["\xE6\x9D\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x71"],

        ["\xC5\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x83"],
        ["\xE6\xA1\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x72"],

        ["\x4A\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xBC"],
        ["\xE6\xA2\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x72"],

        ["\xC5\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x9F"],
        ["\xE6\xA3\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x74"],

        ["\xC5\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x97"],
        ["\xE7\x9B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x75"],

        ["\xC5\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x98"],
        ["\xE6\xB7\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x76"],

        ["\xC5\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xAF"],
        ["\xE6\xB9\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x77"],

        ["\x5F\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x9B"],
        ["\xE6\xB6\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF9"],

        ["\xC5\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xAF"],
        ["\xE7\x81\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x80"],

        ["\xC5\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x88"],
        ["\xE7\x87\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x8B"],

        ["\xC5\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x93"],
        ["\xE5\xBD\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x9B"],

        ["\xC5\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x98"],
        ["\xE7\x97\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x9C"],

        ["\xC5\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xB7"],
        ["\xE7\xA5\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xA0"],

        ["\xC5\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x89"],
        ["\xE7\xAD\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xAB"],

        ["\xC5\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x94"],
        ["\xE7\xAD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],

        ["\xC5\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x92"],
        ["\xE7\xAD\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xC0"],

        ["\xC5\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x96"],
        ["\xE7\xB3\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x6A"],

        ["\xC5\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB1"],
        ["\xE7\xB5\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],

        ["\xC5\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB0"],
        ["\xE5\x88\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],

        ["\xC6\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA3"],
        ["\xE8\x91\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x4F"],

        ["\xC6\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA9"],
        ["\xE8\x95\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x7F"],

        ["\xC6\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA4"],
        ["\xE8\x97\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x7B"],

        ["\xC6\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x8E"],
        ["\xE8\xA8\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xE0"],

        ["\xC6\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x84"],
        ["\xE8\xAC\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x6C"],

        ["\xC6\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x86"],
        ["\xE8\xB1\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x50"],

        ["\xC6\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x8F"],
        ["\xE8\xB8\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x7D"],

        ["\xC6\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x83"],
        ["\xE9\x80\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x4D"],

        ["\xC6\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x8F"],
        ["\xE9\x80\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x5D"],

        ["\xC6\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x99"],
        ["\xE9\x90\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x5C"],

        ["\xC6\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB6"],
        ["\xE9\x99\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x4E"],

        ["\xC6\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xAD"],
        ["\xE9\xA0\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x6B"],

        ["\xC6\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB0"],
        ["\xE9\xA8\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x60"],

        ["\xC6\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x98"],
        ["\xE9\x97\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x4B"],

        ["\xC6\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8D"],
        ["\xE5\x83\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x61"],

        ["\xC6\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x95"],
        ["\xE5\x8B\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF0"],

        ["\xC6\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8C"],
        ["\xE5\x90\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF1"],

        ["\xC6\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x82"],
        ["\xE5\xA0\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF2"],

        ["\xC6\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8E"],
        ["\xE5\xB0\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF3"],

        ["\xC6\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA7"],
        ["\xE6\x86\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF4"],

        ["\xC6\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x9E"],
        ["\xE6\x92\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF5"],

        ["\xC6\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x9E"],
        ["\xE6\xB4\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF6"],

        ["\xC6\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xB3"],
        ["\xE7\x9E\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],

        ["\xC6\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA5"],
        ["\xE7\xAB\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],

        ["\xC6\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB4"],
        ["\xE8\x83\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xF9"],

        ["\xC6\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x84"],
        ["\xE8\x90\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x7A"],

        ["\xC6\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x93"],
        ["\xE9\x81\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x5E"],

        ["\xC6\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x85"],
        ["\xE9\x8A\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x4C"],

        ["\xC6\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xA0"],
        ["\xE5\xB3\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x7E"],

        ["\xC6\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x87"],
        ["\xE9\xB4\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x6E"],

        ["\xC6\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xBF"],
        ["\xE5\x8C\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x6F"],

        ["\xC6\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x97"],
        ["\xE5\xBE\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x7C"],

        ["\xC6\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB3"],
        ["\xE5\xBE\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC1"],

        ["\xC6\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x9C"],
        ["\xE6\xB6\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC2"],

        ["\xC6\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xB9"],
        ["\xE7\x89\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC3"],

        ["\xC6\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA3"],
        ["\xE7\x9D\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],

        ["\xC6\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBF"],
        ["\xE7\xA6\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],

        ["\xC6\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA4"],
        ["\xE7\xAF\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],

        ["\xC6\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x92"],
        ["\xE6\xAF\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],

        ["\xC6\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xAC"],
        ["\xE7\x8B\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC8"],

        ["\xC6\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xAD"],
        ["\xE8\xAA\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],

        ["\xC6\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x83"],
        ["\xE6\xA0\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],

        ["\xC6\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xA1"],
        ["\xE6\xA9\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD2"],

        ["\xC6\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB8"],
        ["\xE5\x87\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],

        ["\xC6\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x81"],
        ["\xE7\xAA\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD4"],

        ["\xC6\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB4"],
        ["\xE6\xA4\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD5"],

        ["\xC6\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8A"],
        ["\xE5\xB1\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD6"],

        ["\xC6\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB6"],
        ["\xE9\xB3\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD7"],

        ["\xC6\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xAB"],
        ["\xE8\x8B\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD8"],

        ["\xC6\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x85"],
        ["\xE5\xAF\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],

        ["\xC6\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x89"],
        ["\xE9\x85\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xE2"],

        ["\xC6\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9E"],
        ["\xE7\x80\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xE3"],

        ["\xC6\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB8"],
        ["\xE5\x99\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xE4"],

        ["\xC6\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xAF"],
        ["\xE5\xB1\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xE5"],

        ["\xC6\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x87"],
        ["\xE6\x83\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xE6"],

        ["\xC6\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xA6"],
        ["\xE6\x95\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],

        ["\xC6\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x8C"],
        ["\xE6\xB2\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],

        ["\xC6\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x9A"],
        ["\xE8\xB1\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xE9"],

        ["\xC6\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x81"],
        ["\xE9\x81\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x4A"],

        ["\xC6\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x93"],
        ["\xE9\xA0\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x5B"],

        ["\xC6\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x91"],
        ["\xE5\x91\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x5A"],

        ["\xC6\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x87"],
        ["\xE6\x9B\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x5F"],

        ["\xC6\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x8D"],
        ["\xE9\x88\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x6D"],

        ["\xC6\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x88"],
        ["\xE5\xA5\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x79"],

        ["\xC6\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xA3"],
        ["\xE9\x82\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x57"],

        ["\xC6\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x85"],
        ["\xE5\x86\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x59"],

        ["\xC6\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x8D"],
        ["\xE4\xB9\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x62"],

        ["\xC6\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xAA"],
        ["\xE5\x87\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x63"],

        ["\xC6\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x99"],
        ["\xE8\x96\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x64"],

        ["\xC6\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x8E"],
        ["\xE8\xAC\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x65"],

        ["\xC6\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x98"],
        ["\xE7\x81\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x66"],

        ["\xC6\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xBA"],
        ["\xE6\x8D\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x67"],

        ["\xC6\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x8B"],
        ["\xE9\x8D\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x68"],

        ["\xC6\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA2"],
        ["\xE6\xA5\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x69"],

        ["\xC6\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xB4"],
        ["\xE9\xA6\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x70"],

        ["\xC6\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x84"],
        ["\xE7\xB8\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x71"],

        ["\xC6\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB7"],
        ["\xE7\x95\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x72"],

        ["\xC6\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x97"],
        ["\xE5\x8D\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x73"],

        ["\xC6\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA0"],
        ["\xE6\xA5\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x74"],

        ["\xC6\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x9F"],
        ["\xE8\xBB\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x75"],

        ["\xC6\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xA3"],
        ["\xE9\x9B\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x76"],

        ["\xC6\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9D"],
        ["\xE6\xB1\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x77"],

        ["\xC6\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8C"],
        ["\xE4\xBA\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x78"],

        ["\xC6\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBC"],
        ["\xE5\xB0\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x80"],

        ["\xC6\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x90"],
        ["\xE5\xBC\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x8B"],

        ["\x72\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA9"],
        ["\xE8\xBF\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x73"],

        ["\xC6\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x82"],
        ["\xE5\x8C\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x9C"],

        ["\xC6\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x91"],
        ["\xE8\xB3\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xA0"],

        ["\xC6\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x89"],
        ["\xE8\x82\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],

        ["\xC6\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xB9"],
        ["\xE8\x99\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xB0"],

        ["\xC6\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBF"],
        ["\xE5\xBB\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xC0"],

        ["\xC6\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA5"],
        ["\xE6\x97\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x6A"],

        ["\xC6\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xB3"],
        ["\xE4\xB9\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],

        ["\xC6\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA5"],
        ["\xE5\x85\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\xA1"],

        ["\xC7\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x82"],
        ["\xE5\xA6\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x4F"],

        ["\xC7\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBF"],
        ["\xE5\xB0\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x7F"],

        ["\xC7\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xAE"],
        ["\xE9\x9F\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x7B"],

        ["\xC7\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xBB"],
        ["\xE4\xBB\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],

        ["\xC7\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x8A"],
        ["\xE5\xA6\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x6C"],

        ["\xC7\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x8D"],
        ["\xE5\xBF\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x50"],

        ["\xC7\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x8D"],
        ["\xE8\xAA\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x7D"],

        ["\xC7\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xA1"],
        ["\xE6\xBF\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x4D"],

        ["\xC7\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB0"],
        ["\xE7\xA6\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x5D"],

        ["\xC7\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA2"],
        ["\xE7\xA5\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x5C"],

        ["\xC7\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA7"],
        ["\xE5\xAF\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x4E"],

        ["\xC7\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB1"],
        ["\xE8\x91\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x6B"],

        ["\xC7\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAB"],
        ["\xE7\x8C\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x60"],

        ["\xC7\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xB1"],
        ["\xE7\x86\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x4B"],

        ["\xC7\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB4"],
        ["\xE5\xB9\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x61"],

        ["\xC7\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB5"],
        ["\xE5\xBF\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF0"],

        ["\xC7\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xBB"],
        ["\xE6\x8D\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],

        ["\xC7\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x9A"],
        ["\xE6\x92\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],

        ["\xC7\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x83"],
        ["\xE7\x87\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF3"],

        ["\xC7\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x98"],
        ["\xE7\xB2\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF4"],

        ["\xC7\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x83"],
        ["\xE4\xB9\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],

        ["\xC7\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBC"],
        ["\xE5\xBB\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF6"],

        ["\xC7\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x8B"],
        ["\xE4\xB9\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],

        ["\xC7\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x9C"],
        ["\xE5\x9F\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],

        ["\xC7\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA2"],
        ["\xE5\x9A\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xF9"],

        ["\xC7\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA9"],
        ["\xE6\x82\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x7A"],

        ["\xC7\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x83"],
        ["\xE6\xBF\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x5E"],

        ["\xC7\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x8D"],
        ["\xE7\xB4\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x4C"],

        ["\xC7\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xBD"],
        ["\xE8\x83\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x7E"],

        ["\xC7\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xB3"],
        ["\xE8\x84\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x6E"],

        ["\xC7\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBF"],
        ["\xE8\x86\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x6F"],

        ["\xC7\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB2"],
        ["\xE8\xBE\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x7C"],

        ["\xC7\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x97"],
        ["\xE8\xA6\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC1"],

        ["\xC7\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xA4"],
        ["\xE8\x9A\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC2"],

        ["\xC7\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB4"],
        ["\xE5\xB7\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC3"],

        ["\xC7\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x8A"],
        ["\xE6\x8A\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],

        ["\xC7\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xAD"],
        ["\xE6\x92\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC5"],

        ["\xC7\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x87"],
        ["\xE8\xA6\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC6"],

        ["\xC7\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB7"],
        ["\xE6\x9D\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],

        ["\xC7\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA2"],
        ["\xE6\xB3\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC8"],

        ["\xC7\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBE"],
        ["\xE6\xB4\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],

        ["\xC7\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB6"],
        ["\xE7\x90\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],

        ["\xC7\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xB4"],
        ["\xE7\xA0\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],

        ["\xC7\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x86"],
        ["\xE5\xA9\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD3"],

        ["\xC7\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB5"],
        ["\xE7\xBD\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD4"],

        ["\xC7\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAD"],
        ["\xE8\x8A\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD5"],

        ["\xC7\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xAC"],
        ["\xE9\xA6\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],

        ["\xC7\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB3"],
        ["\xE4\xBF\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],

        ["\xC7\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x83"],
        ["\xE5\xBB\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD8"],

        ["\xC7\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x9D"],
        ["\xE6\x8B\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD9"],

        ["\xC7\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x92"],
        ["\xE6\x8E\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xE2"],

        ["\xC7\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x97"],
        ["\xE6\x95\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xE3"],

        ["\xC7\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xAF"],
        ["\xE6\x9D\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xE4"],

        ["\xC7\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x83"],
        ["\xE7\x9B\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],

        ["\xC7\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x8C"],
        ["\xE7\x89\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xE6"],

        ["\xC7\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x8C"],
        ["\xE8\x83\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xE7"],

        ["\xC7\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xBA"],
        ["\xE8\x82\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],

        ["\xC7\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xA9"],
        ["\xE8\xBC\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xE9"],

        ["\xC7\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8D"],
        ["\xE9\x85\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x4A"],

        ["\xC7\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x8D"],
        ["\xE5\x80\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x5B"],

        ["\xC7\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB9"],
        ["\xE5\x9F\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x5A"],

        ["\xC7\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x92"],
        ["\xE5\xAA\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x5F"],

        ["\xC7\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x85"],
        ["\xE6\xA2\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x6D"],

        ["\xC7\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB3"],
        ["\xE6\xA5\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x79"],

        ["\xC7\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA4"],
        ["\xE7\x85\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x57"],

        ["\xC7\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xBD"],
        ["\xE7\x8B\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x59"],

        ["\xC7\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB7"],
        ["\xE8\xB2\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x62"],

        ["\xC7\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB2"],
        ["\xE5\xA3\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x63"],

        ["\xC7\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA0"],
        ["\xE8\xB3\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x64"],

        ["\xC7\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xAA"],
        ["\xE9\x99\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x65"],

        ["\xC7\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x99"],
        ["\xE9\x80\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x66"],

        ["\x69\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xBF"],
        ["\xE8\x9D\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xE0"],

        ["\xC7\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA4"],
        ["\xE7\xA7\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x68"],

        ["\xC7\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA7"],
        ["\xE7\x9F\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x69"],

        ["\xC7\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xA9"],
        ["\xE8\x90\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x70"],

        ["\xC7\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xAF"],
        ["\xE4\xBC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x71"],

        ["\xC7\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA5"],
        ["\xE5\x89\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x72"],

        ["\xC7\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x9A"],
        ["\xE5\x8D\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x73"],

        ["\xC7\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x8D"],
        ["\xE6\x8B\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x74"],

        ["\xC7\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x8F"],
        ["\xE6\x9F\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x75"],

        ["\xC7\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x8A"],
        ["\xE6\xB3\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x76"],

        ["\xC7\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBD"],
        ["\xE7\x99\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x77"],

        ["\xC7\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x94"],
        ["\xE7\xAE\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x78"],

        ["\xC7\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x95"],
        ["\xE7\xB2\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x80"],

        ["\xC7\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB6"],
        ["\xE8\x88\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x8B"],

        ["\xC7\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x84"],
        ["\xE8\x96\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x9B"],

        ["\xC7\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAB"],
        ["\xE8\xBF\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x9C"],

        ["\xC7\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x9D"],
        ["\xE6\x9B\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xA0"],

        ["\xC7\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xA0"],
        ["\xE6\xBC\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xAB"],

        ["\xC7\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x86"],
        ["\xE7\x88\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xB0"],

        ["\xC7\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x9B"],
        ["\xE7\xB8\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xC0"],

        ["\xC7\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xAB"],
        ["\xE8\x8E\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x6A"],

        ["\xC7\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x81"],
        ["\xE9\xA7\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xD0"],

        ["\xC7\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA6"],
        ["\xE9\xBA\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\xA1"],

        ["\xC8\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xBD"],
        ["\xE5\x87\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x4F"],

        ["\xC8\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xB1"],
        ["\xE7\xAE\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x7F"],

        ["\xC8\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xB2"],
        ["\xE7\xA1\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x7B"],

        ["\xC8\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xB8"],
        ["\xE7\xAE\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],

        ["\xC8\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x87"],
        ["\xE8\x82\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x6C"],

        ["\xC8\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x88"],
        ["\xE7\xAD\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x50"],

        ["\xC8\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xA8"],
        ["\xE6\xAB\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x7D"],

        ["\xC8\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xA1"],
        ["\xE5\xB9\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x4D"],

        ["\xC8\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x8C"],
        ["\xE8\x82\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x5D"],

        ["\xC8\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x91"],
        ["\xE7\x95\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x5C"],

        ["\xC8\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA0"],
        ["\xE7\x95\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x4E"],

        ["\xC8\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAB"],
        ["\xE5\x85\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x6B"],

        ["\xC8\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA2"],
        ["\xE9\x89\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x60"],

        ["\xC8\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x8C"],
        ["\xE6\xBA\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x4B"],

        ["\xC8\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBA"],
        ["\xE7\x99\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x61"],

        ["\xC8\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x97"],
        ["\xE9\x86\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],

        ["\xC8\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAA"],
        ["\xE9\xAB\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],

        ["\xC8\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x90"],
        ["\xE4\xBC\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF2"],

        ["\xC8\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB0"],
        ["\xE7\xBD\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF3"],

        ["\xC8\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x9C"],
        ["\xE6\x8A\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF4"],

        ["\xC8\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8F"],
        ["\xE7\xAD\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF5"],

        ["\xC8\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA5"],
        ["\xE9\x96\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],

        ["\xC8\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xA9"],
        ["\xE9\xB3\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],

        ["\xC8\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xBA"],
        ["\xE5\x99\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],

        ["\xC8\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x99"],
        ["\xE5\xA1\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],

        ["\xC8\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xA4"],
        ["\xE8\x9B\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x7A"],

        ["\xC8\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xBC"],
        ["\xE9\x9A\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x5E"],

        ["\xC8\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB4"],
        ["\xE4\xBC\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x4C"],

        ["\xC8\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xA4"],
        ["\xE5\x88\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x7E"],

        ["\xC8\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x8A"],
        ["\xE5\x8D\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x6E"],

        ["\xC8\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8D"],
        ["\xE5\x8F\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x6F"],

        ["\xC8\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x9B"],
        ["\xE5\x8F\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x7C"],

        ["\xC8\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x86"],
        ["\xE5\xB8\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC1"],

        ["\xC8\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xAC"],
        ["\xE6\x90\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC2"],

        ["\xC8\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x91"],
        ["\xE6\x96\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC3"],

        ["\xC8\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xBF"],
        ["\xE6\x9D\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC4"],

        ["\xC8\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xBE"],
        ["\xE6\xB0\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC5"],

        ["\xC8\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x8E"],
        ["\xE6\xB1\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],

        ["\xC8\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x88"],
        ["\xE7\x89\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC7"],

        ["\xC8\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xAF"],
        ["\xE7\x8A\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],

        ["\xC8\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xAD"],
        ["\xE7\x8F\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],

        ["\xC8\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x94"],
        ["\xE7\x95\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD1"],

        ["\xC8\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x81"],
        ["\xE7\xB9\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD2"],

        ["\xC8\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xAC"],
        ["\xE8\x88\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD3"],

        ["\xC8\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA9"],
        ["\xE8\x97\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],

        ["\xC8\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA9"],
        ["\xE8\xB2\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD5"],

        ["\xC8\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x84"],
        ["\xE7\xAF\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD6"],

        ["\xC8\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x86"],
        ["\xE9\x87\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD7"],

        ["\xC8\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA9"],
        ["\xE7\x85\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD8"],

        ["\xC8\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x92"],
        ["\xE9\xA0\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],

        ["\xC8\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xAF"],
        ["\xE9\xA3\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xE2"],

        ["\xC8\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBD"],
        ["\xE6\x8C\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xE3"],

        ["\xC8\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA9"],
        ["\xE6\x99\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xE4"],

        ["\xC8\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAA"],
        ["\xE7\x95\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],

        ["\xC8\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA4"],
        ["\xE7\x9B\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xE6"],

        ["\xC8\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x90"],
        ["\xE7\xA3\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xE7"],

        ["\xC8\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x83"],
        ["\xE8\x95\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],

        ["\xC8\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xAE"],
        ["\xE8\x9B\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],

        ["\xC8\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xAA"],
        ["\xE5\x8C\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x4A"],

        ["\xC8\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x91"],
        ["\xE5\x8D\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x5B"],

        ["\xC8\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA6"],
        ["\xE5\x90\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x5A"],

        ["\xC8\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x83"],
        ["\xE5\xA6\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x5F"],

        ["\xC8\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x87"],
        ["\xE5\xBA\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x6D"],

        ["\xC8\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xBC"],
        ["\xE5\xBD\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x79"],

        ["\xC8\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB2"],
        ["\xE6\x82\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x57"],

        ["\xC8\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x89"],
        ["\xE6\x89\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x59"],

        ["\xC8\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xB9"],
        ["\xE6\x89\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x62"],

        ["\xC8\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xAB"],
        ["\xE6\x8A\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x63"],

        ["\xC8\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x90"],
        ["\xE6\x96\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x64"],

        ["\xC8\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x94"],
        ["\xE6\xAF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x65"],

        ["\xC8\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x8C"],
        ["\xE6\xB3\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x66"],

        ["\xC8\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB2"],
        ["\xE7\x96\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x67"],

        ["\xC8\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xAE"],
        ["\xE7\x9A\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x68"],

        ["\xC8\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x91"],
        ["\xE7\xA2\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x69"],

        ["\xC8\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x98"],
        ["\xE7\xA7\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x70"],

        ["\xC8\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x8B"],
        ["\xE7\xB7\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x71"],

        ["\xC8\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB7"],
        ["\xE7\xBD\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x72"],

        ["\xC8\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA5"],
        ["\xE8\x82\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x73"],

        ["\xC8\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xAB"],
        ["\xE8\xA2\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x74"],

        ["\xC8\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xB9"],
        ["\xE8\xAA\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x75"],

        ["\xC8\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xBB"],
        ["\xE8\xB2\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x76"],

        ["\xC8\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xBF"],
        ["\xE9\x81\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x77"],

        ["\xC8\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x9E"],
        ["\xE9\x9D\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x78"],

        ["\xC8\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x9B"],
        ["\xE9\xA3\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x80"],

        ["\xC8\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x8B"],
        ["\xE6\xA8\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x8B"],

        ["\xC8\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB8"],
        ["\xE7\xB0\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x9B"],

        ["\xC8\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x99"],
        ["\xE5\x82\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x9C"],

        ["\xC8\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBE"],
        ["\xE5\xB0\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xA0"],

        ["\xC8\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xAE"],
        ["\xE5\xBE\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xAB"],

        ["\xC8\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x87"],
        ["\xE6\x9E\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],

        ["\xC8\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x98"],
        ["\xE6\xAF\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xC0"],

        ["\xC8\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB5"],
        ["\xE7\x90\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\x6A"],

        ["\xC8\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x89"],
        ["\xE7\x9C\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xD0"],

        ["\xC8\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x8E"],
        ["\xE7\xBE\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC8\xA1"],

        ["\xC9\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xBB"],
        ["\xE9\xBC\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x4F"],

        ["\xC9\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x8A"],
        ["\xE6\x9F\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x7F"],

        ["\xC9\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x97"],
        ["\xE7\xA8\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x7B"],

        ["\xC9\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB9"],
        ["\xE5\x8C\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xE0"],

        ["\xC9\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8B"],
        ["\xE7\x96\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x6C"],

        ["\xC9\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAD"],
        ["\xE9\xAB\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x50"],

        ["\xC9\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA6"],
        ["\xE5\xBD\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x7D"],

        ["\xC9\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x9D"],
        ["\xE8\x86\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x4D"],

        ["\xC9\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB1"],
        ["\xE8\x8F\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x5D"],

        ["\xC9\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x98"],
        ["\xE8\x82\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x5C"],

        ["\xC9\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xBC"],
        ["\xE5\xBC\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x4E"],

        ["\xC9\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x85"],
        ["\xE5\xBF\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x6B"],

        ["\xC9\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA2"],
        ["\xE7\x95\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x60"],

        ["\xC9\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x86"],
        ["\xE7\xAD\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x4B"],

        ["\xC9\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xBC"],
        ["\xE9\x80\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x61"],

        ["\x4A\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xA7"],
        ["\xE6\xA1\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xE7"],

        ["\xC9\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xAB"],
        ["\xE5\xA7\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF1"],

        ["\xC9\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9B"],
        ["\xE5\xAA\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],

        ["\xC9\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x90"],
        ["\xE7\xB4\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF3"],

        ["\xC9\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBE"],
        ["\xE7\x99\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],

        ["\xC9\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xAC"],
        ["\xE8\xAC\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF5"],

        ["\xC9\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB5"],
        ["\xE4\xBF\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],

        ["\xC9\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xAA"],
        ["\xE5\xBD\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],

        ["\xC9\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x99"],
        ["\xE6\xA8\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],

        ["\xC9\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB7"],
        ["\xE6\xB0\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],

        ["\xC9\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x82"],
        ["\xE6\xBC\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x7A"],

        ["\xC9\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA2"],
        ["\xE7\x93\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x5E"],

        ["\xC9\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA8"],
        ["\xE7\xA5\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x4C"],

        ["\xC9\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA8"],
        ["\xE8\xA1\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x7E"],

        ["\xC9\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x95"],
        ["\xE8\xA9\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x6E"],

        ["\xC9\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xB9"],
        ["\xE8\xB1\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x6F"],

        ["\xC9\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x9F"],
        ["\xE5\xBB\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x7C"],

        ["\xC9\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x8F"],
        ["\xE6\x8F\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC1"],

        ["\xC9\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x85"],
        ["\xE7\x97\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],

        ["\xC9\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x92"],
        ["\xE7\xA7\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],

        ["\xC9\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x97"],
        ["\xE8\x8B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],

        ["\xC9\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA8"],
        ["\xE9\x8C\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],

        ["\xC9\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xB2"],
        ["\xE9\x8B\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],

        ["\xC9\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x9C"],
        ["\xE8\x92\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC7"],

        ["\xC9\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xAD"],
        ["\xE8\x9B\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],

        ["\xC9\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xAD"],
        ["\xE9\xB0\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC9"],

        ["\xC9\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x81"],
        ["\xE5\x93\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],

        ["\xC9\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xAC"],
        ["\xE5\xBD\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD2"],

        ["\xC9\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x8C"],
        ["\xE6\x96\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD3"],

        ["\xC9\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x9C"],
        ["\xE6\xB5\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD4"],

        ["\xC9\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x95"],
        ["\xE7\x80\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],

        ["\xC9\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA7"],
        ["\xE8\xB2\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD6"],

        ["\xC9\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x93"],
        ["\xE8\xB3\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],

        ["\xC9\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xBB"],
        ["\xE9\xA0\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],

        ["\xC9\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x8F"],
        ["\xE6\x95\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],

        ["\xC9\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB6"],
        ["\xE7\x93\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xE2"],

        ["\xC9\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8D"],
        ["\xE4\xB8\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],

        ["\xC9\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x98"],
        ["\xE4\xBB\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xE4"],

        ["\xC9\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xA0"],
        ["\xE5\x9F\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xE5"],

        ["\xC9\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAB"],
        ["\xE5\xA4\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xE6"],

        ["\xC9\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xA6"],
        ["\xE5\xA9\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],

        ["\xC9\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x8C"],
        ["\xE5\xAF\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],

        ["\xC9\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA8"],
        ["\xE5\x86\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xE9"],

        ["\xC9\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x83"],
        ["\xE5\xB8\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x4A"],

        ["\xC9\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x9C"],
        ["\xE5\xBA\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x5B"],

        ["\xC9\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x96"],
        ["\xE6\x80\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x5A"],

        ["\xC9\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xB6"],
        ["\xE6\x89\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x5F"],

        ["\xC9\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB7"],
        ["\xE6\x95\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x6D"],

        ["\xC9\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xA7"],
        ["\xE6\x96\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x79"],

        ["\xC9\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAE"],
        ["\xE6\x99\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x57"],

        ["\xC9\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xAE"],
        ["\xE6\xB5\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x59"],

        ["\xC9\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB6"],
        ["\xE7\x88\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x62"],

        ["\xC9\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA6"],
        ["\xE7\xAC\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x63"],

        ["\xC9\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x90"],
        ["\xE8\x85\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x64"],

        ["\xC9\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x9A"],
        ["\xE8\x86\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x65"],

        ["\xC9\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x99"],
        ["\xE8\x8A\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x66"],

        ["\xC9\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9C"],
        ["\xE8\xAD\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x67"],

        ["\xC9\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA0"],
        ["\xE8\xB2\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x68"],

        ["\xC9\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA6"],
        ["\xE8\xB3\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x69"],

        ["\xC9\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB4"],
        ["\xE8\xB5\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x70"],

        ["\xC9\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\x9C"],
        ["\xE9\x98\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x71"],

        ["\xC9\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x84"],
        ["\xE9\x99\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x72"],

        ["\xC9\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xAE"],
        ["\xE4\xBE\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x73"],

        ["\xC9\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xAB"],
        ["\xE6\x92\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x74"],

        ["\xC9\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA6"],
        ["\xE6\xAD\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x75"],

        ["\xC9\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x9E"],
        ["\xE8\x88\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x76"],

        ["\xC9\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA1"],
        ["\xE8\x91\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x77"],

        ["\xC9\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xAA"],
        ["\xE8\x95\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x78"],

        ["\xC9\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xA8"],
        ["\xE9\x83\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x80"],

        ["\xC9\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x81"],
        ["\xE5\xB0\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x8B"],

        ["\xC9\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x93"],
        ["\xE6\xA5\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x9B"],

        ["\xC9\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xA8"],
        ["\xE9\xA2\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x9C"],

        ["\xC9\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xBA"],
        ["\xE8\x91\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xA0"],

        ["\xC9\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x97"],
        ["\xE8\x95\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],

        ["\xC9\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8F"],
        ["\xE4\xBC\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],

        ["\xC9\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xAF"],
        ["\xE5\x89\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],

        ["\xC9\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA9"],
        ["\xE5\xBE\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\x6A"],

        ["\xC9\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x85"],
        ["\xE5\xB9\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xD0"],

        ["\xC9\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x8D"],
        ["\xE6\x9C\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xA1"],

        ["\xD1\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x8F"],
        ["\xE7\xA6\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x4F"],

        ["\xD1\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB9"],
        ["\xE8\x85\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x7F"],

        ["\xD1\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x87"],
        ["\xE8\xA4\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x7B"],

        ["\xD1\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x86"],
        ["\xE8\xA6\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xE0"],

        ["\xD1\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB5"],
        ["\xE6\xB7\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x6C"],

        ["\xD1\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x97"],
        ["\xE5\xBC\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x50"],

        ["\xD1\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x95"],
        ["\xE6\x89\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x7D"],

        ["\xD1\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xB8"],
        ["\xE6\xB2\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x4D"],

        ["\xD1\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8F"],
        ["\xE4\xBB\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x5D"],

        ["\xD1\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA9"],
        ["\xE7\x89\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x5C"],

        ["\xD1\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x92"],
        ["\xE9\xAE\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x4E"],

        ["\xD1\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x86"],
        ["\xE5\x88\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x6B"],

        ["\xD1\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xBB"],
        ["\xE5\x90\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x60"],

        ["\xD1\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB4"],
        ["\xE5\x99\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x4B"],

        ["\xD1\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB3"],
        ["\xE5\xA2\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x61"],

        ["\xD1\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA4"],
        ["\xE6\x86\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],

        ["\xD1\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xAE"],
        ["\xE6\x89\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF1"],

        ["\xD1\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x9A"],
        ["\xE7\x84\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF2"],

        ["\xD1\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xAE"],
        ["\xE5\xA5\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF3"],

        ["\xD1\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x89"],
        ["\xE7\xB2\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],

        ["\xD1\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x9E"],
        ["\xE7\xB3\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF5"],

        ["\xD1\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9B"],
        ["\xE7\xB4\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF6"],

        ["\xD1\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB0"],
        ["\xE9\x9B\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],

        ["\xD1\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x87"],
        ["\xE6\x96\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF8"],

        ["\xD1\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x9E"],
        ["\xE8\x81\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],

        ["\xD1\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x99"],
        ["\xE4\xB8\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x7A"],

        ["\xD1\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB5"],
        ["\xE4\xBD\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x5E"],

        ["\xD1\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB5"],
        ["\xE5\x85\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x4C"],

        ["\xD1\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x80"],
        ["\xE5\xA1\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x7E"],

        ["\xD1\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xA3"],
        ["\xE5\xB9\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x6E"],

        ["\xD1\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB3"],
        ["\xE5\xB9\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x6F"],

        ["\xD1\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8A"],
        ["\xE5\xBC\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x7C"],

        ["\xD1\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x84"],
        ["\xE6\x9F\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],

        ["\xD1\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xA6"],
        ["\xE4\xB8\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC2"],

        ["\xD1\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xBD"],
        ["\xE8\x94\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],

        ["\xD1\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x89"],
        ["\xE9\x96\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],

        ["\xD1\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9B"],
        ["\xE9\x99\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],

        ["\xD1\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xB3"],
        ["\xE7\xB1\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],

        ["\xD1\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x81"],
        ["\xE9\xA0\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC7"],

        ["\xD1\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xBB"],
        ["\xE5\x83\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC8"],

        ["\xD1\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x81"],
        ["\xE5\xA3\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC9"],

        ["\xD1\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x96"],
        ["\xE7\x99\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],

        ["\xD1\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xA7"],
        ["\xE7\xA2\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],

        ["\xD1\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xA5"],
        ["\xE5\x88\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],

        ["\xD1\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA5"],
        ["\xE7\x9E\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],

        ["\xD1\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x91"],
        ["\xE8\x94\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],

        ["\xD1\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x86"],
        ["\xE7\xAE\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],

        ["\xD1\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x8F"],
        ["\xE5\x81\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD7"],

        ["\xD1\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x89"],
        ["\xE5\xA4\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD8"],

        ["\xD1\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x87"],
        ["\xE7\x89\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],

        ["\xD1\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x87"],
        ["\xE7\xAF\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],

        ["\xD1\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA8"],
        ["\xE7\xB7\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xE3"],

        ["\xD1\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xBA"],
        ["\xE8\xBE\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],

        ["\xD1\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x94"],
        ["\xE8\xBF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xE5"],

        ["\xD1\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8D"],
        ["\xE9\x81\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],

        ["\xD1\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xBF"],
        ["\xE4\xBE\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xE7"],

        ["\xD1\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x89"],
        ["\xE5\x8B\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xE8"],

        ["\xD1\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA9"],
        ["\xE5\xA8\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xE9"],

        ["\xD1\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x81"],
        ["\xE5\xBC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x4A"],

        ["\xD1\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xAD"],
        ["\xE9\x9E\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x5B"],

        ["\xD1\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x9D"],
        ["\xE4\xBF\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x5A"],

        ["\xD1\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x97"],
        ["\xE8\x88\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x5F"],

        ["\xD1\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xAA"],
        ["\xE9\x8B\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x6D"],

        ["\xD1\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x83"],
        ["\xE5\x9C\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x79"],

        ["\xD1\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x95"],
        ["\xE6\x8D\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x57"],

        ["\xD1\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA9"],
        ["\xE6\xAD\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x59"],

        ["\xD1\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xAB"],
        ["\xE7\x94\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x62"],

        ["\xD1\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x9C"],
        ["\xE8\xA3\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x63"],

        ["\xD1\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x94"],
        ["\xE8\xBC\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x64"],

        ["\xD1\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x82"],
        ["\xE7\xA9\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x65"],

        ["\xD1\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x9F"],
        ["\xE5\x8B\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x66"],

        ["\xD1\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x93"],
        ["\xE5\xA2\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x67"],

        ["\xD1\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x95"],
        ["\xE6\x85\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x68"],

        ["\xD1\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x8A"],
        ["\xE6\x88\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x69"],

        ["\xD1\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xAE"],
        ["\xE6\x9A\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x70"],

        ["\xD1\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x8D"],
        ["\xE6\xAF\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x71"],

        ["\xD1\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xBF"],
        ["\xE7\xB0\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x72"],

        ["\xD1\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xA9"],
        ["\xE8\x8F\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x73"],

        ["\xD1\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA3"],
        ["\xE5\x80\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x74"],

        ["\xD1\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB8"],
        ["\xE4\xBF\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x75"],

        ["\xD1\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x85"],
        ["\xE5\x8C\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x76"],

        ["\xD1\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x86"],
        ["\xE5\x91\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x77"],

        ["\xD1\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB1"],
        ["\xE5\xA0\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x78"],

        ["\xD1\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x89"],
        ["\xE5\xA5\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x80"],

        ["\xD1\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9D"],
        ["\xE5\xAE\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x8B"],

        ["\xD1\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xB0"],
        ["\xE5\xB3\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x9B"],

        ["\xD1\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xAF"],
        ["\xE5\xB3\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x9C"],

        ["\xD1\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA9"],
        ["\xE5\xB4\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xA0"],

        ["\xD1\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x96"],
        ["\xE5\xBA\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xAB"],

        ["\xD1\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xB1"],
        ["\xE6\x8A\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],

        ["\xD1\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xA7"],
        ["\xE6\x8D\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xC0"],

        ["\xD1\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xBE"],
        ["\xE6\x94\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\x6A"],

        ["\xD1\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB9"],
        ["\xE6\x96\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xD0"],

        ["\xD1\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x8B"],
        ["\xE6\x9C\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD1\xA1"],

        ["\xD2\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x95"],
        ["\xE6\xB3\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x4F"],

        ["\xD2\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA1"],
        ["\xE6\xB3\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x7F"],

        ["\xD2\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xB9"],
        ["\xE7\x83\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x7B"],

        ["\xD2\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xB2"],
        ["\xE7\xA0\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xE0"],

        ["\xD2\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xAB"],
        ["\xE7\xB8\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x6C"],

        ["\xD2\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x9E"],
        ["\xE8\x83\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x50"],

        ["\xD2\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB3"],
        ["\xE8\x8A\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x7D"],

        ["\xD2\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8C"],
        ["\xE8\x90\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x4D"],

        ["\xD2\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xAC"],
        ["\xE8\x93\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x5D"],

        ["\xD2\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x82"],
        ["\xE8\x9C\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x5C"],

        ["\xD2\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x92"],
        ["\xE8\xA4\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x4E"],

        ["\xD2\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xAA"],
        ["\xE8\xA8\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x6B"],

        ["\xD2\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x8A"],
        ["\xE8\xB1\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x60"],

        ["\xD2\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xA6"],
        ["\xE9\x82\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x4B"],

        ["\xD2\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x92"],
        ["\xE9\x8B\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x61"],

        ["\xD2\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xBD"],
        ["\xE9\xA3\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF0"],

        ["\xD2\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB3"],
        ["\xE9\xB3\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF1"],

        ["\xD2\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xAC"],
        ["\xE9\xB5\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],

        ["\xD2\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x8F"],
        ["\xE4\xB9\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],

        ["\xD2\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA1"],
        ["\xE4\xBA\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],

        ["\xD2\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x8D"],
        ["\xE5\x82\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF5"],

        ["\xD2\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x96"],
        ["\xE5\x89\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF6"],

        ["\xD2\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8A"],
        ["\xE5\x9D\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],

        ["\xD2\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xA8"],
        ["\xE5\xA6\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],

        ["\xD2\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xBD"],
        ["\xE5\xB8\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xF9"],

        ["\xD2\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x98"],
        ["\xE5\xBF\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x7A"],

        ["\xD2\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x99"],
        ["\xE5\xBF\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x5E"],

        ["\xD2\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xBF"],
        ["\xE6\x88\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x4C"],

        ["\xD2\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB4"],
        ["\xE6\x9A\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x7E"],

        ["\xD2\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x9B"],
        ["\xE6\x9C\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x6E"],

        ["\xD2\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x90"],
        ["\xE6\x9F\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x6F"],

        ["\xD2\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x92"],
        ["\xE6\xA3\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x7C"],

        ["\xD2\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x92"],
        ["\xE5\x86\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC1"],

        ["\xD2\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xA1"],
        ["\xE7\xB4\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC2"],

        ["\xD2\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xAA"],
        ["\xE8\x82\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],

        ["\xD2\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA8"],
        ["\xE8\x86\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC4"],

        ["\xD2\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x80"],
        ["\xE8\xAC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],

        ["\xD2\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x8C"],
        ["\xE8\xB2\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC6"],

        ["\xD2\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xBF"],
        ["\xE8\xB2\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC7"],

        ["\xD2\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xBE"],
        ["\xE9\x89\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC8"],

        ["\xD2\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xB2"],
        ["\xE9\x98\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC9"],

        ["\xD2\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA0"],
        ["\xE5\x90\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],

        ["\xD2\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xAC"],
        ["\xE9\xA0\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD2"],

        ["\xD2\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x97"],
        ["\xE5\x8C\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],

        ["\xD2\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x95"],
        ["\xE5\x83\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD4"],

        ["\xD2\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x9C"],
        ["\xE5\x8D\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD5"],

        ["\xD2\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xA8"],
        ["\xE5\xA2\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD6"],

        ["\xD2\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xB2"],
        ["\xE6\x92\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD7"],

        ["\xD2\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB4"],
        ["\xE6\x9C\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],

        ["\xD2\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA7"],
        ["\xE7\x89\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD9"],

        ["\xD2\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA6"],
        ["\xE7\x9D\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xE2"],

        ["\xD2\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x86"],
        ["\xE7\xA9\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xE3"],

        ["\xD2\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA6"],
        ["\xE9\x87\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xE4"],

        ["\xD2\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x83"],
        ["\xE5\x8B\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xE5"],

        ["\xD2\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xA1"],
        ["\xE6\xB2\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xE6"],

        ["\xD2\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x86"],
        ["\xE6\xAE\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],

        ["\xD2\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x80"],
        ["\xE5\xA0\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],

        ["\xD2\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x8C"],
        ["\xE5\xB9\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xE9"],

        ["\xD2\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x94"],
        ["\xE5\xA5\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x4A"],

        ["\xD2\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAC"],
        ["\xE6\x9C\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x5B"],

        ["\xD2\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xBB"],
        ["\xE7\xBF\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x5A"],

        ["\xD2\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA1"],
        ["\xE5\x87\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x5F"],

        ["\xD2\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x86"],
        ["\xE7\x9B\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x6D"],

        ["\xD2\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xA9"],
        ["\xE6\x91\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x79"],

        ["\xD2\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA8"],
        ["\xE7\xA3\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x57"],

        ["\xD2\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x94"],
        ["\xE9\xAD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x59"],

        ["\xD2\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBB"],
        ["\xE9\xBA\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x62"],

        ["\xD2\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x8B"],
        ["\xE5\x9F\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x63"],

        ["\xD2\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xB9"],
        ["\xE5\xA6\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x64"],

        ["\xD2\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA7"],
        ["\xE6\x98\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x65"],

        ["\xD2\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x9A"],
        ["\xE6\x9E\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x66"],

        ["\xD2\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x8E"],
        ["\xE6\xAF\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x67"],

        ["\xD2\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA9"],
        ["\xE5\x93\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x68"],

        ["\x90\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x99"],
        ["\xE6\xA7\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xA3"],

        ["\xD2\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x95"],
        ["\xE5\xB9\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x70"],

        ["\xD2\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x9C"],
        ["\xE8\x86\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x71"],

        ["\xD2\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x95"],
        ["\xE6\x9E\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x72"],

        ["\xD2\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAA"],
        ["\xE9\xAE\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x73"],

        ["\xD2\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xBE"],
        ["\xE6\x9F\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x74"],

        ["\xD2\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x92"],
        ["\xE9\xB1\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x75"],

        ["\xD2\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x9D"],
        ["\xE6\xA1\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x76"],

        ["\xD2\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA6"],
        ["\xE4\xBA\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x77"],

        ["\xD2\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA3"],
        ["\xE4\xBF\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x78"],

        ["\xD2\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x88"],
        ["\xE5\x8F\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x80"],

        ["\xD2\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xB9"],
        ["\xE6\x8A\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x8B"],

        ["\xD2\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAB"],
        ["\xE6\x9C\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x9B"],

        ["\xD2\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xAB"],
        ["\xE6\xB2\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x9C"],

        ["\xD2\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x84"],
        ["\xE8\xBF\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xA0"],

        ["\xD7\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xAD"],
        ["\xE4\xBE\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xE5"],

        ["\xD2\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xAD"],
        ["\xE7\xB9\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xB0"],

        ["\xD2\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBF"],
        ["\xE9\xBA\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xC0"],

        ["\xD2\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x87"],
        ["\xE4\xB8\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x6A"],

        ["\xD2\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA2"],
        ["\xE6\x85\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xD0"],

        ["\xD2\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x80"],
        ["\xE6\xBA\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xA1"],

        ["\xD3\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xAB"],
        ["\xE6\xBC\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x4F"],

        ["\xD3\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x93"],
        ["\xE8\x94\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x7F"],

        ["\xD3\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB3"],
        ["\xE5\x91\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x7B"],

        ["\xD3\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAA"],
        ["\xE6\x9C\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xE0"],

        ["\xD3\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x85"],
        ["\xE9\xAD\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x6C"],

        ["\xD3\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB3"],
        ["\xE5\xB7\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x50"],

        ["\xD3\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x95"],
        ["\xE7\xAE\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x7D"],

        ["\xD3\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xAC"],
        ["\xE5\xB2\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x4D"],

        ["\xD3\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x86"],
        ["\xE5\xAF\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x5D"],

        ["\xD3\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x9C"],
        ["\xE8\x9C\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x5C"],

        ["\xD3\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8A"],
        ["\xE6\xB9\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x4E"],

        ["\xD3\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x91"],
        ["\xE8\x93\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x6B"],

        ["\xD3\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x94"],
        ["\xE7\xA8\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x60"],

        ["\xD3\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x88"],
        ["\xE8\x84\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x4B"],

        ["\xD3\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x99"],
        ["\xE5\xA6\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x61"],

        ["\xD3\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x8D"],
        ["\xE7\xB2\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF0"],

        ["\xD3\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x91"],
        ["\xE6\xB0\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF1"],

        ["\xD3\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA0"],
        ["\xE7\x9C\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],

        ["\xD3\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x99"],
        ["\xE5\x8B\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],

        ["\xD3\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA2"],
        ["\xE5\xA4\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF4"],

        ["\xD3\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xA1"],
        ["\xE7\x84\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],

        ["\xD3\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x9F"],
        ["\xE7\x89\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],

        ["\xD3\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9B"],
        ["\xE7\x9F\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF7"],

        ["\xD3\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xA7"],
        ["\xE9\x9C\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF8"],

        ["\xD3\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA1"],
        ["\xE9\xB5\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xF9"],

        ["\xD3\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8B"],
        ["\xE6\xA4\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x7A"],

        ["\xD3\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xBF"],
        ["\xE5\xA9\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x5E"],

        ["\xD3\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x98"],
        ["\xE5\xA8\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x4C"],

        ["\xD3\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA5"],
        ["\xE5\x86\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x7E"],

        ["\xD3\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8D"],
        ["\xE5\x90\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x6E"],

        ["\xD3\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xBD"],
        ["\xE5\x91\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x6F"],

        ["\xD3\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x8E"],
        ["\xE6\x98\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x7C"],

        ["\xD3\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x9F"],
        ["\xE7\x9B\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],

        ["\xD3\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB7"],
        ["\xE8\xBF\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],

        ["\xD3\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x98"],
        ["\xE9\x8A\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC3"],

        ["\xD3\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB4"],
        ["\xE9\xB3\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],

        ["\xD3\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xAA"],
        ["\xE5\xA7\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC5"],

        ["\xD3\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x9D"],
        ["\xE7\x89\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC6"],

        ["\xD3\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x85"],
        ["\xE6\xBB\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC7"],

        ["\xD3\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8D"],
        ["\xE5\x85\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC8"],

        ["\xD3\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x89"],
        ["\xE6\xA3\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],

        ["\xD3\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBF"],
        ["\xE7\xB6\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD1"],

        ["\xD3\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xAC"],
        ["\xE7\xB7\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD2"],

        ["\xD3\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA2"],
        ["\xE9\x9D\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD3"],

        ["\xD3\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBA"],
        ["\xE9\xBA\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],

        ["\xD3\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xB8"],
        ["\xE6\x91\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],

        ["\xD3\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xA1"],
        ["\xE6\xA8\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD6"],

        ["\xD3\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x82"],
        ["\xE8\x8C\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],

        ["\xD3\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x84"],
        ["\xE5\xA6\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],

        ["\xD3\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9F"],
        ["\xE5\xAD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],

        ["\xD3\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x9B"],
        ["\xE6\xAF\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],

        ["\xD3\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x9B"],
        ["\xE7\x8C\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],

        ["\xD3\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xB2"],
        ["\xE7\x9B\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xE4"],

        ["\xD3\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB2"],
        ["\xE7\xB6\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xE5"],

        ["\xD3\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x97"],
        ["\xE8\x80\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xE6"],

        ["\xD3\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x99"],
        ["\xE8\x92\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],

        ["\xD3\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xB2"],
        ["\xE5\x84\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xE8"],

        ["\xD3\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xA8"],
        ["\xE6\x9C\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xE9"],

        ["\xD3\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x99"],
        ["\xE9\xBB\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x4A"],

        ["\xD3\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xAE"],
        ["\xE7\x9B\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x5B"],

        ["\xD3\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA2"],
        ["\xE6\x9D\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x5A"],

        ["\xD3\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xBF"],
        ["\xE5\x8B\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x5F"],

        ["\xD3\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x85"],
        ["\xE9\xA4\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x6D"],

        ["\xD3\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA4"],
        ["\xE5\xB0\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x79"],

        ["\xD3\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xBB"],
        ["\xE6\x88\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x57"],

        ["\xD3\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xBE"],
        ["\xE7\xB1\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x59"],

        ["\xD3\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB0"],
        ["\xE8\xB2\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x62"],

        ["\xD3\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x8F"],
        ["\xE5\x95\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x63"],

        ["\xD3\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB6"],
        ["\xE6\x82\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x64"],

        ["\xD3\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x8B"],
        ["\xE7\xB4\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x65"],

        ["\xD3\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x80"],
        ["\xE9\x96\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x66"],

        ["\xD3\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x81"],
        ["\xE5\x8C\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x67"],

        ["\xD3\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x9F"],
        ["\xE4\xB9\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x68"],

        ["\xD3\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB6"],
        ["\xE5\x86\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x69"],

        ["\xD3\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x9C"],
        ["\xE5\xA4\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x70"],

        ["\xD3\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBA"],
        ["\xE7\x88\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x71"],

        ["\xD3\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB6"],
        ["\xE8\x80\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x72"],

        ["\xD3\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8E"],
        ["\xE9\x87\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x73"],

        ["\xD3\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA5"],
        ["\xE5\xBC\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x74"],

        ["\xD3\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA2"],
        ["\xE7\x9F\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x75"],

        ["\xD3\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x84"],
        ["\xE5\x8E\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x76"],

        ["\xD3\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB9"],
        ["\xE5\xBD\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x77"],

        ["\xD3\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x84"],
        ["\xE7\xB4\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x78"],

        ["\xD3\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAC"],
        ["\xE8\x96\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x80"],

        ["\xD3\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB3"],
        ["\xE8\xA8\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x8B"],

        ["\xD3\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x8D"],
        ["\xE8\xBA\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x9B"],

        ["\xD3\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x96"],
        ["\xE9\x9D\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x9C"],

        ["\xD3\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB3"],
        ["\xE6\x9F\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xA0"],

        ["\x68\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAE"],
        ["\xE8\x96\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x4B"],

        ["\xD3\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x93"],
        ["\xE9\x91\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],

        ["\xD3\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x89"],
        ["\xE6\x84\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],

        ["\xD3\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x88"],
        ["\xE6\x84\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\x6A"],

        ["\xD3\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xB9"],
        ["\xE6\xB2\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xD0"],

        ["\xD3\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x92"],
        ["\xE7\x99\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],

        ["\xD4\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xAD"],
        ["\xE8\xAB\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x4F"],

        ["\xD4\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xB8"],
        ["\xE8\xBC\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x7F"],

        ["\xD4\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xAF"],
        ["\xE5\x94\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x7B"],

        ["\xD4\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x91"],
        ["\xE4\xBD\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xE0"],

        ["\xD4\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xAA"],
        ["\xE5\x84\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x6C"],

        ["\xD4\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x87"],
        ["\xE5\x8B\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x50"],

        ["\xD4\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8B"],
        ["\xE5\x8F\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x7D"],

        ["\xD4\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA5"],
        ["\xE5\xAE\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x4D"],

        ["\xD4\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBD"],
        ["\xE5\xB9\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x5D"],

        ["\xD4\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA0"],
        ["\xE6\x82\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x5C"],

        ["\xD4\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x82"],
        ["\xE6\x86\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x4E"],

        ["\xD4\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x96"],
        ["\xE6\x8F\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x6B"],

        ["\xD4\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x89"],
        ["\xE6\x9C\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x60"],

        ["\xD4\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x9A"],
        ["\xE6\x9F\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x4B"],

        ["\xD4\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xA7"],
        ["\xE6\xB9\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x61"],

        ["\xD4\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x8C"],
        ["\xE6\xB6\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],

        ["\xD4\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB6"],
        ["\xE7\x8C\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],

        ["\xD4\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB7"],
        ["\xE7\x8C\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],

        ["\xD4\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB1"],
        ["\xE7\x94\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],

        ["\xD4\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x90"],
        ["\xE7\xA5\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF4"],

        ["\xD4\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x95"],
        ["\xE8\xA3\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF5"],

        ["\xD4\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x98"],
        ["\xE8\xAA\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF6"],

        ["\xD4\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8A"],
        ["\xE9\x81\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF7"],

        ["\xD4\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x91"],
        ["\xE9\x82\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],

        ["\xD4\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xB5"],
        ["\xE9\x83\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xF9"],

        ["\xD4\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x84"],
        ["\xE9\x9B\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x7A"],

        ["\xD4\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x8D"],
        ["\xE8\x9E\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x5E"],

        ["\xD4\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x95"],
        ["\xE5\xA4\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x4C"],

        ["\xD4\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x88"],
        ["\xE4\xBA\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x7E"],

        ["\xD4\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x99"],
        ["\xE4\xBD\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x6E"],

        ["\xD4\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8E"],
        ["\xE4\xB8\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x6F"],

        ["\xD4\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x89"],
        ["\xE8\xAA\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x7C"],

        ["\xD4\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xBF"],
        ["\xE8\xBC\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC1"],

        ["\xD4\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x90"],
        ["\xE9\xA0\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC2"],

        ["\xD4\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xAD"],
        ["\xE5\x82\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],

        ["\xD4\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBC"],
        ["\xE5\xB9\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC4"],

        ["\xD4\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x96"],
        ["\xE5\xA6\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC5"],

        ["\xD4\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB9"],
        ["\xE5\xAE\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC6"],

        ["\xD4\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB8"],
        ["\xE5\xBA\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC7"],

        ["\xD4\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x9A"],
        ["\xE6\x8F\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC8"],

        ["\xD4\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xBA"],
        ["\xE6\x8F\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC9"],

        ["\xD4\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x81"],
        ["\xE6\x93\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD1"],

        ["\xD4\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x9C"],
        ["\xE6\x9B\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],

        ["\xD4\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x8A"],
        ["\xE6\xA5\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],

        ["\xD4\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x98"],
        ["\xE6\xA7\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],

        ["\xD4\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x8B"],
        ["\xE6\xB4\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD5"],

        ["\xD4\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB6"],
        ["\xE6\xBA\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD6"],

        ["\xD4\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x94"],
        ["\xE7\x86\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],

        ["\xD4\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA8"],
        ["\xE7\x94\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD8"],

        ["\xD4\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xAF"],
        ["\xE7\xAA\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD9"],

        ["\xD4\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x8A"],
        ["\xE7\xBE\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xE2"],

        ["\xD4\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x80"],
        ["\xE8\x80\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],

        ["\xD4\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x89"],
        ["\xE8\x91\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],

        ["\xD4\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x89"],
        ["\xE8\x93\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],

        ["\xD4\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x81"],
        ["\xE8\xA6\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xE6"],

        ["\xD4\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xA1"],
        ["\xE8\xAC\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xE7"],

        ["\xD4\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x8A"],
        ["\xE8\xB8\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xE8"],

        ["\xA5\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA5"],
        ["\xE9\x81\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\x95"],

        ["\xD4\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xBD"],
        ["\xE9\x99\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x4A"],

        ["\xD4\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x8A"],
        ["\xE9\xA4\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x5B"],

        ["\xD4\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xBE"],
        ["\xE6\x85\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x5A"],

        ["\xD4\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x91"],
        ["\xE6\x8A\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x5F"],

        ["\xD4\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB2"],
        ["\xE6\xAC\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x6D"],

        ["\xD4\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x83"],
        ["\xE6\xB2\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x79"],

        ["\xD4\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB4"],
        ["\xE6\xB5\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x57"],

        ["\xD4\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x8C"],
        ["\xE7\xBF\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x59"],

        ["\xD4\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xBC"],
        ["\xE7\xBF\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x62"],

        ["\xD4\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x80"],
        ["\xE6\xB7\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x63"],

        ["\xD4\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x85"],
        ["\xE7\xBE\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x64"],

        ["\xD4\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xBA"],
        ["\xE8\x9E\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x65"],

        ["\xD4\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB8"],
        ["\xE8\xA3\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x66"],

        ["\xD4\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA5"],
        ["\xE6\x9D\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x67"],

        ["\xD4\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xB1"],
        ["\xE8\x8E\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x68"],

        ["\xD4\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xBC"],
        ["\xE9\xA0\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x69"],

        ["\xD4\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB7"],
        ["\xE9\x9B\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x70"],

        ["\xD4\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x9B"],
        ["\xE6\xB4\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x71"],

        ["\xD4\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA1"],
        ["\xE7\xB5\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x72"],

        ["\xD4\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xBD"],
        ["\xE8\x90\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x73"],

        ["\xD4\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xAA"],
        ["\xE9\x85\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x74"],

        ["\xD4\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xB1"],
        ["\xE4\xB9\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x75"],

        ["\xD4\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB5"],
        ["\xE5\x8D\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x76"],

        ["\xD4\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x90"],
        ["\xE5\xB5\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x77"],

        ["\xD4\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x84"],
        ["\xE6\xAC\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x78"],

        ["\xD4\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xAB"],
        ["\xE6\xBF\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x80"],

        ["\xD4\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8D"],
        ["\xE8\x97\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x8B"],

        ["\xD4\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xAD"],
        ["\xE8\x98\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x9B"],

        ["\xD4\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xA7"],
        ["\xE8\xA6\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x9C"],

        ["\xD4\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xA9"],
        ["\xE5\x88\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xA0"],

        ["\xD4\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8F"],
        ["\xE5\x90\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],

        ["\xD4\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA5"],
        ["\xE5\xB1\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xB0"],

        ["\xD4\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x8E"],
        ["\xE6\x9D\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xC0"],

        ["\xD4\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA8"],
        ["\xE6\xA2\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\x6A"],

        ["\xD4\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x86"],
        ["\xE7\x90\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xD0"],

        ["\xD4\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x83"],
        ["\xE7\x92\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],

        ["\xD5\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA2"],
        ["\xE7\x97\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x4F"],

        ["\xD5\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x8F"],
        ["\xE8\xA3\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x7F"],

        ["\xD5\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xA1"],
        ["\xE8\xA3\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x7B"],

        ["\xD5\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8C"],
        ["\xE9\x87\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xE0"],

        ["\xD5\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xA2"],
        ["\xE9\x9B\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x6C"],

        ["\xD5\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB8"],
        ["\xE9\x99\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x50"],

        ["\xD5\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x8B"],
        ["\xE5\xBE\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x7D"],

        ["\xD5\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x87"],
        ["\xE7\x8E\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x4D"],

        ["\xD5\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8B"],
        ["\xE7\xAB\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x5D"],

        ["\xD5\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x8E"],
        ["\xE8\x91\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x5C"],

        ["\xD5\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA0"],
        ["\xE6\x8E\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x4E"],

        ["\xD5\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA5"],
        ["\xE7\x95\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x6B"],

        ["\xD5\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x89"],
        ["\xE5\x8A\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x60"],

        ["\xD5\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x81"],
        ["\xE6\xB5\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x4B"],

        ["\xD5\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x9C"],
        ["\xE6\xBA\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x61"],

        ["\xD5\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x89"],
        ["\xE7\x90\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],

        ["\xD5\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x99"],
        ["\xE7\x95\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],

        ["\xD5\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAB"],
        ["\xE7\xA1\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],

        ["\xD5\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x92"],
        ["\xE7\xB2\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],

        ["\xD5\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x86"],
        ["\xE9\x9A\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF4"],

        ["\xD5\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x9C"],
        ["\xE7\xAB\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],

        ["\xD5\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x8D"],
        ["\xE9\xBE\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],

        ["\xD5\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xB6"],
        ["\xE4\xBE\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF7"],

        ["\xD5\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xAE"],
        ["\xE6\x85\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF8"],

        ["\xD5\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x85"],
        ["\xE6\x97\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],

        ["\xD5\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9C"],
        ["\xE8\x99\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x7A"],

        ["\xD5\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x86"],
        ["\xE4\xBA\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x5E"],

        ["\xD5\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xAE"],
        ["\xE4\xBA\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x4C"],

        ["\xD5\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x9A"],
        ["\xE5\x83\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x7E"],

        ["\xD5\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xA1"],
        ["\xE4\xB8\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x6E"],

        ["\xD5\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x8C"],
        ["\xE5\x87\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x6F"],

        ["\xD5\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xAE"],
        ["\xE5\xAF\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x7C"],

        ["\xD5\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x99"],
        ["\xE6\x96\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC1"],

        ["\xD5\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x81"],
        ["\xE6\xA2\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],

        ["\xD5\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xBC"],
        ["\xE6\xB6\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC3"],

        ["\xD5\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x9F"],
        ["\xE7\x8C\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],

        ["\xD5\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x82"],
        ["\xE7\x99\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],

        ["\xD5\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xAD"],
        ["\xE7\x9E\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC6"],

        ["\xD5\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9C"],
        ["\xE7\xA8\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],

        ["\xD5\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xA7"],
        ["\xE7\xB3\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC8"],

        ["\xD5\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xAF"],
        ["\xE8\x89\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC9"],

        ["\xD5\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x92"],
        ["\xE8\xAB\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],

        ["\xD5\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xBC"],
        ["\xE9\x81\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],

        ["\xD5\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8F"],
        ["\xE9\x87\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],

        ["\xD5\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB5"],
        ["\xE9\x99\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],

        ["\xD5\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x98"],
        ["\xE9\xA0\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD5"],

        ["\xD5\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x9B"],
        ["\xE5\x8A\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],

        ["\xD5\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x91"],
        ["\xE7\xB7\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],

        ["\xD5\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAB"],
        ["\xE5\x80\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],

        ["\xD5\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x98"],
        ["\xE5\x8E\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD9"],

        ["\xD5\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x97"],
        ["\xE6\x9E\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xE2"],

        ["\xD5\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x8B"],
        ["\xE6\xB7\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xE3"],

        ["\xD5\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x90"],
        ["\xE7\x87\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],

        ["\xD5\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB3"],
        ["\xE7\x90\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],

        ["\xD5\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA8"],
        ["\xE8\x87\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xE6"],

        ["\xD5\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xAA"],
        ["\xE8\xBC\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xE7"],

        ["\xD5\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA3"],
        ["\xE9\x9A\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xE8"],

        ["\xD5\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x97"],
        ["\xE9\xB1\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xE9"],

        ["\xD5\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x9F"],
        ["\xE9\xBA\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x4A"],

        ["\xD5\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA0"],
        ["\xE7\x91\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x5B"],

        ["\xD5\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x81"],
        ["\xE5\xA1\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x5A"],

        ["\xD5\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x99"],
        ["\xE6\xB6\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x5F"],

        ["\xD5\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xAF"],
        ["\xE7\xB4\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x6D"],

        ["\xD5\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x9E"],
        ["\xE9\xA1\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x79"],

        ["\xD5\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xA4"],
        ["\xE4\xBB\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x57"],

        ["\xD5\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB6"],
        ["\xE4\xBC\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x59"],

        ["\xD5\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x8B"],
        ["\xE4\xBE\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x62"],

        ["\xD5\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB7"],
        ["\xE5\x86\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x63"],

        ["\xD5\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xB1"],
        ["\xE5\x8A\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x64"],

        ["\xD5\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xBA"],
        ["\xE5\xB6\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x65"],

        ["\xD5\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x9C"],
        ["\xE6\x80\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x66"],

        ["\xD5\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB2"],
        ["\xE7\x8E\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x67"],

        ["\xD5\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xBC"],
        ["\xE7\xA4\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x68"],

        ["\xD5\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x93"],
        ["\xE8\x8B\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x69"],

        ["\xD5\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xB4"],
        ["\xE9\x88\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x70"],

        ["\xD5\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB7"],
        ["\xE9\x9A\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x71"],

        ["\xD5\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB6"],
        ["\xE9\x9B\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x72"],

        ["\xD5\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x8A"],
        ["\xE9\x9C\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x73"],

        ["\xD5\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x97"],
        ["\xE9\xBA\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x74"],

        ["\xD5\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA2"],
        ["\xE9\xBD\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x75"],

        ["\xD5\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xA6"],
        ["\xE6\x9A\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x76"],

        ["\xD5\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB4"],
        ["\xE6\xAD\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x77"],

        ["\xD5\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x97"],
        ["\xE5\x88\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x78"],

        ["\xD5\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA3"],
        ["\xE5\x8A\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x80"],

        ["\xD5\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x88"],
        ["\xE7\x83\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x8B"],

        ["\xD5\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x82"],
        ["\xE8\xA3\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x9B"],

        ["\xD5\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x89"],
        ["\xE5\xBB\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x9C"],

        ["\xD5\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x8B"],
        ["\xE6\x81\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xA0"],

        ["\xD5\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x90"],
        ["\xE6\x86\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xAB"],

        ["\xD5\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xA3"],
        ["\xE6\xBC\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xB0"],

        ["\xD5\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x89"],
        ["\xE7\x85\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xC0"],

        ["\xD5\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xBE"],
        ["\xE7\xB0\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\x6A"],

        ["\xD5\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xB4"],
        ["\xE7\xB7\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xD0"],

        ["\xD5\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xAF"],
        ["\xE8\x81\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],

        ["\xD6\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xAE"],
        ["\xE8\x93\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x4F"],

        ["\xD6\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA3"],
        ["\xE9\x80\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x7F"],

        ["\xD6\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xAC"],
        ["\xE9\x8C\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x7B"],

        ["\xD6\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x82"],
        ["\xE5\x91\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xE0"],

        ["\xD6\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xAF"],
        ["\xE9\xAD\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x6C"],

        ["\xD6\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x93"],
        ["\xE6\xAB\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x50"],

        ["\xD6\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x89"],
        ["\xE7\x82\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x7D"],

        ["\xD6\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x82"],
        ["\xE8\xB3\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x4D"],

        ["\xD6\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xAF"],
        ["\xE8\xB7\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x5D"],

        ["\xD6\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB2"],
        ["\xE9\x9C\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x5C"],

        ["\xD6\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xB4"],
        ["\xE5\x8A\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x4E"],

        ["\xD6\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x81"],
        ["\xE5\xA9\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x6B"],

        ["\xD6\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x8A"],
        ["\xE5\xBB\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x60"],

        ["\xD6\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x84"],
        ["\xE5\xBC\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x4B"],

        ["\xD6\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x97"],
        ["\xE6\x9C\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x61"],

        ["\xD6\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBC"],
        ["\xE6\xA5\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF0"],

        ["\xD6\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x94"],
        ["\xE6\xA6\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF1"],

        ["\xD6\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xAA"],
        ["\xE6\xB5\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF2"],

        ["\xD6\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x8F"],
        ["\xE6\xBC\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF3"],

        ["\xD6\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA2"],
        ["\xE7\x89\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF4"],

        ["\xD6\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xBC"],
        ["\xE7\x8B\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF5"],

        ["\x63\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xAD"],
        ["\xE7\xAF\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC6"],

        ["\xD6\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x81"],
        ["\xE8\x80\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF7"],

        ["\xD6\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xBE"],
        ["\xE8\x81\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF8"],

        ["\xD6\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x8B"],
        ["\xE8\x9D\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF9"],

        ["\xD6\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x8E"],
        ["\xE9\x83\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x7A"],

        ["\xD6\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAD"],
        ["\xE5\x85\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x5E"],

        ["\xD6\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x93"],
        ["\xE9\xBA\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x4C"],

        ["\xD6\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x84"],
        ["\xE7\xA6\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x7E"],

        ["\xD6\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x8B"],
        ["\xE8\x82\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x6E"],

        ["\xD6\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xB2"],
        ["\xE9\x8C\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x6F"],

        ["\xD6\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x96"],
        ["\xE8\xAB\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\x7C"],

        ["\xD6\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAD"],
        ["\xE5\x80\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xC1"],

        ["\xD6\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8C"],
        ["\xE5\x92\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xC2"],

        ["\xD6\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB1"],
        ["\xE8\xA9\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xC3"],

        ["\xD6\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xAA"],
        ["\xE6\xAD\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xC4"],

        ["\xD6\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x84"],
        ["\xE8\xB3\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xC5"],

        ["\xD6\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x87"],
        ["\xE8\x84\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xC6"],

        ["\xD6\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x91"],
        ["\xE6\x83\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xC7"],

        ["\xD6\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA0"],
        ["\xE6\x9E\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xC8"],

        ["\xD6\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xB2"],
        ["\xE9\xB7\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xC9"],

        ["\xD6\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x99"],
        ["\xE4\xBA\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xD1"],

        ["\xD6\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x98"],
        ["\xE4\xBA\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xD2"],

        ["\xD6\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x90"],
        ["\xE9\xB0\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xD3"],

        ["\xD6\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xAB"],
        ["\xE8\xA9\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xD4"],

        ["\xD6\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x81"],
        ["\xE8\x97\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xD5"],

        ["\xD6\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA8"],
        ["\xE8\x95\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xD6"],

        ["\xD6\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x80"],
        ["\xE6\xA4\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xD7"],

        ["\xD6\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xBE"],
        ["\xE6\xB9\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xD8"],

        ["\xD6\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x97"],
        ["\xE7\xA2\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xD9"],

        ["\xD6\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x95"],
        ["\xE8\x85\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xE2"],

        ["\xD7\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8C"],
        ["\xE5\xBC\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x4F"],

        ["\xD7\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x90"],
        ["\xE4\xB8\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x7F"],

        ["\xD7\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x95"],
        ["\xE4\xB8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x7B"],

        ["\xD7\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAA"],
        ["\xE4\xB8\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xE0"],

        ["\xD7\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB1"],
        ["\xE4\xB8\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x6C"],

        ["\xD7\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB6"],
        ["\xE4\xB8\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x50"],

        ["\xD7\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xBC"],
        ["\xE4\xB8\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x7D"],

        ["\xD7\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xBF"],
        ["\xE4\xB8\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x4D"],

        ["\xD7\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x82"],
        ["\xE4\xB9\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x5D"],

        ["\xD7\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x96"],
        ["\xE4\xB9\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x5C"],

        ["\xD7\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x98"],
        ["\xE4\xB9\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x4E"],

        ["\xD7\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x82"],
        ["\xE4\xBA\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x6B"],

        ["\xD7\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x85"],
        ["\xE4\xBA\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x60"],

        ["\xD7\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xAB"],
        ["\xE8\xB1\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x4B"],

        ["\xD7\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8A"],
        ["\xE4\xBA\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x61"],

        ["\xD7\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x92"],
        ["\xE8\x88\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF0"],

        ["\xD7\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8D"],
        ["\xE5\xBC\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF1"],

        ["\xD7\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8E"],
        ["\xE4\xBA\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF2"],

        ["\xD7\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9E"],
        ["\xE4\xBA\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF3"],

        ["\xD7\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9F"],
        ["\xE4\xBA\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF4"],

        ["\xD7\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA0"],
        ["\xE4\xBA\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF5"],

        ["\xD7\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA2"],
        ["\xE4\xBA\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF6"],

        ["\xD7\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xB0"],
        ["\xE4\xBA\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF7"],

        ["\xD7\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xB3"],
        ["\xE4\xBA\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF8"],

        ["\xD7\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xB6"],
        ["\xE4\xBA\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xF9"],

        ["\xD7\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8E"],
        ["\xE4\xBB\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x7A"],

        ["\xD7\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8D"],
        ["\xE4\xBB\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x5E"],

        ["\xD7\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x84"],
        ["\xE4\xBB\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x4C"],

        ["\xD7\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x86"],
        ["\xE4\xBB\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x7E"],

        ["\xD7\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x82"],
        ["\xE4\xBB\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x6E"],

        ["\xD7\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x97"],
        ["\xE4\xBB\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x6F"],

        ["\xD7\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x9E"],
        ["\xE4\xBB\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x7C"],

        ["\xD7\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xAD"],
        ["\xE4\xBB\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC1"],

        ["\xD7\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x9F"],
        ["\xE4\xBB\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC2"],

        ["\xD7\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB7"],
        ["\xE4\xBB\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC3"],

        ["\xD7\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x89"],
        ["\xE4\xBC\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC4"],

        ["\xD7\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9A"],
        ["\xE4\xBD\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC5"],

        ["\xD7\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB0"],
        ["\xE4\xBC\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC6"],

        ["\xD7\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9B"],
        ["\xE4\xBD\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC7"],

        ["\xD7\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9D"],
        ["\xE4\xBD\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC8"],

        ["\xD7\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x97"],
        ["\xE4\xBD\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC9"],

        ["\xD7\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x87"],
        ["\xE4\xBD\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD1"],

        ["\xD7\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB6"],
        ["\xE4\xBD\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD2"],

        ["\xD7\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x88"],
        ["\xE4\xBE\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD3"],

        ["\xD7\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x8F"],
        ["\xE4\xBE\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD4"],

        ["\xD7\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x98"],
        ["\xE4\xBE\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD5"],

        ["\xD7\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBB"],
        ["\xE4\xBD\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD6"],

        ["\xD7\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xA9"],
        ["\xE4\xBD\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD7"],

        ["\xD7\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB0"],
        ["\xE4\xBD\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD8"],

        ["\xD7\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x91"],
        ["\xE4\xBE\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD9"],

        ["\xD7\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xAF"],
        ["\xE4\xBD\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xE2"],

        ["\xD7\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x86"],
        ["\xE4\xBE\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xE3"],

        ["\xD7\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x96"],
        ["\xE4\xBE\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xE4"],

        ["\xD2\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x98"],
        ["\xE5\x84\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],

        ["\xD7\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x94"],
        ["\xE4\xBF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xE6"],

        ["\xD7\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x9F"],
        ["\xE4\xBF\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xE7"],

        ["\xD7\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8E"],
        ["\xE4\xBF\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xE8"],

        ["\xD7\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x98"],
        ["\xE4\xBF\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xE9"],

        ["\xD7\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x9B"],
        ["\xE4\xBF\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x4A"],

        ["\xD7\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x91"],
        ["\xE4\xBF\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x5B"],

        ["\xD7\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x9A"],
        ["\xE4\xBF\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x5A"],

        ["\xD7\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x90"],
        ["\xE4\xBF\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x5F"],

        ["\xD7\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA4"],
        ["\xE4\xBF\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x6D"],

        ["\xD7\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA5"],
        ["\xE4\xBF\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x79"],

        ["\xD7\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x9A"],
        ["\xE5\x80\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x57"],

        ["\xD7\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA8"],
        ["\xE5\x80\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x59"],

        ["\xD7\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x94"],
        ["\xE5\x80\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x62"],

        ["\xD7\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAA"],
        ["\xE5\x80\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x63"],

        ["\xD7\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA5"],
        ["\xE5\x80\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x64"],

        ["\xD7\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x85"],
        ["\xE5\x80\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x65"],

        ["\xD7\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x9C"],
        ["\xE4\xBC\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x66"],

        ["\xD7\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB6"],
        ["\xE4\xBF\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x67"],

        ["\xD7\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA1"],
        ["\xE5\x80\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x68"],

        ["\xD7\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA9"],
        ["\xE5\x80\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x69"],

        ["\xD7\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAC"],
        ["\xE5\x80\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x70"],

        ["\xD7\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xBE"],
        ["\xE4\xBF\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x71"],

        ["\xD7\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xAF"],
        ["\xE4\xBF\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x72"],

        ["\xD7\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x91"],
        ["\xE5\x80\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x73"],

        ["\xD7\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x86"],
        ["\xE5\x80\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x74"],

        ["\xD7\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x83"],
        ["\xE5\x81\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x75"],

        ["\xD7\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x87"],
        ["\xE5\x81\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x76"],

        ["\xD7\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x83"],
        ["\xE6\x9C\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x77"],

        ["\xD7\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x95"],
        ["\xE5\x81\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x78"],

        ["\xD7\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x90"],
        ["\xE5\x81\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x80"],

        ["\xD7\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x88"],
        ["\xE5\x81\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x8B"],

        ["\xD7\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x9A"],
        ["\xE5\x81\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x9B"],

        ["\xD7\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x96"],
        ["\xE5\x81\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x9C"],

        ["\xD7\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xAC"],
        ["\xE5\x81\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xA0"],

        ["\xD7\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB8"],
        ["\xE5\x81\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xAB"],

        ["\xD7\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x80"],
        ["\xE5\x82\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xB0"],

        ["\xD7\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x9A"],
        ["\xE5\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xC0"],

        ["\xD7\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x85"],
        ["\xE5\x82\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\x6A"],

        ["\xD7\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB4"],
        ["\xE5\x82\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xD0"],

        ["\xD7\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB2"],
        ["\xE5\x82\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD7\xA1"],

        ["\xD8\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x89"],
        ["\xE5\x83\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x4F"],

        ["\xD8\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8A"],
        ["\xE5\x83\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x7F"],

        ["\xD8\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB3"],
        ["\xE5\x82\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x7B"],

        ["\xD8\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x82"],
        ["\xE5\x83\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xE0"],

        ["\xD8\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x96"],
        ["\xE5\x83\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x6C"],

        ["\xD8\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x9E"],
        ["\xE5\x83\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x50"],

        ["\xD8\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA5"],
        ["\xE5\x83\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x7D"],

        ["\xD8\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xAD"],
        ["\xE5\x83\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x4D"],

        ["\xD8\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA3"],
        ["\xE5\x83\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x5D"],

        ["\xD8\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xAE"],
        ["\xE5\x83\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x5C"],

        ["\xD8\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB9"],
        ["\xE5\x83\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x4E"],

        ["\xD8\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB5"],
        ["\xE5\x83\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x6B"],

        ["\xD8\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x89"],
        ["\xE5\x84\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x60"],

        ["\xD8\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x81"],
        ["\xE5\x84\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x4B"],

        ["\xD8\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x82"],
        ["\xE5\x84\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x61"],

        ["\xD8\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x96"],
        ["\xE5\x84\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF0"],

        ["\xD8\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x95"],
        ["\xE5\x84\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF1"],

        ["\xD8\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x94"],
        ["\xE5\x84\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF2"],

        ["\xD8\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x9A"],
        ["\xE5\x84\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF3"],

        ["\xD8\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xA1"],
        ["\xE5\x84\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF4"],

        ["\xD8\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xBA"],
        ["\xE5\x84\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF5"],

        ["\xD8\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xB7"],
        ["\xE5\x84\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF6"],

        ["\xD8\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xBC"],
        ["\xE5\x84\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF7"],

        ["\xD8\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xBB"],
        ["\xE5\x84\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF8"],

        ["\xD8\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xBF"],
        ["\xE5\x84\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xF9"],

        ["\xD8\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x80"],
        ["\xE5\x85\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x7A"],

        ["\xD8\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x92"],
        ["\xE5\x85\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x5E"],

        ["\xD8\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8C"],
        ["\xE5\x85\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x4C"],

        ["\xD8\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x94"],
        ["\xE5\x85\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x7E"],

        ["\xD8\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA2"],
        ["\xE5\x85\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x6E"],

        ["\xD8\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB8"],
        ["\xE7\xAB\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x6F"],

        ["\xD8\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA9"],
        ["\xE5\x85\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x7C"],

        ["\xD8\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAA"],
        ["\xE5\x85\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC1"],

        ["\xD8\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAE"],
        ["\xE5\x85\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC2"],

        ["\xD8\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x80"],
        ["\xE5\x86\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC3"],

        ["\xD8\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x82"],
        ["\xE5\x86\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC4"],

        ["\xD8\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x98"],
        ["\xE5\x9B\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC5"],

        ["\xD8\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8C"],
        ["\xE5\x86\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC6"],

        ["\xD8\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x89"],
        ["\xE5\x86\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC7"],

        ["\xD8\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8F"],
        ["\xE5\x86\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC8"],

        ["\xD8\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x91"],
        ["\xE5\x86\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC9"],

        ["\xD8\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x93"],
        ["\xE5\x86\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD1"],

        ["\xD8\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x95"],
        ["\xE5\x86\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD2"],

        ["\xD8\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x96"],
        ["\xE5\x86\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD3"],

        ["\xD8\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA4"],
        ["\xE5\x86\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD4"],

        ["\xD8\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA6"],
        ["\xE5\x86\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD5"],

        ["\xD8\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA2"],
        ["\xE5\x86\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD6"],

        ["\xD8\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA9"],
        ["\xE5\x86\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD7"],

        ["\xD8\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xAA"],
        ["\xE5\x86\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD8"],

        ["\xD8\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xAB"],
        ["\xE5\x86\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD9"],

        ["\xD8\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB3"],
        ["\xE5\x86\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xE2"],

        ["\xD8\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB1"],
        ["\xE5\x86\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xE3"],

        ["\xD8\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB2"],
        ["\xE5\x86\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xE4"],

        ["\xD8\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB0"],
        ["\xE5\x86\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xE5"],

        ["\xD8\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB5"],
        ["\xE5\x86\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xE6"],

        ["\xD8\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xBD"],
        ["\xE5\x86\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xE7"],

        ["\xD8\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x85"],
        ["\xE5\x87\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xE8"],

        ["\xD8\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x89"],
        ["\xE5\x87\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xE9"],

        ["\xD8\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x9B"],
        ["\xE5\x87\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x4A"],

        ["\xD8\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA0"],
        ["\xE5\x87\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x5B"],

        ["\xD8\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x95"],
        ["\xE8\x99\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x5A"],

        ["\xD8\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA9"],
        ["\xE5\x87\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x5F"],

        ["\xD8\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xAD"],
        ["\xE5\x87\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x6D"],

        ["\xD8\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB0"],
        ["\xE5\x87\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x79"],

        ["\xD8\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB5"],
        ["\xE5\x87\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x57"],

        ["\xD8\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xBE"],
        ["\xE5\x87\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x59"],

        ["\xD8\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x84"],
        ["\xE5\x88\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x62"],

        ["\xD8\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x8B"],
        ["\xE5\x88\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x63"],

        ["\xD8\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x94"],
        ["\xE5\x88\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x64"],

        ["\xD8\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x8E"],
        ["\xE5\x88\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x65"],

        ["\xD8\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xA7"],
        ["\xE5\x88\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x66"],

        ["\xD8\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xAA"],
        ["\xE5\x88\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x67"],

        ["\xD8\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xAE"],
        ["\xE5\x88\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x68"],

        ["\xD8\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB3"],
        ["\xE5\x88\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x69"],

        ["\xD8\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB9"],
        ["\xE5\x88\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x70"],

        ["\xD8\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8F"],
        ["\xE5\x89\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x71"],

        ["\xD8\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x84"],
        ["\xE5\x89\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x72"],

        ["\xD8\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8B"],
        ["\xE5\x89\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x73"],

        ["\xD8\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8C"],
        ["\xE5\x89\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x74"],

        ["\xD8\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x9E"],
        ["\xE5\x89\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x75"],

        ["\xD8\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x94"],
        ["\xE5\x89\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x76"],

        ["\xD8\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xAA"],
        ["\xE5\x89\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x77"],

        ["\xD8\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB4"],
        ["\xE5\x89\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x78"],

        ["\xD8\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA9"],
        ["\xE5\x89\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x80"],

        ["\xD8\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB3"],
        ["\xE5\x89\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x8B"],

        ["\xD8\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xBF"],
        ["\xE5\x89\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x9B"],

        ["\xD8\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xBD"],
        ["\xE5\x89\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x9C"],

        ["\xD8\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x8D"],
        ["\xE5\x8A\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xA0"],

        ["\xD8\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x94"],
        ["\xE5\x8A\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xAB"],

        ["\xD8\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x92"],
        ["\xE5\x8A\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xB0"],

        ["\xD8\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB1"],
        ["\xE5\x89\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xC0"],

        ["\xD8\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x88"],
        ["\xE5\x8A\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\x6A"],

        ["\xD8\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x91"],
        ["\xE5\x8A\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xD0"],

        ["\xD8\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xA8"],
        ["\xE8\xBE\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD8\xA1"],

        ["\xD9\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xA7"],
        ["\xE8\xBE\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x4F"],

        ["\xD9\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAC"],
        ["\xE5\x8A\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x7F"],

        ["\xD9\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAD"],
        ["\xE5\x8A\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x7B"],

        ["\xD9\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xBC"],
        ["\xE5\x8A\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xE0"],

        ["\xD9\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xB5"],
        ["\xE5\x8A\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x6C"],

        ["\xD9\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x81"],
        ["\xE5\x8B\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x50"],

        ["\xD9\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x8D"],
        ["\xE5\x8B\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x7D"],

        ["\xD9\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x97"],
        ["\xE5\x8B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x4D"],

        ["\xD9\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x9E"],
        ["\xE5\x8B\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x5D"],

        ["\xD9\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA3"],
        ["\xE5\x8B\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x5C"],

        ["\xD9\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA6"],
        ["\xE5\x8B\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x4E"],

        ["\xD9\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xAD"],
        ["\xE9\xA3\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x6B"],

        ["\xD9\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA0"],
        ["\xE5\x8B\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x60"],

        ["\xD9\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB3"],
        ["\xE5\x8B\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x4B"],

        ["\xD9\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB5"],
        ["\xE5\x8B\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x61"],

        ["\xD9\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB8"],
        ["\xE5\x8B\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF0"],

        ["\xD9\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB9"],
        ["\xE5\x8B\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF1"],

        ["\xD9\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x86"],
        ["\xE5\x8C\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF2"],

        ["\xD9\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x88"],
        ["\xE5\x8C\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF3"],

        ["\xD9\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB8"],
        ["\xE7\x94\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF4"],

        ["\xD9\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x8D"],
        ["\xE5\x8C\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF5"],

        ["\xD9\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x90"],
        ["\xE5\x8C\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF6"],

        ["\xD9\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x8F"],
        ["\xE5\x8C\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF7"],

        ["\xD9\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x95"],
        ["\xE5\x8C\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF8"],

        ["\xD9\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x9A"],
        ["\xE5\x8C\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xF9"],

        ["\xD9\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xA3"],
        ["\xE5\x8C\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x7A"],

        ["\xD9\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xAF"],
        ["\xE5\x8C\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x5E"],

        ["\xD9\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB1"],
        ["\xE5\x8C\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x4C"],

        ["\xD9\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB3"],
        ["\xE5\x8C\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x7E"],

        ["\xD9\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB8"],
        ["\xE5\x8C\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x6E"],

        ["\xD9\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x80"],
        ["\xE5\x8D\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x6F"],

        ["\xD9\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x86"],
        ["\xE5\x8D\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x7C"],

        ["\xD9\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x85"],
        ["\xE5\x8D\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC1"],

        ["\xD9\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x97"],
        ["\xE4\xB8\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC2"],

        ["\xD9\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x89"],
        ["\xE5\x8D\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC3"],

        ["\xD9\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x8D"],
        ["\xE5\x8D\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC4"],

        ["\xD9\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x96"],
        ["\xE5\x87\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC5"],

        ["\xD9\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x9E"],
        ["\xE5\x8D\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC6"],

        ["\xD9\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA9"],
        ["\xE5\x8D\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC7"],

        ["\xD9\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xAE"],
        ["\xE5\x8D\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC8"],

        ["\xD9\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x98"],
        ["\xE5\xA4\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC9"],

        ["\xD9\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xBB"],
        ["\xE5\x8D\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD1"],

        ["\xD9\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB7"],
        ["\xE5\x8D\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD2"],

        ["\xD9\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x82"],
        ["\xE5\x8E\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD3"],

        ["\xD9\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x96"],
        ["\xE5\x8E\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD4"],

        ["\xD9\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA0"],
        ["\xE5\x8E\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD5"],

        ["\xD9\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA6"],
        ["\xE5\x8E\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD6"],

        ["\xD9\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA5"],
        ["\xE5\x8E\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD7"],

        ["\xD9\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xAE"],
        ["\xE5\x8E\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD8"],

        ["\xD9\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB0"],
        ["\xE5\x8E\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD9"],

        ["\xD9\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB6"],
        ["\xE5\x8E\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xE2"],

        ["\xD9\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x83"],
        ["\xE5\x8F\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xE3"],

        ["\xD9\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x92"],
        ["\xE7\xB0\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xE4"],

        ["\xD9\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x99"],
        ["\xE9\x9B\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xE5"],

        ["\xD9\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x9F"],
        ["\xE5\x8F\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xE6"],

        ["\xD9\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBC"],
        ["\xE6\x9B\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xE7"],

        ["\xD9\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xAE"],
        ["\xE7\x87\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xE8"],

        ["\xD9\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAE"],
        ["\xE5\x8F\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xE9"],

        ["\xD9\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA8"],
        ["\xE5\x8F\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x4A"],

        ["\xD9\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAD"],
        ["\xE5\x8F\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x5B"],

        ["\xD9\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xBA"],
        ["\xE5\x8F\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x5A"],

        ["\xD9\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x81"],
        ["\xE5\x90\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x5F"],

        ["\xD9\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xBD"],
        ["\xE5\x90\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x6D"],

        ["\xD9\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x80"],
        ["\xE5\x91\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x79"],

        ["\xD9\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xAC"],
        ["\xE5\x90\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x57"],

        ["\xD9\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xAD"],
        ["\xE5\x90\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x59"],

        ["\xD9\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xBC"],
        ["\xE5\x90\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x62"],

        ["\xD9\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xAE"],
        ["\xE5\x90\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x63"],

        ["\xD9\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xB6"],
        ["\xE5\x90\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x64"],

        ["\xD9\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA9"],
        ["\xE5\x90\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x65"],

        ["\xD9\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x9D"],
        ["\xE5\x90\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x66"],

        ["\xD9\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x8E"],
        ["\xE5\x91\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x67"],

        ["\xD9\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8F"],
        ["\xE5\x92\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x68"],

        ["\xD9\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB5"],
        ["\xE5\x91\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x69"],

        ["\xD9\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8E"],
        ["\xE5\x92\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x70"],

        ["\xD9\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x9F"],
        ["\xE5\x91\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x71"],

        ["\xD9\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB1"],
        ["\xE5\x91\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x72"],

        ["\xD9\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB7"],
        ["\xE5\x91\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x73"],

        ["\xD9\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB0"],
        ["\xE5\x91\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x74"],

        ["\xD9\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x92"],
        ["\xE5\x92\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x75"],

        ["\xD9\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xBB"],
        ["\xE5\x91\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x76"],

        ["\xD9\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x80"],
        ["\xE5\x92\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x77"],

        ["\xD9\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB6"],
        ["\xE5\x91\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x78"],

        ["\xD9\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x84"],
        ["\xE5\x92\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x80"],

        ["\xD9\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x90"],
        ["\xE5\x92\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x8B"],

        ["\xD9\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x86"],
        ["\xE5\x92\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x9B"],

        ["\xD9\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x87"],
        ["\xE5\x93\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x9C"],

        ["\xD9\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA2"],
        ["\xE5\x92\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xA0"],

        ["\xD9\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xB8"],
        ["\xE5\x92\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xAB"],

        ["\xD9\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA5"],
        ["\xE5\x92\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xB0"],

        ["\xD9\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAC"],
        ["\xE5\x92\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xC0"],

        ["\xD9\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x84"],
        ["\xE5\x93\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\x6A"],

        ["\xD9\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x88"],
        ["\xE5\x93\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xD0"],

        ["\xD9\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA8"],
        ["\xE5\x92\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD9\xA1"],

        ["\xE2\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAB"],
        ["\xE5\x92\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x4F"],

        ["\xE2\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x82"],
        ["\xE5\x93\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x7F"],

        ["\xE2\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA4"],
        ["\xE5\x92\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x7B"],

        ["\xE2\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBE"],
        ["\xE5\x92\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],

        ["\xE2\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBC"],
        ["\xE5\x92\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x6C"],

        ["\xE2\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x98"],
        ["\xE5\x93\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x50"],

        ["\xE2\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA5"],
        ["\xE5\x93\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x7D"],

        ["\xE2\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA6"],
        ["\xE5\x93\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x4D"],

        ["\xE2\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x8F"],
        ["\xE5\x94\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x5D"],

        ["\xE2\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x94"],
        ["\xE5\x94\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x5C"],

        ["\xE2\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xBD"],
        ["\xE5\x93\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x4E"],

        ["\xE2\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xAE"],
        ["\xE5\x93\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x6B"],

        ["\xE2\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xAD"],
        ["\xE5\x93\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x60"],

        ["\xE2\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xBA"],
        ["\xE5\x93\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x4B"],

        ["\xE2\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA2"],
        ["\xE5\x93\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x61"],

        ["\xE2\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB9"],
        ["\xE5\x94\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],

        ["\xE2\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x80"],
        ["\xE5\x95\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],

        ["\xE2\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xA3"],
        ["\xE5\x95\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],

        ["\xE2\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x8C"],
        ["\xE5\x95\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],

        ["\xE2\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xAE"],
        ["\xE5\x94\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],

        ["\xE2\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x9C"],
        ["\xE5\x95\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],

        ["\xE2\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x85"],
        ["\xE5\x95\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],

        ["\xE2\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x96"],
        ["\xE5\x95\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],

        ["\xE2\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x97"],
        ["\xE5\x95\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],

        ["\xE2\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB8"],
        ["\xE5\x94\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],

        ["\xE2\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB3"],
        ["\xE5\x94\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x7A"],

        ["\xE2\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x9D"],
        ["\xE5\x95\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x5E"],

        ["\xE2\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x99"],
        ["\xE5\x96\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x4C"],

        ["\xE2\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x80"],
        ["\xE5\x96\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x7E"],

        ["\xE2\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAF"],
        ["\xE5\x92\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x6E"],

        ["\xE2\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x8A"],
        ["\xE5\x96\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x6F"],

        ["\xE2\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9F"],
        ["\xE5\x96\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x7C"],

        ["\xE2\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xBB"],
        ["\xE5\x95\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],

        ["\xE2\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xBE"],
        ["\xE5\x95\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],

        ["\xE2\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x98"],
        ["\xE5\x96\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],

        ["\xE2\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9E"],
        ["\xE5\x96\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],

        ["\xE2\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAE"],
        ["\xE5\x96\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],

        ["\xE2\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xBC"],
        ["\xE5\x95\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],

        ["\xE2\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x83"],
        ["\xE5\x96\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],

        ["\xE2\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xA9"],
        ["\xE5\x96\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],

        ["\xE2\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x87"],
        ["\xE5\x96\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],

        ["\xE2\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xA8"],
        ["\xE5\x96\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],

        ["\xE2\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x9A"],
        ["\xE5\x97\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],

        ["\xE2\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x85"],
        ["\xE5\x97\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],

        ["\xE2\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x9F"],
        ["\xE5\x97\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],

        ["\xE2\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x84"],
        ["\xE5\x97\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],

        ["\xE2\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x9C"],
        ["\xE5\x97\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],

        ["\xE2\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xA4"],
        ["\xE5\x97\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],

        ["\xE2\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x94"],
        ["\xE5\x97\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],

        ["\xE2\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x94"],
        ["\xE5\x98\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],

        ["\xE2\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xB7"],
        ["\xE5\x97\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],

        ["\xE2\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x96"],
        ["\xE5\x98\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],

        ["\xE2\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xBE"],
        ["\xE5\x97\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],

        ["\xE2\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xBD"],
        ["\xE5\x97\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],

        ["\xE2\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x9B"],
        ["\xE5\x98\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],

        ["\xE2\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xB9"],
        ["\xE5\x97\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],

        ["\xE2\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x8E"],
        ["\xE5\x99\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],

        ["\xE2\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x90"],
        ["\xE5\x99\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],

        ["\xE2\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x9F"],
        ["\xE7\x87\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x4A"],

        ["\xE2\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB4"],
        ["\xE5\x98\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x5B"],

        ["\xE2\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB6"],
        ["\xE5\x98\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x5A"],

        ["\xE2\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB2"],
        ["\xE5\x98\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x5F"],

        ["\xE2\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB8"],
        ["\xE5\x98\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x6D"],

        ["\xE2\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAB"],
        ["\xE5\x99\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x79"],

        ["\xE2\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xA4"],
        ["\xE5\x99\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x57"],

        ["\xE2\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xAF"],
        ["\xE5\x98\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x59"],

        ["\xE2\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAC"],
        ["\xE5\x99\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x62"],

        ["\xE2\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAA"],
        ["\xE5\x99\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x63"],

        ["\xE2\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x86"],
        ["\xE5\x9A\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x64"],

        ["\xE2\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x80"],
        ["\xE5\x9A\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x65"],

        ["\xE2\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x8A"],
        ["\xE5\x9A\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x66"],

        ["\xE2\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA0"],
        ["\xE5\x9A\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x67"],

        ["\xE2\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x94"],
        ["\xE5\x9A\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x68"],

        ["\xE2\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x8F"],
        ["\xE5\x9A\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x69"],

        ["\xE2\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA5"],
        ["\xE5\x9A\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x70"],

        ["\xE2\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xAE"],
        ["\xE5\x9A\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x71"],

        ["\xE2\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xB6"],
        ["\xE5\x9A\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x72"],

        ["\xE2\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xB4"],
        ["\xE5\x9A\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x73"],

        ["\xE2\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x82"],
        ["\xE5\x9B\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x74"],

        ["\xE2\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xBC"],
        ["\xE5\x9A\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x75"],

        ["\xE2\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x81"],
        ["\xE5\x9B\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x76"],

        ["\xE2\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x83"],
        ["\xE5\x9B\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x77"],

        ["\xE2\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x80"],
        ["\xE5\x9B\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x78"],

        ["\xE2\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x88"],
        ["\xE5\x9B\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x80"],

        ["\xE2\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x8E"],
        ["\xE5\x9B\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x8B"],

        ["\xE2\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x91"],
        ["\xE5\x9B\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x9B"],

        ["\xE2\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x93"],
        ["\xE5\x9B\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x9C"],

        ["\xE2\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x97"],
        ["\xE5\x9B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xA0"],

        ["\xE2\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xAE"],
        ["\xE5\x9B\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],

        ["\xE2\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB9"],
        ["\xE5\x9B\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],

        ["\xE2\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x80"],
        ["\xE5\x9C\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],

        ["\xE2\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xBF"],
        ["\xE5\x9B\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\x6A"],

        ["\xE2\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x84"],
        ["\xE5\x9C\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],

        ["\xE2\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x89"],
        ["\xE5\x9C\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],

        ["\xE3\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x88"],
        ["\xE5\x9C\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x4F"],

        ["\xE3\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x8B"],
        ["\xE5\x9C\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x7F"],

        ["\xE3\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x8D"],
        ["\xE5\x9C\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x7B"],

        ["\xE3\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x93"],
        ["\xE5\x9C\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],

        ["\xE3\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x98"],
        ["\xE5\x9C\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x6C"],

        ["\xE3\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x96"],
        ["\xE5\x9C\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x50"],

        ["\xE3\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x87"],
        ["\xE5\x97\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x7D"],

        ["\xE3\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x9C"],
        ["\xE5\x9C\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x4D"],

        ["\xE3\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA6"],
        ["\xE5\x9C\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x5D"],

        ["\xE3\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB7"],
        ["\xE5\x9C\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x5C"],

        ["\xE3\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB8"],
        ["\xE5\x9C\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x4E"],

        ["\xE3\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8E"],
        ["\xE5\x9D\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x6B"],

        ["\xE3\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xBB"],
        ["\xE5\x9C\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x60"],

        ["\xE3\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x80"],
        ["\xE5\x9D\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x4B"],

        ["\xE3\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8F"],
        ["\xE5\x9D\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x61"],

        ["\xE3\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA9"],
        ["\xE5\x9D\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],

        ["\xE3\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x80"],
        ["\xE5\x9F\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],

        ["\xE3\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x88"],
        ["\xE5\x9E\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],

        ["\xE3\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA1"],
        ["\xE5\x9D\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],

        ["\xE3\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xBF"],
        ["\xE5\x9D\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],

        ["\xE3\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x89"],
        ["\xE5\x9E\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],

        ["\xE3\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x93"],
        ["\xE5\x9E\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],

        ["\xE3\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA0"],
        ["\xE5\x9E\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],

        ["\xE3\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xB3"],
        ["\xE5\x9E\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],

        ["\xE3\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA4"],
        ["\xE5\x9E\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],

        ["\xE3\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xAA"],
        ["\xE5\x9E\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x7A"],

        ["\xE3\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xB0"],
        ["\xE5\x9E\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x5E"],

        ["\xE3\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x83"],
        ["\xE5\x9F\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x4C"],

        ["\xE3\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x86"],
        ["\xE5\x9F\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x7E"],

        ["\xE3\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x94"],
        ["\xE5\x9F\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x6E"],

        ["\xE3\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x92"],
        ["\xE5\x9F\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x6F"],

        ["\xE3\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x93"],
        ["\xE5\x9F\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x7C"],

        ["\xE3\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x8A"],
        ["\xE5\xA0\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],

        ["\xE3\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x96"],
        ["\xE5\x9F\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],

        ["\xE3\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xA3"],
        ["\xE5\x9F\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],

        ["\xE3\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x8B"],
        ["\xE5\xA0\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],

        ["\xE3\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x99"],
        ["\xE5\xA0\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],

        ["\xE3\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x9D"],
        ["\xE5\xA0\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],

        ["\xE3\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xB2"],
        ["\xE5\xA1\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],

        ["\xE3\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xA1"],
        ["\xE5\xA0\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],

        ["\xE3\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA2"],
        ["\xE5\xA1\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],

        ["\xE3\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x8B"],
        ["\xE5\xA1\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],

        ["\xE3\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xB0"],
        ["\xE5\xA1\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],

        ["\xE3\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x80"],
        ["\xE6\xAF\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],

        ["\xE3\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x92"],
        ["\xE5\xA1\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],

        ["\xE3\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xBD"],
        ["\xE5\xA0\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],

        ["\xE3\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xB9"],
        ["\xE5\xA1\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],

        ["\xE3\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x85"],
        ["\xE5\xA2\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],

        ["\xE3\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB9"],
        ["\xE5\xA2\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],

        ["\xE3\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x9F"],
        ["\xE5\xA2\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],

        ["\xE3\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xAB"],
        ["\xE5\xA2\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],

        ["\xE3\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xBA"],
        ["\xE5\xA2\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],

        ["\xE3\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x9E"],
        ["\xE5\xA3\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],

        ["\xE3\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xBB"],
        ["\xE5\xA2\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],

        ["\xE3\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB8"],
        ["\xE5\xA2\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],

        ["\xE3\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xAE"],
        ["\xE5\xA2\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],

        ["\xE3\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x85"],
        ["\xE5\xA3\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],

        ["\xE3\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x93"],
        ["\xE5\xA3\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],

        ["\xE3\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x91"],
        ["\xE5\xA3\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x4A"],

        ["\xE3\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x97"],
        ["\xE5\xA3\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x5B"],

        ["\xE3\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x99"],
        ["\xE5\xA3\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x5A"],

        ["\xE3\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x98"],
        ["\xE5\xA3\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x5F"],

        ["\xE3\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA5"],
        ["\xE5\xA3\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x6D"],

        ["\xE3\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x9C"],
        ["\xE5\xA3\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x79"],

        ["\xE3\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA4"],
        ["\xE5\xA3\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x57"],

        ["\xE3\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x9F"],
        ["\xE5\xA3\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x59"],

        ["\xE3\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xAF"],
        ["\xE5\xA3\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x62"],

        ["\xC4\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xBA"],
        ["\xE5\xA3\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\x4A"],

        ["\xE3\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB9"],
        ["\xE5\xA3\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x64"],

        ["\xE3\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xBB"],
        ["\xE5\xA3\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x65"],

        ["\xE3\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xBC"],
        ["\xE5\xA3\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x66"],

        ["\xE3\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xBD"],
        ["\xE5\xA3\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x67"],

        ["\xE3\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x82"],
        ["\xE5\xA4\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x68"],

        ["\xE3\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8A"],
        ["\xE5\xA4\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x69"],

        ["\xE3\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x90"],
        ["\xE5\xA4\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x70"],

        ["\xE3\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x9B"],
        ["\xE5\xA4\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x71"],

        ["\xE3\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA6"],
        ["\xE6\xA2\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x72"],

        ["\xE3\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA5"],
        ["\xE5\xA4\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x73"],

        ["\xE3\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAC"],
        ["\xE5\xA4\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x74"],

        ["\xE3\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAD"],
        ["\xE5\xA4\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x75"],

        ["\xE3\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xB2"],
        ["\xE5\xA4\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x76"],

        ["\xE3\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xB8"],
        ["\xE5\xA4\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x77"],

        ["\xE3\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xBE"],
        ["\xE5\xA4\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x78"],

        ["\xE3\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x92"],
        ["\xE7\xAB\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x80"],

        ["\xE3\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x95"],
        ["\xE5\xA5\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B"],

        ["\xE3\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x90"],
        ["\xE5\xA5\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x9B"],

        ["\xE3\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x8E"],
        ["\xE5\xA5\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x9C"],

        ["\xE3\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x9A"],
        ["\xE5\xA5\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0"],

        ["\xE3\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x98"],
        ["\xE5\xA5\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],

        ["\xE3\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA2"],
        ["\xE5\xA5\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],

        ["\xE3\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA0"],
        ["\xE5\xA5\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],

        ["\xE3\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA7"],
        ["\xE5\xA5\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\x6A"],

        ["\xE3\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xAC"],
        ["\xE5\xA5\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],

        ["\xE3\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA9"],
        ["\xE5\xA5\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],

        ["\xE4\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB8"],
        ["\xE5\xA5\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x4F"],

        ["\xE4\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x81"],
        ["\xE5\xA6\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x7F"],

        ["\xE4\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x9D"],
        ["\xE5\xA6\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x7B"],

        ["\xE4\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9E"],
        ["\xE4\xBD\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],

        ["\xE4\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xAB"],
        ["\xE4\xBE\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x6C"],

        ["\xE4\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xA3"],
        ["\xE5\xA6\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x50"],

        ["\xE4\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xB2"],
        ["\xE5\xA6\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x7D"],

        ["\xE4\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x86"],
        ["\xE5\xA7\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x4D"],

        ["\xE4\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA8"],
        ["\xE5\xA7\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x5D"],

        ["\xE4\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x9C"],
        ["\xE5\xA7\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x5C"],

        ["\xE4\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x8D"],
        ["\xE5\xA6\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x4E"],

        ["\xE4\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x99"],
        ["\xE5\xA7\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x6B"],

        ["\xE4\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x9A"],
        ["\xE5\xA7\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x60"],

        ["\xE4\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA5"],
        ["\xE5\xA8\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x4B"],

        ["\xE4\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x9F"],
        ["\xE5\xA8\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x61"],

        ["\xE4\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x91"],
        ["\xE5\xA8\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],

        ["\xE4\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x9C"],
        ["\xE5\xA8\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],

        ["\xE4\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x89"],
        ["\xE5\xA8\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],

        ["\xE4\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x9A"],
        ["\xE5\xA8\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],

        ["\xE4\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x80"],
        ["\xE5\xA9\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],

        ["\xE4\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xAC"],
        ["\xE5\xA9\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],

        ["\xE4\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x89"],
        ["\xE5\xA9\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],

        ["\xE4\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xB5"],
        ["\xE5\xA8\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],

        ["\xE4\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xB6"],
        ["\xE5\xA8\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],

        ["\xE4\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xA2"],
        ["\xE5\xA9\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],

        ["\xE4\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xAA"],
        ["\xE5\xA9\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x7A"],

        ["\xE4\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9A"],
        ["\xE5\xAA\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x5E"],

        ["\xE4\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBC"],
        ["\xE5\xAA\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x4C"],

        ["\xE4\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBE"],
        ["\xE5\xAA\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x7E"],

        ["\xE4\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x8B"],
        ["\xE5\xAB\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x6E"],

        ["\xE4\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x82"],
        ["\xE5\xAB\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x6F"],

        ["\xE4\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBD"],
        ["\xE5\xAA\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x7C"],

        ["\xE4\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA3"],
        ["\xE5\xAB\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],

        ["\xE4\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x97"],
        ["\xE5\xAB\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],

        ["\xE4\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA6"],
        ["\xE5\xAB\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],

        ["\xE4\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA9"],
        ["\xE5\xAB\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],

        ["\xE4\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x96"],
        ["\xE5\xAB\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],

        ["\xE4\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xBA"],
        ["\xE5\xAB\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],

        ["\xE4\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xBB"],
        ["\xE5\xAB\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],

        ["\xE4\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x8C"],
        ["\xE5\xAC\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],

        ["\xE4\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x8B"],
        ["\xE5\xAC\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],

        ["\xE4\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x96"],
        ["\xE5\xAC\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],

        ["\xE4\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xB2"],
        ["\xE5\xAC\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],

        ["\xE4\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x90"],
        ["\xE5\xAB\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],

        ["\xE4\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xAA"],
        ["\xE5\xAC\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],

        ["\xE4\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xB6"],
        ["\xE5\xAC\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],

        ["\xE4\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xBE"],
        ["\xE5\xAC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],

        ["\xE4\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x83"],
        ["\xE5\xAD\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],

        ["\xE4\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x85"],
        ["\xE5\xAD\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],

        ["\xE4\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x80"],
        ["\xE5\xAD\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],

        ["\xE4\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x91"],
        ["\xE5\xAD\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],

        ["\xE4\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x95"],
        ["\xE5\xAD\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],

        ["\xE4\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9A"],
        ["\xE5\xAD\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],

        ["\xE4\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9B"],
        ["\xE5\xAD\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],

        ["\xE4\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA5"],
        ["\xE5\xAD\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],

        ["\xE4\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA9"],
        ["\xE5\xAD\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],

        ["\xE4\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB0"],
        ["\xE5\xAD\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],

        ["\xE4\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB3"],
        ["\xE5\xAD\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],

        ["\xE4\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB5"],
        ["\xE5\xAD\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x4A"],

        ["\xE4\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB8"],
        ["\xE5\xAD\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x5B"],

        ["\xE4\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x88"],
        ["\xE6\x96\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x5A"],

        ["\xE4\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xBA"],
        ["\xE5\xAD\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x5F"],

        ["\xE4\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x80"],
        ["\xE5\xAE\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x6D"],

        ["\xE4\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x83"],
        ["\xE5\xAE\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x79"],

        ["\xE4\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA6"],
        ["\xE5\xAE\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x57"],

        ["\xE4\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB8"],
        ["\xE5\xAE\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x59"],

        ["\xE4\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x83"],
        ["\xE5\xAF\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x62"],

        ["\xE4\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x87"],
        ["\xE5\xAF\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x63"],

        ["\xE4\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x89"],
        ["\xE5\xAF\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x64"],

        ["\xE4\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x94"],
        ["\xE5\xAF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x65"],

        ["\xE4\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x90"],
        ["\xE5\xAF\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x66"],

        ["\xE4\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA4"],
        ["\xE5\xAF\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x67"],

        ["\xE4\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA6"],
        ["\xE5\xAF\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x68"],

        ["\xE4\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA2"],
        ["\xE5\xAF\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x69"],

        ["\xE4\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x9E"],
        ["\xE5\xAF\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x70"],

        ["\xE4\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA5"],
        ["\xE5\xAF\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x71"],

        ["\xE4\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xAB"],
        ["\xE5\xAF\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x72"],

        ["\xE4\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB0"],
        ["\xE5\xAF\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x73"],

        ["\xE4\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB6"],
        ["\xE5\xAF\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x74"],

        ["\xE4\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB3"],
        ["\xE5\xAF\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x75"],

        ["\xE4\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x85"],
        ["\xE5\xB0\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x76"],

        ["\xE4\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x87"],
        ["\xE5\xB0\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x77"],

        ["\xE4\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x88"],
        ["\xE5\xB0\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x78"],

        ["\xE4\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8D"],
        ["\xE5\xB0\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x80"],

        ["\xE4\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x93"],
        ["\xE5\xB0\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B"],

        ["\xE4\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA0"],
        ["\xE5\xB0\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x9B"],

        ["\xE4\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA2"],
        ["\xE5\xB0\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x9C"],

        ["\xE4\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA8"],
        ["\xE5\xB0\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xA0"],

        ["\xE4\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xB8"],
        ["\xE5\xB0\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],

        ["\xE4\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xB9"],
        ["\xE5\xB0\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],

        ["\xE4\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x81"],
        ["\xE5\xB1\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],

        ["\xE4\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x86"],
        ["\xE5\xB1\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\x6A"],

        ["\xE4\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8E"],
        ["\xE5\xB1\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],

        ["\xE4\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x93"],
        ["\xE5\xB1\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],

        ["\xE5\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x90"],
        ["\xE5\xB1\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x4F"],

        ["\xE5\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8F"],
        ["\xE5\xB1\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x7F"],

        ["\xE5\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB1"],
        ["\xE5\xAD\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x7B"],

        ["\xE5\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xAC"],
        ["\xE5\xB1\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],

        ["\xE5\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xAE"],
        ["\xE5\xB1\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x6C"],

        ["\xE5\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xA2"],
        ["\xE4\xB9\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x50"],

        ["\xE5\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xB6"],
        ["\xE5\xB1\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x7D"],

        ["\xE5\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xB9"],
        ["\xE5\xB1\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x4D"],

        ["\xE5\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x8C"],
        ["\xE5\xB2\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x5D"],

        ["\xE5\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x91"],
        ["\xE5\xB2\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x5C"],

        ["\xE5\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x94"],
        ["\xE5\xB2\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x4E"],

        ["\xE5\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x9B"],
        ["\xE5\xA6\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x6B"],

        ["\xE5\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xAB"],
        ["\xE5\xB2\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x60"],

        ["\xE5\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xBB"],
        ["\xE5\xB2\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x4B"],

        ["\xE5\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB6"],
        ["\xE5\xB2\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x61"],

        ["\xE5\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xBC"],
        ["\xE5\xB2\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],

        ["\xE5\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB7"],
        ["\xE5\xB2\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],

        ["\xE5\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x85"],
        ["\xE5\xB3\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],

        ["\xE5\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xBE"],
        ["\xE5\xB2\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],

        ["\xE5\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x87"],
        ["\xE5\xB3\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],

        ["\xE5\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x99"],
        ["\xE5\xB3\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],

        ["\xE5\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xA9"],
        ["\xE5\xB3\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],

        ["\xE5\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xBD"],
        ["\xE5\xB3\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],

        ["\xE5\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xBA"],
        ["\xE5\xB3\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],

        ["\xE5\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xAD"],
        ["\xE5\xB3\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],

        ["\xE5\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x8C"],
        ["\xE5\xB6\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x7A"],

        ["\xE5\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xAA"],
        ["\xE5\xB3\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x5E"],

        ["\xE5\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x8B"],
        ["\xE5\xB4\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x4C"],

        ["\xE5\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x95"],
        ["\xE5\xB4\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x7E"],

        ["\xE5\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x97"],
        ["\xE5\xB4\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x6E"],

        ["\xE5\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x9C"],
        ["\xE5\xB5\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x6F"],

        ["\xE5\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x9F"],
        ["\xE5\xB4\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x7C"],

        ["\xE5\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x9B"],
        ["\xE5\xB4\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],

        ["\xE5\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x91"],
        ["\xE5\xB4\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],

        ["\xE5\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x94"],
        ["\xE5\xB4\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],

        ["\xE5\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA2"],
        ["\xE5\xB4\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],

        ["\xE5\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x9A"],
        ["\xE5\xB4\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],

        ["\xE5\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x99"],
        ["\xE5\xB4\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],

        ["\xE5\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x98"],
        ["\xE5\xB4\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],

        ["\xE5\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x8C"],
        ["\xE5\xB5\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],

        ["\xE5\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x92"],
        ["\xE5\xB5\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],

        ["\xE5\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x8E"],
        ["\xE5\xB5\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],

        ["\xE5\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x8B"],
        ["\xE5\xB5\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],

        ["\xE5\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xAC"],
        ["\xE5\xB5\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],

        ["\xE5\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xB3"],
        ["\xE5\xB5\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],

        ["\xE5\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xB6"],
        ["\xE5\xB5\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],

        ["\xE5\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x87"],
        ["\xE5\xB6\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],

        ["\xE5\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x84"],
        ["\xE5\xB6\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],

        ["\xE5\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x82"],
        ["\xE5\xB6\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],

        ["\xE5\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xA2"],
        ["\xE5\xB6\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],

        ["\xE5\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x9D"],
        ["\xE5\xB6\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],

        ["\xE5\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xAC"],
        ["\xE5\xB6\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],

        ["\xE5\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xAE"],
        ["\xE5\xB6\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],

        ["\xE5\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xBD"],
        ["\xE5\xB6\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],

        ["\xE5\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x90"],
        ["\xE5\xB6\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],

        ["\xE5\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB7"],
        ["\xE5\xB6\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],

        ["\xE5\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xBC"],
        ["\xE5\xB6\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],

        ["\xE5\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x89"],
        ["\xE5\xB7\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],

        ["\xE5\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x8D"],
        ["\xE5\xB7\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x4A"],

        ["\xE5\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x93"],
        ["\xE5\xB7\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x5B"],

        ["\xE5\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x92"],
        ["\xE5\xB7\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x5A"],

        ["\xE5\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x96"],
        ["\xE5\xB7\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x5F"],

        ["\xE5\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x9B"],
        ["\xE5\xB7\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x6D"],

        ["\xE5\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xAB"],
        ["\xE5\xB7\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x79"],

        ["\xE5\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB2"],
        ["\xE5\xB7\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x57"],

        ["\xE5\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB5"],
        ["\xE5\xB7\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x59"],

        ["\xE5\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x8B"],
        ["\xE5\xB8\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x62"],

        ["\xE5\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x9A"],
        ["\xE5\xB8\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x63"],

        ["\xE5\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x99"],
        ["\xE5\xB8\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x64"],

        ["\xE5\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x91"],
        ["\xE5\xB8\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x65"],

        ["\xE5\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x9B"],
        ["\xE5\xB8\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x66"],

        ["\xE5\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB6"],
        ["\xE5\xB8\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x67"],

        ["\xE5\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB7"],
        ["\xE5\xB8\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x68"],

        ["\xE5\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x84"],
        ["\xE5\xB9\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x69"],

        ["\xE5\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x83"],
        ["\xE5\xB9\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x70"],

        ["\xE5\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x80"],
        ["\xE5\xB9\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x71"],

        ["\xE5\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x8E"],
        ["\xE5\xB9\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x72"],

        ["\xE5\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x97"],
        ["\xE5\xB9\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x73"],

        ["\xE5\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x94"],
        ["\xE5\xB9\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x74"],

        ["\xE5\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x9F"],
        ["\xE5\xB9\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x75"],

        ["\xE5\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xA2"],
        ["\xE5\xB9\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x76"],

        ["\xE5\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xA4"],
        ["\xE5\xB9\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x77"],

        ["\xE5\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x87"],
        ["\xE5\xB9\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x78"],

        ["\xE5\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB5"],
        ["\xE5\xB9\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x80"],

        ["\xE5\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB6"],
        ["\xE5\xB9\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B"],

        ["\xE5\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBA"],
        ["\xE5\xB9\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B"],

        ["\xE5\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBC"],
        ["\xE9\xBA\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C"],

        ["\xE5\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBF"],
        ["\xE5\xB9\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0"],

        ["\xE5\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xA0"],
        ["\xE5\xBA\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],

        ["\xE5\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x81"],
        ["\xE5\xBB\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],

        ["\xE5\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x82"],
        ["\xE5\xBB\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],

        ["\xE5\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x88"],
        ["\xE5\xBB\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\x6A"],

        ["\xE5\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x90"],
        ["\xE5\xBB\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],

        ["\xE5\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x8F"],
        ["\xE5\xBB\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],

        ["\xE6\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x96"],
        ["\xE5\xBB\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x4F"],

        ["\xE6\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA3"],
        ["\xE5\xBB\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x7F"],

        ["\xE6\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x9D"],
        ["\xE5\xBB\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x7B"],

        ["\xE6\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x9A"],
        ["\xE5\xBB\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],

        ["\xE6\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x9B"],
        ["\xE5\xBB\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x6C"],

        ["\xE6\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA2"],
        ["\xE5\xBB\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x50"],

        ["\xE6\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA1"],
        ["\xE5\xBB\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x7D"],

        ["\xE6\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA8"],
        ["\xE5\xBB\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x4D"],

        ["\xE6\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA9"],
        ["\xE5\xBB\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x5D"],

        ["\xE6\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xAC"],
        ["\xE5\xBB\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x5C"],

        ["\xE6\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB1"],
        ["\xE5\xBB\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x4E"],

        ["\xE6\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB3"],
        ["\xE5\xBB\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x6B"],

        ["\xE6\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB0"],
        ["\xE5\xBB\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x60"],

        ["\xE6\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB4"],
        ["\xE5\xBB\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x4B"],

        ["\xE6\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB8"],
        ["\xE5\xBB\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x61"],

        ["\xE6\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBE"],
        ["\xE5\xBB\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],

        ["\xE6\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x83"],
        ["\xE5\xBC\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],

        ["\xE6\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x89"],
        ["\xE5\xBC\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],

        ["\xE6\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x9D"],
        ["\xE5\xBD\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],

        ["\xE6\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x9C"],
        ["\xE5\xBD\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],

        ["\xE6\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8B"],
        ["\xE5\xBC\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],

        ["\xE6\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x91"],
        ["\xE5\xBC\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],

        ["\xE6\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x96"],
        ["\xE5\xBC\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],

        ["\xE6\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA9"],
        ["\xE5\xBC\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],

        ["\xE6\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xAD"],
        ["\xE5\xBC\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],

        ["\xE6\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB8"],
        ["\xE5\xBC\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x7A"],

        ["\xE6\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x88"],
        ["\xE5\xBD\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x4C"],

        ["\xE6\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x8C"],
        ["\xE5\xBD\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x7E"],

        ["\xE6\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x8E"],
        ["\xE5\xBD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x6E"],

        ["\xE6\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xAF"],
        ["\xE5\xBC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x6F"],

        ["\xE6\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x91"],
        ["\xE5\xBD\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x7C"],

        ["\xE6\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x96"],
        ["\xE5\xBD\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],

        ["\xE6\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x97"],
        ["\xE5\xBD\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],

        ["\xE6\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x99"],
        ["\xE5\xBD\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],

        ["\xE6\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA1"],
        ["\xE5\xBD\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],

        ["\xE6\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xAD"],
        ["\xE5\xBD\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],

        ["\xE6\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB3"],
        ["\xE5\xBD\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],

        ["\xE6\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB7"],
        ["\xE5\xBD\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],

        ["\xE6\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x83"],
        ["\xE5\xBE\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],

        ["\xE6\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x82"],
        ["\xE5\xBE\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],

        ["\xE6\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xBF"],
        ["\xE5\xBD\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],

        ["\xE6\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x8A"],
        ["\xE5\xBE\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],

        ["\xE6\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x88"],
        ["\xE5\xBE\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],

        ["\xE6\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x91"],
        ["\xE5\xBE\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],

        ["\xE6\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x87"],
        ["\xE5\xBE\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],

        ["\xE6\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x9E"],
        ["\xE5\xBE\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],

        ["\xE6\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x99"],
        ["\xE5\xBE\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],

        ["\xE6\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x98"],
        ["\xE5\xBE\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],

        ["\xE6\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA0"],
        ["\xE5\xBE\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],

        ["\xE6\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA8"],
        ["\xE5\xBE\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],

        ["\xE6\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xAD"],
        ["\xE5\xBE\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],

        ["\xE6\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xBC"],
        ["\xE5\xBE\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],

        ["\xE6\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x96"],
        ["\xE5\xBF\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],

        ["\xE6\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xBB"],
        ["\xE5\xBF\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],

        ["\xE6\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA4"],
        ["\xE5\xBF\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],

        ["\xE6\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB8"],
        ["\xE5\xBF\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],

        ["\xE6\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB1"],
        ["\xE5\xBF\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],

        ["\xE6\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x9D"],
        ["\xE5\xBF\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x4A"],

        ["\xE6\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB3"],
        ["\xE6\x82\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x5B"],

        ["\xE6\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xBF"],
        ["\xE5\xBF\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x5A"],

        ["\xE6\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA1"],
        ["\xE6\x80\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x5F"],

        ["\xE6\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA0"],
        ["\xE6\x81\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x6D"],

        ["\xE6\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x99"],
        ["\xE6\x80\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x79"],

        ["\xE6\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x90"],
        ["\xE6\x80\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x57"],

        ["\xE6\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA9"],
        ["\xE6\x80\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x59"],

        ["\xE6\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x8E"],
        ["\xE6\x80\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x62"],

        ["\xE6\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xB1"],
        ["\xE6\x80\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x63"],

        ["\xE6\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x9B"],
        ["\xE6\x80\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x64"],

        ["\xE6\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x95"],
        ["\xE6\x80\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x65"],

        ["\xE6\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xAB"],
        ["\xE6\x80\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x66"],

        ["\xE6\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA6"],
        ["\xE6\x80\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x67"],

        ["\xE6\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x8F"],
        ["\xE6\x80\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x68"],

        ["\xE6\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xBA"],
        ["\xE6\x80\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x69"],

        ["\xE6\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x9A"],
        ["\xE6\x81\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x70"],

        ["\xE6\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x81"],
        ["\xE6\x81\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x71"],

        ["\xE6\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAA"],
        ["\xE6\x81\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x72"],

        ["\xE6\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xB7"],
        ["\xE6\x81\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x73"],

        ["\xE6\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x9F"],
        ["\xE6\x81\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x74"],

        ["\xE6\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x8A"],
        ["\xE6\x81\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x75"],

        ["\xE6\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x86"],
        ["\xE6\x81\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x76"],

        ["\xE6\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x8D"],
        ["\xE6\x81\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x77"],

        ["\xE6\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA3"],
        ["\xE6\x81\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x78"],

        ["\xE6\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x83"],
        ["\xE6\x81\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x80"],

        ["\xE6\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA4"],
        ["\xE6\x81\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B"],

        ["\xE6\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x82"],
        ["\xE6\x81\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B"],

        ["\xE6\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAC"],
        ["\xE6\x81\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C"],

        ["\xE6\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAB"],
        ["\xE6\x81\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0"],

        ["\xE6\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x99"],
        ["\xE6\x81\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],

        ["\xE6\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x81"],
        ["\xE6\x82\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],

        ["\xE6\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x8D"],
        ["\xE6\x82\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],

        ["\xE6\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA7"],
        ["\xE6\x83\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x6A"],

        ["\xE6\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x83"],
        ["\xE6\x82\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],

        ["\xE6\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9A"],
        ["\xE6\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],

        ["\xE7\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x84"],
        ["\xE6\x82\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x4F"],

        ["\xE7\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9B"],
        ["\xE6\x82\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x7F"],

        ["\xE7\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x96"],
        ["\xE6\x82\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x7B"],

        ["\xE7\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x97"],
        ["\xE6\x82\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],

        ["\xE7\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x92"],
        ["\xE6\x82\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x6C"],

        ["\xE7\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA7"],
        ["\xE6\x82\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x50"],

        ["\xE7\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x8B"],
        ["\xE6\x82\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x7D"],

        ["\xE7\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA1"],
        ["\xE6\x83\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x4D"],

        ["\xE7\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB8"],
        ["\xE6\x82\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x5D"],

        ["\xE7\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA0"],
        ["\xE6\x83\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x5C"],

        ["\xE7\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x93"],
        ["\xE6\x83\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x4E"],

        ["\xE7\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB4"],
        ["\xE6\x82\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x6B"],

        ["\xE7\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB0"],
        ["\xE5\xBF\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x60"],

        ["\xE7\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xBD"],
        ["\xE6\x82\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x4B"],

        ["\xE7\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x86"],
        ["\xE6\x83\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x61"],

        ["\xE7\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB5"],
        ["\xE6\x82\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],

        ["\xE7\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x98"],
        ["\xE6\x83\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],

        ["\xE7\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8D"],
        ["\xE6\x85\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],

        ["\xE7\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x95"],
        ["\xE6\x84\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],

        ["\xE7\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x86"],
        ["\xE6\x84\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],

        ["\xE7\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB6"],
        ["\xE6\x83\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],

        ["\xE7\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB7"],
        ["\xE6\x83\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],

        ["\xE7\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x80"],
        ["\xE6\x84\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],

        ["\xE7\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB4"],
        ["\xE6\x83\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],

        ["\xE7\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xBA"],
        ["\xE6\x83\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],

        ["\xE7\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x83"],
        ["\xE6\x84\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x7A"],

        ["\xE7\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xA1"],
        ["\xE6\x84\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x5E"],

        ["\xE7\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xBB"],
        ["\xE6\x83\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x4C"],

        ["\xE7\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB1"],
        ["\xE6\x83\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x7E"],

        ["\xE7\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x8D"],
        ["\xE6\x84\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x6E"],

        ["\xE7\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x8E"],
        ["\xE6\x84\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x6F"],

        ["\xE7\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x87"],
        ["\xE6\x85\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x7C"],

        ["\xE7\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBE"],
        ["\xE6\x84\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],

        ["\xE7\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xA8"],
        ["\xE6\x84\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],

        ["\xE7\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xA7"],
        ["\xE6\x84\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],

        ["\xE7\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8A"],
        ["\xE6\x85\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],

        ["\xE7\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBF"],
        ["\xE6\x84\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],

        ["\xE7\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBC"],
        ["\xE6\x84\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],

        ["\xE7\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xAC"],
        ["\xE6\x84\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],

        ["\xE7\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xB4"],
        ["\xE6\x84\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],

        ["\xE7\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBD"],
        ["\xE6\x84\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],

        ["\xE7\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x82"],
        ["\xE6\x85\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],

        ["\xE7\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x84"],
        ["\xE6\x85\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],

        ["\xE7\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB3"],
        ["\xE6\x85\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],

        ["\xE7\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB7"],
        ["\xE6\x85\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],

        ["\xE7\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x98"],
        ["\xE6\x85\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],

        ["\xE7\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x99"],
        ["\xE6\x85\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],

        ["\xE7\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x9A"],
        ["\xE6\x85\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],

        ["\xE7\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xAB"],
        ["\xE6\x85\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],

        ["\xE7\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB4"],
        ["\xE6\x85\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],

        ["\xE7\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xAF"],
        ["\xE6\x85\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],

        ["\xE7\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA5"],
        ["\xE6\x85\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],

        ["\xE7\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB1"],
        ["\xE6\x85\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],

        ["\xE7\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x9F"],
        ["\xE6\x85\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],

        ["\xE7\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x9D"],
        ["\xE6\x85\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],

        ["\xE7\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x93"],
        ["\xE6\x85\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],

        ["\xE7\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB5"],
        ["\xE6\x85\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],

        ["\xE7\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x99"],
        ["\xE6\x86\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],

        ["\xE7\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x96"],
        ["\xE6\x86\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x4A"],

        ["\xE7\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x87"],
        ["\xE6\x86\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x5B"],

        ["\xE7\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xAC"],
        ["\xE6\x86\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x5A"],

        ["\xE7\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x94"],
        ["\xE6\x86\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x5F"],

        ["\xE7\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x9A"],
        ["\xE6\x86\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x6D"],

        ["\xE7\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x8A"],
        ["\xE6\x86\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x79"],

        ["\xE7\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x91"],
        ["\xE6\x86\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x57"],

        ["\xE7\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xAB"],
        ["\xE6\x86\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x59"],

        ["\xE7\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xAE"],
        ["\xE6\x86\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x62"],

        ["\xE7\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x8C"],
        ["\xE6\x87\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x63"],

        ["\xE7\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x8A"],
        ["\xE6\x87\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x64"],

        ["\xE7\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x89"],
        ["\xE6\x87\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x65"],

        ["\xE7\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB7"],
        ["\xE6\x87\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x66"],

        ["\xE7\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x88"],
        ["\xE6\x87\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x67"],

        ["\xE7\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x83"],
        ["\xE6\x87\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x68"],

        ["\xE7\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x86"],
        ["\xE6\x87\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x69"],

        ["\xE7\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xBA"],
        ["\xE6\x86\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x70"],

        ["\xE7\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x8B"],
        ["\xE6\x87\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x71"],

        ["\xE7\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB9"],
        ["\xE7\xBD\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x72"],

        ["\xE7\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x8D"],
        ["\xE6\x87\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x73"],

        ["\xE7\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xA6"],
        ["\xE6\x87\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x74"],

        ["\xE7\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xA3"],
        ["\xE6\x87\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x75"],

        ["\xE7\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB6"],
        ["\xE6\x87\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x76"],

        ["\xE7\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBA"],
        ["\xE6\x87\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x77"],

        ["\xE7\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB4"],
        ["\xE6\x87\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x78"],

        ["\xE7\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBF"],
        ["\xE6\x87\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x80"],

        ["\xE7\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBD"],
        ["\xE6\x87\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B"],

        ["\xE7\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBC"],
        ["\xE6\x87\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B"],

        ["\xE7\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBE"],
        ["\xE6\x87\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C"],

        ["\xE7\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x80"],
        ["\xE6\x88\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0"],

        ["\xE7\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x88"],
        ["\xE6\x88\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],

        ["\xE7\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x89"],
        ["\xE6\x88\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],

        ["\xE7\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x8D"],
        ["\xE6\x88\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],

        ["\xE7\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x8C"],
        ["\xE6\x88\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\x6A"],

        ["\xE7\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x94"],
        ["\xE6\x88\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],

        ["\xE7\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9B"],
        ["\xE6\x88\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],

        ["\xE8\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9E"],
        ["\xE6\x88\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x4F"],

        ["\xE8\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA1"],
        ["\xE6\x88\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x7F"],

        ["\xE8\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xAA"],
        ["\xE6\x88\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x7B"],

        ["\xE8\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xAE"],
        ["\xE6\x88\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],

        ["\xE8\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB0"],
        ["\xE6\x88\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x6C"],

        ["\xE8\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB2"],
        ["\xE6\x88\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x50"],

        ["\xE8\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB3"],
        ["\xE6\x88\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x7D"],

        ["\xE8\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x81"],
        ["\xE6\x89\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x4D"],

        ["\xE8\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x8E"],
        ["\xE6\x89\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x5D"],

        ["\xE8\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x9E"],
        ["\xE6\x89\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x5C"],

        ["\xE8\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA3"],
        ["\xE6\x89\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x4E"],

        ["\xE8\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x9B"],
        ["\xE6\x89\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x6B"],

        ["\xE8\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA0"],
        ["\xE6\x89\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x60"],

        ["\xE8\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA8"],
        ["\xE6\x89\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x4B"],

        ["\xE8\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xBC"],
        ["\xE6\x89\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x61"],

        ["\xE8\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x82"],
        ["\xE6\x8A\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],

        ["\xE8\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x89"],
        ["\xE6\x8A\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],

        ["\xE8\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xBE"],
        ["\xE6\x89\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],

        ["\xE8\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x92"],
        ["\xE6\x8A\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],

        ["\xE8\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x93"],
        ["\xE6\x8A\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],

        ["\xE8\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x96"],
        ["\xE6\x8A\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],

        ["\xE8\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x94"],
        ["\xE6\x8B\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],

        ["\xE8\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x83"],
        ["\xE6\x8A\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],

        ["\xE8\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x94"],
        ["\xE6\x8A\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],

        ["\xE8\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x97"],
        ["\xE6\x8B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],

        ["\xE8\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x91"],
        ["\xE6\x8B\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x7A"],

        ["\xE8\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xBB"],
        ["\xE6\x8A\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x5E"],

        ["\xE8\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x8F"],
        ["\xE6\x8B\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x4C"],

        ["\xE8\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xBF"],
        ["\xE6\x8B\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x7E"],

        ["\xE8\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x86"],
        ["\xE6\x8B\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x6E"],

        ["\xE8\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x94"],
        ["\xE6\x93\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x6F"],

        ["\xE8\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x88"],
        ["\xE6\x8B\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x7C"],

        ["\xE8\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x9C"],
        ["\xE6\x8B\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],

        ["\xE8\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x8C"],
        ["\xE6\x8B\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],

        ["\xE8\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x8A"],
        ["\xE6\x8B\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],

        ["\xE8\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x82"],
        ["\xE6\x8B\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],

        ["\xE8\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x87"],
        ["\xE6\x8B\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],

        ["\xE8\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x9B"],
        ["\xE6\x8A\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],

        ["\xE8\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x89"],
        ["\xE6\x8B\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],

        ["\xE8\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x8C"],
        ["\xE6\x8C\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],

        ["\xE8\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xAE"],
        ["\xE6\x8B\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],

        ["\xE8\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB1"],
        ["\xE6\x8B\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],

        ["\xE8\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xA7"],
        ["\xE6\x8C\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],

        ["\xE8\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x82"],
        ["\xE6\x8C\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],

        ["\xE8\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x88"],
        ["\xE6\x8C\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],

        ["\xE8\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xAF"],
        ["\xE6\x8B\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],

        ["\xE8\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB5"],
        ["\xE6\x8B\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],

        ["\xE8\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x90"],
        ["\xE6\x8D\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],

        ["\xE8\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBE"],
        ["\xE6\x8C\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],

        ["\xE8\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x8D"],
        ["\xE6\x8D\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],

        ["\xE8\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x9C"],
        ["\xE6\x90\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],

        ["\xE8\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x8F"],
        ["\xE6\x8D\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],

        ["\xE8\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x96"],
        ["\xE6\x8E\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],

        ["\xE8\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x8E"],
        ["\xE6\x8E\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],

        ["\xE8\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x80"],
        ["\xE6\x8E\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],

        ["\xE8\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xAB"],
        ["\xE6\x8E\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],

        ["\xE8\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xB6"],
        ["\xE6\x8D\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],

        ["\xE8\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA3"],
        ["\xE6\x8E\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],

        ["\xE8\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x8F"],
        ["\xE6\x8E\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x4A"],

        ["\xE8\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x89"],
        ["\xE6\x8E\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x5B"],

        ["\xE8\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x9F"],
        ["\xE6\x8E\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x5A"],

        ["\xE8\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xB5"],
        ["\xE6\x8E\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x5F"],

        ["\xE8\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xAB"],
        ["\xE6\x8D\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x6D"],

        ["\xE8\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xA9"],
        ["\xE6\x8D\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x79"],

        ["\xE8\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xBE"],
        ["\xE6\x8E\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x57"],

        ["\xE8\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA9"],
        ["\xE6\x8F\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x59"],

        ["\xE8\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x80"],
        ["\xE6\x8F\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x62"],

        ["\xE8\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x86"],
        ["\xE6\x8F\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x63"],

        ["\xE8\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA3"],
        ["\xE6\x8F\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x64"],

        ["\xE8\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x89"],
        ["\xE6\x8F\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x65"],

        ["\xE8\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x92"],
        ["\xE6\x8F\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x66"],

        ["\xE8\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB6"],
        ["\xE6\x8F\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x67"],

        ["\xE8\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x84"],
        ["\xE6\x8F\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x68"],

        ["\xE8\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x96"],
        ["\xE6\x90\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x69"],

        ["\xE8\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xB4"],
        ["\xE6\x90\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x70"],

        ["\xE8\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x86"],
        ["\xE6\x90\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x71"],

        ["\xE8\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x93"],
        ["\xE6\x90\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x72"],

        ["\xE8\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA6"],
        ["\xE6\x90\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x73"],

        ["\xE8\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xB6"],
        ["\xE6\x90\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x74"],

        ["\xE8\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x9D"],
        ["\xE6\x94\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x75"],

        ["\xE8\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x97"],
        ["\xE6\x90\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x76"],

        ["\xE8\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA8"],
        ["\xE6\x90\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x77"],

        ["\xE8\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x8F"],
        ["\xE6\x90\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x78"],

        ["\xE8\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xA7"],
        ["\xE6\x91\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x80"],

        ["\xE8\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xAF"],
        ["\xE6\x91\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B"],

        ["\xE8\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xB6"],
        ["\xE6\x91\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B"],

        ["\xE8\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x8E"],
        ["\xE6\x91\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C"],

        ["\xF3\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xAA"],
        ["\xE6\x94\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC9"],

        ["\xE8\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x95"],
        ["\xE6\x92\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],

        ["\xE8\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x93"],
        ["\xE6\x92\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],

        ["\xE8\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xA5"],
        ["\xE6\x92\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],

        ["\xE8\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xA9"],
        ["\xE6\x92\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\x6A"],

        ["\xE8\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x88"],
        ["\xE6\x92\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],

        ["\xE8\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xBC"],
        ["\xE6\x92\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],

        ["\xE9\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x9A"],
        ["\xE6\x93\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x4F"],

        ["\xE9\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x92"],
        ["\xE6\x93\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x7F"],

        ["\xE9\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x85"],
        ["\xE6\x93\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x7B"],

        ["\xE9\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x87"],
        ["\xE6\x93\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],

        ["\xE9\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xBB"],
        ["\xE6\x92\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x6C"],

        ["\xE9\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x98"],
        ["\xE6\x93\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x50"],

        ["\xE9\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x82"],
        ["\xE6\x93\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x7D"],

        ["\xE9\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB1"],
        ["\xE6\x93\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x4D"],

        ["\xE9\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA7"],
        ["\xE6\x93\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x5D"],

        ["\xE9\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x89"],
        ["\xE8\x88\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x5C"],

        ["\xE9\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA0"],
        ["\xE6\x93\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x4E"],

        ["\xE9\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA1"],
        ["\xE6\x93\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x6B"],

        ["\xE9\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xAC"],
        ["\xE6\x8A\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x60"],

        ["\xE9\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA3"],
        ["\xE6\x93\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x4B"],

        ["\xE9\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xAF"],
        ["\xE6\x93\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x61"],

        ["\xE9\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xAC"],
        ["\xE6\x94\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],

        ["\xE9\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB6"],
        ["\xE6\x93\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],

        ["\xE9\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB4"],
        ["\xE6\x93\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],

        ["\xE9\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB2"],
        ["\xE6\x93\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],

        ["\xE9\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBA"],
        ["\xE6\x93\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],

        ["\xE9\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x80"],
        ["\xE6\x94\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],

        ["\xE9\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBD"],
        ["\xE6\x93\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],

        ["\xE9\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x98"],
        ["\xE6\x94\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],

        ["\xE9\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x9C"],
        ["\xE6\x94\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],

        ["\xE9\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x85"],
        ["\xE6\x94\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],

        ["\xE9\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xA4"],
        ["\xE6\x94\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x7A"],

        ["\xE9\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xA3"],
        ["\xE6\x94\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x5E"],

        ["\xE9\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xAB"],
        ["\xE6\x94\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x4C"],

        ["\xE9\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB4"],
        ["\xE6\x94\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x7E"],

        ["\xE9\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB5"],
        ["\xE6\x94\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x6E"],

        ["\xE9\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB7"],
        ["\xE6\x94\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x6F"],

        ["\xE9\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB6"],
        ["\xE6\x94\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x7C"],

        ["\xE9\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB8"],
        ["\xE6\x94\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],

        ["\xE9\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8B"],
        ["\xE7\x95\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],

        ["\xE9\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x88"],
        ["\xE6\x95\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],

        ["\xE9\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x96"],
        ["\xE6\x95\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],

        ["\xE9\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x95"],
        ["\xE6\x95\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],

        ["\xE9\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x8D"],
        ["\xE6\x95\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],

        ["\xE9\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x98"],
        ["\xE6\x95\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],

        ["\xE9\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x9E"],
        ["\xE6\x95\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],

        ["\xE9\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x9D"],
        ["\xE6\x95\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],

        ["\xE9\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB2"],
        ["\xE6\x95\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],

        ["\xE9\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB8"],
        ["\xE6\x95\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],

        ["\xE9\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x82"],
        ["\xE6\x96\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],

        ["\xE9\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x83"],
        ["\xE6\x96\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],

        ["\xE9\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x8A"],
        ["\xE8\xAE\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],

        ["\xE9\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x9B"],
        ["\xE6\x96\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],

        ["\xE9\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x9F"],
        ["\xE6\x96\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],

        ["\xE9\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xAB"],
        ["\xE6\x96\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],

        ["\xE9\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB7"],
        ["\xE6\x96\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],

        ["\xE9\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x83"],
        ["\xE6\x97\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],

        ["\xE9\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x86"],
        ["\xE6\x97\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],

        ["\xE9\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x81"],
        ["\xE6\x97\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],

        ["\xE9\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x84"],
        ["\xE6\x97\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],

        ["\xE9\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x8C"],
        ["\xE6\x97\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],

        ["\xE9\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x92"],
        ["\xE6\x97\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],

        ["\xE9\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x9B"],
        ["\xE6\x97\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],

        ["\xE9\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x99"],
        ["\xE6\x97\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],

        ["\xE9\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA0"],
        ["\xE6\x97\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x4A"],

        ["\xE9\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA1"],
        ["\xE6\x97\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x5B"],

        ["\xE9\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xB1"],
        ["\xE6\x97\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x5A"],

        ["\xE9\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB2"],
        ["\xE6\x9D\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x5F"],

        ["\xE9\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x8A"],
        ["\xE6\x98\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x6D"],

        ["\xE9\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x83"],
        ["\xE6\x98\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x79"],

        ["\xE9\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xBB"],
        ["\xE6\x97\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x57"],

        ["\xE9\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB3"],
        ["\xE6\x9D\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x59"],

        ["\xE9\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB5"],
        ["\xE6\x98\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x62"],

        ["\xE9\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB6"],
        ["\xE6\x98\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x63"],

        ["\xE9\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB4"],
        ["\xE6\x98\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x64"],

        ["\xE9\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x9C"],
        ["\xE6\x98\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x65"],

        ["\xE9\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x8F"],
        ["\xE6\x99\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x66"],

        ["\xE9\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x84"],
        ["\xE6\x99\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x67"],

        ["\xE9\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x89"],
        ["\xE6\x99\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x68"],

        ["\xE9\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x81"],
        ["\xE6\x99\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x69"],

        ["\xE9\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9E"],
        ["\xE6\x99\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x70"],

        ["\xE9\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9D"],
        ["\xE6\x99\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x71"],

        ["\xE9\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA4"],
        ["\xE6\x99\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x72"],

        ["\xE9\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA7"],
        ["\xE6\x99\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x73"],

        ["\xE9\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA8"],
        ["\xE6\x99\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x74"],

        ["\xE9\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9F"],
        ["\xE6\x99\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x75"],

        ["\xE9\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA2"],
        ["\xE6\x99\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x76"],

        ["\xE9\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB0"],
        ["\xE6\x99\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x77"],

        ["\xE9\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x83"],
        ["\xE6\x9A\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x78"],

        ["\xE9\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x88"],
        ["\xE6\x9A\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x80"],

        ["\xE9\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x8E"],
        ["\xE6\x9A\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B"],

        ["\xE9\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x89"],
        ["\xE6\x9A\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B"],

        ["\xE9\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x84"],
        ["\xE6\x9A\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C"],

        ["\xE9\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x98"],
        ["\xE6\x9A\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0"],

        ["\xE9\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x9D"],
        ["\xE6\x9A\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],

        ["\xE9\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x81"],
        ["\xE6\x9B\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],

        ["\xE9\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB9"],
        ["\xE6\x9A\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],

        ["\xE9\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x89"],
        ["\xE6\x9B\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\x6A"],

        ["\xE9\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xBE"],
        ["\xE6\x9A\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],

        ["\xE9\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xBC"],
        ["\xE6\x9A\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],

        ["\x4A\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x84"],
        ["\xE6\x9B\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x4F"],

        ["\x4A\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB8"],
        ["\xE6\x9A\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x7F"],

        ["\x4A\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x96"],
        ["\xE6\x9B\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x7B"],

        ["\x4A\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x9A"],
        ["\xE6\x9B\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xE0"],

        ["\x4A\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xA0"],
        ["\xE6\x9B\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x6C"],

        ["\x4A\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xBF"],
        ["\xE6\x98\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x50"],

        ["\x4A\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xA6"],
        ["\xE6\x9B\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x7D"],

        ["\x4A\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xA9"],
        ["\xE6\x9B\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x4D"],

        ["\x4A\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB0"],
        ["\xE6\x9B\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x5D"],

        ["\x4A\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB5"],
        ["\xE6\x9B\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x5C"],

        ["\x4A\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB7"],
        ["\xE6\x9B\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x4E"],

        ["\x4A\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x8F"],
        ["\xE6\x9C\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x6B"],

        ["\x4A\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x96"],
        ["\xE6\x9C\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x60"],

        ["\x4A\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x9E"],
        ["\xE6\x9C\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x4B"],

        ["\x4A\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xA6"],
        ["\xE6\x9C\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x61"],

        ["\x4A\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xA7"],
        ["\xE6\x9C\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF0"],

        ["\x4A\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB8"],
        ["\xE9\x9C\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF1"],

        ["\x4A\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAE"],
        ["\xE6\x9C\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF2"],

        ["\x4A\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xBF"],
        ["\xE6\x9C\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF3"],

        ["\x4A\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB6"],
        ["\xE6\x9C\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF4"],

        ["\x4A\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x81"],
        ["\xE6\x9D\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF5"],

        ["\x4A\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB8"],
        ["\xE6\x9C\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF6"],

        ["\x4A\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB7"],
        ["\xE6\x9C\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF7"],

        ["\x4A\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x86"],
        ["\xE6\x9D\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF8"],

        ["\x4A\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x9E"],
        ["\xE6\x9D\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xF9"],

        ["\x4A\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA0"],
        ["\xE6\x9D\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x7A"],

        ["\x4A\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x99"],
        ["\xE6\x9D\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x5E"],

        ["\x4A\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA3"],
        ["\xE6\x9D\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x4C"],

        ["\x4A\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA4"],
        ["\xE6\x9D\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x7E"],

        ["\x4A\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x89"],
        ["\xE6\x9E\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x6E"],

        ["\x4A\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB0"],
        ["\xE6\x9D\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x6F"],

        ["\x4A\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA9"],
        ["\xE6\x9E\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x7C"],

        ["\x4A\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xBC"],
        ["\xE6\x9D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC1"],

        ["\x4A\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xAA"],
        ["\xE6\x9D\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC2"],

        ["\x4A\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x8C"],
        ["\xE6\x9E\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC3"],

        ["\x4A\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x8B"],
        ["\xE6\x9E\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC4"],

        ["\x4A\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA6"],
        ["\xE6\x9E\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC5"],

        ["\x4A\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA1"],
        ["\xE6\x9E\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC6"],

        ["\x4A\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x85"],
        ["\xE6\x9E\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC7"],

        ["\x4A\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB7"],
        ["\xE6\x9E\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC8"],

        ["\x4A\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xAF"],
        ["\xE6\x9F\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC9"],

        ["\x4A\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB4"],
        ["\xE6\x9E\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD1"],

        ["\x4A\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xAC"],
        ["\xE6\x9F\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD2"],

        ["\x4A\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB3"],
        ["\xE6\x9E\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD3"],

        ["\x4A\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xA9"],
        ["\xE6\x9F\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD4"],

        ["\x4A\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB8"],
        ["\xE6\x9E\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD5"],

        ["\x4A\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xA4"],
        ["\xE6\x9F\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD6"],

        ["\x4A\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x9E"],
        ["\xE6\x9F\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD7"],

        ["\x4A\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x9D"],
        ["\xE6\x9F\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD8"],

        ["\x4A\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xA2"],
        ["\xE6\x9F\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD9"],

        ["\x4A\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xAE"],
        ["\xE6\x9F\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xE2"],

        ["\x4A\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB9"],
        ["\xE6\x9E\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xE3"],

        ["\x4A\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x8E"],
        ["\xE6\x9F\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xE4"],

        ["\x4A\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x86"],
        ["\xE6\x9F\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xE5"],

        ["\x4A\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xA7"],
        ["\xE6\x9F\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xE6"],

        ["\xC9\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x9C"],
        ["\xE6\xAA\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],

        ["\x4A\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x9E"],
        ["\xE6\xA0\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xE8"],

        ["\x4A\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x86"],
        ["\xE6\xA1\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xE9"],

        ["\x4A\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xA9"],
        ["\xE6\xA0\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x4A"],

        ["\x4A\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x80"],
        ["\xE6\xA1\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x5B"],

        ["\x4A\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x8D"],
        ["\xE6\xA1\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x5A"],

        ["\x4A\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB2"],
        ["\xE6\xA0\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x5F"],

        ["\x4A\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x8E"],
        ["\xE6\xA1\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x6D"],

        ["\x4A\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB3"],
        ["\xE6\xA2\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x79"],

        ["\x4A\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xAB"],
        ["\xE6\xA0\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x57"],

        ["\x4A\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x99"],
        ["\xE6\xA1\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x59"],

        ["\x4A\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xA3"],
        ["\xE6\xA1\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x62"],

        ["\x4A\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB7"],
        ["\xE6\xA1\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x63"],

        ["\x4A\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xBF"],
        ["\xE6\xA1\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x64"],

        ["\x4A\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9F"],
        ["\xE6\xA2\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x65"],

        ["\x4A\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x8F"],
        ["\xE6\xA2\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x66"],

        ["\x4A\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xAD"],
        ["\xE6\xA2\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x67"],

        ["\x4A\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x94"],
        ["\xE6\xA2\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x68"],

        ["\x4A\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9D"],
        ["\xE6\xA2\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x69"],

        ["\x4A\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9B"],
        ["\xE6\xA2\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x70"],

        ["\x4A\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x83"],
        ["\xE6\xA2\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x71"],

        ["\xC5\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xAE"],
        ["\xE6\xAA\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x73"],

        ["\x4A\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB9"],
        ["\xE6\xA2\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x73"],

        ["\x4A\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB4"],
        ["\xE6\xA1\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x74"],

        ["\x4A\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB5"],
        ["\xE6\xA2\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x75"],

        ["\x4A\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA0"],
        ["\xE6\xA2\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x76"],

        ["\x4A\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xBA"],
        ["\xE6\xA2\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x77"],

        ["\x4A\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8F"],
        ["\xE6\xA4\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x78"],

        ["\x4A\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x8D"],
        ["\xE6\xA2\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x80"],

        ["\x4A\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xBE"],
        ["\xE6\xA1\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x8B"],

        ["\x4A\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x81"],
        ["\xE6\xA4\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x9B"],

        ["\x4A\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8A"],
        ["\xE6\xA3\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x9C"],

        ["\x4A\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x88"],
        ["\xE6\xA4\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xA0"],

        ["\x4A\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x98"],
        ["\xE6\xA3\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xAB"],

        ["\x4A\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA2"],
        ["\xE6\xA4\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xB0"],

        ["\x4A\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA6"],
        ["\xE6\xA4\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xC0"],

        ["\x4A\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA1"],
        ["\xE6\xA3\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\x6A"],

        ["\x4A\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8C"],
        ["\xE6\xA4\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xD0"],

        ["\x4A\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8D"],
        ["\xE6\xA3\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4A\xA1"],

        ["\x5B\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x94"],
        ["\xE6\xA3\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x4F"],

        ["\x5B\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA7"],
        ["\xE6\xA3\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x7F"],

        ["\x5B\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x95"],
        ["\xE6\xA3\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x7B"],

        ["\x5B\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB6"],
        ["\xE6\xA4\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xE0"],

        ["\x5B\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x92"],
        ["\xE6\xA4\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x6C"],

        ["\x5B\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x84"],
        ["\xE6\xA4\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x50"],

        ["\x5B\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x97"],
        ["\xE6\xA3\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x7D"],

        ["\x5B\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA3"],
        ["\xE6\xA3\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x4D"],

        ["\x5B\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA5"],
        ["\xE6\xA4\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x5D"],

        ["\x5B\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB9"],
        ["\xE6\xA3\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x5C"],

        ["\x5B\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA0"],
        ["\xE6\xA3\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x4E"],

        ["\x5B\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xAF"],
        ["\xE6\xA3\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x6B"],

        ["\x5B\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA8"],
        ["\xE6\xA4\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x60"],

        ["\x5B\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xAA"],
        ["\xE6\xA4\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x4B"],

        ["\x5B\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x9A"],
        ["\xE6\xA4\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x61"],

        ["\x5B\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA3"],
        ["\xE6\xA4\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF0"],

        ["\x5B\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA1"],
        ["\xE6\xA4\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF1"],

        ["\x5B\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x86"],
        ["\xE6\xA3\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF2"],

        ["\x5B\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB9"],
        ["\xE6\xA5\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF3"],

        ["\x5B\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB7"],
        ["\xE6\xA5\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF4"],

        ["\x5B\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x9C"],
        ["\xE6\xA5\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF5"],

        ["\x5B\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB8"],
        ["\xE6\xA5\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF6"],

        ["\x5B\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAB"],
        ["\xE6\xA5\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF7"],

        ["\x5B\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x94"],
        ["\xE6\xA5\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF8"],

        ["\x5B\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBE"],
        ["\xE6\xA5\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xF9"],

        ["\x5B\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAE"],
        ["\xE6\xA5\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x7A"],

        ["\x5B\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB9"],
        ["\xE6\xA4\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x5E"],

        ["\x5B\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB4"],
        ["\xE6\xA5\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x4C"],

        ["\x5B\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xBD"],
        ["\xE6\xA4\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x7E"],

        ["\x5B\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x99"],
        ["\xE6\xA5\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x6E"],

        ["\x5B\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB0"],
        ["\xE6\xA4\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x6F"],

        ["\x5B\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA1"],
        ["\xE6\xA5\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x7C"],

        ["\x5B\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x9E"],
        ["\xE6\xA5\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC1"],

        ["\x5B\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x9D"],
        ["\xE6\xA5\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC2"],

        ["\x5B\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x81"],
        ["\xE6\xA6\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC3"],

        ["\x5B\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAA"],
        ["\xE6\xA5\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC4"],

        ["\x5B\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB2"],
        ["\xE6\xA6\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC5"],

        ["\x5B\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xAE"],
        ["\xE6\xA6\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC6"],

        ["\x5B\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x90"],
        ["\xE6\xA7\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC7"],

        ["\x5B\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBF"],
        ["\xE6\xA6\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC8"],

        ["\x5B\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x81"],
        ["\xE6\xA7\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC9"],

        ["\x5B\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x93"],
        ["\xE6\xA7\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD1"],

        ["\x5B\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBE"],
        ["\xE6\xA6\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD2"],

        ["\x5B\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8E"],
        ["\xE6\xA7\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD3"],

        ["\x5B\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA8"],
        ["\xE5\xAF\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD4"],

        ["\x5B\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8A"],
        ["\xE6\xA7\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD5"],

        ["\x5B\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x9D"],
        ["\xE6\xA7\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD6"],

        ["\x5B\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBB"],
        ["\xE6\xA6\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD7"],

        ["\x5B\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x83"],
        ["\xE6\xA7\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD8"],

        ["\x5B\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xA7"],
        ["\xE6\xA6\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD9"],

        ["\x5B\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xAE"],
        ["\xE6\xA8\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xE2"],

        ["\x5B\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x91"],
        ["\xE6\xA6\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xE3"],

        ["\x5B\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xA0"],
        ["\xE6\xA6\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xE4"],

        ["\x5B\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x9C"],
        ["\xE6\xA6\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xE5"],

        ["\x5B\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x95"],
        ["\xE6\xA6\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xE6"],

        ["\x5B\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB4"],
        ["\xE6\xA6\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xE7"],

        ["\x5B\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x9E"],
        ["\xE6\xA7\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xE8"],

        ["\x5B\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA8"],
        ["\xE6\xA7\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xE9"],

        ["\x5B\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x82"],
        ["\xE6\xA8\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x4A"],

        ["\x5B\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9B"],
        ["\xE6\xA8\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x5B"],

        ["\x5B\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xBF"],
        ["\xE6\xA7\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x5A"],

        ["\x5B\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x8A"],
        ["\xE6\xAC\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x5F"],

        ["\x5B\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB9"],
        ["\xE6\xA7\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x6D"],

        ["\x5B\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB2"],
        ["\xE6\xA7\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x79"],

        ["\x5B\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA7"],
        ["\xE6\xA7\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x57"],

        ["\x5B\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x85"],
        ["\xE6\xA8\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x59"],

        ["\x5B\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB1"],
        ["\xE6\xA6\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x62"],

        ["\x5B\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9E"],
        ["\xE6\xA8\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x63"],

        ["\x5B\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAD"],
        ["\xE6\xA7\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x64"],

        ["\x5B\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x94"],
        ["\xE6\xA8\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x65"],

        ["\x5B\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAB"],
        ["\xE6\xA7\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x66"],

        ["\x5B\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x8A"],
        ["\xE6\xA8\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x67"],

        ["\x5B\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x92"],
        ["\xE6\xA8\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x68"],

        ["\x5B\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x81"],
        ["\xE6\xAB\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x69"],

        ["\x5B\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xA3"],
        ["\xE6\xA8\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x70"],

        ["\x5B\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x93"],
        ["\xE6\xA8\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x71"],

        ["\x5B\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x84"],
        ["\xE6\xA9\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x72"],

        ["\x5B\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x8C"],
        ["\xE6\xA8\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x73"],

        ["\x5B\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xB2"],
        ["\xE6\xA9\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x74"],

        ["\x5B\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB6"],
        ["\xE6\xA8\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x75"],

        ["\x5B\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xB8"],
        ["\xE6\xA9\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x76"],

        ["\x5B\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x87"],
        ["\xE6\xA9\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x77"],

        ["\x5B\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xA2"],
        ["\xE6\xA9\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x78"],

        ["\x5B\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x99"],
        ["\xE6\xA9\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x80"],

        ["\x5B\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xA6"],
        ["\xE6\xA9\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x8B"],

        ["\x5B\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x88"],
        ["\xE6\xA9\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x9B"],

        ["\x5B\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB8"],
        ["\xE6\xA8\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x9C"],

        ["\x5B\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xA2"],
        ["\xE6\xA8\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xA0"],

        ["\x5B\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x90"],
        ["\xE6\xAA\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xAB"],

        ["\x5B\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x8D"],
        ["\xE6\xAA\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xB0"],

        ["\x5B\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA0"],
        ["\xE6\xAA\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xC0"],

        ["\x5B\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x84"],
        ["\xE6\xAA\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\x6A"],

        ["\x5B\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA2"],
        ["\xE6\xAA\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xD0"],

        ["\x5B\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA3"],
        ["\xE6\xAA\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5B\xA1"],

        ["\x5A\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x97"],
        ["\xE6\xAA\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x4F"],

        ["\x5A\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x97"],
        ["\xE8\x98\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x7F"],

        ["\x5A\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xBB"],
        ["\xE6\xAA\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x7B"],

        ["\x5A\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x83"],
        ["\xE6\xAB\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xE0"],

        ["\x5A\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x82"],
        ["\xE6\xAB\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x6C"],

        ["\x5A\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xB8"],
        ["\xE6\xAA\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x50"],

        ["\x5A\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xB3"],
        ["\xE6\xAA\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x7D"],

        ["\x5A\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xAC"],
        ["\xE6\xAA\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x4D"],

        ["\x5A\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9E"],
        ["\xE6\xAB\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x5D"],

        ["\x5A\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x91"],
        ["\xE6\xAB\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x5C"],

        ["\x5A\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9F"],
        ["\xE6\xAB\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x4E"],

        ["\x5A\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xAA"],
        ["\xE6\xAA\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x6B"],

        ["\x5A\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9A"],
        ["\xE6\xAB\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x60"],

        ["\x5A\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xAA"],
        ["\xE6\xAB\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x4B"],

        ["\x5A\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xBB"],
        ["\xE6\xAB\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x61"],

        ["\x5A\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x85"],
        ["\xE6\xAC\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF0"],

        ["\x5A\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x96"],
        ["\xE8\x98\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF1"],

        ["\x5A\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xBA"],
        ["\xE6\xAB\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF2"],

        ["\x5A\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x92"],
        ["\xE6\xAC\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF3"],

        ["\x5A\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x96"],
        ["\xE6\xAC\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF4"],

        ["\x5A\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xB1"],
        ["\xE9\xAC\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF5"],

        ["\x5A\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x9F"],
        ["\xE6\xAC\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF6"],

        ["\x5A\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB8"],
        ["\xE6\xAC\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF7"],

        ["\x5A\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB7"],
        ["\xE6\xAC\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF8"],

        ["\x5A\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x9C"],
        ["\xE7\x9B\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xF9"],

        ["\x5A\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB9"],
        ["\xE6\xAC\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x7A"],

        ["\x5A\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xAE"],
        ["\xE9\xA3\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x5E"],

        ["\x5A\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x87"],
        ["\xE6\xAD\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x4C"],

        ["\x5A\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x83"],
        ["\xE6\xAD\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x7E"],

        ["\x5A\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x89"],
        ["\xE6\xAD\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x6E"],

        ["\x5A\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x90"],
        ["\xE6\xAD\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x6F"],

        ["\x5A\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x99"],
        ["\xE6\xAD\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x7C"],

        ["\x5A\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x94"],
        ["\xE6\xAD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC1"],

        ["\x5A\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x9B"],
        ["\xE6\xAD\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC2"],

        ["\x5A\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x9F"],
        ["\xE6\xAD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC3"],

        ["\x5A\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA1"],
        ["\xE6\xAD\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC4"],

        ["\x5A\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB8"],
        ["\xE6\xAD\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC5"],

        ["\x5A\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB9"],
        ["\xE6\xAD\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC6"],

        ["\x5A\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xBF"],
        ["\xE6\xAD\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC7"],

        ["\x5A\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x80"],
        ["\xE6\xAE\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC8"],

        ["\x5A\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x84"],
        ["\xE6\xAE\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC9"],

        ["\x5A\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x83"],
        ["\xE6\xAE\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD1"],

        ["\x5A\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x8D"],
        ["\xE6\xAE\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD2"],

        ["\x5A\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x98"],
        ["\xE6\xAE\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD3"],

        ["\x5A\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x95"],
        ["\xE6\xAE\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD4"],

        ["\x5A\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x9E"],
        ["\xE6\xAE\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD5"],

        ["\x5A\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xA4"],
        ["\xE6\xAE\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD6"],

        ["\x5A\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAA"],
        ["\xE6\xAE\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD7"],

        ["\x5A\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAB"],
        ["\xE6\xAE\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD8"],

        ["\x5A\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAF"],
        ["\xE6\xAE\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD9"],

        ["\x5A\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB2"],
        ["\xE6\xAE\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xE2"],

        ["\x5A\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB1"],
        ["\xE6\xAE\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xE3"],

        ["\x5A\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB3"],
        ["\xE6\xAE\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xE4"],

        ["\x5A\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB7"],
        ["\xE6\xAE\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xE5"],

        ["\x5A\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBC"],
        ["\xE6\xAE\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xE6"],

        ["\x5A\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x86"],
        ["\xE6\xAF\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xE7"],

        ["\x5A\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x8B"],
        ["\xE6\xAF\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xE8"],

        ["\x5A\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x93"],
        ["\xE6\xAF\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xE9"],

        ["\x5A\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x9F"],
        ["\xE6\xAF\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x4A"],

        ["\x5A\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xAC"],
        ["\xE6\xAF\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x5B"],

        ["\x5A\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xAB"],
        ["\xE6\xAF\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x5A"],

        ["\x5A\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xB3"],
        ["\xE6\xAF\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x5F"],

        ["\x5A\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xAF"],
        ["\xE6\xAF\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x6D"],

        ["\x5A\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBE"],
        ["\xE9\xBA\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x79"],

        ["\x5A\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x88"],
        ["\xE6\xB0\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x57"],

        ["\x5A\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x93"],
        ["\xE6\xB0\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x59"],

        ["\x5A\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x94"],
        ["\xE6\xB0\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x62"],

        ["\x5A\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x9B"],
        ["\xE6\xB0\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x63"],

        ["\x5A\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xA4"],
        ["\xE6\xB0\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x64"],

        ["\x5A\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xA3"],
        ["\xE6\xB0\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x65"],

        ["\x5A\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9E"],
        ["\xE6\xB1\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x66"],

        ["\x5A\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x95"],
        ["\xE6\xB1\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x67"],

        ["\x5A\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xA2"],
        ["\xE6\xB1\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x68"],

        ["\x5A\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xAA"],
        ["\xE6\xB1\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x69"],

        ["\x5A\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x82"],
        ["\xE6\xB2\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x70"],

        ["\x5A\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x8D"],
        ["\xE6\xB2\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x71"],

        ["\x5A\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x9A"],
        ["\xE6\xB2\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x72"],

        ["\x5A\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x81"],
        ["\xE6\xB2\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x73"],

        ["\x5A\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x9B"],
        ["\xE6\xB2\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x74"],

        ["\x5A\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xBE"],
        ["\xE6\xB1\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x75"],

        ["\x5A\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xA8"],
        ["\xE6\xB1\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x76"],

        ["\x5A\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB3"],
        ["\xE6\xB1\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x77"],

        ["\x5A\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x92"],
        ["\xE6\xB2\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x78"],

        ["\x5A\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x90"],
        ["\xE6\xB2\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x80"],

        ["\x5A\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x84"],
        ["\xE6\xB3\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x8B"],

        ["\x5A\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xB1"],
        ["\xE6\xB3\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x9B"],

        ["\x5A\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x93"],
        ["\xE6\xB3\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x9C"],

        ["\x5A\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBD"],
        ["\xE6\xB2\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xA0"],

        ["\x5A\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x97"],
        ["\xE6\xB3\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xAB"],

        ["\x5A\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x85"],
        ["\xE6\xB3\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xB0"],

        ["\x5A\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x9D"],
        ["\xE6\xB3\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xC0"],

        ["\x5A\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xAE"],
        ["\xE6\xB2\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\x6A"],

        ["\x5A\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xB1"],
        ["\xE6\xB2\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xD0"],

        ["\x5A\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBE"],
        ["\xE6\xB2\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5A\xA1"],

        ["\x5F\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBA"],
        ["\xE6\xB2\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x4F"],

        ["\x5F\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x9B"],
        ["\xE6\xB3\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x7F"],

        ["\x5F\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAF"],
        ["\xE6\xB3\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x7B"],

        ["\x5F\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x99"],
        ["\xE6\xB3\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xE0"],

        ["\x5F\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAA"],
        ["\xE6\xB3\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x6C"],

        ["\x5F\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x9F"],
        ["\xE6\xB4\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x50"],

        ["\x5F\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x8D"],
        ["\xE8\xA1\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x7D"],

        ["\x5F\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB6"],
        ["\xE6\xB4\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x4D"],

        ["\x5F\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xAB"],
        ["\xE6\xB4\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x5D"],

        ["\x5F\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBD"],
        ["\xE6\xB4\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x5C"],

        ["\x5F\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB8"],
        ["\xE6\xB4\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x4E"],

        ["\x5F\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x99"],
        ["\xE6\xB4\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x6B"],

        ["\x5F\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB5"],
        ["\xE6\xB4\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x60"],

        ["\x5F\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB3"],
        ["\xE6\xB4\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x4B"],

        ["\x5F\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x92"],
        ["\xE6\xB4\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x61"],

        ["\x5F\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x8C"],
        ["\xE6\xB4\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF0"],

        ["\x5F\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA3"],
        ["\xE6\xB5\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF1"],

        ["\x5F\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x93"],
        ["\xE6\xB6\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF2"],

        ["\x5F\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA4"],
        ["\xE6\xB5\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF3"],

        ["\x5F\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x9A"],
        ["\xE6\xB5\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF4"],

        ["\x5F\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB9"],
        ["\xE6\xB5\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF5"],

        ["\x5F\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x99"],
        ["\xE6\xB5\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF6"],

        ["\x5F\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x8E"],
        ["\xE6\xB6\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF7"],

        ["\x5F\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x95"],
        ["\xE6\xB6\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xF8"],

        ["\xC5\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xA4"],
        ["\xE6\xBF\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x78"],

        ["\x5F\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x85"],
        ["\xE6\xB6\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x7A"],

        ["\x5F\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB9"],
        ["\xE6\xB7\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x5E"],

        ["\x5F\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x95"],
        ["\xE6\xB8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x4C"],

        ["\x5F\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x8A"],
        ["\xE6\xB8\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x7E"],

        ["\x5F\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xB5"],
        ["\xE6\xB6\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x6E"],

        ["\x5F\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x87"],
        ["\xE6\xB7\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x6F"],

        ["\x5F\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA6"],
        ["\xE6\xB7\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x7C"],

        ["\x5F\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xB8"],
        ["\xE6\xB6\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC1"],

        ["\x5F\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x86"],
        ["\xE6\xB7\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC2"],

        ["\x5F\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xAC"],
        ["\xE6\xB7\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC3"],

        ["\x5F\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9E"],
        ["\xE6\xB7\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC4"],

        ["\x5F\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x8C"],
        ["\xE6\xB7\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC5"],

        ["\x5F\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA8"],
        ["\xE6\xB7\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC6"],

        ["\x5F\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x92"],
        ["\xE6\xB7\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC7"],

        ["\x5F\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x85"],
        ["\xE6\xB7\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC8"],

        ["\x5F\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xBA"],
        ["\xE6\xB7\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC9"],

        ["\x5F\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x99"],
        ["\xE6\xB7\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD1"],

        ["\x5F\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA4"],
        ["\xE6\xB7\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD2"],

        ["\x5F\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x95"],
        ["\xE6\xB7\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD3"],

        ["\x5F\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xAA"],
        ["\xE6\xB7\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD4"],

        ["\x5F\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xAE"],
        ["\xE6\xB7\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD5"],

        ["\x5F\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAD"],
        ["\xE6\xB8\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD6"],

        ["\x5F\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xAE"],
        ["\xE6\xB9\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD7"],

        ["\x5F\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAE"],
        ["\xE6\xB8\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD8"],

        ["\x5F\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x99"],
        ["\xE6\xB8\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD9"],

        ["\x5F\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xB2"],
        ["\xE6\xB9\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xE2"],

        ["\x5F\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x9F"],
        ["\xE6\xB9\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xE3"],

        ["\x5F\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xBE"],
        ["\xE6\xB8\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xE4"],

        ["\x5F\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA3"],
        ["\xE6\xB8\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xE5"],

        ["\x5F\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xAB"],
        ["\xE6\xB9\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xE6"],

        ["\x5F\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAB"],
        ["\xE6\xB8\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xE7"],

        ["\x5F\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xB6"],
        ["\xE6\xB9\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xE8"],

        ["\x5F\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8D"],
        ["\xE6\xB9\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xE9"],

        ["\x5F\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9F"],
        ["\xE6\xB8\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x4A"],

        ["\x5F\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x83"],
        ["\xE6\xB9\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x5B"],

        ["\x5F\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xBA"],
        ["\xE6\xB8\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x5A"],

        ["\x5F\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8E"],
        ["\xE6\xB9\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x5F"],

        ["\x5F\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA4"],
        ["\xE6\xB8\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x6D"],

        ["\x5F\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xBF"],
        ["\xE6\xBB\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x79"],

        ["\x5F\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9D"],
        ["\xE6\xB8\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x57"],

        ["\x5F\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB8"],
        ["\xE6\xB8\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x59"],

        ["\x5F\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x82"],
        ["\xE6\xBA\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x62"],

        ["\x5F\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xAA"],
        ["\xE6\xBA\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x63"],

        ["\x5F\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x98"],
        ["\xE6\xBA\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x64"],

        ["\x5F\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x89"],
        ["\xE6\xBB\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x65"],

        ["\x5F\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB7"],
        ["\xE6\xBA\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x66"],

        ["\x5F\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x93"],
        ["\xE6\xBB\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x67"],

        ["\x5F\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xBD"],
        ["\xE6\xBA\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x68"],

        ["\x5F\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xAF"],
        ["\xE6\xBA\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x69"],

        ["\x5F\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x84"],
        ["\xE6\xBB\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x70"],

        ["\x5F\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB2"],
        ["\xE6\xBA\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x71"],

        ["\x5F\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x94"],
        ["\xE6\xBB\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x72"],

        ["\x5F\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x95"],
        ["\xE6\xBB\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x73"],

        ["\x5F\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x8F"],
        ["\xE6\xBA\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x74"],

        ["\x5F\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xA5"],
        ["\xE6\xBA\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x75"],

        ["\x5F\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x82"],
        ["\xE6\xBB\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x76"],

        ["\x5F\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x9F"],
        ["\xE6\xBA\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x77"],

        ["\x5F\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x81"],
        ["\xE6\xBD\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x78"],

        ["\x5F\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x91"],
        ["\xE6\xBC\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x80"],

        ["\xF4\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x8C"],
        ["\xE7\x81\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xC3"],

        ["\x5F\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xAC"],
        ["\xE6\xBB\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x9B"],

        ["\x5F\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB8"],
        ["\xE6\xBB\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x9C"],

        ["\x5F\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xBE"],
        ["\xE6\xBB\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xA0"],

        ["\x5F\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xBF"],
        ["\xE6\xBC\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xAB"],

        ["\x5F\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB2"],
        ["\xE6\xBB\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xB0"],

        ["\x5F\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB1"],
        ["\xE6\xBC\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xC0"],

        ["\x5F\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xAF"],
        ["\xE6\xBB\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\x6A"],

        ["\x5F\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB2"],
        ["\xE6\xBC\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xD0"],

        ["\x5F\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x8C"],
        ["\xE6\xBB\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x5F\xA1"],

        ["\x6D\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xBE"],
        ["\xE6\xBC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x4F"],

        ["\x6D\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x93"],
        ["\xE6\xBC\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x7F"],

        ["\x6D\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB7"],
        ["\xE6\xBB\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x7B"],

        ["\x6D\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x86"],
        ["\xE6\xBE\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xE0"],

        ["\x6D\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xBA"],
        ["\xE6\xBD\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x6C"],

        ["\x6D\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xB8"],
        ["\xE6\xBD\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x50"],

        ["\x6D\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x81"],
        ["\xE6\xBE\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x7D"],

        ["\x6D\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x80"],
        ["\xE6\xBE\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x4D"],

        ["\x6D\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xAF"],
        ["\xE6\xBD\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x5D"],

        ["\x6D\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9B"],
        ["\xE6\xBD\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x5C"],

        ["\x6D\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB3"],
        ["\xE6\xBF\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x4E"],

        ["\x6D\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xAD"],
        ["\xE6\xBD\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x6B"],

        ["\x6D\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x82"],
        ["\xE6\xBE\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x60"],

        ["\x6D\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xBC"],
        ["\xE6\xBD\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x4B"],

        ["\x6D\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x98"],
        ["\xE6\xBD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x61"],

        ["\x6D\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x8E"],
        ["\xE6\xBE\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF0"],

        ["\x6D\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x91"],
        ["\xE6\xBE\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF1"],

        ["\x6D\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x82"],
        ["\xE6\xBF\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF2"],

        ["\x6D\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA6"],
        ["\xE6\xBD\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF3"],

        ["\x6D\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB3"],
        ["\xE6\xBE\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF4"],

        ["\x6D\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA3"],
        ["\xE6\xBE\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF5"],

        ["\x6D\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA1"],
        ["\xE6\xBE\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF6"],

        ["\x6D\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA4"],
        ["\xE6\xBE\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF7"],

        ["\x6D\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB9"],
        ["\xE6\xBE\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF8"],

        ["\x6D\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x86"],
        ["\xE6\xBF\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xF9"],

        ["\x6D\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xAA"],
        ["\xE6\xBE\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x7A"],

        ["\x6D\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x9F"],
        ["\xE6\xBF\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x5E"],

        ["\x6D\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x95"],
        ["\xE6\xBF\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x4C"],

        ["\x6D\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xAC"],
        ["\xE6\xBF\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x7E"],

        ["\x6D\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x94"],
        ["\xE6\xBF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x6E"],

        ["\x6D\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x98"],
        ["\xE6\xBF\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x6F"],

        ["\x6D\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB1"],
        ["\xE6\xBF\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x7C"],

        ["\x6D\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xAE"],
        ["\xE6\xBF\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC1"],

        ["\x6D\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x9B"],
        ["\xE6\xBF\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC2"],

        ["\x6D\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x89"],
        ["\xE7\x80\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC3"],

        ["\x6D\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x8B"],
        ["\xE7\x80\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC4"],

        ["\x6D\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xBA"],
        ["\xE6\xBF\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC5"],

        ["\x6D\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x91"],
        ["\xE7\x80\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC6"],

        ["\x6D\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x81"],
        ["\xE7\x80\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC7"],

        ["\x6D\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x8F"],
        ["\xE7\x80\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC8"],

        ["\x6D\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xBE"],
        ["\xE6\xBF\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC9"],

        ["\x6D\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9B"],
        ["\xE7\x80\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD1"],

        ["\x6D\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9A"],
        ["\xE7\x80\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD2"],

        ["\x6D\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xB4"],
        ["\xE6\xBD\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD3"],

        ["\x6D\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9D"],
        ["\xE7\x80\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD4"],

        ["\x6D\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x98"],
        ["\xE7\x80\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD5"],

        ["\x6D\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9F"],
        ["\xE7\x80\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD6"],

        ["\x6D\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xB0"],
        ["\xE7\x80\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD7"],

        ["\x6D\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xBE"],
        ["\xE7\x80\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD8"],

        ["\x6D\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xB2"],
        ["\xE7\x80\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD9"],

        ["\x6D\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x91"],
        ["\xE7\x81\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xE2"],

        ["\x6D\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xA3"],
        ["\xE7\x81\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xE3"],

        ["\x6D\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x99"],
        ["\xE7\x82\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xE4"],

        ["\x6D\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x92"],
        ["\xE7\x82\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xE5"],

        ["\x6D\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAF"],
        ["\xE7\x82\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xE6"],

        ["\x6D\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xB1"],
        ["\xE7\x83\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xE7"],

        ["\x6D\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAC"],
        ["\xE7\x82\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xE8"],

        ["\x6D\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB8"],
        ["\xE7\x82\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xE9"],

        ["\x6D\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB3"],
        ["\xE7\x82\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x4A"],

        ["\x6D\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAE"],
        ["\xE7\x82\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x5B"],

        ["\x6D\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x9F"],
        ["\xE7\x83\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x5A"],

        ["\x6D\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x8B"],
        ["\xE7\x83\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x5F"],

        ["\x6D\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x9D"],
        ["\xE7\x83\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x6D"],

        ["\x6D\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x99"],
        ["\xE7\x83\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x79"],

        ["\x6D\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x89"],
        ["\xE7\x84\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x57"],

        ["\x6D\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xBD"],
        ["\xE7\x83\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x59"],

        ["\x6D\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x9C"],
        ["\xE7\x84\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x62"],

        ["\x6D\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x99"],
        ["\xE7\x84\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x63"],

        ["\x6D\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA5"],
        ["\xE7\x85\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x64"],

        ["\x6D\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x95"],
        ["\xE7\x85\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x65"],

        ["\x6D\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x88"],
        ["\xE7\x86\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x66"],

        ["\x6D\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA6"],
        ["\xE7\x85\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x67"],

        ["\x6D\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA2"],
        ["\xE7\x85\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x68"],

        ["\x6D\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x8C"],
        ["\xE7\x85\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x69"],

        ["\x6D\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x96"],
        ["\xE7\x85\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x70"],

        ["\x6D\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xAC"],
        ["\xE7\x85\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x71"],

        ["\x6D\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x8F"],
        ["\xE7\x86\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x72"],

        ["\x6D\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xBB"],
        ["\xE7\x87\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x73"],

        ["\x6D\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x84"],
        ["\xE7\x86\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x74"],

        ["\x6D\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x95"],
        ["\xE7\x86\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x75"],

        ["\x6D\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xA8"],
        ["\xE7\x86\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x76"],

        ["\x6D\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xAC"],
        ["\xE7\x86\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x77"],

        ["\x6D\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x97"],
        ["\xE7\x87\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x78"],

        ["\x6D\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xB9"],
        ["\xE7\x86\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x80"],

        ["\x6D\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xBE"],
        ["\xE7\x86\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x8B"],

        ["\x6D\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x92"],
        ["\xE7\x87\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x9B"],

        ["\x6D\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x89"],
        ["\xE7\x87\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x9C"],

        ["\x6D\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x94"],
        ["\xE7\x87\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xA0"],

        ["\x6D\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x8E"],
        ["\xE7\x87\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xAB"],

        ["\x6D\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xA0"],
        ["\xE7\x87\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xB0"],

        ["\x6D\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xAC"],
        ["\xE7\x87\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xC0"],

        ["\x6D\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xA7"],
        ["\xE7\x87\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\x6A"],

        ["\x6D\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xB5"],
        ["\xE7\x87\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xD0"],

        ["\x6D\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xBC"],
        ["\xE7\x87\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6D\xA1"],

        ["\x79\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xB9"],
        ["\xE7\x87\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x4F"],

        ["\x79\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xBF"],
        ["\xE7\x87\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x7F"],

        ["\x79\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x8D"],
        ["\xE7\x88\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x7B"],

        ["\x79\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x90"],
        ["\xE7\x88\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xE0"],

        ["\x79\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x9B"],
        ["\xE7\x88\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x6C"],

        ["\x79\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xA8"],
        ["\xE7\x88\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x50"],

        ["\x79\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xAD"],
        ["\xE7\x88\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x7D"],

        ["\x79\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xAC"],
        ["\xE7\x88\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x4D"],

        ["\x79\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB0"],
        ["\xE7\x88\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x5D"],

        ["\x79\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB2"],
        ["\xE7\x88\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x5C"],

        ["\x79\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBB"],
        ["\xE7\x88\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x4E"],

        ["\x79\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBC"],
        ["\xE7\x88\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x6B"],

        ["\x79\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBF"],
        ["\xE7\x88\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x60"],

        ["\x79\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x80"],
        ["\xE7\x89\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x4B"],

        ["\x79\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x86"],
        ["\xE7\x89\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x61"],

        ["\x79\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x8B"],
        ["\xE7\x89\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF0"],

        ["\x79\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x98"],
        ["\xE7\x89\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF1"],

        ["\x79\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xB4"],
        ["\xE7\x89\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF2"],

        ["\x79\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xBE"],
        ["\xE7\x89\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF3"],

        ["\x79\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x82"],
        ["\xE7\x8A\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF4"],

        ["\x79\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x81"],
        ["\xE7\x8A\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF5"],

        ["\x79\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x87"],
        ["\xE7\x8A\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF6"],

        ["\x79\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x92"],
        ["\xE7\x8A\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF7"],

        ["\x79\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x96"],
        ["\xE7\x8A\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF8"],

        ["\x79\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xA2"],
        ["\xE7\x8A\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xF9"],

        ["\x79\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xA7"],
        ["\xE7\x8A\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x7A"],

        ["\x79\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB9"],
        ["\xE7\x8A\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x5E"],

        ["\x79\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB2"],
        ["\xE7\x8A\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x4C"],

        ["\x79\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x83"],
        ["\xE7\x8B\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x7E"],

        ["\x79\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x86"],
        ["\xE7\x8B\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x6E"],

        ["\x79\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x84"],
        ["\xE7\x8B\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x6F"],

        ["\x79\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x8E"],
        ["\xE7\x8B\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x7C"],

        ["\x79\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x92"],
        ["\xE7\x8B\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC1"],

        ["\x79\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xA2"],
        ["\xE7\x8B\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC2"],

        ["\x79\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xA0"],
        ["\xE7\x8B\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC3"],

        ["\x79\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xA1"],
        ["\xE7\x8B\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC4"],

        ["\x79\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xB9"],
        ["\xE7\x8B\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC5"],

        ["\x79\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xB7"],
        ["\xE7\x8B\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC6"],

        ["\x79\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x8F"],
        ["\xE5\x80\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC7"],

        ["\x79\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x97"],
        ["\xE7\x8C\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC8"],

        ["\x79\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x8A"],
        ["\xE7\x8C\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC9"],

        ["\x79\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x9C"],
        ["\xE7\x8C\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD1"],

        ["\x79\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x96"],
        ["\xE7\x8C\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD2"],

        ["\x79\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x9D"],
        ["\xE7\x8C\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD3"],

        ["\x79\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB4"],
        ["\xE7\x8C\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD4"],

        ["\x79\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAF"],
        ["\xE7\x8C\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD5"],

        ["\x79\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA9"],
        ["\xE7\x8C\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD6"],

        ["\x79\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA5"],
        ["\xE7\x8C\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD7"],

        ["\x79\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xBE"],
        ["\xE7\x8C\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD8"],

        ["\x79\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x8E"],
        ["\xE7\x8D\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD9"],

        ["\x79\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x8F"],
        ["\xE7\x8D\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xE2"],

        ["\x79\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x98"],
        ["\xE9\xBB\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xE3"],

        ["\x79\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x97"],
        ["\xE7\x8D\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xE4"],

        ["\x79\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAA"],
        ["\xE7\x8D\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xE5"],

        ["\x79\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xA8"],
        ["\xE7\x8D\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xE6"],

        ["\x79\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB0"],
        ["\xE7\x8D\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xE7"],

        ["\x79\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB8"],
        ["\xE7\x8D\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xE8"],

        ["\x79\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB5"],
        ["\xE7\x8D\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xE9"],

        ["\x79\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xBB"],
        ["\xE7\x8D\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x4A"],

        ["\x79\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xBA"],
        ["\xE7\x8D\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x5B"],

        ["\x79\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x88"],
        ["\xE7\x8F\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x5A"],

        ["\x79\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB3"],
        ["\xE7\x8E\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x5F"],

        ["\x79\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8E"],
        ["\xE7\x8F\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x6D"],

        ["\x79\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xBB"],
        ["\xE7\x8E\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x79"],

        ["\x79\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x80"],
        ["\xE7\x8F\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x57"],

        ["\x79\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA5"],
        ["\xE7\x8F\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x59"],

        ["\x79\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xAE"],
        ["\xE7\x8F\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x62"],

        ["\x79\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x9E"],
        ["\xE7\x8F\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x63"],

        ["\x79\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA2"],
        ["\xE7\x92\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x64"],

        ["\x79\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x85"],
        ["\xE7\x90\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x65"],

        ["\x79\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xAF"],
        ["\xE7\x91\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x66"],

        ["\x79\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA5"],
        ["\xE7\x90\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x67"],

        ["\x79\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xB8"],
        ["\xE7\x8F\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x68"],

        ["\x79\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB2"],
        ["\xE7\x90\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x69"],

        ["\x79\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xBA"],
        ["\xE7\x90\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x70"],

        ["\x79\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x95"],
        ["\xE7\x91\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x71"],

        ["\x79\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xBF"],
        ["\xE7\x90\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x72"],

        ["\x79\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9F"],
        ["\xE7\x91\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x73"],

        ["\x79\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x99"],
        ["\xE7\x91\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x74"],

        ["\x79\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x81"],
        ["\xE7\x91\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x75"],

        ["\x79\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9C"],
        ["\xE7\x91\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x76"],

        ["\x79\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA9"],
        ["\xE7\x91\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x77"],

        ["\x79\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xB0"],
        ["\xE7\x91\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x78"],

        ["\x79\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA3"],
        ["\xE7\x91\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x80"],

        ["\x79\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xAA"],
        ["\xE7\x91\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x8B"],

        ["\x95\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xB6"],
        ["\xE7\x91\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xCA"],

        ["\x79\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xBE"],
        ["\xE7\x91\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x9C"],

        ["\x79\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x8B"],
        ["\xE7\x92\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xA0"],

        ["\x79\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x9E"],
        ["\xE7\x92\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xAB"],

        ["\x79\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA7"],
        ["\xE7\x92\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xB0"],

        ["\x79\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x8A"],
        ["\xE7\x93\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xC0"],

        ["\x79\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x8F"],
        ["\xE7\x93\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x6A"],

        ["\x79\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x94"],
        ["\xE7\x93\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xD0"],

        ["\x79\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xB1"],
        ["\xE7\x8F\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\xA1"],

        ["\x57\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA0"],
        ["\xE7\x93\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x4F"],

        ["\x57\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA3"],
        ["\xE7\x93\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x7F"],

        ["\x57\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA7"],
        ["\xE7\x93\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x7B"],

        ["\x57\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA9"],
        ["\xE7\x93\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xE0"],

        ["\x57\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xAE"],
        ["\xE7\x93\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x6C"],

        ["\x57\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB2"],
        ["\xE7\x93\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x50"],

        ["\x57\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB0"],
        ["\xE7\x93\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x7D"],

        ["\x57\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB1"],
        ["\xE7\x93\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x4D"],

        ["\x57\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB8"],
        ["\xE7\x93\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x5D"],

        ["\x57\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB7"],
        ["\xE7\x93\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x5C"],

        ["\x57\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x84"],
        ["\xE7\x94\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x4E"],

        ["\x57\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x83"],
        ["\xE7\x94\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x6B"],

        ["\x57\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x85"],
        ["\xE7\x94\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x60"],

        ["\x57\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x8C"],
        ["\xE7\x94\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x4B"],

        ["\x57\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x8E"],
        ["\xE7\x94\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x61"],

        ["\x57\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x8D"],
        ["\xE7\x94\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF0"],

        ["\x57\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x95"],
        ["\xE7\x94\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF1"],

        ["\x57\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x93"],
        ["\xE7\x94\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF2"],

        ["\x57\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x9E"],
        ["\xE7\x94\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF3"],

        ["\x57\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA6"],
        ["\xE7\x94\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF4"],

        ["\x57\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xAC"],
        ["\xE7\x94\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF5"],

        ["\x57\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBC"],
        ["\xE7\x94\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF6"],

        ["\x57\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x84"],
        ["\xE7\x95\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF7"],

        ["\x57\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8D"],
        ["\xE7\x95\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF8"],

        ["\x57\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8A"],
        ["\xE7\x95\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xF9"],

        ["\x57\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x89"],
        ["\xE7\x95\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x7A"],

        ["\x57\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x9B"],
        ["\xE7\x95\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x5E"],

        ["\x57\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x86"],
        ["\xE7\x95\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x4C"],

        ["\x57\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x9A"],
        ["\xE7\x95\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x7E"],

        ["\x57\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA9"],
        ["\xE7\x95\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x6E"],

        ["\x57\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA4"],
        ["\xE7\x95\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x6F"],

        ["\x57\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA7"],
        ["\xE7\x95\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x7C"],

        ["\x57\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAB"],
        ["\xE7\x95\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC1"],

        ["\x57\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAD"],
        ["\xE7\x95\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC2"],

        ["\x57\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB8"],
        ["\xE7\x95\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC3"],

        ["\x57\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB6"],
        ["\xE7\x95\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC4"],

        ["\x57\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x86"],
        ["\xE7\x96\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC5"],

        ["\x57\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x87"],
        ["\xE7\x96\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC6"],

        ["\x57\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB4"],
        ["\xE7\x95\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC7"],

        ["\x57\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8A"],
        ["\xE7\x96\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC8"],

        ["\x57\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x89"],
        ["\xE7\x96\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC9"],

        ["\x57\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x82"],
        ["\xE7\x96\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD1"],

        ["\x57\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x94"],
        ["\xE7\x96\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD2"],

        ["\x57\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x9A"],
        ["\xE7\x96\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD3"],

        ["\x57\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x9D"],
        ["\xE7\x96\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD4"],

        ["\x57\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xA5"],
        ["\xE7\x96\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD5"],

        ["\x57\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xA3"],
        ["\xE7\x96\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD6"],

        ["\x57\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x82"],
        ["\xE7\x97\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD7"],

        ["\x57\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB3"],
        ["\xE7\x96\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD8"],

        ["\x57\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x83"],
        ["\xE7\x97\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD9"],

        ["\x57\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB5"],
        ["\xE7\x96\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xE2"],

        ["\x57\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xBD"],
        ["\xE7\x96\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xE3"],

        ["\x57\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB8"],
        ["\xE7\x96\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xE4"],

        ["\x57\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xBC"],
        ["\xE7\x96\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xE5"],

        ["\x57\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB1"],
        ["\xE7\x96\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xE6"],

        ["\x57\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x8D"],
        ["\xE7\x97\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xE7"],

        ["\x57\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x8A"],
        ["\xE7\x97\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xE8"],

        ["\x57\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x92"],
        ["\xE7\x97\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xE9"],

        ["\x57\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x99"],
        ["\xE7\x97\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x4A"],

        ["\x57\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA3"],
        ["\xE7\x97\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x5B"],

        ["\x57\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x9E"],
        ["\xE7\x97\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x5A"],

        ["\x57\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xBE"],
        ["\xE7\x97\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x5F"],

        ["\x57\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xBF"],
        ["\xE7\x97\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x6D"],

        ["\x57\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xBC"],
        ["\xE7\x97\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x79"],

        ["\x57\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x81"],
        ["\xE7\x98\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x57"],

        ["\x57\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB0"],
        ["\xE7\x97\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x59"],

        ["\x57\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xBA"],
        ["\xE7\x97\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x62"],

        ["\x57\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB2"],
        ["\xE7\x97\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x63"],

        ["\x57\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB3"],
        ["\xE7\x97\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x64"],

        ["\x57\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x8B"],
        ["\xE7\x98\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x65"],

        ["\x57\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x8D"],
        ["\xE7\x98\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x66"],

        ["\x57\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x89"],
        ["\xE7\x98\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x67"],

        ["\x57\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x9F"],
        ["\xE7\x98\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x68"],

        ["\x57\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA7"],
        ["\xE7\x98\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x69"],

        ["\x57\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA0"],
        ["\xE7\x98\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x70"],

        ["\x57\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA1"],
        ["\xE7\x98\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x71"],

        ["\x57\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA2"],
        ["\xE7\x98\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x72"],

        ["\x57\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA4"],
        ["\xE7\x98\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x73"],

        ["\x57\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xB4"],
        ["\xE7\x98\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x74"],

        ["\x57\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xB0"],
        ["\xE7\x98\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x75"],

        ["\x57\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xBB"],
        ["\xE7\x98\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x76"],

        ["\x57\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x87"],
        ["\xE7\x99\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x77"],

        ["\x57\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x88"],
        ["\xE7\x99\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x78"],

        ["\x57\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x86"],
        ["\xE7\x99\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x80"],

        ["\x57\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x9C"],
        ["\xE7\x99\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x8B"],

        ["\x57\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x98"],
        ["\xE7\x99\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x9B"],

        ["\x57\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA1"],
        ["\xE7\x99\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x9C"],

        ["\x57\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA2"],
        ["\xE7\x99\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xA0"],

        ["\x57\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA8"],
        ["\xE7\x99\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xAB"],

        ["\x57\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA9"],
        ["\xE7\x99\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xB0"],

        ["\x57\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAA"],
        ["\xE7\x99\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xC0"],

        ["\x57\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA7"],
        ["\xE7\x99\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\x6A"],

        ["\x57\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAC"],
        ["\xE7\x99\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xD0"],

        ["\x57\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB0"],
        ["\xE7\x99\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x57\xA1"],

        ["\x59\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB2"],
        ["\xE7\x99\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x4F"],

        ["\x59\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB6"],
        ["\xE7\x99\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x7F"],

        ["\x59\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB8"],
        ["\xE7\x99\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x7B"],

        ["\x59\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBC"],
        ["\xE7\x99\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xE0"],

        ["\x59\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x80"],
        ["\xE7\x9A\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x6C"],

        ["\x59\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x83"],
        ["\xE7\x9A\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x50"],

        ["\x59\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x88"],
        ["\xE7\x9A\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x7D"],

        ["\x59\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x8B"],
        ["\xE7\x9A\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x4D"],

        ["\x59\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x8E"],
        ["\xE7\x9A\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x5D"],

        ["\x59\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x96"],
        ["\xE7\x9A\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x5C"],

        ["\x59\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x93"],
        ["\xE7\x9A\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x4E"],

        ["\x59\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x99"],
        ["\xE7\x9A\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x6B"],

        ["\x59\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9A"],
        ["\xE7\x9A\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x60"],

        ["\x59\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB0"],
        ["\xE7\x9A\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x4B"],

        ["\x59\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB4"],
        ["\xE7\x9A\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x61"],

        ["\x59\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB8"],
        ["\xE7\x9A\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF0"],

        ["\x59\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB9"],
        ["\xE7\x9A\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF1"],

        ["\x59\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xBA"],
        ["\xE7\x9A\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF2"],

        ["\x59\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x82"],
        ["\xE7\x9B\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF3"],

        ["\x59\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x8D"],
        ["\xE7\x9B\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF4"],

        ["\x59\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x96"],
        ["\xE7\x9B\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF5"],

        ["\x59\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x92"],
        ["\xE7\x9B\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF6"],

        ["\x59\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x9E"],
        ["\xE7\x9B\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF7"],

        ["\x59\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA1"],
        ["\xE7\x9B\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF8"],

        ["\x59\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA5"],
        ["\xE7\x9B\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xF9"],

        ["\x59\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA7"],
        ["\xE7\x9B\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x7A"],

        ["\x59\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xAA"],
        ["\xE7\x9B\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x5E"],

        ["\x59\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xAF"],
        ["\xE8\x98\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x4C"],

        ["\x59\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xBB"],
        ["\xE7\x9B\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x7E"],

        ["\x59\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x88"],
        ["\xE7\x9C\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x6E"],

        ["\x59\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x87"],
        ["\xE7\x9C\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x6F"],

        ["\x59\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x84"],
        ["\xE7\x9C\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x7C"],

        ["\x59\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA9"],
        ["\xE7\x9C\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC1"],

        ["\x59\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA4"],
        ["\xE7\x9C\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC2"],

        ["\x59\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x9E"],
        ["\xE7\x9C\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC3"],

        ["\x59\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA5"],
        ["\xE7\x9C\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC4"],

        ["\x59\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA6"],
        ["\xE7\x9C\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC5"],

        ["\x59\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x9B"],
        ["\xE7\x9C\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC6"],

        ["\x59\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB7"],
        ["\xE7\x9C\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC7"],

        ["\x59\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB8"],
        ["\xE7\x9C\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC8"],

        ["\x59\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x87"],
        ["\xE7\x9D\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC9"],

        ["\x59\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x9A"],
        ["\xE7\x9D\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD1"],

        ["\x59\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA8"],
        ["\xE7\x9D\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD2"],

        ["\x59\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xAB"],
        ["\xE7\x9D\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD3"],

        ["\x59\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x9B"],
        ["\xE7\x9D\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD4"],

        ["\x59\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA5"],
        ["\xE7\x9D\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD5"],

        ["\x59\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBF"],
        ["\xE7\x9D\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD6"],

        ["\x59\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBE"],
        ["\xE7\x9D\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD7"],

        ["\x59\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xB9"],
        ["\xE7\x9D\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD8"],

        ["\x59\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x8E"],
        ["\xE7\x9E\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD9"],

        ["\x59\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x8B"],
        ["\xE7\x9E\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xE2"],

        ["\x59\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x91"],
        ["\xE7\x9E\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xE3"],

        ["\x59\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA0"],
        ["\xE7\x9E\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xE4"],

        ["\x59\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x9E"],
        ["\xE7\x9E\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xE5"],

        ["\x59\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xB0"],
        ["\xE7\x9E\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xE6"],

        ["\x59\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xB6"],
        ["\xE7\x9E\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xE7"],

        ["\x59\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xB9"],
        ["\xE7\x9E\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xE8"],

        ["\x59\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xBF"],
        ["\xE7\x9E\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xE9"],

        ["\x59\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xBC"],
        ["\xE7\x9E\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x4A"],

        ["\x59\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xBD"],
        ["\xE7\x9E\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x5B"],

        ["\x59\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xBB"],
        ["\xE7\x9E\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x5A"],

        ["\x59\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x87"],
        ["\xE7\x9F\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x5F"],

        ["\x59\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x8D"],
        ["\xE7\x9F\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x6D"],

        ["\x59\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x97"],
        ["\xE7\x9F\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x79"],

        ["\x59\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9A"],
        ["\xE7\x9F\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x57"],

        ["\x59\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9C"],
        ["\xE7\x9F\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x59"],

        ["\x59\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA3"],
        ["\xE7\x9F\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x62"],

        ["\x59\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAE"],
        ["\xE7\x9F\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x63"],

        ["\x59\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xBC"],
        ["\xE7\x9F\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x64"],

        ["\x59\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x8C"],
        ["\xE7\xA0\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x65"],

        ["\x59\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x92"],
        ["\xE7\xA0\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x66"],

        ["\xF9\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xA6"],
        ["\xE7\xA4\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x5B"],

        ["\x59\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA0"],
        ["\xE7\xA0\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x68"],

        ["\xC5\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xAA"],
        ["\xE7\xA4\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],

        ["\x59\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x85"],
        ["\xE7\xA1\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x70"],

        ["\x59\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x8E"],
        ["\xE7\xA2\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x71"],

        ["\x59\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xB4"],
        ["\xE7\xA1\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x72"],

        ["\x59\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x86"],
        ["\xE7\xA2\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x73"],

        ["\x59\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xBC"],
        ["\xE7\xA1\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x74"],

        ["\x59\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x9A"],
        ["\xE7\xA2\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x75"],

        ["\x59\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x8C"],
        ["\xE7\xA2\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x76"],

        ["\x59\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xA3"],
        ["\xE7\xA2\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x77"],

        ["\x59\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xB5"],
        ["\xE7\xA2\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x78"],

        ["\x59\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xAA"],
        ["\xE7\xA2\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x80"],

        ["\x59\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xAF"],
        ["\xE7\xA2\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x8B"],

        ["\x59\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x91"],
        ["\xE7\xA3\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x9B"],

        ["\x59\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x86"],
        ["\xE7\xA3\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x9C"],

        ["\x59\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x8B"],
        ["\xE7\xA3\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xA0"],

        ["\x59\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x94"],
        ["\xE7\xA3\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xAB"],

        ["\x59\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xBE"],
        ["\xE7\xA2\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xB0"],

        ["\x59\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xBC"],
        ["\xE7\xA2\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xC0"],

        ["\x59\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x85"],
        ["\xE7\xA3\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\x6A"],

        ["\x59\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x8A"],
        ["\xE7\xA3\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xD0"],

        ["\x59\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xAC"],
        ["\xE7\xA3\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x59\xA1"],

        ["\x62\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA7"],
        ["\xE7\xA3\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x4F"],

        ["\x62\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x9A"],
        ["\xE7\xA3\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x7F"],

        ["\x62\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xBD"],
        ["\xE7\xA3\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x7B"],

        ["\x62\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xB4"],
        ["\xE7\xA3\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xE0"],

        ["\x62\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x87"],
        ["\xE7\xA4\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x6C"],

        ["\x62\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x92"],
        ["\xE7\xA4\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x50"],

        ["\x62\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x91"],
        ["\xE7\xA4\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x7D"],

        ["\x62\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x99"],
        ["\xE7\xA4\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x4D"],

        ["\x62\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xAC"],
        ["\xE7\xA4\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x5D"],

        ["\x62\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xAB"],
        ["\xE7\xA4\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x5C"],

        ["\x62\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x80"],
        ["\xE7\xA5\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x4E"],

        ["\x62\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA0"],
        ["\xE7\xA5\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x6B"],

        ["\x62\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x97"],
        ["\xE7\xA5\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x60"],

        ["\x62\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9F"],
        ["\xE7\xA5\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x4B"],

        ["\x62\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9A"],
        ["\xE7\xA5\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x61"],

        ["\x62\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x95"],
        ["\xE7\xA5\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF0"],

        ["\x62\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x93"],
        ["\xE7\xA5\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF1"],

        ["\x62\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xBA"],
        ["\xE7\xA5\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF2"],

        ["\x62\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xBF"],
        ["\xE7\xA5\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF3"],

        ["\x62\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x8A"],
        ["\xE7\xA6\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF4"],

        ["\x62\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x9D"],
        ["\xE7\xA6\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF5"],

        ["\x62\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xA7"],
        ["\xE7\xA6\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF6"],

        ["\x62\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x8B"],
        ["\xE9\xBD\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF7"],

        ["\x62\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xAA"],
        ["\xE7\xA6\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF8"],

        ["\x62\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xAE"],
        ["\xE7\xA6\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xF9"],

        ["\x62\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB3"],
        ["\xE7\xA6\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x7A"],

        ["\x62\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB9"],
        ["\xE7\xA6\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x5E"],

        ["\x62\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBA"],
        ["\xE7\xA6\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x4C"],

        ["\x62\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x89"],
        ["\xE7\xA7\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x7E"],

        ["\x62\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x95"],
        ["\xE7\xA7\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x6E"],

        ["\x62\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA7"],
        ["\xE7\xA7\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x6F"],

        ["\x62\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xAC"],
        ["\xE7\xA7\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x7C"],

        ["\x62\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA1"],
        ["\xE7\xA7\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC1"],

        ["\x62\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA3"],
        ["\xE7\xA7\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC2"],

        ["\x62\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x88"],
        ["\xE7\xA8\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC3"],

        ["\x62\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x8D"],
        ["\xE7\xA8\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC4"],

        ["\x62\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x98"],
        ["\xE7\xA8\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC5"],

        ["\x62\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x99"],
        ["\xE7\xA8\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC6"],

        ["\x62\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xA0"],
        ["\xE7\xA8\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC7"],

        ["\x62\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9F"],
        ["\xE7\xA8\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC8"],

        ["\x62\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x80"],
        ["\xE7\xA6\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC9"],

        ["\x62\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB1"],
        ["\xE7\xA8\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD1"],

        ["\x62\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBB"],
        ["\xE7\xA8\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD2"],

        ["\x62\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBE"],
        ["\xE7\xA8\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD3"],

        ["\x62\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB7"],
        ["\xE7\xA8\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD4"],

        ["\x62\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x83"],
        ["\xE7\xA9\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD5"],

        ["\x62\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x97"],
        ["\xE7\xA9\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD6"],

        ["\x62\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x89"],
        ["\xE7\xA9\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD7"],

        ["\x62\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA1"],
        ["\xE7\xA9\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD8"],

        ["\x62\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA2"],
        ["\xE7\xA9\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD9"],

        ["\x62\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA9"],
        ["\xE7\xA9\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xE2"],

        ["\x62\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x9D"],
        ["\xE9\xBE\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xE3"],

        ["\x62\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB0"],
        ["\xE7\xA9\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xE4"],

        ["\x62\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB9"],
        ["\xE7\xA9\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xE5"],

        ["\x62\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xBD"],
        ["\xE7\xA9\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xE6"],

        ["\x62\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x88"],
        ["\xE7\xAA\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xE7"],

        ["\x62\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x97"],
        ["\xE7\xAA\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xE8"],

        ["\x62\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x95"],
        ["\xE7\xAA\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xE9"],

        ["\x62\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x98"],
        ["\xE7\xAA\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x4A"],

        ["\x62\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x96"],
        ["\xE7\xAA\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x5B"],

        ["\x62\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xA9"],
        ["\xE7\xAA\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x5A"],

        ["\xF3\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x88"],
        ["\xE7\xAB\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\x9B"],

        ["\x62\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xB0"],
        ["\xE7\xAA\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x6D"],

        ["\x62\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xB6"],
        ["\xE7\xAA\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x79"],

        ["\x62\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x85"],
        ["\xE7\xAB\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x57"],

        ["\x62\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x84"],
        ["\xE7\xAB\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x59"],

        ["\x62\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBF"],
        ["\xE7\xAA\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x62"],

        ["\x62\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x83"],
        ["\xE9\x82\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x63"],

        ["\x62\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x87"],
        ["\xE7\xAB\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x64"],

        ["\x62\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8A"],
        ["\xE7\xAB\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x65"],

        ["\x62\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8D"],
        ["\xE7\xAB\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x66"],

        ["\x62\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8F"],
        ["\xE7\xAB\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x67"],

        ["\x62\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x95"],
        ["\xE7\xAB\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x68"],

        ["\x62\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x93"],
        ["\xE7\xAB\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x69"],

        ["\x62\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x99"],
        ["\xE7\xAB\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x70"],

        ["\x62\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x9A"],
        ["\xE7\xAB\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x71"],

        ["\x62\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x9D"],
        ["\xE7\xAB\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x72"],

        ["\x62\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA1"],
        ["\xE7\xAB\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x73"],

        ["\x62\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA2"],
        ["\xE7\xAB\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x74"],

        ["\x62\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA6"],
        ["\xE7\xAB\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x75"],

        ["\x62\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xAD"],
        ["\xE7\xAB\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x76"],

        ["\x62\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB0"],
        ["\xE7\xAB\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x77"],

        ["\x62\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x82"],
        ["\xE7\xAC\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x78"],

        ["\x62\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x8F"],
        ["\xE7\xAC\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x80"],

        ["\x62\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x8A"],
        ["\xE7\xAC\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x8B"],

        ["\x62\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x86"],
        ["\xE7\xAC\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x9B"],

        ["\x62\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB3"],
        ["\xE7\xAC\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x9C"],

        ["\x62\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x98"],
        ["\xE7\xAC\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xA0"],

        ["\x62\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x99"],
        ["\xE7\xAC\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xAB"],

        ["\x62\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x9E"],
        ["\xE7\xAC\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xB0"],

        ["\x62\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB5"],
        ["\xE7\xAC\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xC0"],

        ["\x62\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA8"],
        ["\xE7\xAC\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\x6A"],

        ["\x62\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB6"],
        ["\xE7\xAC\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xD0"],

        ["\x62\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x90"],
        ["\xE7\xAD\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x62\xA1"],

        ["\x63\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xBA"],
        ["\xE7\xAD\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x4F"],

        ["\x63\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x84"],
        ["\xE7\xAC\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x7F"],

        ["\x63\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8D"],
        ["\xE7\xAD\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x7B"],

        ["\x63\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x8B"],
        ["\xE7\xAC\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xE0"],

        ["\x63\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8C"],
        ["\xE7\xAD\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x6C"],

        ["\x63\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x85"],
        ["\xE7\xAD\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x50"],

        ["\x63\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB5"],
        ["\xE7\xAD\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x7D"],

        ["\x63\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA5"],
        ["\xE7\xAD\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x4D"],

        ["\x63\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB4"],
        ["\xE7\xAD\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x5D"],

        ["\x63\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA7"],
        ["\xE7\xAD\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x5C"],

        ["\x63\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB0"],
        ["\xE7\xAD\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x4E"],

        ["\x63\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB1"],
        ["\xE7\xAD\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x6B"],

        ["\x63\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xAC"],
        ["\xE7\xAD\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x60"],

        ["\x63\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xAE"],
        ["\xE7\xAD\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x4B"],

        ["\x63\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9D"],
        ["\xE7\xAE\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x61"],

        ["\x63\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x98"],
        ["\xE7\xAE\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF0"],

        ["\x63\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9F"],
        ["\xE7\xAE\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF1"],

        ["\x63\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x8D"],
        ["\xE7\xAE\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF2"],

        ["\x63\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9C"],
        ["\xE7\xAE\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF3"],

        ["\x63\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9A"],
        ["\xE7\xAE\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF4"],

        ["\x63\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x8B"],
        ["\xE7\xAE\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF5"],

        ["\x63\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x92"],
        ["\xE7\xAE\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF6"],

        ["\x63\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x8F"],
        ["\xE7\xAE\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF7"],

        ["\x63\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x9D"],
        ["\xE7\xAD\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF8"],

        ["\x63\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x99"],
        ["\xE7\xAE\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xF9"],

        ["\x63\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x8B"],
        ["\xE7\xAF\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x7A"],

        ["\x63\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x81"],
        ["\xE7\xAF\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x5E"],

        ["\x63\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x8C"],
        ["\xE7\xAF\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x4C"],

        ["\x63\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x8F"],
        ["\xE7\xAF\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x7E"],

        ["\x63\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xB4"],
        ["\xE7\xAE\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x6E"],

        ["\x63\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x86"],
        ["\xE7\xAF\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x6F"],

        ["\x63\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x9D"],
        ["\xE7\xAF\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x7C"],

        ["\x63\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA9"],
        ["\xE7\xAF\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC1"],

        ["\x63\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x91"],
        ["\xE7\xB0\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC2"],

        ["\x63\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x94"],
        ["\xE7\xB0\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC3"],

        ["\x63\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA6"],
        ["\xE7\xAF\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC4"],

        ["\x63\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA5"],
        ["\xE7\xAF\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC5"],

        ["\xD6\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA0"],
        ["\xE7\xB1\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD6\xF6"],

        ["\x63\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x80"],
        ["\xE7\xB0\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC7"],

        ["\x63\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x87"],
        ["\xE7\xB0\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC8"],

        ["\x63\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x93"],
        ["\xE7\xB0\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC9"],

        ["\x63\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xB3"],
        ["\xE7\xAF\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD1"],

        ["\x63\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xB7"],
        ["\xE7\xAF\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD2"],

        ["\x63\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x97"],
        ["\xE7\xB0\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD3"],

        ["\x63\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x8D"],
        ["\xE7\xB0\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD4"],

        ["\x63\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xB6"],
        ["\xE7\xAF\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD5"],

        ["\x63\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA3"],
        ["\xE7\xB0\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD6"],

        ["\x63\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA7"],
        ["\xE7\xB0\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD7"],

        ["\x63\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xAA"],
        ["\xE7\xB0\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD8"],

        ["\x63\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x9F"],
        ["\xE7\xB0\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD9"],

        ["\x63\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB7"],
        ["\xE7\xB0\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xE2"],

        ["\x63\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xAB"],
        ["\xE7\xB0\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xE3"],

        ["\x63\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xBD"],
        ["\xE7\xB0\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xE4"],

        ["\x63\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x8C"],
        ["\xE7\xB1\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xE5"],

        ["\x63\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x83"],
        ["\xE7\xB1\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xE6"],

        ["\x63\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x94"],
        ["\xE7\xB1\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xE7"],

        ["\x63\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x8F"],
        ["\xE7\xB1\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xE8"],

        ["\x63\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x80"],
        ["\xE7\xB1\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xE9"],

        ["\x63\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x90"],
        ["\xE7\xB1\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x4A"],

        ["\x63\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x98"],
        ["\xE7\xB1\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x5B"],

        ["\x63\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x9F"],
        ["\xE7\xB1\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x5A"],

        ["\x63\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA4"],
        ["\xE7\xB1\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x5F"],

        ["\x63\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x96"],
        ["\xE7\xB1\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x6D"],

        ["\x63\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA5"],
        ["\xE7\xB1\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x79"],

        ["\x63\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xAC"],
        ["\xE7\xB1\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x57"],

        ["\x63\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xB5"],
        ["\xE7\xB1\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x59"],

        ["\x63\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x83"],
        ["\xE7\xB2\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x62"],

        ["\x63\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x90"],
        ["\xE7\xB2\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x63"],

        ["\x63\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA4"],
        ["\xE7\xB2\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x64"],

        ["\x63\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xAD"],
        ["\xE7\xB2\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x65"],

        ["\x63\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA2"],
        ["\xE7\xB2\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x66"],

        ["\x63\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xAB"],
        ["\xE7\xB2\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x67"],

        ["\x63\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA1"],
        ["\xE7\xB2\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x68"],

        ["\x63\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA8"],
        ["\xE7\xB2\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x69"],

        ["\x63\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB3"],
        ["\xE7\xB2\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x70"],

        ["\x63\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB2"],
        ["\xE7\xB2\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x71"],

        ["\x63\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB1"],
        ["\xE7\xB2\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x72"],

        ["\x63\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xAE"],
        ["\xE7\xB2\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x73"],

        ["\x63\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB9"],
        ["\xE7\xB2\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x74"],

        ["\x63\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xBD"],
        ["\xE7\xB2\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x75"],

        ["\x63\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x80"],
        ["\xE7\xB3\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x76"],

        ["\x63\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x85"],
        ["\xE7\xB3\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x77"],

        ["\x63\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x82"],
        ["\xE7\xB3\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x78"],

        ["\x63\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x98"],
        ["\xE7\xB3\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x80"],

        ["\x63\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x92"],
        ["\xE7\xB3\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x8B"],

        ["\x63\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x9C"],
        ["\xE7\xB3\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x9B"],

        ["\x63\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xA2"],
        ["\xE7\xB3\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x9C"],

        ["\x63\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xBB"],
        ["\xE9\xAC\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xA0"],

        ["\x63\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xAF"],
        ["\xE7\xB3\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xAB"],

        ["\x63\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB2"],
        ["\xE7\xB3\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xB0"],

        ["\x63\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB4"],
        ["\xE7\xB3\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xC0"],

        ["\x63\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB6"],
        ["\xE7\xB3\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\x6A"],

        ["\x63\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xBA"],
        ["\xE7\xB3\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xD0"],

        ["\x63\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x86"],
        ["\xE7\xB4\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x63\xA1"],

        ["\x64\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x82"],
        ["\xE7\xB4\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x4F"],

        ["\x64\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9C"],
        ["\xE7\xB4\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x7F"],

        ["\x64\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x95"],
        ["\xE7\xB4\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x7B"],

        ["\x64\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x8A"],
        ["\xE7\xB4\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xE0"],

        ["\x64\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x85"],
        ["\xE7\xB5\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x6C"],

        ["\x64\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x8B"],
        ["\xE7\xB5\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x50"],

        ["\x64\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xAE"],
        ["\xE7\xB4\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x7D"],

        ["\x64\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB2"],
        ["\xE7\xB4\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x4D"],

        ["\x64\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xBF"],
        ["\xE7\xB4\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x5D"],

        ["\x64\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB5"],
        ["\xE7\xB4\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x5C"],

        ["\x64\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x86"],
        ["\xE7\xB5\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x4E"],

        ["\x64\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB3"],
        ["\xE7\xB5\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x6B"],

        ["\x64\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x96"],
        ["\xE7\xB5\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x60"],

        ["\x64\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x8E"],
        ["\xE7\xB5\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x4B"],

        ["\x64\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB2"],
        ["\xE7\xB5\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x61"],

        ["\x64\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA8"],
        ["\xE7\xB5\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF0"],

        ["\x64\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xAE"],
        ["\xE7\xB5\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF1"],

        ["\x64\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x8F"],
        ["\xE7\xB5\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF2"],

        ["\x64\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA3"],
        ["\xE7\xB5\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF3"],

        ["\x64\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x93"],
        ["\xE7\xB6\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF4"],

        ["\x64\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x89"],
        ["\xE7\xB6\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF5"],

        ["\x64\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x9B"],
        ["\xE7\xB5\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF6"],

        ["\x64\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x8F"],
        ["\xE7\xB6\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF7"],

        ["\x64\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xBD"],
        ["\xE7\xB5\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF8"],

        ["\x64\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9B"],
        ["\xE7\xB6\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xF9"],

        ["\x64\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBA"],
        ["\xE7\xB6\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x7A"],

        ["\x64\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAE"],
        ["\xE7\xB6\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x5E"],

        ["\x64\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA3"],
        ["\xE7\xB6\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x4C"],

        ["\x64\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB5"],
        ["\xE7\xB6\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x7E"],

        ["\x64\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x87"],
        ["\xE7\xB7\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x6E"],

        ["\x64\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBD"],
        ["\xE7\xB6\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x6F"],

        ["\x64\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAB"],
        ["\xE7\xB6\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x7C"],

        ["\x64\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xBD"],
        ["\xE7\xB8\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC1"],

        ["\x64\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA2"],
        ["\xE7\xB6\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC2"],

        ["\x64\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAF"],
        ["\xE7\xB6\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC3"],

        ["\x64\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x9C"],
        ["\xE7\xB7\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC4"],

        ["\x64\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB8"],
        ["\xE7\xB6\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC5"],

        ["\x64\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9F"],
        ["\xE7\xB6\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC6"],

        ["\x64\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB0"],
        ["\xE7\xB6\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC7"],

        ["\x64\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x98"],
        ["\xE7\xB7\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC8"],

        ["\x64\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x9D"],
        ["\xE7\xB7\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC9"],

        ["\x64\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA4"],
        ["\xE7\xB7\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD1"],

        ["\x64\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x9E"],
        ["\xE7\xB7\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD2"],

        ["\x64\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xBB"],
        ["\xE7\xB7\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD3"],

        ["\x64\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xB2"],
        ["\xE7\xB7\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD4"],

        ["\x64\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA1"],
        ["\xE7\xB7\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD5"],

        ["\x64\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x85"],
        ["\xE7\xB8\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD6"],

        ["\x64\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x8A"],
        ["\xE7\xB8\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD7"],

        ["\x64\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA3"],
        ["\xE7\xB8\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD8"],

        ["\x64\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA1"],
        ["\xE7\xB8\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD9"],

        ["\x64\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x92"],
        ["\xE7\xB8\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xE2"],

        ["\x64\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB1"],
        ["\xE7\xB8\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xE3"],

        ["\x64\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x9F"],
        ["\xE7\xB8\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xE4"],

        ["\x64\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x89"],
        ["\xE7\xB8\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xE5"],

        ["\x64\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x8B"],
        ["\xE7\xB8\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xE6"],

        ["\x64\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA2"],
        ["\xE7\xB8\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xE7"],

        ["\x64\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x86"],
        ["\xE7\xB9\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xE8"],

        ["\x64\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xA6"],
        ["\xE7\xB9\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xE9"],

        ["\x64\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xBB"],
        ["\xE7\xB8\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x4A"],

        ["\x64\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB5"],
        ["\xE7\xB8\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x5B"],

        ["\x64\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB9"],
        ["\xE7\xB8\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x5A"],

        ["\x64\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x83"],
        ["\xE7\xB9\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x5F"],

        ["\x64\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB7"],
        ["\xE7\xB8\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x6D"],

        ["\x64\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB2"],
        ["\xE7\xB8\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x79"],

        ["\x64\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xBA"],
        ["\xE7\xB8\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x57"],

        ["\x64\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xA7"],
        ["\xE7\xB9\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x59"],

        ["\x64\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x9D"],
        ["\xE7\xB9\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x62"],

        ["\x64\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x96"],
        ["\xE7\xB9\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x63"],

        ["\x64\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x9E"],
        ["\xE7\xB9\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x64"],

        ["\x64\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x99"],
        ["\xE7\xB9\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x65"],

        ["\x64\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x9A"],
        ["\xE7\xB9\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x66"],

        ["\x64\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xB9"],
        ["\xE7\xB9\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x67"],

        ["\x64\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xAA"],
        ["\xE7\xB9\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x68"],

        ["\x64\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xA9"],
        ["\xE7\xB9\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x69"],

        ["\x64\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBC"],
        ["\xE7\xB9\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x70"],

        ["\x64\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBB"],
        ["\xE7\xB9\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x71"],

        ["\x64\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x83"],
        ["\xE7\xBA\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x72"],

        ["\x64\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x95"],
        ["\xE7\xB7\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x73"],

        ["\x64\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBD"],
        ["\xE7\xB9\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x74"],

        ["\x64\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xAE"],
        ["\xE8\xBE\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x75"],

        ["\x64\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBF"],
        ["\xE7\xB9\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x76"],

        ["\x64\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x88"],
        ["\xE7\xBA\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x77"],

        ["\x64\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x89"],
        ["\xE7\xBA\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x78"],

        ["\x64\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8C"],
        ["\xE7\xBA\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x80"],

        ["\x64\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x92"],
        ["\xE7\xBA\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x8B"],

        ["\x64\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x90"],
        ["\xE7\xBA\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x9B"],

        ["\x64\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x93"],
        ["\xE7\xBA\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x9C"],

        ["\x64\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x94"],
        ["\xE7\xBA\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xA0"],

        ["\x64\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x96"],
        ["\xE7\xBA\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xAB"],

        ["\x64\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8E"],
        ["\xE7\xBA\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xB0"],

        ["\x64\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x9B"],
        ["\xE7\xBA\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xC0"],

        ["\x64\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x9C"],
        ["\xE7\xBA\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\x6A"],

        ["\x64\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xB8"],
        ["\xE7\xBC\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xD0"],

        ["\x64\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xBA"],
        ["\xE7\xBC\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x64\xA1"],

        ["\x65\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x85"],
        ["\xE7\xBD\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x4F"],

        ["\x65\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x8C"],
        ["\xE7\xBD\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x7F"],

        ["\x65\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x8D"],
        ["\xE7\xBD\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x7B"],

        ["\x65\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x8E"],
        ["\xE7\xBD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xE0"],

        ["\x65\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x90"],
        ["\xE7\xBD\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x6C"],

        ["\x65\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x91"],
        ["\xE7\xBD\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x50"],

        ["\x65\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x95"],
        ["\xE7\xBD\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x7D"],

        ["\x65\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x94"],
        ["\xE7\xBD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x4D"],

        ["\x65\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x98"],
        ["\xE7\xBD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x5D"],

        ["\x65\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x9F"],
        ["\xE7\xBD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x5C"],

        ["\x65\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA0"],
        ["\xE7\xBD\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x4E"],

        ["\x65\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA8"],
        ["\xE7\xBD\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x6B"],

        ["\x65\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA9"],
        ["\xE7\xBD\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x60"],

        ["\x65\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA7"],
        ["\xE7\xBD\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x4B"],

        ["\x65\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB8"],
        ["\xE7\xBD\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x61"],

        ["\x65\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x82"],
        ["\xE7\xBE\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF0"],

        ["\x65\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x86"],
        ["\xE7\xBE\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF1"],

        ["\x65\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x83"],
        ["\xE7\xBE\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF2"],

        ["\x65\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x88"],
        ["\xE7\xBE\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF3"],

        ["\x65\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x87"],
        ["\xE7\xBE\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF4"],

        ["\x65\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x8C"],
        ["\xE7\xBE\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF5"],

        ["\x65\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x94"],
        ["\xE7\xBE\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF6"],

        ["\x65\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x9E"],
        ["\xE7\xBE\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF7"],

        ["\x65\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x9D"],
        ["\xE7\xBE\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF8"],

        ["\x65\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x9A"],
        ["\xE7\xBE\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xF9"],

        ["\x65\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA3"],
        ["\xE7\xBE\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x7A"],

        ["\x65\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xAF"],
        ["\xE7\xBE\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x5E"],

        ["\x65\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xB2"],
        ["\xE7\xBE\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x4C"],

        ["\x65\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xB9"],
        ["\xE7\xBE\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x7E"],

        ["\x65\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xAE"],
        ["\xE7\xBE\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x6E"],

        ["\x65\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xB6"],
        ["\xE7\xBE\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x6F"],

        ["\x65\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xB8"],
        ["\xE7\xBE\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x7C"],

        ["\x65\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB1"],
        ["\xE8\xAD\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC1"],

        ["\x65\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x85"],
        ["\xE7\xBF\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC2"],

        ["\x65\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x86"],
        ["\xE7\xBF\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC3"],

        ["\x65\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x8A"],
        ["\xE7\xBF\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC4"],

        ["\x65\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x95"],
        ["\xE7\xBF\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC5"],

        ["\x65\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x94"],
        ["\xE7\xBF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC6"],

        ["\x65\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA1"],
        ["\xE7\xBF\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC7"],

        ["\x65\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA6"],
        ["\xE7\xBF\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC8"],

        ["\x65\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA9"],
        ["\xE7\xBF\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC9"],

        ["\x65\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xB3"],
        ["\xE7\xBF\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD1"],

        ["\x65\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xB9"],
        ["\xE7\xBF\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD2"],

        ["\x65\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x9C"],
        ["\xE9\xA3\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD3"],

        ["\x65\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x86"],
        ["\xE8\x80\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD4"],

        ["\x65\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x84"],
        ["\xE8\x80\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD5"],

        ["\x65\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x8B"],
        ["\xE8\x80\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD6"],

        ["\x65\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x92"],
        ["\xE8\x80\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD7"],

        ["\x65\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x98"],
        ["\xE8\x80\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD8"],

        ["\x65\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x99"],
        ["\xE8\x80\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD9"],

        ["\x65\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x9C"],
        ["\xE8\x80\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xE2"],

        ["\x65\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xA1"],
        ["\xE8\x80\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xE3"],

        ["\x65\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xA8"],
        ["\xE8\x80\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xE4"],

        ["\x65\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xBF"],
        ["\xE8\x80\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xE5"],

        ["\x65\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xBB"],
        ["\xE8\x80\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xE6"],

        ["\x65\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x8A"],
        ["\xE8\x81\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xE7"],

        ["\x65\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x86"],
        ["\xE8\x81\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xE8"],

        ["\x65\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x92"],
        ["\xE8\x81\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xE9"],

        ["\x65\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x98"],
        ["\xE8\x81\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x4A"],

        ["\x65\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x9A"],
        ["\xE8\x81\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x5B"],

        ["\x65\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x9F"],
        ["\xE8\x81\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x5A"],

        ["\x65\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xA2"],
        ["\xE8\x81\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x5F"],

        ["\x65\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xA8"],
        ["\xE8\x81\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x6D"],

        ["\x65\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB3"],
        ["\xE8\x81\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x79"],

        ["\x65\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB2"],
        ["\xE8\x81\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x57"],

        ["\x65\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB0"],
        ["\xE8\x81\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x59"],

        ["\x65\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB6"],
        ["\xE8\x81\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x62"],

        ["\x65\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB9"],
        ["\xE8\x81\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x63"],

        ["\x65\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xBD"],
        ["\xE8\x81\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x64"],

        ["\x65\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xBF"],
        ["\xE8\x81\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x65"],

        ["\x65\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x84"],
        ["\xE8\x82\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x66"],

        ["\x65\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x86"],
        ["\xE8\x82\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x67"],

        ["\x65\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x85"],
        ["\xE8\x82\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x68"],

        ["\x65\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x9B"],
        ["\xE8\x82\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x69"],

        ["\x65\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x93"],
        ["\xE8\x82\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x70"],

        ["\x65\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x9A"],
        ["\xE8\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x71"],

        ["\x65\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xAD"],
        ["\xE8\x82\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x72"],

        ["\x65\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x90"],
        ["\xE5\x86\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x73"],

        ["\x65\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xAC"],
        ["\xE8\x82\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x74"],

        ["\x65\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x9B"],
        ["\xE8\x83\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x75"],

        ["\x65\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA5"],
        ["\xE8\x83\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x76"],

        ["\x65\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x99"],
        ["\xE8\x83\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x77"],

        ["\x65\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x9D"],
        ["\xE8\x83\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x78"],

        ["\x65\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x84"],
        ["\xE8\x83\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x80"],

        ["\x65\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x9A"],
        ["\xE8\x83\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x8B"],

        ["\x65\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x96"],
        ["\xE8\x83\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x9B"],

        ["\x65\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x89"],
        ["\xE8\x84\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x9C"],

        ["\x65\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xAF"],
        ["\xE8\x83\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xA0"],

        ["\x65\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB1"],
        ["\xE8\x83\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xAB"],

        ["\x65\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x9B"],
        ["\xE8\x84\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xB0"],

        ["\x65\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xA9"],
        ["\xE8\x84\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xC0"],

        ["\x65\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xA3"],
        ["\xE8\x84\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\x6A"],

        ["\x65\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xAF"],
        ["\xE8\x84\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xD0"],

        ["\x65\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x8B"],
        ["\xE8\x85\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x65\xA1"],

        ["\x66\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8B"],
        ["\xE9\x9A\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x4F"],

        ["\x66\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x86"],
        ["\xE8\x85\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x7F"],

        ["\x66\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xBE"],
        ["\xE8\x84\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x7B"],

        ["\x66\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x93"],
        ["\xE8\x85\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xE0"],

        ["\x66\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x91"],
        ["\xE8\x85\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x6C"],

        ["\x66\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xBC"],
        ["\xE8\x83\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x50"],

        ["\x66\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB1"],
        ["\xE8\x85\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x7D"],

        ["\x66\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xAE"],
        ["\xE8\x85\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x4D"],

        ["\x66\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA5"],
        ["\xE8\x85\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x5D"],

        ["\x66\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA6"],
        ["\xE8\x85\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x5C"],

        ["\x66\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB4"],
        ["\xE8\x85\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x4E"],

        ["\x66\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x83"],
        ["\xE8\x86\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x6B"],

        ["\x66\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x88"],
        ["\xE8\x86\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x60"],

        ["\x66\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x8A"],
        ["\xE8\x86\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x4B"],

        ["\x66\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x80"],
        ["\xE8\x86\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x61"],

        ["\x66\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x82"],
        ["\xE8\x86\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF0"],

        ["\x66\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA0"],
        ["\xE8\x86\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF1"],

        ["\x66\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x95"],
        ["\xE8\x86\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF2"],

        ["\x66\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA4"],
        ["\xE8\x86\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF3"],

        ["\x66\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA3"],
        ["\xE8\x86\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF4"],

        ["\x66\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x9F"],
        ["\xE8\x85\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF5"],

        ["\x66\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x93"],
        ["\xE8\x86\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF6"],

        ["\x66\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA9"],
        ["\xE8\x86\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF7"],

        ["\x66\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB0"],
        ["\xE8\x86\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF8"],

        ["\x66\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB5"],
        ["\xE8\x86\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xF9"],

        ["\x66\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBE"],
        ["\xE8\x86\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x7A"],

        ["\x66\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB8"],
        ["\xE8\x86\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x5E"],

        ["\x66\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBD"],
        ["\xE8\x86\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x4C"],

        ["\x66\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x80"],
        ["\xE8\x87\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x7E"],

        ["\x66\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x82"],
        ["\xE8\x87\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x6E"],

        ["\x66\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBA"],
        ["\xE8\x86\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x6F"],

        ["\x66\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x89"],
        ["\xE8\x87\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x7C"],

        ["\x66\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x8D"],
        ["\xE8\x87\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC1"],

        ["\x66\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x91"],
        ["\xE8\x87\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC2"],

        ["\x66\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x99"],
        ["\xE8\x87\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC3"],

        ["\x66\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x98"],
        ["\xE8\x87\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC4"],

        ["\x66\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x88"],
        ["\xE8\x87\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC5"],

        ["\x66\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x9A"],
        ["\xE8\x87\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC6"],

        ["\x66\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x9F"],
        ["\xE8\x87\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC7"],

        ["\x66\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA0"],
        ["\xE8\x87\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC8"],

        ["\x66\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA7"],
        ["\xE8\x87\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC9"],

        ["\x66\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBA"],
        ["\xE8\x87\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD1"],

        ["\x66\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBB"],
        ["\xE8\x87\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD2"],

        ["\x66\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBE"],
        ["\xE8\x87\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD3"],

        ["\x66\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x81"],
        ["\xE8\x88\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD4"],

        ["\x66\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x82"],
        ["\xE8\x88\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD5"],

        ["\x66\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x85"],
        ["\xE8\x88\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD6"],

        ["\x66\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x87"],
        ["\xE8\x88\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD7"],

        ["\x66\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x8A"],
        ["\xE8\x88\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD8"],

        ["\x66\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x8D"],
        ["\xE8\x88\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD9"],

        ["\x66\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x90"],
        ["\xE8\x88\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xE2"],

        ["\x66\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x96"],
        ["\xE8\x88\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xE3"],

        ["\x66\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xA9"],
        ["\xE8\x88\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xE4"],

        ["\x66\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xAB"],
        ["\xE8\x88\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xE5"],

        ["\x66\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB8"],
        ["\xE8\x88\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xE6"],

        ["\x66\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB3"],
        ["\xE8\x88\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xE7"],

        ["\x66\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x80"],
        ["\xE8\x89\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xE8"],

        ["\x66\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x99"],
        ["\xE8\x89\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xE9"],

        ["\x66\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x98"],
        ["\xE8\x89\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x4A"],

        ["\x66\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x9D"],
        ["\xE8\x89\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x5B"],

        ["\x66\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x9A"],
        ["\xE8\x89\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x5A"],

        ["\x66\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x9F"],
        ["\xE8\x89\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x5F"],

        ["\x66\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA4"],
        ["\xE8\x89\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x6D"],

        ["\x66\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA2"],
        ["\xE8\x89\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x79"],

        ["\x66\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA8"],
        ["\xE8\x89\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x57"],

        ["\x66\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xAA"],
        ["\xE8\x89\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x59"],

        ["\x66\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xAB"],
        ["\xE8\x89\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x62"],

        ["\x66\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xAE"],
        ["\xE8\x88\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x63"],

        ["\x66\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB1"],
        ["\xE8\x89\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x64"],

        ["\x66\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB7"],
        ["\xE8\x89\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x65"],

        ["\x66\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB8"],
        ["\xE8\x89\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x66"],

        ["\x66\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xBE"],
        ["\xE8\x89\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x67"],

        ["\x66\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x8D"],
        ["\xE8\x8A\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x68"],

        ["\x66\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x92"],
        ["\xE8\x8A\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x69"],

        ["\x66\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAB"],
        ["\xE8\x8A\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x70"],

        ["\x66\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x9F"],
        ["\xE8\x8A\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x71"],

        ["\x66\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBB"],
        ["\xE8\x8A\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x72"],

        ["\x66\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAC"],
        ["\xE8\x8A\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x73"],

        ["\x66\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA1"],
        ["\xE8\x8B\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x74"],

        ["\x66\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA3"],
        ["\xE8\x8B\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x75"],

        ["\x66\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x9F"],
        ["\xE8\x8B\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x76"],

        ["\x66\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x92"],
        ["\xE8\x8B\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x77"],

        ["\x66\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB4"],
        ["\xE8\x8B\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x78"],

        ["\x66\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB3"],
        ["\xE8\x8B\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x80"],

        ["\x66\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xBA"],
        ["\xE8\x8B\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x8B"],

        ["\x66\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x93"],
        ["\xE8\x8E\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x9B"],

        ["\x66\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x83"],
        ["\xE8\x8C\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x9C"],

        ["\x66\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xBB"],
        ["\xE8\x8B\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xA0"],

        ["\x66\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB9"],
        ["\xE8\x8B\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xAB"],

        ["\x66\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x9E"],
        ["\xE8\x8B\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xB0"],

        ["\x66\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x86"],
        ["\xE8\x8C\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xC0"],

        ["\x66\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x9C"],
        ["\xE8\x8B\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\x6A"],

        ["\x66\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x89"],
        ["\xE8\x8C\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xD0"],

        ["\x66\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x99"],
        ["\xE8\x8B\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x66\xA1"],

        ["\x67\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB5"],
        ["\xE8\x8C\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x4F"],

        ["\x67\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB4"],
        ["\xE8\x8C\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x7F"],

        ["\x67\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x96"],
        ["\xE8\x8C\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x7B"],

        ["\x67\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB2"],
        ["\xE8\x8C\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xE0"],

        ["\x67\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB1"],
        ["\xE8\x8C\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x6C"],

        ["\x67\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x80"],
        ["\xE8\x8D\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x50"],

        ["\x67\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB9"],
        ["\xE8\x8C\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x7D"],

        ["\x67\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x90"],
        ["\xE8\x8D\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x4D"],

        ["\x67\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x85"],
        ["\xE8\x8D\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x5D"],

        ["\x67\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xAF"],
        ["\xE8\x8C\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x5C"],

        ["\x67\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xAB"],
        ["\xE8\x8C\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x4E"],

        ["\x67\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x97"],
        ["\xE8\x8C\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x6B"],

        ["\x67\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x98"],
        ["\xE8\x8C\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x60"],

        ["\x67\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x85"],
        ["\xE8\x8E\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x4B"],

        ["\x67\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9A"],
        ["\xE8\x8E\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x61"],

        ["\x67\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xAA"],
        ["\xE8\x8E\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF0"],

        ["\x67\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9F"],
        ["\xE8\x8E\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF1"],

        ["\x67\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA2"],
        ["\xE8\x8E\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF2"],

        ["\x67\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x96"],
        ["\xE8\x8E\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF3"],

        ["\x67\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xA3"],
        ["\xE8\x8C\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF4"],

        ["\x67\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x8E"],
        ["\xE8\x8E\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF5"],

        ["\x67\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x87"],
        ["\xE8\x8E\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF6"],

        ["\x67\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x8A"],
        ["\xE8\x8E\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF7"],

        ["\x67\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xBC"],
        ["\xE8\x8D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF8"],

        ["\x67\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xB5"],
        ["\xE8\x8E\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xF9"],

        ["\x67\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xB3"],
        ["\xE8\x8D\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x7A"],

        ["\x67\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xB5"],
        ["\xE8\x8D\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x5E"],

        ["\x67\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA0"],
        ["\xE8\x8E\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x4C"],

        ["\x67\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x89"],
        ["\xE8\x8E\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x7E"],

        ["\x67\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA8"],
        ["\xE8\x8E\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x6E"],

        ["\x67\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB4"],
        ["\xE8\x8F\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x6F"],

        ["\x67\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x93"],
        ["\xE8\x90\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x7C"],

        ["\x67\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xAB"],
        ["\xE8\x8F\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC1"],

        ["\x67\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x8E"],
        ["\xE8\x8F\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC2"],

        ["\x67\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xBD"],
        ["\xE8\x8F\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC3"],

        ["\x67\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x83"],
        ["\xE8\x90\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC4"],

        ["\x67\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x98"],
        ["\xE8\x8F\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC5"],

        ["\x67\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8B"],
        ["\xE8\x90\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC6"],

        ["\x67\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x81"],
        ["\xE8\x8F\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC7"],

        ["\x67\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB7"],
        ["\xE8\x8F\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC8"],

        ["\x67\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x87"],
        ["\xE8\x90\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC9"],

        ["\x67\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xA0"],
        ["\xE8\x8F\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD1"],

        ["\x67\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB2"],
        ["\xE8\x8F\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD2"],

        ["\x67\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8D"],
        ["\xE8\x90\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD3"],

        ["\x67\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xA2"],
        ["\xE8\x90\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD4"],

        ["\x67\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xA0"],
        ["\xE8\x90\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD5"],

        ["\x67\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xBD"],
        ["\xE8\x8E\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD6"],

        ["\x67\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xB8"],
        ["\xE8\x90\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD7"],

        ["\x67\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x86"],
        ["\xE8\x94\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD8"],

        ["\x67\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xBB"],
        ["\xE8\x8F\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD9"],

        ["\x67\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAD"],
        ["\xE8\x91\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xE2"],

        ["\x67\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xAA"],
        ["\xE8\x90\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xE3"],

        ["\x67\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xBC"],
        ["\xE8\x90\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xE4"],

        ["\x67\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x9A"],
        ["\xE8\x95\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xE5"],

        ["\x67\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x84"],
        ["\xE8\x92\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xE6"],

        ["\x67\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB7"],
        ["\xE8\x91\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xE7"],

        ["\x67\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAB"],
        ["\xE8\x91\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xE8"],

        ["\x67\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xAD"],
        ["\xE8\x92\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xE9"],

        ["\x67\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAE"],
        ["\xE8\x91\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x4A"],

        ["\x67\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x82"],
        ["\xE8\x92\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x5B"],

        ["\x67\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA9"],
        ["\xE8\x91\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x5A"],

        ["\x67\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x86"],
        ["\xE8\x91\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x5F"],

        ["\x67\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xAC"],
        ["\xE8\x90\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x6D"],

        ["\x67\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAF"],
        ["\xE8\x91\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x79"],

        ["\x67\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB9"],
        ["\xE8\x91\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x57"],

        ["\x67\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xB5"],
        ["\xE8\x90\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x59"],

        ["\x67\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8A"],
        ["\xE8\x93\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x62"],

        ["\x67\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA2"],
        ["\xE8\x91\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x63"],

        ["\x67\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xB9"],
        ["\xE8\x92\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x64"],

        ["\x67\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBF"],
        ["\xE8\x92\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x65"],

        ["\x67\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x9F"],
        ["\xE8\x92\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x66"],

        ["\x67\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x99"],
        ["\xE8\x93\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x67"],

        ["\x67\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8D"],
        ["\xE8\x93\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x68"],

        ["\x67\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBB"],
        ["\xE8\x92\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x69"],

        ["\x67\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x9A"],
        ["\xE8\x93\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x70"],

        ["\x67\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x90"],
        ["\xE8\x93\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x71"],

        ["\x67\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x81"],
        ["\xE8\x93\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x72"],

        ["\x67\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x86"],
        ["\xE8\x93\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x73"],

        ["\x67\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x96"],
        ["\xE8\x93\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x74"],

        ["\x67\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xA1"],
        ["\xE8\x92\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x75"],

        ["\x67\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA1"],
        ["\xE8\x94\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x76"],

        ["\x67\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xBF"],
        ["\xE8\x93\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x77"],

        ["\x67\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xB4"],
        ["\xE8\x93\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x78"],

        ["\x67\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x97"],
        ["\xE8\x94\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x80"],

        ["\x67\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x98"],
        ["\xE8\x94\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x8B"],

        ["\x67\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xAC"],
        ["\xE8\x94\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x9B"],

        ["\x67\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x9F"],
        ["\xE8\x94\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x9C"],

        ["\x67\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x95"],
        ["\xE8\x94\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xA0"],

        ["\x67\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x94"],
        ["\xE8\x94\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xAB"],

        ["\x67\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xBC"],
        ["\xE8\x93\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xB0"],

        ["\x67\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x80"],
        ["\xE8\x95\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xC0"],

        ["\x67\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA3"],
        ["\xE8\x95\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\x6A"],

        ["\x67\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x98"],
        ["\xE8\x95\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xD0"],

        ["\x67\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x88"],
        ["\xE8\x95\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x67\xA1"],

        ["\x68\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x81"],
        ["\xE8\x95\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x4F"],

        ["\x4C\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x82"],
        ["\xE8\x98\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x4C\xC9"],

        ["\x68\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x8B"],
        ["\xE8\x95\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x7B"],

        ["\x68\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x95"],
        ["\xE8\x95\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xE0"],

        ["\x68\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x80"],
        ["\xE8\x96\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x6C"],

        ["\x68\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA4"],
        ["\xE8\x96\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x50"],

        ["\x68\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x88"],
        ["\xE8\x96\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x7D"],

        ["\x68\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x91"],
        ["\xE8\x96\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x4D"],

        ["\x68\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x8A"],
        ["\xE8\x96\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x5D"],

        ["\x68\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA8"],
        ["\xE8\x96\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x5C"],

        ["\x68\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xAD"],
        ["\xE8\x95\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x4E"],

        ["\x68\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x94"],
        ["\xE8\x96\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x6B"],

        ["\x68\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x9B"],
        ["\xE8\x96\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x60"],

        ["\xD3\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xAA"],
        ["\xE8\x97\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD3\xAB"],

        ["\x68\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x87"],
        ["\xE8\x96\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x61"],

        ["\x68\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x9C"],
        ["\xE8\x96\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF0"],

        ["\x68\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xB7"],
        ["\xE8\x95\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF1"],

        ["\x68\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBE"],
        ["\xE8\x95\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF2"],

        ["\x68\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x90"],
        ["\xE8\x96\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF3"],

        ["\x68\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x89"],
        ["\xE8\x97\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF4"],

        ["\x68\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xBA"],
        ["\xE8\x96\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF5"],

        ["\x68\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8F"],
        ["\xE8\x97\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF6"],

        ["\x68\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xB9"],
        ["\xE8\x96\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF7"],

        ["\x68\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x90"],
        ["\xE8\x97\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF8"],

        ["\x68\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x95"],
        ["\xE8\x97\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xF9"],

        ["\x68\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x9D"],
        ["\xE8\x97\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x7A"],

        ["\x68\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA5"],
        ["\xE8\x97\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x5E"],

        ["\x68\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x9C"],
        ["\xE8\x97\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x4C"],

        ["\x68\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xB9"],
        ["\xE8\x97\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x7E"],

        ["\x68\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x8A"],
        ["\xE8\x98\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x6E"],

        ["\x68\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x93"],
        ["\xE8\x98\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x6F"],

        ["\x68\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x8B"],
        ["\xE8\x98\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x7C"],

        ["\x68\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xBE"],
        ["\xE8\x97\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC1"],

        ["\x68\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xBA"],
        ["\xE8\x97\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC2"],

        ["\x68\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x86"],
        ["\xE8\x98\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC3"],

        ["\x68\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA2"],
        ["\xE8\x98\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC4"],

        ["\x68\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x9A"],
        ["\xE8\x98\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC5"],

        ["\x68\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xB0"],
        ["\xE8\x98\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC6"],

        ["\x68\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xBF"],
        ["\xE8\x98\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC7"],

        ["\x68\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x8D"],
        ["\xE8\x99\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC8"],

        ["\x68\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x95"],
        ["\xE4\xB9\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC9"],

        ["\x68\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x94"],
        ["\xE8\x99\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD1"],

        ["\x68\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9F"],
        ["\xE8\x99\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD2"],

        ["\x68\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xA7"],
        ["\xE8\x99\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD3"],

        ["\x68\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xB1"],
        ["\xE8\x99\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD4"],

        ["\x68\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x93"],
        ["\xE8\x9A\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD5"],

        ["\x68\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xA3"],
        ["\xE8\x9A\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD6"],

        ["\x68\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xA9"],
        ["\xE8\x9A\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD7"],

        ["\x68\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xAA"],
        ["\xE8\x9A\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD8"],

        ["\x68\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x8B"],
        ["\xE8\x9A\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD9"],

        ["\x68\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x8C"],
        ["\xE8\x9A\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xE2"],

        ["\x68\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB6"],
        ["\xE8\x9A\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xE3"],

        ["\x68\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xAF"],
        ["\xE8\x9A\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xE4"],

        ["\x68\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x84"],
        ["\xE8\x9B\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xE5"],

        ["\x68\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x86"],
        ["\xE8\x9B\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xE6"],

        ["\x68\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB0"],
        ["\xE8\x9A\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xE7"],

        ["\x68\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x89"],
        ["\xE8\x9B\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xE8"],

        ["\xF3\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA3"],
        ["\xE8\xA0\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF3\xC2"],

        ["\x68\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xAB"],
        ["\xE8\x9A\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x4A"],

        ["\x68\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x94"],
        ["\xE8\x9B\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x5B"],

        ["\x68\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x9E"],
        ["\xE8\x9B\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x5A"],

        ["\x68\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xA9"],
        ["\xE8\x9B\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x5F"],

        ["\x68\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xAC"],
        ["\xE8\x9B\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x6D"],

        ["\x68\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x9F"],
        ["\xE8\x9B\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x79"],

        ["\x68\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x9B"],
        ["\xE8\x9B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x57"],

        ["\x68\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xAF"],
        ["\xE8\x9B\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x59"],

        ["\x68\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x92"],
        ["\xE8\x9C\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x62"],

        ["\x68\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x86"],
        ["\xE8\x9C\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x63"],

        ["\x68\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x88"],
        ["\xE8\x9C\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x64"],

        ["\x68\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x80"],
        ["\xE8\x9C\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x65"],

        ["\x68\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x83"],
        ["\xE8\x9C\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x66"],

        ["\x68\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBB"],
        ["\xE8\x9B\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x67"],

        ["\x68\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x91"],
        ["\xE8\x9C\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x68"],

        ["\x68\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x89"],
        ["\xE8\x9C\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x69"],

        ["\x68\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x8D"],
        ["\xE8\x9C\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x70"],

        ["\x68\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xB9"],
        ["\xE8\x9B\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x71"],

        ["\x68\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x8A"],
        ["\xE8\x9C\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x72"],

        ["\x68\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xB4"],
        ["\xE8\x9C\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x73"],

        ["\x68\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xBF"],
        ["\xE8\x9C\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x74"],

        ["\x68\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xB7"],
        ["\xE8\x9C\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x75"],

        ["\x68\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xBB"],
        ["\xE8\x9C\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x76"],

        ["\x68\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xA5"],
        ["\xE8\x9C\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x77"],

        ["\x68\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xA9"],
        ["\xE8\x9C\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x78"],

        ["\x68\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x9A"],
        ["\xE8\x9C\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x80"],

        ["\x68\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA0"],
        ["\xE8\x9D\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x8B"],

        ["\x68\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x9F"],
        ["\xE8\x9D\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x9B"],

        ["\x68\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB8"],
        ["\xE8\x9D\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x9C"],

        ["\x68\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x8C"],
        ["\xE8\x9D\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xA0"],

        ["\x68\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x8E"],
        ["\xE8\x9D\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xAB"],

        ["\x68\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB4"],
        ["\xE8\x9D\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xB0"],

        ["\x68\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x97"],
        ["\xE8\x9D\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xC0"],

        ["\x68\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA8"],
        ["\xE8\x9D\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\x6A"],

        ["\x68\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xAE"],
        ["\xE8\x9D\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xD0"],

        ["\x68\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x99"],
        ["\xE8\x9D\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x68\xA1"],

        ["\x69\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x93"],
        ["\xE8\x9D\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x4F"],

        ["\x69\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA3"],
        ["\xE8\x9D\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x7F"],

        ["\x69\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xAA"],
        ["\xE8\x9D\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x7B"],

        ["\xC7\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x85"],
        ["\xE8\xA0\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC7\x67"],

        ["\x69\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xA2"],
        ["\xE8\x9E\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x6C"],

        ["\x69\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x9F"],
        ["\xE8\x9E\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x50"],

        ["\x69\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x82"],
        ["\xE8\x9E\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x7D"],

        ["\x69\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xAF"],
        ["\xE8\x9E\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x4D"],

        ["\x69\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x8B"],
        ["\xE8\x9F\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x5D"],

        ["\x69\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xBD"],
        ["\xE8\x9E\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x5C"],

        ["\x69\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x80"],
        ["\xE8\x9F\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x4E"],

        ["\x69\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x90"],
        ["\xE8\x9F\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x6B"],

        ["\x69\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x96"],
        ["\xE9\x9B\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x60"],

        ["\x69\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xAB"],
        ["\xE8\x9E\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x4B"],

        ["\x69\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x84"],
        ["\xE8\x9F\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x61"],

        ["\x69\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xB3"],
        ["\xE8\x9E\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF0"],

        ["\x69\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x87"],
        ["\xE8\x9F\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF1"],

        ["\x69\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x86"],
        ["\xE8\x9F\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF2"],

        ["\x69\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xBB"],
        ["\xE8\x9E\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF3"],

        ["\x69\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAF"],
        ["\xE8\x9F\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF4"],

        ["\x69\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB2"],
        ["\xE8\x9F\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF5"],

        ["\x69\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xA0"],
        ["\xE8\x9F\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF6"],

        ["\x69\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8F"],
        ["\xE8\xA0\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF7"],

        ["\x69\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8D"],
        ["\xE8\xA0\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF8"],

        ["\x69\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xBE"],
        ["\xE8\x9F\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xF9"],

        ["\x69\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB6"],
        ["\xE8\x9F\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x7A"],

        ["\x69\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB7"],
        ["\xE8\x9F\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x5E"],

        ["\x69\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8E"],
        ["\xE8\xA0\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x4C"],

        ["\x69\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x92"],
        ["\xE8\x9F\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x7E"],

        ["\x69\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x91"],
        ["\xE8\xA0\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x6E"],

        ["\x69\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x96"],
        ["\xE8\xA0\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x6F"],

        ["\x69\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x95"],
        ["\xE8\xA0\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x7C"],

        ["\x69\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA2"],
        ["\xE8\xA0\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC1"],

        ["\x69\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA1"],
        ["\xE8\xA0\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC2"],

        ["\x69\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xB1"],
        ["\xE8\xA0\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC3"],

        ["\x69\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xB6"],
        ["\xE8\xA0\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC4"],

        ["\x69\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xB9"],
        ["\xE8\xA0\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC5"],

        ["\x69\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA7"],
        ["\xE8\xA0\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC6"],

        ["\x69\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xBB"],
        ["\xE8\xA0\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC7"],

        ["\x69\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x84"],
        ["\xE8\xA1\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC8"],

        ["\x69\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x82"],
        ["\xE8\xA1\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC9"],

        ["\x69\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x92"],
        ["\xE8\xA1\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD1"],

        ["\x69\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x99"],
        ["\xE8\xA1\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD2"],

        ["\x69\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x9E"],
        ["\xE8\xA1\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD3"],

        ["\x69\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA2"],
        ["\xE8\xA1\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD4"],

        ["\x69\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xAB"],
        ["\xE8\xA1\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD5"],

        ["\x69\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x81"],
        ["\xE8\xA2\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD6"],

        ["\x69\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xBE"],
        ["\xE8\xA1\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD7"],

        ["\x69\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x9E"],
        ["\xE8\xA2\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD8"],

        ["\x69\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xB5"],
        ["\xE8\xA1\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD9"],

        ["\x69\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xBD"],
        ["\xE8\xA1\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xE2"],

        ["\x69\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB5"],
        ["\xE8\xA2\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xE3"],

        ["\x69\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xB2"],
        ["\xE8\xA1\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xE4"],

        ["\x69\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x82"],
        ["\xE8\xA2\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xE5"],

        ["\x69\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x97"],
        ["\xE8\xA2\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xE6"],

        ["\x69\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x92"],
        ["\xE8\xA2\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xE7"],

        ["\x69\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xAE"],
        ["\xE8\xA2\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xE8"],

        ["\x69\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x99"],
        ["\xE8\xA2\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xE9"],

        ["\x69\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xA2"],
        ["\xE8\xA2\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x4A"],

        ["\x69\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x8D"],
        ["\xE8\xA2\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x5B"],

        ["\x69\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xA4"],
        ["\xE8\xA2\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x5A"],

        ["\x69\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB0"],
        ["\xE8\xA2\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x5F"],

        ["\x69\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xBF"],
        ["\xE8\xA2\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x6D"],

        ["\x69\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB1"],
        ["\xE8\xA2\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x79"],

        ["\x69\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x83"],
        ["\xE8\xA3\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x57"],

        ["\x69\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x84"],
        ["\xE8\xA3\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x59"],

        ["\x69\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x94"],
        ["\xE8\xA3\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x62"],

        ["\x69\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x98"],
        ["\xE8\xA3\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x63"],

        ["\x69\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x99"],
        ["\xE8\xA3\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x64"],

        ["\x69\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x9D"],
        ["\xE8\xA3\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x65"],

        ["\x69\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB9"],
        ["\xE8\xA3\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x66"],

        ["\x69\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x82"],
        ["\xE8\xA4\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x67"],

        ["\x69\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xBC"],
        ["\xE8\xA3\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x68"],

        ["\x69\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB4"],
        ["\xE8\xA3\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x69"],

        ["\x69\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xA8"],
        ["\xE8\xA3\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x70"],

        ["\x69\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB2"],
        ["\xE8\xA3\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x71"],

        ["\x69\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x84"],
        ["\xE8\xA4\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x72"],

        ["\x69\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x8C"],
        ["\xE8\xA4\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x73"],

        ["\x69\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x8A"],
        ["\xE8\xA4\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x74"],

        ["\x69\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x93"],
        ["\xE8\xA4\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x75"],

        ["\x69\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x83"],
        ["\xE8\xA5\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x76"],

        ["\x69\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x9E"],
        ["\xE8\xA4\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x77"],

        ["\x69\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xA5"],
        ["\xE8\xA4\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x78"],

        ["\x69\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xAA"],
        ["\xE8\xA4\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x80"],

        ["\x69\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xAB"],
        ["\xE8\xA4\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x8B"],

        ["\x69\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x81"],
        ["\xE8\xA5\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x9B"],

        ["\x69\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x84"],
        ["\xE8\xA5\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x9C"],

        ["\x69\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xBB"],
        ["\xE8\xA4\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xA0"],

        ["\x69\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB6"],
        ["\xE8\xA4\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xAB"],

        ["\x69\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB8"],
        ["\xE8\xA4\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xB0"],

        ["\x69\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x8C"],
        ["\xE8\xA5\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xC0"],

        ["\x69\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x9D"],
        ["\xE8\xA4\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\x6A"],

        ["\x69\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xA0"],
        ["\xE8\xA5\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xD0"],

        ["\x69\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x9E"],
        ["\xE8\xA5\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x69\xA1"],

        ["\x70\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xA6"],
        ["\xE8\xA5\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x4F"],

        ["\x70\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xA4"],
        ["\xE8\xA5\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x7F"],

        ["\x70\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xAD"],
        ["\xE8\xA5\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x7B"],

        ["\x70\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xAA"],
        ["\xE8\xA5\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xE0"],

        ["\x70\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xAF"],
        ["\xE8\xA5\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x6C"],

        ["\x70\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xB4"],
        ["\xE8\xA5\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x50"],

        ["\x70\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xB7"],
        ["\xE8\xA5\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x7D"],

        ["\x70\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xBE"],
        ["\xE8\xA5\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x4D"],

        ["\x70\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x83"],
        ["\xE8\xA6\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x5D"],

        ["\x70\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x88"],
        ["\xE8\xA6\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x5C"],

        ["\x70\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x8A"],
        ["\xE8\xA6\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x4E"],

        ["\x70\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x93"],
        ["\xE8\xA6\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x6B"],

        ["\x70\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x98"],
        ["\xE8\xA6\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x60"],

        ["\x70\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xA1"],
        ["\xE8\xA6\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x4B"],

        ["\x70\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xA9"],
        ["\xE8\xA6\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x61"],

        ["\x70\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xA6"],
        ["\xE8\xA6\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF0"],

        ["\x70\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xAC"],
        ["\xE8\xA6\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF1"],

        ["\x70\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xAF"],
        ["\xE8\xA6\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF2"],

        ["\x70\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xB2"],
        ["\xE8\xA6\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF3"],

        ["\x70\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xBA"],
        ["\xE8\xA6\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF4"],

        ["\x70\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xBD"],
        ["\xE8\xA6\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF5"],

        ["\x70\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xBF"],
        ["\xE8\xA6\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF6"],

        ["\x70\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x80"],
        ["\xE8\xA7\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF7"],

        ["\x70\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x9A"],
        ["\xE8\xA7\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF8"],

        ["\x70\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x9C"],
        ["\xE8\xA7\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xF9"],

        ["\x70\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x9D"],
        ["\xE8\xA7\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x7A"],

        ["\x70\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xA7"],
        ["\xE8\xA7\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x5E"],

        ["\x70\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB4"],
        ["\xE8\xA7\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x4C"],

        ["\x70\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB8"],
        ["\xE8\xA7\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x7E"],

        ["\x70\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x83"],
        ["\xE8\xA8\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x6E"],

        ["\x70\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x96"],
        ["\xE8\xA8\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x6F"],

        ["\x70\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x90"],
        ["\xE8\xA8\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x7C"],

        ["\x70\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x8C"],
        ["\xE8\xA8\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC1"],

        ["\x70\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x9B"],
        ["\xE8\xA8\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC2"],

        ["\x70\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x9D"],
        ["\xE8\xA8\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC3"],

        ["\x70\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xA5"],
        ["\xE8\xA8\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC4"],

        ["\x70\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB6"],
        ["\xE8\xA8\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC5"],

        ["\x70\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x81"],
        ["\xE8\xA9\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC6"],

        ["\x70\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x9B"],
        ["\xE8\xA9\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC7"],

        ["\x70\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x92"],
        ["\xE8\xA9\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC8"],

        ["\x70\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x86"],
        ["\xE8\xA9\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC9"],

        ["\x70\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x88"],
        ["\xE8\xA9\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD1"],

        ["\x70\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xBC"],
        ["\xE8\xA9\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD2"],

        ["\x70\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xAD"],
        ["\xE8\xA9\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD3"],

        ["\x70\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xAC"],
        ["\xE8\xA9\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD4"],

        ["\x70\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA2"],
        ["\xE8\xA9\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD5"],

        ["\x70\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x85"],
        ["\xE8\xAA\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD6"],

        ["\x70\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x82"],
        ["\xE8\xAA\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD7"],

        ["\x70\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x84"],
        ["\xE8\xAA\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD8"],

        ["\x70\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA8"],
        ["\xE8\xAA\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD9"],

        ["\x70\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA1"],
        ["\xE8\xAA\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xE2"],

        ["\x70\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x91"],
        ["\xE8\xAA\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xE3"],

        ["\x70\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA5"],
        ["\xE8\xAA\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xE4"],

        ["\x70\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA6"],
        ["\xE8\xAA\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xE5"],

        ["\x70\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x9A"],
        ["\xE8\xAA\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xE6"],

        ["\x70\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA3"],
        ["\xE8\xAA\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xE7"],

        ["\x70\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x84"],
        ["\xE8\xAB\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xE8"],

        ["\x70\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x8D"],
        ["\xE8\xAB\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xE9"],

        ["\x70\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x82"],
        ["\xE8\xAB\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x4A"],

        ["\x70\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9A"],
        ["\xE8\xAB\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x5B"],

        ["\xF4\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xAB"],
        ["\xE8\xAB\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF4\xD9"],

        ["\x70\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB3"],
        ["\xE8\xAB\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x5F"],

        ["\x70\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA7"],
        ["\xE8\xAB\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x6D"],

        ["\x70\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA4"],
        ["\xE8\xAB\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x79"],

        ["\x70\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB1"],
        ["\xE8\xAB\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x57"],

        ["\x70\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x94"],
        ["\xE8\xAC\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x59"],

        ["\x70\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA0"],
        ["\xE8\xAB\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x62"],

        ["\x70\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA2"],
        ["\xE8\xAB\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x63"],

        ["\x70\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB7"],
        ["\xE8\xAB\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x64"],

        ["\x70\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9E"],
        ["\xE8\xAB\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x65"],

        ["\x70\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9B"],
        ["\xE8\xAB\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x66"],

        ["\x70\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x8C"],
        ["\xE8\xAC\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x67"],

        ["\x70\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x87"],
        ["\xE8\xAC\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x68"],

        ["\x70\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9A"],
        ["\xE8\xAC\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x69"],

        ["\x70\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA1"],
        ["\xE8\xAB\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x70"],

        ["\x70\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x96"],
        ["\xE8\xAC\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x71"],

        ["\x70\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x90"],
        ["\xE8\xAC\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x72"],

        ["\x70\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x97"],
        ["\xE8\xAC\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x73"],

        ["\x70\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xA0"],
        ["\xE8\xAC\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x74"],

        ["\x70\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xB3"],
        ["\xE8\xAC\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x75"],

        ["\x70\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xAB"],
        ["\xE9\x9E\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x76"],

        ["\x70\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xA6"],
        ["\xE8\xAC\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x77"],

        ["\x70\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xAB"],
        ["\xE8\xAC\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x78"],

        ["\x70\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xBE"],
        ["\xE8\xAC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x80"],

        ["\x70\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xA8"],
        ["\xE8\xAC\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x8B"],

        ["\x70\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x81"],
        ["\xE8\xAD\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x9B"],

        ["\x70\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x8C"],
        ["\xE8\xAD\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x9C"],

        ["\x70\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x8F"],
        ["\xE8\xAD\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xA0"],

        ["\x70\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x8E"],
        ["\xE8\xAD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xAB"],

        ["\x70\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x89"],
        ["\xE8\xAD\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xB0"],

        ["\x70\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x96"],
        ["\xE8\xAD\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xC0"],

        ["\x70\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9B"],
        ["\xE8\xAD\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\x6A"],

        ["\x70\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9A"],
        ["\xE8\xAD\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xD0"],

        ["\x70\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xAB"],
        ["\xE8\xAD\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x70\xA1"],

        ["\x71\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9F"],
        ["\xE8\xAD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x4F"],

        ["\x71\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xAC"],
        ["\xE8\xAD\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x7F"],

        ["\x71\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xAF"],
        ["\xE8\xAD\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x7B"],

        ["\x71\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB4"],
        ["\xE8\xAD\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xE0"],

        ["\x71\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xBD"],
        ["\xE8\xAD\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x6C"],

        ["\x71\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x80"],
        ["\xE8\xAE\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x50"],

        ["\x71\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x8C"],
        ["\xE8\xAE\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x7D"],

        ["\x71\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x8E"],
        ["\xE8\xAE\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x4D"],

        ["\x71\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x92"],
        ["\xE8\xAE\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x5D"],

        ["\x71\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x93"],
        ["\xE8\xAE\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x5C"],

        ["\x71\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x96"],
        ["\xE8\xAE\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x4E"],

        ["\x71\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x99"],
        ["\xE8\xAE\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x6B"],

        ["\x71\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x9A"],
        ["\xE8\xAE\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x60"],

        ["\x71\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xBA"],
        ["\xE8\xB0\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x4B"],

        ["\x71\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x81"],
        ["\xE8\xB1\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x61"],

        ["\x71\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xBF"],
        ["\xE8\xB0\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF0"],

        ["\x71\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x88"],
        ["\xE8\xB1\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF1"],

        ["\x71\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x8C"],
        ["\xE8\xB1\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF2"],

        ["\x71\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x8E"],
        ["\xE8\xB1\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF3"],

        ["\x71\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x90"],
        ["\xE8\xB1\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF4"],

        ["\x71\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x95"],
        ["\xE8\xB1\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF5"],

        ["\x71\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xA2"],
        ["\xE8\xB1\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF6"],

        ["\x71\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xAC"],
        ["\xE8\xB1\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF7"],

        ["\x71\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xB8"],
        ["\xE8\xB1\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF8"],

        ["\x71\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xBA"],
        ["\xE8\xB1\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xF9"],

        ["\x71\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x82"],
        ["\xE8\xB2\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x7A"],

        ["\x71\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x89"],
        ["\xE8\xB2\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x5E"],

        ["\x71\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x85"],
        ["\xE8\xB2\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x4C"],

        ["\x71\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x8A"],
        ["\xE8\xB2\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x7E"],

        ["\x71\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x8D"],
        ["\xE8\xB2\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x6E"],

        ["\x71\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x8E"],
        ["\xE8\xB2\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x6F"],

        ["\x71\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x94"],
        ["\xE8\xB2\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x7C"],

        ["\x71\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xBC"],
        ["\xE8\xB1\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC1"],

        ["\x71\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x98"],
        ["\xE8\xB2\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC2"],

        ["\x71\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9D"],
        ["\xE6\x88\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC3"],

        ["\x71\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAD"],
        ["\xE8\xB2\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC4"],

        ["\x71\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAA"],
        ["\xE8\xB2\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC5"],

        ["\x71\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xBD"],
        ["\xE8\xB2\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC6"],

        ["\x71\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB2"],
        ["\xE8\xB2\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC7"],

        ["\x71\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB3"],
        ["\xE8\xB2\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC8"],

        ["\x71\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAE"],
        ["\xE8\xB2\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC9"],

        ["\x71\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB6"],
        ["\xE8\xB2\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD1"],

        ["\x71\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x88"],
        ["\xE8\xB3\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD2"],

        ["\x71\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x81"],
        ["\xE8\xB3\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD3"],

        ["\xC1\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA4"],
        ["\xE8\xB3\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC1\x4D"],

        ["\x71\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA3"],
        ["\xE8\xB3\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD5"],

        ["\x71\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x9A"],
        ["\xE8\xB3\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD6"],

        ["\x71\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBD"],
        ["\xE8\xB3\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD7"],

        ["\x71\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBA"],
        ["\xE8\xB3\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD8"],

        ["\x71\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBB"],
        ["\xE8\xB3\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD9"],

        ["\x71\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x84"],
        ["\xE8\xB4\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xE2"],

        ["\x71\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x85"],
        ["\xE8\xB4\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xE3"],

        ["\x71\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8A"],
        ["\xE8\xB4\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xE4"],

        ["\x71\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x87"],
        ["\xE8\xB4\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xE5"],

        ["\x71\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8F"],
        ["\xE8\xB4\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xE6"],

        ["\x71\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8D"],
        ["\xE8\xB4\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xE7"],

        ["\x71\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x90"],
        ["\xE8\xB4\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xE8"],

        ["\x71\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x8E"],
        ["\xE9\xBD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xE9"],

        ["\x71\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x93"],
        ["\xE8\xB4\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x4A"],

        ["\x71\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x8D"],
        ["\xE8\xB3\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x5B"],

        ["\x71\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x94"],
        ["\xE8\xB4\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x5A"],

        ["\x71\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x96"],
        ["\xE8\xB4\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x5F"],

        ["\x71\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xA7"],
        ["\xE8\xB5\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x6D"],

        ["\x71\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xAD"],
        ["\xE8\xB5\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x79"],

        ["\x71\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB1"],
        ["\xE8\xB5\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x57"],

        ["\x71\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB3"],
        ["\xE8\xB5\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x59"],

        ["\x71\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x81"],
        ["\xE8\xB6\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x62"],

        ["\x71\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x99"],
        ["\xE8\xB6\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x63"],

        ["\x71\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x82"],
        ["\xE8\xB7\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x64"],

        ["\x71\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xBE"],
        ["\xE8\xB6\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x65"],

        ["\x71\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xBA"],
        ["\xE8\xB6\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x66"],

        ["\x71\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x8F"],
        ["\xE8\xB7\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x67"],

        ["\x71\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x9A"],
        ["\xE8\xB7\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x68"],

        ["\x71\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x96"],
        ["\xE8\xB7\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x69"],

        ["\x71\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x8C"],
        ["\xE8\xB7\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x70"],

        ["\x71\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x9B"],
        ["\xE8\xB7\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x71"],

        ["\x71\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x8B"],
        ["\xE8\xB7\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x72"],

        ["\x71\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xAA"],
        ["\xE8\xB7\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x73"],

        ["\x71\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xAB"],
        ["\xE8\xB7\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x74"],

        ["\x71\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x9F"],
        ["\xE8\xB7\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x75"],

        ["\x71\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xA3"],
        ["\xE8\xB7\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x76"],

        ["\x71\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xBC"],
        ["\xE8\xB7\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x77"],

        ["\x71\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x88"],
        ["\xE8\xB8\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x78"],

        ["\x71\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x89"],
        ["\xE8\xB8\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x80"],

        ["\x71\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xBF"],
        ["\xE8\xB7\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x8B"],

        ["\x71\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x9D"],
        ["\xE8\xB8\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x9B"],

        ["\x71\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x9E"],
        ["\xE8\xB8\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x9C"],

        ["\x71\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x90"],
        ["\xE8\xB8\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xA0"],

        ["\x71\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x9F"],
        ["\xE8\xB8\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xAB"],

        ["\x71\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x82"],
        ["\xE8\xB9\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xB0"],

        ["\x71\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xB5"],
        ["\xE8\xB8\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xC0"],

        ["\x71\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xB0"],
        ["\xE8\xB8\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\x6A"],

        ["\x71\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xB4"],
        ["\xE8\xB8\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xD0"],

        ["\x71\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x8A"],
        ["\xE8\xB9\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x71\xA1"],

        ["\x72\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x87"],
        ["\xE8\xB9\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x4F"],

        ["\x72\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x89"],
        ["\xE8\xB9\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x7F"],

        ["\x72\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x8C"],
        ["\xE8\xB9\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x7B"],

        ["\x72\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x90"],
        ["\xE8\xB9\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xE0"],

        ["\x72\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x88"],
        ["\xE8\xB9\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x6C"],

        ["\x72\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x99"],
        ["\xE8\xB9\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x50"],

        ["\x72\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xA4"],
        ["\xE8\xB9\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x7D"],

        ["\x72\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xA0"],
        ["\xE8\xB9\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x4D"],

        ["\x72\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xAA"],
        ["\xE8\xB8\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x5D"],

        ["\x72\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xA3"],
        ["\xE8\xB9\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x5C"],

        ["\x72\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x95"],
        ["\xE8\xB9\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x4E"],

        ["\x72\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xB6"],
        ["\xE8\xB9\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x6B"],

        ["\x72\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xB2"],
        ["\xE8\xB9\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x60"],

        ["\x72\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xBC"],
        ["\xE8\xB9\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x4B"],

        ["\x72\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x81"],
        ["\xE8\xBA\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x61"],

        ["\x72\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x87"],
        ["\xE8\xBA\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF0"],

        ["\x72\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x85"],
        ["\xE8\xBA\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF1"],

        ["\x72\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x84"],
        ["\xE8\xBA\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF2"],

        ["\x72\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x8B"],
        ["\xE8\xBA\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF3"],

        ["\x72\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x8A"],
        ["\xE8\xBA\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF4"],

        ["\x72\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x93"],
        ["\xE8\xBA\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF5"],

        ["\x72\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x91"],
        ["\xE8\xBA\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF6"],

        ["\x72\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x94"],
        ["\xE8\xBA\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF7"],

        ["\x72\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x99"],
        ["\xE8\xBA\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF8"],

        ["\x72\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xAA"],
        ["\xE8\xBA\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xF9"],

        ["\x72\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xA1"],
        ["\xE8\xBA\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x7A"],

        ["\x72\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xAC"],
        ["\xE8\xBA\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x5E"],

        ["\x72\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xB0"],
        ["\xE8\xBA\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x4C"],

        ["\x72\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x86"],
        ["\xE8\xBB\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x7E"],

        ["\x72\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xB1"],
        ["\xE8\xBA\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x6E"],

        ["\x72\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xBE"],
        ["\xE8\xBA\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x6F"],

        ["\x72\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x85"],
        ["\xE8\xBB\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x7C"],

        ["\x72\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x88"],
        ["\xE8\xBB\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC1"],

        ["\x72\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8B"],
        ["\xE8\xBB\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC2"],

        ["\x72\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x9B"],
        ["\xE8\xBB\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC3"],

        ["\x72\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xA3"],
        ["\xE8\xBB\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC4"],

        ["\x72\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBC"],
        ["\xE8\xBB\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC5"],

        ["\x72\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBB"],
        ["\xE8\xBB\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC6"],

        ["\x72\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xAB"],
        ["\xE8\xBB\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC7"],

        ["\x72\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBE"],
        ["\xE8\xBB\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC8"],

        ["\x72\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x8A"],
        ["\xE8\xBC\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC9"],

        ["\x72\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x85"],
        ["\xE8\xBC\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD1"],

        ["\x72\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x95"],
        ["\xE8\xBC\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD2"],

        ["\x72\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x92"],
        ["\xE8\xBC\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD3"],

        ["\x72\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x99"],
        ["\xE8\xBC\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD4"],

        ["\x72\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x93"],
        ["\xE8\xBC\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD5"],

        ["\x72\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9C"],
        ["\xE8\xBC\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD6"],

        ["\x72\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9F"],
        ["\xE8\xBC\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD7"],

        ["\x72\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9B"],
        ["\xE8\xBC\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD8"],

        ["\x72\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x8C"],
        ["\xE8\xBC\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD9"],

        ["\x72\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xA6"],
        ["\xE8\xBC\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xE2"],

        ["\x72\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xB3"],
        ["\xE8\xBC\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xE3"],

        ["\x72\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xBB"],
        ["\xE8\xBC\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xE4"],

        ["\x72\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xB9"],
        ["\xE8\xBC\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xE5"],

        ["\x72\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x85"],
        ["\xE8\xBD\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xE6"],

        ["\x72\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x82"],
        ["\xE8\xBD\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xE7"],

        ["\x72\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xBE"],
        ["\xE8\xBC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xE8"],

        ["\x72\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x8C"],
        ["\xE8\xBD\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xE9"],

        ["\x72\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x89"],
        ["\xE8\xBD\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x4A"],

        ["\x72\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x86"],
        ["\xE8\xBD\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x5B"],

        ["\x72\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x8E"],
        ["\xE8\xBD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x5A"],

        ["\x72\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x97"],
        ["\xE8\xBD\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x5F"],

        ["\x72\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x9C"],
        ["\xE8\xBD\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x6D"],

        ["\x72\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\xA2"],
        ["\xE8\xBD\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x79"],

        ["\x72\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\xA3"],
        ["\xE8\xBD\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x57"],

        ["\x72\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\xA4"],
        ["\xE8\xBD\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x59"],

        ["\x72\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\x9C"],
        ["\xE8\xBE\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x62"],

        ["\x72\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\x9F"],
        ["\xE8\xBE\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x63"],

        ["\x72\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xA3"],
        ["\xE8\xBE\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x64"],

        ["\x72\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xAD"],
        ["\xE8\xBE\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x65"],

        ["\x72\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xAF"],
        ["\xE8\xBE\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x66"],

        ["\x72\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB7"],
        ["\xE8\xBE\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x67"],

        ["\x72\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x9A"],
        ["\xE8\xBF\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x68"],

        ["\x72\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA5"],
        ["\xE8\xBF\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x69"],

        ["\x72\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA2"],
        ["\xE8\xBF\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x70"],

        ["\x72\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAA"],
        ["\xE8\xBF\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x71"],

        ["\x72\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAF"],
        ["\xE8\xBF\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x72"],

        ["\xC6\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x87"],
        ["\xE9\x82\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC6\x9B"],

        ["\x72\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB4"],
        ["\xE8\xBF\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x74"],

        ["\x72\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x85"],
        ["\xE9\x80\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x75"],

        ["\x72\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB9"],
        ["\xE8\xBF\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x76"],

        ["\x72\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xBA"],
        ["\xE8\xBF\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x77"],

        ["\x72\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x91"],
        ["\xE9\x80\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x78"],

        ["\x72\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x95"],
        ["\xE9\x80\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x80"],

        ["\x72\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA1"],
        ["\xE9\x80\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x8B"],

        ["\x72\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x8D"],
        ["\xE9\x80\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x9B"],

        ["\x72\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x9E"],
        ["\xE9\x80\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x9C"],

        ["\x72\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x96"],
        ["\xE9\x80\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xA0"],

        ["\x72\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x8B"],
        ["\xE9\x80\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xAB"],

        ["\x72\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA7"],
        ["\xE9\x80\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xB0"],

        ["\x72\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB6"],
        ["\xE9\x80\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xC0"],

        ["\x72\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB5"],
        ["\xE9\x80\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\x6A"],

        ["\x72\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB9"],
        ["\xE9\x80\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xD0"],

        ["\x72\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB8"],
        ["\xE8\xBF\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x72\xA1"],

        ["\x73\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8F"],
        ["\xE9\x81\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x4F"],

        ["\x73\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x90"],
        ["\xE9\x81\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x7F"],

        ["\x73\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x91"],
        ["\xE9\x81\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x7B"],

        ["\x73\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x92"],
        ["\xE9\x81\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xE0"],

        ["\x73\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x8E"],
        ["\xE9\x80\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x6C"],

        ["\x73\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x89"],
        ["\xE9\x81\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x50"],

        ["\x73\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xBE"],
        ["\xE9\x80\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x7D"],

        ["\x73\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x96"],
        ["\xE9\x81\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x4D"],

        ["\x73\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x98"],
        ["\xE9\x81\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x5D"],

        ["\x73\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x9E"],
        ["\xE9\x81\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x5C"],

        ["\x73\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA8"],
        ["\xE9\x81\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x4E"],

        ["\x73\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xAF"],
        ["\xE9\x81\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x6B"],

        ["\x73\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB6"],
        ["\xE9\x81\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x60"],

        ["\x73\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA8"],
        ["\xE9\x9A\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x4B"],

        ["\x73\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB2"],
        ["\xE9\x81\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x61"],

        ["\x73\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x82"],
        ["\xE9\x82\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF0"],

        ["\x73\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xBD"],
        ["\xE9\x81\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF1"],

        ["\x73\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x81"],
        ["\xE9\x82\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF2"],

        ["\x73\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x80"],
        ["\xE9\x82\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF3"],

        ["\x73\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x8A"],
        ["\xE9\x82\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF4"],

        ["\x73\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x89"],
        ["\xE9\x82\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF5"],

        ["\x73\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x8F"],
        ["\xE9\x82\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF6"],

        ["\x73\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xA8"],
        ["\xE9\x82\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF7"],

        ["\x73\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xAF"],
        ["\xE9\x82\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF8"],

        ["\x73\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xB1"],
        ["\xE9\x82\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xF9"],

        ["\x73\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xB5"],
        ["\xE9\x82\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x7A"],

        ["\x73\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xA2"],
        ["\xE9\x83\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x5E"],

        ["\x73\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xA4"],
        ["\xE9\x83\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x4C"],

        ["\x73\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x88"],
        ["\xE6\x89\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x7E"],

        ["\x73\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x9B"],
        ["\xE9\x83\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x6E"],

        ["\x73\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x82"],
        ["\xE9\x84\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x6F"],

        ["\x73\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x92"],
        ["\xE9\x84\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x7C"],

        ["\x73\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x99"],
        ["\xE9\x84\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC1"],

        ["\x73\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xB2"],
        ["\xE9\x84\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC2"],

        ["\x73\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xB0"],
        ["\xE9\x84\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC3"],

        ["\x73\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8A"],
        ["\xE9\x85\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC4"],

        ["\x73\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x96"],
        ["\xE9\x85\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC5"],

        ["\x73\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x98"],
        ["\xE9\x85\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC6"],

        ["\x73\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xA3"],
        ["\xE9\x85\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC7"],

        ["\x73\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xA5"],
        ["\xE9\x85\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC8"],

        ["\x73\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xA9"],
        ["\xE9\x85\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC9"],

        ["\x73\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB3"],
        ["\xE9\x85\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD1"],

        ["\x73\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB2"],
        ["\xE9\x85\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD2"],

        ["\x73\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x8B"],
        ["\xE9\x86\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD3"],

        ["\x73\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x89"],
        ["\xE9\x86\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD4"],

        ["\x73\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x82"],
        ["\xE9\x86\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD5"],

        ["\x73\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xA2"],
        ["\xE9\x86\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD6"],

        ["\x73\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xAB"],
        ["\xE9\x86\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD7"],

        ["\x73\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xAF"],
        ["\xE9\x86\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD8"],

        ["\x73\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xAA"],
        ["\xE9\x86\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD9"],

        ["\x73\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xB5"],
        ["\xE9\x86\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xE2"],

        ["\x73\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xB4"],
        ["\xE9\x86\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xE3"],

        ["\x73\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xBA"],
        ["\xE9\x86\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xE4"],

        ["\x73\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x80"],
        ["\xE9\x87\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xE5"],

        ["\x73\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x81"],
        ["\xE9\x87\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xE6"],

        ["\x73\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x89"],
        ["\xE9\x87\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xE7"],

        ["\x73\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8B"],
        ["\xE9\x87\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xE8"],

        ["\x73\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x90"],
        ["\xE9\x87\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xE9"],

        ["\x73\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x96"],
        ["\xE9\x87\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x4A"],

        ["\x73\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9F"],
        ["\xE9\x87\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x5B"],

        ["\x73\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA1"],
        ["\xE9\x87\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x5A"],

        ["\x73\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9B"],
        ["\xE9\x87\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x5F"],

        ["\x73\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xBC"],
        ["\xE9\x87\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x6D"],

        ["\x73\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xB5"],
        ["\xE9\x87\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x79"],

        ["\x73\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xB6"],
        ["\xE9\x87\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x57"],

        ["\x73\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x9E"],
        ["\xE9\x88\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x59"],

        ["\x73\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xBF"],
        ["\xE9\x87\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x62"],

        ["\x73\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x94"],
        ["\xE9\x88\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x63"],

        ["\x73\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xAC"],
        ["\xE9\x88\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x64"],

        ["\x73\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x95"],
        ["\xE9\x88\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x65"],

        ["\x73\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x91"],
        ["\xE9\x88\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x66"],

        ["\x73\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x9E"],
        ["\xE9\x89\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x67"],

        ["\x73\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x97"],
        ["\xE9\x89\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x68"],

        ["\x73\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x85"],
        ["\xE9\x89\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x69"],

        ["\x73\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x89"],
        ["\xE9\x89\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x70"],

        ["\x73\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA4"],
        ["\xE9\x89\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x71"],

        ["\x73\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x88"],
        ["\xE9\x89\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x72"],

        ["\x73\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x95"],
        ["\xE9\x8A\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x73"],

        ["\x73\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xBF"],
        ["\xE9\x88\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x74"],

        ["\x73\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x8B"],
        ["\xE9\x89\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x75"],

        ["\x73\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x90"],
        ["\xE9\x89\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x76"],

        ["\x73\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x9C"],
        ["\xE9\x8A\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x77"],

        ["\x73\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x96"],
        ["\xE9\x8A\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x78"],

        ["\x73\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x93"],
        ["\xE9\x8A\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x80"],

        ["\x73\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x9B"],
        ["\xE9\x8A\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x8B"],

        ["\x73\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x9A"],
        ["\xE9\x89\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x9B"],

        ["\x73\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x8F"],
        ["\xE9\x8B\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x9C"],

        ["\x73\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\xB9"],
        ["\xE9\x8A\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xA0"],

        ["\x73\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\xB7"],
        ["\xE9\x8A\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xAB"],

        ["\x73\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xA9"],
        ["\xE9\x8B\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xB0"],

        ["\x73\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x8F"],
        ["\xE9\x8C\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xC0"],

        ["\x73\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xBA"],
        ["\xE9\x8B\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\x6A"],

        ["\x73\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x84"],
        ["\xE9\x8D\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xD0"],

        ["\x73\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xAE"],
        ["\xE9\x8C\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x73\xA1"],

        ["\x74\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x99"],
        ["\xE9\x8C\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x4F"],

        ["\x74\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA2"],
        ["\xE9\x8C\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x7F"],

        ["\x74\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x9A"],
        ["\xE9\x8C\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x7B"],

        ["\x74\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA3"],
        ["\xE9\x8C\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xE0"],

        ["\x74\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xBA"],
        ["\xE9\x8C\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x6C"],

        ["\x74\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xB5"],
        ["\xE9\x8C\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x50"],

        ["\x74\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xBB"],
        ["\xE9\x8C\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x7D"],

        ["\x74\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x9C"],
        ["\xE9\x8D\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x4D"],

        ["\x74\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xA0"],
        ["\xE9\x8D\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x5D"],

        ["\x74\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xBC"],
        ["\xE9\x8D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x5C"],

        ["\x74\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xAE"],
        ["\xE9\x8D\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x4E"],

        ["\x74\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x96"],
        ["\xE9\x8D\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x6B"],

        ["\x74\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xB0"],
        ["\xE9\x8E\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x60"],

        ["\x74\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xAC"],
        ["\xE9\x8E\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x4B"],

        ["\x74\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xAD"],
        ["\xE9\x8E\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x61"],

        ["\x74\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x94"],
        ["\xE9\x8E\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF0"],

        ["\x74\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xB9"],
        ["\xE9\x8E\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF1"],

        ["\x74\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x96"],
        ["\xE9\x8F\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF2"],

        ["\x74\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x97"],
        ["\xE9\x8F\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF3"],

        ["\x74\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xA8"],
        ["\xE9\x8F\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF4"],

        ["\x74\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xA5"],
        ["\xE9\x8F\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF5"],

        ["\x74\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x98"],
        ["\xE9\x8F\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF6"],

        ["\x74\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x83"],
        ["\xE9\x8F\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF7"],

        ["\x74\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x9D"],
        ["\xE9\x8F\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF8"],

        ["\x74\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x90"],
        ["\xE9\x8F\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xF9"],

        ["\x74\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x88"],
        ["\xE9\x8F\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x7A"],

        ["\x74\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xA4"],
        ["\xE9\x8F\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x5E"],

        ["\x74\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x9A"],
        ["\xE9\x90\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x4C"],

        ["\x74\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x94"],
        ["\xE9\x90\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x7E"],

        ["\x74\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x93"],
        ["\xE9\x90\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x6E"],

        ["\x74\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x83"],
        ["\xE9\x90\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x6F"],

        ["\x74\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x87"],
        ["\xE9\x90\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x7C"],

        ["\x74\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x90"],
        ["\xE9\x90\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC1"],

        ["\x74\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB6"],
        ["\xE9\x90\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC2"],

        ["\x74\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xAB"],
        ["\xE9\x90\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC3"],

        ["\x74\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB5"],
        ["\xE9\x90\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC4"],

        ["\x74\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xA1"],
        ["\xE9\x90\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC5"],

        ["\x74\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xBA"],
        ["\xE9\x90\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC6"],

        ["\x74\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x81"],
        ["\xE9\x91\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC7"],

        ["\x74\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x92"],
        ["\xE9\x91\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC8"],

        ["\x74\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x84"],
        ["\xE9\x91\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC9"],

        ["\x74\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x9B"],
        ["\xE9\x91\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD1"],

        ["\x74\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xA0"],
        ["\xE9\x91\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD2"],

        ["\x74\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xA2"],
        ["\xE9\x91\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD3"],

        ["\x74\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x9E"],
        ["\xE9\x91\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD4"],

        ["\x74\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xAA"],
        ["\xE9\x91\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD5"],

        ["\x74\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xA9"],
        ["\xE9\x88\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD6"],

        ["\x74\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB0"],
        ["\xE9\x91\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD7"],

        ["\x74\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB5"],
        ["\xE9\x91\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD8"],

        ["\x74\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB7"],
        ["\xE9\x91\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD9"],

        ["\x74\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xBD"],
        ["\xE9\x91\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xE2"],

        ["\x74\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x9A"],
        ["\xE9\x91\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xE3"],

        ["\x74\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xBC"],
        ["\xE9\x91\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xE4"],

        ["\x74\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xBE"],
        ["\xE9\x91\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xE5"],

        ["\x74\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x92\x81"],
        ["\xE9\x92\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xE6"],

        ["\x74\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xBF"],
        ["\xE9\x91\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xE7"],

        ["\x74\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x82"],
        ["\xE9\x96\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xE8"],

        ["\x74\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x87"],
        ["\xE9\x96\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xE9"],

        ["\x74\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8A"],
        ["\xE9\x96\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x4A"],

        ["\x74\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x94"],
        ["\xE9\x96\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x5B"],

        ["\x74\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x96"],
        ["\xE9\x96\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x5A"],

        ["\x74\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x98"],
        ["\xE9\x96\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x5F"],

        ["\x74\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x99"],
        ["\xE9\x96\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x6D"],

        ["\x74\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA0"],
        ["\xE9\x96\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x79"],

        ["\x74\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA8"],
        ["\xE9\x96\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x57"],

        ["\x74\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA7"],
        ["\xE9\x96\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x59"],

        ["\x74\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xAD"],
        ["\xE9\x96\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x62"],

        ["\x74\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xBC"],
        ["\xE9\x96\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x63"],

        ["\x74\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xBB"],
        ["\xE9\x96\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x64"],

        ["\x74\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xB9"],
        ["\xE9\x96\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x65"],

        ["\x74\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xBE"],
        ["\xE9\x96\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x66"],

        ["\x74\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x8A"],
        ["\xE9\x97\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x67"],

        ["\x74\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB6"],
        ["\xE6\xBF\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x68"],

        ["\x74\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x83"],
        ["\xE9\x97\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x69"],

        ["\x74\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x8D"],
        ["\xE9\x97\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x70"],

        ["\x74\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x8C"],
        ["\xE9\x97\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x71"],

        ["\x74\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x95"],
        ["\xE9\x97\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x72"],

        ["\x74\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x94"],
        ["\xE9\x97\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x73"],

        ["\x74\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x96"],
        ["\xE9\x97\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x74"],

        ["\x74\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x9C"],
        ["\xE9\x97\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x75"],

        ["\x74\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\xA1"],
        ["\xE9\x97\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x76"],

        ["\x74\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\xA5"],
        ["\xE9\x97\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x77"],

        ["\x74\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\xA2"],
        ["\xE9\x97\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x78"],

        ["\x74\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xA1"],
        ["\xE9\x98\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x80"],

        ["\x74\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xA8"],
        ["\xE9\x98\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x8B"],

        ["\x74\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xAE"],
        ["\xE9\x98\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x9B"],

        ["\x74\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xAF"],
        ["\xE9\x98\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x9C"],

        ["\x74\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x82"],
        ["\xE9\x99\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xA0"],

        ["\x74\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x8C"],
        ["\xE9\x99\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xAB"],

        ["\x74\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x8F"],
        ["\xE9\x99\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xB0"],

        ["\x74\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x8B"],
        ["\xE9\x99\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xC0"],

        ["\x74\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB7"],
        ["\xE9\x99\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\x6A"],

        ["\x74\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9C"],
        ["\xE9\x99\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xD0"],

        ["\x74\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9E"],
        ["\xE9\x99\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x74\xA1"],

        ["\x75\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9D"],
        ["\xE9\x99\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x4F"],

        ["\x75\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9F"],
        ["\xE9\x99\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x7F"],

        ["\x75\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA6"],
        ["\xE9\x99\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x7B"],

        ["\x75\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB2"],
        ["\xE9\x99\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xE0"],

        ["\x75\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xAC"],
        ["\xE9\x99\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x6C"],

        ["\x75\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8D"],
        ["\xE9\x9A\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x50"],

        ["\x75\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x98"],
        ["\xE9\x9A\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x7D"],

        ["\x75\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x95"],
        ["\xE9\x9A\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x4D"],

        ["\x75\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x97"],
        ["\xE9\x9A\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x5D"],

        ["\x75\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xAA"],
        ["\xE9\x9A\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x5C"],

        ["\x75\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA7"],
        ["\xE9\x9A\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x4E"],

        ["\x75\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB1"],
        ["\xE9\x9A\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x6B"],

        ["\x75\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB2"],
        ["\xE9\x9A\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x60"],

        ["\x75\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB0"],
        ["\xE9\x9A\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x4B"],

        ["\x75\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB4"],
        ["\xE9\x9A\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x61"],

        ["\x75\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB6"],
        ["\xE9\x9A\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF0"],

        ["\x75\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB8"],
        ["\xE9\x9A\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF1"],

        ["\x75\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB9"],
        ["\xE9\x9A\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF2"],

        ["\x75\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x8E"],
        ["\xE9\x9B\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF3"],

        ["\x75\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x8B"],
        ["\xE9\x9B\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF4"],

        ["\x75\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x89"],
        ["\xE9\x9B\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF5"],

        ["\x75\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x8D"],
        ["\xE9\x9B\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF6"],

        ["\x75\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x8D"],
        ["\xE8\xA5\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF7"],

        ["\x75\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x9C"],
        ["\xE9\x9B\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF8"],

        ["\x75\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x8D"],
        ["\xE9\x9C\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xF9"],

        ["\x75\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x95"],
        ["\xE9\x9B\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x7A"],

        ["\x75\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB9"],
        ["\xE9\x9B\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x5E"],

        ["\x75\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x84"],
        ["\xE9\x9C\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x4C"],

        ["\x75\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x86"],
        ["\xE9\x9C\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x7E"],

        ["\x75\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x88"],
        ["\xE9\x9C\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x6E"],

        ["\x75\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x93"],
        ["\xE9\x9C\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x6F"],

        ["\x75\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x8E"],
        ["\xE9\x9C\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x7C"],

        ["\x75\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x91"],
        ["\xE9\x9C\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC1"],

        ["\x75\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x8F"],
        ["\xE9\x9C\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC2"],

        ["\x75\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x96"],
        ["\xE9\x9C\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC3"],

        ["\x75\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x99"],
        ["\xE9\x9C\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC4"],

        ["\x75\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xA4"],
        ["\xE9\x9C\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC5"],

        ["\x75\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xAA"],
        ["\xE9\x9C\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC6"],

        ["\x75\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB0"],
        ["\xE9\x9C\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC7"],

        ["\x75\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB9"],
        ["\xE9\x9C\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC8"],

        ["\x75\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xBD"],
        ["\xE9\x9C\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC9"],

        ["\x75\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xBE"],
        ["\xE9\x9C\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD1"],

        ["\x75\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x84"],
        ["\xE9\x9D\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD2"],

        ["\x75\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x86"],
        ["\xE9\x9D\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD3"],

        ["\x75\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x88"],
        ["\xE9\x9D\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD4"],

        ["\x75\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x82"],
        ["\xE9\x9D\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD5"],

        ["\x75\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x89"],
        ["\xE9\x9D\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD6"],

        ["\x75\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x9C"],
        ["\xE9\x9D\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD7"],

        ["\x75\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA0"],
        ["\xE9\x9D\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD8"],

        ["\x75\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA4"],
        ["\xE9\x9D\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD9"],

        ["\x75\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA6"],
        ["\xE9\x9D\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xE2"],

        ["\x75\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA8"],
        ["\xE9\x9D\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xE3"],

        ["\x75\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x92"],
        ["\xE5\x8B\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xE4"],

        ["\x75\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xAB"],
        ["\xE9\x9D\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xE5"],

        ["\x6F\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xB1"],
        ["\xE9\x9D\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6F\xE8"],

        ["\x75\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xB9"],
        ["\xE9\x9D\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xE7"],

        ["\x75\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x85"],
        ["\xE9\x9E\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xE8"],

        ["\x75\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xBC"],
        ["\xE9\x9D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xE9"],

        ["\x75\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x81"],
        ["\xE9\x9E\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x4A"],

        ["\x75\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xBA"],
        ["\xE9\x9D\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x5B"],

        ["\x75\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x86"],
        ["\xE9\x9E\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x5A"],

        ["\x75\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x8B"],
        ["\xE9\x9E\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x5F"],

        ["\x75\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x8F"],
        ["\xE9\x9E\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x6D"],

        ["\x75\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x90"],
        ["\xE9\x9E\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x79"],

        ["\x75\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x9C"],
        ["\xE9\x9E\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x57"],

        ["\x75\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xA8"],
        ["\xE9\x9E\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x59"],

        ["\x75\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xA6"],
        ["\xE9\x9E\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x62"],

        ["\x75\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xA3"],
        ["\xE9\x9E\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x63"],

        ["\x75\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xB3"],
        ["\xE9\x9E\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x64"],

        ["\x75\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xB4"],
        ["\xE9\x9E\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x65"],

        ["\x75\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x83"],
        ["\xE9\x9F\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x66"],

        ["\x75\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x86"],
        ["\xE9\x9F\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x67"],

        ["\x75\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x88"],
        ["\xE9\x9F\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x68"],

        ["\x75\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x8B"],
        ["\xE9\x9F\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x69"],

        ["\x75\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x9C"],
        ["\xE9\x9F\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x70"],

        ["\x75\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xAD"],
        ["\xE9\x9F\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x71"],

        ["\x75\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x8F"],
        ["\xE9\xBD\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x72"],

        ["\x75\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB2"],
        ["\xE9\x9F\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x73"],

        ["\x75\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x9F"],
        ["\xE7\xAB\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x74"],

        ["\x75\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB6"],
        ["\xE9\x9F\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x75"],

        ["\x75\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB5"],
        ["\xE9\x9F\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x76"],

        ["\x75\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x8F"],
        ["\xE9\xA0\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x77"],

        ["\x75\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x8C"],
        ["\xE9\xA0\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x78"],

        ["\xF7\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xB8"],
        ["\xE9\xA0\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF7\x4A"],

        ["\x75\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xA4"],
        ["\xE9\xA0\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x8B"],

        ["\x75\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xA1"],
        ["\xE9\xA0\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x9B"],

        ["\x75\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xB7"],
        ["\xE9\xA0\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x9C"],

        ["\x75\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xBD"],
        ["\xE9\xA0\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xA0"],

        ["\x75\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x86"],
        ["\xE9\xA1\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xAB"],

        ["\x75\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8F"],
        ["\xE9\xA1\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xB0"],

        ["\x75\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8B"],
        ["\xE9\xA1\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xC0"],

        ["\x75\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xAB"],
        ["\xE9\xA1\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\x6A"],

        ["\x75\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xAF"],
        ["\xE9\xA1\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xD0"],

        ["\x75\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xB0"],
        ["\xE9\xA1\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x75\xA1"],

        ["\x76\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xB1"],
        ["\xE9\xA1\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x4F"],

        ["\x76\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xB4"],
        ["\xE9\xA1\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x7F"],

        ["\x76\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xB3"],
        ["\xE9\xA1\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x7B"],

        ["\x76\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xAA"],
        ["\xE9\xA2\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xE0"],

        ["\x76\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xAF"],
        ["\xE9\xA2\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x6C"],

        ["\x76\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xB1"],
        ["\xE9\xA2\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x50"],

        ["\x76\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xB6"],
        ["\xE9\xA2\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x7D"],

        ["\x76\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x84"],
        ["\xE9\xA3\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x4D"],

        ["\x76\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x83"],
        ["\xE9\xA3\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x5D"],

        ["\x76\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x86"],
        ["\xE9\xA3\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x5C"],

        ["\x76\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xA9"],
        ["\xE9\xA3\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x4E"],

        ["\x76\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xAB"],
        ["\xE9\xA3\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x6B"],

        ["\x76\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x83"],
        ["\xE9\xA4\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x60"],

        ["\x76\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x89"],
        ["\xE9\xA4\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x4B"],

        ["\x76\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x92"],
        ["\xE9\xA4\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x61"],

        ["\x76\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x94"],
        ["\xE9\xA4\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF0"],

        ["\x76\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x98"],
        ["\xE9\xA4\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF1"],

        ["\x76\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA1"],
        ["\xE9\xA4\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF2"],

        ["\x76\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x9D"],
        ["\xE9\xA4\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF3"],

        ["\x76\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x9E"],
        ["\xE9\xA4\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF4"],

        ["\x76\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA4"],
        ["\xE9\xA4\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF5"],

        ["\x76\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA0"],
        ["\xE9\xA4\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF6"],

        ["\x76\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xAC"],
        ["\xE9\xA4\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF7"],

        ["\x76\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xAE"],
        ["\xE9\xA4\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF8"],

        ["\x76\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xBD"],
        ["\xE9\xA4\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xF9"],

        ["\x76\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xBE"],
        ["\xE9\xA4\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x7A"],

        ["\x76\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x82"],
        ["\xE9\xA5\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x5E"],

        ["\x76\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x89"],
        ["\xE9\xA5\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x4C"],

        ["\x76\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x85"],
        ["\xE9\xA5\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x7E"],

        ["\x76\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x90"],
        ["\xE9\xA5\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x6E"],

        ["\x76\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x8B"],
        ["\xE9\xA5\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x6F"],

        ["\x76\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x91"],
        ["\xE9\xA5\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x7C"],

        ["\x76\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x92"],
        ["\xE9\xA5\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC1"],

        ["\x76\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x8C"],
        ["\xE9\xA5\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC2"],

        ["\x76\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x95"],
        ["\xE9\xA5\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC3"],

        ["\x76\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x97"],
        ["\xE9\xA6\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC4"],

        ["\x76\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x98"],
        ["\xE9\xA6\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC5"],

        ["\x76\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xA5"],
        ["\xE9\xA6\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC6"],

        ["\x76\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xAD"],
        ["\xE9\xA6\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC7"],

        ["\x76\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xAE"],
        ["\xE9\xA6\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC8"],

        ["\x76\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xBC"],
        ["\xE9\xA6\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC9"],

        ["\x76\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x9F"],
        ["\xE9\xA7\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD1"],

        ["\x76\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x9B"],
        ["\xE9\xA7\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD2"],

        ["\x76\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x9D"],
        ["\xE9\xA7\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD3"],

        ["\x76\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x98"],
        ["\xE9\xA7\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD4"],

        ["\x76\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x91"],
        ["\xE9\xA7\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD5"],

        ["\x76\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xAD"],
        ["\xE9\xA7\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD6"],

        ["\x76\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xAE"],
        ["\xE9\xA7\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD7"],

        ["\x76\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xB1"],
        ["\xE9\xA7\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD8"],

        ["\x76\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xB2"],
        ["\xE9\xA7\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD9"],

        ["\x76\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xBB"],
        ["\xE9\xA7\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xE2"],

        ["\x76\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xB8"],
        ["\xE9\xA7\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xE3"],

        ["\x76\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x81"],
        ["\xE9\xA8\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xE4"],

        ["\x76\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x8F"],
        ["\xE9\xA8\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xE5"],

        ["\x76\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x85"],
        ["\xE9\xA8\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xE6"],

        ["\x76\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xA2"],
        ["\xE9\xA7\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xE7"],

        ["\x76\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x99"],
        ["\xE9\xA8\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xE8"],

        ["\x76\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xAB"],
        ["\xE9\xA8\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xE9"],

        ["\x76\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB7"],
        ["\xE9\xA8\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x4A"],

        ["\x76\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x85"],
        ["\xE9\xA9\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x5B"],

        ["\x76\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x82"],
        ["\xE9\xA9\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x5A"],

        ["\x76\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x80"],
        ["\xE9\xA9\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x5F"],

        ["\x76\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x83"],
        ["\xE9\xA9\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x6D"],

        ["\x76\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xBE"],
        ["\xE9\xA8\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x79"],

        ["\x76\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x95"],
        ["\xE9\xA9\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x57"],

        ["\x76\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x8D"],
        ["\xE9\xA9\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x59"],

        ["\x76\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x9B"],
        ["\xE9\xA9\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x62"],

        ["\x76\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x97"],
        ["\xE9\xA9\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x63"],

        ["\x76\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x9F"],
        ["\xE9\xA9\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x64"],

        ["\x76\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xA2"],
        ["\xE9\xA9\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x65"],

        ["\x76\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xA5"],
        ["\xE9\xA9\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x66"],

        ["\x76\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xA4"],
        ["\xE9\xA9\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x67"],

        ["\x76\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xA9"],
        ["\xE9\xA9\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x68"],

        ["\x76\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xAB"],
        ["\xE9\xA9\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x69"],

        ["\x76\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xAA"],
        ["\xE9\xA9\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x70"],

        ["\x76\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xAD"],
        ["\xE9\xAA\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x71"],

        ["\x76\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB0"],
        ["\xE9\xAA\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x72"],

        ["\x76\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xBC"],
        ["\xE9\xAA\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x73"],

        ["\x76\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x80"],
        ["\xE9\xAB\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x74"],

        ["\x76\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x8F"],
        ["\xE9\xAB\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x75"],

        ["\x76\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x91"],
        ["\xE9\xAB\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x76"],

        ["\x76\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x93"],
        ["\xE9\xAB\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x77"],

        ["\x76\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x94"],
        ["\xE9\xAB\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x78"],

        ["\x76\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x9E"],
        ["\xE9\xAB\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x80"],

        ["\x76\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x9F"],
        ["\xE9\xAB\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x8B"],

        ["\x76\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA2"],
        ["\xE9\xAB\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x9B"],

        ["\x76\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA3"],
        ["\xE9\xAB\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x9C"],

        ["\x76\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA6"],
        ["\xE9\xAB\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xA0"],

        ["\x76\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAF"],
        ["\xE9\xAB\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xAB"],

        ["\x76\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAB"],
        ["\xE9\xAB\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xB0"],

        ["\x76\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAE"],
        ["\xE9\xAB\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xC0"],

        ["\x76\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xB4"],
        ["\xE9\xAB\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\x6A"],

        ["\x76\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xB1"],
        ["\xE9\xAB\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xD0"],

        ["\x76\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xB7"],
        ["\xE9\xAB\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x76\xA1"],

        ["\x77\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xBB"],
        ["\xE9\xAB\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x4F"],

        ["\x77\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x86"],
        ["\xE9\xAC\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x7F"],

        ["\x77\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x98"],
        ["\xE9\xAC\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x7B"],

        ["\x77\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x9A"],
        ["\xE9\xAC\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xE0"],

        ["\x77\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x9F"],
        ["\xE9\xAC\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x6C"],

        ["\x77\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA2"],
        ["\xE9\xAC\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x50"],

        ["\x77\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA3"],
        ["\xE9\xAC\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x7D"],

        ["\x77\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA5"],
        ["\xE9\xAC\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x4D"],

        ["\x77\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA7"],
        ["\xE9\xAC\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x5D"],

        ["\x77\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA8"],
        ["\xE9\xAC\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x5C"],

        ["\x77\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA9"],
        ["\xE9\xAC\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x4E"],

        ["\x77\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAA"],
        ["\xE9\xAC\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x6B"],

        ["\x77\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAE"],
        ["\xE9\xAC\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x60"],

        ["\x77\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAF"],
        ["\xE9\xAC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x4B"],

        ["\x77\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xB2"],
        ["\xE9\xAC\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x61"],

        ["\x77\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x84"],
        ["\xE9\xAD\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF0"],

        ["\x77\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x83"],
        ["\xE9\xAD\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF1"],

        ["\x77\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x8F"],
        ["\xE9\xAD\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF2"],

        ["\x77\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x8D"],
        ["\xE9\xAD\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF3"],

        ["\x77\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x8E"],
        ["\xE9\xAD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF4"],

        ["\x77\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x91"],
        ["\xE9\xAD\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF5"],

        ["\x77\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x98"],
        ["\xE9\xAD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF6"],

        ["\x77\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB4"],
        ["\xE9\xAD\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF7"],

        ["\x77\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x93"],
        ["\xE9\xAE\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF8"],

        ["\x77\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x83"],
        ["\xE9\xAE\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xF9"],

        ["\x77\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x91"],
        ["\xE9\xAE\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x7A"],

        ["\x77\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x96"],
        ["\xE9\xAE\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x5E"],

        ["\x77\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x97"],
        ["\xE9\xAE\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x4C"],

        ["\x77\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x9F"],
        ["\xE9\xAE\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x7E"],

        ["\x77\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xA0"],
        ["\xE9\xAE\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x6E"],

        ["\x77\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xA8"],
        ["\xE9\xAE\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x6F"],

        ["\x77\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB4"],
        ["\xE9\xAE\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x7C"],

        ["\x77\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x80"],
        ["\xE9\xAF\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC1"],

        ["\x77\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x8A"],
        ["\xE9\xAF\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC2"],

        ["\x77\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB9"],
        ["\xE9\xAE\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC3"],

        ["\x77\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x86"],
        ["\xE9\xAF\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC4"],

        ["\x77\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x8F"],
        ["\xE9\xAF\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC5"],

        ["\x77\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x91"],
        ["\xE9\xAF\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC6"],

        ["\x77\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x92"],
        ["\xE9\xAF\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC7"],

        ["\x77\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA3"],
        ["\xE9\xAF\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC8"],

        ["\x77\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA2"],
        ["\xE9\xAF\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC9"],

        ["\x77\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA4"],
        ["\xE9\xAF\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD1"],

        ["\x77\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x94"],
        ["\xE9\xAF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD2"],

        ["\x77\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA1"],
        ["\xE9\xAF\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD3"],

        ["\xF0\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xBA"],
        ["\xE9\xB0\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],

        ["\x77\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB2"],
        ["\xE9\xAF\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD5"],

        ["\x77\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB1"],
        ["\xE9\xAF\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD6"],

        ["\x77\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB0"],
        ["\xE9\xAF\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD7"],

        ["\x77\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x95"],
        ["\xE9\xB0\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD8"],

        ["\x77\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x94"],
        ["\xE9\xB0\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD9"],

        ["\x77\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x89"],
        ["\xE9\xB0\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xE2"],

        ["\x77\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x93"],
        ["\xE9\xB0\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xE3"],

        ["\x77\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x8C"],
        ["\xE9\xB0\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xE4"],

        ["\x77\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x86"],
        ["\xE9\xB0\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xE5"],

        ["\x77\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x88"],
        ["\xE9\xB0\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xE6"],

        ["\x77\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x92"],
        ["\xE9\xB0\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xE7"],

        ["\x77\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x8A"],
        ["\xE9\xB0\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xE8"],

        ["\x77\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x84"],
        ["\xE9\xB0\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xE9"],

        ["\x77\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xAE"],
        ["\xE9\xB0\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x4A"],

        ["\x77\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x9B"],
        ["\xE9\xB0\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x5B"],

        ["\x77\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA5"],
        ["\xE9\xB0\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x5A"],

        ["\x77\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA4"],
        ["\xE9\xB0\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x5F"],

        ["\x77\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA1"],
        ["\xE9\xB0\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x6D"],

        ["\x77\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB0"],
        ["\xE9\xB0\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x79"],

        ["\x77\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x87"],
        ["\xE9\xB1\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x57"],

        ["\x77\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB2"],
        ["\xE9\xB0\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x59"],

        ["\x77\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x86"],
        ["\xE9\xB1\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x62"],

        ["\x77\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xBE"],
        ["\xE9\xB0\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x63"],

        ["\x77\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9A"],
        ["\xE9\xB1\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x64"],

        ["\x77\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA0"],
        ["\xE9\xB1\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x65"],

        ["\x77\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA7"],
        ["\xE9\xB1\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x66"],

        ["\x77\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB6"],
        ["\xE9\xB1\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x67"],

        ["\x77\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB8"],
        ["\xE9\xB1\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x68"],

        ["\x77\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xA7"],
        ["\xE9\xB3\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x69"],

        ["\x77\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xAC"],
        ["\xE9\xB3\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x70"],

        ["\x77\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB0"],
        ["\xE9\xB3\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x71"],

        ["\x77\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x89"],
        ["\xE9\xB4\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x72"],

        ["\x77\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x88"],
        ["\xE9\xB4\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x73"],

        ["\x77\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xAB"],
        ["\xE9\xB3\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x74"],

        ["\x77\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x83"],
        ["\xE9\xB4\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x75"],

        ["\x77\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x86"],
        ["\xE9\xB4\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x76"],

        ["\x77\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xAA"],
        ["\xE9\xB4\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x77"],

        ["\x77\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xA6"],
        ["\xE9\xB4\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x78"],

        ["\xF2\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xAF"],
        ["\xE9\xB6\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF2\x5D"],

        ["\x77\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xA3"],
        ["\xE9\xB4\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x8B"],

        ["\x77\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x9F"],
        ["\xE9\xB4\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x9B"],

        ["\x77\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x84"],
        ["\xE9\xB5\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x9C"],

        ["\x77\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x95"],
        ["\xE9\xB4\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xA0"],

        ["\x77\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x92"],
        ["\xE9\xB4\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xAB"],

        ["\x77\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x81"],
        ["\xE9\xB5\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xB0"],

        ["\x77\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xBF"],
        ["\xE9\xB4\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xC0"],

        ["\x77\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xBE"],
        ["\xE9\xB4\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\x6A"],

        ["\x77\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x86"],
        ["\xE9\xB5\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xD0"],

        ["\x77\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x88"],
        ["\xE9\xB5\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x77\xA1"],

        ["\x78\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x9D"],
        ["\xE9\xB5\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x4F"],

        ["\x78\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x9E"],
        ["\xE9\xB5\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x7F"],

        ["\x78\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA4"],
        ["\xE9\xB5\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x7B"],

        ["\x78\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x91"],
        ["\xE9\xB5\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xE0"],

        ["\x78\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x90"],
        ["\xE9\xB5\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x6C"],

        ["\x78\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x99"],
        ["\xE9\xB5\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x50"],

        ["\x78\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB2"],
        ["\xE9\xB5\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x7D"],

        ["\x78\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x89"],
        ["\xE9\xB6\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x4D"],

        ["\x78\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x87"],
        ["\xE9\xB6\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x5D"],

        ["\x78\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xAB"],
        ["\xE9\xB6\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x5C"],

        ["\x78\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xAF"],
        ["\xE9\xB5\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x4E"],

        ["\x78\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xBA"],
        ["\xE9\xB5\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x6B"],

        ["\x78\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x9A"],
        ["\xE9\xB6\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x60"],

        ["\x78\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xA4"],
        ["\xE9\xB6\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x4B"],

        ["\x78\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xA9"],
        ["\xE9\xB6\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x61"],

        ["\x78\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB2"],
        ["\xE9\xB6\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF0"],

        ["\x78\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x84"],
        ["\xE9\xB7\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF1"],

        ["\x78\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x81"],
        ["\xE9\xB7\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF2"],

        ["\x78\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBB"],
        ["\xE9\xB6\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF3"],

        ["\x78\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB8"],
        ["\xE9\xB6\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF4"],

        ["\x78\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBA"],
        ["\xE9\xB6\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF5"],

        ["\x78\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x86"],
        ["\xE9\xB7\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF6"],

        ["\x78\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x8F"],
        ["\xE9\xB7\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF7"],

        ["\x78\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x82"],
        ["\xE9\xB7\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF8"],

        ["\x78\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x99"],
        ["\xE9\xB7\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xF9"],

        ["\x78\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x93"],
        ["\xE9\xB7\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x7A"],

        ["\x78\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xB8"],
        ["\xE9\xB7\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x5E"],

        ["\x78\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xA6"],
        ["\xE9\xB7\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x4C"],

        ["\x78\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xAD"],
        ["\xE9\xB7\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x7E"],

        ["\x78\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xAF"],
        ["\xE9\xB7\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x6E"],

        ["\x78\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xBD"],
        ["\xE9\xB7\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x6F"],

        ["\x78\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9A"],
        ["\xE9\xB8\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x7C"],

        ["\x78\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9B"],
        ["\xE9\xB8\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC1"],

        ["\x78\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9E"],
        ["\xE9\xB8\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC2"],

        ["\x78\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xB5"],
        ["\xE9\xB9\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC3"],

        ["\x78\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xB9"],
        ["\xE9\xB9\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC4"],

        ["\x78\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xBD"],
        ["\xE9\xB9\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC5"],

        ["\x78\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x81"],
        ["\xE9\xBA\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC6"],

        ["\x78\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x88"],
        ["\xE9\xBA\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC7"],

        ["\x78\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x8B"],
        ["\xE9\xBA\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC8"],

        ["\x78\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x8C"],
        ["\xE9\xBA\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC9"],

        ["\x78\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x92"],
        ["\xE9\xBA\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD1"],

        ["\x78\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x95"],
        ["\xE9\xBA\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD2"],

        ["\x78\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x91"],
        ["\xE9\xBA\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD3"],

        ["\x78\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x9D"],
        ["\xE9\xBA\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD4"],

        ["\x78\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA5"],
        ["\xE9\xBA\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD5"],

        ["\x78\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA9"],
        ["\xE9\xBA\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD6"],

        ["\x78\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xB8"],
        ["\xE9\xBA\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD7"],

        ["\x78\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xAA"],
        ["\xE9\xBA\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD8"],

        ["\x78\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xAD"],
        ["\xE9\xBA\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD9"],

        ["\x78\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA1"],
        ["\xE9\x9D\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xE2"],

        ["\x78\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x8C"],
        ["\xE9\xBB\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xE3"],

        ["\x78\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x8E"],
        ["\xE9\xBB\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xE4"],

        ["\x78\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x8F"],
        ["\xE9\xBB\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xE5"],

        ["\x78\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x90"],
        ["\xE9\xBB\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xE6"],

        ["\x78\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x94"],
        ["\xE9\xBB\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xE7"],

        ["\x78\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9C"],
        ["\xE9\xBB\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xE8"],

        ["\x78\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9E"],
        ["\xE9\xBB\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xE9"],

        ["\x78\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9D"],
        ["\xE9\xBB\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x4A"],

        ["\x78\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xA0"],
        ["\xE9\xBB\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x5B"],

        ["\x78\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xA5"],
        ["\xE9\xBB\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x5A"],

        ["\x78\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xA8"],
        ["\xE9\xBB\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x5F"],

        ["\x78\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xAF"],
        ["\xE9\xBB\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x6D"],

        ["\x78\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xB4"],
        ["\xE9\xBB\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x79"],

        ["\x78\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xB6"],
        ["\xE9\xBB\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x57"],

        ["\x78\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xB7"],
        ["\xE9\xBB\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x59"],

        ["\x78\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xB9"],
        ["\xE9\xBB\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x62"],

        ["\x78\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xBB"],
        ["\xE9\xBB\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x63"],

        ["\x78\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xBC"],
        ["\xE9\xBB\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x64"],

        ["\x78\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xBD"],
        ["\xE9\xBB\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x65"],

        ["\x78\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x87"],
        ["\xE9\xBC\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x66"],

        ["\x78\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x88"],
        ["\xE9\xBC\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x67"],

        ["\x78\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB7"],
        ["\xE7\x9A\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x68"],

        ["\x78\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x95"],
        ["\xE9\xBC\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x69"],

        ["\x78\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xA1"],
        ["\xE9\xBC\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x70"],

        ["\x78\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xAC"],
        ["\xE9\xBC\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x71"],

        ["\x78\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xBE"],
        ["\xE9\xBC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x72"],

        ["\x78\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x8A"],
        ["\xE9\xBD\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x73"],

        ["\x78\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x92"],
        ["\xE9\xBD\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x74"],

        ["\x78\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x94"],
        ["\xE9\xBD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x75"],

        ["\x78\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA3"],
        ["\xE9\xBD\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x76"],

        ["\x78\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x9F"],
        ["\xE9\xBD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x77"],

        ["\x78\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA0"],
        ["\xE9\xBD\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x78"],

        ["\x78\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA1"],
        ["\xE9\xBD\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x80"],

        ["\x78\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA6"],
        ["\xE9\xBD\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x8B"],

        ["\x78\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA7"],
        ["\xE9\xBD\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x9B"],

        ["\x78\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xAC"],
        ["\xE9\xBD\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x9C"],

        ["\x78\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xAA"],
        ["\xE9\xBD\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xA0"],

        ["\x78\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB7"],
        ["\xE9\xBD\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xAB"],

        ["\x78\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB2"],
        ["\xE9\xBD\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xB0"],

        ["\x78\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB6"],
        ["\xE9\xBD\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xC0"],

        ["\x78\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x95"],
        ["\xE9\xBE\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\x6A"],

        ["\x78\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x9C"],
        ["\xE9\xBE\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xD0"],

        ["\x78\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\xA0"],
        ["\xE9\xBE\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x78\xA1"],

        ["\xF6\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xAF"],
        ["\xE5\xA0\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF6\xC6"],

        ["\xD2\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x87"],
        ["\xE6\xA7\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD2\x69"],

        ["\xD4\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x99"],
        ["\xE9\x81\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD4\xE9"],

        ["\x79\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA4"],
        ["\xE7\x91\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x79\x9B"],

        ["\x84\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x9C"],
        ["\xE5\x87\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x48"],

        ["\x94\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x99"],
        ["\xE7\x86\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x8A"],

        ["\x42\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB0"],
        ["\xE2\x85\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x8E"],

        ["\x42\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB1"],
        ["\xE2\x85\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x8F"],

        ["\x42\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB2"],
        ["\xE2\x85\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x90"],

        ["\x42\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB3"],
        ["\xE2\x85\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x91"],

        ["\x42\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB4"],
        ["\xE2\x85\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x92"],

        ["\x42\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB5"],
        ["\xE2\x85\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x93"],

        ["\x42\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB6"],
        ["\xE2\x85\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x94"],

        ["\x42\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB7"],
        ["\xE2\x85\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x95"],

        ["\x42\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB8"],
        ["\xE2\x85\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x96"],

        ["\x42\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB9"],
        ["\xE2\x85\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x97"],

        ["\x45\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA4"],
        ["\xEF\xBF\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xFB"],

        ["\x43\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x87"],
        ["\xEF\xBC\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xEF"],

        ["\x43\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x82"],
        ["\xEF\xBC\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xFA"],

        ["\x9A\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8A"],
        ["\xE7\xBA\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xAE"],

        ["\xA3\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x9C"],
        ["\xE8\xA4\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x49"],

        ["\xA7\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x88"],
        ["\xE9\x8D\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x89"],

        ["\xA6\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x88"],
        ["\xE9\x8A\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xCF"],

        ["\x9F\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x9C"],
        ["\xE8\x93\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\x9D"],

        ["\x82\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x89"],
        ["\xE4\xBF\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xEC"],

        ["\x93\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xBB"],
        ["\xE7\x82\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xFE"],

        ["\x8E\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB1"],
        ["\xE6\x98\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x90"],

        ["\x90\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x88"],
        ["\xE6\xA3\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x87"],

        ["\xA7\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xB9"],
        ["\xE9\x8B\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x86"],

        ["\x8E\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBB"],
        ["\xE6\x9B\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xAA"],

        ["\x8A\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x85"],
        ["\xE5\xBD\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x98"],

        ["\x82\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xA8"],
        ["\xE4\xB8\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x52"],

        ["\x82\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xA1"],
        ["\xE4\xBB\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x93"],

        ["\x82\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xBC"],
        ["\xE4\xBB\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xA8"],

        ["\x82\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x80"],
        ["\xE4\xBC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xA2"],

        ["\x82\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x83"],
        ["\xE4\xBC\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xA3"],

        ["\x82\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB9"],
        ["\xE4\xBC\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xBB"],

        ["\x82\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x96"],
        ["\xE4\xBD\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xAC"],

        ["\x82\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x92"],
        ["\xE4\xBE\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xCC"],

        ["\x82\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x8A"],
        ["\xE4\xBE\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xB9"],

        ["\x8A\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x9A"],
        ["\xE4\xBE\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xBA"],

        ["\x82\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x94"],
        ["\xE4\xBE\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xB3"],

        ["\x82\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8D"],
        ["\xE4\xBF\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xEB"],

        ["\x83\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x80"],
        ["\xE5\x81\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x82"],

        ["\x83\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA2"],
        ["\xE5\x80\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x41"],

        ["\x83\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xBF"],
        ["\xE4\xBF\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x83"],

        ["\x83\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x9E"],
        ["\xE5\x80\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x46"],

        ["\x83\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x86"],
        ["\xE5\x81\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x91"],

        ["\x83\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB0"],
        ["\xE5\x81\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x94"],

        ["\x83\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x82"],
        ["\xE5\x81\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x95"],

        ["\x83\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x94"],
        ["\xE5\x82\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x97"],

        ["\x83\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB4"],
        ["\xE5\x83\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xA7"],

        ["\x83\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x98"],
        ["\xE5\x83\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xAA"],

        ["\x83\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8A"],
        ["\xE5\x85\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xCA"],

        ["\x83\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA4"],
        ["\xE5\x85\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xDC"],

        ["\x83\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x9D"],
        ["\xE5\x86\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xED"],

        ["\x84\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xBE"],
        ["\xE5\x86\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x42"],

        ["\xA9\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xAC"],
        ["\xE5\x87\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x48"],

        ["\x84\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x95"],
        ["\xE5\x88\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x84"],

        ["\x84\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x9C"],
        ["\xE5\x8A\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x92"],

        ["\x84\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA6"],
        ["\xE5\x8A\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x94"],

        ["\x84\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x80"],
        ["\xE5\x8B\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xA5"],

        ["\x84\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x9B"],
        ["\xE5\x8B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xAE"],

        ["\x84\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x80"],
        ["\xE5\x8C\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xCA"],

        ["\x84\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x87"],
        ["\xE5\x8C\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xCE"],

        ["\x84\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xA4"],
        ["\xE5\x8C\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xDB"],

        ["\x85\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB2"],
        ["\xE5\x8D\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x47"],

        ["\x85\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x93"],
        ["\xE5\x8E\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x54"],

        ["\x85\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB2"],
        ["\xE5\x8E\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x81"],

        ["\x85\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x9D"],
        ["\xE5\x8F\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x8D"],

        ["\x85\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x8E"],
        ["\xEF\xA8\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x8F"],

        ["\x85\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x9C"],
        ["\xE5\x92\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xA8"],

        ["\x85\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8A"],
        ["\xE5\x92\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xA4"],

        ["\x85\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA9"],
        ["\xE5\x92\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xBC"],

        ["\x85\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xBF"],
        ["\xE5\x93\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xB2"],

        ["\x85\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x86"],
        ["\xE5\x96\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xDA"],

        ["\x86\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x99"],
        ["\xE5\x9D\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xAC"],

        ["\x86\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA5"],
        ["\xE5\x9D\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xBE"],

        ["\x86\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xAC"],
        ["\xE5\x9E\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xB5"],

        ["\x86\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x88"],
        ["\xE5\x9F\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xB7"],

        ["\x86\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x87"],
        ["\xE5\x9F\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xB8"],

        ["\x86\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x8F"],
        ["\xEF\xA8\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xB9"],

        ["\xC4\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x90"],
        ["\xEF\xA8\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],

        ["\x87\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x9E"],
        ["\xE5\xA2\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x48"],

        ["\x87\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB2"],
        ["\xE5\xA2\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x55"],

        ["\x87\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8B"],
        ["\xE5\xA4\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x88"],

        ["\x87\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x93"],
        ["\xE5\xA5\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x9E"],

        ["\x87\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x9B"],
        ["\xE5\xA5\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xA4"],

        ["\x87\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x9D"],
        ["\xE5\xA5\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xA3"],

        ["\x87\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA3"],
        ["\xE5\xA5\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xA8"],

        ["\x87\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xA4"],
        ["\xE5\xA6\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xBB"],

        ["\x87\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xBA"],
        ["\xE5\xA6\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xB6"],

        ["\x88\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x96"],
        ["\xE5\xAD\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x84"],

        ["\x88\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x80"],
        ["\xE5\xAF\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x9D"],

        ["\x88\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xAF"],
        ["\xE7\x94\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x9F"],

        ["\x88\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x98"],
        ["\xE5\xAF\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xA2"],

        ["\x88\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xAC"],
        ["\xE5\xAF\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xA9"],

        ["\x88\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x9E"],
        ["\xE5\xB0\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xB5"],

        ["\x88\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA6"],
        ["\xE5\xB2\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xFB"],

        ["\x88\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xBA"],
        ["\xE5\xB2\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xEF"],

        ["\x89\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xB5"],
        ["\xE5\xB3\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x49"],

        ["\x89\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA7"],
        ["\xE5\xB4\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x81"],

        ["\x97\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x93"],
        ["\xE5\xB5\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x87"],

        ["\x89\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x91"],
        ["\xEF\xA8\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x8A"],

        ["\x89\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x82"],
        ["\xE5\xB5\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x8E"],

        ["\x89\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xAD"],
        ["\xE5\xB5\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x91"],

        ["\x89\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB8"],
        ["\xE5\xB6\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xA8"],

        ["\x89\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB9"],
        ["\xE5\xB6\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xAA"],

        ["\x89\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x90"],
        ["\xE5\xB7\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xBA"],

        ["\x8A\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA1"],
        ["\xE5\xBC\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x90"],

        ["\x8A\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB4"],
        ["\xE5\xBC\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x92"],

        ["\x8A\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA7"],
        ["\xE5\xBD\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xA6"],

        ["\x8A\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB7"],
        ["\xE5\xBE\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xCE"],

        ["\x8A\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x9E"],
        ["\xE5\xBF\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xFE"],

        ["\x8C\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x9D"],
        ["\xE6\x81\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x49"],

        ["\x8C\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x85"],
        ["\xE6\x82\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x81"],

        ["\x85\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x8A"],
        ["\xE6\x82\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xB7"],

        ["\x8C\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9E"],
        ["\xE6\x83\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x95"],

        ["\x8C\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x95"],
        ["\xE6\x83\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x8E"],

        ["\x8C\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xA0"],
        ["\xE6\x84\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x9A"],

        ["\x8C\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB2"],
        ["\xE6\x83\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xA3"],

        ["\x8C\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x91"],
        ["\xE6\x84\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xA9"],

        ["\x8C\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xB7"],
        ["\xE6\x84\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xAC"],

        ["\x8C\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xB0"],
        ["\xE6\x84\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xAE"],

        ["\x86\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x98"],
        ["\xE6\x86\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x48"],

        ["\x8C\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x93"],
        ["\xE6\x88\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xEF"],

        ["\x8D\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xA6"],
        ["\xE6\x8A\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x81"],

        ["\x8D\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB5"],
        ["\xE6\x8F\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x9F"],

        ["\x8D\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xA0"],
        ["\xE6\x91\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xAF"],

        ["\x8D\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x9D"],
        ["\xE6\x92\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xBB"],

        ["\x8D\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8E"],
        ["\xE6\x93\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xBC"],

        ["\x8D\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x8E"],
        ["\xE6\x95\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xDC"],

        ["\x8E\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x80"],
        ["\xE6\x98\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x8E"],

        ["\x8E\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x95"],
        ["\xE6\x98\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x85"],

        ["\xF9\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xBB"],
        ["\xE6\x98\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\xF7"],

        ["\x8E\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x89"],
        ["\xE6\x98\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x87"],

        ["\x8E\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAE"],
        ["\xE6\x98\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x93"],

        ["\x8E\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x9E"],
        ["\xE6\x98\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x95"],

        ["\x8E\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA4"],
        ["\xE6\x98\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x98"],

        ["\x8E\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA5"],
        ["\xE6\x99\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xAC"],

        ["\x8E\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x97"],
        ["\xE6\x99\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xB2"],

        ["\x8E\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x99"],
        ["\xE6\x99\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xBE"],

        ["\x8E\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x92"],
        ["\xEF\xA8\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xB6"],

        ["\x8E\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB3"],
        ["\xE6\x99\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xB8"],

        ["\x8E\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x99"],
        ["\xE6\x9A\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xED"],

        ["\x96\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xA0"],
        ["\xE6\x9A\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xAE"],

        ["\x8F\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB2"],
        ["\xE6\x9A\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x45"],

        ["\x8F\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xBF"],
        ["\xE6\x9A\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x53"],

        ["\x8E\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBA"],
        ["\xE6\x9B\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xA6"],

        ["\x8F\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x8E"],
        ["\xE6\x9C\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x8D"],

        ["\x8F\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4\xA9"],
        ["\xEF\xA4\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x8F"],

        ["\x8F\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA6"],
        ["\xE6\x9D\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x99"],

        ["\x8F\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xBB"],
        ["\xE6\x9E\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xAF"],

        ["\x8F\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x92"],
        ["\xE6\xA1\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xB7"],

        ["\x8F\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x80"],
        ["\xE6\x9F\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xCA"],

        ["\x8F\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x81"],
        ["\xE6\xA0\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xB4"],

        ["\x8F\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x84"],
        ["\xE6\xA1\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xDC"],

        ["\x90\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8F"],
        ["\xE6\xA3\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x8A"],

        ["\x90\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x93"],
        ["\xEF\xA8\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x8D"],

        ["\x90\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA8"],
        ["\xE6\xA5\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x91"],

        ["\x90\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x94"],
        ["\xEF\xA8\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xAD"],

        ["\x97\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x98"],
        ["\xE6\xA6\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x51"],

        ["\x90\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA2"],
        ["\xE6\xA7\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xB6"],

        ["\x90\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB0"],
        ["\xE6\xA8\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xB7"],

        ["\x90\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xAB"],
        ["\xE6\xA9\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xB8"],

        ["\x90\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x86"],
        ["\xE6\xA9\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xCE"],

        ["\x90\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xB3"],
        ["\xE6\xA9\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xDC"],

        ["\x90\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xBE"],
        ["\xE6\xA9\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xEE"],

        ["\x91\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xA2"],
        ["\xE6\xAB\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x48"],

        ["\x91\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xA4"],
        ["\xE6\xAB\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x45"],

        ["\x91\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x96"],
        ["\xE6\xAF\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xA4"],

        ["\x91\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xBF"],
        ["\xE6\xB0\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xAF"],

        ["\x91\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9C"],
        ["\xE6\xB1\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xBE"],

        ["\x91\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x86"],
        ["\xE6\xB2\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xB7"],

        ["\x91\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xAF"],
        ["\xE6\xB1\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xCD"],

        ["\x91\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x9A"],
        ["\xE6\xB3\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xEA"],

        ["\x92\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x84"],
        ["\xE6\xB4\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x47"],

        ["\x92\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x87"],
        ["\xE6\xB6\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x86"],

        ["\x92\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xAF"],
        ["\xE6\xB5\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x98"],

        ["\x92\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x96"],
        ["\xE6\xB6\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x90"],

        ["\x92\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAC"],
        ["\xE6\xB6\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x9D"],

        ["\x92\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x8F"],
        ["\xE6\xB7\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xAF"],

        ["\x92\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB8"],
        ["\xE6\xB7\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xA2"],

        ["\x92\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB2"],
        ["\xE6\xB7\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xBF"],

        ["\x92\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xBC"],
        ["\xE6\xB7\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xA6"],

        ["\x92\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB9"],
        ["\xE6\xB8\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xFB"],

        ["\x92\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x9C"],
        ["\xE6\xB9\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xDF"],

        ["\x92\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA7"],
        ["\xE6\xB8\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xEA"],

        ["\x92\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xBC"],
        ["\xE6\xB8\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xDC"],

        ["\x93\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xBF"],
        ["\xE6\xBA\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x48"],

        ["\x93\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x88"],
        ["\xE6\xBE\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xA3"],

        ["\x93\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB5"],
        ["\xE6\xBE\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xBF"],

        ["\x93\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB5"],
        ["\xE6\xBF\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xB6"],

        ["\x93\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x85"],
        ["\xE7\x80\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xDB"],

        ["\x93\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x87"],
        ["\xE7\x80\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xDA"],

        ["\x93\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xA8"],
        ["\xE7\x80\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xDD"],

        ["\x93\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x85"],
        ["\xE7\x82\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xFB"],

        ["\x93\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAB"],
        ["\xE7\x82\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xFC"],

        ["\x94\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x8F"],
        ["\xE7\x84\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x48"],

        ["\x94\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x84"],
        ["\xE7\x84\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x46"],

        ["\x94\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x9C"],
        ["\xE7\x85\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x88"],

        ["\x94\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x86"],
        ["\xE7\x85\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x89"],

        ["\x94\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x87"],
        ["\xE7\x85\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x8D"],

        ["\x94\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x95"],
        ["\xEF\xA8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xA3"],

        ["\x94\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x81"],
        ["\xE7\x87\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xA5"],

        ["\x94\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xBE"],
        ["\xE7\x87\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xAA"],

        ["\x94\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB1"],
        ["\xE7\x8A\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xCD"],

        ["\x94\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xBE"],
        ["\xE7\x8A\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xDA"],

        ["\x94\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA4"],
        ["\xE7\x8C\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xFB"],

        ["\x94\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x96"],
        ["\xEF\xA8\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xEE"],

        ["\x95\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB7"],
        ["\xE7\x8D\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x45"],

        ["\x95\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xBD"],
        ["\xE7\x8E\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x8A"],

        ["\x95\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x89"],
        ["\xE7\x8F\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x88"],

        ["\x95\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x96"],
        ["\xE7\x8F\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x92"],

        ["\x95\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA3"],
        ["\xE7\x8F\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x93"],

        ["\x95\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x92"],
        ["\xE7\x8F\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x97"],

        ["\x95\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x87"],
        ["\xE7\x90\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x98"],

        ["\x95\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xB5"],
        ["\xE7\x8F\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x9E"],

        ["\x95\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA6"],
        ["\xE7\x90\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xA7"],

        ["\x95\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAA"],
        ["\xE7\x90\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xA8"],

        ["\x95\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA9"],
        ["\xE7\x90\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xBB"],

        ["\x95\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAE"],
        ["\xE7\x90\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xAD"],

        ["\x95\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA2"],
        ["\xE7\x91\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xCF"],

        ["\x95\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x89"],
        ["\xE7\x92\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xDF"],

        ["\x95\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x9F"],
        ["\xE7\x92\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xFB"],

        ["\x96\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x81"],
        ["\xE7\x94\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x53"],

        ["\x96\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAF"],
        ["\xE7\x95\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x84"],

        ["\x96\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x82"],
        ["\xE7\x9A\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xA8"],

        ["\x96\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9C"],
        ["\xE7\x9A\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xAF"],

        ["\x96\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9E"],
        ["\xE7\x9A\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xBA"],

        ["\x96\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9B"],
        ["\xE7\x9A\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xBB"],

        ["\x96\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA6"],
        ["\xE7\x9A\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xBF"],

        ["\x96\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x97"],
        ["\xEF\xA8\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xB7"],

        ["\x96\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x86"],
        ["\xE7\x9D\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xDE"],

        ["\x84\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAF"],
        ["\xE5\x8A\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x98"],

        ["\x97\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA1"],
        ["\xE7\xA0\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x81"],

        ["\x97\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x8E"],
        ["\xE7\xA1\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x85"],

        ["\x97\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xA4"],
        ["\xE7\xA1\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x8E"],

        ["\x97\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xBA"],
        ["\xE7\xA1\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x95"],

        ["\x97\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xB0"],
        ["\xE7\xA4\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xBA"],

        ["\x97\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x98"],
        ["\xEF\xA8\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xBD"],

        ["\x97\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x99"],
        ["\xEF\xA8\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xCD"],

        ["\x97\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9A"],
        ["\xEF\xA8\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xED"],

        ["\x98\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x94"],
        ["\xE7\xA6\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x43"],

        ["\x98\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9B"],
        ["\xEF\xA8\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x46"],

        ["\x98\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x9B"],
        ["\xE7\xA6\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x51"],

        ["\x98\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x91"],
        ["\xE7\xAB\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xDE"],

        ["\x98\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA7"],
        ["\xE7\xAB\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xEB"],

        ["\x98\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9C"],
        ["\xEF\xA8\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xED"],

        ["\x98\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xAB"],
        ["\xE7\xAB\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xEE"],

        ["\x99\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9E"],
        ["\xE7\xAE\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x8C"],

        ["\x99\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9D"],
        ["\xEF\xA8\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xCA"],

        ["\x9A\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x88"],
        ["\xE7\xB5\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x47"],

        ["\x9A\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x9C"],
        ["\xE7\xB5\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x53"],

        ["\x9A\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB7"],
        ["\xE7\xB6\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x89"],

        ["\x9A\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA0"],
        ["\xE7\xB6\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x86"],

        ["\x9A\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x96"],
        ["\xE7\xB7\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x8E"],

        ["\x9A\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x92"],
        ["\xE7\xB9\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xAA"],

        ["\x90\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x87"],
        ["\xE7\xBD\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xFB"],

        ["\x9A\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA1"],
        ["\xE7\xBE\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xDE"],

        ["\x9A\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9E"],
        ["\xEF\xA8\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xEC"],

        ["\x9E\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x81"],
        ["\xE8\x8C\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\x84"],

        ["\x9E\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xA2"],
        ["\xE8\x8D\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xA8"],

        ["\x9E\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xBF"],
        ["\xE8\x8D\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xA9"],

        ["\x9F\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x87"],
        ["\xE8\x8F\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\x41"],

        ["\x9E\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB6"],
        ["\xE8\x8F\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xED"],

        ["\x9F\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x88"],
        ["\xE8\x91\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\x82"],

        ["\x9F\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xB4"],
        ["\xE8\x92\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\x94"],

        ["\x9F\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x93"],
        ["\xE8\x95\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\xDA"],

        ["\x9F\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x99"],
        ["\xE8\x95\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\xCC"],

        ["\x9F\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xAB"],
        ["\xE8\x95\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\xCF"],

        ["\x9F\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9F"],
        ["\xEF\xA8\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\xFD"],

        ["\xA2\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xB0"],
        ["\xE8\x96\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x49"],

        ["\xA2\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA0"],
        ["\xEF\xA8\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x93"],

        ["\xA2\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA1"],
        ["\xEF\xA8\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xA8"],

        ["\xA2\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x87"],
        ["\xE8\xA0\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xB4"],

        ["\xA3\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB5"],
        ["\xE8\xA3\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x44"],

        ["\xA3\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x92"],
        ["\xE8\xA8\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x9D"],

        ["\xA3\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB7"],
        ["\xE8\xA8\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xBA"],

        ["\xA3\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB9"],
        ["\xE8\xA9\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xBF"],

        ["\xA3\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA7"],
        ["\xE8\xAA\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xB4"],

        ["\xA3\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xBE"],
        ["\xE8\xAA\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xB5"],

        ["\xA3\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9F"],
        ["\xE8\xAB\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xCE"],

        ["\xA3\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA2"],
        ["\xEF\xA8\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xCC"],

        ["\xA3\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB6"],
        ["\xE8\xAB\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xCF"],

        ["\xA3\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x93"],
        ["\xE8\xAD\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],

        ["\xA3\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xBF"],
        ["\xE8\xAD\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xFE"],

        ["\xA4\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xB0"],
        ["\xE8\xB3\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x8D"],

        ["\xA4\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xB4"],
        ["\xE8\xB3\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x8C"],

        ["\xA4\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x92"],
        ["\xE8\xB4\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x93"],

        ["\xA4\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB6"],
        ["\xE8\xB5\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x96"],

        ["\xA4\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA3"],
        ["\xEF\xA8\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x98"],

        ["\xA4\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8F"],
        ["\xE8\xBB\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],

        ["\xA4\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA4"],
        ["\xEF\xA8\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xFD"],

        ["\xA5\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA5"],
        ["\xEF\xA8\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\x93"],

        ["\xA5\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA7"],
        ["\xE9\x81\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],

        ["\xA5\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x9E"],
        ["\xE9\x83\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xCE"],

        ["\xA5\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA6"],
        ["\xEF\xA8\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xDE"],

        ["\xA5\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x95"],
        ["\xE9\x84\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xDF"],

        ["\xA5\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xA7"],
        ["\xE9\x84\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],

        ["\xA6\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9A"],
        ["\xE9\x87\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x88"],

        ["\xA6\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x97"],
        ["\xE9\x87\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x87"],

        ["\xA6\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9E"],
        ["\xE9\x87\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x89"],

        ["\xA6\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xAD"],
        ["\xE9\x87\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x8C"],

        ["\xA6\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xAE"],
        ["\xE9\x87\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x92"],

        ["\xA6\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA4"],
        ["\xE9\x87\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x8F"],

        ["\xA6\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA5"],
        ["\xE9\x87\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x8E"],

        ["\xA6\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x86"],
        ["\xE9\x88\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x97"],

        ["\xA6\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x90"],
        ["\xE9\x88\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x95"],

        ["\xA6\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x8A"],
        ["\xE9\x88\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x9E"],

        ["\xA6\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xBA"],
        ["\xE9\x88\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xBC"],

        ["\xA6\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x80"],
        ["\xE9\x89\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xAC"],

        ["\xA6\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xBC"],
        ["\xE9\x88\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xAF"],

        ["\xA6\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x8E"],
        ["\xE9\x89\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xBD"],

        ["\xA6\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x99"],
        ["\xE9\x89\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xBB"],

        ["\xA6\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x91"],
        ["\xE9\x89\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xA6"],

        ["\xA6\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xB9"],
        ["\xE9\x88\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xA8"],

        ["\xA6\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA7"],
        ["\xE9\x89\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xB6"],

        ["\xA6\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\xA7"],
        ["\xE9\x8A\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xDA"],

        ["\xA6\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xB7"],
        ["\xE9\x89\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xDB"],

        ["\xA6\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xB8"],
        ["\xE9\x89\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xB8"],

        ["\xA6\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xA7"],
        ["\xE9\x8B\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xEF"],

        ["\xA6\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x97"],
        ["\xE9\x8B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xDC"],

        ["\xA6\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x99"],
        ["\xE9\x8B\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xED"],

        ["\xA7\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x90"],
        ["\xE9\x8B\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x44"],

        ["\xA7\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA7"],
        ["\xEF\xA8\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x46"],

        ["\xA7\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x95"],
        ["\xE9\x8B\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x43"],

        ["\xA6\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xA0"],
        ["\xE9\x8B\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xFE"],

        ["\xA6\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x93"],
        ["\xE9\x8B\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xEA"],

        ["\xA7\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA5"],
        ["\xE9\x8C\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x84"],

        ["\xA7\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA1"],
        ["\xE9\x8C\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x49"],

        ["\xA7\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xBB"],
        ["\xE9\x8B\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x56"],

        ["\xA7\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA8"],
        ["\xEF\xA8\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x87"],

        ["\xA7\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x9E"],
        ["\xE9\x8C\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x52"],

        ["\xA7\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xBF"],
        ["\xE9\x8B\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x85"],

        ["\xA7\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x9D"],
        ["\xE9\x8C\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x83"],

        ["\xA7\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x82"],
        ["\xE9\x8C\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x82"],

        ["\xA7\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xB0"],
        ["\xE9\x8D\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x8C"],

        ["\xA7\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x97"],
        ["\xE9\x8D\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x94"],

        ["\xA7\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xA4"],
        ["\xE9\x8E\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xA8"],

        ["\xA7\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x86"],
        ["\xE9\x8F\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xBF"],

        ["\xA7\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x9E"],
        ["\xE9\x8F\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xBA"],

        ["\xA7\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xB8"],
        ["\xE9\x8F\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xB9"],

        ["\xA7\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB1"],
        ["\xE9\x90\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xDE"],

        ["\xA7\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x85"],
        ["\xE9\x91\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xDF"],

        ["\xA7\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x88"],
        ["\xE9\x91\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xEA"],

        ["\xA7\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x92"],
        ["\xE9\x96\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xFC"],

        ["\xA8\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7\x9C"],
        ["\xEF\xA7\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x89"],

        ["\xA8\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA9"],
        ["\xEF\xA8\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x91"],

        ["\xA8\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x9D"],
        ["\xE9\x9A\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x92"],

        ["\xA8\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xAF"],
        ["\xE9\x9A\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x95"],

        ["\xA8\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB3"],
        ["\xE9\x9C\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xA9"],

        ["\xA8\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xBB"],
        ["\xE9\x9C\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xAA"],

        ["\xA8\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x83"],
        ["\xE9\x9D\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xAD"],

        ["\xA8\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x8D"],
        ["\xE9\x9D\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xAF"],

        ["\xA8\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x8F"],
        ["\xE9\x9D\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xBB"],

        ["\xA8\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x91"],
        ["\xE9\x9D\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xBC"],

        ["\xA8\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x95"],
        ["\xE9\x9D\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xBE"],

        ["\xA9\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x97"],
        ["\xE9\xA1\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x41"],

        ["\xA9\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xA5"],
        ["\xE9\xA1\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x44"],

        ["\xA9\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xAA"],
        ["\xEF\xA8\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x83"],

        ["\xA9\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xAB"],
        ["\xEF\xA8\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x84"],

        ["\xA9\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA7"],
        ["\xE9\xA4\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x87"],

        ["\xA9\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xAC"],
        ["\xEF\xA8\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x88"],

        ["\xA9\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x9E"],
        ["\xE9\xA6\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x94"],

        ["\xA9\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x8E"],
        ["\xE9\xA9\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xAD"],

        ["\xA9\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x99"],
        ["\xE9\xAB\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xBC"],

        ["\xA9\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x9C"],
        ["\xE9\xAB\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xBE"],

        ["\xA9\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB5"],
        ["\xE9\xAD\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xDC"],

        ["\xA9\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB2"],
        ["\xE9\xAD\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xDB"],

        ["\xA9\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x8F"],
        ["\xE9\xAE\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xDF"],

        ["\xA9\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB1"],
        ["\xE9\xAE\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xFB"],

        ["\xAA\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xBB"],
        ["\xE9\xAE\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x48"],

        ["\xAA\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x80"],
        ["\xE9\xB0\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x56"],

        ["\xA8\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB0"],
        ["\xE9\xB5\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x9A"],

        ["\xAA\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xAB"],
        ["\xE9\xB5\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xA9"],

        ["\xAA\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xAD"],
        ["\xEF\xA8\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xBA"],

        ["\xAA\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x99"],
        ["\xE9\xB8\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xBC"],

        ["\xAA\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x91"],
        ["\xE9\xBB\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xCD"],

        ["\x80\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x94"],
        ["\xE2\x80\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x7F"],

        ["\x80\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x96"],
        ["\xE2\x80\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x7B"],

        ["\x80\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x92"],
        ["\xE2\x88\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xE0"],

        ["\x80\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA2"],
        ["\xC2\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x6C"],

        ["\x80\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA3"],
        ["\xC2\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x50"],

        ["\x80\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xB3"],
        ["\xE3\x80\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x7D"],

        ["\x80\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xB4"],
        ["\xE3\x80\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x4D"],

        ["\x80\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xB5"],
        ["\xE3\x80\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x5D"],

        ["\x80\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xBB"],
        ["\xE3\x80\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x5C"],

        ["\x80\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xBC"],
        ["\xE3\x80\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x4E"],

        ["\x80\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBF"],
        ["\xE3\x83\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x6B"],

        ["\x80\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9F"],
        ["\xE3\x82\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x60"],

        ["\x80\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x84"],
        ["\xE2\x8A\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x4B"],

        ["\x80\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x85"],
        ["\xE2\x8A\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x61"],

        ["\x80\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x8A"],
        ["\xE2\x8A\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF0"],

        ["\x80\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x8B"],
        ["\xE2\x8A\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF1"],

        ["\x80\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x89"],
        ["\xE2\x88\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF2"],

        ["\x80\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x85"],
        ["\xE2\x88\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF3"],

        ["\x80\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C\x85"],
        ["\xE2\x8C\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF4"],

        ["\x80\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C\x86"],
        ["\xE2\x8C\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF5"],

        ["\x80\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xAC"],
        ["\xC2\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF6"],

        ["\x45\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x95"],
        ["\xE2\x8A\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xCB"],

        ["\x45\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x96"],
        ["\xE2\x8A\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xCC"],

        ["\x45\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x97"],
        ["\xE2\x8A\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xCD"],

        ["\x80\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA6"],
        ["\xE2\x88\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF7"],

        ["\x80\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9F"],
        ["\xEF\xBD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF8"],

        ["\x80\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\xA0"],
        ["\xEF\xBD\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xF9"],

        ["\x80\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x98"],
        ["\xE3\x80\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x7A"],

        ["\x80\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x99"],
        ["\xE3\x80\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x5E"],

        ["\x80\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x96"],
        ["\xE3\x80\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x4C"],

        ["\x80\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x97"],
        ["\xE3\x80\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x7E"],

        ["\x45\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA2"],
        ["\xE2\x89\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xB2"],

        ["\x45\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\x83"],
        ["\xE2\x89\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xAD"],

        ["\x80\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\x85"],
        ["\xE2\x89\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x6E"],

        ["\x80\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\x88"],
        ["\xE2\x89\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x6F"],

        ["\x45\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xB6"],
        ["\xE2\x89\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xB6"],

        ["\x45\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xB7"],
        ["\xE2\x89\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xB5"],

        ["\x43\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x94"],
        ["\xE2\x86\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xBE"],

        ["\x80\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAE"],
        ["\xE2\x99\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x7C"],

        ["\x80\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAB"],
        ["\xE2\x99\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC1"],

        ["\x80\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAC"],
        ["\xE2\x99\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC2"],

        ["\x80\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA9"],
        ["\xE2\x99\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC3"],

        ["\x43\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB7"],
        ["\xE2\x96\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xCE"],

        ["\x43\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB6"],
        ["\xE2\x96\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xDA"],

        ["\x43\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x81"],
        ["\xE2\x97\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xCD"],

        ["\x43\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x80"],
        ["\xE2\x97\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xCF"],

        ["\x43\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x97"],
        ["\xE2\x86\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xB3"],

        ["\x43\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x98"],
        ["\xE2\x86\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xB6"],

        ["\x43\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x96"],
        ["\xE2\x86\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xB4"],

        ["\x43\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x99"],
        ["\xE2\x86\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xB5"],

        ["\x43\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\x84"],
        ["\xE2\x87\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xBD"],

        ["\x80\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\xA8"],
        ["\xE2\x87\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC4"],

        ["\x80\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\xA6"],
        ["\xE2\x87\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC5"],

        ["\x80\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\xA7"],
        ["\xE2\x87\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC6"],

        ["\x80\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\xA9"],
        ["\xE2\x87\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC7"],

        ["\x80\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4\xB4"],
        ["\xE2\xA4\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC8"],

        ["\x80\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4\xB5"],
        ["\xE2\xA4\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC9"],

        ["\x80\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6\xBF"],
        ["\xE2\xA6\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD1"],

        ["\x80\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x89"],
        ["\xE2\x97\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD2"],

        ["\x80\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xBD"],
        ["\xE3\x80\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD3"],

        ["\x80\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9\x86"],
        ["\xEF\xB9\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD4"],

        ["\x80\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9\x85"],
        ["\xEF\xB9\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD5"],

        ["\x80\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\xA6"],
        ["\xE2\x97\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD6"],

        ["\x80\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA2"],
        ["\xE2\x80\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD7"],

        ["\x45\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x93"],
        ["\xE2\x88\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xAC"],

        ["\x80\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\xB5"],
        ["\xE2\x84\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD8"],

        ["\x80\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\x8F"],
        ["\xE2\x84\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD9"],

        ["\x44\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8F\x8B"],
        ["\xE3\x8F\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\xED"],

        ["\x80\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\x93"],
        ["\xE2\x84\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xE2"],

        ["\x80\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\xA7"],
        ["\xE2\x84\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xE3"],

        ["\x80\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA0"],
        ["\xE3\x82\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xE4"],

        ["\x80\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x93"],
        ["\xE2\x80\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xE5"],

        ["\x80\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7\xBA"],
        ["\xE2\xA7\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xE6"],

        ["\x80\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7\xBB"],
        ["\xE2\xA7\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xE7"],

        ["\x80\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x94"],
        ["\xE3\x82\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xE8"],

        ["\x80\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x95"],
        ["\xE3\x82\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xE9"],

        ["\x80\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x96"],
        ["\xE3\x82\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x4A"],

        ["\x80\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8B\xE3\x82\x9A"],
        ["\xE3\x81\x8B\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x5B"],

        ["\x80\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8D\xE3\x82\x9A"],
        ["\xE3\x81\x8D\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x5A"],

        ["\x80\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8F\xE3\x82\x9A"],
        ["\xE3\x81\x8F\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x5F"],

        ["\x80\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x91\xE3\x82\x9A"],
        ["\xE3\x81\x91\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x6D"],

        ["\x80\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x93\xE3\x82\x9A"],
        ["\xE3\x81\x93\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x79"],

        ["\x80\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAB\xE3\x82\x9A"],
        ["\xE3\x82\xAB\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x57"],

        ["\x80\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAD\xE3\x82\x9A"],
        ["\xE3\x82\xAD\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x59"],

        ["\x80\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAF\xE3\x82\x9A"],
        ["\xE3\x82\xAF\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x62"],

        ["\x80\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB1\xE3\x82\x9A"],
        ["\xE3\x82\xB1\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x63"],

        ["\x80\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB3\xE3\x82\x9A"],
        ["\xE3\x82\xB3\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x64"],

        ["\x80\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBB\xE3\x82\x9A"],
        ["\xE3\x82\xBB\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x65"],

        ["\x80\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x84\xE3\x82\x9A"],
        ["\xE3\x83\x84\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x66"],

        ["\x80\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x88\xE3\x82\x9A"],
        ["\xE3\x83\x88\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x67"],

        ["\x80\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA4"],
        ["\xE2\x99\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x68"],

        ["\x45\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA0"],
        ["\xE2\x99\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xEB"],

        ["\x80\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA2"],
        ["\xE2\x99\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x69"],

        ["\x45\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA6"],
        ["\xE2\x99\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xDF"],

        ["\x80\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA1"],
        ["\xE2\x99\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x70"],

        ["\x45\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA5"],
        ["\xE2\x99\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xEA"],

        ["\x80\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA7"],
        ["\xE2\x99\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x71"],

        ["\x45\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA3"],
        ["\xE2\x99\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\xDE"],

        ["\x80\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCF\x82"],
        ["\xCF\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x72"],

        ["\x80\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB5"],
        ["\xE2\x93\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x73"],

        ["\x80\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB6"],
        ["\xE2\x93\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x74"],

        ["\x80\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB7"],
        ["\xE2\x93\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x75"],

        ["\x80\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB8"],
        ["\xE2\x93\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x76"],

        ["\x80\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB9"],
        ["\xE2\x93\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x77"],

        ["\x80\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBA"],
        ["\xE2\x93\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x78"],

        ["\x80\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBB"],
        ["\xE2\x93\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x80"],

        ["\x80\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBC"],
        ["\xE2\x93\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x8B"],

        ["\x80\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBD"],
        ["\xE2\x93\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x9B"],

        ["\x80\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBE"],
        ["\xE2\x93\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x9C"],

        ["\x80\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x96"],
        ["\xE2\x98\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xA0"],

        ["\x80\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x97"],
        ["\xE2\x98\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xAB"],

        ["\x80\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xA0"],
        ["\xE3\x80\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xB0"],

        ["\x80\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x8E"],
        ["\xE2\x98\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xC0"],

        ["\x80\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x80"],
        ["\xE2\x98\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\x6A"],

        ["\x80\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x81"],
        ["\xE2\x98\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xD0"],

        ["\x80\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x82"],
        ["\xE2\x98\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x80\xA1"],

        ["\x8B\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x83"],
        ["\xE2\x98\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x4F"],

        ["\x8B\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA8"],
        ["\xE2\x99\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x7F"],

        ["\x8B\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB1"],
        ["\xE2\x96\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x7B"],

        ["\x8B\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB0"],
        ["\xE3\x87\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xE0"],

        ["\x8B\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB1"],
        ["\xE3\x87\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x6C"],

        ["\x8B\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB2"],
        ["\xE3\x87\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x50"],

        ["\x8B\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB3"],
        ["\xE3\x87\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x7D"],

        ["\x8B\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB4"],
        ["\xE3\x87\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x4D"],

        ["\x8B\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB5"],
        ["\xE3\x87\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x5D"],

        ["\x8B\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB6"],
        ["\xE3\x87\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x5C"],

        ["\x8B\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB7"],
        ["\xE3\x87\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x4E"],

        ["\x8B\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB8"],
        ["\xE3\x87\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x6B"],

        ["\x8B\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB9"],
        ["\xE3\x87\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x60"],

        ["\x8B\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB7\xE3\x82\x9A"],
        ["\xE3\x87\xB7\xE3\x82\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x4B"],

        ["\x8B\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBA"],
        ["\xE3\x87\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x61"],

        ["\x8B\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBB"],
        ["\xE3\x87\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF0"],

        ["\x8B\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBC"],
        ["\xE3\x87\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF1"],

        ["\x8B\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBD"],
        ["\xE3\x87\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF2"],

        ["\x8B\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBE"],
        ["\xE3\x87\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF3"],

        ["\x8B\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBF"],
        ["\xE3\x87\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF4"],

        ["\x8B\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8E\xBE"],
        ["\xE2\x8E\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF5"],

        ["\x8B\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8E\xBF"],
        ["\xE2\x8E\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF6"],

        ["\x8B\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x80"],
        ["\xE2\x8F\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF7"],

        ["\x8B\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x81"],
        ["\xE2\x8F\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF8"],

        ["\x8B\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x82"],
        ["\xE2\x8F\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xF9"],

        ["\x8B\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x83"],
        ["\xE2\x8F\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x7A"],

        ["\x8B\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x84"],
        ["\xE2\x8F\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x5E"],

        ["\x8B\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x85"],
        ["\xE2\x8F\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x4C"],

        ["\x8B\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x86"],
        ["\xE2\x8F\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x7E"],

        ["\x8B\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x87"],
        ["\xE2\x8F\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x6E"],

        ["\x8B\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x88"],
        ["\xE2\x8F\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x6F"],

        ["\x8B\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x89"],
        ["\xE2\x8F\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x7C"],

        ["\x8B\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x8A"],
        ["\xE2\x8F\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC1"],

        ["\x8B\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x8B"],
        ["\xE2\x8F\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC2"],

        ["\x8B\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x8C"],
        ["\xE2\x8F\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC3"],

        ["\x8B\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB7"],
        ["\xE3\x83\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC4"],

        ["\x8B\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB8"],
        ["\xE3\x83\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC5"],

        ["\x8B\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB9"],
        ["\xE3\x83\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC6"],

        ["\x8B\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBA"],
        ["\xE3\x83\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC7"],

        ["\x8B\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8B\x9A"],
        ["\xE2\x8B\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC8"],

        ["\x8B\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8B\x9B"],
        ["\xE2\x8B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC9"],

        ["\x42\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\x93"],
        ["\xE2\x85\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\xFA"],

        ["\x42\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\x94"],
        ["\xE2\x85\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\xFB"],

        ["\x8B\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\x95"],
        ["\xE2\x85\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD1"],

        ["\x8B\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9C\x93"],
        ["\xE2\x9C\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD2"],

        ["\x8B\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C\x98"],
        ["\xE2\x8C\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD3"],

        ["\x8B\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x90\xA3"],
        ["\xE2\x90\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD4"],

        ["\x8B\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x8E"],
        ["\xE2\x8F\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD5"],

        ["\x8B\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x91"],
        ["\xE3\x89\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD6"],

        ["\x8B\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x92"],
        ["\xE3\x89\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD7"],

        ["\x8B\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x93"],
        ["\xE3\x89\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD8"],

        ["\x8B\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x94"],
        ["\xE3\x89\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD9"],

        ["\x8B\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x95"],
        ["\xE3\x89\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xE2"],

        ["\x8B\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x96"],
        ["\xE3\x89\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xE3"],

        ["\x8B\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x97"],
        ["\xE3\x89\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xE4"],

        ["\x8B\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x98"],
        ["\xE3\x89\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xE5"],

        ["\x8B\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x99"],
        ["\xE3\x89\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xE6"],

        ["\x8B\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9A"],
        ["\xE3\x89\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xE7"],

        ["\x8B\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9B"],
        ["\xE3\x89\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xE8"],

        ["\x8B\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9C"],
        ["\xE3\x89\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xE9"],

        ["\x8B\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9D"],
        ["\xE3\x89\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x4A"],

        ["\x8B\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9E"],
        ["\xE3\x89\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x5B"],

        ["\x8B\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9F"],
        ["\xE3\x89\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x5A"],

        ["\x8B\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB1"],
        ["\xE3\x8A\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x5F"],

        ["\x8B\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB2"],
        ["\xE3\x8A\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x6D"],

        ["\x8B\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB3"],
        ["\xE3\x8A\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x79"],

        ["\x8B\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB4"],
        ["\xE3\x8A\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x57"],

        ["\x8B\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB5"],
        ["\xE3\x8A\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x59"],

        ["\x8B\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB6"],
        ["\xE3\x8A\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x62"],

        ["\x8B\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB7"],
        ["\xE3\x8A\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x63"],

        ["\x8B\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB8"],
        ["\xE3\x8A\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x64"],

        ["\x8B\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB9"],
        ["\xE3\x8A\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x65"],

        ["\x8B\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBA"],
        ["\xE3\x8A\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x66"],

        ["\x8B\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBB"],
        ["\xE3\x8A\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x67"],

        ["\x8B\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBC"],
        ["\xE3\x8A\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x68"],

        ["\x8B\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBD"],
        ["\xE3\x8A\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x69"],

        ["\x8B\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBE"],
        ["\xE3\x8A\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x70"],

        ["\x8B\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBF"],
        ["\xE3\x8A\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x71"],

        ["\x8B\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x90"],
        ["\xE2\x97\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x72"],

        ["\x8B\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x91"],
        ["\xE2\x97\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x73"],

        ["\x8B\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x92"],
        ["\xE2\x97\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x74"],

        ["\x8B\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x93"],
        ["\xE2\x97\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x75"],

        ["\x8B\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xBC"],
        ["\xE2\x80\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x76"],

        ["\x8B\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x87"],
        ["\xE2\x81\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x77"],

        ["\x8B\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x88"],
        ["\xE2\x81\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x78"],

        ["\x8B\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x89"],
        ["\xE2\x81\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x80"],

        ["\x8B\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x8D"],
        ["\xC7\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x8B"],

        ["\x8B\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x8E"],
        ["\xC7\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x9B"],

        ["\x8B\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x90"],
        ["\xC7\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x9C"],

        ["\x8B\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8\xBE"],
        ["\xE1\xB8\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xA0"],

        ["\x8B\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8\xBF"],
        ["\xE1\xB8\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xAB"],

        ["\x8B\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xB8"],
        ["\xC7\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xB0"],

        ["\x8B\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xB9"],
        ["\xC7\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xC0"],

        ["\x8B\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x91"],
        ["\xC7\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\x6A"],

        ["\x8B\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x92"],
        ["\xC7\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xD0"],

        ["\x8B\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x94"],
        ["\xC7\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8B\xA1"],

        ["\x9B\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x96"],
        ["\xC7\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x4F"],

        ["\x9B\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x98"],
        ["\xC7\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x7F"],

        ["\x9B\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x9A"],
        ["\xC7\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x7B"],

        ["\x9B\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x9C"],
        ["\xC7\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xE0"],

        ["\x9B\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x82\xAC"],
        ["\xE2\x82\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x6C"],

        ["\x9B\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA0"],
        ["\xC2\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x50"],

        ["\x9B\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],
        ["\xC2\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x7D"],

        ["\x9B\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA4"],
        ["\xC2\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x4D"],

        ["\x9B\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA6"],
        ["\xC2\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x5D"],

        ["\x9B\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xA9"],
        ["\xC2\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x5C"],

        ["\x9B\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xAA"],
        ["\xC2\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x4E"],

        ["\x9B\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xAB"],
        ["\xC2\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x6B"],

        ["\x9B\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xAD"],
        ["\xC2\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x60"],

        ["\x9B\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xAE"],
        ["\xC2\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x4B"],

        ["\x9B\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xAF"],
        ["\xC2\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x61"],

        ["\x9B\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB2"],
        ["\xC2\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF0"],

        ["\x9B\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB3"],
        ["\xC2\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF1"],

        ["\x9B\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB7"],
        ["\xC2\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF2"],

        ["\x9B\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB8"],
        ["\xC2\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF3"],

        ["\x9B\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xB9"],
        ["\xC2\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF4"],

        ["\x9B\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xBA"],
        ["\xC2\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF5"],

        ["\x9B\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xBB"],
        ["\xC2\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF6"],

        ["\x9B\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xBC"],
        ["\xC2\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF7"],

        ["\x9B\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xBD"],
        ["\xC2\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF8"],

        ["\x9B\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xBE"],
        ["\xC2\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xF9"],

        ["\x9B\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC2\xBF"],
        ["\xC2\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x7A"],

        ["\x9B\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x80"],
        ["\xC3\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x5E"],

        ["\x45\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x81"],
        ["\xC3\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x41"],

        ["\x45\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x82"],
        ["\xC3\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x42"],

        ["\x9B\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x83"],
        ["\xC3\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x4C"],

        ["\x9B\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x84"],
        ["\xC3\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x7E"],

        ["\x9B\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x85"],
        ["\xC3\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x6E"],

        ["\x9B\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x86"],
        ["\xC3\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x6F"],

        ["\x45\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x87"],
        ["\xC3\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x44"],

        ["\x9B\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x88"],
        ["\xC3\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x7C"],

        ["\x45\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x89"],
        ["\xC3\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x45"],

        ["\x45\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x8A"],
        ["\xC3\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x46"],

        ["\x9B\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x8B"],
        ["\xC3\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC1"],

        ["\x9B\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x8C"],
        ["\xC3\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC2"],

        ["\x45\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x8D"],
        ["\xC3\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x47"],

        ["\x45\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x8E"],
        ["\xC3\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x48"],

        ["\x45\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x8F"],
        ["\xC3\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x8E"],

        ["\x9B\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x90"],
        ["\xC3\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC3"],

        ["\x45\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x91"],
        ["\xC3\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x49"],

        ["\x9B\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x92"],
        ["\xC3\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC4"],

        ["\x45\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x93"],
        ["\xC3\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x51"],

        ["\x45\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x94"],
        ["\xC3\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x52"],

        ["\x9B\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x95"],
        ["\xC3\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC5"],

        ["\x45\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x96"],
        ["\xC3\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x53"],

        ["\x9B\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x98"],
        ["\xC3\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC6"],

        ["\x9B\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x99"],
        ["\xC3\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC7"],

        ["\x45\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x9A"],
        ["\xC3\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x55"],

        ["\x45\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x9B"],
        ["\xC3\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x56"],

        ["\x45\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x9C"],
        ["\xC3\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x58"],

        ["\x45\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x9D"],
        ["\xC3\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x81"],

        ["\x9B\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x9E"],
        ["\xC3\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC8"],

        ["\x9B\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\x9F"],
        ["\xC3\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC9"],

        ["\x45\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA0"],
        ["\xC3\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x83"],

        ["\x45\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],
        ["\xC3\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x82"],

        ["\x45\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],
        ["\xC3\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x84"],

        ["\x9B\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA3"],
        ["\xC3\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD1"],

        ["\x45\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA4"],
        ["\xC3\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x85"],

        ["\x9B\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA5"],
        ["\xC3\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD2"],

        ["\x9B\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],
        ["\xC3\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD3"],

        ["\x45\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA7"],
        ["\xC3\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x86"],

        ["\x45\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],
        ["\xC3\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x88"],

        ["\x45\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA9"],
        ["\xC3\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x87"],

        ["\x45\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xAA"],
        ["\xC3\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x89"],

        ["\x45\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xAB"],
        ["\xC3\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x8A"],

        ["\x9B\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],
        ["\xC3\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD4"],

        ["\x45\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xAD"],
        ["\xC3\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x8C"],

        ["\x45\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],
        ["\xC3\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x8D"],

        ["\x9B\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],
        ["\xC3\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD5"],

        ["\x9B\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB0"],
        ["\xC3\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD6"],

        ["\x45\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB1"],
        ["\xC3\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x8F"],

        ["\x9B\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],
        ["\xC3\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD7"],

        ["\x45\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB3"],
        ["\xC3\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x90"],

        ["\x45\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB4"],
        ["\xC3\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x91"],

        ["\x9B\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB5"],
        ["\xC3\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD8"],

        ["\x45\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB6"],
        ["\xC3\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x92"],

        ["\x9B\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],
        ["\xC3\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD9"],

        ["\x45\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xB9"],
        ["\xC3\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x96"],

        ["\x45\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],
        ["\xC3\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x95"],

        ["\x45\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xBB"],
        ["\xC3\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x97"],

        ["\x45\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],
        ["\xC3\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x98"],

        ["\x9B\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xBD"],
        ["\xC3\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xE2"],

        ["\x9B\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xBE"],
        ["\xC3\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xE3"],

        ["\x45\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xBF"],
        ["\xC3\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x99"],

        ["\x9B\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x80"],
        ["\xC4\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xE4"],

        ["\x9B\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xAA"],
        ["\xC4\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xE5"],

        ["\x9B\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xAA"],
        ["\xC5\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xE6"],

        ["\x9B\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x92"],
        ["\xC4\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xE7"],

        ["\x9B\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x8C"],
        ["\xC5\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xE8"],

        ["\x9B\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x81"],
        ["\xC4\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xE9"],

        ["\x9B\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xAB"],
        ["\xC4\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x4A"],

        ["\x9B\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xAB"],
        ["\xC5\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x5B"],

        ["\x9B\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x93"],
        ["\xC4\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x5A"],

        ["\x9B\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x8D"],
        ["\xC5\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x5F"],

        ["\x9B\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x84"],
        ["\xC4\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x6D"],

        ["\x9B\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x98"],
        ["\xCB\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x79"],

        ["\x9B\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x81"],
        ["\xC5\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x57"],

        ["\x9B\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],
        ["\xC4\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x59"],

        ["\x9B\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x9A"],
        ["\xC5\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x62"],

        ["\x9B\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA0"],
        ["\xC5\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x63"],

        ["\x9B\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x9E"],
        ["\xC5\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x64"],

        ["\x9B\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA4"],
        ["\xC5\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x65"],

        ["\x9B\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],
        ["\xC5\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x66"],

        ["\x9B\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xBD"],
        ["\xC5\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x67"],

        ["\x9B\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xBB"],
        ["\xC5\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x68"],

        ["\x9B\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x85"],
        ["\xC4\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x69"],

        ["\x9B\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x9B"],
        ["\xCB\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x70"],

        ["\x9B\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x82"],
        ["\xC5\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x71"],

        ["\x9B\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xBE"],
        ["\xC4\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x72"],

        ["\x9B\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x9B"],
        ["\xC5\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x73"],

        ["\x9B\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x87"],
        ["\xCB\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x74"],

        ["\x9B\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],
        ["\xC5\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x75"],

        ["\x9B\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x9F"],
        ["\xC5\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x76"],

        ["\x9B\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA5"],
        ["\xC5\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x77"],

        ["\x9B\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xBA"],
        ["\xC5\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x78"],

        ["\x9B\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x9D"],
        ["\xCB\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x80"],

        ["\x9B\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xBE"],
        ["\xC5\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x8B"],

        ["\x9B\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xBC"],
        ["\xC5\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x9B"],

        ["\x9B\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x94"],
        ["\xC5\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x9C"],

        ["\x9B\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x82"],
        ["\xC4\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xA0"],

        ["\x9B\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xB9"],
        ["\xC4\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xAB"],

        ["\x9B\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x86"],
        ["\xC4\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xB0"],

        ["\x9B\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x8C"],
        ["\xC4\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xC0"],

        ["\x9B\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x98"],
        ["\xC4\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\x6A"],

        ["\x9B\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x9A"],
        ["\xC4\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xD0"],

        ["\x9B\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x8E"],
        ["\xC4\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9B\xA1"],

        ["\x9C\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x83"],
        ["\xC5\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x4F"],

        ["\x9C\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x87"],
        ["\xC5\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x7F"],

        ["\x9C\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x90"],
        ["\xC5\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x7B"],

        ["\x9C\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x98"],
        ["\xC5\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xE0"],

        ["\x9C\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xAE"],
        ["\xC5\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x6C"],

        ["\x9C\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],
        ["\xC5\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x50"],

        ["\x9C\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA2"],
        ["\xC5\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x7D"],

        ["\x9C\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x95"],
        ["\xC5\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x4D"],

        ["\x9C\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x83"],
        ["\xC4\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x5D"],

        ["\x9C\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],
        ["\xC4\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x5C"],

        ["\x9C\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x87"],
        ["\xC4\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x4E"],

        ["\x9C\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x8D"],
        ["\xC4\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x6B"],

        ["\x9C\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x99"],
        ["\xC4\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x60"],

        ["\x9C\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x9B"],
        ["\xC4\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x4B"],

        ["\x9C\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x8F"],
        ["\xC4\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x61"],

        ["\x9C\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x91"],
        ["\xC4\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF0"],

        ["\x9C\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x84"],
        ["\xC5\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF1"],

        ["\x9C\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x88"],
        ["\xC5\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF2"],

        ["\x9C\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x91"],
        ["\xC5\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF3"],

        ["\x9C\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x99"],
        ["\xC5\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF4"],

        ["\x9C\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],
        ["\xC5\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF5"],

        ["\x9C\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xB1"],
        ["\xC5\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF6"],

        ["\x9C\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xA3"],
        ["\xC5\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF7"],

        ["\x9C\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x99"],
        ["\xCB\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF8"],

        ["\x9C\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x88"],
        ["\xC4\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xF9"],

        ["\x9C\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x9C"],
        ["\xC4\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x7A"],

        ["\x9C\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xA4"],
        ["\xC4\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x5E"],

        ["\x9C\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xB4"],
        ["\xC4\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x4C"],

        ["\x9C\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x9C"],
        ["\xC5\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x7E"],

        ["\x9C\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],
        ["\xC5\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x6E"],

        ["\x9C\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x89"],
        ["\xC4\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x6F"],

        ["\x9C\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\x9D"],
        ["\xC4\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x7C"],

        ["\x9C\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xA5"],
        ["\xC4\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC1"],

        ["\x9C\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xB5"],
        ["\xC4\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC2"],

        ["\x9C\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x9D"],
        ["\xC5\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC3"],

        ["\x9C\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\xAD"],
        ["\xC5\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC4"],

        ["\x9C\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB1"],
        ["\xC9\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC5"],

        ["\x9C\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x8B"],
        ["\xCA\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC6"],

        ["\x9C\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xBE"],
        ["\xC9\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC7"],

        ["\x9C\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x83"],
        ["\xCA\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC8"],

        ["\x9C\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x92"],
        ["\xCA\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC9"],

        ["\x9C\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],
        ["\xC9\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD1"],

        ["\x9C\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xAE"],
        ["\xC9\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD2"],

        ["\x9C\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],
        ["\xC9\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD3"],

        ["\x9C\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x88"],
        ["\xCA\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD4"],

        ["\x9C\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x96"],
        ["\xC9\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD5"],

        ["\x9C\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB3"],
        ["\xC9\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD6"],

        ["\x9C\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xBD"],
        ["\xC9\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD7"],

        ["\x9C\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x82"],
        ["\xCA\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD8"],

        ["\x9C\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x90"],
        ["\xCA\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD9"],

        ["\x9C\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xBB"],
        ["\xC9\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xE2"],

        ["\x9C\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xAD"],
        ["\xC9\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xE3"],

        ["\x9C\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x9F"],
        ["\xC9\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xE4"],

        ["\x9C\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],
        ["\xC9\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xE5"],

        ["\x9C\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x9D"],
        ["\xCA\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xE6"],

        ["\x9C\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x8E"],
        ["\xCA\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xE7"],

        ["\x9C\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA1"],
        ["\xC9\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xE8"],

        ["\x9C\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x8B"],
        ["\xC5\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xE9"],

        ["\x9C\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],
        ["\xC9\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x4A"],

        ["\x9C\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x81"],
        ["\xCA\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x5B"],

        ["\x9C\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC4\xA7"],
        ["\xC4\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x5A"],

        ["\x9C\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x95"],
        ["\xCA\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x5F"],

        ["\x9C\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x94"],
        ["\xCA\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x6D"],

        ["\x9C\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],
        ["\xC9\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x79"],

        ["\x9C\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x98"],
        ["\xCA\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x57"],

        ["\x9C\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\x82"],
        ["\xC7\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x59"],

        ["\x9C\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x93"],
        ["\xC9\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x62"],

        ["\x9C\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x97"],
        ["\xC9\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x63"],

        ["\x9C\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x84"],
        ["\xCA\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x64"],

        ["\x9C\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA0"],
        ["\xC9\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x65"],

        ["\x9C\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC6\x93"],
        ["\xC6\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x66"],

        ["\x45\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x93"],
        ["\xC5\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x93"],

        ["\x45\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC5\x92"],
        ["\xC5\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x45\x54"],

        ["\x9C\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA8"],
        ["\xC9\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x67"],

        ["\x9C\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x89"],
        ["\xCA\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x68"],

        ["\x9C\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x98"],
        ["\xC9\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x69"],

        ["\x9C\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xB5"],
        ["\xC9\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x70"],

        ["\x9C\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x99"],
        ["\xC9\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x71"],

        ["\x9C\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x9C"],
        ["\xC9\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x72"],

        ["\x9C\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x9E"],
        ["\xC9\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x73"],

        ["\x9C\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x90"],
        ["\xC9\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x74"],

        ["\x9C\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xAF"],
        ["\xC9\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x75"],

        ["\x9C\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x8A"],
        ["\xCA\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x76"],

        ["\x9C\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA4"],
        ["\xC9\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x77"],

        ["\x9C\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x8C"],
        ["\xCA\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x78"],

        ["\x9C\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x94"],
        ["\xC9\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x80"],

        ["\x9C\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x91"],
        ["\xC9\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x8B"],

        ["\x9C\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x92"],
        ["\xC9\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x9B"],

        ["\x9C\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x8D"],
        ["\xCA\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x9C"],

        ["\x9C\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],
        ["\xC9\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xA0"],

        ["\x9C\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],
        ["\xCA\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xAB"],

        ["\x9C\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],
        ["\xCA\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xB0"],

        ["\x9C\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x95"],
        ["\xC9\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xC0"],

        ["\x9C\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x91"],
        ["\xCA\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\x6A"],

        ["\x9C\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xBA"],
        ["\xC9\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xD0"],

        ["\x9C\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\xA7"],
        ["\xC9\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9C\xA1"],

        ["\xA0\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x9A"],
        ["\xC9\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x4F"],

        ["\xA0\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6\xCC\x80"],
        ["\xC3\xA6\xCC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x7F"],

        ["\xA0\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC7\xBD"],
        ["\xC7\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x7B"],

        ["\xA0\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD\xB0"],
        ["\xE1\xBD\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xE0"],

        ["\xA0\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD\xB1"],
        ["\xE1\xBD\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x6C"],

        ["\xA0\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x94\xCC\x80"],
        ["\xC9\x94\xCC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x50"],

        ["\xA0\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x94\xCC\x81"],
        ["\xC9\x94\xCC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x7D"],

        ["\xA0\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x8C\xCC\x80"],
        ["\xCA\x8C\xCC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x4D"],

        ["\xA0\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCA\x8C\xCC\x81"],
        ["\xCA\x8C\xCC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x5D"],

        ["\xA0\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x99\xCC\x80"],
        ["\xC9\x99\xCC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x5C"],

        ["\xA0\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x99\xCC\x81"],
        ["\xC9\x99\xCC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x4E"],

        ["\xA0\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x9A\xCC\x80"],
        ["\xC9\x9A\xCC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x6B"],

        ["\xA0\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xC9\x9A\xCC\x81"],
        ["\xC9\x9A\xCC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x60"],

        ["\xA0\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD\xB2"],
        ["\xE1\xBD\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x4B"],

        ["\xA0\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD\xB3"],
        ["\xE1\xBD\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x61"],

        ["\xA0\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCD\xA1"],
        ["\xCD\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF0"],

        ["\xA0\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x88"],
        ["\xCB\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF1"],

        ["\xA0\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x8C"],
        ["\xCB\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF2"],

        ["\xA0\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x90"],
        ["\xCB\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF3"],

        ["\xA0\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x91"],
        ["\xCB\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF4"],

        ["\xA0\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x86"],
        ["\xCC\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF5"],

        ["\xA0\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xBF"],
        ["\xE2\x80\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF6"],

        ["\xA0\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x8B"],
        ["\xCC\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF7"],

        ["\xA0\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x81"],
        ["\xCC\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF8"],

        ["\xA0\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x84"],
        ["\xCC\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xF9"],

        ["\xA0\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x80"],
        ["\xCC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x7A"],

        ["\xA0\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x8F"],
        ["\xCC\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x5E"],

        ["\xA0\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x8C"],
        ["\xCC\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x4C"],

        ["\xA0\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x82"],
        ["\xCC\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x7E"],

        ["\xA0\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],
        ["\xCB\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x6E"],

        ["\xA0\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],
        ["\xCB\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x6F"],

        ["\xA0\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA7"],
        ["\xCB\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x7C"],

        ["\xA0\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],
        ["\xCB\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC1"],

        ["\xA0\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9"],
        ["\xCB\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC2"],

        ["\xA0\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9\xCB\xA5"],
        ["\xCB\xA9\xCB\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC3"],

        ["\xA0\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5\xCB\xA9"],
        ["\xCB\xA5\xCB\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC4"],

        ["\xA0\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xA5"],
        ["\xCC\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC5"],

        ["\xA0\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xAC"],
        ["\xCC\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC6"],

        ["\xA0\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xB9"],
        ["\xCC\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC7"],

        ["\xA0\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x9C"],
        ["\xCC\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC8"],

        ["\xA0\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x9F"],
        ["\xCC\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC9"],

        ["\xA0\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xA0"],
        ["\xCC\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD1"],

        ["\xA0\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x88"],
        ["\xCC\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD2"],

        ["\xA0\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xBD"],
        ["\xCC\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD3"],

        ["\xA0\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xA9"],
        ["\xCC\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD4"],

        ["\xA0\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xAF"],
        ["\xCC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD5"],

        ["\xA0\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCB\x9E"],
        ["\xCB\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD6"],

        ["\xA0\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xA4"],
        ["\xCC\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD7"],

        ["\xA0\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xB0"],
        ["\xCC\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD8"],

        ["\xA0\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xBC"],
        ["\xCC\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD9"],

        ["\xA0\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],
        ["\xCC\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xE2"],

        ["\xA0\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x9D"],
        ["\xCC\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xE3"],

        ["\xA0\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x9E"],
        ["\xCC\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xE4"],

        ["\xA0\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x98"],
        ["\xCC\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xE5"],

        ["\xA0\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x99"],
        ["\xCC\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xE6"],

        ["\xA0\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xAA"],
        ["\xCC\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xE7"],

        ["\xA0\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xBA"],
        ["\xCC\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xE8"],

        ["\xA0\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\xBB"],
        ["\xCC\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xE9"],

        ["\xA0\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x83"],
        ["\xCC\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x4A"],

        ["\xA0\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xCC\x9A"],
        ["\xCC\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x5B"],

        ["\x43\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xB6"],
        ["\xE2\x9D\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xDB"],

        ["\x43\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xB7"],
        ["\xE2\x9D\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xDC"],

        ["\x43\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xB8"],
        ["\xE2\x9D\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xDD"],

        ["\x43\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xB9"],
        ["\xE2\x9D\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xDE"],

        ["\x43\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBA"],
        ["\xE2\x9D\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xDF"],

        ["\x43\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBB"],
        ["\xE2\x9D\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xEA"],

        ["\x43\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBC"],
        ["\xE2\x9D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xEB"],

        ["\x43\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBD"],
        ["\xE2\x9D\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xEC"],

        ["\x43\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBE"],
        ["\xE2\x9D\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xED"],

        ["\x43\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBF"],
        ["\xE2\x9D\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x43\xEE"],

        ["\xA0\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAB"],
        ["\xE2\x93\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x5A"],

        ["\xA0\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAC"],
        ["\xE2\x93\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x5F"],

        ["\xA0\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAD"],
        ["\xE2\x93\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x6D"],

        ["\xA0\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAE"],
        ["\xE2\x93\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x79"],

        ["\xA0\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAF"],
        ["\xE2\x93\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x57"],

        ["\xA0\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB0"],
        ["\xE2\x93\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x59"],

        ["\xA0\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB1"],
        ["\xE2\x93\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x62"],

        ["\xA0\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB2"],
        ["\xE2\x93\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x63"],

        ["\xA0\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB3"],
        ["\xE2\x93\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x64"],

        ["\xA0\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB4"],
        ["\xE2\x93\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x65"],

        ["\x42\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xBA"],
        ["\xE2\x85\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\xBB"],

        ["\x42\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xBB"],
        ["\xE2\x85\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\xBC"],

        ["\x41\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x90"],
        ["\xE2\x93\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xCA"],

        ["\x41\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x91"],
        ["\xE2\x93\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xCB"],

        ["\x41\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x92"],
        ["\xE2\x93\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xCC"],

        ["\x41\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x93"],
        ["\xE2\x93\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xCD"],

        ["\x41\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x94"],
        ["\xE2\x93\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xCE"],

        ["\x41\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x95"],
        ["\xE2\x93\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xCF"],

        ["\x41\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x96"],
        ["\xE2\x93\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xDA"],

        ["\x41\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x97"],
        ["\xE2\x93\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xDB"],

        ["\x41\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x98"],
        ["\xE2\x93\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xDC"],

        ["\x41\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x99"],
        ["\xE2\x93\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xDD"],

        ["\x41\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9A"],
        ["\xE2\x93\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xDE"],

        ["\x44\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9B"],
        ["\xE2\x93\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x8C"],

        ["\x44\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9C"],
        ["\xE2\x93\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x8D"],

        ["\x44\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9D"],
        ["\xE2\x93\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x8E"],

        ["\x44\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9E"],
        ["\xE2\x93\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x8F"],

        ["\x44\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9F"],
        ["\xE2\x93\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x90"],

        ["\x44\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA0"],
        ["\xE2\x93\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x91"],

        ["\x44\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA1"],
        ["\xE2\x93\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x92"],

        ["\x44\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA2"],
        ["\xE2\x93\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x93"],

        ["\x44\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA3"],
        ["\xE2\x93\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x94"],

        ["\x44\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA4"],
        ["\xE2\x93\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x95"],

        ["\x44\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA5"],
        ["\xE2\x93\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x96"],

        ["\x44\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA6"],
        ["\xE2\x93\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x97"],

        ["\x44\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA7"],
        ["\xE2\x93\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x98"],

        ["\x44\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA8"],
        ["\xE2\x93\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x99"],

        ["\x44\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA9"],
        ["\xE2\x93\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x44\x9A"],

        ["\x41\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x90"],
        ["\xE3\x8B\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xFD"],

        ["\x41\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x91"],
        ["\xE3\x8B\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xDF"],

        ["\x41\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x92"],
        ["\xE3\x8B\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xFE"],

        ["\x42\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x93"],
        ["\xE3\x8B\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x41"],

        ["\x42\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x94"],
        ["\xE3\x8B\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x42"],

        ["\x42\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x95"],
        ["\xE3\x8B\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x43"],

        ["\x42\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x96"],
        ["\xE3\x8B\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x44"],

        ["\x42\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x97"],
        ["\xE3\x8B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x45"],

        ["\x42\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x98"],
        ["\xE3\x8B\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x46"],

        ["\x42\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x99"],
        ["\xE3\x8B\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\x47"],

        ["\xA0\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9A"],
        ["\xE3\x8B\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x66"],

        ["\xA0\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9B"],
        ["\xE3\x8B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x67"],

        ["\xA0\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9C"],
        ["\xE3\x8B\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x68"],

        ["\xA0\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9D"],
        ["\xE3\x8B\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x69"],

        ["\xA0\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9E"],
        ["\xE3\x8B\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x70"],

        ["\xA0\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9F"],
        ["\xE3\x8B\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x71"],

        ["\x41\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA0"],
        ["\xE3\x8B\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xFA"],

        ["\xA0\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA1"],
        ["\xE3\x8B\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x72"],

        ["\xA0\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA2"],
        ["\xE3\x8B\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x73"],

        ["\x41\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA3"],
        ["\xE3\x8B\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xEF"],

        ["\x41\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xBA"],
        ["\xE3\x8B\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xEA"],

        ["\x41\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA9"],
        ["\xE3\x8B\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xEB"],

        ["\x41\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA5"],
        ["\xE3\x8B\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xEC"],

        ["\x41\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xAD"],
        ["\xE3\x8B\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xED"],

        ["\x41\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xAC"],
        ["\xE3\x8B\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x41\xEE"],

        ["\xA0\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x91"],
        ["\xE2\x81\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x74"],

        ["\xA0\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x82"],
        ["\xE2\x81\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x75"],

        ["\x42\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xAA"],
        ["\xE2\x85\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\xA6"],

        ["\x42\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xAB"],
        ["\xE2\x85\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x42\xA7"],

        ["\xA0\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\x96"],
        ["\xE2\x9D\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x76"],

        ["\xA0\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x9E"],
        ["\xE2\x98\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x77"],

        ["\xA0\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB1"],
        ["\xE4\xBF\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x78"],

        ["\xA0\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x80\x8B"],
        ["\xF0\xA0\x80\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x80"],

        ["\xA0\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x90\x82"],
        ["\xE3\x90\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x8B"],

        ["\xA0\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAF"],
        ["\xE4\xB8\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x9B"],

        ["\x82\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB0"],
        ["\xE4\xB8\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x54"],

        ["\x82\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8D"],
        ["\xE4\xBA\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x84"],

        ["\x82\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xBD"],
        ["\xE4\xBB\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xA5"],

        ["\x82\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xBF"],
        ["\xE4\xBB\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x99"],

        ["\x82\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8B"],
        ["\xE4\xBC\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x97"],

        ["\xA0\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xA0"],
        ["\xE4\xBD\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x9C"],

        ["\x82\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x88"],
        ["\xE4\xBD\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xAD"],

        ["\xA0\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x89"],
        ["\xE4\xBD\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xA0"],

        ["\xA0\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9F"],
        ["\xE4\xBD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xAB"],

        ["\x82\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xAA"],
        ["\xE4\xBD\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xCD"],

        ["\xA0\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xAC"],
        ["\xE4\xBD\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xB0"],

        ["\x82\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBE"],
        ["\xE4\xBD\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xBE"],

        ["\x82\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x97"],
        ["\xE4\xBE\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xB2"],

        ["\xA0\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB0"],
        ["\xEF\xA8\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xC0"],

        ["\xA0\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA0"],
        ["\xE4\xBF\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\x6A"],

        ["\xA0\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x81"],
        ["\xE5\x80\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xD0"],

        ["\xA0\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x82"],
        ["\xE5\x80\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA0\xA1"],

        ["\x83\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x8E"],
        ["\xE5\x80\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x56"],

        ["\x82\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x98"],
        ["\xE5\x80\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xFE"],

        ["\x83\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA7"],
        ["\xE5\x80\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x52"],

        ["\x83\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAE"],
        ["\xE5\x80\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x45"],

        ["\xAB\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xBB"],
        ["\xE5\x80\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x4F"],

        ["\xAB\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x81"],
        ["\xE5\x81\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x7F"],

        ["\x83\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8C"],
        ["\xE5\x83\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xA4"],

        ["\x83\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB2"],
        ["\xE5\x83\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xAD"],

        ["\x83\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x90"],
        ["\xE5\x83\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xAE"],

        ["\x83\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA6"],
        ["\xE5\x83\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xA8"],

        ["\xAB\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB1"],
        ["\xEF\xA8\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x7B"],

        ["\x83\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x86"],
        ["\xE5\x84\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xBA"],

        ["\x83\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x83"],
        ["\xE5\x84\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xB3"],

        ["\xAB\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x8B"],
        ["\xE5\x84\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xE0"],

        ["\x83\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x9E"],
        ["\xE5\x84\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xB5"],

        ["\xAB\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xB5"],
        ["\xE5\x84\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x6C"],

        ["\xAB\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB2"],
        ["\xEF\xA8\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x50"],

        ["\x83\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x95"],
        ["\xE5\x85\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xCE"],

        ["\xAB\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x97"],
        ["\xE5\x85\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x7D"],

        ["\xAB\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x92\xB5"],
        ["\xE3\x92\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x4D"],

        ["\xAB\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x83"],
        ["\xE5\x87\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x5D"],

        ["\xAB\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x8A"],
        ["\xE5\x87\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x5C"],

        ["\x84\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x9E"],
        ["\xE5\x87\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x51"],

        ["\xAB\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA2"],
        ["\xE5\x87\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x4E"],

        ["\x84\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xAE"],
        ["\xE5\x87\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x52"],

        ["\x84\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x81"],
        ["\xE5\x88\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x55"],

        ["\xAB\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x93\x9B"],
        ["\xE3\x93\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x6B"],

        ["\xAB\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x93"],
        ["\xE5\x88\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x60"],

        ["\x84\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x89"],
        ["\xE5\x89\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x89"],

        ["\x84\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x97"],
        ["\xE5\x89\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x8A"],

        ["\xAB\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA1"],
        ["\xE5\x89\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x4B"],

        ["\xAB\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x93"],
        ["\xE5\x8A\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x61"],

        ["\x84\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x88"],
        ["\xE5\x8B\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x9F"],

        ["\xAB\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB3"],
        ["\xEF\xA8\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF0"],

        ["\xAB\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x8C"],
        ["\xE5\x8B\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF1"],

        ["\xAB\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x90"],
        ["\xE5\x8B\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF2"],

        ["\xAB\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x96"],
        ["\xE5\x8B\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF3"],

        ["\xAB\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB4"],
        ["\xEF\xA8\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF4"],

        ["\xAB\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB0"],
        ["\xE5\x8B\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF5"],

        ["\xAB\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xBB"],
        ["\xE5\x8B\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF6"],

        ["\xAB\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x9C"],
        ["\xE5\x8C\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF7"],

        ["\xAB\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB5"],
        ["\xEF\xA8\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF8"],

        ["\x85\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA1"],
        ["\xE5\x8D\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x43"],

        ["\x85\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA3"],
        ["\xE5\x8D\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x44"],

        ["\xAB\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xBD"],
        ["\xE5\x8D\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xF9"],

        ["\x85\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x9D"],
        ["\xE5\x8E\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x58"],

        ["\xAB\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x92"],
        ["\xE5\x90\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x7A"],

        ["\xAB\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA7"],
        ["\xE5\x90\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x5E"],

        ["\x85\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x8D"],
        ["\xE5\x91\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x9D"],

        ["\xAB\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xAB"],
        ["\xE5\x91\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x4C"],

        ["\xAB\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB4"],
        ["\xE5\x91\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x7E"],

        ["\x85\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xBF"],
        ["\xE5\x91\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x9F"],

        ["\xAB\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x88"],
        ["\xE5\x92\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x6E"],

        ["\x85\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x96"],
        ["\xE5\x92\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xA7"],

        ["\x85\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA1"],
        ["\xE5\x92\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xBA"],

        ["\x85\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x86"],
        ["\xE5\x93\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xAF"],

        ["\x85\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x8E"],
        ["\xE5\x94\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xB5"],

        ["\xAB\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xAB"],
        ["\xE5\x94\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x6F"],

        ["\xAB\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB5"],
        ["\xE5\x94\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x7C"],

        ["\x85\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x90"],
        ["\xE5\x95\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xCC"],

        ["\xAB\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x9E"],
        ["\xE5\x95\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC1"],

        ["\xAB\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x81"],
        ["\xE5\x96\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC2"],

        ["\xAB\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x8E"],
        ["\xE5\x96\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC3"],

        ["\xAB\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB6"],
        ["\xEF\xA8\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC4"],

        ["\x85\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAD"],
        ["\xE5\x96\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xDC"],

        ["\x85\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x8E"],
        ["\xE5\x97\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xFA"],

        ["\xAB\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB7"],
        ["\xEF\xA8\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC5"],

        ["\x86\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x88"],
        ["\xE5\x98\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x45"],

        ["\x86\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x8E"],
        ["\xE5\x98\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x42"],

        ["\x86\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xBB"],
        ["\xE5\x98\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x49"],

        ["\x86\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x89"],
        ["\xE5\x99\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x54"],

        ["\xAB\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB6"],
        ["\xE5\x99\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC6"],

        ["\x86\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xA6"],
        ["\xE5\x99\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x83"],

        ["\xAB\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB8"],
        ["\xEF\xA8\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC7"],

        ["\x86\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAF"],
        ["\xE5\x99\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x82"],

        ["\xAB\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB1"],
        ["\xE5\x99\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC8"],

        ["\x86\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB2"],
        ["\xE5\x99\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x84"],

        ["\xAB\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x99"],
        ["\xE5\x9A\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC9"],

        ["\x86\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x9E"],
        ["\xE5\x9A\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x8C"],

        ["\xAB\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA9"],
        ["\xE5\x9A\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD1"],

        ["\x86\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xAC"],
        ["\xE5\x9A\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x8E"],

        ["\xAB\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xB3"],
        ["\xE5\x9A\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD2"],

        ["\xAB\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x89"],
        ["\xE5\x9B\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD3"],

        ["\xAB\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x8A"],
        ["\xE5\x9B\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD4"],

        ["\x86\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x8A"],
        ["\xE5\x9C\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x97"],

        ["\xAB\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x88\xBD"],
        ["\xF0\xA1\x88\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD5"],

        ["\xAB\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA1"],
        ["\xE5\x9C\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD6"],

        ["\x86\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xAF"],
        ["\xE5\x9C\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x9F"],

        ["\x86\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB3"],
        ["\xE5\x9C\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xA4"],

        ["\x86\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB4"],
        ["\xE5\x9C\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xA5"],

        ["\xAB\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB0"],
        ["\xE5\x9D\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD7"],

        ["\xAB\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB7"],
        ["\xE5\x9D\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD8"],

        ["\xAB\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xBC"],
        ["\xE5\x9D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD9"],

        ["\xAB\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x9C"],
        ["\xE5\x9E\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xE2"],

        ["\xAB\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8C\x9B"],
        ["\xF0\xA1\x8C\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xE3"],

        ["\xAB\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xB8"],
        ["\xE5\x9E\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xE4"],

        ["\xAB\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x8F"],
        ["\xE5\x9F\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xE5"],

        ["\x86\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xA4"],
        ["\xE5\x9F\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xCE"],

        ["\xAB\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xAD"],
        ["\xE5\x9F\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xE6"],

        ["\x86\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB5"],
        ["\xE5\x9F\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xCD"],

        ["\xAB\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB6"],
        ["\xE5\x9F\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xE7"],

        ["\x92\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBF"],
        ["\xE5\x9F\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x99"],

        ["\x86\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x89"],
        ["\xE5\xA0\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xCF"],

        ["\xC5\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA1"],
        ["\xE5\xA1\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],

        ["\x86\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA4"],
        ["\xE5\xA1\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xFA"],

        ["\xAB\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB9"],
        ["\xEF\xA8\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xE8"],

        ["\x86\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xBC"],
        ["\xE5\xA1\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xFE"],

        ["\x87\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x89"],
        ["\xE5\xA2\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x43"],

        ["\xAB\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBA"],
        ["\xEF\xA8\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xE9"],

        ["\x87\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xA9"],
        ["\xE5\xA2\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x52"],

        ["\xAB\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x91\xAE"],
        ["\xF0\xA1\x91\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x4A"],

        ["\xAB\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x92"],
        ["\xE5\xA3\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x5B"],

        ["\x87\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x8E"],
        ["\xE5\xA3\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x82"],

        ["\x87\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x94"],
        ["\xE5\xA3\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x83"],

        ["\x87\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x9A"],
        ["\xE5\xA3\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x84"],

        ["\xAB\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA0"],
        ["\xE5\xA3\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x5A"],

        ["\x87\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA9"],
        ["\xE5\xA3\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x86"],

        ["\x87\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8C"],
        ["\xE5\xA4\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x8A"],

        ["\xAB\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x81"],
        ["\xE8\x99\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x5F"],

        ["\x87\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xAD"],
        ["\xE5\xA5\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xAD"],

        ["\x87\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x8B"],
        ["\xE5\xA6\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xBE"],

        ["\x87\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x92"],
        ["\xE5\xA6\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xBC"],

        ["\x87\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x83"],
        ["\xE5\xA7\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xB7"],

        ["\x87\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x92"],
        ["\xE5\xA7\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xB5"],

        ["\x87\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x9D"],
        ["\xE5\xA7\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xCD"],

        ["\x87\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x93"],
        ["\xE5\xA8\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xDB"],

        ["\x87\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA3"],
        ["\xE5\xA8\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xDA"],

        ["\xAB\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xA7"],
        ["\xE5\xA9\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x6D"],

        ["\x87\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xAD"],
        ["\xE5\xA9\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xDD"],

        ["\x87\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xB7"],
        ["\xE5\xA9\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xFD"],

        ["\x87\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xBE"],
        ["\xE5\xA9\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xEE"],

        ["\xAB\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x84"],
        ["\xE5\xAA\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x79"],

        ["\x87\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9E"],
        ["\xE5\xAA\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xFB"],

        ["\xAB\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xA7"],
        ["\xE5\xAA\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x57"],

        ["\x88\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x84"],
        ["\xE5\xAB\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x42"],

        ["\xAB\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xA2\xBD"],
        ["\xF0\xA1\xA2\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x59"],

        ["\x88\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x99"],
        ["\xE5\xAC\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x58"],

        ["\xAB\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xA5"],
        ["\xE5\xAC\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x62"],

        ["\xAB\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x9D"],
        ["\xE5\x89\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x63"],

        ["\xAB\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xAE\x9F"],
        ["\xF0\xA0\xAE\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x64"],

        ["\xAB\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x81"],
        ["\xE5\xAD\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x65"],

        ["\x88\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xBD"],
        ["\xE5\xAD\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x89"],

        ["\x88\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x93"],
        ["\xE5\xAE\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x91"],

        ["\xAB\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x92"],
        ["\xE5\xB0\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x66"],

        ["\xAB\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA3"],
        ["\xE5\xB0\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x67"],

        ["\xAB\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xAB"],
        ["\xE5\xB0\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x68"],

        ["\xAB\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9E\x8D"],
        ["\xE3\x9E\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x69"],

        ["\xAB\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA2"],
        ["\xE5\xB1\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x70"],

        ["\xAB\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBB"],
        ["\xEF\xA8\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x71"],

        ["\xAB\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBC"],
        ["\xEF\xA8\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x72"],

        ["\xAB\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x9A\xB4"],
        ["\xF0\xA1\x9A\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x73"],

        ["\x88\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xBA"],
        ["\xE5\xB1\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xCE"],

        ["\x88\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x8F"],
        ["\xE5\xB2\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xDE"],

        ["\x88\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x9F"],
        ["\xE5\xB2\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xFE"],

        ["\xAB\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA3"],
        ["\xE5\xB2\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x74"],

        ["\x88\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xAA"],
        ["\xE5\xB2\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xED"],

        ["\xAB\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x8B"],
        ["\xE5\xB3\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x75"],

        ["\xAB\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x90"],
        ["\xE5\xB3\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x76"],

        ["\x89\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x92"],
        ["\xE5\xB3\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x44"],

        ["\x89\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xB4"],
        ["\xE5\xB3\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x52"],

        ["\xAB\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB8\xB4"],
        ["\xF0\xA1\xB8\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x77"],

        ["\xAB\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\xA2"],
        ["\xE3\x9F\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x78"],

        ["\xAB\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x8D"],
        ["\xE5\xB4\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x80"],

        ["\xAB\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x86"],
        ["\xE5\xB5\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x8B"],

        ["\xAB\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x87"],
        ["\xE5\xB5\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x9B"],

        ["\xAB\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x8A"],
        ["\xE5\xB5\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x9C"],

        ["\xAB\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x81"],
        ["\xE5\xB6\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xA0"],

        ["\x89\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xA0"],
        ["\xE5\xB6\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xA2"],

        ["\xAB\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xA4"],
        ["\xE5\xB6\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xAB"],

        ["\x89\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xA7"],
        ["\xE5\xB6\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xA7"],

        ["\xAB\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x8B"],
        ["\xE5\xB7\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xB0"],

        ["\xAB\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x9E"],
        ["\xE5\x90\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xC0"],

        ["\xE6\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x81"],
        ["\xE5\xBD\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xE6\x5E"],

        ["\xAB\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x93"],
        ["\xE5\x99\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\x6A"],

        ["\xAB\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA2"],
        ["\xE5\xB7\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xD0"],

        ["\xAB\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x94"],
        ["\xE5\xB8\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAB\xA1"],

        ["\x89\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x98"],
        ["\xE5\xB8\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xCA"],

        ["\x89\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x98"],
        ["\xE5\xB9\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xDC"],

        ["\x89\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x9E"],
        ["\xE5\xB9\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xDD"],

        ["\x8A\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xBE"],
        ["\xE5\xBA\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x47"],

        ["\xB0\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4\xA8"],
        ["\xEF\xA4\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x4F"],

        ["\x8A\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x8B"],
        ["\xE5\xBB\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x51"],

        ["\xB0\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB9"],
        ["\xE5\xBB\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x7F"],

        ["\xB0\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x80"],
        ["\xE5\xBC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x7B"],

        ["\xB0\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x82"],
        ["\xE5\xBC\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xE0"],

        ["\x8A\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x87"],
        ["\xE5\xBC\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x8A"],

        ["\xB0\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9D"],
        ["\xE5\xBC\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x6C"],

        ["\xB0\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA3"],
        ["\xE5\xBC\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x50"],

        ["\x8A\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB6"],
        ["\xE5\xBC\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x93"],

        ["\x8A\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xBD"],
        ["\xE5\xBC\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x96"],

        ["\x8A\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x80"],
        ["\xE5\xBD\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x97"],

        ["\xB0\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x94"],
        ["\xE5\xBD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x7D"],

        ["\xB0\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x98"],
        ["\xE5\xBD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x4D"],

        ["\x8A\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA4"],
        ["\xE5\xBD\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xA2"],

        ["\x8A\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xBD"],
        ["\xE5\xBD\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xAF"],

        ["\x8A\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x89"],
        ["\xE5\xBE\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xBC"],

        ["\x8A\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x9C"],
        ["\xE5\xBE\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xBE"],

        ["\xA5\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA7"],
        ["\xE5\xBE\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\x92"],

        ["\x8A\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xAF"],
        ["\xE5\xBE\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xCA"],

        ["\xB0\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB5"],
        ["\xE5\xBE\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x5D"],

        ["\x8A\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x89"],
        ["\xE5\xBF\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xDC"],

        ["\x8A\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA1"],
        ["\xE5\xBF\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xEB"],

        ["\x8C\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA9"],
        ["\xE5\xBF\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x41"],

        ["\x8C\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x8D"],
        ["\xE6\x80\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x43"],

        ["\x8C\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x94"],
        ["\xE6\x80\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x46"],

        ["\xB0\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x98"],
        ["\xE6\x80\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x5C"],

        ["\x8C\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xB3"],
        ["\xE6\x80\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x42"],

        ["\xB0\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xB5"],
        ["\xE6\x80\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x4E"],

        ["\x8C\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x87"],
        ["\xE6\x81\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x51"],

        ["\xB0\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBD"],
        ["\xEF\xA8\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x6B"],

        ["\x8C\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9D"],
        ["\xE6\x82\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x82"],

        ["\x8C\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9E"],
        ["\xE6\x82\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x83"],

        ["\xB0\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x8B"],
        ["\xE6\x83\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x60"],

        ["\xB0\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x94"],
        ["\xE6\x83\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x4B"],

        ["\xB0\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9D"],
        ["\xE6\x83\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x61"],

        ["\xB0\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB8"],
        ["\xE6\x83\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF0"],

        ["\x8C\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9C"],
        ["\xE6\x84\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x9D"],

        ["\x8C\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xAB"],
        ["\xE6\x84\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xBA"],

        ["\xB0\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBE"],
        ["\xEF\xA8\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF1"],

        ["\x8C\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x8D"],
        ["\xE6\x86\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xCC"],

        ["\xB0\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBF"],
        ["\xEF\xA8\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF2"],

        ["\x8C\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xBC"],
        ["\xE6\x86\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xDA"],

        ["\xB0\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xB9"],
        ["\xE6\x86\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF3"],

        ["\xB0\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x80"],
        ["\xEF\xA9\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF4"],

        ["\x8C\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA2"],
        ["\xE6\x88\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xFB"],

        ["\xB0\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xBE"],
        ["\xE6\x88\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF5"],

        ["\x8D\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x83"],
        ["\xE6\x89\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x43"],

        ["\x8D\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x96"],
        ["\xE6\x89\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x48"],

        ["\x8D\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x9A"],
        ["\xE6\x89\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x51"],

        ["\xB0\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xAF"],
        ["\xE6\x89\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF6"],

        ["\xB0\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x85"],
        ["\xE6\x8A\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF7"],

        ["\x8D\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x84"],
        ["\xE6\x8B\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x55"],

        ["\x8D\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x96"],
        ["\xE6\x8B\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x54"],

        ["\x8D\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xBC"],
        ["\xE6\x8B\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x88"],

        ["\x8A\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x8A"],
        ["\xE6\x8C\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x88"],

        ["\x8D\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x98"],
        ["\xE6\x8C\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x84"],

        ["\x8D\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xB9"],
        ["\xE6\x8C\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x8F"],

        ["\x8D\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x83"],
        ["\xE6\x8D\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x8A"],

        ["\x8D\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xA5"],
        ["\xE6\x8D\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x99"],

        ["\xB0\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xBC"],
        ["\xE6\x8D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF8"],

        ["\x8D\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA5"],
        ["\xE6\x8F\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xA3"],

        ["\xB0\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xAD"],
        ["\xE6\x8F\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xF9"],

        ["\xB0\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x90"],
        ["\xE6\x90\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x7A"],

        ["\xB0\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x94"],
        ["\xE6\x90\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x5E"],

        ["\xB0\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA2"],
        ["\xE6\x90\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x4C"],

        ["\xB0\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xB9"],
        ["\xE6\x91\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x7E"],

        ["\xB0\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x91"],
        ["\xE6\x91\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x6E"],

        ["\xB0\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xAD"],
        ["\xE6\x91\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x6F"],

        ["\x8D\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xBE"],
        ["\xE6\x92\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xB2"],

        ["\x8D\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xBF"],
        ["\xE6\x92\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xB4"],

        ["\xB0\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x84"],
        ["\xE6\x93\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x7C"],

        ["\x8D\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8A"],
        ["\xE6\x93\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xBE"],

        ["\x8D\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x90"],
        ["\xE6\x93\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xBF"],

        ["\xB0\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB7"],
        ["\xE6\x93\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC1"],

        ["\xB0\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBB"],
        ["\xE6\x93\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC2"],

        ["\xB0\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xA2"],
        ["\xE6\x94\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC3"],

        ["\x8D\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xA9"],
        ["\xE6\x94\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xCD"],

        ["\xB0\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x81"],
        ["\xEF\xA9\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC4"],

        ["\x8D\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xA7"],
        ["\xE6\x95\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xEA"],

        ["\xB0\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x9D"],
        ["\xE6\x96\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC5"],

        ["\xB0\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x82"],
        ["\xEF\xA9\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC6"],

        ["\xB0\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xBA"],
        ["\xE6\x98\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC7"],

        ["\x8E\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA2"],
        ["\xE6\x98\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x99"],

        ["\x8E\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAB"],
        ["\xE6\x98\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x9A"],

        ["\x8E\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB0"],
        ["\xE6\x98\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x94"],

        ["\xB0\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB3"],
        ["\xE6\x98\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC8"],

        ["\xB0\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x88"],
        ["\xE6\x99\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC9"],

        ["\x8E\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x8C"],
        ["\xE6\x99\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x9D"],

        ["\xB0\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x87\x84"],
        ["\xF0\xA3\x87\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD1"],

        ["\xB0\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9A"],
        ["\xE6\x99\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD2"],

        ["\x8E\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA1"],
        ["\xE6\x99\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xAF"],

        ["\x8E\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB7"],
        ["\xE6\x99\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xB5"],

        ["\x8E\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB8"],
        ["\xE6\x99\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xDB"],

        ["\x8E\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x8D"],
        ["\xE6\x9A\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xDE"],

        ["\xB0\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x83"],
        ["\xEF\xA9\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD3"],

        ["\x8F\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xBB"],
        ["\xE6\x9A\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x52"],

        ["\xB0\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x86"],
        ["\xE6\x9B\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD4"],

        ["\x8F\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x88"],
        ["\xE6\x9B\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x51"],

        ["\xB0\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC\xA2"],
        ["\xE3\xAC\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD5"],

        ["\xB0\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x9B"],
        ["\xE6\x9B\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD6"],

        ["\x8F\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xA8"],
        ["\xE6\x9B\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x83"],

        ["\x8F\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x93"],
        ["\xE6\x9C\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x8E"],

        ["\x8F\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB3"],
        ["\xE6\x9C\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x91"],

        ["\x8F\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x87"],
        ["\xE6\x9D\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x93"],

        ["\xB0\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x88"],
        ["\xE6\x9D\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD7"],

        ["\x8F\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xBB"],
        ["\xE6\x9D\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xA2"],

        ["\xB0\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x81"],
        ["\xE6\x9E\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD8"],

        ["\x8F\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x93"],
        ["\xE6\x9E\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x9F"],

        ["\x8F\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x98"],
        ["\xE6\x9E\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xA4"],

        ["\x8F\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x9B"],
        ["\xE6\x9E\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xA9"],

        ["\x8F\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB9"],
        ["\xE6\x9F\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xBD"],

        ["\x8F\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x97"],
        ["\xE6\x9F\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xAE"],

        ["\xB0\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xBC"],
        ["\xE6\x9F\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD9"],

        ["\x8F\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x9D"],
        ["\xE6\xA0\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xCC"],

        ["\xB0\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xAC"],
        ["\xE6\xA0\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xE2"],

        ["\x8F\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB1"],
        ["\xE6\xA0\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xDD"],

        ["\xB0\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x9B"],
        ["\xE6\xA1\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xE3"],

        ["\xB0\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB2"],
        ["\xE6\xA1\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xE4"],

        ["\xB0\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB5"],
        ["\xE6\xA1\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xE5"],

        ["\xB0\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x84"],
        ["\xEF\xA9\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xE6"],

        ["\xB0\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA3"],
        ["\xE6\xA2\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xE7"],

        ["\xB0\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA5"],
        ["\xE6\xA2\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xE8"],

        ["\x8F\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB2"],
        ["\xE6\xA2\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xEF"],

        ["\x90\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x90"],
        ["\xE6\xA3\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x54"],

        ["\x90\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA8"],
        ["\xE6\xA3\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x49"],

        ["\x90\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xAD"],
        ["\xE6\xA3\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x83"],

        ["\x90\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB0"],
        ["\xE6\xA3\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x52"],

        ["\x90\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB1"],
        ["\xE6\xA3\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x58"],

        ["\x90\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xBC"],
        ["\xE6\xA3\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x55"],

        ["\x90\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8A"],
        ["\xE6\xA4\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x8C"],

        ["\xB0\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x89"],
        ["\xE6\xA5\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xE9"],

        ["\xB0\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x97\x84"],
        ["\xF0\xA3\x97\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x4A"],

        ["\x90\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB5"],
        ["\xE6\xA4\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x94"],

        ["\x90\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x82"],
        ["\xE6\xA5\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x90"],

        ["\xB0\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x97"],
        ["\xE6\xA5\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x5B"],

        ["\x90\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA3"],
        ["\xE6\xA5\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x92"],

        ["\xB0\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA4"],
        ["\xE6\xA5\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x5A"],

        ["\x90\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x80"],
        ["\xE6\xA6\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x95"],

        ["\xB0\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xA5"],
        ["\xE6\xA6\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x5F"],

        ["\xB0\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xAD"],
        ["\xE6\xA6\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x6D"],

        ["\xB0\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8F"],
        ["\xE6\xA7\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x79"],

        ["\xB0\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\xB6"],
        ["\xE3\xAE\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x57"],

        ["\xB0\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF\x83"],
        ["\xE3\xAF\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x59"],

        ["\xB0\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA9"],
        ["\xE6\xA7\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x62"],

        ["\xB0\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAA"],
        ["\xE6\xA7\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x63"],

        ["\xB0\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB5"],
        ["\xE6\xA7\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x64"],

        ["\xB0\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB6"],
        ["\xE6\xA7\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x65"],

        ["\x90\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x8F"],
        ["\xE6\xA8\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xB2"],

        ["\xB0\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x95"],
        ["\xE6\xA8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x66"],

        ["\xB0\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9C\xBF"],
        ["\xF0\xA3\x9C\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x67"],

        ["\xB0\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBB"],
        ["\xE6\xA8\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x68"],

        ["\xB0\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBE"],
        ["\xE6\xA8\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x69"],

        ["\x90\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x85"],
        ["\xE6\xA9\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xDB"],

        ["\x90\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x90"],
        ["\xE6\xA9\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xCC"],

        ["\xB0\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x96"],
        ["\xE6\xA9\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x70"],

        ["\x90\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x9B"],
        ["\xE6\xA9\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xB9"],

        ["\xB0\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9D\xA3"],
        ["\xF0\xA3\x9D\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x71"],

        ["\x90\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x89"],
        ["\xE6\xAA\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xEA"],

        ["\xB0\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x94"],
        ["\xE6\xAA\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x72"],

        ["\xB0\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x9D"],
        ["\xE6\xAA\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x73"],

        ["\xB0\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x9E"],
        ["\xE6\xAA\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x74"],

        ["\xB0\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA5"],
        ["\xE6\xAA\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x75"],

        ["\x91\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xA7"],
        ["\xE6\xAB\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x51"],

        ["\xB0\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0\x8F"],
        ["\xE3\xB0\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x76"],

        ["\xB0\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4\x9D"],
        ["\xEF\xA4\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x77"],

        ["\x91\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x9B"],
        ["\xE6\xAC\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x83"],

        ["\xB0\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x9E"],
        ["\xE6\xAC\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x78"],

        ["\xB0\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xAC"],
        ["\xE6\xAC\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x80"],

        ["\x91\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB5"],
        ["\xE6\xAC\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x86"],

        ["\x91\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x86"],
        ["\xE6\xAD\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x8A"],

        ["\x91\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x96"],
        ["\xE6\xAD\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x90"],

        ["\xB0\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA0"],
        ["\xE6\xAD\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x8B"],

        ["\xB0\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA5"],
        ["\xE6\xAD\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x9B"],

        ["\xB0\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA7"],
        ["\xE6\xAD\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x9C"],

        ["\xB0\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB7"],
        ["\xE6\xAD\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xA0"],

        ["\x91\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x82"],
        ["\xE6\xAE\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x97"],

        ["\xB0\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xA9"],
        ["\xE6\xAE\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xAB"],

        ["\x91\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAD"],
        ["\xE6\xAE\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x9A"],

        ["\xB0\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA5\xB0"],
        ["\xEF\xA5\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xB0"],

        ["\x91\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x8F"],
        ["\xE6\xAF\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xA2"],

        ["\xB0\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x97"],
        ["\xE6\xAF\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xC0"],

        ["\xB0\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xBF"],
        ["\xE6\xAF\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\x6A"],

        ["\xB0\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x85"],
        ["\xE6\xB0\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xD0"],

        ["\x91\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x90"],
        ["\xE6\xB0\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xA9"],

        ["\x91\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB3"],
        ["\xE6\xB0\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xAA"],

        ["\x91\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x99"],
        ["\xE6\xB1\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xBC"],

        ["\xB0\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xAA"],
        ["\xE6\xB2\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB0\xA1"],

        ["\xC0\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB4"],
        ["\xE6\xB1\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x4F"],

        ["\xC0\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB6"],
        ["\xE6\xB1\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x7F"],

        ["\x91\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x85"],
        ["\xE6\xB2\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xB6"],

        ["\xC0\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x98"],
        ["\xE6\xB2\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x7B"],

        ["\x91\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x9C"],
        ["\xE6\xB2\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xCF"],

        ["\xC0\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xBB"],
        ["\xE6\xB3\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xE0"],

        ["\x91\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x86"],
        ["\xE6\xB3\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xDD"],

        ["\x91\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x94"],
        ["\xE6\xB3\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xDE"],

        ["\x91\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA0"],
        ["\xE6\xB3\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xEE"],

        ["\x91\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAB"],
        ["\xE6\xB3\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xDF"],

        ["\x91\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAE"],
        ["\xE6\xB3\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xED"],

        ["\xC0\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB3\xBE"],
        ["\xF0\xA3\xB3\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x6C"],

        ["\x92\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x8E"],
        ["\xE6\xB4\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x48"],

        ["\x92\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xAE"],
        ["\xE6\xB4\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x51"],

        ["\xC0\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB1"],
        ["\xE6\xB4\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x50"],

        ["\x92\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB9"],
        ["\xE6\xB4\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x54"],

        ["\xC0\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBF"],
        ["\xE6\xB4\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x7D"],

        ["\xC0\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x98"],
        ["\xE6\xB5\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x4D"],

        ["\x92\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA5"],
        ["\xE6\xB5\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x8E"],

        ["\xC0\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x85"],
        ["\xEF\xA9\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x5D"],

        ["\x92\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x82"],
        ["\xE6\xB6\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x8A"],

        ["\xC0\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x89"],
        ["\xE6\xB6\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x5C"],

        ["\x92\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x94"],
        ["\xE6\xB6\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x87"],

        ["\xC0\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAA"],
        ["\xE6\xB6\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x4E"],

        ["\x92\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xBF"],
        ["\xE6\xB6\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xA3"],

        ["\x92\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x84"],
        ["\xE6\xB7\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x9F"],

        ["\x92\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x96"],
        ["\xE6\xB7\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xA5"],

        ["\xC0\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9A"],
        ["\xE6\xB7\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x6B"],

        ["\xC0\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9B"],
        ["\xE6\xB7\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x60"],

        ["\xC0\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9D"],
        ["\xE6\xB7\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x4B"],

        ["\xC0\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x86"],
        ["\xEF\xA9\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x61"],

        ["\xC0\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB4"],
        ["\xE6\xB8\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],

        ["\x92\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x84"],
        ["\xE6\xB9\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xCB"],

        ["\x92\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x9E"],
        ["\xE6\xB9\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xDD"],

        ["\xC0\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xAB"],
        ["\xE6\xBA\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],

        ["\x93\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB1"],
        ["\xE6\xBA\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x41"],

        ["\xC0\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x81"],
        ["\xE6\xBB\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],

        ["\x93\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x87"],
        ["\xE6\xBB\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x42"],

        ["\xC0\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x8E"],
        ["\xE6\xBB\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],

        ["\xC0\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x90"],
        ["\xE6\xBC\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],

        ["\x93\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x9A"],
        ["\xE6\xBC\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x84"],

        ["\xC0\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x87"],
        ["\xEF\xA9\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF5"],

        ["\x93\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xAA"],
        ["\xE6\xBC\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x83"],

        ["\xC0\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xAF"],
        ["\xE6\xBC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF6"],

        ["\x93\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB3"],
        ["\xE6\xBC\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x8C"],

        ["\xC0\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x91"],
        ["\xE6\xBD\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],

        ["\x93\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x99"],
        ["\xE6\xBD\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xA6"],

        ["\x93\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9E"],
        ["\xE6\xBD\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xB3"],

        ["\xC0\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA1"],
        ["\xE6\xBD\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],

        ["\x93\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA2"],
        ["\xE6\xBD\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x98"],

        ["\x93\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xBE"],
        ["\xE6\xBD\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xA4"],

        ["\x93\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x8C"],
        ["\xE6\xBE\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x99"],

        ["\x93\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x8D"],
        ["\xE6\xBE\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x9A"],

        ["\x93\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x94"],
        ["\xE6\xBE\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x95"],

        ["\xC0\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA0"],
        ["\xE6\xBE\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xF9"],

        ["\x93\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA7"],
        ["\xE6\xBE\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xBB"],

        ["\xC0\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB6"],
        ["\xE6\xBE\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x7A"],

        ["\xC0\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xBC"],
        ["\xE6\xBE\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x5E"],

        ["\xC0\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x87"],
        ["\xE6\xBF\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x4C"],

        ["\xC0\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x8A"],
        ["\xE6\xBF\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x7E"],

        ["\x93\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB9"],
        ["\xE6\xBF\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xCC"],

        ["\x93\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB0"],
        ["\xE6\xBF\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xB7"],

        ["\xC0\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x86"],
        ["\xE7\x80\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x6E"],

        ["\xC0\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x8A"],
        ["\xE7\x81\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x6F"],

        ["\x93\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x9D"],
        ["\xE7\x81\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xEB"],

        ["\xC0\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x9E"],
        ["\xE7\x81\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x7C"],

        ["\xC0\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x8E"],
        ["\xE7\x81\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC1"],

        ["\x93\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xA4"],
        ["\xE7\x81\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xEC"],

        ["\xC0\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xB5"],
        ["\xE7\x81\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC2"],

        ["\x8E\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xA4"],
        ["\xE7\x82\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x91"],

        ["\x93\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB7"],
        ["\xE7\x82\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xFD"],

        ["\x94\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x94"],
        ["\xE7\x83\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x44"],

        ["\x94\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x98"],
        ["\xE7\x83\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x42"],

        ["\x94\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xA4"],
        ["\xE7\x83\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x45"],

        ["\xC0\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xAB"],
        ["\xE7\x84\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC3"],

        ["\x94\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x9E"],
        ["\xE7\x84\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x56"],

        ["\xC0\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xA0"],
        ["\xE7\x84\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC4"],

        ["\xC0\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xAE"],
        ["\xE7\x84\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC5"],

        ["\xC0\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xB0"],
        ["\xE7\x84\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],

        ["\xC0\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x91"],
        ["\xE7\x85\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC7"],

        ["\xC0\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x88"],
        ["\xEF\xA9\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC8"],

        ["\x94\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x92"],
        ["\xE7\x85\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x87"],

        ["\x94\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA0"],
        ["\xE7\x85\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x92"],

        ["\xC0\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA8"],
        ["\xE7\x85\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],

        ["\x94\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x85"],
        ["\xE7\x86\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x97"],

        ["\xC0\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x87"],
        ["\xE7\x86\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD1"],

        ["\x94\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x92"],
        ["\xE7\x86\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x98"],

        ["\xC0\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xBA"],
        ["\xE7\x86\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],

        ["\x94\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x84"],
        ["\xE7\x87\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xA6"],

        ["\x94\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x80"],
        ["\xE7\x88\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xAC"],

        ["\xC0\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x95"],
        ["\xE7\x88\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD3"],

        ["\xC0\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x95"],
        ["\xE7\x89\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],

        ["\x94\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x96"],
        ["\xE7\x89\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xB2"],

        ["\xC0\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8\xBF"],
        ["\xE3\xB8\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],

        ["\xC0\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x8D"],
        ["\xE7\x8A\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],

        ["\x94\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x9B"],
        ["\xE7\x8A\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xB8"],

        ["\xC0\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x80"],
        ["\xE7\x8B\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD7"],

        ["\x94\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xBB"],
        ["\xE7\x8B\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xDC"],

        ["\xC0\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x9F\xB1"],
        ["\xF0\xA4\x9F\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD8"],

        ["\xC0\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA7"],
        ["\xE7\x8C\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],

        ["\x94\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA8"],
        ["\xE7\x8C\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xFA"],

        ["\xC0\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x90"],
        ["\xE7\x8D\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xE2"],

        ["\xC0\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xA6"],
        ["\xE7\x8D\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xE3"],

        ["\x95\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xBC"],
        ["\xE7\x8D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x46"],

        ["\x95\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x95"],
        ["\xE7\x8E\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x55"],

        ["\xC0\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x9F"],
        ["\xE7\x8E\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],

        ["\xC0\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA0"],
        ["\xE7\x8E\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],

        ["\xC0\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA2"],
        ["\xE7\x8E\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xE6"],

        ["\xC0\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA6"],
        ["\xE7\x8E\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],

        ["\xC0\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xAB"],
        ["\xE7\x8E\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xE8"],

        ["\x95\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8F"],
        ["\xE7\x8F\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x8D"],

        ["\x95\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x99"],
        ["\xE7\x8F\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x90"],

        ["\x95\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA9"],
        ["\xE7\x8F\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x91"],

        ["\xC0\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x8A"],
        ["\xE7\x90\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xE9"],

        ["\x95\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x9A"],
        ["\xE7\x90\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xBD"],

        ["\x95\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x9B"],
        ["\xE7\x90\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xAF"],

        ["\xC0\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8A"],
        ["\xEF\xA9\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x4A"],

        ["\x95\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA8"],
        ["\xE7\x90\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xAA"],

        ["\x95\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAB"],
        ["\xE7\x90\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xBC"],

        ["\xC0\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAC"],
        ["\xE7\x90\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x5B"],

        ["\x95\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAF"],
        ["\xE7\x90\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xA6"],

        ["\xC0\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB0"],
        ["\xE7\x90\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x5A"],

        ["\xC0\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x84"],
        ["\xE7\x91\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x5F"],

        ["\x95\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x86"],
        ["\xE7\x91\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xB8"],

        ["\xC0\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x87"],
        ["\xE7\x91\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x6D"],

        ["\x95\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x8B"],
        ["\xE7\x91\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xB7"],

        ["\x95\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x97"],
        ["\xE7\x91\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xB5"],

        ["\xC0\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xAB"],
        ["\xE7\x91\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x79"],

        ["\xC0\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xAD"],
        ["\xE7\x91\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x57"],

        ["\x95\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x86"],
        ["\xE7\x92\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xDC"],

        ["\x95\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x87"],
        ["\xE7\x92\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xDE"],

        ["\xC0\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x98"],
        ["\xE7\x92\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x59"],

        ["\x95\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x9C"],
        ["\xE7\x92\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xEF"],

        ["\xC0\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA3"],
        ["\xE7\x92\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x62"],

        ["\x96\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x90"],
        ["\xE7\x92\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x42"],

        ["\x96\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA6"],
        ["\xE7\x92\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x41"],

        ["\x95\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA8"],
        ["\xE7\x92\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xFC"],

        ["\xC0\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA9"],
        ["\xE7\x92\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x63"],

        ["\xC0\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xB5"],
        ["\xE7\x92\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x64"],

        ["\x96\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xBF"],
        ["\xE7\x92\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x44"],

        ["\x96\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x88"],
        ["\xE7\x93\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x48"],

        ["\x96\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x89"],
        ["\xE7\x93\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x46"],

        ["\x96\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x9A"],
        ["\xE7\x93\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x49"],

        ["\xC0\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xBF"],
        ["\xE7\x93\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x65"],

        ["\xC0\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x97"],
        ["\xE7\x94\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x66"],

        ["\x96\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB9"],
        ["\xE7\x95\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x87"],

        ["\x96\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x92"],
        ["\xE7\x96\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x8E"],

        ["\xC0\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD\xB2"],
        ["\xE3\xBD\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x67"],

        ["\xC0\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x8E"],
        ["\xE7\x97\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x68"],

        ["\x96\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA4"],
        ["\xE7\x97\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x93"],

        ["\x96\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x80"],
        ["\xE7\x98\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x97"],

        ["\xC0\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x82"],
        ["\xE7\x98\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x69"],

        ["\xC0\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x88"],
        ["\xE7\x98\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x70"],

        ["\xC0\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x95"],
        ["\xE7\x98\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x71"],

        ["\x96\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x96"],
        ["\xE7\x98\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x99"],

        ["\x96\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x99"],
        ["\xE7\x98\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x9D"],

        ["\xC0\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x9E"],
        ["\xE7\x98\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x72"],

        ["\x96\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xAD"],
        ["\xE7\x98\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x9F"],

        ["\xC0\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xB5"],
        ["\xE7\x98\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x73"],

        ["\xC0\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x83"],
        ["\xE7\x99\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x74"],

        ["\xC0\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x8B"],
        ["\xE7\x99\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x75"],

        ["\xC0\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA4"],
        ["\xE7\x99\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x76"],

        ["\x96\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA5"],
        ["\xE7\x99\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xA4"],

        ["\x96\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAD"],
        ["\xE7\x99\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xA5"],

        ["\xC0\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAF"],
        ["\xE7\x99\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x77"],

        ["\x96\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB1"],
        ["\xE7\x99\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xA6"],

        ["\xC0\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x81"],
        ["\xE7\x9A\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x78"],

        ["\xC0\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9D"],
        ["\xE7\x9A\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x80"],

        ["\x96\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xAA"],
        ["\xE7\x9A\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xB3"],

        ["\xC0\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB6"],
        ["\xE7\x9A\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x8B"],

        ["\xC0\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x85"],
        ["\xE7\x9B\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x9B"],

        ["\x96\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x8C"],
        ["\xE7\x9B\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xB9"],

        ["\x96\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x8E"],
        ["\xE7\x9B\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xB8"],

        ["\xC0\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x94"],
        ["\xE7\x9B\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x9C"],

        ["\xC0\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA6"],
        ["\xE7\x9B\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xA0"],

        ["\x96\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xB1"],
        ["\xE7\x9B\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xCD"],

        ["\xC0\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xBC"],
        ["\xE7\x9B\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],

        ["\xC0\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x8A"],
        ["\xE7\x9C\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xB0"],

        ["\x96\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x99"],
        ["\xE7\x9C\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xDA"],

        ["\xC0\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB4"],
        ["\xE7\x9C\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xC0"],

        ["\x96\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB6"],
        ["\xE7\x9C\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xDC"],

        ["\x96\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x8D"],
        ["\xE7\x9D\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xDF"],

        ["\xC0\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x8E"],
        ["\xE7\x9D\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\x6A"],

        ["\x96\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x9C"],
        ["\xE7\x9D\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xED"],

        ["\x96\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x9F"],
        ["\xE7\x9D\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xEC"],

        ["\xC0\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA2"],
        ["\xE7\x9D\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xD0"],

        ["\xC0\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBA"],
        ["\xE7\x9D\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC0\xA1"],

        ["\x6A\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x80"],
        ["\xE7\x9E\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x4F"],

        ["\x6A\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x94"],
        ["\xE7\x9E\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x7F"],

        ["\x97\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xAA"],
        ["\xE7\x9E\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x42"],

        ["\x6A\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA0"],
        ["\xE7\x9F\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x7B"],

        ["\x97\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xAD"],
        ["\xE7\xA0\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x56"],

        ["\x6A\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x92\x8E"],
        ["\xF0\xA5\x92\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xE0"],

        ["\x97\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x83"],
        ["\xE7\xA1\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x84"],

        ["\x6A\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x8F"],
        ["\xE7\xA1\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x6C"],

        ["\x6A\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x91"],
        ["\xE7\xA1\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x50"],

        ["\x97\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xA8"],
        ["\xE7\xA1\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x8A"],

        ["\x97\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAE"],
        ["\xE7\xA1\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x88"],

        ["\x6A\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8B"],
        ["\xEF\xA9\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x7D"],

        ["\x6A\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xB0"],
        ["\xE7\xA2\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x4D"],

        ["\x6A\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x94\x8E"],
        ["\xF0\xA5\x94\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x5D"],

        ["\x97\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xAD"],
        ["\xE7\xA2\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x98"],

        ["\x6A\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA4"],
        ["\xE7\xA3\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x5C"],

        ["\x6A\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xB2"],
        ["\xE7\xA3\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x4E"],

        ["\x97\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x80"],
        ["\xE7\xA4\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xA8"],

        ["\x97\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xB7"],
        ["\xE7\xA3\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xA6"],

        ["\x6A\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x9C"],
        ["\xE7\xA4\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x6B"],

        ["\x6A\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xAE"],
        ["\xE7\xA4\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x60"],

        ["\x97\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xB1"],
        ["\xE7\xA4\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xAF"],

        ["\x97\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xB4"],
        ["\xE7\xA4\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xBB"],

        ["\x6A\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8C"],
        ["\xEF\xA9\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x4B"],

        ["\x6A\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8D"],
        ["\xEF\xA9\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x61"],

        ["\x6A\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x85"],
        ["\xE7\xA5\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF0"],

        ["\x6A\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x86"],
        ["\xE7\xA5\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF1"],

        ["\x6A\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8E"],
        ["\xEF\xA9\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF2"],

        ["\x6A\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8F"],
        ["\xEF\xA9\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF3"],

        ["\x6A\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x90"],
        ["\xEF\xA9\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF4"],

        ["\x97\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9C"],
        ["\xE7\xA5\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xCA"],

        ["\x6A\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x91"],
        ["\xEF\xA9\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF5"],

        ["\x6A\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xB9"],
        ["\xE7\xA5\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF6"],

        ["\x6A\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x92"],
        ["\xEF\xA9\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF7"],

        ["\x6A\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x93"],
        ["\xEF\xA9\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF8"],

        ["\x6A\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x98"],
        ["\xE7\xA6\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xF9"],

        ["\x6A\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB1"],
        ["\xE7\xA6\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x7A"],

        ["\x98\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB8"],
        ["\xE7\xA6\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x82"],

        ["\x98\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x88"],
        ["\xE7\xA7\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x86"],

        ["\x89\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x8A"],
        ["\xE7\xA7\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xEE"],

        ["\x6A\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x9D\xB1"],
        ["\xF0\xA5\x9D\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x5E"],

        ["\x99\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x94"],
        ["\xE7\xA7\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xBE"],

        ["\x6A\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x9E"],
        ["\xE7\xA7\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x4C"],

        ["\x98\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xAB"],
        ["\xE7\xA7\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x8C"],

        ["\x6A\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xAD"],
        ["\xE7\xA7\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x7E"],

        ["\x98\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x83"],
        ["\xE7\xA8\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x98"],

        ["\x6A\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x94"],
        ["\xEF\xA9\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x6E"],

        ["\x98\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB9"],
        ["\xE7\xA8\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xA6"],

        ["\x98\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x9D"],
        ["\xE7\xA9\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xAD"],

        ["\x6A\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xAD"],
        ["\xE7\xA9\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x6F"],

        ["\x6A\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x95"],
        ["\xEF\xA9\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x7C"],

        ["\x96\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x85"],
        ["\xE7\xAA\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xCF"],

        ["\x98\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xA0"],
        ["\xE7\xAA\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xB7"],

        ["\x6A\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xA7\x84"],
        ["\xF0\xA5\xA7\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC1"],

        ["\x6A\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xB3"],
        ["\xE7\xAA\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC2"],

        ["\x6A\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBB"],
        ["\xE7\xAA\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC3"],

        ["\x98\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8E"],
        ["\xE7\xAB\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xDD"],

        ["\x98\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xBD"],
        ["\xE7\xAB\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xFE"],

        ["\x6A\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x92"],
        ["\xE7\xAC\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC4"],

        ["\x99\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAD"],
        ["\xE7\xAC\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x46"],

        ["\x6A\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xBB"],
        ["\xE7\xAC\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC5"],

        ["\x99\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x87"],
        ["\xE7\xAD\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x51"],

        ["\x6A\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8E"],
        ["\xE7\xAD\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC6"],

        ["\x99\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA0"],
        ["\xE7\xAD\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x55"],

        ["\x99\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xAD"],
        ["\xE7\xAD\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x58"],

        ["\x99\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xAF"],
        ["\xE7\xAD\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x87"],

        ["\x6A\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB2"],
        ["\xE7\xAD\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC7"],

        ["\x6A\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x96"],
        ["\xEF\xA9\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC8"],

        ["\x99\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x97"],
        ["\xE7\xAF\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x9E"],

        ["\x99\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x99"],
        ["\xE7\xAF\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x99"],

        ["\x6A\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x81"],
        ["\xE7\xB0\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC9"],

        ["\x99\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB1"],
        ["\xE7\xB0\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xA9"],

        ["\x6A\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x9E"],
        ["\xE7\xB0\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD1"],

        ["\x96\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA0"],
        ["\xE7\xB0\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xCC"],

        ["\x6A\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB3"],
        ["\xE7\xB0\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD2"],

        ["\x6A\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB6"],
        ["\xE7\xB0\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD3"],

        ["\x6A\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x89\xA4"],
        ["\xE4\x89\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD4"],

        ["\x6A\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB6\xA1"],
        ["\xF0\xA5\xB6\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD5"],

        ["\x99\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x99"],
        ["\xE7\xB1\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xAF"],

        ["\x99\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xAD"],
        ["\xE7\xB1\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xBC"],

        ["\x99\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xB9"],
        ["\xE7\xB1\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xBF"],

        ["\x6A\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x8F"],
        ["\xE7\xB2\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD6"],

        ["\x99\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x94"],
        ["\xE7\xB2\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xB2"],

        ["\x99\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA0"],
        ["\xE7\xB2\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xB7"],

        ["\x6A\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xBC"],
        ["\xE7\xB2\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD7"],

        ["\x6A\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x95"],
        ["\xE7\xB3\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD8"],

        ["\x99\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x99"],
        ["\xE7\xB3\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xDD"],

        ["\x99\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x9D"],
        ["\xE7\xB3\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xDC"],

        ["\x6A\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x87"],
        ["\xE7\xB4\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD9"],

        ["\x99\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x88"],
        ["\xE7\xB4\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xEC"],

        ["\x99\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x93"],
        ["\xE7\xB4\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xFB"],

        ["\x99\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9D"],
        ["\xE7\xB4\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xEF"],

        ["\x99\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xA3"],
        ["\xE7\xB4\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xFC"],

        ["\x9A\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB1"],
        ["\xE7\xB4\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x46"],

        ["\x9A\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x81"],
        ["\xE7\xB5\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x44"],

        ["\x9A\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x93"],
        ["\xE7\xB5\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x52"],

        ["\x6A\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xBA"],
        ["\xE7\xB5\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xE2"],

        ["\x6A\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x83"],
        ["\xE7\xB6\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xE3"],

        ["\x9A\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x8B"],
        ["\xE7\xB6\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x81"],

        ["\x9A\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA6"],
        ["\xE7\xB6\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x82"],

        ["\x9A\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x82"],
        ["\xE7\xB7\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x85"],

        ["\x6A\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x8C"],
        ["\xE7\xB7\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xE4"],

        ["\x6A\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA3"],
        ["\xE7\xB7\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xE5"],

        ["\x6A\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x97"],
        ["\xEF\xA9\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xE6"],

        ["\x6A\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA8"],
        ["\xE7\xB8\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xE7"],

        ["\x9A\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x88"],
        ["\xE7\xB8\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x95"],

        ["\x9A\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x91"],
        ["\xE7\xB8\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x96"],

        ["\x9A\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x95"],
        ["\xE7\xB8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x94"],

        ["\x6A\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x99"],
        ["\xEF\xA9\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xE8"],

        ["\x9A\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x87"],
        ["\xE7\xB9\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xA6"],

        ["\x6A\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xA1"],
        ["\xE7\xB9\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xE9"],

        ["\x6A\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8D"],
        ["\xE7\xBA\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x4A"],

        ["\x6A\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9A"],
        ["\xEF\xA9\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x5B"],

        ["\x9A\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x91"],
        ["\xE7\xBE\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xCF"],

        ["\x9A\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x97"],
        ["\xE7\xBE\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xDB"],

        ["\x9A\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xBF"],
        ["\xE7\xBE\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xED"],

        ["\x9A\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x8E"],
        ["\xE7\xBF\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xEF"],

        ["\x6A\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x9B"],
        ["\xE7\xBF\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x5A"],

        ["\x9A\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x9F"],
        ["\xE7\xBF\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xFB"],

        ["\x9A\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xAC"],
        ["\xE7\xBF\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xFD"],

        ["\x6A\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xAE"],
        ["\xE7\xBF\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x5F"],

        ["\x9D\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xBA"],
        ["\xE7\xBF\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x42"],

        ["\x6A\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9B"],
        ["\xEF\xA9\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x6D"],

        ["\x9D\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x94"],
        ["\xE8\x80\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x46"],

        ["\x9D\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xA6"],
        ["\xE8\x80\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x51"],

        ["\x6A\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB5"],
        ["\xE8\x80\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x79"],

        ["\x6A\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB7"],
        ["\xE8\x80\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x57"],

        ["\x6A\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xBC"],
        ["\xE8\x80\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x59"],

        ["\x6A\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x8A"],
        ["\xE8\x83\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x62"],

        ["\x6A\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x97"],
        ["\xE8\x83\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x63"],

        ["\x9D\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA0"],
        ["\xE8\x83\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x85"],

        ["\x6A\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB3"],
        ["\xE8\x83\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x64"],

        ["\x9D\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x98"],
        ["\xE8\x84\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x90"],

        ["\x9D\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x8A"],
        ["\xE8\x85\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x94"],

        ["\x6A\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA0"],
        ["\xE8\x85\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x65"],

        ["\x6A\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA7"],
        ["\xE8\x85\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x66"],

        ["\x6A\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA8"],
        ["\xE8\x85\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x67"],

        ["\xAA\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xAD"],
        ["\xE8\x85\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xEC"],

        ["\x6A\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBB"],
        ["\xE8\x86\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x68"],

        ["\x6A\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x8A"],
        ["\xE8\x87\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x69"],

        ["\x6A\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x8F"],
        ["\xE8\x87\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x70"],

        ["\x6A\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x97"],
        ["\xE8\x87\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x71"],

        ["\x6A\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9C"],
        ["\xEF\xA9\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x72"],

        ["\x6A\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x91\x93"],
        ["\xE4\x91\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x73"],

        ["\x6A\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x91\x9B"],
        ["\xE4\x91\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x74"],

        ["\x6A\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA0"],
        ["\xE8\x89\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x75"],

        ["\x9D\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB4"],
        ["\xE8\x89\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\xB6"],

        ["\x6A\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xAB\xBF"],
        ["\xF0\xA6\xAB\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x76"],

        ["\x9D\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x8E"],
        ["\xE8\x8A\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\xDA"],

        ["\x6A\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA1"],
        ["\xE8\x8A\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x77"],

        ["\x6A\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA3"],
        ["\xE8\x8A\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x78"],

        ["\x6A\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA4"],
        ["\xE8\x8A\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x80"],

        ["\x9E\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA9"],
        ["\xE8\x8A\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\x45"],

        ["\x6A\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAE"],
        ["\xE8\x8A\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x8B"],

        ["\x9E\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB7"],
        ["\xE8\x8A\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\x46"],

        ["\x6A\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBE"],
        ["\xE8\x8A\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x9B"],

        ["\x6A\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBF"],
        ["\xE8\x8A\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x9C"],

        ["\x6A\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x86"],
        ["\xE8\x8B\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xA0"],

        ["\x6A\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x95"],
        ["\xE8\x8B\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xAB"],

        ["\x6A\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xBD"],
        ["\xE8\x8B\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xB0"],

        ["\x9E\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xBE"],
        ["\xE8\x8B\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\x85"],

        ["\x6A\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x80"],
        ["\xE8\x8C\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xC0"],

        ["\x6A\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xA2"],
        ["\xE8\x8C\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\x6A"],

        ["\x6A\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xAD"],
        ["\xE8\x8C\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xD0"],

        ["\x6A\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xBA"],
        ["\xE8\x8C\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x6A\xA1"],

        ["\xD0\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x83"],
        ["\xE8\x8D\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x4F"],

        ["\xD0\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x87"],
        ["\xE8\x8D\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x7F"],

        ["\xD0\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x91"],
        ["\xE8\x8D\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x7B"],

        ["\x9E\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x95"],
        ["\xE8\x8D\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xA3"],

        ["\xD0\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xBD"],
        ["\xE8\x8D\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xE0"],

        ["\xD0\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x86"],
        ["\xE8\x8E\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x6C"],

        ["\xD0\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x92"],
        ["\xE8\x8E\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x50"],

        ["\xD0\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x98"],
        ["\xE8\x8E\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x7D"],

        ["\x9E\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA7"],
        ["\xE8\x8E\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xB3"],

        ["\xD0\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA9"],
        ["\xE8\x8E\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x4D"],

        ["\x9E\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xBF"],
        ["\xE8\x8E\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xFB"],

        ["\x9E\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x80"],
        ["\xE8\x8F\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xEE"],

        ["\xD0\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x8F"],
        ["\xE8\x8F\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x5D"],

        ["\xD0\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x91"],
        ["\xE8\x8F\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x5C"],

        ["\xD0\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xA1"],
        ["\xE8\x8F\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x4E"],

        ["\x9E\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xAA"],
        ["\xE8\x8F\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xFC"],

        ["\xD0\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x81"],
        ["\xE8\x90\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x6B"],

        ["\xD0\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x86"],
        ["\xE8\x90\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x60"],

        ["\xD0\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8A"],
        ["\xE8\x90\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x4B"],

        ["\xD0\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9F"],
        ["\xEF\xA9\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x61"],

        ["\xD0\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x9F"],
        ["\xE8\x91\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],

        ["\xD0\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB0"],
        ["\xE8\x91\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF1"],

        ["\xD0\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB3"],
        ["\xE8\x91\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],

        ["\xD0\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x85"],
        ["\xE8\x92\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],

        ["\xD0\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x9E"],
        ["\xE8\x92\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],

        ["\x9F\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xAF"],
        ["\xE8\x92\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\x93"],

        ["\xD0\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBA"],
        ["\xE8\x92\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF5"],

        ["\xD0\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x80"],
        ["\xE8\x93\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF6"],

        ["\xD0\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x82"],
        ["\xE8\x93\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF7"],

        ["\xD0\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB9\x80"],
        ["\xF0\xA6\xB9\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],

        ["\xD0\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xB2"],
        ["\xE8\x94\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],

        ["\xD0\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x9E"],
        ["\xE8\x94\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x7A"],

        ["\xD0\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA3"],
        ["\xE8\x94\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x5E"],

        ["\xD0\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xAF"],
        ["\xE8\x94\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x4C"],

        ["\xD0\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA4"],
        ["\xE8\x95\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x7E"],

        ["\xD0\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAD"],
        ["\xE8\x96\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x6E"],

        ["\xD0\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBA"],
        ["\xE8\x95\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x6F"],

        ["\xD0\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x8C"],
        ["\xE8\x96\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x7C"],

        ["\x9F\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x8F"],
        ["\xE8\x96\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\xFE"],

        ["\xD0\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA2"],
        ["\xE8\x96\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],

        ["\xD0\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8B"],
        ["\xE8\x97\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],

        ["\xA2\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8E"],
        ["\xE8\x97\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x51"],

        ["\xD0\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xAD"],
        ["\xE8\x97\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC3"],

        ["\xA2\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x92"],
        ["\xE8\x98\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x8A"],

        ["\xD0\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xBF"],
        ["\xE8\x97\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],

        ["\xD0\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x84"],
        ["\xE8\x98\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC5"],

        ["\xD0\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x85"],
        ["\xE8\x98\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC6"],

        ["\xA2\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x90"],
        ["\xE8\x98\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x89"],

        ["\xD0\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x83\xB4"],
        ["\xF0\xA7\x83\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC7"],

        ["\xD0\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x98"],
        ["\xE8\x98\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC8"],

        ["\xA2\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA9"],
        ["\xE8\x98\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x8D"],

        ["\xA2\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xB8"],
        ["\xE8\x98\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x90"],

        ["\xA2\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x97"],
        ["\xE8\x99\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x98"],

        ["\xD0\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9B"],
        ["\xE8\x99\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC9"],

        ["\xD0\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4\xB6"],
        ["\xEF\xA4\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD1"],

        ["\xD0\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xA2"],
        ["\xE8\x99\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD2"],

        ["\xD0\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x96\x9D"],
        ["\xE4\x96\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD3"],

        ["\xA2\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xAC"],
        ["\xE8\x99\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x9F"],

        ["\xD0\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xB5"],
        ["\xE8\x99\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],

        ["\xD0\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x98"],
        ["\xE8\x9A\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD5"],

        ["\xD0\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB8"],
        ["\xE8\x9A\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD6"],

        ["\xD0\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBA"],
        ["\xE8\x9B\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD7"],

        ["\xA2\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBC"],
        ["\xE8\x9B\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xAA"],

        ["\xA2\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBD"],
        ["\xE8\x9B\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xAC"],

        ["\xD0\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x8B"],
        ["\xE8\x9C\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],

        ["\xD0\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB1"],
        ["\xE8\x9D\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD9"],

        ["\xD0\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x87"],
        ["\xE8\x9E\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],

        ["\xA2\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x88"],
        ["\xE8\x9E\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xBE"],

        ["\xD0\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xAC"],
        ["\xE8\x9E\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xE3"],

        ["\xD0\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xAD"],
        ["\xE8\x9E\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xE4"],

        ["\xD0\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xB5"],
        ["\xE8\x9E\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xE5"],

        ["\xD0\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x97\xAA"],
        ["\xE4\x97\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xE6"],

        ["\xA2\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x96"],
        ["\xE8\x9F\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xB2"],

        ["\xD0\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAC"],
        ["\xE8\x9F\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xE7"],

        ["\xD0\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x86"],
        ["\xE8\xA0\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],

        ["\xD0\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8A"],
        ["\xE8\xA0\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],

        ["\xD0\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x90"],
        ["\xE8\xA0\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x4A"],

        ["\xD0\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x94"],
        ["\xE8\xA0\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x5B"],

        ["\xD0\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x9F"],
        ["\xE8\xA0\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x5A"],

        ["\xA2\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x98"],
        ["\xE8\xA2\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xDE"],

        ["\xA2\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xAA"],
        ["\xE8\xA2\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xEA"],

        ["\xA2\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x8A"],
        ["\xE8\xA3\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xFC"],

        ["\xA2\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x8E"],
        ["\xE8\xA3\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xFE"],

        ["\xD0\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9A\x84"],
        ["\xF0\xA7\x9A\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x5F"],

        ["\xD0\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA0"],
        ["\xEF\xA9\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x6D"],

        ["\xD0\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x98"],
        ["\xE8\xA4\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x79"],

        ["\xD0\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x99"],
        ["\xE8\xA4\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x57"],

        ["\xA3\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x9A"],
        ["\xE8\xA4\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x46"],

        ["\xA3\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xA7"],
        ["\xE8\xA4\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x53"],

        ["\xA3\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB0"],
        ["\xE8\xA4\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x54"],

        ["\xD0\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB2"],
        ["\xE8\xA4\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x59"],

        ["\xD0\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB9"],
        ["\xE8\xA4\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x62"],

        ["\xD0\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x80"],
        ["\xE8\xA5\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x63"],

        ["\xA3\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x94"],
        ["\xE8\xA6\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x88"],

        ["\xD0\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA1"],
        ["\xEF\xA9\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x64"],

        ["\xD0\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x94"],
        ["\xE8\xA7\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x65"],

        ["\xA3\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xA5"],
        ["\xE8\xA7\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x92"],

        ["\xD0\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB6"],
        ["\xE8\xA7\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x66"],

        ["\xA3\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x95"],
        ["\xE8\xA8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x9A"],

        ["\xA3\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xA2"],
        ["\xE8\xA8\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xA3"],

        ["\xA3\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x87"],
        ["\xE8\xA9\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xBB"],

        ["\xA3\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x8E"],
        ["\xE8\xA9\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xA7"],

        ["\xA3\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x9D"],
        ["\xE8\xA9\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xAF"],

        ["\xA3\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA1"],
        ["\xE8\xA9\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xBD"],

        ["\xA3\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB5"],
        ["\xE8\xA9\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xBE"],

        ["\xD0\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x90"],
        ["\xE8\xAB\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x67"],

        ["\xD0\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB4"],
        ["\xE8\xAB\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x68"],

        ["\xD0\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA2"],
        ["\xEF\xA9\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x69"],

        ["\xD0\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA3"],
        ["\xEF\xA9\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x70"],

        ["\x86\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x86"],
        ["\xE8\xAD\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x8D"],

        ["\xA3\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x94"],
        ["\xE8\xAD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],

        ["\xA3\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x99"],
        ["\xE8\xAD\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],

        ["\xD0\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xA9"],
        ["\xE8\xAD\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x71"],

        ["\xD0\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x9D"],
        ["\xE8\xAE\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x72"],

        ["\xA4\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x89"],
        ["\xE8\xB1\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x47"],

        ["\xD0\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xA8"],
        ["\xE8\xB1\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x73"],

        ["\xD0\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA4"],
        ["\xEF\xA9\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x74"],

        ["\xA4\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA1"],
        ["\xE8\xB3\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x88"],

        ["\xD0\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xB8"],
        ["\xE8\xB3\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x75"],

        ["\xA4\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBE"],
        ["\xE8\xB3\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x8F"],

        ["\xD0\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA5"],
        ["\xEF\xA9\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x76"],

        ["\xD0\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x9B"],
        ["\xE8\xB4\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x77"],

        ["\xD0\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xAF"],
        ["\xE8\xB6\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x78"],

        ["\xA4\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x8E"],
        ["\xE8\xB7\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xA7"],

        ["\xA4\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x91"],
        ["\xE8\xB7\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xA6"],

        ["\xA4\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x97"],
        ["\xE8\xB7\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xA5"],

        ["\xA4\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xA0"],
        ["\xE8\xB8\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xAC"],

        ["\xD0\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xA3"],
        ["\xE8\xB8\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x80"],

        ["\xD0\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xBD"],
        ["\xE8\xB8\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x8B"],

        ["\xD0\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xB0"],
        ["\xE8\xB9\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x9B"],

        ["\xA4\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xBB"],
        ["\xE8\xB9\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],

        ["\xD0\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8\x89\xB7"],
        ["\xF0\xA8\x89\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x9C"],

        ["\xD0\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x80"],
        ["\xE8\xBB\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xA0"],

        ["\xD0\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1\x84"],
        ["\xE4\xA1\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xAB"],

        ["\xA4\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBA"],
        ["\xE8\xBB\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xB5"],

        ["\xA4\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9E"],
        ["\xE8\xBC\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xB8"],

        ["\xA4\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xAD"],
        ["\xE8\xBC\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xCA"],

        ["\xD0\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xB6"],
        ["\xE8\xBC\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xB0"],

        ["\xA4\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x94"],
        ["\xE8\xBD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xCE"],

        ["\xD0\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8\x8F\x8D"],
        ["\xF0\xA8\x8F\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xC0"],

        ["\x84\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xA6"],
        ["\xE8\xBE\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xB4"],

        ["\xA4\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB5"],
        ["\xE8\xBE\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xDD"],

        ["\xA4\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA4"],
        ["\xE8\xBF\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xFE"],

        ["\xA5\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA8"],
        ["\xE8\xBF\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\x42"],

        ["\xA5\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAE"],
        ["\xE8\xBF\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\x41"],

        ["\xD0\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x88"],
        ["\xE9\x80\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\x6A"],

        ["\xA5\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xAD"],
        ["\xE9\x80\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\x84"],

        ["\xD0\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA7"],
        ["\xEF\xA9\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xD0"],

        ["\xA5\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x88"],
        ["\xE9\x82\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],

        ["\xD0\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x95"],
        ["\xE9\x82\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],

        ["\xA1\x4F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x97"],
        ["\xE9\x82\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x4F"],

        ["\xA1\x7F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x99"],
        ["\xE9\x82\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x7F"],

        ["\xA1\x7B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x9B"],
        ["\xE9\x82\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x7B"],

        ["\xA5\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xA2"],
        ["\xE9\x82\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],

        ["\xA5\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xB3"],
        ["\xE9\x82\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],

        ["\xA1\xE0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xBE"],
        ["\xE9\x82\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xE0"],

        ["\xA1\x6C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x84"],
        ["\xE9\x83\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x6C"],

        ["\xA5\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x85"],
        ["\xE9\x83\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xCB"],

        ["\xA5\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x87"],
        ["\xE9\x83\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xCC"],

        ["\xA1\x50",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x97"],
        ["\xE9\x83\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x50"],

        ["\xA5\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x9D"],
        ["\xE9\x83\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xCF"],

        ["\xA5\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xAF"],
        ["\xE9\x83\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xDB"],

        ["\xA5\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xB4"],
        ["\xE9\x83\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],

        ["\xA1\x7D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x94"],
        ["\xE9\x84\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x7D"],

        ["\xA5\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x96"],
        ["\xE9\x84\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],

        ["\xA1\x4D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xA2"],
        ["\xE9\x84\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x4D"],

        ["\xA1\x5D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xA3"],
        ["\xE9\x84\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x5D"],

        ["\xA5\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xAF"],
        ["\xE9\x84\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],

        ["\xA5\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xB1"],
        ["\xE9\x84\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xFA"],

        ["\xA5\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xB4"],
        ["\xE9\x84\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xFB"],

        ["\xA1\x5C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xBD"],
        ["\xE9\x84\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x5C"],

        ["\xA1\x4E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x88"],
        ["\xE9\x85\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x4E"],

        ["\xA5\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x9B"],
        ["\xE9\x85\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xFE"],

        ["\xA1\x6B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x83"],
        ["\xE9\x86\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x6B"],

        ["\xA6\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x9E"],
        ["\xE9\x86\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x54"],

        ["\xA1\x60",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xAC"],
        ["\xE9\x86\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x60"],

        ["\xA1\x4B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xB1"],
        ["\xE9\x86\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x4B"],

        ["\xA4\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xBC"],
        ["\xE9\x86\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x41"],

        ["\xA6\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xBB"],
        ["\xE9\x87\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x94"],

        ["\xA6\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xB1"],
        ["\xE9\x87\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x8D"],

        ["\xA6\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x87"],
        ["\xE9\x88\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x96"],

        ["\xA6\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xB8"],
        ["\xE9\x88\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xA7"],

        ["\xA6\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x83"],
        ["\xE9\x89\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xAA"],

        ["\xA6\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x8F"],
        ["\xE9\x89\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xA9"],

        ["\xA1\x61",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x82"],
        ["\xE9\x8B\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x61"],

        ["\xA1\xF0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x8B"],
        ["\xE9\x8B\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],

        ["\xA1\xF1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x8C"],
        ["\xE9\x8B\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],

        ["\xA1\xF2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x84"],
        ["\xE9\x8C\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],

        ["\xA7\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x9F"],
        ["\xE9\x8C\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x47"],

        ["\xA7\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x89"],
        ["\xE9\x8D\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x96"],

        ["\xA1\xF3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x8A"],
        ["\xE9\x8D\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],

        ["\xA7\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xA4"],
        ["\xE9\x8D\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x8E"],

        ["\xA1\xF4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xA5"],
        ["\xE9\x8D\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],

        ["\xA1\xF5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xAA"],
        ["\xE9\x8D\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],

        ["\xA1\xF6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x9B"],
        ["\xE9\x8E\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],

        ["\xA1\xF7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xA3"],
        ["\xE9\x8E\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],

        ["\xA7\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xBA"],
        ["\xE9\x8E\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xA6"],

        ["\xA7\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x9F"],
        ["\xE9\x8F\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xAE"],

        ["\xA7\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x84"],
        ["\xE9\x90\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xCA"],

        ["\xA7\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xBD"],
        ["\xE9\x8F\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xCC"],

        ["\xA7\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB3"],
        ["\xE9\x90\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xDA"],

        ["\xA7\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x8A"],
        ["\xE9\x91\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xCF"],

        ["\xA1\xF8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xA3"],
        ["\xE9\x91\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],

        ["\xA7\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xAB"],
        ["\xE9\x91\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xED"],

        ["\xA7\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB1"],
        ["\xE9\x91\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xEE"],

        ["\xA1\xF9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB2"],
        ["\xE9\x91\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],

        ["\xA7\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8E"],
        ["\xE9\x96\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\xFD"],

        ["\xA1\x7A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x9F"],
        ["\xE9\x96\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x7A"],

        ["\xA1\x5E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA6"],
        ["\xE9\x96\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x5E"],

        ["\xA2\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA9"],
        ["\xE9\x96\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xAE"],

        ["\xA1\x4C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xAC"],
        ["\xE9\x96\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x4C"],

        ["\xA1\x7E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xB6"],
        ["\xE9\x96\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x7E"],

        ["\xA8\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xBD"],
        ["\xE9\x96\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x46"],

        ["\xA8\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x8B"],
        ["\xE9\x97\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x47"],

        ["\xA8\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x90"],
        ["\xE9\x97\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x51"],

        ["\xA1\x6E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x93"],
        ["\xE9\x97\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x6E"],

        ["\xA1\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6\xB0"],
        ["\xE4\xA6\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x6F"],

        ["\xA1\x7C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x9A"],
        ["\xE9\x97\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x7C"],

        ["\xA1\xC1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x9E"],
        ["\xE9\x97\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC1"],

        ["\xA8\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x98"],
        ["\xE9\x99\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x58"],

        ["\x86\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x84"],
        ["\xE9\x9A\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xEA"],

        ["\xA1\xC2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA4"],
        ["\xE9\x9A\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC2"],

        ["\xA8\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA5"],
        ["\xE9\x9A\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x93"],

        ["\xA1\xC3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x92"],
        ["\xE9\x9B\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC3"],

        ["\xAA\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x9E"],
        ["\xE9\x9B\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xA2"],

        ["\xA1\xC4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA8"],
        ["\xEF\xA9\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC4"],

        ["\xA8\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xA9"],
        ["\xE9\x9B\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xA2"],

        ["\xA1\xC5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xAF"],
        ["\xE9\x9B\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC5"],

        ["\xA8\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x8E"],
        ["\xE9\x9D\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xAE"],

        ["\xA3\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x9A"],
        ["\xE9\x9D\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x8D"],

        ["\xA1\xC6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xAE"],
        ["\xE9\x9D\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC6"],

        ["\xA8\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xB3"],
        ["\xE9\x9D\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xB5"],

        ["\xA1\xC7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x95"],
        ["\xE9\x9E\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC7"],

        ["\xA1\xC8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xAE"],
        ["\xE9\x9E\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC8"],

        ["\xAA\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xBA"],
        ["\xE9\x9E\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xDC"],

        ["\xA8\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x81"],
        ["\xE9\x9F\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xB9"],

        ["\xA1\xC9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x89"],
        ["\xE9\x9F\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC9"],

        ["\xA8\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x9E"],
        ["\xE9\x9F\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xCD"],

        ["\xA1\xD1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x9B"],
        ["\xE9\x9F\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD1"],

        ["\xA1\xD2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB4"],
        ["\xE9\x9F\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD2"],

        ["\xA1\xD3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA9"],
        ["\xEF\xA9\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD3"],

        ["\xA8\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x8A"],
        ["\xE9\xA0\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xDF"],

        ["\xA8\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x9E"],
        ["\xE9\xA0\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xEB"],

        ["\xA8\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xAB"],
        ["\xE9\xA0\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xEC"],

        ["\xA1\xD4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xB0"],
        ["\xE9\xA0\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD4"],

        ["\xA1\xD5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xAA"],
        ["\xEF\xA9\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD5"],

        ["\xA8\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x92"],
        ["\xE9\xA1\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xFC"],

        ["\xA8\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x93"],
        ["\xE9\xA1\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xFD"],

        ["\xA1\xD6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x96"],
        ["\xE9\xA1\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD6"],

        ["\xA9\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x99"],
        ["\xE9\xA1\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x42"],

        ["\xC5\x6F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x9A"],
        ["\xE9\xA1\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xC5\x6F"],

        ["\xA1\xD7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7\x90"],
        ["\xEF\xA7\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD7"],

        ["\xA9\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xAC"],
        ["\xE9\xA1\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x46"],

        ["\xA9\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xBA"],
        ["\xE9\xA2\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x52"],

        ["\xA9\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x88"],
        ["\xE9\xA3\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x54"],

        ["\xA1\xD8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xA7"],
        ["\xE9\xA3\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD8"],

        ["\xA1\xD9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x98"],
        ["\xE9\xA5\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD9"],

        ["\xA9\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x82"],
        ["\xE9\xA8\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xA2"],

        ["\xA9\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x83"],
        ["\xE9\xA8\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x9F"],

        ["\xA1\xE2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xA4"],
        ["\xE9\xA8\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xE2"],

        ["\xA1\xE3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xAD"],
        ["\xE9\xA8\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xE3"],

        ["\xA9\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xAE"],
        ["\xE9\xA8\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xA8"],

        ["\xA9\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB8"],
        ["\xE9\xA8\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xA7"],

        ["\xA9\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x8A"],
        ["\xE9\xA9\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xA9"],

        ["\xA1\xE4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x92"],
        ["\xE9\xA9\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xE4"],

        ["\xA1\xE5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB6"],
        ["\xE9\xAA\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xE5"],

        ["\xA1\xE6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x81"],
        ["\xE9\xAB\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xE6"],

        ["\xA1\xE7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x83"],
        ["\xE9\xAB\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xE7"],

        ["\xA1\xE8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x8E"],
        ["\xE9\xAB\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],

        ["\xA1\xE9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x96"],
        ["\xE9\xAB\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],

        ["\xA1\x4A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xB9"],
        ["\xE9\xAB\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x4A"],

        ["\xA9\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x82"],
        ["\xE9\xAC\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xB5"],

        ["\xA9\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x88"],
        ["\xE9\xAC\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xB6"],

        ["\xA1\x5B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA0"],
        ["\xE9\xAC\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x5B"],

        ["\xA1\x5A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0\x97"],
        ["\xE4\xB0\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x5A"],

        ["\xA1\x5F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAD"],
        ["\xE9\xAC\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x5F"],

        ["\xA9\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x9E"],
        ["\xE9\xAD\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xCD"],

        ["\xA9\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB9"],
        ["\xE9\xAD\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xDE"],

        ["\xA9\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xA6"],
        ["\xE9\xAD\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xDD"],

        ["\xA9\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x84"],
        ["\xE9\xAE\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xEE"],

        ["\xA1\x6D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x8A"],
        ["\xE9\xAE\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x6D"],

        ["\xA9\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x9E"],
        ["\xE9\xAE\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xFA"],

        ["\xA1\x79",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xA7"],
        ["\xE9\xAE\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x79"],

        ["\xA1\x57",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x81"],
        ["\xE9\xAF\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x57"],

        ["\xAA\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x8E"],
        ["\xE9\xAF\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x45"],

        ["\xAA\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA5"],
        ["\xE9\xAF\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x51"],

        ["\xA1\x59",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB8"],
        ["\xE9\xAF\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x59"],

        ["\xA1\x62",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xBD"],
        ["\xE9\xAF\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x62"],

        ["\xAA\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA3"],
        ["\xE9\xB0\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x83"],

        ["\xA1\x63",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x81"],
        ["\xE9\xB1\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x63"],

        ["\xA1\x64",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x8F"],
        ["\xE9\xB1\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x64"],

        ["\xA1\x65",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x90"],
        ["\xE9\xB1\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x65"],

        ["\xAA\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x93"],
        ["\xE9\xB1\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x89"],

        ["\xAA\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA3"],
        ["\xE9\xB1\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x8C"],

        ["\xA1\x66",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA5"],
        ["\xE9\xB1\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x66"],

        ["\xAA\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB7"],
        ["\xE9\xB1\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x90"],

        ["\xAA\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x9D"],
        ["\xE9\xB4\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x96"],

        ["\xAA\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x9E"],
        ["\xE9\xB4\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x95"],

        ["\xAA\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x83"],
        ["\xE9\xB5\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x9F"],

        ["\xAA\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x87"],
        ["\xE9\xB5\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x9D"],

        ["\xA1\x67",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x92"],
        ["\xE9\xB5\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x67"],

        ["\xA1\x68",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA3"],
        ["\xE9\xB5\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x68"],

        ["\xAA\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xBC"],
        ["\xE9\xB5\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xA8"],

        ["\xA1\x69",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x8A"],
        ["\xE9\xB6\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x69"],

        ["\xAA\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x96"],
        ["\xE9\xB6\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xAD"],

        ["\xA1\x70",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x80"],
        ["\xE9\xB7\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x70"],

        ["\xA1\x71",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xAC"],
        ["\xE9\xB6\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x71"],

        ["\xA1\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBC"],
        ["\xE9\xB6\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x72"],

        ["\xA1\x73",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x97"],
        ["\xE9\xB7\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x73"],

        ["\xA1\x74",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x86\x90"],
        ["\xF0\xAA\x86\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x74"],

        ["\xA1\x75",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xA7"],
        ["\xE9\xB7\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x75"],

        ["\xA1\x76",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x87"],
        ["\xE9\xB8\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x76"],

        ["\xA1\x77",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x95"],
        ["\xE9\xB8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x77"],

        ["\xA1\x78",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xBC"],
        ["\xE9\xB9\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x78"],

        ["\xA1\x80",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x9E"],
        ["\xE9\xBA\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x80"],

        ["\xAA\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA4"],
        ["\xE9\xBA\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xB6"],

        ["\xAA\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xAC"],
        ["\xE9\xBA\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xB7"],

        ["\xA1\x8B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xAF"],
        ["\xE9\xBA\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x8B"],

        ["\xF9\x72",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xB4"],
        ["\xE9\xBA\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xF9\x72"],

        ["\xA1\x9B",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xB5"],
        ["\xE9\xBA\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x9B"],

        ["\xA1\x9C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x83"],
        ["\xE9\xBB\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x9C"],

        ["\xAA\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x90"],
        ["\xE9\xBC\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xDB"],

        ["\xAA\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xB9"],
        ["\xE9\xBC\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xDF"],

        ["\xA1\xA0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x97"],
        ["\xE9\xBD\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xA0"],

        ["\x8A\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x90"],
        ["\xE9\xBE\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x81"],

        ["\xAA\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x94"],
        ["\xE9\xBE\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xEF"],

        ["\xA1\xAB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x97"],
        ["\xE9\xBE\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xAB"],

        ["\x86\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\xA2"],
        ["\xE9\xBE\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x91"],

        ["\xA1\xB0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xB8"],
        ["\xE5\xA7\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xB0"],

        ["\xA1\xC0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x9B"],
        ["\xE5\xB1\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xC0"],

        ["\xA1\x6A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB7"],
        ["\xE5\xB9\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\x6A"],

        ["\xA1\xD0",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA6"],
        ["\xE7\x98\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xD0"],

        ["\xA1\xA1",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xAB"],
        ["\xE7\xB9\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA1\xA1"],

        ["\xB2\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x82\x89"],
        ["\xF0\xA0\x82\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x41"],

        ["\x82\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x82"],
        ["\xE4\xB8\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x41"],

        ["\xB2\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8F"],
        ["\xE4\xB8\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x42"],

        ["\xB2\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x92"],
        ["\xE4\xB8\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x43"],

        ["\xB2\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xA9"],
        ["\xE4\xB8\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x44"],

        ["\x82\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAB"],
        ["\xE4\xB8\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x53"],

        ["\x82\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAE"],
        ["\xE4\xB8\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x56"],

        ["\xB2\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x80"],
        ["\xE4\xB9\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x45"],

        ["\xB2\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x87"],
        ["\xE4\xB9\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x46"],

        ["\xB2\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x88"],
        ["\xE4\xB9\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x47"],

        ["\xB2\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x82\xA2"],
        ["\xF0\xA0\x82\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x48"],

        ["\xB2\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x91"],
        ["\xE4\xB9\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x49"],

        ["\xB2\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x90\x86"],
        ["\xE3\x90\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x51"],

        ["\xB2\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x82\xA4"],
        ["\xF0\xA0\x82\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x52"],

        ["\xB2\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x9A"],
        ["\xE4\xB9\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x53"],

        ["\xB2\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xA9"],
        ["\xE4\xB9\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x54"],

        ["\xB2\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9D"],
        ["\xE4\xBA\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x55"],

        ["\xB2\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x90\xAC"],
        ["\xE3\x90\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x56"],

        ["\xB2\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x90\xAE"],
        ["\xE3\x90\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x58"],

        ["\x82\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xB9"],
        ["\xE4\xBA\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x8C"],

        ["\xB2\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xBB"],
        ["\xE4\xBA\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x81"],

        ["\xB2\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x86\xA2"],
        ["\xF0\xA0\x86\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x82"],

        ["\xB2\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xBC"],
        ["\xE4\xBA\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x83"],

        ["\xB2\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x83"],
        ["\xE4\xBB\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x84"],

        ["\xB2\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x88"],
        ["\xE4\xBB\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x85"],

        ["\x82\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x90"],
        ["\xE4\xBB\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x90"],

        ["\xB2\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xAB"],
        ["\xE4\xBB\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x86"],

        ["\xB2\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x9A"],
        ["\xE4\xBB\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x87"],

        ["\x82\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB1"],
        ["\xE4\xBB\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x9F"],

        ["\x82\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB5"],
        ["\xE4\xBB\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xA7"],

        ["\xB2\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x96"],
        ["\xE4\xBC\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x88"],

        ["\xB2\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xA4"],
        ["\xE4\xBD\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x89"],

        ["\xB2\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB7"],
        ["\xE4\xBC\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x8A"],

        ["\x82\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xBE"],
        ["\xE4\xBC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xAA"],

        ["\x82\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x94"],
        ["\xE4\xBD\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xA9"],

        ["\xB2\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x98"],
        ["\xE4\xBD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x8C"],

        ["\xB2\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x88\x93"],
        ["\xF0\xA0\x88\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x8D"],

        ["\xB2\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB7"],
        ["\xE4\xBD\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x8E"],

        ["\x82\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB8"],
        ["\xE4\xBD\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xCB"],

        ["\xB2\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBA"],
        ["\xE4\xBD\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x8F"],

        ["\xB2\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBD"],
        ["\xE4\xBD\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x90"],

        ["\xB2\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x82"],
        ["\xE4\xBE\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x91"],

        ["\xB2\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x85"],
        ["\xE4\xBE\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x92"],

        ["\xB2\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA6"],
        ["\xE4\xBF\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x93"],

        ["\x82\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xB2"],
        ["\xE4\xBE\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xEF"],

        ["\x82\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xBE"],
        ["\xE4\xBE\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xEA"],

        ["\x82\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x85"],
        ["\xE4\xBF\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xDA"],

        ["\x82\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8B"],
        ["\xE4\xBF\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xDE"],

        ["\x82\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8F"],
        ["\xE4\xBF\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xDD"],

        ["\xB2\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x92"],
        ["\xE4\xBF\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x94"],

        ["\xB2\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x91\xAA"],
        ["\xE3\x91\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x95"],

        ["\x83\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB2"],
        ["\xE4\xBF\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x47"],

        ["\x83\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x80"],
        ["\xE5\x80\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x43"],

        ["\xB2\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x90"],
        ["\xE5\x80\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x96"],

        ["\x83\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x93"],
        ["\xE5\x80\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x42"],

        ["\x83\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x9C"],
        ["\xE5\x80\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x44"],

        ["\xB2\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x91\xA8"],
        ["\xE3\x91\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x97"],

        ["\xB2\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x8E"],
        ["\xE5\x81\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x98"],

        ["\xB2\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x93"],
        ["\xE5\x81\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x99"],

        ["\x83\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x97"],
        ["\xE5\x81\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x8A"],

        ["\x83\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xA3"],
        ["\xE5\x81\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x8D"],

        ["\x83\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xA6"],
        ["\xE5\x81\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x90"],

        ["\x83\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xAA"],
        ["\xE5\x81\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\x85"],

        ["\xB2\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xA3"],
        ["\xE5\x82\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x9A"],

        ["\xB2\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x88"],
        ["\xE5\x82\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x9D"],

        ["\xB2\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x92"],
        ["\xE5\x82\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x9E"],

        ["\xB2\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x93"],
        ["\xE5\x82\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\x9F"],

        ["\xB2\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x95"],
        ["\xE5\x82\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xA2"],

        ["\xB2\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x96"],
        ["\xE5\x82\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xA3"],

        ["\xB2\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x9C"],
        ["\xE5\x82\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xA4"],

        ["\xB2\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xAA"],
        ["\xE5\x82\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xA5"],

        ["\xB2\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x8C\xAB"],
        ["\xF0\xA0\x8C\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xA6"],

        ["\xB2\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB1"],
        ["\xE5\x82\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],

        ["\xB2\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xBA"],
        ["\xE5\x82\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xA8"],

        ["\xB2\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xBB"],
        ["\xE5\x82\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xA9"],

        ["\x83\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x84"],
        ["\xE5\x83\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xA2"],

        ["\xB2\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x87"],
        ["\xE5\x83\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xAA"],

        ["\xB2\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB3"],
        ["\xE5\x83\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],

        ["\xB2\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x8E\x81"],
        ["\xF0\xA0\x8E\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],

        ["\xB2\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8E"],
        ["\xE5\x83\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xAE"],

        ["\xB2\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x8D\xB1"],
        ["\xF0\xA0\x8D\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],

        ["\xB2\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x94"],
        ["\xE5\x83\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xBA"],

        ["\xB2\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x99"],
        ["\xE5\x83\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],

        ["\xB2\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA1"],
        ["\xE5\x83\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xBC"],

        ["\x83\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA9"],
        ["\xE5\x83\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xA6"],

        ["\xB2\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x92\x92"],
        ["\xE3\x92\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xBD"],

        ["\xB2\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x96"],
        ["\xE5\xAE\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xBE"],

        ["\xB2\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xAC"],
        ["\xE5\xAE\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],

        ["\xB2\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xA1"],
        ["\xE3\x9D\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xB2"],

        ["\xB2\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xA2"],
        ["\xE3\x9D\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xB3"],

        ["\xB2\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x8E"],
        ["\xE5\xAF\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],

        ["\xB2\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x96"],
        ["\xE5\xAF\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xB5"],

        ["\xB2\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xAC"],
        ["\xE3\x9D\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xB6"],

        ["\xB2\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xAB"],
        ["\xE3\x9D\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xB7"],

        ["\xB2\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB1"],
        ["\xE5\xAF\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xB8"],

        ["\xB2\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xBD"],
        ["\xE5\xAF\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xB9"],

        ["\xB2\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xB5"],
        ["\xE3\x9D\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xCA"],

        ["\xB2\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x83"],
        ["\xE5\xB0\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xCB"],

        ["\x88\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA9"],
        ["\xE5\xB0\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xB7"],

        ["\xB2\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xB0"],
        ["\xE5\xB0\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],

        ["\xB2\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB1\x96"],
        ["\xF0\xA1\xB1\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],

        ["\xB2\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x9F"],
        ["\xE5\xB1\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],

        ["\xB2\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA3"],
        ["\xE5\xB1\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xCF"],

        ["\xB2\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA7"],
        ["\xE5\xB1\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xDA"],

        ["\xB2\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA8"],
        ["\xE5\xB1\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],

        ["\xB2\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA9"],
        ["\xE5\xB1\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xDC"],

        ["\x88\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xB0"],
        ["\xE5\xB1\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xCD"],

        ["\xB2\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB4\xAD"],
        ["\xF0\xA1\xB4\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xDD"],

        ["\xB2\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB5\x85"],
        ["\xF0\xA1\xB5\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],

        ["\xB2\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xBC"],
        ["\xE5\xB1\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xDF"],

        ["\xB2\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB5\xB8"],
        ["\xF0\xA1\xB5\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],

        ["\xB2\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB5\xA2"],
        ["\xF0\xA1\xB5\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],

        ["\xB2\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x88"],
        ["\xE5\xB2\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xEC"],

        ["\xB2\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x8A"],
        ["\xE5\xB2\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xED"],

        ["\xB2\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\x81"],
        ["\xE3\x9F\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],

        ["\xB2\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB6\xA1"],
        ["\xF0\xA1\xB6\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xEF"],

        ["\xB2\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB6\x9C"],
        ["\xF0\xA1\xB6\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xFA"],

        ["\xB2\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA0"],
        ["\xE5\xB2\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xFB"],

        ["\xB2\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA2"],
        ["\xE5\xB2\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xFC"],

        ["\xB2\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA7"],
        ["\xE5\xB2\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xFD"],

        ["\xB2\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB6\x92"],
        ["\xF0\xA1\xB6\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],

        ["\xB3\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xAD"],
        ["\xE5\xB2\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x41"],

        ["\x88\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB5"],
        ["\xE5\xB2\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\xEB"],

        ["\xB3\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB6\xB7"],
        ["\xF0\xA1\xB6\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x42"],

        ["\x89\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x89"],
        ["\xE5\xB3\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x45"],

        ["\xB3\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB7\xA0"],
        ["\xF0\xA1\xB7\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x43"],

        ["\xB3\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB8\xB3"],
        ["\xF0\xA1\xB8\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x44"],

        ["\x89\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x86"],
        ["\xE5\xB4\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x84"],

        ["\xB3\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x90"],
        ["\xE5\xB4\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x45"],

        ["\x89\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xAB"],
        ["\xE5\xB4\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x85"],

        ["\xB3\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x9D"],
        ["\xE5\xB4\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x46"],

        ["\xB3\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA0"],
        ["\xE5\xB4\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x47"],

        ["\xB3\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA4"],
        ["\xE5\xB4\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x48"],

        ["\xB3\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA6"],
        ["\xE5\xB4\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x49"],

        ["\xB3\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xB1"],
        ["\xE5\xB4\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x51"],

        ["\xB3\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xB9"],
        ["\xE5\xB4\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x52"],

        ["\xB3\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\xA8"],
        ["\xE3\x9F\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x53"],

        ["\x89\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xA1"],
        ["\xE5\xB5\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x92"],

        ["\xB3\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xAA"],
        ["\xE5\xB5\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x54"],

        ["\xB3\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\xB4"],
        ["\xE3\x9F\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x55"],

        ["\xB3\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xB0"],
        ["\xE5\xB5\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x56"],

        ["\xB3\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xBC\x9E"],
        ["\xF0\xA1\xBC\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x58"],

        ["\xB3\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\xBD"],
        ["\xE3\x9F\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x81"],

        ["\x89\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x88"],
        ["\xE5\xB6\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\x97"],

        ["\xB3\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0\x80"],
        ["\xE3\xA0\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x82"],

        ["\x89\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x92"],
        ["\xE5\xB6\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xA5"],

        ["\x89\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x94"],
        ["\xE5\xB6\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xA3"],

        ["\xB3\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x97"],
        ["\xE5\xB6\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x83"],

        ["\xB3\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x99"],
        ["\xE5\xB6\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x84"],

        ["\xB3\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB0"],
        ["\xE5\xB6\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x85"],

        ["\xB3\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB2"],
        ["\xE5\xB6\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x86"],

        ["\xB3\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB4"],
        ["\xE5\xB6\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x87"],

        ["\xB3\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xBD\xB6"],
        ["\xF0\xA1\xBD\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x88"],

        ["\xB3\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x91"],
        ["\xE5\xB7\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x89"],

        ["\xB3\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x97"],
        ["\xE5\xB7\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x8A"],

        ["\xB3\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x98"],
        ["\xE5\xB7\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x8C"],

        ["\x89\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA0"],
        ["\xE5\xB7\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xBD"],

        ["\xB3\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xBF\xBA"],
        ["\xF0\xA1\xBF\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x8D"],

        ["\xB3\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA4"],
        ["\xE5\xB7\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x8E"],

        ["\xB3\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA9"],
        ["\xE5\xB7\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x8F"],

        ["\xB3\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0\xAF"],
        ["\xE3\xA0\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x90"],

        ["\x89\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x80"],
        ["\xE5\xB8\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xB5"],

        ["\xB3\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0\xB6"],
        ["\xE3\xA0\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x91"],

        ["\x89\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x92"],
        ["\xE5\xB8\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xCB"],

        ["\x89\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x95"],
        ["\xE5\xB8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xB9"],

        ["\xB3\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1\x80"],
        ["\xE3\xA1\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x92"],

        ["\xB3\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x9F"],
        ["\xE5\xB8\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x93"],

        ["\x89\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xAE"],
        ["\xE5\xB8\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xCD"],

        ["\xB3\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xBE"],
        ["\xE5\xB8\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x94"],

        ["\xB3\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x89"],
        ["\xE5\xB9\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x95"],

        ["\xB3\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1\x9C"],
        ["\xE3\xA1\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x96"],

        ["\xB3\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x96"],
        ["\xE5\xB9\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x97"],

        ["\xB3\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1\xA1"],
        ["\xE3\xA1\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x98"],

        ["\xB3\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xAB"],
        ["\xE5\xB9\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x99"],

        ["\xB3\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xAC"],
        ["\xE5\xB9\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x9A"],

        ["\xB3\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xAD"],
        ["\xE5\xB9\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x9D"],

        ["\xB3\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x88"],
        ["\xE5\x84\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x9E"],

        ["\xB3\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x8F\xB9"],
        ["\xF0\xA0\x8F\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\x9F"],

        ["\xB3\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x97"],
        ["\xE5\x84\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],

        ["\xB3\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x9B"],
        ["\xE5\x84\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],

        ["\xB3\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x91\x8A"],
        ["\xF0\xA0\x91\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],

        ["\xB3\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA0"],
        ["\xE5\x85\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],

        ["\xB3\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x94\x89"],
        ["\xF0\xA0\x94\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],

        ["\xB3\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB3"],
        ["\xE5\x85\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],

        ["\xB3\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x83"],
        ["\xE5\x86\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xA8"],

        ["\xB3\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8B"],
        ["\xE5\x86\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xA9"],

        ["\xB3\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x92\xBC"],
        ["\xE3\x92\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xAA"],

        ["\xB3\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x98"],
        ["\xE5\x86\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xAC"],

        ["\x85\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA3"],
        ["\xE5\x86\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x8E"],

        ["\xB3\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xAD"],
        ["\xE5\x86\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xAD"],

        ["\xB3\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x93\x87"],
        ["\xE3\x93\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xAE"],

        ["\x84\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xBC"],
        ["\xE5\x86\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x41"],

        ["\xB3\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x97\x96"],
        ["\xF0\xA0\x97\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],

        ["\xB3\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x98\xA8"],
        ["\xF0\xA0\x98\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],

        ["\xB3\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB3"],
        ["\xE5\x87\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xBB"],

        ["\x84\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB4"],
        ["\xE5\x87\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x53"],

        ["\x84\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x82"],
        ["\xE5\x88\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x54"],

        ["\xB3\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x92"],
        ["\xE5\x88\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],

        ["\x84\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x96"],
        ["\xE5\x88\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\x83"],

        ["\xB3\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x9D\x8F"],
        ["\xF0\xA0\x9D\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xBD"],

        ["\xB3\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x95"],
        ["\xE5\x89\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xBE"],

        ["\xB3\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x9C"],
        ["\xE5\x89\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],

        ["\xB3\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xAC"],
        ["\xE5\x89\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],

        ["\xB3\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB7"],
        ["\xE5\x89\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],

        ["\xB3\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x84"],
        ["\xE5\x8A\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xB4"],

        ["\xB3\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x82"],
        ["\xE5\x8A\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],

        ["\xB3\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA0\x87"],
        ["\xF0\xA0\xA0\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xB6"],

        ["\xB3\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x98"],
        ["\xE5\x8A\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xB7"],

        ["\xB3\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA0\xBA"],
        ["\xF0\xA0\xA0\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xB8"],

        ["\xB3\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA4"],
        ["\xE5\x8A\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xB9"],

        ["\xB3\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xBA"],
        ["\xE5\x8A\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xCA"],

        ["\xB3\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xBB"],
        ["\xE5\x8A\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xCB"],

        ["\xB3\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x8A"],
        ["\xE5\x8B\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xCC"],

        ["\xB3\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x94\x9F"],
        ["\xE3\x94\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],

        ["\x84\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x91"],
        ["\xE5\x8B\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xA6"],

        ["\xB3\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA2\xB9"],
        ["\xF0\xA0\xA2\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xCE"],

        ["\xB3\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB7"],
        ["\xE5\x8B\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],

        ["\x84\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x8A"],
        ["\xE5\x8C\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xCF"],

        ["\x9A\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x8B"],
        ["\xE5\x8C\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xBC"],

        ["\xB3\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB5"],
        ["\xE5\x8C\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],

        ["\xB3\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xBE"],
        ["\xE5\x8C\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xDB"],

        ["\x84\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x82"],
        ["\xE5\x8D\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xDF"],

        ["\xB3\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA5\xBC"],
        ["\xF0\xA0\xA5\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xDC"],

        ["\xB3\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA6\x9D"],
        ["\xF0\xA0\xA6\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xDD"],

        ["\xB3\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA7"],
        ["\xE5\x8D\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xDE"],

        ["\x85\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xAC"],
        ["\xE5\x8D\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x46"],

        ["\xB3\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xBA"],
        ["\xE5\x8D\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xDF"],

        ["\xB3\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA4"],
        ["\xE5\x8E\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xEA"],

        ["\xB3\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB4"],
        ["\xE5\x8E\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],

        ["\xB3\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xAB\x93"],
        ["\xF0\xA0\xAB\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],

        ["\xB3\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB7"],
        ["\xE5\x8E\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xED"],

        ["\xB3\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x80"],
        ["\xE5\x8F\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xEE"],

        ["\xB3\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xAC\x9D"],
        ["\xF0\xA0\xAC\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xEF"],

        ["\xB3\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x95\x9D"],
        ["\xE3\x95\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xFA"],

        ["\xB3\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x95\x9E"],
        ["\xE3\x95\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xFB"],

        ["\x85\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x95"],
        ["\xE5\x8F\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x8A"],

        ["\x85\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x9A"],
        ["\xE5\x8F\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\x8C"],

        ["\xB3\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x95\xA3"],
        ["\xE3\x95\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xFC"],

        ["\xB3\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB4"],
        ["\xE5\x8F\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xFD"],

        ["\xB3\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB5"],
        ["\xE5\x8F\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB3\xFE"],

        ["\xB4\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x95"],
        ["\xE5\x91\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x41"],

        ["\xB4\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA4"],
        ["\xE5\x90\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x42"],

        ["\xB4\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA8"],
        ["\xE5\x90\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x43"],

        ["\xB4\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x95\xAE"],
        ["\xE3\x95\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x44"],

        ["\xB4\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x83"],
        ["\xE5\x91\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x45"],

        ["\xB4\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xA2"],
        ["\xE5\x91\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x46"],

        ["\x85\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xA6"],
        ["\xE5\x91\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xA3"],

        ["\xB4\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xAC"],
        ["\xE5\x91\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x47"],

        ["\xB4\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8D"],
        ["\xE5\x92\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x48"],

        ["\xB4\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x95"],
        ["\xE5\x92\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x49"],

        ["\xB4\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA0"],
        ["\xE5\x92\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x51"],

        ["\xB4\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA6"],
        ["\xE5\x92\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x52"],

        ["\xB4\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAD"],
        ["\xE5\x92\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x53"],

        ["\xB4\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAE"],
        ["\xE5\x92\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x54"],

        ["\xB4\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xB7"],
        ["\xE5\x92\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x55"],

        ["\xB4\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBA"],
        ["\xE5\x92\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x56"],

        ["\x85\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBF"],
        ["\xE5\x92\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xAE"],

        ["\xB4\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x83"],
        ["\xE5\x93\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x58"],

        ["\xB4\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xB5\x85"],
        ["\xF0\xA0\xB5\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x81"],

        ["\xB4\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xAC"],
        ["\xE5\x93\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x82"],

        ["\xB4\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xAF"],
        ["\xE5\x93\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x83"],

        ["\xB4\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xB1"],
        ["\xE5\x93\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x84"],

        ["\xB4\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xB3"],
        ["\xE5\x93\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x85"],

        ["\xB4\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x80"],
        ["\xE5\x94\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x86"],

        ["\x85\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x81"],
        ["\xE5\x94\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xB3"],

        ["\x85\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x89"],
        ["\xE5\x94\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xBF"],

        ["\xB4\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xBC"],
        ["\xE5\x94\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x87"],

        ["\xB4\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x81"],
        ["\xE5\x95\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x88"],

        ["\xB4\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x96\xA6"],
        ["\xE3\x96\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x89"],

        ["\x85\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x87"],
        ["\xE5\x95\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xCA"],

        ["\x85\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x8A"],
        ["\xE5\x95\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xCE"],

        ["\xB4\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x96\xA8"],
        ["\xE3\x96\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x8A"],

        ["\x85\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xA0"],
        ["\xE5\x95\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xCB"],

        ["\x85\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xA1"],
        ["\xE5\x95\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xCD"],

        ["\xB4\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xA4"],
        ["\xE5\x95\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x8C"],

        ["\xB4\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xB7\xA1"],
        ["\xF0\xA0\xB7\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x8D"],

        ["\xB4\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xBD"],
        ["\xE5\x95\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x8E"],

        ["\xB4\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x82"],
        ["\xE5\x96\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x8F"],

        ["\xB4\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x88"],
        ["\xE5\x96\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x90"],

        ["\x85\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x91"],
        ["\xE5\x96\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xDE"],

        ["\xB4\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x97\x85"],
        ["\xE3\x97\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x91"],

        ["\xB4\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x92"],
        ["\xE5\x97\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x92"],

        ["\xB4\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xBA\x95"],
        ["\xF0\xA0\xBA\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x93"],

        ["\xB4\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xB9\xAD"],
        ["\xF0\xA0\xB9\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x94"],

        ["\xB4\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xBF"],
        ["\xE5\x96\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x95"],

        ["\xB4\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x89"],
        ["\xE5\x97\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x96"],

        ["\xB4\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x8C"],
        ["\xE5\x97\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x97"],

        ["\xB4\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x91"],
        ["\xE5\x97\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x98"],

        ["\xB4\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x9D"],
        ["\xE5\x97\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x99"],

        ["\xB4\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x97\x9A"],
        ["\xE3\x97\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x9A"],

        ["\xB4\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xA2"],
        ["\xE5\x97\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x9D"],

        ["\xB4\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xB9\xA4"],
        ["\xF0\xA0\xB9\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x9E"],

        ["\x85\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xA9"],
        ["\xE5\x97\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x85\xFB"],

        ["\xB4\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xA8"],
        ["\xE5\x98\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\x9F"],

        ["\xB4\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xBD\x9F"],
        ["\xF0\xA0\xBD\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],

        ["\xB4\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x87"],
        ["\xE5\x98\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xA3"],

        ["\x86\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x90"],
        ["\xE5\x98\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x44"],

        ["\xB4\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB0"],
        ["\xE5\x98\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xA4"],

        ["\xB4\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB7"],
        ["\xE5\x98\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xA5"],

        ["\xB4\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x97\xB4"],
        ["\xE3\x97\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xA6"],

        ["\x86\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xBD"],
        ["\xE5\x98\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x53"],

        ["\x86\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xBF"],
        ["\xE5\x98\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x55"],

        ["\xB4\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x80"],
        ["\xE5\x99\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xA7"],

        ["\xB4\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x87"],
        ["\xE5\x99\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],

        ["\xB4\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x9E"],
        ["\xE5\x99\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xA9"],

        ["\xB4\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xA0"],
        ["\xE5\x99\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],

        ["\xB4\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAD"],
        ["\xE5\x99\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],

        ["\xB4\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x98\x85"],
        ["\xE3\x98\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],

        ["\xB4\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x88"],
        ["\xE5\x9A\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],

        ["\xB4\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x8C"],
        ["\xE5\x9A\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xAF"],

        ["\xB4\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x95"],
        ["\xE5\x9A\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],

        ["\xB4\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x9A"],
        ["\xE5\x9A\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xBB"],

        ["\xB4\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x9D"],
        ["\xE5\x9A\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xBC"],

        ["\xB4\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA8"],
        ["\xE5\x9A\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xBD"],

        ["\x86\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xAD"],
        ["\xE5\x9A\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x8F"],

        ["\xB4\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xB2"],
        ["\xE5\x9A\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xBE"],

        ["\xB4\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x85"],
        ["\xE5\x9B\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xBF"],

        ["\x86\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x8D"],
        ["\xE5\x9B\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\x92"],

        ["\xB4\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x9F"],
        ["\xE5\x9B\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xB2"],

        ["\xB4\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xA8"],
        ["\xE5\x9B\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],

        ["\xB4\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB6"],
        ["\xE5\x9B\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],

        ["\xB4\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB7"],
        ["\xE5\x9B\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xB5"],

        ["\xB4\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x88\x81"],
        ["\xF0\xA1\x88\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xB6"],

        ["\xB4\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x95"],
        ["\xE5\x9C\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xB7"],

        ["\xB4\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA3"],
        ["\xE5\x9C\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xB8"],

        ["\xB4\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x89\x95"],
        ["\xF0\xA1\x89\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],

        ["\xB4\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA9"],
        ["\xE5\x9C\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xCA"],

        ["\xB4\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x89\xBB"],
        ["\xF0\xA1\x89\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xCB"],

        ["\xB4\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x85"],
        ["\xE5\x9D\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],

        ["\xB4\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x86"],
        ["\xE5\x9D\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xCD"],

        ["\x86\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8C"],
        ["\xE5\x9D\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xA8"],

        ["\xB4\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8D"],
        ["\xE5\x9D\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xCE"],

        ["\xB4\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x89\xB4"],
        ["\xF0\xA1\x89\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xCF"],

        ["\xB4\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA8"],
        ["\xE5\x9D\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xDA"],

        ["\xB4\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xAF"],
        ["\xE5\x9D\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xDB"],

        ["\xB4\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB3"],
        ["\xE5\x9D\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xDC"],

        ["\xB4\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB4"],
        ["\xE5\x9D\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xDD"],

        ["\xB4\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB5"],
        ["\xE5\x9D\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xDE"],

        ["\x86\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xBB"],
        ["\xE5\x9D\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xAF"],

        ["\xB4\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8B\xA4"],
        ["\xF0\xA1\x8B\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xDF"],

        ["\xB4\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8B\x97"],
        ["\xF0\xA1\x8B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xEA"],

        ["\x86\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x9A"],
        ["\xE5\x9E\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xB2"],

        ["\xB4\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x9D"],
        ["\xE5\x9E\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xEB"],

        ["\xB4\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x9E"],
        ["\xE5\x9E\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],

        ["\xB4\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA8"],
        ["\xE5\x9E\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],

        ["\xB4\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x97"],
        ["\xE5\x9F\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xEE"],

        ["\xB4\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8B\xBD"],
        ["\xF0\xA1\x8B\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],

        ["\xB4\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x8C"],
        ["\xE5\x9F\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xFA"],

        ["\xB4\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8C\xB6"],
        ["\xF0\xA1\x8C\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xFB"],

        ["\xB4\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8D\x84"],
        ["\xF0\xA1\x8D\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xFC"],

        ["\x86\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x9E"],
        ["\xE5\x9F\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xDA"],

        ["\xB4\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xA6"],
        ["\xE5\x9F\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xFD"],

        ["\xB4\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB0"],
        ["\xE5\x9F\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB4\xFE"],

        ["\xB5\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x99\x8A"],
        ["\xE3\x99\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x41"],

        ["\x86\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB8"],
        ["\xE5\x9F\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xCB"],

        ["\xB5\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBB"],
        ["\xE5\x9F\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x42"],

        ["\xB5\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBD"],
        ["\xE5\x9F\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x43"],

        ["\xB5\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x84"],
        ["\xE5\xA0\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x44"],

        ["\x86\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x9E"],
        ["\xE5\xA0\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xDF"],

        ["\x86\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xA0"],
        ["\xE5\xA0\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xDE"],

        ["\xB5\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xA7"],
        ["\xE5\xA0\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x45"],

        ["\xB5\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB2"],
        ["\xE5\xA0\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x46"],

        ["\x86\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB9"],
        ["\xE5\xA0\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xEE"],

        ["\xB5\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8F\x84"],
        ["\xF0\xA1\x8F\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x47"],

        ["\xB5\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x89"],
        ["\xE5\xA1\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x48"],

        ["\xB5\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x8C"],
        ["\xE5\xA1\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x49"],

        ["\xB5\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA7"],
        ["\xE5\xA1\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x51"],

        ["\xB5\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x8A"],
        ["\xE5\xA2\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x52"],

        ["\xB5\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x8B"],
        ["\xE5\xA2\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x53"],

        ["\xB5\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x8D"],
        ["\xE5\xA2\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x54"],

        ["\x87\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x8F"],
        ["\xE5\xA2\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x46"],

        ["\x86\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x90"],
        ["\xE5\xA2\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xFD"],

        ["\xB5\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x94"],
        ["\xE5\xA2\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x55"],

        ["\xB5\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x9D"],
        ["\xE5\xA2\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x56"],

        ["\xB5\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xAA"],
        ["\xE5\xA2\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x58"],

        ["\x87\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB1"],
        ["\xE5\xA2\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x56"],

        ["\xB5\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x91\xAD"],
        ["\xF0\xA1\x91\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x81"],

        ["\xB5\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x83"],
        ["\xE5\xA3\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x82"],

        ["\xB5\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x8D"],
        ["\xE5\xA3\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x83"],

        ["\xB5\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA2"],
        ["\xE5\xA3\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x84"],

        ["\xB5\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB3"],
        ["\xE5\xA3\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x85"],

        ["\xB5\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB4"],
        ["\xE5\xA3\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x86"],

        ["\xB5\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x85"],
        ["\xE5\xA4\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x87"],

        ["\x87\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x86"],
        ["\xE5\xA4\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x87"],

        ["\xB5\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8D"],
        ["\xE5\xA4\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x88"],

        ["\xB5\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x94"],
        ["\xE5\xA4\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x89"],

        ["\x87\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA4"],
        ["\xE5\xA4\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\x95"],

        ["\xB5\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x97\x97"],
        ["\xF0\xA1\x97\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x8A"],

        ["\xB5\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9A\x91"],
        ["\xE3\x9A\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x8C"],

        ["\xB5\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xBD"],
        ["\xE5\xA4\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x8D"],

        ["\xB5\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9A\x99"],
        ["\xE3\x9A\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x8E"],

        ["\xB5\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x86"],
        ["\xE5\xA5\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x8F"],

        ["\xB5\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9A\x96"],
        ["\xE3\x9A\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x90"],

        ["\xB5\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB0\xA9"],
        ["\xF0\xA6\xB0\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x91"],

        ["\xB5\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x9F"],
        ["\xE5\xA5\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x92"],

        ["\xB5\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x99\x87"],
        ["\xF0\xA1\x99\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x93"],

        ["\x87\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB5"],
        ["\xE5\xA5\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xAE"],

        ["\xB5\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB6"],
        ["\xE5\xA5\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x94"],

        ["\xB5\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xBC"],
        ["\xE5\xA5\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x95"],

        ["\x87\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x9F"],
        ["\xE5\xA6\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xBF"],

        ["\xB5\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xAE"],
        ["\xE5\xA6\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x96"],

        ["\xB5\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xBC"],
        ["\xE5\xA6\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x97"],

        ["\x87\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x88"],
        ["\xE5\xA7\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xB8"],

        ["\xB5\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x8D"],
        ["\xE5\xA7\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x98"],

        ["\x87\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x9E"],
        ["\xE5\xA7\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xCE"],

        ["\xB5\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA3"],
        ["\xE5\xA7\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x99"],

        ["\x87\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA4"],
        ["\xE5\xA7\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xCB"],

        ["\xB5\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA7"],
        ["\xE5\xA7\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x9A"],

        ["\x87\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xAE"],
        ["\xE5\xA7\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xCC"],

        ["\xB5\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x9C\x86"],
        ["\xF0\xA1\x9C\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x9D"],

        ["\xB5\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x9D\x82"],
        ["\xF0\xA1\x9D\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x9E"],

        ["\xB5\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x9B\x8F"],
        ["\xE3\x9B\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\x9F"],

        ["\xB5\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x8C"],
        ["\xE5\xA8\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xA2"],

        ["\xB5\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x8D"],
        ["\xE5\xA8\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],

        ["\xB5\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x97"],
        ["\xE5\xA8\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],

        ["\xB5\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA7"],
        ["\xE5\xA8\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xA5"],

        ["\xB5\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xAD"],
        ["\xE5\xA8\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],

        ["\x87\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x95"],
        ["\xE5\xA9\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xDF"],

        ["\x87\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xA5"],
        ["\xE5\xA9\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xDE"],

        ["\xB5\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xBA"],
        ["\xE5\xA9\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],

        ["\xB5\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x8B"],
        ["\xE5\xAA\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xA8"],

        ["\x87\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9C"],
        ["\xE5\xAA\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xFE"],

        ["\x87\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9F"],
        ["\xE5\xAA\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x87\xED"],

        ["\xB5\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xA0"],
        ["\xE5\xAA\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xA9"],

        ["\xB5\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xA2"],
        ["\xE5\xAA\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xAA"],

        ["\xB5\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xB1"],
        ["\xE5\xAA\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xAC"],

        ["\xB5\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xB3"],
        ["\xE5\xAA\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],

        ["\xB5\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xB5"],
        ["\xE5\xAA\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xAE"],

        ["\x88\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBA"],
        ["\xE5\xAA\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x44"],

        ["\xB5\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBF"],
        ["\xE5\xAA\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xAF"],

        ["\xB5\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x9A"],
        ["\xE5\xAB\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],

        ["\xB5\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x9C"],
        ["\xE5\xAB\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],

        ["\xB5\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA0"],
        ["\xE5\xAB\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],

        ["\xB5\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA5"],
        ["\xE5\xAB\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],

        ["\xB5\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xB0"],
        ["\xE5\xAB\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],

        ["\xB5\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xAE"],
        ["\xE5\xAB\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xBF"],

        ["\x88\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xB5"],
        ["\xE5\xAB\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x54"],

        ["\xB5\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x80"],
        ["\xE5\xAC\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xB2"],

        ["\x88\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x88"],
        ["\xE5\xAC\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x53"],

        ["\xB5\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x97"],
        ["\xE5\xAC\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xB3"],

        ["\x88\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xB4"],
        ["\xE5\xAC\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x55"],

        ["\xB5\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xAD"],
        ["\xE5\xAC\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xB4"],

        ["\x88\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x8C"],
        ["\xE5\xAD\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x83"],

        ["\xB5\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x92"],
        ["\xE5\xAD\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xB5"],

        ["\xB5\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA8"],
        ["\xE5\xAD\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xB6"],

        ["\xB5\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xAF"],
        ["\xE5\xAD\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xB7"],

        ["\xB5\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xBC"],
        ["\xE5\xAD\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xB8"],

        ["\x88\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xBF"],
        ["\xE5\xAD\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x8D"],

        ["\x88\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x81"],
        ["\xE5\xAE\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x88\x8E"],

        ["\xB5\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x84"],
        ["\xE5\xAE\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xB9"],

        ["\xB5\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xA7\x83"],
        ["\xF0\xA1\xA7\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],

        ["\xB5\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xAE"],
        ["\xE5\xB9\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xCB"],

        ["\xB5\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x85\xBB"],
        ["\xF0\xA2\x85\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],

        ["\xB5\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xA5"],
        ["\xE5\xBA\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xCD"],

        ["\xB5\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xAA"],
        ["\xE5\xBA\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],

        ["\xB5\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xAC"],
        ["\xE5\xBA\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],

        ["\xB5\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB9"],
        ["\xE5\xBA\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],

        ["\xB5\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xBF"],
        ["\xE5\xBA\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xDB"],

        ["\xB5\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x86"],
        ["\xE5\xBB\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],

        ["\xB5\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x92"],
        ["\xE5\xBB\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xDD"],

        ["\xB5\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x99"],
        ["\xE5\xBB\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xDE"],

        ["\xB5\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x8C\x9E"],
        ["\xF0\xA2\x8C\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],

        ["\xB5\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBD"],
        ["\xE5\xBB\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],

        ["\x8A\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x88"],
        ["\xE5\xBC\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x89"],

        ["\x82\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8E"],
        ["\xE5\xBC\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\x47"],

        ["\x8A\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9C"],
        ["\xE5\xBC\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x8F"],

        ["\xB5\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x8E\xAD"],
        ["\xF0\xA2\x8E\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],

        ["\xB5\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9E"],
        ["\xE5\xBC\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],

        ["\xB5\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x87"],
        ["\xE5\xBD\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xED"],

        ["\xB5\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA3"],
        ["\xE5\xBD\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],

        ["\xB5\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB2"],
        ["\xE5\xBD\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xEF"],

        ["\xB5\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xBE"],
        ["\xE5\xBD\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],

        ["\xB5\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x8F"],
        ["\xE5\xBE\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],

        ["\xB5\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA2"],
        ["\xE5\xBE\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xFC"],

        ["\xB5\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA4"],
        ["\xE5\xBE\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xFD"],

        ["\xB5\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB8"],
        ["\xE5\xBE\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB5\xFE"],

        ["\x8A\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x84"],
        ["\xE5\xBF\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xDA"],

        ["\xB6\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3\xBA"],
        ["\xE3\xA3\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x41"],

        ["\xB6\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x87"],
        ["\xE5\xBF\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x42"],

        ["\xB6\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x8B"],
        ["\xE5\xBF\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x43"],

        ["\x8A\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x92"],
        ["\xE5\xBF\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xDF"],

        ["\xB6\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x93"],
        ["\xE5\xBF\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x44"],

        ["\x8A\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x94"],
        ["\xE5\xBF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xDD"],

        ["\x8A\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA2"],
        ["\xE5\xBF\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xEE"],

        ["\x8A\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xAE"],
        ["\xE5\xBF\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xEA"],

        ["\x8A\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xAF"],
        ["\xE5\xBF\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\xED"],

        ["\xB6\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB3"],
        ["\xE5\xBF\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x45"],

        ["\xB6\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xBC"],
        ["\xE5\xBF\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x46"],

        ["\xB6\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4\x97"],
        ["\xE3\xA4\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x47"],

        ["\x8C\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x97"],
        ["\xE6\x80\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x44"],

        ["\xB6\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA2"],
        ["\xE6\x80\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x48"],

        ["\xB6\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA4"],
        ["\xE6\x80\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x49"],

        ["\xB6\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4\x9A"],
        ["\xE3\xA4\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x51"],

        ["\xB6\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x8C"],
        ["\xE6\x81\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x52"],

        ["\x84\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xBF"],
        ["\xE6\x81\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xAA"],

        ["\xB6\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x95"],
        ["\xE6\x82\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x53"],

        ["\xB6\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA8"],
        ["\xE6\x82\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x54"],

        ["\xB6\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x9B\xB3"],
        ["\xF0\xA2\x9B\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x55"],

        ["\x8C\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB0"],
        ["\xE6\x82\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x93"],

        ["\x8C\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB1"],
        ["\xE6\x82\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x8F"],

        ["\xB6\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xBE"],
        ["\xE6\x82\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x56"],

        ["\xB6\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x88"],
        ["\xE6\x83\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x58"],

        ["\xB6\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x99"],
        ["\xE6\x83\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x81"],

        ["\xB6\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9B"],
        ["\xE6\x83\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x82"],

        ["\xB6\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xAE"],
        ["\xE6\x83\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x83"],

        ["\xB6\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB5"],
        ["\xE6\x83\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x84"],

        ["\xB6\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x90"],
        ["\xE6\x84\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x85"],

        ["\x8C\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x92"],
        ["\xE6\x84\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x9E"],

        ["\x8C\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x93"],
        ["\xE6\x84\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\x9F"],

        ["\xB6\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x99"],
        ["\xE6\x84\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x86"],

        ["\x8C\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9E"],
        ["\xE6\x84\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xA2"],

        ["\xB6\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBA"],
        ["\xE6\x84\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x87"],

        ["\xB6\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5\xAF"],
        ["\xE3\xA5\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x88"],

        ["\xB6\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x81"],
        ["\xE6\x85\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x89"],

        ["\xB6\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x86"],
        ["\xE6\x85\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x8A"],

        ["\xB6\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA0"],
        ["\xE6\x85\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x8C"],

        ["\x8C\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xBC"],
        ["\xE6\x85\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xBF"],

        ["\xB6\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xA1\x9B"],
        ["\xF0\xA2\xA1\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x8D"],

        ["\xB6\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x92"],
        ["\xE6\x86\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x8E"],

        ["\x8C\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x93"],
        ["\xE6\x86\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xCB"],

        ["\x8C\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x97"],
        ["\xE6\x86\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xB9"],

        ["\xB6\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA5"],
        ["\xE6\x86\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x8F"],

        ["\x8C\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA8"],
        ["\xE6\x86\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xB8"],

        ["\x8C\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xAD"],
        ["\xE6\x86\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xCA"],

        ["\xB6\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xA2\xAB"],
        ["\xF0\xA2\xA2\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x90"],

        ["\x8C\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x95"],
        ["\xE6\x87\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xDC"],

        ["\xB6\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x9D"],
        ["\xE6\x87\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x91"],

        ["\x8C\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x9F"],
        ["\xE6\x87\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xDD"],

        ["\xB6\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB5"],
        ["\xE6\x87\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x92"],

        ["\xB6\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xA6\x8F"],
        ["\xF0\xA2\xA6\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x93"],

        ["\xB6\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x95"],
        ["\xE6\x88\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x94"],

        ["\xB6\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA3"],
        ["\xE6\x88\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x95"],

        ["\x8C\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA9"],
        ["\xE6\x88\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8C\xFD"],

        ["\xB6\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x86"],
        ["\xE6\x89\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x96"],

        ["\x8D\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x8C"],
        ["\xE6\x89\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x45"],

        ["\x8D\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x91"],
        ["\xE6\x89\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x46"],

        ["\xB6\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x92"],
        ["\xE6\x89\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x97"],

        ["\xB6\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA1"],
        ["\xE6\x89\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x98"],

        ["\xB6\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA4"],
        ["\xE6\x89\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x99"],

        ["\xB6\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xBB"],
        ["\xE6\x89\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x9A"],

        ["\xB6\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xAD"],
        ["\xE6\x89\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x9D"],

        ["\xB6\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xB3"],
        ["\xE6\x89\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x9E"],

        ["\xB6\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x99"],
        ["\xE6\x8A\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\x9F"],

        ["\x8D\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x95"],
        ["\xE6\x8B\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x53"],

        ["\xB6\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAA\xB8"],
        ["\xF0\xA2\xAA\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],

        ["\x8F\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xBD"],
        ["\xE6\x8B\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x87"],

        ["\xB6\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x83"],
        ["\xE6\x8C\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xA3"],

        ["\xB6\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x8D"],
        ["\xE6\x8C\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],

        ["\xB6\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x90"],
        ["\xE6\x8C\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],

        ["\xB6\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAD\x8F"],
        ["\xF0\xA2\xAD\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xA6"],

        ["\xB6\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAD\x90"],
        ["\xF0\xA2\xAD\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xA7"],

        ["\xB6\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xB2"],
        ["\xE6\x8C\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],

        ["\x8A\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xB5"],
        ["\xE6\x8C\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x8C"],

        ["\xB6\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBB"],
        ["\xE6\x8C\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],

        ["\xB6\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBC"],
        ["\xE6\x8C\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xAA"],

        ["\xB6\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x81"],
        ["\xE6\x8D\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],

        ["\x8D\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x84"],
        ["\xE6\x8D\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x89"],

        ["\x8D\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x8E"],
        ["\xE6\x8D\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x8E"],

        ["\xB6\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAD\x86"],
        ["\xF0\xA2\xAD\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],

        ["\xB6\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x99"],
        ["\xE6\x8D\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],

        ["\xB6\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xB0\x9D"],
        ["\xF0\xA2\xB0\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xAF"],

        ["\xB6\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAE\xA6"],
        ["\xF0\xA2\xAE\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xBA"],

        ["\xB6\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xAC"],
        ["\xE6\x8D\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],

        ["\x8D\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x84"],
        ["\xE6\x8E\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x95"],

        ["\xB6\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x99"],
        ["\xE6\x8E\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],

        ["\xB6\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xB0\xA4"],
        ["\xF0\xA2\xB0\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],

        ["\xB6\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x94"],
        ["\xE6\x8E\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],

        ["\xB6\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xBD"],
        ["\xE6\x8E\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xBF"],

        ["\xB6\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB7"],
        ["\xE6\x8F\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],

        ["\xB6\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x94"],
        ["\xE6\x8F\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],

        ["\xB6\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x95"],
        ["\xE6\x8F\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],

        ["\x8A\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x9C"],
        ["\xE6\x8F\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8A\x8D"],

        ["\xB6\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA0"],
        ["\xE6\x8F\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xB5"],

        ["\xB6\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xAB"],
        ["\xE6\x8F\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xB6"],

        ["\xB6\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xAC"],
        ["\xE6\x8F\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xB7"],

        ["\xB6\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB2"],
        ["\xE6\x8F\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xB8"],

        ["\x8D\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x89"],
        ["\xE6\x90\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xA8"],

        ["\xB6\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x9E"],
        ["\xE6\x90\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xB9"],

        ["\x8D\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA5"],
        ["\xE6\x90\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xAA"],

        ["\xB6\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA9"],
        ["\xE6\x90\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xCA"],

        ["\xB6\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xAF"],
        ["\xE6\x90\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xCB"],

        ["\xB6\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x9A"],
        ["\xE6\x91\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],

        ["\xB6\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x9B"],
        ["\xE6\x91\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xCD"],

        ["\xB6\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x9D"],
        ["\xE6\x91\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xCE"],

        ["\x8D\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xB3"],
        ["\xE6\x91\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xAE"],

        ["\xB6\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xBD"],
        ["\xE6\x91\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],

        ["\xB6\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x87"],
        ["\xE6\x92\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],

        ["\xB6\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x91"],
        ["\xE6\x92\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xDB"],

        ["\xB6\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x9F"],
        ["\xE6\x92\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xDC"],

        ["\xB6\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8B"],
        ["\xE6\x93\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xDD"],

        ["\xB6\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8C"],
        ["\xE6\x93\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],

        ["\xB6\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x95"],
        ["\xE6\x93\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xDF"],

        ["\x8D\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x97"],
        ["\xE6\x93\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xB3"],

        ["\xB6\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xB7\xA1"],
        ["\xF0\xA2\xB7\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xEA"],

        ["\xB6\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA4"],
        ["\xE6\x93\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],

        ["\xB6\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA5"],
        ["\xE6\x93\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],

        ["\xB6\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBF"],
        ["\xE6\x93\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],

        ["\x8D\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x84"],
        ["\xE6\x94\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xCA"],

        ["\xB6\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9\xAE"],
        ["\xE3\xA9\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],

        ["\xB6\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x8F"],
        ["\xE6\x94\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xEF"],

        ["\x8D\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x94"],
        ["\xE6\x94\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xCC"],

        ["\xB6\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x96"],
        ["\xE6\x94\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],

        ["\xB6\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9\xB3"],
        ["\xE3\xA9\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xFB"],

        ["\xB6\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x9E"],
        ["\xE6\x94\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xFC"],

        ["\xB6\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB2"],
        ["\xE6\x94\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],

        ["\xB6\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x84"],
        ["\xE6\x95\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],

        ["\xB7\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x94"],
        ["\xE6\x95\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x41"],

        ["\xB7\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xAB"],
        ["\xE6\x95\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x42"],

        ["\xB7\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xBA"],
        ["\xE6\x95\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x43"],

        ["\x8D\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x81"],
        ["\xE6\x96\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\xEF"],

        ["\xB7\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x84"],
        ["\xE6\x96\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x44"],

        ["\xB7\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x85"],
        ["\xE6\x96\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x45"],

        ["\xB7\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x8A"],
        ["\xE6\x96\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x46"],

        ["\xB7\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB2"],
        ["\xE6\x96\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x47"],

        ["\xB7\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB5"],
        ["\xE6\x96\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x48"],

        ["\xB7\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB8"],
        ["\xE6\x96\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x49"],

        ["\x8E\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xBF"],
        ["\xE6\x96\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x51"],

        ["\x8E\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x82"],
        ["\xE6\x97\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x53"],

        ["\xB7\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x89"],
        ["\xE6\x97\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x51"],

        ["\xB7\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x94"],
        ["\xE6\x97\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x52"],

        ["\xB7\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB\x96"],
        ["\xE3\xAB\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x53"],

        ["\x8E\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xB2"],
        ["\xE6\x97\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x83"],

        ["\x8E\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xB9"],
        ["\xE6\x97\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x88"],

        ["\xB7\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xBC"],
        ["\xE6\x97\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x54"],

        ["\x8E\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x84"],
        ["\xE6\x98\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x89"],

        ["\x8E\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x88"],
        ["\xE6\x98\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x8C"],

        ["\x8E\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA1"],
        ["\xE6\x98\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\x97"],

        ["\xB7\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAA"],
        ["\xE6\x98\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x55"],

        ["\x8E\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x85"],
        ["\xE6\x99\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xA2"],

        ["\x8E\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x91"],
        ["\xE6\x99\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xA3"],

        ["\xB7\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x8E"],
        ["\xE6\x99\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x56"],

        ["\xB7\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB\xAA"],
        ["\xE3\xAB\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x58"],

        ["\xB7\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x87\x83"],
        ["\xF0\xA3\x87\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x81"],

        ["\x8E\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9B"],
        ["\xE6\x99\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xBD"],

        ["\xB7\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA3"],
        ["\xE6\x99\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x82"],

        ["\xB7\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x87\xB5"],
        ["\xF0\xA3\x87\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x83"],

        ["\xB7\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x86\xB6"],
        ["\xF0\xA3\x86\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x84"],

        ["\x8E\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAA"],
        ["\xE6\x99\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xCB"],

        ["\x8E\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAB"],
        ["\xE6\x99\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xCC"],

        ["\xB7\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAC"],
        ["\xE6\x99\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x85"],

        ["\xB7\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAD"],
        ["\xE6\x99\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x86"],

        ["\xB7\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xBB"],
        ["\xE6\x99\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x87"],

        ["\xB7\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x80"],
        ["\xE6\x9A\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x88"],

        ["\xB7\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x90"],
        ["\xE6\x9A\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x89"],

        ["\x8E\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x92"],
        ["\xE6\x9A\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xDD"],

        ["\xB7\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC\x8E"],
        ["\xE3\xAC\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x8A"],

        ["\xB7\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xAD"],
        ["\xE6\x9A\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x8C"],

        ["\x8E\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB1"],
        ["\xE6\x9A\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xFE"],

        ["\x8F\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB5"],
        ["\xE6\x9A\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x43"],

        ["\xB7\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC\x9A"],
        ["\xE3\xAC\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x8D"],

        ["\xB7\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC\x9C"],
        ["\xE3\xAC\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x8E"],

        ["\xB7\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xAC"],
        ["\xE6\x9B\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x8F"],

        ["\xB7\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB\x97"],
        ["\xE3\xAB\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x90"],

        ["\xB7\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x81"],
        ["\xE6\x9C\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x91"],

        ["\x8F\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x85"],
        ["\xE6\x9C\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x89"],

        ["\xB7\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x92"],
        ["\xE6\x9C\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x92"],

        ["\xB7\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8D\xB2"],
        ["\xF0\xA3\x8D\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x93"],

        ["\xB7\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x99"],
        ["\xE6\x9C\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x94"],

        ["\xB7\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x93"],
        ["\xF0\xA3\x8F\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x95"],

        ["\xB7\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x92"],
        ["\xF0\xA3\x8F\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x96"],

        ["\x8F\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x8C"],
        ["\xE6\x9D\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x94"],

        ["\xB7\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x8D"],
        ["\xE6\x9D\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x97"],

        ["\xB7\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x94"],
        ["\xE6\x9D\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x98"],

        ["\x8F\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x9D"],
        ["\xE6\x9D\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\x98"],

        ["\xB7\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x90"],
        ["\xF0\xA3\x8F\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x99"],

        ["\xB7\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\xA4"],
        ["\xF0\xA3\x8F\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x9A"],

        ["\xB7\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x95"],
        ["\xF0\xA3\x8F\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x9D"],

        ["\xB7\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB4"],
        ["\xE6\x9D\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x9E"],

        ["\x8F\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB6"],
        ["\xE6\x9D\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xAD"],

        ["\xB7\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x9A"],
        ["\xF0\xA3\x8F\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\x9F"],

        ["\xB7\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x92"],
        ["\xE6\x9E\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xA2"],

        ["\xB7\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x9F"],
        ["\xF0\xA3\x8F\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],

        ["\xB7\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xA3"],
        ["\xE8\x8D\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xA4"],

        ["\xB7\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x90"],
        ["\xE6\xA0\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xA5"],

        ["\xB7\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB0"],
        ["\xE6\x9E\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],

        ["\xB7\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB2"],
        ["\xE6\x9E\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xA7"],

        ["\xB7\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x83"],
        ["\xE6\x9F\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],

        ["\xB7\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x88"],
        ["\xE6\x9F\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xA9"],

        ["\xB7\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x92"],
        ["\xE6\x9F\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xAA"],

        ["\x8F\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x99"],
        ["\xE6\x9F\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xBB"],

        ["\xB7\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x9B"],
        ["\xE6\x9F\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xAC"],

        ["\xB7\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB0"],
        ["\xE6\x9F\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xAD"],

        ["\x8F\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB7"],
        ["\xE6\x9F\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xB2"],

        ["\xB7\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x91\x8A"],
        ["\xF0\xA3\x91\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],

        ["\xB7\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x91\x91"],
        ["\xF0\xA3\x91\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],

        ["\xB7\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x91\x8B"],
        ["\xF0\xA3\x91\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],

        ["\xB7\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x98"],
        ["\xE6\xA0\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xBB"],

        ["\xB7\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x9F"],
        ["\xE6\xA0\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xBC"],

        ["\xB7\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xAD"],
        ["\xE6\xA0\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xBD"],

        ["\xB7\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x91\xA5"],
        ["\xF0\xA3\x91\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xBE"],

        ["\xB7\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB3"],
        ["\xE6\xA0\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xBF"],

        ["\x8F\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xBB"],
        ["\xE6\xA0\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xCF"],

        ["\xB7\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xBE"],
        ["\xE6\xA0\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],

        ["\xB7\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x85"],
        ["\xE6\xA1\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],

        ["\xB7\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x89"],
        ["\xE6\xA1\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],

        ["\x84\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x8C"],
        ["\xE6\xA1\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x84\xEF"],

        ["\xB7\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x95"],
        ["\xE6\xA1\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xB5"],

        ["\xB7\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x97"],
        ["\xE6\xA1\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],

        ["\xB7\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD\xB7"],
        ["\xE3\xAD\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],

        ["\xB7\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xAB"],
        ["\xE6\xA1\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],

        ["\xB7\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xAE"],
        ["\xE6\xA1\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xB9"],

        ["\xB7\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xBA"],
        ["\xE6\xA1\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xCA"],

        ["\xB7\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xBC"],
        ["\xE6\xA1\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],

        ["\xB7\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x82"],
        ["\xE6\xA2\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xCC"],

        ["\xB7\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x90"],
        ["\xE6\xA2\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xCD"],

        ["\x8F\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x96"],
        ["\xE6\xA2\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xFB"],

        ["\xB7\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD\xAD"],
        ["\xE3\xAD\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],

        ["\xB7\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x98"],
        ["\xE6\xA2\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],

        ["\xB7\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x99"],
        ["\xE6\xA2\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xDA"],

        ["\x90\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9A"],
        ["\xE6\xA2\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x45"],

        ["\xB7\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9C"],
        ["\xE6\xA2\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],

        ["\x90\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xAA"],
        ["\xE6\xA2\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x43"],

        ["\xB7\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xAB"],
        ["\xE6\xA2\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],

        ["\xB7\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB4"],
        ["\xE6\xA2\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xDD"],

        ["\xB7\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xBB"],
        ["\xE6\xA2\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],

        ["\xB7\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xBB"],
        ["\xE6\xA3\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],

        ["\xB7\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x93\xA4"],
        ["\xF0\xA3\x93\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],

        ["\xB7\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x95\x9A"],
        ["\xF0\xA3\x95\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],

        ["\xB7\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x83"],
        ["\xE6\xA3\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],

        ["\xB7\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x85"],
        ["\xE6\xA3\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xED"],

        ["\xB7\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8C"],
        ["\xE6\xA3\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],

        ["\x90\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x96"],
        ["\xE6\xA3\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x53"],

        ["\x90\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x99"],
        ["\xE6\xA3\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x81"],

        ["\xB7\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA4"],
        ["\xE6\xA3\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],

        ["\xB7\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA5"],
        ["\xE6\xA3\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xFA"],

        ["\x90\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xAC"],
        ["\xE6\xA3\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x51"],

        ["\xB7\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB7"],
        ["\xE6\xA3\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],

        ["\xB7\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x83"],
        ["\xE6\xA4\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xFC"],

        ["\xB7\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x87"],
        ["\xE6\xA4\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],

        ["\xB7\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\x87"],
        ["\xE3\xAE\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],

        ["\xB8\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\x88"],
        ["\xE3\xAE\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x41"],

        ["\xB8\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x96\x94"],
        ["\xF0\xA3\x96\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x42"],

        ["\x90\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xBB"],
        ["\xE6\xA4\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x96"],

        ["\xB8\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\x8D"],
        ["\xE3\xAE\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x43"],

        ["\xB8\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x86"],
        ["\xE6\xA5\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x44"],

        ["\xB8\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA9"],
        ["\xE6\xA5\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x45"],

        ["\xB8\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAC"],
        ["\xE6\xA5\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x46"],

        ["\xB8\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB2"],
        ["\xE6\xA5\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x47"],

        ["\xB8\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBA"],
        ["\xE6\xA5\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x48"],

        ["\xB8\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBF"],
        ["\xE6\xA5\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x49"],

        ["\xB8\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x92"],
        ["\xE6\xA6\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x51"],

        ["\xB8\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\xA4"],
        ["\xE3\xAE\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x52"],

        ["\x90\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x96"],
        ["\xE6\xA6\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x9F"],

        ["\x89\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xA6"],
        ["\xE6\xA6\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x89\xFA"],

        ["\xB8\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB0"],
        ["\xE6\xA6\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x53"],

        ["\x90\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB7"],
        ["\xE6\xA6\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\x9D"],

        ["\xB8\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBA"],
        ["\xE6\xA6\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x54"],

        ["\xB8\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBC"],
        ["\xE6\xA6\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x55"],

        ["\xB8\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x80"],
        ["\xE6\xA7\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x56"],

        ["\xB8\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x91"],
        ["\xE6\xA7\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x58"],

        ["\x90\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x96"],
        ["\xE6\xA7\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xA7"],

        ["\xB8\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x98\xB9"],
        ["\xF0\xA3\x98\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x81"],

        ["\xB8\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x99\x87"],
        ["\xF0\xA3\x99\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x82"],

        ["\xB8\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x98\xB8"],
        ["\xF0\xA3\x98\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x83"],

        ["\xB8\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x98\xBA"],
        ["\xF0\xA3\x98\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x84"],

        ["\xB8\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA3"],
        ["\xE6\xA7\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x85"],

        ["\xB8\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAE"],
        ["\xE6\xA7\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x86"],

        ["\xB8\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAF"],
        ["\xE6\xA7\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x87"],

        ["\x90\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB3"],
        ["\xE6\xA7\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xBB"],

        ["\xB8\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF\x8D"],
        ["\xE3\xAF\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x88"],

        ["\xB8\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB4"],
        ["\xE6\xA7\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x89"],

        ["\xB8\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xBE"],
        ["\xE6\xA7\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x8A"],

        ["\x90\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x91"],
        ["\xE6\xA8\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xBF"],

        ["\xB8\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9A"],
        ["\xE6\xA8\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x8C"],

        ["\xB8\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9D"],
        ["\xE6\xA8\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x8D"],

        ["\xB8\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9C\x9C"],
        ["\xF0\xA3\x9C\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x8E"],

        ["\x90\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB2"],
        ["\xE6\xA8\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xCA"],

        ["\xB8\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB3"],
        ["\xE6\xA8\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x8F"],

        ["\xB8\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB4"],
        ["\xE6\xA8\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x90"],

        ["\xB8\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBF"],
        ["\xE6\xA8\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x91"],

        ["\xB8\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x89"],
        ["\xE6\xA9\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x92"],

        ["\xB8\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xBA"],
        ["\xE6\xA9\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x93"],

        ["\xB8\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x8E"],
        ["\xE6\xA9\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x94"],

        ["\xB8\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x92"],
        ["\xE6\xA9\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x95"],

        ["\x90\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xA4"],
        ["\xE6\xA9\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xCB"],

        ["\xB8\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9C\x8C"],
        ["\xF0\xA3\x9C\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x96"],

        ["\xB8\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x83"],
        ["\xE6\xAA\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x97"],

        ["\xB8\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x8B"],
        ["\xE6\xAA\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x98"],

        ["\xB8\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF\xB0"],
        ["\xE3\xAF\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x99"],

        ["\x90\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x91"],
        ["\xE6\xAA\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xFA"],

        ["\x90\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x9F"],
        ["\xE6\xAA\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x90\xDE"],

        ["\xB8\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA1"],
        ["\xE6\xAA\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x9A"],

        ["\xB8\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9D\xA4"],
        ["\xF0\xA3\x9D\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x9D"],

        ["\xB8\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xAB"],
        ["\xE6\xAA\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x9E"],

        ["\xB8\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xBD"],
        ["\xE6\xAA\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\x9F"],

        ["\xB8\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x86"],
        ["\xE6\xAB\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],

        ["\xB8\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x94"],
        ["\xE6\xAB\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xA3"],

        ["\x91\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x90"],
        ["\xE6\xAB\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x47"],

        ["\xB8\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9C"],
        ["\xE6\xAB\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],

        ["\xB8\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9D"],
        ["\xE6\xAB\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xA5"],

        ["\xB8\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9F\xBF"],
        ["\xF0\xA3\x9F\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xA6"],

        ["\xB8\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9F\xA7"],
        ["\xF0\xA3\x9F\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xA7"],

        ["\x91\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xAC"],
        ["\xE6\xAB\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x52"],

        ["\x91\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xB1"],
        ["\xE6\xAB\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x49"],

        ["\xB8\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xB2"],
        ["\xE6\xAB\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xA8"],

        ["\xB8\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xB3"],
        ["\xE6\xAB\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xA9"],

        ["\xB8\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xBD"],
        ["\xE6\xAB\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xAA"],

        ["\xB8\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xA0\xA4"],
        ["\xF0\xA3\xA0\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],

        ["\xB8\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x8B"],
        ["\xE6\xAC\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],

        ["\xB8\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x8F"],
        ["\xE6\xAC\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],

        ["\x91\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x90"],
        ["\xE6\xAC\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x82"],

        ["\x91\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x91"],
        ["\xE6\xAC\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x81"],

        ["\xB8\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xA0\xBD"],
        ["\xF0\xA3\xA0\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xAF"],

        ["\xB8\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x97"],
        ["\xE6\xAC\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xBA"],

        ["\xB8\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0\xA6"],
        ["\xE3\xB0\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xBB"],

        ["\x91\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xAF"],
        ["\xE6\xAC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x85"],

        ["\x91\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x8A"],
        ["\xE6\xAD\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x8C"],

        ["\x91\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x98"],
        ["\xE6\xAD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\x8F"],

        ["\xB8\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xAC"],
        ["\xE6\xAD\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],

        ["\xB8\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB5"],
        ["\xE6\xAD\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],

        ["\xB8\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xBA"],
        ["\xE6\xAD\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xBE"],

        ["\xB8\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x81"],
        ["\xE6\xAE\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xBF"],

        ["\xB8\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x9B"],
        ["\xE6\xAE\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xB2"],

        ["\xB8\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAE"],
        ["\xE6\xAE\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],

        ["\xB8\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xAA\x98"],
        ["\xF0\xA3\xAA\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],

        ["\xB8\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBD"],
        ["\xE6\xAE\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xB5"],

        ["\xB8\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBE"],
        ["\xE6\xAE\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xB6"],

        ["\xB8\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x87"],
        ["\xE6\xAF\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xB7"],

        ["\xB8\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x88"],
        ["\xE6\xAF\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xB8"],

        ["\xA6\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x89"],
        ["\xE6\xAF\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\x58"],

        ["\xB8\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x9A"],
        ["\xE6\xAF\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],

        ["\xB8\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xA6"],
        ["\xE6\xAF\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],

        ["\x91\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xA7"],
        ["\xE6\xAF\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xA7"],

        ["\x8D\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xAE"],
        ["\xE6\xAF\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8D\x9A"],

        ["\xA8\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xB1"],
        ["\xE6\xAF\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xB4"],

        ["\xB8\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x82"],
        ["\xE6\xB0\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xCB"],

        ["\xB8\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x8A"],
        ["\xE6\xB0\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],

        ["\xB8\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x8E"],
        ["\xE6\xB0\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],

        ["\x91\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB5"],
        ["\xE6\xB0\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xAC"],

        ["\xB8\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB6"],
        ["\xE6\xB0\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xCE"],

        ["\xB8\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xBA"],
        ["\xE6\xB0\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xCF"],

        ["\xB8\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB1\xBF"],
        ["\xF0\xA3\xB1\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xDA"],

        ["\x91\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x8D"],
        ["\xE6\xB1\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xBD"],

        ["\xB8\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9B"],
        ["\xE6\xB1\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xDB"],

        ["\xB8\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xAD"],
        ["\xE6\xB1\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xDC"],

        ["\xB8\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x84"],
        ["\xE6\xB2\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xDD"],

        ["\x91\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x89"],
        ["\xE6\xB2\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xB9"],

        ["\xB8\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3\x83"],
        ["\xE3\xB3\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xDE"],

        ["\x91\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x94"],
        ["\xE6\xB2\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xCC"],

        ["\xB8\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x95"],
        ["\xE6\xB2\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xDF"],

        ["\x91\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x97"],
        ["\xE6\xB2\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xDC"],

        ["\xB8\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xAD"],
        ["\xE6\xB2\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xEA"],

        ["\xB8\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x82"],
        ["\xE6\xB3\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],

        ["\xB8\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x90"],
        ["\xE6\xB3\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],

        ["\xB8\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3\x92"],
        ["\xE3\xB3\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xED"],

        ["\x91\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x96"],
        ["\xE6\xB3\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xFB"],

        ["\xB8\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x9C"],
        ["\xE6\xB3\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xEE"],

        ["\x91\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA9"],
        ["\xE6\xB3\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x91\xFA"],

        ["\x92\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAC"],
        ["\xE6\xB3\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x42"],

        ["\xB8\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAD"],
        ["\xE6\xB3\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xEF"],

        ["\xB8\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB4\x80"],
        ["\xF0\xA3\xB4\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xFA"],

        ["\x92\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x80"],
        ["\xE6\xB4\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x82"],

        ["\x92\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x8A"],
        ["\xE6\xB4\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x49"],

        ["\xB8\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA4"],
        ["\xE6\xB4\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],

        ["\xB8\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA6"],
        ["\xE6\xB4\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xFC"],

        ["\x92\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA7"],
        ["\xE6\xB4\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x55"],

        ["\xB8\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xA7"],
        ["\xE6\xB1\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xFD"],

        ["\xB8\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xAF"],
        ["\xE6\xB4\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],

        ["\x92\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBC"],
        ["\xE6\xB4\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x52"],

        ["\xB9\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x9B"],
        ["\xE6\xB5\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x41"],

        ["\xB9\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x9E"],
        ["\xE6\xB5\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x42"],

        ["\xB9\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA0"],
        ["\xE6\xB5\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x43"],

        ["\x92\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB0"],
        ["\xE6\xB5\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x95"],

        ["\xB9\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x80"],
        ["\xE6\xB6\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x44"],

        ["\xB9\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x81"],
        ["\xE6\xB6\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x45"],

        ["\xB9\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x8A"],
        ["\xE6\xB6\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x46"],

        ["\xB9\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x8D"],
        ["\xE6\xB6\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x47"],

        ["\xB9\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x91"],
        ["\xE6\xB6\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x48"],

        ["\xB9\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x98"],
        ["\xE6\xB6\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x49"],

        ["\xB9\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB5\x80"],
        ["\xF0\xA3\xB5\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x51"],

        ["\xB9\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x97"],
        ["\xE6\xB8\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x52"],

        ["\xB9\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB7\xBA"],
        ["\xF0\xA3\xB7\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x53"],

        ["\xB9\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB7\xB9"],
        ["\xF0\xA3\xB7\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x54"],

        ["\xB9\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB7\x93"],
        ["\xF0\xA3\xB7\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x55"],

        ["\xB9\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAB"],
        ["\xE6\xB6\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x56"],

        ["\xB9\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAE"],
        ["\xE6\xB6\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x58"],

        ["\xB9\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xB4"],
        ["\xE6\xB6\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x81"],

        ["\xB9\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x82"],
        ["\xE6\xB7\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x82"],

        ["\xB9\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB4"],
        ["\xE6\xB4\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x83"],

        ["\x92\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x88"],
        ["\xE6\xB7\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\x9E"],

        ["\x92\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x8E"],
        ["\xE6\xB7\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xBB"],

        ["\xB9\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x90"],
        ["\xE6\xB7\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x84"],

        ["\x92\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9F"],
        ["\xE6\xB7\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xA4"],

        ["\x92\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA9"],
        ["\xE6\xB7\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xA8"],

        ["\xB9\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB6"],
        ["\xE6\xB7\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x85"],

        ["\x92\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB6"],
        ["\xE6\xB8\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xB3"],

        ["\xB9\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9E"],
        ["\xE6\xB8\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x86"],

        ["\xB9\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA2"],
        ["\xE6\xB8\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x87"],

        ["\xB9\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4\x91"],
        ["\xE3\xB4\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x88"],

        ["\xB9\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB2"],
        ["\xE6\xB8\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x89"],

        ["\xB9\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x88"],
        ["\xE6\xB9\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x8A"],

        ["\xB9\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x89"],
        ["\xE6\xB9\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x8C"],

        ["\xB9\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8B"],
        ["\xE6\xB9\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x8D"],

        ["\xB9\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8C"],
        ["\xE6\xB9\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x8E"],

        ["\xB9\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8F"],
        ["\xE6\xB9\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x8F"],

        ["\x92\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x91"],
        ["\xE6\xB9\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xCA"],

        ["\x92\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x93"],
        ["\xE6\xB9\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xCC"],

        ["\xB9\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x94"],
        ["\xE6\xB9\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x90"],

        ["\x92\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x97"],
        ["\xE6\xB9\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xDB"],

        ["\x92\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xA3"],
        ["\xE6\xB9\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xB8"],

        ["\xB9\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4\x9E"],
        ["\xE3\xB4\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x91"],

        ["\xB9\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x93"],
        ["\xE6\xBA\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x92"],

        ["\xB9\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xA7"],
        ["\xE6\xBA\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x93"],

        ["\xB9\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB4"],
        ["\xE6\xBA\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x94"],

        ["\x92\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x83"],
        ["\xE6\xBB\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x92\xFE"],

        ["\xB9\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x8A"],
        ["\xE6\xBB\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x95"],

        ["\xB9\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x99"],
        ["\xE6\xBB\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x96"],

        ["\xB9\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB5"],
        ["\xE6\xBC\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x97"],

        ["\xB9\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xAB"],
        ["\xE6\xBB\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x98"],

        ["\x93\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB9"],
        ["\xE6\xBB\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x86"],

        ["\xB9\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xBB"],
        ["\xE6\xBB\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x99"],

        ["\xB9\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x8A"],
        ["\xE6\xBC\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x9A"],

        ["\xB9\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x8C"],
        ["\xE6\xBC\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x9D"],

        ["\xB9\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x98"],
        ["\xE6\xBC\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x9E"],

        ["\xB9\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xA5"],
        ["\xE6\xBC\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\x9F"],

        ["\xB9\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB6"],
        ["\xE6\xBC\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xA2"],

        ["\x93\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xBC"],
        ["\xE6\xBC\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x87"],

        ["\xB9\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xBD\xBE"],
        ["\xF0\xA3\xBD\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xA3"],

        ["\xB9\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x92"],
        ["\xE6\xBD\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],

        ["\xB9\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x97"],
        ["\xE6\xBD\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],

        ["\xB9\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9A"],
        ["\xE6\xBD\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xA6"],

        ["\xB9\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA0"],
        ["\xE6\xBD\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xA7"],

        ["\xB9\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA8"],
        ["\xE6\xBD\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xA8"],

        ["\xB9\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x98"],
        ["\xE6\xBE\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],

        ["\x93\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xBD"],
        ["\xE6\xBD\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xA9"],

        ["\x93\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x90"],
        ["\xE6\xBE\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x94"],

        ["\x93\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x96"],
        ["\xE6\xBE\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xA5"],

        ["\xB9\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xBE"],
        ["\xE6\xBE\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xAA"],

        ["\xB9\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x9F"],
        ["\xE6\xBE\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xAC"],

        ["\xB9\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA5"],
        ["\xE6\xBE\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xAD"],

        ["\x93\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xAF"],
        ["\xE6\xBE\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xB2"],

        ["\xB9\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5\xA4"],
        ["\xE3\xB5\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xAE"],

        ["\xB9\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x88"],
        ["\xE6\xBF\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xAF"],

        ["\xB9\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x89"],
        ["\xE6\xBF\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],

        ["\x93\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x9A"],
        ["\xE6\xBF\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xCA"],

        ["\xB9\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x9E"],
        ["\xE6\xBF\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xBB"],

        ["\xB9\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xA9"],
        ["\xE6\xBF\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xBC"],

        ["\xB9\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x82\x96"],
        ["\xF0\xA4\x82\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],

        ["\xB9\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xBC"],
        ["\xE6\xBF\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xBE"],

        ["\xB9\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x80"],
        ["\xE7\x80\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xBF"],

        ["\xB9\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x8A"],
        ["\xE7\x80\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xB2"],

        ["\xB9\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xA3"],
        ["\xE7\x80\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xB3"],

        ["\xB9\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x84\x83"],
        ["\xF0\xA4\x84\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],

        ["\xB9\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xB9"],
        ["\xE7\x80\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],

        ["\xB9\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xBA"],
        ["\xE7\x80\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xB6"],

        ["\x93\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xBC"],
        ["\xE7\x80\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xEA"],

        ["\xB9\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x83"],
        ["\xE7\x81\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xB7"],

        ["\xB9\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x87"],
        ["\xE7\x81\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xB8"],

        ["\xB9\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x8B"],
        ["\xE7\x81\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xB9"],

        ["\xB9\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6\x9A"],
        ["\xE3\xB6\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xCA"],

        ["\xB9\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x94"],
        ["\xE7\x81\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xCB"],

        ["\xB9\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xA5"],
        ["\xE7\x81\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xCC"],

        ["\xB9\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xA9"],
        ["\xE7\x81\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],

        ["\x93\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xAC"],
        ["\xE7\x81\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xED"],

        ["\x93\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xAE"],
        ["\xE7\x81\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xEE"],

        ["\x98\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xB6"],
        ["\xE7\x81\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xB2"],

        ["\xB9\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xBE"],
        ["\xE7\x81\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],

        ["\xB9\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x81"],
        ["\xE7\x82\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xCF"],

        ["\xB9\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x86"],
        ["\xE7\x82\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],

        ["\x93\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x95"],
        ["\xE7\x82\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\xFA"],

        ["\x83\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x97"],
        ["\xE7\x82\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x83\xCD"],

        ["\xB9\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x87\x86"],
        ["\xF0\xA4\x87\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xDB"],

        ["\xB9\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x9F"],
        ["\xE7\x82\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xDC"],

        ["\xB9\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB1"],
        ["\xE7\x82\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],

        ["\xB9\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x87\xBE"],
        ["\xF0\xA4\x87\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xDE"],

        ["\xB9\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xAC"],
        ["\xE7\x83\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xDF"],

        ["\xB9\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x8A"],
        ["\xE7\x83\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xEA"],

        ["\xB9\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x91"],
        ["\xE7\x83\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],

        ["\x94\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x93"],
        ["\xE7\x83\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x43"],

        ["\x94\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x9C"],
        ["\xE7\x83\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x41"],

        ["\xB9\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x83"],
        ["\xE7\x84\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xEC"],

        ["\xB9\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x86"],
        ["\xE7\x84\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xED"],

        ["\x94\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x87"],
        ["\xE7\x84\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x53"],

        ["\xB9\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x88"],
        ["\xE7\x84\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xEE"],

        ["\xB9\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x8C"],
        ["\xE7\x84\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xEF"],

        ["\xB9\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7\x80"],
        ["\xE3\xB7\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],

        ["\x94\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xAF"],
        ["\xE7\x84\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x82"],

        ["\x94\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xB1"],
        ["\xE7\x84\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x55"],

        ["\xB9\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x90"],
        ["\xE7\x85\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xFB"],

        ["\x8E\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x8A"],
        ["\xE7\x85\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8E\xDF"],

        ["\xB9\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x93"],
        ["\xE7\x85\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xFC"],

        ["\xB9\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x9E"],
        ["\xE7\x85\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xFD"],

        ["\xB9\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7\x94"],
        ["\xE3\xB7\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xB9\xFE"],

        ["\xCA\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x96"],
        ["\xE7\x86\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x41"],

        ["\x94\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x80"],
        ["\xE7\x86\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x99"],

        ["\xCA\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x9B"],
        ["\xE7\x86\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x42"],

        ["\x94\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xA0"],
        ["\xE7\x86\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\x9D"],

        ["\xCA\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xA2"],
        ["\xE7\x86\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x43"],

        ["\xCA\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xAE"],
        ["\xE7\x86\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x44"],

        ["\xCA\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xAF"],
        ["\xE7\x86\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x45"],

        ["\xCA\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xB3"],
        ["\xE7\x86\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x46"],

        ["\xCA\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x8E\xBC"],
        ["\xF0\xA4\x8E\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x47"],

        ["\xCA\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x8B"],
        ["\xE7\x87\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x48"],

        ["\xCA\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x93"],
        ["\xE7\x87\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x49"],

        ["\xCA\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x99"],
        ["\xE7\x87\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x51"],

        ["\xCA\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x9C"],
        ["\xE7\x87\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x52"],

        ["\xCA\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x87"],
        ["\xE7\x88\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x53"],

        ["\xCA\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8\x85"],
        ["\xE3\xB8\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x54"],

        ["\xCA\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x89"],
        ["\xEF\xA9\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x55"],

        ["\xCA\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xAB"],
        ["\xE7\x88\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x56"],

        ["\xCA\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB4"],
        ["\xE7\x88\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x58"],

        ["\xCA\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB8"],
        ["\xE7\x88\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x81"],

        ["\xCA\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB9"],
        ["\xE7\x88\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x82"],

        ["\xCA\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAC"],
        ["\xE4\xB8\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x83"],

        ["\x9A\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x82"],
        ["\xE7\x89\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xDC"],

        ["\xCA\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x93"],
        ["\xE7\x89\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x84"],

        ["\xCA\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x97"],
        ["\xE7\x89\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x85"],

        ["\x94\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA3"],
        ["\xE7\x89\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xB5"],

        ["\xCA\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x98\xA9"],
        ["\xF0\xA4\x98\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x86"],

        ["\xCA\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xAE"],
        ["\xE7\x89\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x87"],

        ["\xCA\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xAF"],
        ["\xE7\x89\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x88"],

        ["\x94\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xB8"],
        ["\xE7\x89\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xB6"],

        ["\x94\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xBF"],
        ["\xE7\x89\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xB7"],

        ["\xCA\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x8E"],
        ["\xE7\x8A\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x89"],

        ["\xCA\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x9A\xA5"],
        ["\xF0\xA4\x9A\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x8A"],

        ["\x94\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xAD"],
        ["\xE7\x8A\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xB9"],

        ["\x94\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xAE"],
        ["\xE7\x8A\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xCA"],

        ["\xCA\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB0"],
        ["\xE7\x8A\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x8C"],

        ["\xCA\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x81"],
        ["\xE7\x8B\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x8D"],

        ["\xCA\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9\xA0"],
        ["\xE3\xB9\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x8E"],

        ["\x94\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x8C"],
        ["\xE7\x8B\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xDB"],

        ["\xCA\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9\xA6"],
        ["\xE3\xB9\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x8F"],

        ["\xCA\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9\xA8"],
        ["\xE3\xB9\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x90"],

        ["\xCA\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xB3"],
        ["\xE7\x8B\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x91"],

        ["\xCA\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xBA"],
        ["\xE7\x8B\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x92"],

        ["\xCA\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x87"],
        ["\xE7\x8C\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x93"],

        ["\xCA\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x92"],
        ["\xE7\x8C\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x94"],

        ["\xCA\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x98"],
        ["\xE7\x8C\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x95"],

        ["\x94\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x99"],
        ["\xE7\x8C\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xDF"],

        ["\xCA\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA\x83"],
        ["\xE3\xBA\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x96"],

        ["\xCA\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB9"],
        ["\xE7\x8C\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x97"],

        ["\xA2\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAC"],
        ["\xE7\x8C\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xA9"],

        ["\x94\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB1"],
        ["\xE7\x8C\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xEF"],

        ["\xCA\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB3"],
        ["\xE7\x8C\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x98"],

        ["\x94\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xBD"],
        ["\xE7\x8C\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x94\xFC"],

        ["\xCA\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x92"],
        ["\xE7\x8D\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x99"],

        ["\xCA\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA\x94"],
        ["\xE3\xBA\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x9A"],

        ["\x95\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAB"],
        ["\xE7\x8D\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x44"],

        ["\xCA\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAC"],
        ["\xE7\x8D\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x9D"],

        ["\xCA\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xA2\x96"],
        ["\xF0\xA4\xA2\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x9E"],

        ["\xCA\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAE"],
        ["\xE7\x8D\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\x9F"],

        ["\xCA\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAF"],
        ["\xE7\x8D\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],

        ["\xCA\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB1"],
        ["\xE7\x8D\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xA3"],

        ["\x95\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x81"],
        ["\xE7\x8E\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x47"],

        ["\x95\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x85"],
        ["\xE7\x8E\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x48"],

        ["\xCA\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x8A"],
        ["\xE7\x8E\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xA4"],

        ["\xCA\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x94"],
        ["\xE7\x8E\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],

        ["\x95\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x98"],
        ["\xE7\x8E\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x58"],

        ["\x95\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x9C"],
        ["\xE7\x8E\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x83"],

        ["\x95\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x9E"],
        ["\xE7\x8E\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x82"],

        ["\xCA\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA5"],
        ["\xE7\x8E\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],

        ["\xCA\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA8"],
        ["\xE7\x8E\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xA7"],

        ["\xCA\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB5"],
        ["\xE7\x8E\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],

        ["\xCA\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB7"],
        ["\xE7\x8E\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xA9"],

        ["\x95\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB9"],
        ["\xE7\x8E\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x8C"],

        ["\xCA\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xBC"],
        ["\xE7\x8E\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],

        ["\xCA\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xBF"],
        ["\xE7\x8E\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xAC"],

        ["\x95\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x85"],
        ["\xE7\x8F\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x8E"],

        ["\x95\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8B"],
        ["\xE7\x8F\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x89"],

        ["\xCA\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA1"],
        ["\xE7\x8F\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xAD"],

        ["\xCA\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA7"],
        ["\xE7\x8F\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xAE"],

        ["\x95\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xB9"],
        ["\xE7\x8F\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x95"],

        ["\xCA\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x93"],
        ["\xE7\x90\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xAF"],

        ["\x95\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xBA"],
        ["\xE7\x8F\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\x9D"],

        ["\x95\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x81"],
        ["\xE7\x90\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xA2"],

        ["\x95\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA4"],
        ["\xE7\x90\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xAC"],

        ["\xCA\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB1"],
        ["\xE7\x90\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xBA"],

        ["\x95\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB9"],
        ["\xE7\x90\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xA9"],

        ["\xCA\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x93"],
        ["\xE7\x91\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xBB"],

        ["\xCA\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x80"],
        ["\xE7\x91\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xBC"],

        ["\xCA\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x83"],
        ["\xE7\x91\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xBD"],

        ["\xCA\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x8D"],
        ["\xE7\x91\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xBE"],

        ["\x95\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x92"],
        ["\xE7\x91\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xB9"],

        ["\xCA\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9D"],
        ["\xE7\x91\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],

        ["\x95\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xB1"],
        ["\xE7\x91\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xCD"],

        ["\xCA\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x81"],
        ["\xE7\x92\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xB2"],

        ["\xCA\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x85"],
        ["\xE7\x92\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xB3"],

        ["\xCA\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x88"],
        ["\xE7\x92\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xB4"],

        ["\xCA\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xA9\x8D"],
        ["\xF0\xA4\xA9\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],

        ["\xCA\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x92"],
        ["\xE7\x92\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xB6"],

        ["\xCA\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x97"],
        ["\xE7\x92\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],

        ["\x95\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x99"],
        ["\xE7\x92\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xFA"],

        ["\xCA\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA0"],
        ["\xE7\x92\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xB8"],

        ["\xCA\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA1"],
        ["\xE7\x92\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xB9"],

        ["\xCA\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA5"],
        ["\xE7\x92\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xCA"],

        ["\xCA\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xAA"],
        ["\xE7\x92\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xCB"],

        ["\x95\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xAB"],
        ["\xE7\x92\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x95\xFD"],

        ["\x96\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xB9"],
        ["\xE7\x92\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x45"],

        ["\xCA\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xBB"],
        ["\xE7\x92\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xCC"],

        ["\xCA\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xBA"],
        ["\xE7\x92\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xCD"],

        ["\xCA\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x96"],
        ["\xE7\x93\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],

        ["\xCA\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x98"],
        ["\xE7\x93\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xCF"],

        ["\xCA\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x9E"],
        ["\xE7\x93\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],

        ["\xCA\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xAF"],
        ["\xE7\x93\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],

        ["\xCA\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xAB"],
        ["\xE7\x93\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xDC"],

        ["\xCA\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xAD\x96"],
        ["\xF0\xA4\xAD\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],

        ["\xCA\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xBA"],
        ["\xE7\x93\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xDE"],

        ["\xCA\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xAD\xAF"],
        ["\xF0\xA4\xAD\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],

        ["\xCA\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA0"],
        ["\xE7\x94\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xEA"],

        ["\xCA\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA4"],
        ["\xE7\x94\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xEB"],

        ["\xCA\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xAA"],
        ["\xE7\x94\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xEC"],

        ["\xCA\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD\x97"],
        ["\xE3\xBD\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xED"],

        ["\xCA\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB0\x96"],
        ["\xF0\xA4\xB0\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],

        ["\xCA\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBD"],
        ["\xE7\x94\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xEF"],

        ["\xCA\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBE"],
        ["\xE7\x94\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xFA"],

        ["\x96\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x80"],
        ["\xE7\x95\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x56"],

        ["\xCA\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x88"],
        ["\xE7\x95\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xFB"],

        ["\xCA\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8E"],
        ["\xE7\x95\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xFC"],

        ["\x96\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x90"],
        ["\xE7\x95\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x58"],

        ["\xCA\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x92"],
        ["\xE7\x95\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xFD"],

        ["\xCA\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAC"],
        ["\xE7\x95\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCA\xFE"],

        ["\xCB\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB2"],
        ["\xE7\x95\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x41"],

        ["\x96\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB1"],
        ["\xE7\x95\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x83"],

        ["\xCB\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xBA"],
        ["\xE7\x95\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x42"],

        ["\xCB\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xBD"],
        ["\xE7\x95\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x43"],

        ["\x96\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xBE"],
        ["\xE7\x95\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x88"],

        ["\x96\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x81"],
        ["\xE7\x96\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x89"],

        ["\xCB\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB4\x94"],
        ["\xF0\xA4\xB4\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x44"],

        ["\xCB\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8C"],
        ["\xE7\x96\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x45"],

        ["\xCB\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD\xB5"],
        ["\xE3\xBD\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x46"],

        ["\xCB\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xA2"],
        ["\xE7\x96\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x47"],

        ["\xCB\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD\xB7"],
        ["\xE3\xBD\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x48"],

        ["\xCB\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB0"],
        ["\xE7\x96\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x49"],

        ["\xCB\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB7"],
        ["\xE7\x96\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x51"],

        ["\xCB\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xBF"],
        ["\xE7\x96\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x52"],

        ["\x96\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x80"],
        ["\xE7\x97\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x90"],

        ["\xCB\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x86"],
        ["\xE7\x97\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x53"],

        ["\xCB\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x8F"],
        ["\xE7\x97\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x54"],

        ["\xCB\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x93"],
        ["\xE7\x97\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x55"],

        ["\xCB\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x9D"],
        ["\xE7\x97\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x56"],

        ["\xCB\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x9F"],
        ["\xE7\x97\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x58"],

        ["\xCB\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA0"],
        ["\xE7\x97\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x81"],

        ["\xCB\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA7"],
        ["\xE7\x97\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x82"],

        ["\xCB\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xAC"],
        ["\xE7\x97\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x83"],

        ["\xCB\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xAE"],
        ["\xE7\x97\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x84"],

        ["\xCB\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB1"],
        ["\xE7\x97\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x85"],

        ["\x96\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB9"],
        ["\xE7\x97\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x96"],

        ["\xCB\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x83"],
        ["\xE7\x98\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x86"],

        ["\xCB\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x98"],
        ["\xE7\x98\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x87"],

        ["\xCB\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x87"],
        ["\xE7\x98\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x88"],

        ["\xCB\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x8F"],
        ["\xE7\x98\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x89"],

        ["\xCB\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE\xAE"],
        ["\xE3\xBE\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x8A"],

        ["\xCB\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB8\x8E"],
        ["\xF0\xA4\xB8\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x8C"],

        ["\x96\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x93"],
        ["\xE7\x98\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x98"],

        ["\xCB\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x9B"],
        ["\xE7\x98\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x8D"],

        ["\xCB\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x9C"],
        ["\xE7\x98\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x8E"],

        ["\xCB\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB8\xB7"],
        ["\xF0\xA4\xB8\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x8F"],

        ["\x96\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA5"],
        ["\xE7\x98\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x9A"],

        ["\xCB\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA8"],
        ["\xE7\x98\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x90"],

        ["\xCB\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xBC"],
        ["\xE7\x98\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x91"],

        ["\x96\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xB3"],
        ["\xE7\x98\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\x9E"],

        ["\xCB\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB9\xAA"],
        ["\xF0\xA4\xB9\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x92"],

        ["\xCB\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF\x89"],
        ["\xE3\xBF\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x93"],

        ["\xCB\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x81"],
        ["\xE7\x99\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x94"],

        ["\xCB\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xBA\x8B"],
        ["\xF0\xA4\xBA\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x95"],

        ["\xCB\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x89"],
        ["\xE7\x99\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x96"],

        ["\xCB\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x95"],
        ["\xE7\x99\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x97"],

        ["\xCB\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF\x97"],
        ["\xE3\xBF\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x98"],

        ["\xCB\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAE"],
        ["\xE7\x99\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x99"],

        ["\xCB\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x95"],
        ["\xE7\x9A\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x9A"],

        ["\xCB\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA1"],
        ["\xE7\x9A\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x9D"],

        ["\xCB\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA0"],
        ["\xE7\x9A\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x9E"],

        ["\x96\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA7"],
        ["\xE7\x9A\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xB2"],

        ["\xCB\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA8"],
        ["\xE7\x9A\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\x9F"],

        ["\xCB\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xAF"],
        ["\xE7\x9A\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xA2"],

        ["\xCB\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x81\x8A"],
        ["\xF0\xA5\x81\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xA3"],

        ["\xCB\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x89"],
        ["\xE7\x9B\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xA4"],

        ["\xCB\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x81\x95"],
        ["\xF0\xA5\x81\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],

        ["\xCB\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA8"],
        ["\xE7\x9B\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],

        ["\xCB\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xAC"],
        ["\xE7\x9B\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xA7"],

        ["\xCB\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x84\xA2"],
        ["\xF0\xA5\x84\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],

        ["\xCB\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x97"],
        ["\xE7\x9C\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9"],

        ["\xCB\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x9A"],
        ["\xE7\x9C\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xAA"],

        ["\xCB\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xAD"],
        ["\xE7\x9C\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xAC"],

        ["\xCB\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB5"],
        ["\xE7\x9C\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xAD"],

        ["\xCB\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x86\xA9"],
        ["\xF0\xA5\x86\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xAE"],

        ["\xCB\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x80\xB9"],
        ["\xE4\x80\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xAF"],

        ["\xCB\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x87\xA5"],
        ["\xF0\xA5\x87\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xBA"],

        ["\xCB\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x87\x8D"],
        ["\xF0\xA5\x87\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xBB"],

        ["\xCB\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x98"],
        ["\xE7\x9D\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xBC"],

        ["\xCB\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA0"],
        ["\xE7\x9D\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xBD"],

        ["\x96\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xAA"],
        ["\xE7\x9D\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xEB"],

        ["\xCB\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x88\x9E"],
        ["\xF0\xA5\x88\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xBE"],

        ["\x96\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xB2"],
        ["\xE7\x9D\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xFB"],

        ["\xCB\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBC"],
        ["\xE7\x9D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xBF"],

        ["\xCB\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBD"],
        ["\xE7\x9D\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xB2"],

        ["\xCB\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x89\x8C"],
        ["\xF0\xA5\x89\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xB3"],

        ["\xCB\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x81\x98"],
        ["\xE4\x81\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],

        ["\x96\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x9A"],
        ["\xE7\x9E\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xFE"],

        ["\xCB\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x9F"],
        ["\xE7\x9E\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],

        ["\x96\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA2"],
        ["\xE7\x9E\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xFD"],

        ["\xCB\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA4"],
        ["\xE7\x9E\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xB6"],

        ["\xCB\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA9"],
        ["\xE7\x9E\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xB7"],

        ["\x97\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9E"],
        ["\xE7\x9F\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x45"],

        ["\xCB\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9F"],
        ["\xE7\x9F\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xB8"],

        ["\x97\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA4"],
        ["\xE7\x9F\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x47"],

        ["\x82\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA6"],
        ["\xE7\x9F\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x82\xDC"],

        ["\xCB\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAA"],
        ["\xE7\x9F\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xB9"],

        ["\xCB\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAC"],
        ["\xE7\x9F\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xCA"],

        ["\xCB\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x82\x93"],
        ["\xE4\x82\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xCB"],

        ["\xCB\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xB0"],
        ["\xE7\x9F\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xCC"],

        ["\x97\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xB4"],
        ["\xE7\x9F\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x52"],

        ["\x97\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xBB"],
        ["\xE7\x9F\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x53"],

        ["\xCB\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x90\xAE"],
        ["\xF0\xA5\x90\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xCD"],

        ["\xCB\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x85"],
        ["\xE7\xA0\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],

        ["\x97\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x86"],
        ["\xE7\xA0\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x55"],

        ["\xCB\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x89"],
        ["\xE7\xA0\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xCF"],

        ["\xCB\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x8D"],
        ["\xE7\xA0\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xDA"],

        ["\xCB\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x99"],
        ["\xE7\xA0\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xDB"],

        ["\xCB\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xAC"],
        ["\xE7\xA0\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xDC"],

        ["\xCB\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x87"],
        ["\xE7\xA1\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xDD"],

        ["\xCB\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAA"],
        ["\xE7\xA1\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xDE"],

        ["\xCB\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x93\x99"],
        ["\xF0\xA5\x93\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xDF"],

        ["\xCB\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x8A"],
        ["\xE7\xA2\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xEA"],

        ["\xCB\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x94"],
        ["\xE7\xA2\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xEB"],

        ["\x97\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xA4"],
        ["\xE7\xA2\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x96"],

        ["\xCB\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x9D"],
        ["\xE7\xA2\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xEC"],

        ["\x97\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x9E"],
        ["\xE7\xA2\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x97"],

        ["\xCB\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x9F"],
        ["\xE7\xA2\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xED"],

        ["\xCB\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xBB"],
        ["\xE7\xA2\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xEE"],

        ["\x97\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x88"],
        ["\xE7\xA3\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x9A"],

        ["\xCB\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x8C"],
        ["\xE7\xA3\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xEF"],

        ["\xCB\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x8E"],
        ["\xE7\xA3\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xFA"],

        ["\xCB\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x95"],
        ["\xE7\xA3\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],

        ["\x97\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA0"],
        ["\xE7\xA3\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xA4"],

        ["\x97\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA1"],
        ["\xE7\xA3\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\x9F"],

        ["\xCB\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA6"],
        ["\xE7\xA3\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],

        ["\xCB\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xB9"],
        ["\xE7\xA3\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xFD"],

        ["\xA7\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xBA"],
        ["\xE7\xA3\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA7\x88"],

        ["\x97\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xBB"],
        ["\xE7\xA3\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xA5"],

        ["\xCB\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xBE"],
        ["\xE7\xA3\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCB\xFE"],

        ["\xCC\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x96\xA7"],
        ["\xF0\xA5\x96\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x41"],

        ["\xCC\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x90"],
        ["\xE7\xA4\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x42"],

        ["\xCC\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x9B"],
        ["\xE7\xA4\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x43"],

        ["\xCC\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xA5"],
        ["\xE7\xA4\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x44"],

        ["\x97\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xBB"],
        ["\xE7\xA4\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xBC"],

        ["\xCC\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x8A"],
        ["\xE7\xA5\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x45"],

        ["\xCC\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x98"],
        ["\xE7\xA5\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x46"],

        ["\x97\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9B"],
        ["\xE7\xA5\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xB9"],

        ["\xCC\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x84\x85"],
        ["\xE4\x84\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x47"],

        ["\x97\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA7"],
        ["\xE7\xA5\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xEE"],

        ["\x97\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xB2"],
        ["\xE7\xA5\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x97\xFA"],

        ["\xCC\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x95"],
        ["\xE7\xA6\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x48"],

        ["\x98\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x96"],
        ["\xE7\xA6\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x45"],

        ["\xCC\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xA1"],
        ["\xE7\xA6\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x49"],

        ["\xCC\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xA9"],
        ["\xE7\xA6\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x51"],

        ["\xCC\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB4"],
        ["\xE7\xA6\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x52"],

        ["\xCC\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBB"],
        ["\xE7\xA6\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x53"],

        ["\x98\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x82"],
        ["\xE7\xA7\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x83"],

        ["\xCC\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x87"],
        ["\xE7\xA7\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x54"],

        ["\xCC\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x8C"],
        ["\xE7\xA7\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x55"],

        ["\xCC\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x8D"],
        ["\xE7\xA7\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x56"],

        ["\x98\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x96"],
        ["\xE7\xA7\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x8A"],

        ["\xCC\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x85\x88"],
        ["\xE4\x85\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x58"],

        ["\xCC\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x9E\xA9"],
        ["\xF0\xA5\x9E\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x81"],

        ["\xCC\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x9E\xB4"],
        ["\xF0\xA5\x9E\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x82"],

        ["\xCC\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x85\x8F"],
        ["\xE4\x85\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x83"],

        ["\x98\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x8A"],
        ["\xE7\xA8\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x95"],

        ["\x98\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x91"],
        ["\xE7\xA8\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x9D"],

        ["\xCC\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x95"],
        ["\xE7\xA8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x84"],

        ["\x98\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9B"],
        ["\xE7\xA8\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x9A"],

        ["\x98\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9E"],
        ["\xE7\xA8\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\x9E"],

        ["\xCC\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x85\xA3"],
        ["\xE4\x85\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x85"],

        ["\xCC\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xAD"],
        ["\xE7\xA8\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x86"],

        ["\x98\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB8"],
        ["\xE7\xA8\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xA7"],

        ["\xCC\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x87"],
        ["\xE7\xA9\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x87"],

        ["\x98\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x8C"],
        ["\xE7\xA9\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xAC"],

        ["\xCC\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x96"],
        ["\xE7\xA9\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x88"],

        ["\xCC\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x99"],
        ["\xE7\xA9\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x89"],

        ["\xCC\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x9C"],
        ["\xE7\xA9\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x8A"],

        ["\x98\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x9F"],
        ["\xE7\xA9\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xBB"],

        ["\xCC\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA0"],
        ["\xE7\xA9\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x8C"],

        ["\xCC\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA7"],
        ["\xE7\xA9\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x8D"],

        ["\x98\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xAA"],
        ["\xE7\xA9\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xBE"],

        ["\xCC\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB5"],
        ["\xE7\xA9\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x8E"],

        ["\xCC\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB8"],
        ["\xE7\xA9\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x8F"],

        ["\xCC\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x82"],
        ["\xE7\xAA\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x90"],

        ["\xCC\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x8A"],
        ["\xE7\xAA\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x91"],

        ["\xCC\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x90"],
        ["\xE7\xAA\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x92"],

        ["\xCC\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xA3"],
        ["\xE7\xAA\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x93"],

        ["\x98\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xAC"],
        ["\xE7\xAA\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xCA"],

        ["\xCC\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xA7\x94"],
        ["\xF0\xA5\xA7\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x94"],

        ["\xCC\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x86\xB4"],
        ["\xE4\x86\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x95"],

        ["\xCC\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xB9"],
        ["\xE7\xAA\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x96"],

        ["\x98\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBC"],
        ["\xE7\xAA\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x98\xDA"],

        ["\xCC\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBE"],
        ["\xE7\xAA\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x97"],

        ["\xCC\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x86\xBF"],
        ["\xE4\x86\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x98"],

        ["\xCC\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8C"],
        ["\xE7\xAB\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x99"],

        ["\xCC\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA8"],
        ["\xE7\xAB\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x9A"],

        ["\xCC\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB4"],
        ["\xE7\xAB\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x9D"],

        ["\xCC\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xAB\xA4"],
        ["\xF0\xA5\xAB\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x9E"],

        ["\xCC\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xAB\xA3"],
        ["\xF0\xA5\xAB\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\x9F"],

        ["\xCC\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x87"],
        ["\xE7\xAC\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xA2"],

        ["\xCC\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xAB\xB1"],
        ["\xF0\xA5\xAB\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xA3"],

        ["\x99\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xBD"],
        ["\xE7\xAC\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x49"],

        ["\xCC\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA7"],
        ["\xE7\xAC\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xA4"],

        ["\xCC\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAA"],
        ["\xE7\xAC\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xA5"],

        ["\x99\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAE"],
        ["\xE7\xAC\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x45"],

        ["\xCC\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAF"],
        ["\xE7\xAC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xA6"],

        ["\x99\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB1"],
        ["\xE7\xAC\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x44"],

        ["\xCC\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x87\xA6"],
        ["\xE4\x87\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xA7"],

        ["\xCC\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x87\xB3"],
        ["\xE4\x87\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xA8"],

        ["\xCC\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xBF"],
        ["\xE7\xAD\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xA9"],

        ["\xCC\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x81"],
        ["\xE7\xAD\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xAA"],

        ["\xCC\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x87\xAE"],
        ["\xE4\x87\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xAC"],

        ["\xCC\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x95"],
        ["\xE7\xAD\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xAD"],

        ["\xCC\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB9"],
        ["\xE7\xAD\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xAE"],

        ["\x99\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA4"],
        ["\xE7\xAD\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x84"],

        ["\x99\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA6"],
        ["\xE7\xAD\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x85"],

        ["\x99\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA9"],
        ["\xE7\xAD\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x56"],

        ["\xCC\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB3"],
        ["\xE7\xAD\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xAF"],

        ["\xCC\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xAE\xB2"],
        ["\xF0\xA5\xAE\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xBA"],

        ["\xCC\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x88\x87"],
        ["\xE4\x88\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xBB"],

        ["\xCC\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x90"],
        ["\xE7\xAE\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xBC"],

        ["\x99\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x91"],
        ["\xE7\xAE\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x89"],

        ["\x99\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9B"],
        ["\xE7\xAE\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x8D"],

        ["\xCC\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x88\x8E"],
        ["\xE4\x88\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xBD"],

        ["\xCC\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xAF"],
        ["\xE7\xAE\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xBE"],

        ["\xCC\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xB5"],
        ["\xE7\xAE\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xBF"],

        ["\x99\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xBC"],
        ["\xE7\xAE\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x97"],

        ["\xCC\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x85"],
        ["\xE7\xAF\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],

        ["\xCC\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x8A"],
        ["\xE7\xAF\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xB3"],

        ["\xCC\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB1\x8B"],
        ["\xF0\xA5\xB1\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],

        ["\xCC\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB1\xA4"],
        ["\xF0\xA5\xB1\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xB5"],

        ["\x99\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x94"],
        ["\xE7\xAF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xA2"],

        ["\xCC\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x96"],
        ["\xE7\xAF\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],

        ["\x99\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x9A"],
        ["\xE7\xAF\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\x9A"],

        ["\xCC\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xAA"],
        ["\xE7\xAF\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],

        ["\xCC\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xB0"],
        ["\xE7\xAF\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xB8"],

        ["\xCC\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x83"],
        ["\xE7\xB0\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xB9"],

        ["\x96\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x8B"],
        ["\xE7\xB0\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x96\xCB"],

        ["\xCC\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x8E"],
        ["\xE7\xB0\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],

        ["\x99\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x8F"],
        ["\xE7\xB0\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xA4"],

        ["\xCC\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA6"],
        ["\xE7\xB0\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xCB"],

        ["\xCC\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x85"],
        ["\xE7\xB1\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xCC"],

        ["\xCC\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x8A"],
        ["\xE7\xB1\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xCD"],

        ["\xCC\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x91"],
        ["\xE7\xB1\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xCE"],

        ["\xCC\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x97"],
        ["\xE7\xB1\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xCF"],

        ["\xCC\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x9E"],
        ["\xE7\xB1\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xDA"],

        ["\xCC\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA1"],
        ["\xE7\xB1\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xDB"],

        ["\xCC\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA9"],
        ["\xE7\xB1\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xDC"],

        ["\x99\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xAE"],
        ["\xE7\xB1\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xBD"],

        ["\xCC\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xAF"],
        ["\xE7\xB1\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xDD"],

        ["\xCC\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xB0"],
        ["\xE7\xB1\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xDE"],

        ["\xCC\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB8\xAE"],
        ["\xF0\xA5\xB8\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xDF"],

        ["\xCC\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB9\x96"],
        ["\xF0\xA5\xB9\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],

        ["\xCC\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB9\xA5"],
        ["\xF0\xA5\xB9\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xEB"],

        ["\xCC\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA6"],
        ["\xE7\xB2\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xEC"],

        ["\xCC\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB9\xA2"],
        ["\xF0\xA5\xB9\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],

        ["\xCC\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB6"],
        ["\xE7\xB2\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],

        ["\x99\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB7"],
        ["\xE7\xB2\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xCB"],

        ["\xCC\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xBF"],
        ["\xE7\xB2\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xEF"],

        ["\xCC\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBB\x98"],
        ["\xF0\xA5\xBB\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xFA"],

        ["\xCC\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x84"],
        ["\xE7\xB3\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xFB"],

        ["\xCC\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBB\x82"],
        ["\xF0\xA5\xBB\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xFC"],

        ["\x99\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x88"],
        ["\xE7\xB3\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xCE"],

        ["\xCC\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x8D"],
        ["\xE7\xB3\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],

        ["\xCC\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBB\xA8"],
        ["\xF0\xA5\xBB\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],

        ["\xCD\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x97"],
        ["\xE7\xB3\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x41"],

        ["\xCD\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBC\xA3"],
        ["\xF0\xA5\xBC\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x42"],

        ["\xA9\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xA6"],
        ["\xE7\xB3\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\x8A"],

        ["\xCD\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xAB"],
        ["\xE7\xB3\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x43"],

        ["\xCD\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBD\x9C"],
        ["\xF0\xA5\xBD\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x44"],

        ["\xCD\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB5"],
        ["\xE7\xB3\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x45"],

        ["\x99\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x83"],
        ["\xE7\xB4\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xED"],

        ["\x99\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x89"],
        ["\xE7\xB4\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x99\xEE"],

        ["\xCD\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B\x86"],
        ["\xE4\x8B\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x46"],

        ["\xCD\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x92"],
        ["\xE7\xB4\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x47"],

        ["\xCD\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9E"],
        ["\xE7\xB4\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x48"],

        ["\xCD\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBF\xA0"],
        ["\xF0\xA5\xBF\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x49"],

        ["\xCD\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBF\x94"],
        ["\xF0\xA5\xBF\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x51"],

        ["\xCD\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xBD"],
        ["\xE7\xB4\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x52"],

        ["\x9A\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xBE"],
        ["\xE7\xB4\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x45"],

        ["\xCD\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x80"],
        ["\xE7\xB5\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x53"],

        ["\x9A\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x87"],
        ["\xE7\xB5\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x43"],

        ["\xCD\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x80\x8C"],
        ["\xF0\xA6\x80\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x54"],

        ["\xCD\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBF\xBB"],
        ["\xF0\xA5\xBF\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x55"],

        ["\xCD\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B\x96"],
        ["\xE4\x8B\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x56"],

        ["\xCD\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x99"],
        ["\xE7\xB5\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x58"],

        ["\xCD\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x9A"],
        ["\xE7\xB5\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x81"],

        ["\x9A\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xAA"],
        ["\xE7\xB5\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x51"],

        ["\xCD\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB0"],
        ["\xE7\xB5\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x82"],

        ["\xCD\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B\x9D"],
        ["\xE4\x8B\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x83"],

        ["\xCD\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xBF"],
        ["\xE7\xB5\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x84"],

        ["\xCD\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x80\x97"],
        ["\xF0\xA6\x80\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x85"],

        ["\xCD\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x86"],
        ["\xE7\xB6\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x86"],

        ["\x9A\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x88"],
        ["\xE7\xB6\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x58"],

        ["\x9A\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x8C"],
        ["\xE7\xB6\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x55"],

        ["\xCD\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x97"],
        ["\xE7\xB6\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x87"],

        ["\xCD\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x81\xA0"],
        ["\xF0\xA6\x81\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x88"],

        ["\xCD\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9D"],
        ["\xE7\xB6\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x89"],

        ["\xCD\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA7"],
        ["\xE7\xB6\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x8A"],

        ["\xCD\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAA"],
        ["\xE7\xB6\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x8C"],

        ["\xCD\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB6"],
        ["\xE7\xB6\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x8D"],

        ["\xCD\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x80"],
        ["\xE7\xB7\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x8E"],

        ["\x9A\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x97"],
        ["\xE7\xB7\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x91"],

        ["\xCD\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x99"],
        ["\xE7\xB7\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x8F"],

        ["\xCD\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA6"],
        ["\xE7\xB7\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x90"],

        ["\x9A\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xB1"],
        ["\xE7\xB7\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x93"],

        ["\xCD\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xB9"],
        ["\xE7\xB7\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x91"],

        ["\xCD\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8C\x82"],
        ["\xE4\x8C\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x92"],

        ["\xCD\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x83\xAD"],
        ["\xF0\xA6\x83\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x93"],

        ["\xCD\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x98"],
        ["\xEF\xA9\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x94"],

        ["\xCD\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x90"],
        ["\xE7\xB8\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x95"],

        ["\xCD\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x97"],
        ["\xE7\xB8\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x96"],

        ["\x9A\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x9D"],
        ["\xE7\xB8\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x99"],

        ["\x9A\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA0"],
        ["\xE7\xB8\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\x97"],

        ["\x9A\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA7"],
        ["\xE7\xB8\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xA2"],

        ["\xCD\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xAC"],
        ["\xE7\xB8\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x97"],

        ["\xCD\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x85"],
        ["\xE7\xB9\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x98"],

        ["\xCD\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xB3"],
        ["\xE7\xB9\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x99"],

        ["\xCD\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xB5"],
        ["\xE7\xB9\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x9A"],

        ["\x9A\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBE"],
        ["\xE7\xB9\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xAD"],

        ["\x9A\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x86"],
        ["\xE7\xBA\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xAF"],

        ["\xCD\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x87"],
        ["\xE7\xBA\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x9D"],

        ["\xCD\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8C\xAB"],
        ["\xE4\x8C\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x9E"],

        ["\x9A\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x91"],
        ["\xE7\xBA\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xBB"],

        ["\xCD\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x98"],
        ["\xE7\xBA\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\x9F"],

        ["\xCD\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x9A"],
        ["\xE7\xBA\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xA2"],

        ["\xCD\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8D\x83"],
        ["\xE4\x8D\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xA3"],

        ["\xCD\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xBC"],
        ["\xE7\xBC\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xA4"],

        ["\xCD\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xBB"],
        ["\xE7\xBC\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xA5"],

        ["\xCD\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xBE"],
        ["\xE7\xBC\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xA6"],

        ["\x9A\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x83"],
        ["\xE7\xBD\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xBE"],

        ["\x9A\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x84"],
        ["\xE7\xBD\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xBF"],

        ["\xCD\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x8F"],
        ["\xE7\xBD\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xA7"],

        ["\xCD\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE3\x93\x81"],
        ["\xE3\x93\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xA8"],

        ["\xCD\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x89\xB0"],
        ["\xF0\xA6\x89\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],

        ["\x9A\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x92"],
        ["\xE7\xBD\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xB5"],

        ["\xCD\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x8A\x86"],
        ["\xF0\xA6\x8A\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],

        ["\x9A\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA1"],
        ["\xE7\xBD\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xB9"],

        ["\x9A\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA3"],
        ["\xE7\xBD\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xCA"],

        ["\xCD\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA4"],
        ["\xE7\xBD\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xAC"],

        ["\xCD\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xAD"],
        ["\xE7\xBD\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xAD"],

        ["\xCD\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xBD"],
        ["\xE7\xBD\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xAE"],

        ["\xCD\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xBE"],
        ["\xE7\xBD\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xAF"],

        ["\xCD\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x8D\x8C"],
        ["\xF0\xA6\x8D\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],

        ["\xCD\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x90"],
        ["\xE7\xBE\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xBB"],

        ["\xCD\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xBB"],
        ["\xE5\x85\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],

        ["\xCD\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB4\x8E"],
        ["\xF0\xA3\xB4\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xBD"],

        ["\xCD\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x96"],
        ["\xE7\xBE\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xBE"],

        ["\xCD\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x9C"],
        ["\xE7\xBE\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],

        ["\x9A\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xAD"],
        ["\xE7\xBE\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xEA"],

        ["\xCD\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x90\x82"],
        ["\xF0\xA6\x90\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xB2"],

        ["\xCD\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x83"],
        ["\xE7\xBF\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xB3"],

        ["\x9A\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x8F"],
        ["\xE7\xBF\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xEE"],

        ["\xCD\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA3"],
        ["\xE7\xBF\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xB4"],

        ["\x9A\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA5"],
        ["\xE7\xBF\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xFE"],

        ["\x9D\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xAF"],
        ["\xE7\xBF\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x41"],

        ["\xCD\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xB2"],
        ["\xE7\xBF\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xB5"],

        ["\xCD\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x82"],
        ["\xE8\x80\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xB6"],

        ["\x9D\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x8A"],
        ["\xE8\x80\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x45"],

        ["\xCD\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x88"],
        ["\xE8\x80\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xB7"],

        ["\xCD\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x8E"],
        ["\xE8\x80\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xB8"],

        ["\xCD\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x91"],
        ["\xE8\x80\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],

        ["\xCD\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x96"],
        ["\xE8\x80\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xCA"],

        ["\x9D\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xA4"],
        ["\xE8\x80\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x48"],

        ["\xCD\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xAC"],
        ["\xE8\x80\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xCB"],

        ["\x9D\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB0"],
        ["\xE8\x80\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x52"],

        ["\xCD\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x83"],
        ["\xE8\x81\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],

        ["\xCD\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xA6"],
        ["\xE8\x81\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],

        ["\xCD\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB1"],
        ["\xE8\x81\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],

        ["\x9D\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB5"],
        ["\xE8\x81\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x58"],

        ["\xCD\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xBB"],
        ["\xE8\x81\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xCF"],

        ["\xCD\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x99"],
        ["\xE8\x82\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],

        ["\xCD\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x9C"],
        ["\xE8\x82\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xDB"],

        ["\xCD\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA4"],
        ["\xE8\x82\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xDC"],

        ["\xCD\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA7"],
        ["\xE8\x82\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],

        ["\xCD\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xB8"],
        ["\xE8\x82\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],

        ["\xCD\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x99\xBE"],
        ["\xF0\xA6\x99\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xDF"],

        ["\xCD\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x85"],
        ["\xE8\x83\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xEA"],

        ["\xCD\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x95"],
        ["\xE8\x83\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xEB"],

        ["\x9D\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x98"],
        ["\xE8\x83\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x87"],

        ["\xCD\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA6"],
        ["\xE8\x83\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],

        ["\xCD\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x9A\xB0"],
        ["\xF0\xA6\x9A\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xED"],

        ["\xCD\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x8D"],
        ["\xE8\x84\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xEE"],

        ["\xCD\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB5"],
        ["\xE8\x83\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xEF"],

        ["\xCD\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xBB"],
        ["\xE8\x83\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xFA"],

        ["\xCD\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8F\xAE"],
        ["\xE4\x8F\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xFB"],

        ["\xCD\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xB5"],
        ["\xE8\x84\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],

        ["\x9D\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x96"],
        ["\xE8\x84\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\x91"],

        ["\xCD\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x9E"],
        ["\xE8\x84\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xFD"],

        ["\xCD\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x8F\xB0"],
        ["\xE4\x8F\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],

        ["\xCE\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xA4"],
        ["\xE8\x84\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x41"],

        ["\xCE\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xA7"],
        ["\xE8\x84\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x42"],

        ["\xCE\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xAC"],
        ["\xE8\x84\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x43"],

        ["\xCE\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x9C\x9D"],
        ["\xF0\xA6\x9C\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x44"],

        ["\xCE\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xBD"],
        ["\xE8\x84\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x45"],

        ["\xCE\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x90\x88"],
        ["\xE4\x90\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x46"],

        ["\xCE\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA9"],
        ["\xE8\x85\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x47"],

        ["\xCE\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x90\x97"],
        ["\xE4\x90\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x48"],

        ["\xCE\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x81"],
        ["\xE8\x86\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x49"],

        ["\xCE\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x90\x9C"],
        ["\xE4\x90\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x51"],

        ["\xCE\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x84"],
        ["\xE8\x86\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x52"],

        ["\xCE\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x85"],
        ["\xE8\x86\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x53"],

        ["\xCE\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x90\xA2"],
        ["\xE4\x90\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x54"],

        ["\xCE\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x98"],
        ["\xE8\x86\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x55"],

        ["\xCE\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB2"],
        ["\xE8\x86\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x56"],

        ["\xCE\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x81"],
        ["\xE8\x87\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x58"],

        ["\xCE\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x83"],
        ["\xE8\x87\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x81"],

        ["\xCE\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x96"],
        ["\xE8\x87\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x82"],

        ["\xCE\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x9B"],
        ["\xE8\x87\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x83"],

        ["\xCE\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA3\x9D"],
        ["\xF0\xA6\xA3\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x84"],

        ["\x9D\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA4"],
        ["\xE8\x87\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\xA3"],

        ["\xCE\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA3\xAA"],
        ["\xF0\xA6\xA3\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x85"],

        ["\x8F\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xAC"],
        ["\xE8\x87\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x8F\xCD"],

        ["\xCE\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA5\x91"],
        ["\xF0\xA6\xA5\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x86"],

        ["\xCE\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBD"],
        ["\xE8\x87\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x87"],

        ["\xCE\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBF"],
        ["\xE8\x87\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x88"],

        ["\xCE\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA5\xAF"],
        ["\xF0\xA6\xA5\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x89"],

        ["\xCE\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x84"],
        ["\xE8\x88\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x8A"],

        ["\xCE\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA7\x9D"],
        ["\xF0\xA6\xA7\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x8C"],

        ["\xCE\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x99"],
        ["\xE8\x88\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x8D"],

        ["\x9D\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xA1"],
        ["\xE8\x88\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\xBA"],

        ["\x9D\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xA2"],
        ["\xE8\x88\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\xBB"],

        ["\xCE\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA8\x9E"],
        ["\xF0\xA6\xA8\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x8E"],

        ["\xCE\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB2"],
        ["\xE8\x88\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x8F"],

        ["\x9D\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB4"],
        ["\xE8\x88\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\xBD"],

        ["\xCE\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xBC"],
        ["\xE8\x88\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x90"],

        ["\x9D\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x86"],
        ["\xE8\x89\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\xBF"],

        ["\xCE\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x89"],
        ["\xE8\x89\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x91"],

        ["\xCE\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x85"],
        ["\xE8\x89\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x92"],

        ["\xCE\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA9\x98"],
        ["\xF0\xA6\xA9\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x93"],

        ["\xCE\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x8B"],
        ["\xE8\x89\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x94"],

        ["\xCE\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x91\xB6"],
        ["\xE4\x91\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x95"],

        ["\xCE\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x8F"],
        ["\xE8\x89\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x96"],

        ["\xCE\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x91\xBA"],
        ["\xE4\x91\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x97"],

        ["\xCE\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x97"],
        ["\xE8\x89\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x98"],

        ["\xCE\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xAA\x8C"],
        ["\xF0\xA6\xAA\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x99"],

        ["\xCE\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x9C"],
        ["\xE8\x89\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x9A"],

        ["\xCE\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA3"],
        ["\xE8\x89\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x9D"],

        ["\xCE\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xAA\xB7"],
        ["\xF0\xA6\xAA\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x9E"],

        ["\xCE\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9D"],
        ["\xEF\xA9\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\x9F"],

        ["\xCE\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9E"],
        ["\xEF\xA9\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xA2"],

        ["\x9D\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB9"],
        ["\xE8\x89\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\xB8"],

        ["\xCE\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x92\x91"],
        ["\xE4\x92\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],

        ["\xCE\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xBD"],
        ["\xE8\x89\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],

        ["\xCE\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xBF"],
        ["\xE8\x89\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xA5"],

        ["\xCE\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x83"],
        ["\xE8\x8A\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],

        ["\xCE\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x8A"],
        ["\xE8\x8A\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xA7"],

        ["\xCE\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x93"],
        ["\xE8\x8A\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xA8"],

        ["\xCE\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA7"],
        ["\xE8\x8A\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],

        ["\xCE\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA8"],
        ["\xE8\x8A\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xAA"],

        ["\xCE\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB2"],
        ["\xE8\x8A\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],

        ["\xCE\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB4"],
        ["\xE8\x8A\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],

        ["\x9E\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBA"],
        ["\xE8\x8A\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\x48"],

        ["\xCE\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBC"],
        ["\xE8\x8A\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xAE"],

        ["\xCE\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA2"],
        ["\xE8\x8B\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xAF"],

        ["\xCE\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA8"],
        ["\xE8\x8B\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xBA"],

        ["\xCE\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB7"],
        ["\xE8\x8B\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xBB"],

        ["\xCE\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x87"],
        ["\xE8\x8C\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],

        ["\xCE\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x88"],
        ["\xE8\x8C\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xBD"],

        ["\xCE\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x8C"],
        ["\xE8\x8C\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xBE"],

        ["\xCE\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x94"],
        ["\xE8\x8D\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],

        ["\xCE\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x9B"],
        ["\xE8\x8C\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xB2"],

        ["\xCE\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x9D"],
        ["\xE8\x8C\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xB3"],

        ["\xCE\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB0"],
        ["\xE8\x8C\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xB4"],

        ["\xCE\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xBC"],
        ["\xE8\x8C\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xB5"],

        ["\xCE\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x84"],
        ["\xE8\x8D\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xB6"],

        ["\xCE\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x97"],
        ["\xE8\x8D\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xB7"],

        ["\xCE\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x92\xBE"],
        ["\xE4\x92\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],

        ["\xCE\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x93\x94"],
        ["\xE4\x93\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xB9"],

        ["\xCE\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x92\xB3"],
        ["\xE4\x92\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],

        ["\x9E\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x8D"],
        ["\xE8\x8E\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xB6"],

        ["\xCE\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x94"],
        ["\xE8\x8E\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],

        ["\xCE\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x95"],
        ["\xE8\x8E\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xCC"],

        ["\xCE\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9B"],
        ["\xE8\x8E\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xCD"],

        ["\xCE\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9D"],
        ["\xE8\x8E\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],

        ["\xCE\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x89"],
        ["\xE8\x8F\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xCF"],

        ["\xCE\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x90"],
        ["\xE8\x8F\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],

        ["\xCE\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x94"],
        ["\xE8\x8F\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],

        ["\xCE\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x9D"],
        ["\xE8\x8F\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xDC"],

        ["\xCE\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xA5"],
        ["\xE8\x8F\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],

        ["\xCE\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB9"],
        ["\xE8\x8F\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],

        ["\xCE\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8F"],
        ["\xE8\x90\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],

        ["\x9E\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x91"],
        ["\xE8\x90\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9E\xEF"],

        ["\xCE\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x95"],
        ["\xE8\x90\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],

        ["\xCE\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB1\xB3"],
        ["\xF0\xA6\xB1\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],

        ["\xCE\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x97"],
        ["\xE8\x90\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],

        ["\xCE\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xB9"],
        ["\xE8\x90\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],

        ["\x9F\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x8A"],
        ["\xE8\x91\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\x84"],

        ["\x9F\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x8F"],
        ["\xE8\x91\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\x86"],

        ["\xCE\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x91"],
        ["\xE8\x91\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xEE"],

        ["\xCE\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x92"],
        ["\xE8\x91\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xEF"],

        ["\xCE\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x99"],
        ["\xE8\x91\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xFA"],

        ["\x9F\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x9A"],
        ["\xE8\x91\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\x87"],

        ["\xCE\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x9C"],
        ["\xE8\x91\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xFB"],

        ["\xCE\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB3\x9D"],
        ["\xF0\xA6\xB3\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xFC"],

        ["\xCE\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA5"],
        ["\xE8\x91\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xFD"],

        ["\xCE\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB6"],
        ["\xE8\x91\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],

        ["\xCF\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB8"],
        ["\xE8\x91\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x41"],

        ["\xCF\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xBC"],
        ["\xE8\x91\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x42"],

        ["\xCF\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x81"],
        ["\xE8\x92\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x43"],

        ["\xCF\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x94\x8D"],
        ["\xE4\x94\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x44"],

        ["\xCF\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x97"],
        ["\xE8\x92\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x45"],

        ["\x9F\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xA6"],
        ["\xE8\x92\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\x9A"],

        ["\xCF\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBE"],
        ["\xE8\x92\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x46"],

        ["\xCF\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x94\x88"],
        ["\xE4\x94\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x47"],

        ["\xCF\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8E"],
        ["\xE8\x93\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x48"],

        ["\xCF\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8F"],
        ["\xE8\x93\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x49"],

        ["\xCF\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x93"],
        ["\xE8\x93\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x51"],

        ["\xCF\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB9\xA5"],
        ["\xF0\xA6\xB9\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x52"],

        ["\xCF\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xA7"],
        ["\xE8\x93\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x53"],

        ["\xCF\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xAA"],
        ["\xE8\x93\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x54"],

        ["\xCF\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xAF"],
        ["\xE8\x93\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x55"],

        ["\x9F\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xB0"],
        ["\xE8\x93\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\xAF"],

        ["\xCF\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xB1"],
        ["\xE8\x93\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x56"],

        ["\xCF\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xBA"],
        ["\xE8\x93\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x58"],

        ["\xCF\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xBD"],
        ["\xE8\x93\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x81"],

        ["\xCF\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x8C"],
        ["\xE8\x94\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x82"],

        ["\xCF\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x9B"],
        ["\xE8\x94\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x83"],

        ["\xCF\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA4"],
        ["\xE8\x94\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x84"],

        ["\xCF\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA5"],
        ["\xE8\x94\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x85"],

        ["\xCF\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xAB"],
        ["\xE8\x94\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x86"],

        ["\xCF\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xB4"],
        ["\xE8\x94\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x87"],

        ["\xCF\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x8F"],
        ["\xE8\x95\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x88"],

        ["\xCF\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xAF"],
        ["\xE8\x95\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x89"],

        ["\xCF\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x94\xA5"],
        ["\xE4\x94\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x8A"],

        ["\xCF\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x95\x83"],
        ["\xE4\x95\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x8C"],

        ["\xCF\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xBE"],
        ["\xE8\x94\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x8D"],

        ["\xCF\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x91"],
        ["\xE8\x95\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x8E"],

        ["\xCF\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x9E"],
        ["\xE8\x95\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x8F"],

        ["\xCF\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA1"],
        ["\xE8\x95\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x90"],

        ["\x9F\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA2"],
        ["\xE8\x95\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9F\xCB"],

        ["\xCF\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xBE\x94"],
        ["\xF0\xA6\xBE\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x91"],

        ["\xCF\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBB"],
        ["\xE8\x95\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x92"],

        ["\xCF\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBD"],
        ["\xE8\x95\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x93"],

        ["\xCF\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBF"],
        ["\xE8\x95\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x94"],

        ["\xCF\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x81"],
        ["\xE8\x96\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x95"],

        ["\xCF\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x86"],
        ["\xE8\x96\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x96"],

        ["\xCF\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x93"],
        ["\xE8\x96\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x97"],

        ["\xCF\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x9D"],
        ["\xE8\x96\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x98"],

        ["\xCF\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x9F"],
        ["\xE8\x96\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x99"],

        ["\xCF\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xBF\xB8"],
        ["\xF0\xA6\xBF\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x9A"],

        ["\xCF\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xBF\xB6"],
        ["\xF0\xA6\xBF\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x9D"],

        ["\xCF\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xBF\xB7"],
        ["\xF0\xA6\xBF\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x9E"],

        ["\xCF\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xB7"],
        ["\xE8\x96\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\x9F"],

        ["\xCF\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xBC"],
        ["\xE8\x96\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xA2"],

        ["\xCF\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x87"],
        ["\xE8\x97\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],

        ["\xCF\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8A"],
        ["\xE8\x97\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xA4"],

        ["\xCF\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x98"],
        ["\xE8\x97\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],

        ["\xCF\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x99"],
        ["\xE8\x97\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],

        ["\xCF\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x9F"],
        ["\xE8\x97\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],

        ["\xCF\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA1"],
        ["\xE8\x97\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xA8"],

        ["\xCF\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA6"],
        ["\xE8\x97\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xA9"],

        ["\xCF\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xB6"],
        ["\xE8\x97\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xAA"],

        ["\xCF\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x80"],
        ["\xE8\x98\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xAC"],

        ["\xCF\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x91"],
        ["\xE8\x98\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xAD"],

        ["\xCF\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x9E"],
        ["\xE8\x98\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xAE"],

        ["\xCF\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA1"],
        ["\xE8\x98\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xAF"],

        ["\xCF\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA4"],
        ["\xE8\x98\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xBA"],

        ["\xCF\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA7"],
        ["\xE8\x98\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],

        ["\xCF\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x84\x8D"],
        ["\xF0\xA7\x84\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],

        ["\xCF\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xB9"],
        ["\xE8\x98\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xBD"],

        ["\xCF\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xBC"],
        ["\xE8\x98\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],

        ["\xCF\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x84\xB9"],
        ["\xF0\xA7\x84\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xBF"],

        ["\xCF\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x80"],
        ["\xE8\x99\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xB2"],

        ["\xCF\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x93"],
        ["\xE8\x99\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xB3"],

        ["\xA2\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x96"],
        ["\xE8\x99\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\x99"],

        ["\xCF\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xAF"],
        ["\xE8\x99\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xB4"],

        ["\xA2\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xB7"],
        ["\xE8\x99\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],

        ["\xA2\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xBA"],
        ["\xE8\x99\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],

        ["\xCF\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x87"],
        ["\xE8\x9A\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],

        ["\xCF\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x89"],
        ["\xE8\x9A\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xB6"],

        ["\xCF\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x8D"],
        ["\xE8\x9A\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xB7"],

        ["\xCF\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x91"],
        ["\xE8\x9A\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],

        ["\xCF\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x9C"],
        ["\xE8\x9A\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],

        ["\xCF\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x9D"],
        ["\xE8\x9A\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xCA"],

        ["\xCF\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xA8"],
        ["\xE8\x9A\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xCB"],

        ["\xA2\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB1"],
        ["\xE8\x9A\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],

        ["\xCF\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB3"],
        ["\xE8\x9A\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xCC"],

        ["\xCF\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x81"],
        ["\xE8\x9B\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xCD"],

        ["\xCF\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x83"],
        ["\xE8\x9B\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xCE"],

        ["\xCF\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x91"],
        ["\xE8\x9B\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xCF"],

        ["\xCF\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x95"],
        ["\xE8\x9B\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xDA"],

        ["\xCF\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x97"],
        ["\xE8\x9B\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xDB"],

        ["\xCF\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xA3"],
        ["\xE8\x9B\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xDC"],

        ["\xCF\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xA6"],
        ["\xE8\x9B\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xDD"],

        ["\xCF\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x96\xB8"],
        ["\xE4\x96\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xDE"],

        ["\xCF\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x85"],
        ["\xE8\x9C\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xDF"],

        ["\xCF\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x87"],
        ["\xE8\x9C\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xEA"],

        ["\xCF\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x8E"],
        ["\xE8\x9C\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xEB"],

        ["\xCF\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x90"],
        ["\xE8\x9C\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xEC"],

        ["\xCF\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x93"],
        ["\xE8\x9C\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xED"],

        ["\xA2\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x99"],
        ["\xE8\x9C\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xAF"],

        ["\xCF\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x9F"],
        ["\xE8\x9C\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xEE"],

        ["\xCF\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xA1"],
        ["\xE8\x9C\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xEF"],

        ["\xCF\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xA3"],
        ["\xE8\x9C\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xFA"],

        ["\xCF\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xB1"],
        ["\xE8\x9C\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xFB"],

        ["\xCF\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xBA"],
        ["\xE8\x9C\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xFC"],

        ["\xCF\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xBE"],
        ["\xE8\x9C\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xFD"],

        ["\xCF\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x80"],
        ["\xE8\x9D\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xCF\xFE"],

        ["\xDA\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x83"],
        ["\xE8\x9D\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x41"],

        ["\xDA\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x91"],
        ["\xE8\x9D\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x42"],

        ["\xA2\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x98"],
        ["\xE8\x9D\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xBA"],

        ["\xDA\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA4"],
        ["\xE8\x9D\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x43"],

        ["\xDA\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA5"],
        ["\xE8\x9D\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x44"],

        ["\xDA\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB2"],
        ["\xE8\x9D\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x45"],

        ["\xDA\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xBC"],
        ["\xE8\x9D\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x46"],

        ["\xDA\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x8F\x9B"],
        ["\xF0\xA7\x8F\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x47"],

        ["\xDA\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x8F\x9A"],
        ["\xF0\xA7\x8F\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x48"],

        ["\xDA\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xA7"],
        ["\xE8\x9E\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x49"],

        ["\xDA\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x89"],
        ["\xE8\x9E\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x51"],

        ["\xDA\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x8B"],
        ["\xE8\x9E\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x52"],

        ["\xDA\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x93"],
        ["\xE8\x9E\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x53"],

        ["\xA2\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xA0"],
        ["\xE8\x9E\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xBD"],

        ["\xDA\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x8F\xBE"],
        ["\xF0\xA7\x8F\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x54"],

        ["\xDA\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x97\xA5"],
        ["\xE4\x97\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x55"],

        ["\xDA\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xBE"],
        ["\xE8\x9E\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x56"],

        ["\xDA\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x90\x90"],
        ["\xF0\xA7\x90\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x58"],

        ["\xDA\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x81"],
        ["\xE8\x9F\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x81"],

        ["\xDA\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x8E"],
        ["\xE8\x9F\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x82"],

        ["\xDA\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB5"],
        ["\xE8\x9F\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x83"],

        ["\xDA\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x9F"],
        ["\xE8\x9F\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x84"],

        ["\xDA\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x91\x89"],
        ["\xF0\xA7\x91\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x85"],

        ["\xDA\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xA3"],
        ["\xE8\x9F\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x86"],

        ["\xDA\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xA5"],
        ["\xE8\x9F\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x87"],

        ["\xDA\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xA6"],
        ["\xE8\x9F\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x88"],

        ["\xDA\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAA"],
        ["\xE8\x9F\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x89"],

        ["\xDA\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAB"],
        ["\xE8\x9F\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x8A"],

        ["\xDA\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAD"],
        ["\xE8\x9F\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x8C"],

        ["\xA2\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x81"],
        ["\xE8\xA0\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xB7"],

        ["\xDA\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x83"],
        ["\xE8\xA0\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x8D"],

        ["\xA2\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8B"],
        ["\xE8\xA0\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xB5"],

        ["\xDA\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x93"],
        ["\xE8\xA0\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x8E"],

        ["\xA2\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA8"],
        ["\xE8\xA0\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xB8"],

        ["\xDA\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xAE"],
        ["\xE8\xA0\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x8F"],

        ["\xA2\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xB2"],
        ["\xE8\xA0\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xB9"],

        ["\xDA\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xBC"],
        ["\xE8\xA0\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x90"],

        ["\xDA\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x98\x8F"],
        ["\xE4\x98\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x91"],

        ["\xDA\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x8A"],
        ["\xE8\xA1\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x92"],

        ["\xDA\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x98"],
        ["\xE8\xA1\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x93"],

        ["\xA5\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x9F"],
        ["\xE8\xA1\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],

        ["\xA2\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA4"],
        ["\xE8\xA1\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xCE"],

        ["\xDA\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x98\x95"],
        ["\xF0\xA7\x98\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x94"],

        ["\xDA\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x98\x94"],
        ["\xF0\xA7\x98\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x95"],

        ["\xDA\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA9"],
        ["\xE8\xA1\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x96"],

        ["\xDA\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x98\xB1"],
        ["\xF0\xA7\x98\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x97"],

        ["\xDA\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xAF"],
        ["\xE8\xA1\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x98"],

        ["\xDA\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xA0"],
        ["\xE8\xA2\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x99"],

        ["\xDA\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xBC"],
        ["\xE8\xA2\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x9A"],

        ["\xDA\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xBD"],
        ["\xE8\xA2\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x9D"],

        ["\xDA\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xBE"],
        ["\xE8\xA2\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x9E"],

        ["\xA2\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x80"],
        ["\xE8\xA3\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA2\xEE"],

        ["\xDA\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x92"],
        ["\xE8\xA3\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\x9F"],

        ["\xDA\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9A\x93"],
        ["\xF0\xA7\x9A\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xA2"],

        ["\xDA\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x91"],
        ["\xE8\xA3\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xA3"],

        ["\xDA\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x93"],
        ["\xE8\xA3\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xA4"],

        ["\xA3\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x9B"],
        ["\xE8\xA3\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x41"],

        ["\xDA\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB0"],
        ["\xE8\xA3\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xA5"],

        ["\xA3\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB1"],
        ["\xE8\xA3\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x43"],

        ["\xDA\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x99\x81"],
        ["\xE4\x99\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xA6"],

        ["\xDA\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x81"],
        ["\xE8\xA4\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xA7"],

        ["\xDA\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9C\x8E"],
        ["\xF0\xA7\x9C\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xA8"],

        ["\xDA\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB7"],
        ["\xE8\xA4\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xA9"],

        ["\xDA\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9C\xA3"],
        ["\xF0\xA7\x9C\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xAA"],

        ["\xDA\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x82"],
        ["\xE8\xA5\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xAC"],

        ["\xDA\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x85"],
        ["\xE8\xA5\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xAD"],

        ["\xDA\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x89"],
        ["\xE8\xA5\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xAE"],

        ["\xDA\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9D\x92"],
        ["\xF0\xA7\x9D\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xAF"],

        ["\xDA\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x99\xA5"],
        ["\xE4\x99\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xBA"],

        ["\xDA\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xA2"],
        ["\xE8\xA5\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xBB"],

        ["\xDA\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x80"],
        ["\xE8\xA6\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xBC"],

        ["\x9A\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x89"],
        ["\xE8\xA6\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9A\xCD"],

        ["\xDA\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x90"],
        ["\xE8\xA6\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xBD"],

        ["\xDA\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x9F"],
        ["\xE8\xA6\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xBE"],

        ["\xA3\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xB0"],
        ["\xE8\xA6\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x90"],

        ["\xDA\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xB7"],
        ["\xE8\xA6\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xBF"],

        ["\xDA\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x96"],
        ["\xE8\xA7\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xB2"],

        ["\xDA\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x98"],
        ["\xE8\xA7\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xB3"],

        ["\xDA\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xAB"],
        ["\xE8\xA7\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xB4"],

        ["\xDA\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9A\xA1"],
        ["\xE4\x9A\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xB5"],

        ["\xDA\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB1"],
        ["\xE8\xA7\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xB6"],

        ["\xDA\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB3"],
        ["\xE8\xA7\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xB7"],

        ["\xDA\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xBD"],
        ["\xE8\xA7\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xB8"],

        ["\xDA\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xBF"],
        ["\xE8\xA7\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xB9"],

        ["\xDA\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9A\xAF"],
        ["\xE4\x9A\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xCA"],

        ["\xA3\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x91"],
        ["\xE8\xA8\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\x9E"],

        ["\xDA\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x94"],
        ["\xE8\xA8\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xCB"],

        ["\xDA\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xA6\x85"],
        ["\xF0\xA7\xA6\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xCC"],

        ["\xDA\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xA1"],
        ["\xE8\xA8\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xCD"],

        ["\xDA\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB5"],
        ["\xE8\xA8\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xCE"],

        ["\xDA\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xBE"],
        ["\xE8\xA8\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xCF"],

        ["\xA3\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x85"],
        ["\xE8\xA9\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xAD"],

        ["\xA3\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x8D"],
        ["\xE8\xA9\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xA6"],

        ["\xA3\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x98"],
        ["\xE8\xA9\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xA8"],

        ["\xDA\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xAE"],
        ["\xE8\xAA\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xDA"],

        ["\xDA\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x90"],
        ["\xE8\xAA\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xDB"],

        ["\xDA\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xB7"],
        ["\xE8\xAA\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xDC"],

        ["\xA3\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x97"],
        ["\xE8\xAB\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xB6"],

        ["\xA3\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xBC"],
        ["\xE8\xAB\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xCD"],

        ["\xDA\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xAA\x84"],
        ["\xF0\xA7\xAA\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xDD"],

        ["\xDA\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x8A"],
        ["\xE8\xAC\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xDE"],

        ["\xDA\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x85"],
        ["\xE8\xAC\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xDF"],

        ["\xDA\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x8D"],
        ["\xE8\xAC\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xEA"],

        ["\xDA\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9C"],
        ["\xE8\xAC\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xEB"],

        ["\xDA\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9F"],
        ["\xE8\xAC\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xEC"],

        ["\xDA\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xAD"],
        ["\xE8\xAC\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xED"],

        ["\xA3\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x83"],
        ["\xE8\xAD\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],

        ["\xDA\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9C\x8C"],
        ["\xE4\x9C\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xEE"],

        ["\xDA\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x91"],
        ["\xE8\xAD\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xEF"],

        ["\xDA\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9E"],
        ["\xE8\xAD\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xFA"],

        ["\xDA\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB6"],
        ["\xE8\xAD\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xFB"],

        ["\xDA\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x81"],
        ["\xE8\xAE\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xFC"],

        ["\xDA\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x8B"],
        ["\xE8\xAE\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xFD"],

        ["\xDA\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x94"],
        ["\xE8\xAE\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDA\xFE"],

        ["\xDB\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x95"],
        ["\xE8\xAE\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x41"],

        ["\xDB\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x9C"],
        ["\xE8\xAE\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x42"],

        ["\xDB\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x9E"],
        ["\xE8\xAE\x9E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x43"],

        ["\xA4\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xB9"],
        ["\xE8\xB0\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x43"],

        ["\xDB\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xAE\xB3"],
        ["\xF0\xA7\xAE\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x44"],

        ["\xDB\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xBD"],
        ["\xE8\xB0\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x45"],

        ["\xDB\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xAE\xBE"],
        ["\xF0\xA7\xAE\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x46"],

        ["\xDB\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xAF\x87"],
        ["\xF0\xA7\xAF\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x47"],

        ["\xA4\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x85"],
        ["\xE8\xB1\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x45"],

        ["\xA4\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x87"],
        ["\xE8\xB1\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x46"],

        ["\xDB\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x8F"],
        ["\xE8\xB1\x8F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x48"],

        ["\x9D\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x94"],
        ["\xE8\xB1\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x9D\xB7"],

        ["\xDB\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA4"],
        ["\xE8\xB2\xA4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x49"],

        ["\xA4\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x96"],
        ["\xE8\xB3\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x85"],

        ["\xDB\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x95"],
        ["\xE8\xB3\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x51"],

        ["\xA4\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x99"],
        ["\xE8\xB3\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x89"],

        ["\xDB\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xB6\xA0"],
        ["\xF0\xA7\xB6\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x52"],

        ["\xDB\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xB1"],
        ["\xE8\xB3\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x53"],

        ["\xDB\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xB8\x90"],
        ["\xF0\xA7\xB8\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x54"],

        ["\xDB\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x89"],
        ["\xE8\xB4\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x55"],

        ["\xDB\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8E"],
        ["\xE8\xB4\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x56"],

        ["\xDB\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xAC"],
        ["\xE8\xB5\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x58"],

        ["\xA4\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x84"],
        ["\xE8\xB6\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\x99"],

        ["\xDB\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x95"],
        ["\xE8\xB6\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x81"],

        ["\xDB\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xA6"],
        ["\xE8\xB6\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x82"],

        ["\xDB\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xBE\xB7"],
        ["\xF0\xA7\xBE\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x83"],

        ["\xDB\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x86"],
        ["\xE8\xB7\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x84"],

        ["\xDB\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x88"],
        ["\xE8\xB7\x88",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x85"],

        ["\xDB\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x99"],
        ["\xE8\xB7\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x86"],

        ["\xDB\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\x9F\xBD"],
        ["\xE4\x9F\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x87"],

        ["\xDB\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xBD"],
        ["\xE8\xB7\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x88"],

        ["\xDB\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xA2"],
        ["\xE8\xB8\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x89"],

        ["\xDB\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA0\x96"],
        ["\xE4\xA0\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x8A"],

        ["\xDB\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1\x8E"],
        ["\xE4\xA1\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x8C"],

        ["\xA4\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x8D"],
        ["\xE8\xBF\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA4\xFB"],

        ["\xDB\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x83"],
        ["\xE9\x81\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x8D"],

        ["\xA5\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x84"],
        ["\xE9\x81\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA5\x8F"],

        ["\xDB\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2\xB5"],
        ["\xE4\xA2\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x8E"],

        ["\xDB\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xAB"],
        ["\xE9\x83\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x8F"],

        ["\xDB\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x87"],
        ["\xE9\x89\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x90"],

        ["\xA6\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA5"],
        ["\xE9\x89\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xB4"],

        ["\xA6\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x89"],
        ["\xE9\x8A\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA6\xCD"],

        ["\xDB\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x97"],
        ["\xE9\x8A\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x91"],

        ["\xDB\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x8B"],
        ["\xE9\x8E\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x92"],

        ["\xDB\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xB1"],
        ["\xE9\x8F\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x93"],

        ["\xA8\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8D"],
        ["\xE9\x96\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x41"],

        ["\x86\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xAC"],
        ["\xE9\x98\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x86\xA7"],

        ["\xDB\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xB3"],
        ["\xE9\x98\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x94"],

        ["\xDB\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xB4"],
        ["\xE9\x98\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x95"],

        ["\xDB\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xBC"],
        ["\xE9\x98\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x96"],

        ["\xA8\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x82"],
        ["\xE9\x9A\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x88"],

        ["\xDB\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7\xA7"],
        ["\xE4\xA7\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x97"],

        ["\xDB\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7\xBA"],
        ["\xE4\xA7\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x98"],

        ["\xDB\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x98"],
        ["\xE9\x9B\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x99"],

        ["\xDB\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8\x84"],
        ["\xE4\xA8\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x9A"],

        ["\xDB\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8\xA9"],
        ["\xE4\xA8\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x9D"],

        ["\xDB\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x97"],
        ["\xE9\x9D\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x9E"],

        ["\xDB\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xAA"],
        ["\xE9\x9D\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\x9F"],

        ["\xA8\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x8C"],
        ["\xE9\x9F\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xB3"],

        ["\xA8\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x8D"],
        ["\xE9\xA0\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\xDE"],

        ["\xDB\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x94"],
        ["\xE9\xA0\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xA2"],

        ["\x93\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x96"],
        ["\xE9\xA0\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\x93\x58"],

        ["\xDB\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA\xBC"],
        ["\xE4\xAA\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xA3"],

        ["\xDB\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xA3"],
        ["\xE9\xA0\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xA4"],

        ["\xDB\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC\xBB"],
        ["\xE4\xAC\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xA5"],

        ["\xDB\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x9C"],
        ["\xE9\xA4\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xA6"],

        ["\xDB\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\xA0"],
        ["\xE9\xA5\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xA7"],

        ["\xDB\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xA3"],
        ["\xE9\xA6\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xA8"],

        ["\xDB\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xB9"],
        ["\xE9\xA7\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xA9"],

        ["\xDB\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xBC"],
        ["\xE9\xA7\xBC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xAA"],

        ["\xDB\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x91"],
        ["\xE9\xA8\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xAC"],

        ["\xDB\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x9A"],
        ["\xE9\xA8\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xAD"],

        ["\xDB\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xA0"],
        ["\xE9\xA8\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xAE"],

        ["\xDB\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB1"],
        ["\xE9\xA8\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xAF"],

        ["\xDB\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB6"],
        ["\xE9\xA8\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xBA"],

        ["\xDB\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x84"],
        ["\xE9\xA9\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xBB"],

        ["\xDB\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x8C"],
        ["\xE9\xA9\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xBC"],

        ["\xDB\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x98"],
        ["\xE9\xA9\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xBD"],

        ["\xDB\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF\x82"],
        ["\xE4\xAF\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xBE"],

        ["\xA9\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xAF"],
        ["\xE9\xAA\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xBA"],

        ["\xDB\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF\x8A"],
        ["\xE4\xAF\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xBF"],

        ["\xDB\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB7"],
        ["\xE9\xAA\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xB2"],

        ["\xDB\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF\x92"],
        ["\xE4\xAF\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xB3"],

        ["\xDB\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB9"],
        ["\xE9\xAA\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xB4"],

        ["\xDB\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x86"],
        ["\xE9\xAB\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xB5"],

        ["\xDB\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x90"],
        ["\xE9\xAB\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xB6"],

        ["\xDB\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x92"],
        ["\xE9\xAB\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xB7"],

        ["\xDB\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x95"],
        ["\xE9\xAB\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xB8"],

        ["\xDB\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF\xA8"],
        ["\xE4\xAF\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xB9"],

        ["\xDB\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA0"],
        ["\xE9\xAB\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xCA"],

        ["\xDB\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA5"],
        ["\xE9\xAB\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xCB"],

        ["\xA9\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA9"],
        ["\xE9\xAB\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xB3"],

        ["\xDB\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x83"],
        ["\xE9\xAC\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xCC"],

        ["\xDB\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x8C"],
        ["\xE9\xAC\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xCD"],

        ["\xDB\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x90"],
        ["\xE9\xAC\x90",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xCE"],

        ["\xA9\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x92"],
        ["\xE9\xAC\x92",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xB7"],

        ["\xDB\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x96"],
        ["\xE9\xAC\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xCF"],

        ["\xDB\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x9C"],
        ["\xE9\xAC\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xDA"],

        ["\xDB\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAB"],
        ["\xE9\xAC\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xDB"],

        ["\xDB\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xB3"],
        ["\xE9\xAC\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xDC"],

        ["\xDB\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xBD"],
        ["\xE9\xAC\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xDD"],

        ["\xDB\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0\xA0"],
        ["\xE4\xB0\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xDE"],

        ["\xDB\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x8B"],
        ["\xE9\xAD\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xDF"],

        ["\xDB\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xA3"],
        ["\xE9\xAD\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xEA"],

        ["\xDB\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xA5"],
        ["\xE9\xAD\xA5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xEB"],

        ["\xDB\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xAB"],
        ["\xE9\xAD\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xEC"],

        ["\xDB\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xAC"],
        ["\xE9\xAD\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xED"],

        ["\xA9\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB3"],
        ["\xE9\xAD\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xDA"],

        ["\xDB\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB6"],
        ["\xE9\xAD\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xEE"],

        ["\xDB\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB7"],
        ["\xE9\xAD\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xEF"],

        ["\xDB\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xA6"],
        ["\xE9\xAE\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xFA"],

        ["\xDB\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAC"],
        ["\xE9\xAE\xAC",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xFB"],

        ["\xDB\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xB7\x9B"],
        ["\xF0\xA9\xB7\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xFC"],

        ["\xDB\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xB8\xBD"],
        ["\xF0\xA9\xB8\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xFD"],

        ["\xA9\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB2"],
        ["\xE9\xAE\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA9\xFC"],

        ["\xDB\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB8"],
        ["\xE9\xAE\xB8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDB\xFE"],

        ["\xDC\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xBE"],
        ["\xE9\xAE\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x41"],

        ["\xAA\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x87"],
        ["\xE9\xAF\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x41"],

        ["\xDC\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB3"],
        ["\xE9\xAF\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x42"],

        ["\xDC\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x98"],
        ["\xE9\xAF\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x43"],

        ["\xDC\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x9D"],
        ["\xE9\xAF\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x44"],

        ["\xDC\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA7"],
        ["\xE9\xAF\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x45"],

        ["\xAA\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xAA"],
        ["\xE9\xAF\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x54"],

        ["\xAA\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xAB"],
        ["\xE9\xAF\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x49"],

        ["\xDC\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xAF"],
        ["\xE9\xAF\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x46"],

        ["\xDC\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xAE"],
        ["\xE9\xAF\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x47"],

        ["\xDC\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xB8\x95"],
        ["\xF0\xA9\xB8\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x48"],

        ["\xAA\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xBA"],
        ["\xE9\xAF\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x81"],

        ["\xDC\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBA\x8A"],
        ["\xF0\xA9\xBA\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x49"],

        ["\xDC\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB7"],
        ["\xE9\xAF\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x51"],

        ["\xDC\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xB9\x89"],
        ["\xF0\xA9\xB9\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x52"],

        ["\xDC\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x96"],
        ["\xE9\xB0\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x53"],

        ["\xDC\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x98"],
        ["\xE9\xB0\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x54"],

        ["\xDC\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x99"],
        ["\xE9\xB0\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x55"],

        ["\xDC\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x9A"],
        ["\xE9\xB0\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x56"],

        ["\xDC\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x9D"],
        ["\xE9\xB0\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x58"],

        ["\xDC\x81",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA2"],
        ["\xE9\xB0\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x81"],

        ["\xDC\x82",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA7"],
        ["\xE9\xB0\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x82"],

        ["\xAA\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA9"],
        ["\xE9\xB0\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x84"],

        ["\xAA\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xAA"],
        ["\xE9\xB0\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x86"],

        ["\xDC\x83",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBB\x84"],
        ["\xF0\xA9\xBB\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x83"],

        ["\xAA\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB1"],
        ["\xE9\xB0\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x87"],

        ["\xDC\x84",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB6"],
        ["\xE9\xB0\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x84"],

        ["\xDC\x85",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB7"],
        ["\xE9\xB0\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x85"],

        ["\xDC\x86",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x85"],
        ["\xE9\xB1\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x86"],

        ["\xDC\x87",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9C"],
        ["\xE9\xB1\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x87"],

        ["\xDC\x88",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBB\xA9"],
        ["\xF0\xA9\xBB\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x88"],

        ["\xDC\x89",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x89"],
        ["\xE9\xB1\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x89"],

        ["\xDC\x8A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x8A"],
        ["\xE9\xB1\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x8A"],

        ["\xDC\x8C",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBB\x9B"],
        ["\xF0\xA9\xBB\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x8C"],

        ["\xDC\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x94"],
        ["\xE9\xB1\x94",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x8D"],

        ["\xDC\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x98"],
        ["\xE9\xB1\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x8E"],

        ["\xDC\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9B"],
        ["\xE9\xB1\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x8F"],

        ["\xDC\x90",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9D"],
        ["\xE9\xB1\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x90"],

        ["\xDC\x91",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9F"],
        ["\xE9\xB1\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x91"],

        ["\xAA\x8D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA9"],
        ["\xE9\xB1\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x8D"],

        ["\xDC\x92",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xAA"],
        ["\xE9\xB1\xAA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x92"],

        ["\xDC\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xAB"],
        ["\xE9\xB1\xAB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x93"],

        ["\xDC\x94",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xAD"],
        ["\xE9\xB1\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x94"],

        ["\xAA\x8E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xAE"],
        ["\xE9\xB1\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x8E"],

        ["\xAA\x8F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB0"],
        ["\xE9\xB1\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x8F"],

        ["\xDC\x95",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB2"],
        ["\xE9\xB1\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x95"],

        ["\xDC\x96",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB5"],
        ["\xE9\xB1\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x96"],

        ["\xDC\x97",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xBA"],
        ["\xE9\xB1\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x97"],

        ["\xDC\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xA6"],
        ["\xE9\xB3\xA6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x98"],

        ["\xDC\x99",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB2"],
        ["\xE9\xB3\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x99"],

        ["\xAA\x93",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x8B"],
        ["\xE9\xB4\x8B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x93"],

        ["\xDC\x9A",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x82"],
        ["\xE9\xB4\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x9A"],

        ["\xDC\x9D",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBF\x8E"],
        ["\xF0\xA9\xBF\x8E",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x9D"],

        ["\xDC\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x91"],
        ["\xE9\xB4\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x9E"],

        ["\xDC\x9F",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x97"],
        ["\xE9\xB4\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\x9F"],

        ["\xAA\x98",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x98"],
        ["\xE9\xB4\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\x98"],

        ["\xDC\xA2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x80\xAF"],
        ["\xF0\xAA\x80\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xA2"],

        ["\xDC\xA3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3\x84"],
        ["\xE4\xB3\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xA3"],

        ["\xDC\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x80\x9A"],
        ["\xF0\xAA\x80\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xA4"],

        ["\xDC\xA5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xB2"],
        ["\xE9\xB4\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xA5"],

        ["\xDC\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3\x91"],
        ["\xE4\xB3\x91",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xA6"],

        ["\xDC\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x82"],
        ["\xE9\xB5\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xA7"],

        ["\xDC\xA8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x8A"],
        ["\xE9\xB5\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xA8"],

        ["\xDC\xA9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x9F"],
        ["\xE9\xB5\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xA9"],

        ["\xAA\xA4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA2"],
        ["\xE9\xB5\xA2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xA4"],

        ["\xDC\xAA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x83\xB9"],
        ["\xF0\xAA\x83\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xAA"],

        ["\xDC\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA9"],
        ["\xE9\xB5\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xAC"],

        ["\xDC\xAD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x82\x82"],
        ["\xF0\xAA\x82\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xAD"],

        ["\xDC\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB3"],
        ["\xE9\xB5\xB3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xAE"],

        ["\xDC\xAF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB6"],
        ["\xE9\xB5\xB6",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xAF"],

        ["\xAA\xA6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB7"],
        ["\xE9\xB5\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xA6"],

        ["\xDC\xBA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xBE"],
        ["\xE9\xB5\xBE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xBA"],

        ["\xDC\xBB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x84"],
        ["\xE9\xB6\x84",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xBB"],

        ["\xAA\xA7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x8D"],
        ["\xE9\xB6\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xA7"],

        ["\xDC\xBC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x99"],
        ["\xE9\xB6\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xBC"],

        ["\xAA\xAC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xA1"],
        ["\xE9\xB6\xA1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xAC"],

        ["\xDC\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBF"],
        ["\xE9\xB6\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xBD"],

        ["\xA8\x9E",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB5"],
        ["\xE9\xB6\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xA8\x9E"],

        ["\xDC\xBE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB9"],
        ["\xE9\xB6\xB9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xBE"],

        ["\xDC\xBF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBD"],
        ["\xE9\xB6\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xBF"],

        ["\xAA\xAE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x83"],
        ["\xE9\xB7\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xAE"],

        ["\xDC\xB2",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x87"],
        ["\xE9\xB7\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xB2"],

        ["\xDC\xB3",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x89"],
        ["\xE9\xB7\x89",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xB3"],

        ["\xDC\xB4",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x96"],
        ["\xE9\xB7\x96",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xB4"],

        ["\xDC\xB5",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x9A"],
        ["\xE9\xB7\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xB5"],

        ["\xDC\xB6",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x9F"],
        ["\xE9\xB7\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xB6"],

        ["\xDC\xB7",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xA0"],
        ["\xE9\xB7\xA0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xB7"],

        ["\xDC\xB8",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xA3"],
        ["\xE9\xB7\xA3",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xB8"],

        ["\xDC\xB9",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xB4"],
        ["\xE9\xB7\xB4",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xB9"],

        ["\xDC\xCA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4\x87"],
        ["\xE4\xB4\x87",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xCA"],

        ["\xDC\xCB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x8A"],
        ["\xE9\xB8\x8A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xCB"],

        ["\xDC\xCC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x82"],
        ["\xE9\xB8\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xCC"],

        ["\xDC\xCD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x8D"],
        ["\xE9\xB8\x8D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xCD"],

        ["\xAA\xBD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9C"],
        ["\xE9\xB8\x9C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xBD"],

        ["\xDC\xCE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9D"],
        ["\xE9\xB8\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xCE"],

        ["\xDC\xCF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xBB"],
        ["\xE9\xB9\xBB",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xCF"],

        ["\xDC\xDA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x88\x98"],
        ["\xF0\xA2\x88\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xDA"],

        ["\xDC\xDB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x80"],
        ["\xE9\xBA\x80",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xDB"],

        ["\xDC\xDC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x85"],
        ["\xE9\xBA\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xDC"],

        ["\xDC\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x9B"],
        ["\xE9\xBA\x9B",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xDD"],

        ["\xDC\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA8"],
        ["\xE9\xBA\xA8",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xDE"],

        ["\xDC\xDF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x8E\x8C"],
        ["\xF0\xAA\x8E\x8C",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xDF"],

        ["\xDC\xEA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBD"],
        ["\xE9\xBA\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xEA"],

        ["\xDC\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x90\xB7"],
        ["\xF0\xAA\x90\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xEB"],

        ["\xDC\xEC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9F"],
        ["\xE9\xBB\x9F",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xEC"],

        ["\xDC\xED",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xA7"],
        ["\xE9\xBB\xA7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xED"],

        ["\xDC\xEE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xAE"],
        ["\xE9\xBB\xAE",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xEE"],

        ["\xDC\xEF",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xBF"],
        ["\xE9\xBB\xBF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xEF"],

        ["\xDC\xFA",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x82"],
        ["\xE9\xBC\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xFA"],

        ["\xDC\xFB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5\xB7"],
        ["\xE4\xB5\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xFB"],

        ["\xDC\xFC",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x83"],
        ["\xE9\xBC\x83",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xFC"],

        ["\xDC\xFD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x97"],
        ["\xE9\xBC\x97",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xFD"],

        ["\xAA\xDD",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x99"],
        ["\xE9\xBC\x99",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xDD"],

        ["\xDC\xFE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xAF"],
        ["\xE9\xBC\xAF",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDC\xFE"],

        ["\xAA\xDE",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xB7"],
        ["\xE9\xBC\xB7",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xDE"],

        ["\xDD\x41",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xBA"],
        ["\xE9\xBC\xBA",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x41"],

        ["\xDD\x42",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xBD"],
        ["\xE9\xBC\xBD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x42"],

        ["\xAA\xEB",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x81"],
        ["\xE9\xBD\x81",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xAA\xEB"],

        ["\xDD\x43",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x85"],
        ["\xE9\xBD\x85",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x43"],

        ["\xDD\x44",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x86"],
        ["\xE9\xBD\x86",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x44"],

        ["\xDD\x45",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x93"],
        ["\xE9\xBD\x93",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x45"],

        ["\xDD\x46",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x95"],
        ["\xE9\xBD\x95",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x46"],

        ["\xDD\x47",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x98"],
        ["\xE9\xBD\x98",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x47"],

        ["\xDD\x48",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x97\xB1"],
        ["\xF0\xAA\x97\xB1",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x48"],

        ["\xDD\x49",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x9D"],
        ["\xE9\xBD\x9D",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x49"],

        ["\xDD\x51",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x98\x82"],
        ["\xF0\xAA\x98\x82",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x51"],

        ["\xDD\x52",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA9"],
        ["\xE9\xBD\xA9",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x52"],

        ["\xDD\x53",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x98\x9A"],
        ["\xF0\xAA\x98\x9A",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x53"],

        ["\xDD\x54",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xAD"],
        ["\xE9\xBD\xAD",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x54"],

        ["\xDD\x55",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB0"],
        ["\xE9\xBD\xB0",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x55"],

        ["\xDD\x56",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB5"],
        ["\xE9\xBD\xB5",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x56"],

        ["\xDD\x58",'utf8','jipse',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x9A\xB2"],
        ["\xF0\xAA\x9A\xB2",'jipse','utf8',{'INPUT_LAYOUT'=>'D'},"\xDD\x58"],

    );
    $|=1; print "1..",scalar(@test),"\n"; my $testno=1; sub ok { print $_[0]?'ok ':'not ok ',$testno++,$_[1]?" - $_[1]\n":"\n" }
}

use Jacode4e::RoundTrip;

for my $test (@test) {
    my($give,$OUTPUT_encoding,$INPUT_encoding,$option,$want) = @{$test};
    my $got = $give;
    my $return = Jacode4e::RoundTrip::convert(\$got,$OUTPUT_encoding,$INPUT_encoding,$option);

    my $option_content = '';
    if (defined $option) {
        $option_content .= qq{INPUT_LAYOUT=>$option->{'INPUT_LAYOUT'}}        if exists $option->{'INPUT_LAYOUT'};
        $option_content .= qq{OUTPUT_SHIFTING=>$option->{'OUTPUT_SHIFTING'}}  if exists $option->{'OUTPUT_SHIFTING'};
        $option_content .= qq{SPACE=>@{[uc unpack('H*',$option->{'SPACE'})]}} if exists $option->{'SPACE'};
        $option_content .= qq{GETA=>@{[uc unpack('H*',$option->{'GETA'})]}}   if exists $option->{'GETA'};
        $option_content = "{$option_content}";
    }

    ok(($return > 0) and ($got eq $want),
        sprintf(qq{$INPUT_encoding(%s) to $OUTPUT_encoding(%s), $option_content => return=$return,got=(%s)},
            uc unpack('H*',$give),
            uc unpack('H*',$want),
            uc unpack('H*',$got),
        )
    );
}

__END__
