######################################################################
#
# 5111_jipsj_by_letsj_RT_DBCS.t
#
# Copyright (c) 2018, 2019 INABA Hitoshi <ina@cpan.org> in a CPAN
######################################################################

use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";

BEGIN {
    use vars qw(@test);
    @test = (
        ["\x20\x20",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x21"],
        ["\x21\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x20\x20"],

        ["\xA1\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x22"],
        ["\x21\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA2"],

        ["\xA1\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x23"],
        ["\x21\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA3"],

        ["\xA1\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x24"],
        ["\x21\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA4"],

        ["\xA1\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x25"],
        ["\x21\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA5"],

        ["\xA1\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x26"],
        ["\x21\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA6"],

        ["\xA1\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x27"],
        ["\x21\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA7"],

        ["\xA1\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x28"],
        ["\x21\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA8"],

        ["\xA1\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x29"],
        ["\x21\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xA9"],

        ["\xA1\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x2A"],
        ["\x21\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAA"],

        ["\xA1\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x2B"],
        ["\x21\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAB"],

        ["\xA1\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x2C"],
        ["\x21\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAC"],

        ["\xA1\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x2D"],
        ["\x21\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAD"],

        ["\xA1\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x2E"],
        ["\x21\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAE"],

        ["\xA1\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x2F"],
        ["\x21\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xAF"],

        ["\xA1\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x30"],
        ["\x21\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB0"],

        ["\xA1\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x31"],
        ["\x21\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB1"],

        ["\xA1\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x32"],
        ["\x21\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB2"],

        ["\xA1\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x33"],
        ["\x21\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB3"],

        ["\xA1\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x34"],
        ["\x21\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB4"],

        ["\xA1\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x35"],
        ["\x21\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB5"],

        ["\xA1\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x36"],
        ["\x21\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB6"],

        ["\xA1\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x37"],
        ["\x21\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB7"],

        ["\xA1\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x38"],
        ["\x21\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB8"],

        ["\xA1\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x39"],
        ["\x21\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xB9"],

        ["\xA1\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x3A"],
        ["\x21\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBA"],

        ["\xA1\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x3B"],
        ["\x21\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBB"],

        ["\xA1\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x3C"],
        ["\x21\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBC"],

        ["\xA1\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x3D"],
        ["\x21\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBD"],

        ["\xA1\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x3E"],
        ["\x21\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBE"],

        ["\xA1\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x3F"],
        ["\x21\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xBF"],

        ["\x31\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x40"],
        ["\x21\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xA1"],

        ["\xA1\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x41"],
        ["\x21\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC1"],

        ["\x31\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x42"],
        ["\x21\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xA2"],

        ["\xA1\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x43"],
        ["\x21\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC3"],

        ["\xA1\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x44"],
        ["\x21\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC4"],

        ["\xA1\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x45"],
        ["\x21\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC5"],

        ["\xA1\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x46"],
        ["\x21\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC6"],

        ["\xA1\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x47"],
        ["\x21\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC7"],

        ["\xA1\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x48"],
        ["\x21\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC8"],

        ["\xA1\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x49"],
        ["\x21\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC9"],

        ["\xA1\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x4A"],
        ["\x21\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCA"],

        ["\xA1\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x4B"],
        ["\x21\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCB"],

        ["\xA1\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x4C"],
        ["\x21\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCC"],

        ["\xA1\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x4D"],
        ["\x21\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCD"],

        ["\xA1\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x4E"],
        ["\x21\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCE"],

        ["\xA1\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x4F"],
        ["\x21\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xCF"],

        ["\xA1\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x50"],
        ["\x21\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD0"],

        ["\xA1\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x51"],
        ["\x21\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD1"],

        ["\xA1\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x52"],
        ["\x21\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD2"],

        ["\xA1\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x53"],
        ["\x21\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD3"],

        ["\xA1\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x54"],
        ["\x21\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD4"],

        ["\xA1\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x55"],
        ["\x21\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD5"],

        ["\xA1\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x56"],
        ["\x21\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD6"],

        ["\xA1\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x57"],
        ["\x21\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD7"],

        ["\xA1\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x58"],
        ["\x21\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD8"],

        ["\xA1\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x59"],
        ["\x21\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xD9"],

        ["\xA1\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x5A"],
        ["\x21\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDA"],

        ["\xA1\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x5B"],
        ["\x21\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDB"],

        ["\xA1\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x5C"],
        ["\x21\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDC"],

        ["\x31\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x5D"],
        ["\x21\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xA3"],

        ["\xA1\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x5E"],
        ["\x21\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDE"],

        ["\xA1\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x5F"],
        ["\x21\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDF"],

        ["\xA1\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x60"],
        ["\x21\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE0"],

        ["\xA1\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x61"],
        ["\x21\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE1"],

        ["\xA1\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x62"],
        ["\x21\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE2"],

        ["\xA1\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x63"],
        ["\x21\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE3"],

        ["\xA1\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x64"],
        ["\x21\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE4"],

        ["\xA1\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x65"],
        ["\x21\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE5"],

        ["\xA1\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x66"],
        ["\x21\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE6"],

        ["\xA1\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x67"],
        ["\x21\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE7"],

        ["\xA1\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x68"],
        ["\x21\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],

        ["\xA1\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x69"],
        ["\x21\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],

        ["\xA1\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x6A"],
        ["\x21\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEA"],

        ["\xA1\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x6B"],
        ["\x21\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEB"],

        ["\xA1\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x6C"],
        ["\x21\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEC"],

        ["\xA1\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x6D"],
        ["\x21\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xED"],

        ["\xA1\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x6E"],
        ["\x21\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEE"],

        ["\xA1\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x6F"],
        ["\x21\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEF"],

        ["\xA1\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x70"],
        ["\x21\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],

        ["\x31\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x71"],
        ["\x21\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xA4"],

        ["\x31\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x72"],
        ["\x21\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xA5"],

        ["\xA1\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x73"],
        ["\x21\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],

        ["\xA1\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x74"],
        ["\x21\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],

        ["\xA1\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x75"],
        ["\x21\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],

        ["\xA1\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x76"],
        ["\x21\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],

        ["\xA1\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x77"],
        ["\x21\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],

        ["\xA1\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x78"],
        ["\x21\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],

        ["\xA1\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x79"],
        ["\x21\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],

        ["\xA1\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x7A"],
        ["\x21\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFA"],

        ["\xA1\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x7B"],
        ["\x21\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFB"],

        ["\xA1\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x7C"],
        ["\x21\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFC"],

        ["\xA1\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x7D"],
        ["\x21\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFD"],

        ["\xA1\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x21\x7E"],
        ["\x21\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFE"],

        ["\xA2\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x21"],
        ["\x22\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA1"],

        ["\xA2\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x22"],
        ["\x22\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],

        ["\xA2\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x23"],
        ["\x22\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],

        ["\xA2\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x24"],
        ["\x22\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA4"],

        ["\xA2\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x25"],
        ["\x22\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA5"],

        ["\xA2\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x26"],
        ["\x22\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA6"],

        ["\xA2\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x27"],
        ["\x22\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],

        ["\xA2\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x28"],
        ["\x22\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA8"],

        ["\xA2\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x29"],
        ["\x22\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA9"],

        ["\xA2\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x2A"],
        ["\x22\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAA"],

        ["\xA2\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x2B"],
        ["\x22\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAB"],

        ["\xA2\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x2C"],
        ["\x22\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAC"],

        ["\xA2\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x2D"],
        ["\x22\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAD"],

        ["\xA2\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x22\x2E"],
        ["\x22\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xAE"],

        ["\xA2\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD4"],
        ["\xA5\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBA"],

        ["\xA2\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD5"],
        ["\xA5\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBB"],

        ["\xA2\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xF4"],
        ["\xA6\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBC"],

        ["\xA2\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xF5"],
        ["\xA6\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBD"],

        ["\xA2\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD2"],
        ["\xA5\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBE"],

        ["\xA2\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD3"],
        ["\xA5\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBF"],

        ["\xA2\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x7C"],
        ["\x2D\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xC0"],

        ["\xA2\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x7B"],
        ["\x2D\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xC1"],

        ["\xA2\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD0"],
        ["\xA5\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xCA"],

        ["\xA2\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD1"],
        ["\xA5\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xCB"],

        ["\x31\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x21"],
        ["\x74\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xA6"],

        ["\xA2\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xF6"],
        ["\xA6\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xCD"],

        ["\xA2\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xF7"],
        ["\xA6\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xCE"],

        ["\xA2\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE7"],
        ["\xA5\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xCF"],

        ["\xA2\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE8"],
        ["\xA5\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xD0"],

        ["\xA2\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x77"],
        ["\x2D\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xDC"],

        ["\xA2\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x76"],
        ["\x2D\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xDD"],

        ["\xA2\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xF8"],
        ["\xA6\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xDE"],

        ["\xA2\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],
        ["\xA5\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xDF"],

        ["\xA2\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xF9"],
        ["\xA6\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE0"],

        ["\xA2\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x71"],
        ["\x2D\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE1"],

        ["\xA2\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x70"],
        ["\x2D\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE2"],

        ["\xA2\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE1"],
        ["\xA5\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE3"],

        ["\xA2\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE2"],
        ["\xA5\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE4"],

        ["\xA2\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x75"],
        ["\x2D\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE5"],

        ["\xA2\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDD"],
        ["\xA5\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE6"],

        ["\xA2\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],
        ["\xA5\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE7"],

        ["\xA2\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x7A"],
        ["\x2D\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE8"],

        ["\xA2\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x72"],
        ["\x2D\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xE9"],

        ["\xA2\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xFA"],
        ["\xA6\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xEA"],

        ["\xA2\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDF"],
        ["\xA4\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xF2"],

        ["\xA2\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xFE"],
        ["\xA4\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xF3"],

        ["\xA2\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xFB"],
        ["\xA6\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xF4"],

        ["\xA2\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xFC"],
        ["\xA6\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xF5"],

        ["\xA2\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xFD"],
        ["\xA6\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xF6"],

        ["\xA2\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],
        ["\xA5\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xF7"],

        ["\xA2\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],
        ["\xA5\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xF8"],

        ["\xA2\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF0"],
        ["\xA5\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xF9"],

        ["\xA2\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xFE"],
        ["\xA6\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xFE"],

        ["\xA3\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x30"],
        ["\x23\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB0"],

        ["\xA3\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x31"],
        ["\x23\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB1"],

        ["\xA3\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x32"],
        ["\x23\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB2"],

        ["\xA3\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x33"],
        ["\x23\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB3"],

        ["\xA3\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x34"],
        ["\x23\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB4"],

        ["\xA3\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x35"],
        ["\x23\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB5"],

        ["\xA3\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x36"],
        ["\x23\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB6"],

        ["\xA3\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x37"],
        ["\x23\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB7"],

        ["\xA3\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x38"],
        ["\x23\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB8"],

        ["\xA3\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x39"],
        ["\x23\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xB9"],

        ["\xA3\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x41"],
        ["\x23\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC1"],

        ["\xA3\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x42"],
        ["\x23\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC2"],

        ["\xA3\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x43"],
        ["\x23\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC3"],

        ["\xA3\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x44"],
        ["\x23\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC4"],

        ["\xA3\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x45"],
        ["\x23\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC5"],

        ["\xA3\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x46"],
        ["\x23\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC6"],

        ["\xA3\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x47"],
        ["\x23\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC7"],

        ["\xA3\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x48"],
        ["\x23\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC8"],

        ["\xA3\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x49"],
        ["\x23\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xC9"],

        ["\xA3\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x4A"],
        ["\x23\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCA"],

        ["\xA3\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x4B"],
        ["\x23\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCB"],

        ["\xA3\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x4C"],
        ["\x23\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCC"],

        ["\xA3\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x4D"],
        ["\x23\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCD"],

        ["\xA3\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x4E"],
        ["\x23\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCE"],

        ["\xA3\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x4F"],
        ["\x23\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xCF"],

        ["\xA3\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x50"],
        ["\x23\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD0"],

        ["\xA3\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x51"],
        ["\x23\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD1"],

        ["\xA3\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x52"],
        ["\x23\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD2"],

        ["\xA3\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x53"],
        ["\x23\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD3"],

        ["\xA3\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x54"],
        ["\x23\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD4"],

        ["\xA3\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x55"],
        ["\x23\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD5"],

        ["\xA3\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x56"],
        ["\x23\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD6"],

        ["\xA3\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x57"],
        ["\x23\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD7"],

        ["\xA3\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x58"],
        ["\x23\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD8"],

        ["\xA3\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x59"],
        ["\x23\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xD9"],

        ["\xA3\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x5A"],
        ["\x23\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xDA"],

        ["\xA3\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x61"],
        ["\x23\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE1"],

        ["\xA3\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x62"],
        ["\x23\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE2"],

        ["\xA3\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x63"],
        ["\x23\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE3"],

        ["\xA3\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x64"],
        ["\x23\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE4"],

        ["\xA3\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x65"],
        ["\x23\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE5"],

        ["\xA3\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x66"],
        ["\x23\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE6"],

        ["\xA3\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x67"],
        ["\x23\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE7"],

        ["\xA3\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x68"],
        ["\x23\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE8"],

        ["\xA3\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x69"],
        ["\x23\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE9"],

        ["\xA3\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x6A"],
        ["\x23\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEA"],

        ["\xA3\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x6B"],
        ["\x23\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],

        ["\xA3\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x6C"],
        ["\x23\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],

        ["\xA3\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x6D"],
        ["\x23\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],

        ["\xA3\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x6E"],
        ["\x23\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],

        ["\xA3\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x6F"],
        ["\x23\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEF"],

        ["\xA3\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x70"],
        ["\x23\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF0"],

        ["\xA3\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x71"],
        ["\x23\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF1"],

        ["\xA3\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x72"],
        ["\x23\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF2"],

        ["\xA3\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x73"],
        ["\x23\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF3"],

        ["\xA3\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x74"],
        ["\x23\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF4"],

        ["\xA3\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x75"],
        ["\x23\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF5"],

        ["\xA3\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x76"],
        ["\x23\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF6"],

        ["\xA3\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x77"],
        ["\x23\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF7"],

        ["\xA3\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x78"],
        ["\x23\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF8"],

        ["\xA3\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x79"],
        ["\x23\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF9"],

        ["\xA3\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x23\x7A"],
        ["\x23\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xFA"],

        ["\xA4\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x21"],
        ["\x24\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA1"],

        ["\xA4\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x22"],
        ["\x24\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA2"],

        ["\xA4\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x23"],
        ["\x24\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA3"],

        ["\xA4\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x24"],
        ["\x24\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA4"],

        ["\xA4\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x25"],
        ["\x24\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA5"],

        ["\xA4\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x26"],
        ["\x24\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA6"],

        ["\xA4\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x27"],
        ["\x24\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA7"],

        ["\xA4\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x28"],
        ["\x24\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA8"],

        ["\xA4\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x29"],
        ["\x24\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xA9"],

        ["\xA4\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x2A"],
        ["\x24\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAA"],

        ["\xA4\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x2B"],
        ["\x24\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAB"],

        ["\xA4\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x2C"],
        ["\x24\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAC"],

        ["\xA4\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x2D"],
        ["\x24\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAD"],

        ["\xA4\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x2E"],
        ["\x24\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAE"],

        ["\xA4\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x2F"],
        ["\x24\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xAF"],

        ["\xA4\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x30"],
        ["\x24\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB0"],

        ["\xA4\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x31"],
        ["\x24\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB1"],

        ["\xA4\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x32"],
        ["\x24\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB2"],

        ["\xA4\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x33"],
        ["\x24\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB3"],

        ["\xA4\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x34"],
        ["\x24\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB4"],

        ["\xA4\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x35"],
        ["\x24\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB5"],

        ["\xA4\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x36"],
        ["\x24\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB6"],

        ["\xA4\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x37"],
        ["\x24\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB7"],

        ["\xA4\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x38"],
        ["\x24\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB8"],

        ["\xA4\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x39"],
        ["\x24\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xB9"],

        ["\xA4\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x3A"],
        ["\x24\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBA"],

        ["\xA4\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x3B"],
        ["\x24\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],

        ["\xA4\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x3C"],
        ["\x24\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBC"],

        ["\xA4\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x3D"],
        ["\x24\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBD"],

        ["\xA4\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x3E"],
        ["\x24\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],

        ["\xA4\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x3F"],
        ["\x24\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBF"],

        ["\xA4\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x40"],
        ["\x24\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC0"],

        ["\xA4\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x41"],
        ["\x24\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC1"],

        ["\xA4\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x42"],
        ["\x24\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC2"],

        ["\xA4\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x43"],
        ["\x24\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC3"],

        ["\xA4\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x44"],
        ["\x24\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC4"],

        ["\xA4\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x45"],
        ["\x24\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC5"],

        ["\xA4\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x46"],
        ["\x24\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC6"],

        ["\xA4\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x47"],
        ["\x24\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC7"],

        ["\xA4\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x48"],
        ["\x24\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC8"],

        ["\xA4\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x49"],
        ["\x24\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC9"],

        ["\xA4\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x4A"],
        ["\x24\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCA"],

        ["\xA4\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x4B"],
        ["\x24\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCB"],

        ["\xA4\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x4C"],
        ["\x24\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCC"],

        ["\xA4\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x4D"],
        ["\x24\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCD"],

        ["\xA4\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x4E"],
        ["\x24\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCE"],

        ["\xA4\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x4F"],
        ["\x24\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xCF"],

        ["\xA4\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x50"],
        ["\x24\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD0"],

        ["\xA4\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x51"],
        ["\x24\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD1"],

        ["\xA4\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x52"],
        ["\x24\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD2"],

        ["\xA4\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x53"],
        ["\x24\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD3"],

        ["\xA4\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x54"],
        ["\x24\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD4"],

        ["\xA4\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x55"],
        ["\x24\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD5"],

        ["\xA4\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x56"],
        ["\x24\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD6"],

        ["\xA4\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x57"],
        ["\x24\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD7"],

        ["\xA4\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x58"],
        ["\x24\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD8"],

        ["\xA4\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x59"],
        ["\x24\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xD9"],

        ["\xA4\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x5A"],
        ["\x24\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDA"],

        ["\xA4\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x5B"],
        ["\x24\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDB"],

        ["\xA4\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x5C"],
        ["\x24\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDC"],

        ["\xA4\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x5D"],
        ["\x24\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDD"],

        ["\xA4\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x5E"],
        ["\x24\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDE"],

        ["\xA4\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x5F"],
        ["\x24\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xDF"],

        ["\xA4\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x60"],
        ["\x24\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE0"],

        ["\xA4\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x61"],
        ["\x24\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE1"],

        ["\xA4\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x62"],
        ["\x24\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE2"],

        ["\xA4\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x63"],
        ["\x24\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE3"],

        ["\xA4\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x64"],
        ["\x24\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE4"],

        ["\xA4\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x65"],
        ["\x24\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE5"],

        ["\xA4\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x66"],
        ["\x24\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE6"],

        ["\xA4\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x67"],
        ["\x24\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE7"],

        ["\xA4\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x68"],
        ["\x24\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE8"],

        ["\xA4\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x69"],
        ["\x24\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xE9"],

        ["\xA4\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x6A"],
        ["\x24\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEA"],

        ["\xA4\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x6B"],
        ["\x24\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEB"],

        ["\xA4\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x6C"],
        ["\x24\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEC"],

        ["\xA4\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x6D"],
        ["\x24\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xED"],

        ["\xA4\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x6E"],
        ["\x24\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEE"],

        ["\xA4\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x6F"],
        ["\x24\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xEF"],

        ["\xA4\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x70"],
        ["\x24\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xF0"],

        ["\xA4\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x71"],
        ["\x24\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xF1"],

        ["\xA4\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x72"],
        ["\x24\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xF2"],

        ["\xA4\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x24\x73"],
        ["\x24\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xF3"],

        ["\xA5\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x21"],
        ["\x25\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA1"],

        ["\xA5\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x22"],
        ["\x25\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],

        ["\xA5\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x23"],
        ["\x25\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA3"],

        ["\xA5\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x24"],
        ["\x25\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA4"],

        ["\xA5\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x25"],
        ["\x25\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA5"],

        ["\xA5\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x26"],
        ["\x25\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA6"],

        ["\xA5\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x27"],
        ["\x25\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA7"],

        ["\xA5\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x28"],
        ["\x25\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA8"],

        ["\xA5\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x29"],
        ["\x25\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],

        ["\xA5\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x2A"],
        ["\x25\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAA"],

        ["\xA5\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x2B"],
        ["\x25\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAB"],

        ["\xA5\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x2C"],
        ["\x25\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAC"],

        ["\xA5\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x2D"],
        ["\x25\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAD"],

        ["\xA5\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x2E"],
        ["\x25\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],

        ["\xA5\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x2F"],
        ["\x25\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAF"],

        ["\xA5\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x30"],
        ["\x25\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB0"],

        ["\xA5\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x31"],
        ["\x25\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB1"],

        ["\xA5\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x32"],
        ["\x25\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB2"],

        ["\xA5\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x33"],
        ["\x25\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB3"],

        ["\xA5\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x34"],
        ["\x25\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],

        ["\xA5\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x35"],
        ["\x25\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB5"],

        ["\xA5\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x36"],
        ["\x25\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB6"],

        ["\xA5\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x37"],
        ["\x25\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB7"],

        ["\xA5\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x38"],
        ["\x25\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB8"],

        ["\xA5\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x39"],
        ["\x25\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB9"],

        ["\xA5\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x3A"],
        ["\x25\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBA"],

        ["\xA5\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x3B"],
        ["\x25\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBB"],

        ["\xA5\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x3C"],
        ["\x25\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBC"],

        ["\xA5\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x3D"],
        ["\x25\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBD"],

        ["\xA5\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x3E"],
        ["\x25\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBE"],

        ["\xA5\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x3F"],
        ["\x25\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBF"],

        ["\xA5\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x40"],
        ["\x25\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC0"],

        ["\xA5\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x41"],
        ["\x25\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC1"],

        ["\xA5\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x42"],
        ["\x25\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC2"],

        ["\xA5\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x43"],
        ["\x25\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC3"],

        ["\xA5\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x44"],
        ["\x25\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC4"],

        ["\xA5\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x45"],
        ["\x25\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC5"],

        ["\xA5\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x46"],
        ["\x25\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC6"],

        ["\xA5\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x47"],
        ["\x25\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC7"],

        ["\xA5\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x48"],
        ["\x25\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC8"],

        ["\xA5\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x49"],
        ["\x25\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC9"],

        ["\xA5\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x4A"],
        ["\x25\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],

        ["\xA5\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x4B"],
        ["\x25\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCB"],

        ["\xA5\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x4C"],
        ["\x25\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCC"],

        ["\xA5\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x4D"],
        ["\x25\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCD"],

        ["\xA5\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x4E"],
        ["\x25\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCE"],

        ["\xA5\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x4F"],
        ["\x25\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xCF"],

        ["\xA5\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x50"],
        ["\x25\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD0"],

        ["\xA5\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x51"],
        ["\x25\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD1"],

        ["\xA5\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x52"],
        ["\x25\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD2"],

        ["\xA5\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x53"],
        ["\x25\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD3"],

        ["\xA5\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x54"],
        ["\x25\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD4"],

        ["\xA5\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x55"],
        ["\x25\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD5"],

        ["\xA5\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x56"],
        ["\x25\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD6"],

        ["\xA5\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x57"],
        ["\x25\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD7"],

        ["\xA5\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x58"],
        ["\x25\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD8"],

        ["\xA5\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x59"],
        ["\x25\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD9"],

        ["\xA5\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x5A"],
        ["\x25\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDA"],

        ["\xA5\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x5B"],
        ["\x25\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDB"],

        ["\xA5\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x5C"],
        ["\x25\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],

        ["\xA5\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x5D"],
        ["\x25\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDD"],

        ["\xA5\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x5E"],
        ["\x25\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDE"],

        ["\xA5\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x5F"],
        ["\x25\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xDF"],

        ["\xA5\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x60"],
        ["\x25\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE0"],

        ["\xA5\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x61"],
        ["\x25\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE1"],

        ["\xA5\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x62"],
        ["\x25\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE2"],

        ["\xA5\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x63"],
        ["\x25\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE3"],

        ["\xA5\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x64"],
        ["\x25\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE4"],

        ["\xA5\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x65"],
        ["\x25\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE5"],

        ["\xA5\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x66"],
        ["\x25\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE6"],

        ["\xA5\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x67"],
        ["\x25\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE7"],

        ["\xA5\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x68"],
        ["\x25\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE8"],

        ["\xA5\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x69"],
        ["\x25\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE9"],

        ["\xA5\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x6A"],
        ["\x25\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],

        ["\xA5\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x6B"],
        ["\x25\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEB"],

        ["\xA5\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x6C"],
        ["\x25\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEC"],

        ["\xA5\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x6D"],
        ["\x25\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xED"],

        ["\xA5\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x6E"],
        ["\x25\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],

        ["\xA5\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x6F"],
        ["\x25\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],

        ["\xA5\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x70"],
        ["\x25\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF0"],

        ["\xA5\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x71"],
        ["\x25\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF1"],

        ["\xA5\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x72"],
        ["\x25\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF2"],

        ["\xA5\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x73"],
        ["\x25\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF3"],

        ["\xA5\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x74"],
        ["\x25\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF4"],

        ["\xA5\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x75"],
        ["\x25\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF5"],

        ["\xA5\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x25\x76"],
        ["\x25\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF6"],

        ["\xA6\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x21"],
        ["\x26\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA1"],

        ["\xA6\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x22"],
        ["\x26\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA2"],

        ["\xA6\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x23"],
        ["\x26\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA3"],

        ["\xA6\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x24"],
        ["\x26\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA4"],

        ["\xA6\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x25"],
        ["\x26\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA5"],

        ["\xA6\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x26"],
        ["\x26\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA6"],

        ["\xA6\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x27"],
        ["\x26\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA7"],

        ["\xA6\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x28"],
        ["\x26\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA8"],

        ["\xA6\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x29"],
        ["\x26\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xA9"],

        ["\xA6\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x2A"],
        ["\x26\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAA"],

        ["\xA6\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x2B"],
        ["\x26\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAB"],

        ["\xA6\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x2C"],
        ["\x26\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAC"],

        ["\xA6\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x2D"],
        ["\x26\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAD"],

        ["\xA6\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x2E"],
        ["\x26\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAE"],

        ["\xA6\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x2F"],
        ["\x26\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xAF"],

        ["\xA6\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x30"],
        ["\x26\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB0"],

        ["\xA6\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x31"],
        ["\x26\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB1"],

        ["\xA6\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x32"],
        ["\x26\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB2"],

        ["\xA6\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x33"],
        ["\x26\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB3"],

        ["\xA6\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x34"],
        ["\x26\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB4"],

        ["\xA6\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x35"],
        ["\x26\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB5"],

        ["\xA6\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x36"],
        ["\x26\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB6"],

        ["\xA6\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x37"],
        ["\x26\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB7"],

        ["\xA6\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x38"],
        ["\x26\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xB8"],

        ["\xA6\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x41"],
        ["\x26\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC1"],

        ["\xA6\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x42"],
        ["\x26\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC2"],

        ["\xA6\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x43"],
        ["\x26\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC3"],

        ["\xA6\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x44"],
        ["\x26\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC4"],

        ["\xA6\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x45"],
        ["\x26\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC5"],

        ["\xA6\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x46"],
        ["\x26\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC6"],

        ["\xA6\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x47"],
        ["\x26\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC7"],

        ["\xA6\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x48"],
        ["\x26\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC8"],

        ["\xA6\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x49"],
        ["\x26\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xC9"],

        ["\xA6\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x4A"],
        ["\x26\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCA"],

        ["\xA6\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x4B"],
        ["\x26\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCB"],

        ["\xA6\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x4C"],
        ["\x26\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCC"],

        ["\xA6\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x4D"],
        ["\x26\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCD"],

        ["\xA6\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x4E"],
        ["\x26\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCE"],

        ["\xA6\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x4F"],
        ["\x26\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xCF"],

        ["\xA6\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x50"],
        ["\x26\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD0"],

        ["\xA6\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x51"],
        ["\x26\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD1"],

        ["\xA6\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x52"],
        ["\x26\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD2"],

        ["\xA6\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x53"],
        ["\x26\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD3"],

        ["\xA6\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x54"],
        ["\x26\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD4"],

        ["\xA6\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x55"],
        ["\x26\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD5"],

        ["\xA6\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x56"],
        ["\x26\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD6"],

        ["\xA6\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x57"],
        ["\x26\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD7"],

        ["\xA6\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x26\x58"],
        ["\x26\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\xD8"],

        ["\xA7\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x21"],
        ["\x27\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA1"],

        ["\xA7\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x22"],
        ["\x27\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA2"],

        ["\xA7\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x23"],
        ["\x27\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA3"],

        ["\xA7\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x24"],
        ["\x27\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA4"],

        ["\xA7\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x25"],
        ["\x27\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA5"],

        ["\xA7\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x26"],
        ["\x27\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA6"],

        ["\xA7\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x27"],
        ["\x27\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA7"],

        ["\xA7\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x28"],
        ["\x27\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA8"],

        ["\xA7\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x29"],
        ["\x27\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xA9"],

        ["\xA7\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x2A"],
        ["\x27\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAA"],

        ["\xA7\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x2B"],
        ["\x27\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAB"],

        ["\xA7\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x2C"],
        ["\x27\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAC"],

        ["\xA7\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x2D"],
        ["\x27\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAD"],

        ["\xA7\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x2E"],
        ["\x27\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAE"],

        ["\xA7\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x2F"],
        ["\x27\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xAF"],

        ["\xA7\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x30"],
        ["\x27\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB0"],

        ["\xA7\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x31"],
        ["\x27\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB1"],

        ["\xA7\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x32"],
        ["\x27\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB2"],

        ["\xA7\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x33"],
        ["\x27\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB3"],

        ["\xA7\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x34"],
        ["\x27\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB4"],

        ["\xA7\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x35"],
        ["\x27\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB5"],

        ["\xA7\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x36"],
        ["\x27\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB6"],

        ["\xA7\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x37"],
        ["\x27\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB7"],

        ["\xA7\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x38"],
        ["\x27\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB8"],

        ["\xA7\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x39"],
        ["\x27\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xB9"],

        ["\xA7\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x3A"],
        ["\x27\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBA"],

        ["\xA7\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x3B"],
        ["\x27\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBB"],

        ["\xA7\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x3C"],
        ["\x27\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBC"],

        ["\xA7\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x3D"],
        ["\x27\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBD"],

        ["\xA7\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x3E"],
        ["\x27\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBE"],

        ["\xA7\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x3F"],
        ["\x27\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xBF"],

        ["\xA7\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x40"],
        ["\x27\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xC0"],

        ["\xA7\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x41"],
        ["\x27\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xC1"],

        ["\xA7\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x51"],
        ["\x27\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD1"],

        ["\xA7\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x52"],
        ["\x27\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD2"],

        ["\xA7\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x53"],
        ["\x27\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD3"],

        ["\xA7\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x54"],
        ["\x27\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD4"],

        ["\xA7\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x55"],
        ["\x27\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD5"],

        ["\xA7\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x56"],
        ["\x27\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD6"],

        ["\xA7\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x57"],
        ["\x27\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD7"],

        ["\xA7\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x58"],
        ["\x27\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD8"],

        ["\xA7\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x59"],
        ["\x27\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xD9"],

        ["\xA7\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x5A"],
        ["\x27\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDA"],

        ["\xA7\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x5B"],
        ["\x27\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDB"],

        ["\xA7\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x5C"],
        ["\x27\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDC"],

        ["\xA7\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x5D"],
        ["\x27\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDD"],

        ["\xA7\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x5E"],
        ["\x27\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDE"],

        ["\xA7\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x5F"],
        ["\x27\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xDF"],

        ["\xA7\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x60"],
        ["\x27\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE0"],

        ["\xA7\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x61"],
        ["\x27\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE1"],

        ["\xA7\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x62"],
        ["\x27\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE2"],

        ["\xA7\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x63"],
        ["\x27\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE3"],

        ["\xA7\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x64"],
        ["\x27\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE4"],

        ["\xA7\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x65"],
        ["\x27\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE5"],

        ["\xA7\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x66"],
        ["\x27\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE6"],

        ["\xA7\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x67"],
        ["\x27\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE7"],

        ["\xA7\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x68"],
        ["\x27\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE8"],

        ["\xA7\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x69"],
        ["\x27\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xE9"],

        ["\xA7\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x6A"],
        ["\x27\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEA"],

        ["\xA7\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x6B"],
        ["\x27\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEB"],

        ["\xA7\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x6C"],
        ["\x27\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEC"],

        ["\xA7\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x6D"],
        ["\x27\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xED"],

        ["\xA7\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x6E"],
        ["\x27\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEE"],

        ["\xA7\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x6F"],
        ["\x27\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xEF"],

        ["\xA7\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x70"],
        ["\x27\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xF0"],

        ["\xA7\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x27\x71"],
        ["\x27\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA7\xF1"],

        ["\xA8\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x24"],
        ["\x2C\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA1"],

        ["\xA8\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x26"],
        ["\x2C\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA2"],

        ["\xA8\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x30"],
        ["\x2C\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA3"],

        ["\xA8\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x34"],
        ["\x2C\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA4"],

        ["\xA8\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x3C"],
        ["\x2C\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA5"],

        ["\xA8\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x38"],
        ["\x2C\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA6"],

        ["\xA8\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x40"],
        ["\x2C\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA7"],

        ["\xA8\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x50"],
        ["\x2C\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA8"],

        ["\xA8\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x48"],
        ["\x2C\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xA9"],

        ["\xA8\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x58"],
        ["\x2C\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAA"],

        ["\xA8\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x60"],
        ["\x2C\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAB"],

        ["\xA8\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x25"],
        ["\x2C\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAC"],

        ["\xA8\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x27"],
        ["\x2C\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAD"],

        ["\xA8\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x33"],
        ["\x2C\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAE"],

        ["\xA8\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x37"],
        ["\x2C\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xAF"],

        ["\xA8\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x3F"],
        ["\x2C\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB0"],

        ["\xA8\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x3B"],
        ["\x2C\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB1"],

        ["\xA8\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x47"],
        ["\x2C\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB2"],

        ["\xA8\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x57"],
        ["\x2C\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB3"],

        ["\xA8\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x4F"],
        ["\x2C\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB4"],

        ["\xA8\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x5F"],
        ["\x2C\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB5"],

        ["\xA8\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x6F"],
        ["\x2C\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB6"],

        ["\xA8\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x44"],
        ["\x2C\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB7"],

        ["\xA8\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x53"],
        ["\x2C\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB8"],

        ["\xA8\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x4C"],
        ["\x2C\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xB9"],

        ["\xA8\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x5B"],
        ["\x2C\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xBA"],

        ["\xA8\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x63"],
        ["\x2C\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xBB"],

        ["\xA8\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x41"],
        ["\x2C\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xBC"],

        ["\xA8\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x54"],
        ["\x2C\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xBD"],

        ["\xA8\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x49"],
        ["\x2C\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xBE"],

        ["\xA8\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x5C"],
        ["\x2C\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xBF"],

        ["\xA8\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2C\x66"],
        ["\x2C\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA8\xC0"],

        ["\x31\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x21"],
        ["\x2D\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xA7"],

        ["\x31\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x22"],
        ["\x2D\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xA8"],

        ["\x31\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x23"],
        ["\x2D\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xA9"],

        ["\x31\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x24"],
        ["\x2D\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xAA"],

        ["\x31\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x25"],
        ["\x2D\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xAB"],

        ["\x31\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x26"],
        ["\x2D\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xAC"],

        ["\x31\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x27"],
        ["\x2D\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xAD"],

        ["\x31\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x28"],
        ["\x2D\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xAE"],

        ["\x31\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x29"],
        ["\x2D\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xAF"],

        ["\x31\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x2A"],
        ["\x2D\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB0"],

        ["\x31\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x2B"],
        ["\x2D\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB1"],

        ["\x31\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x2C"],
        ["\x2D\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB2"],

        ["\x31\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x2D"],
        ["\x2D\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB3"],

        ["\x31\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x2E"],
        ["\x2D\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB4"],

        ["\x31\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x2F"],
        ["\x2D\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB5"],

        ["\x31\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x30"],
        ["\x2D\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB6"],

        ["\x31\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x31"],
        ["\x2D\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB7"],

        ["\x31\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x32"],
        ["\x2D\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB8"],

        ["\x31\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x33"],
        ["\x2D\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xB9"],

        ["\x31\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x34"],
        ["\x2D\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xBA"],

        ["\x31\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x35"],
        ["\x2D\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xBB"],

        ["\x31\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x36"],
        ["\x2D\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xBC"],

        ["\x31\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x37"],
        ["\x2D\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xBD"],

        ["\x31\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x38"],
        ["\x2D\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xBE"],

        ["\x31\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x39"],
        ["\x2D\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xBF"],

        ["\x31\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x3A"],
        ["\x2D\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC0"],

        ["\x31\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x3B"],
        ["\x2D\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC1"],

        ["\x31\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x3C"],
        ["\x2D\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC2"],

        ["\x31\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x3D"],
        ["\x2D\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC3"],

        ["\x31\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x3E"],
        ["\x2D\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC4"],

        ["\x31\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x40"],
        ["\x2D\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC5"],

        ["\x31\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x41"],
        ["\x2D\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC6"],

        ["\x31\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x42"],
        ["\x2D\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC7"],

        ["\x31\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x43"],
        ["\x2D\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC8"],

        ["\x31\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x44"],
        ["\x2D\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xC9"],

        ["\x31\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x45"],
        ["\x2D\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xCA"],

        ["\x31\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x46"],
        ["\x2D\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xCB"],

        ["\x31\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x47"],
        ["\x2D\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xCC"],

        ["\x31\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x48"],
        ["\x2D\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xCD"],

        ["\x31\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x49"],
        ["\x2D\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xCE"],

        ["\x31\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x4A"],
        ["\x2D\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xCF"],

        ["\x31\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x4B"],
        ["\x2D\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD0"],

        ["\x31\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x4C"],
        ["\x2D\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD1"],

        ["\x31\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x4D"],
        ["\x2D\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD2"],

        ["\x31\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x4E"],
        ["\x2D\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD3"],

        ["\x31\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x4F"],
        ["\x2D\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD4"],

        ["\x31\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x50"],
        ["\x2D\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD5"],

        ["\x31\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x51"],
        ["\x2D\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD6"],

        ["\x31\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x52"],
        ["\x2D\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD7"],

        ["\x31\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x53"],
        ["\x2D\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD8"],

        ["\x31\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x54"],
        ["\x2D\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xD9"],

        ["\x31\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x55"],
        ["\x2D\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xDA"],

        ["\x31\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x56"],
        ["\x2D\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xDB"],

        ["\x31\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x5F"],
        ["\x2D\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xDC"],

        ["\x31\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x60"],
        ["\x2D\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xDD"],

        ["\x31\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x61"],
        ["\x2D\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xDE"],

        ["\xA2\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x62"],
        ["\x2D\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x71"],

        ["\x31\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x63"],
        ["\x2D\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xDF"],

        ["\x31\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x64"],
        ["\x2D\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE0"],

        ["\x31\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x65"],
        ["\x2D\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE1"],

        ["\x31\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x66"],
        ["\x2D\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE2"],

        ["\x31\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x67"],
        ["\x2D\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE3"],

        ["\x31\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x68"],
        ["\x2D\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE4"],

        ["\x31\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x69"],
        ["\x2D\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE5"],

        ["\x31\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x6A"],
        ["\x2D\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE6"],

        ["\x31\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x6B"],
        ["\x2D\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE7"],

        ["\x31\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x6C"],
        ["\x2D\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE8"],

        ["\x31\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x6D"],
        ["\x2D\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xE9"],

        ["\x31\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x6E"],
        ["\x2D\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xEA"],

        ["\x31\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x6F"],
        ["\x2D\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xEB"],

        ["\x31\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x73"],
        ["\x2D\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xEC"],

        ["\x31\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x74"],
        ["\x2D\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xED"],

        ["\x31\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x78"],
        ["\x2D\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xEE"],

        ["\x31\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x2D\x79"],
        ["\x2D\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xEF"],

        ["\xB0\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x21"],
        ["\x30\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA1"],

        ["\xB0\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x22"],
        ["\x30\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA2"],

        ["\xB0\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x23"],
        ["\x30\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA3"],

        ["\xB0\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x24"],
        ["\x30\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA4"],

        ["\xB0\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x25"],
        ["\x30\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA5"],

        ["\xB0\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x26"],
        ["\x30\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA6"],

        ["\xB0\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x27"],
        ["\x30\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA7"],

        ["\xB0\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x28"],
        ["\x30\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA8"],

        ["\xB0\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x29"],
        ["\x30\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xA9"],

        ["\xB0\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x2A"],
        ["\x30\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAA"],

        ["\xB0\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x2B"],
        ["\x30\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAB"],

        ["\xB0\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x2C"],
        ["\x30\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAC"],

        ["\xB0\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x2D"],
        ["\x30\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAD"],

        ["\xB0\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x2E"],
        ["\x30\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAE"],

        ["\xB0\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x2F"],
        ["\x30\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xAF"],

        ["\xB0\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x30"],
        ["\x30\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB0"],

        ["\xB0\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x31"],
        ["\x30\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB1"],

        ["\xB0\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x32"],
        ["\x30\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB2"],

        ["\xB0\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4D"],
        ["\x72\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB3"],

        ["\xB0\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x34"],
        ["\x30\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB4"],

        ["\xB0\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x35"],
        ["\x30\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB5"],

        ["\xB0\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x36"],
        ["\x30\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB6"],

        ["\xB0\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x37"],
        ["\x30\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB7"],

        ["\xB0\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x38"],
        ["\x30\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB8"],

        ["\xB0\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x39"],
        ["\x30\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xB9"],

        ["\xB0\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x3A"],
        ["\x30\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBA"],

        ["\xB0\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x3B"],
        ["\x30\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBB"],

        ["\xB0\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x3C"],
        ["\x30\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBC"],

        ["\xB0\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x3D"],
        ["\x30\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBD"],

        ["\xB0\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x3E"],
        ["\x30\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBE"],

        ["\xB0\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x3F"],
        ["\x30\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xBF"],

        ["\xB0\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x40"],
        ["\x30\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC0"],

        ["\xB0\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x41"],
        ["\x30\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC1"],

        ["\xB0\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x42"],
        ["\x30\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC2"],

        ["\xB0\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x43"],
        ["\x30\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC3"],

        ["\xB0\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x44"],
        ["\x30\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC4"],

        ["\xB0\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x45"],
        ["\x30\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC5"],

        ["\xB0\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x46"],
        ["\x30\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC6"],

        ["\xB0\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x47"],
        ["\x30\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC7"],

        ["\xB0\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x48"],
        ["\x30\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC8"],

        ["\xB0\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x49"],
        ["\x30\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xC9"],

        ["\xB0\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x4A"],
        ["\x30\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCA"],

        ["\xB0\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x4B"],
        ["\x30\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCB"],

        ["\xB0\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x4C"],
        ["\x30\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCC"],

        ["\xB0\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x4D"],
        ["\x30\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCD"],

        ["\xB0\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x4E"],
        ["\x30\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCE"],

        ["\xB0\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x4F"],
        ["\x30\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xCF"],

        ["\xB0\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x50"],
        ["\x30\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD0"],

        ["\xB0\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x51"],
        ["\x30\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD1"],

        ["\xB0\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x52"],
        ["\x30\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD2"],

        ["\xB0\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x53"],
        ["\x30\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD3"],

        ["\xB0\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x54"],
        ["\x30\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD4"],

        ["\xB0\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x55"],
        ["\x30\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD5"],

        ["\xB0\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x56"],
        ["\x30\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD6"],

        ["\xB0\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x57"],
        ["\x30\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD7"],

        ["\xB0\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x58"],
        ["\x30\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD8"],

        ["\xB0\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x59"],
        ["\x30\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xD9"],

        ["\xB0\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x5A"],
        ["\x30\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDA"],

        ["\xB0\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x5B"],
        ["\x30\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDB"],

        ["\xB0\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x5C"],
        ["\x30\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDC"],

        ["\xB0\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x5D"],
        ["\x30\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDD"],

        ["\xB0\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x5E"],
        ["\x30\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDE"],

        ["\xB0\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x5F"],
        ["\x30\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xDF"],

        ["\xB0\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x60"],
        ["\x30\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE0"],

        ["\xB0\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x61"],
        ["\x30\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE1"],

        ["\xB0\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x62"],
        ["\x30\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE2"],

        ["\xB0\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x63"],
        ["\x30\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE3"],

        ["\xB0\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x64"],
        ["\x30\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE4"],

        ["\xB0\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x65"],
        ["\x30\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE5"],

        ["\xB0\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x66"],
        ["\x30\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE6"],

        ["\xB0\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x67"],
        ["\x30\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE7"],

        ["\xB0\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x68"],
        ["\x30\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE8"],

        ["\xB0\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x69"],
        ["\x30\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xE9"],

        ["\xB0\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x6A"],
        ["\x30\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEA"],

        ["\xB0\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x6B"],
        ["\x30\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEB"],

        ["\xB0\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x6C"],
        ["\x30\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEC"],

        ["\xB0\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x6D"],
        ["\x30\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xED"],

        ["\xB0\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x6E"],
        ["\x30\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEE"],

        ["\xB0\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x6F"],
        ["\x30\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xEF"],

        ["\xB0\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x70"],
        ["\x30\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF0"],

        ["\xB0\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x71"],
        ["\x30\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF1"],

        ["\xB0\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x72"],
        ["\x30\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF2"],

        ["\xB0\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x73"],
        ["\x30\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF3"],

        ["\xB0\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x74"],
        ["\x30\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF4"],

        ["\xB0\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x75"],
        ["\x30\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF5"],

        ["\xB0\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x76"],
        ["\x30\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF6"],

        ["\xB0\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x77"],
        ["\x30\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF7"],

        ["\xB0\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x78"],
        ["\x30\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF8"],

        ["\xB0\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x79"],
        ["\x30\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xF9"],

        ["\xB0\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x7A"],
        ["\x30\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFA"],

        ["\xB0\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x7B"],
        ["\x30\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFB"],

        ["\xB0\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x7C"],
        ["\x30\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFC"],

        ["\xB0\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x7D"],
        ["\x30\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFD"],

        ["\xB0\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x7E"],
        ["\x30\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\xFE"],

        ["\xB1\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x21"],
        ["\x31\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA1"],

        ["\xB1\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x22"],
        ["\x31\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA2"],

        ["\xB1\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x23"],
        ["\x31\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA3"],

        ["\xB1\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x24"],
        ["\x31\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA4"],

        ["\xB1\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x25"],
        ["\x31\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA5"],

        ["\xB1\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x26"],
        ["\x31\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA6"],

        ["\xB1\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x27"],
        ["\x31\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA7"],

        ["\xB1\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x28"],
        ["\x31\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA8"],

        ["\xB1\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x29"],
        ["\x31\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xA9"],

        ["\xB1\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x2A"],
        ["\x31\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAA"],

        ["\xB1\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x2B"],
        ["\x31\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAB"],

        ["\xB1\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x2C"],
        ["\x31\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAC"],

        ["\xB1\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x2D"],
        ["\x31\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAD"],

        ["\xB1\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x2E"],
        ["\x31\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAE"],

        ["\xB1\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x2F"],
        ["\x31\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xAF"],

        ["\xB1\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x30"],
        ["\x31\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB0"],

        ["\xB1\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x31"],
        ["\x31\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB1"],

        ["\xB1\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x32"],
        ["\x31\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB2"],

        ["\xB1\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x33"],
        ["\x31\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB3"],

        ["\xB1\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x34"],
        ["\x31\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB4"],

        ["\xB1\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x35"],
        ["\x31\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB5"],

        ["\xB1\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x36"],
        ["\x31\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB6"],

        ["\xB1\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x37"],
        ["\x31\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB7"],

        ["\xB1\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x38"],
        ["\x31\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB8"],

        ["\xB1\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x39"],
        ["\x31\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xB9"],

        ["\xB1\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x3A"],
        ["\x31\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBA"],

        ["\xB1\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x3B"],
        ["\x31\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBB"],

        ["\xB1\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x3C"],
        ["\x31\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBC"],

        ["\xB1\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x3D"],
        ["\x31\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBD"],

        ["\xB1\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x3E"],
        ["\x31\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBE"],

        ["\xB1\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x3F"],
        ["\x31\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xBF"],

        ["\xB1\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x40"],
        ["\x31\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC0"],

        ["\xB1\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x41"],
        ["\x31\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC1"],

        ["\xB1\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x42"],
        ["\x31\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC2"],

        ["\xB1\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x43"],
        ["\x31\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC3"],

        ["\xB1\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x44"],
        ["\x31\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC4"],

        ["\xB1\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x45"],
        ["\x31\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC5"],

        ["\xB1\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x46"],
        ["\x31\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC6"],

        ["\xB1\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x47"],
        ["\x31\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC7"],

        ["\xB1\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x48"],
        ["\x31\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC8"],

        ["\xB1\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x49"],
        ["\x31\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xC9"],

        ["\xB1\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x4A"],
        ["\x31\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCA"],

        ["\xB1\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x4B"],
        ["\x31\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCB"],

        ["\xB1\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x4C"],
        ["\x31\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCC"],

        ["\xB1\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x4D"],
        ["\x31\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCD"],

        ["\xB1\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x4E"],
        ["\x31\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCE"],

        ["\xB1\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x4F"],
        ["\x31\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xCF"],

        ["\xB1\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x50"],
        ["\x31\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD0"],

        ["\xB1\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x51"],
        ["\x31\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD1"],

        ["\xB1\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x52"],
        ["\x31\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD2"],

        ["\xB1\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x53"],
        ["\x31\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD3"],

        ["\xB1\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x54"],
        ["\x31\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD4"],

        ["\xB1\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x55"],
        ["\x31\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD5"],

        ["\xB1\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x56"],
        ["\x31\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD6"],

        ["\xB1\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x57"],
        ["\x31\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD7"],

        ["\xB1\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x58"],
        ["\x31\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD8"],

        ["\xB1\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x59"],
        ["\x31\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xD9"],

        ["\xB1\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x5A"],
        ["\x31\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDA"],

        ["\xB1\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x5B"],
        ["\x31\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDB"],

        ["\xB1\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x5C"],
        ["\x31\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDC"],

        ["\xB1\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x5D"],
        ["\x31\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDD"],

        ["\xB1\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x5E"],
        ["\x31\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDE"],

        ["\xB1\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x5F"],
        ["\x31\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xDF"],

        ["\xB1\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x60"],
        ["\x31\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE0"],

        ["\xB1\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x61"],
        ["\x31\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE1"],

        ["\xB1\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x62"],
        ["\x31\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE2"],

        ["\xB1\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x63"],
        ["\x31\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE3"],

        ["\xB1\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x64"],
        ["\x31\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE4"],

        ["\xB1\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x65"],
        ["\x31\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE5"],

        ["\xB1\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x66"],
        ["\x31\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE6"],

        ["\xB1\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x67"],
        ["\x31\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE7"],

        ["\xB1\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x68"],
        ["\x31\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE8"],

        ["\xB1\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x69"],
        ["\x31\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xE9"],

        ["\xB1\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x6A"],
        ["\x31\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEA"],

        ["\xB1\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x6B"],
        ["\x31\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEB"],

        ["\xB1\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x6C"],
        ["\x31\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEC"],

        ["\xB1\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x6D"],
        ["\x31\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xED"],

        ["\xB1\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x6E"],
        ["\x31\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEE"],

        ["\xB1\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x6F"],
        ["\x31\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xEF"],

        ["\xB1\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x70"],
        ["\x31\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF0"],

        ["\xB1\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x71"],
        ["\x31\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF1"],

        ["\xB1\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x72"],
        ["\x31\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF2"],

        ["\xB1\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x73"],
        ["\x31\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF3"],

        ["\xB1\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x74"],
        ["\x31\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF4"],

        ["\xB1\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x75"],
        ["\x31\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF5"],

        ["\xB1\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x76"],
        ["\x31\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF6"],

        ["\xB1\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x77"],
        ["\x31\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF7"],

        ["\xB1\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x78"],
        ["\x31\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF8"],

        ["\xB1\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x79"],
        ["\x31\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xF9"],

        ["\xB1\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x7A"],
        ["\x31\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFA"],

        ["\xB1\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x7B"],
        ["\x31\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFB"],

        ["\xB1\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x7C"],
        ["\x31\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFC"],

        ["\xB1\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x7D"],
        ["\x31\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFD"],

        ["\xB1\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x31\x7E"],
        ["\x31\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\xFE"],

        ["\xB2\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x21"],
        ["\x32\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA1"],

        ["\xB2\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x22"],
        ["\x32\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA2"],

        ["\xB2\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x23"],
        ["\x32\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA3"],

        ["\xB2\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x24"],
        ["\x32\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA4"],

        ["\xB2\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x25"],
        ["\x32\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA5"],

        ["\xB2\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x26"],
        ["\x32\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA6"],

        ["\xB2\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x27"],
        ["\x32\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],

        ["\xB2\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x28"],
        ["\x32\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA8"],

        ["\xB2\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x74"],
        ["\x72\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA9"],

        ["\xB2\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x2A"],
        ["\x32\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAA"],

        ["\xB2\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x2B"],
        ["\x32\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAB"],

        ["\xB2\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x2C"],
        ["\x32\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],

        ["\xB2\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x2D"],
        ["\x32\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],

        ["\xB2\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x2E"],
        ["\x32\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAE"],

        ["\xB2\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x2F"],
        ["\x32\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],

        ["\xB2\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x30"],
        ["\x32\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB0"],

        ["\xB2\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x31"],
        ["\x32\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB1"],

        ["\xB2\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x32"],
        ["\x32\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB2"],

        ["\xB2\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x33"],
        ["\x32\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB3"],

        ["\xB2\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x34"],
        ["\x32\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],

        ["\xB2\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x35"],
        ["\x32\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB5"],

        ["\xB2\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x36"],
        ["\x32\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB6"],

        ["\xB2\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x37"],
        ["\x32\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB7"],

        ["\xB2\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x38"],
        ["\x32\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB8"],

        ["\xB2\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x39"],
        ["\x32\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB9"],

        ["\xB2\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x3A"],
        ["\x32\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBA"],

        ["\xB2\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x3B"],
        ["\x32\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],

        ["\xB2\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x3C"],
        ["\x32\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBC"],

        ["\xB2\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x3D"],
        ["\x32\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBD"],

        ["\xB2\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x3E"],
        ["\x32\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBE"],

        ["\xB2\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x3F"],
        ["\x32\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],

        ["\xB2\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x40"],
        ["\x32\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC0"],

        ["\xB2\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x41"],
        ["\x32\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC1"],

        ["\xB2\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x42"],
        ["\x32\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC2"],

        ["\xB2\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x43"],
        ["\x32\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC3"],

        ["\xB2\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x44"],
        ["\x32\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC4"],

        ["\xB2\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x45"],
        ["\x32\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC5"],

        ["\xB2\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x46"],
        ["\x32\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC6"],

        ["\xB2\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x47"],
        ["\x32\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC7"],

        ["\xB2\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x48"],
        ["\x32\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC8"],

        ["\xB2\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x49"],
        ["\x32\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC9"],

        ["\xB2\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x4A"],
        ["\x32\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCA"],

        ["\xB2\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x4B"],
        ["\x32\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCB"],

        ["\xB2\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x4C"],
        ["\x32\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],

        ["\xB2\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x4D"],
        ["\x32\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],

        ["\xB2\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x4E"],
        ["\x32\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],

        ["\xB2\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x4F"],
        ["\x32\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCF"],

        ["\xB2\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x50"],
        ["\x32\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD0"],

        ["\xB2\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x51"],
        ["\x32\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD1"],

        ["\xB2\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x52"],
        ["\x32\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD2"],

        ["\xB2\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x53"],
        ["\x32\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD3"],

        ["\xB2\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x54"],
        ["\x32\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD4"],

        ["\xB2\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x55"],
        ["\x32\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD5"],

        ["\xB2\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x56"],
        ["\x32\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD6"],

        ["\xB2\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x57"],
        ["\x32\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD7"],

        ["\xB2\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x58"],
        ["\x32\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD8"],

        ["\xB2\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x59"],
        ["\x32\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD9"],

        ["\xB2\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x5A"],
        ["\x32\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDA"],

        ["\xB2\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x5B"],
        ["\x32\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],

        ["\xB2\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x5C"],
        ["\x32\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDC"],

        ["\xB2\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x5D"],
        ["\x32\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDD"],

        ["\xB2\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x5E"],
        ["\x32\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],

        ["\xB2\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x5F"],
        ["\x32\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDF"],

        ["\xB2\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x60"],
        ["\x32\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE0"],

        ["\xB2\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x61"],
        ["\x32\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE1"],

        ["\xB2\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x62"],
        ["\x32\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE2"],

        ["\xB2\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x63"],
        ["\x32\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE3"],

        ["\xB2\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x64"],
        ["\x32\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE4"],

        ["\xB2\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x65"],
        ["\x32\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE5"],

        ["\xB2\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x66"],
        ["\x32\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE6"],

        ["\xB2\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x67"],
        ["\x32\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE7"],

        ["\xB2\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x68"],
        ["\x32\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE8"],

        ["\xB2\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x69"],
        ["\x32\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE9"],

        ["\xB2\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x6A"],
        ["\x32\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],

        ["\xB2\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x6B"],
        ["\x32\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],

        ["\xB2\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x6C"],
        ["\x32\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEC"],

        ["\xB2\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x6D"],
        ["\x32\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xED"],

        ["\xB2\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x6E"],
        ["\x32\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],

        ["\xB2\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x6F"],
        ["\x32\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEF"],

        ["\xB2\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x70"],
        ["\x32\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF0"],

        ["\xB2\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x71"],
        ["\x32\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF1"],

        ["\xB2\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x72"],
        ["\x32\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF2"],

        ["\xB2\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x73"],
        ["\x32\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF3"],

        ["\xB2\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x74"],
        ["\x32\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF4"],

        ["\xB2\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x75"],
        ["\x32\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF5"],

        ["\xB2\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x76"],
        ["\x32\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF6"],

        ["\xB2\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x77"],
        ["\x32\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF7"],

        ["\xB2\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x78"],
        ["\x32\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF8"],

        ["\xB2\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x79"],
        ["\x32\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF9"],

        ["\xB2\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x7A"],
        ["\x32\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFA"],

        ["\xB2\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x7B"],
        ["\x32\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFB"],

        ["\xB2\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x7C"],
        ["\x32\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFC"],

        ["\xB2\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x7D"],
        ["\x32\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFD"],

        ["\xB2\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x7E"],
        ["\x32\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],

        ["\xB3\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x21"],
        ["\x33\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA1"],

        ["\xB3\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x22"],
        ["\x33\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],

        ["\xB3\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x23"],
        ["\x33\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],

        ["\xB3\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x24"],
        ["\x33\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],

        ["\xB3\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x25"],
        ["\x33\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],

        ["\xB3\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x26"],
        ["\x33\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],

        ["\xB3\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x27"],
        ["\x33\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],

        ["\xB3\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x28"],
        ["\x33\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA8"],

        ["\xB3\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x29"],
        ["\x33\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA9"],

        ["\xB3\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x2A"],
        ["\x33\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAA"],

        ["\xB3\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x2B"],
        ["\x33\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAB"],

        ["\xB3\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x2C"],
        ["\x33\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAC"],

        ["\xB3\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x2D"],
        ["\x33\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAD"],

        ["\xB3\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x2E"],
        ["\x33\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAE"],

        ["\xB3\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x2F"],
        ["\x33\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],

        ["\xB3\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x30"],
        ["\x33\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB0"],

        ["\xB3\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x31"],
        ["\x33\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB1"],

        ["\xB3\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x32"],
        ["\x33\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],

        ["\xB3\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x33"],
        ["\x33\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],

        ["\xB3\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x34"],
        ["\x33\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB4"],

        ["\xB3\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x35"],
        ["\x33\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],

        ["\xB3\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x36"],
        ["\x33\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB6"],

        ["\xB3\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x37"],
        ["\x33\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB7"],

        ["\xB3\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x38"],
        ["\x33\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB8"],

        ["\xB3\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x39"],
        ["\x33\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB9"],

        ["\xB3\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x3A"],
        ["\x33\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],

        ["\xB3\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x3B"],
        ["\x33\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBB"],

        ["\xB3\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x3C"],
        ["\x33\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],

        ["\xB3\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x3D"],
        ["\x33\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBD"],

        ["\xB3\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x3E"],
        ["\x33\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBE"],

        ["\xB3\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x3F"],
        ["\x33\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],

        ["\xB3\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x40"],
        ["\x33\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC0"],

        ["\xB3\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x41"],
        ["\x33\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC1"],

        ["\xB3\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5A"],
        ["\x69\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC2"],

        ["\xB3\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x43"],
        ["\x33\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC3"],

        ["\xB3\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x44"],
        ["\x33\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC4"],

        ["\xB3\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x45"],
        ["\x33\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC5"],

        ["\xB3\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x46"],
        ["\x33\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC6"],

        ["\xB3\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x47"],
        ["\x33\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC7"],

        ["\xB3\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x48"],
        ["\x33\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC8"],

        ["\xB3\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x78"],
        ["\x59\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC9"],

        ["\xB3\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x4A"],
        ["\x33\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCA"],

        ["\xB3\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x4B"],
        ["\x33\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCB"],

        ["\xB3\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x4C"],
        ["\x33\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCC"],

        ["\xB3\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x4D"],
        ["\x33\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],

        ["\xB3\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x4E"],
        ["\x33\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCE"],

        ["\xB3\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x4F"],
        ["\x33\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],

        ["\xB3\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x50"],
        ["\x33\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD0"],

        ["\xB3\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x51"],
        ["\x33\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD1"],

        ["\xB3\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x52"],
        ["\x33\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD2"],

        ["\xB3\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x53"],
        ["\x33\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD3"],

        ["\xB3\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x54"],
        ["\x33\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD4"],

        ["\xB3\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x55"],
        ["\x33\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD5"],

        ["\xB3\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x56"],
        ["\x33\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD6"],

        ["\xB3\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x57"],
        ["\x33\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD7"],

        ["\xB3\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x58"],
        ["\x33\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD8"],

        ["\xB3\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x59"],
        ["\x33\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD9"],

        ["\xB3\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x5A"],
        ["\x33\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],

        ["\xB3\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x5B"],
        ["\x33\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDB"],

        ["\xB3\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x5C"],
        ["\x33\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDC"],

        ["\xB3\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x5D"],
        ["\x33\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDD"],

        ["\xB3\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x5E"],
        ["\x33\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDE"],

        ["\xB3\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x5F"],
        ["\x33\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDF"],

        ["\xB3\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x60"],
        ["\x33\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE0"],

        ["\xB3\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x61"],
        ["\x33\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE1"],

        ["\xB3\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x62"],
        ["\x33\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE2"],

        ["\xB3\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x63"],
        ["\x33\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE3"],

        ["\xB3\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x64"],
        ["\x33\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE4"],

        ["\xB3\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x65"],
        ["\x33\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE5"],

        ["\xB3\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x66"],
        ["\x33\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE6"],

        ["\xB3\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x67"],
        ["\x33\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE7"],

        ["\xB3\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x68"],
        ["\x33\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE8"],

        ["\xB3\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x69"],
        ["\x33\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE9"],

        ["\xB3\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x6A"],
        ["\x33\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEA"],

        ["\xB3\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x6B"],
        ["\x33\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],

        ["\xB3\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x6C"],
        ["\x33\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],

        ["\xB3\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x6D"],
        ["\x33\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xED"],

        ["\xB3\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x6E"],
        ["\x33\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEE"],

        ["\xB3\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x6F"],
        ["\x33\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEF"],

        ["\xB3\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x70"],
        ["\x33\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF0"],

        ["\xB3\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x71"],
        ["\x33\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF1"],

        ["\xB3\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x72"],
        ["\x33\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF2"],

        ["\xB3\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x73"],
        ["\x33\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF3"],

        ["\xB3\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x74"],
        ["\x33\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF4"],

        ["\xB3\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x75"],
        ["\x33\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF5"],

        ["\xB3\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5E"],
        ["\x63\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF6"],

        ["\xB3\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x77"],
        ["\x33\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF7"],

        ["\xB3\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x78"],
        ["\x33\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF8"],

        ["\xB3\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x79"],
        ["\x33\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF9"],

        ["\xB3\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x7A"],
        ["\x33\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFA"],

        ["\xB3\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x7B"],
        ["\x33\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFB"],

        ["\xB3\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x7C"],
        ["\x33\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFC"],

        ["\xB3\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x7D"],
        ["\x33\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFD"],

        ["\xB3\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x7E"],
        ["\x33\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xFE"],

        ["\xB4\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x21"],
        ["\x34\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA1"],

        ["\xB4\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x22"],
        ["\x34\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],

        ["\xB4\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x23"],
        ["\x34\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA3"],

        ["\xB4\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x24"],
        ["\x34\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA4"],

        ["\xB4\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x25"],
        ["\x34\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA5"],

        ["\xB4\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x26"],
        ["\x34\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA6"],

        ["\xB4\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x27"],
        ["\x34\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA7"],

        ["\xB4\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x28"],
        ["\x34\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],

        ["\xB4\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x29"],
        ["\x34\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA9"],

        ["\xB4\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x2A"],
        ["\x34\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],

        ["\xB4\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x2B"],
        ["\x34\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAB"],

        ["\xB4\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x2C"],
        ["\x34\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],

        ["\xB4\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x2D"],
        ["\x34\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],

        ["\xB4\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x2E"],
        ["\x34\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],

        ["\xB4\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x2F"],
        ["\x34\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAF"],

        ["\xB4\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x30"],
        ["\x34\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB0"],

        ["\xB4\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x31"],
        ["\x34\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB1"],

        ["\xB4\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x32"],
        ["\x34\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB2"],

        ["\xB4\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x33"],
        ["\x34\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],

        ["\xB4\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x34"],
        ["\x34\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],

        ["\xB4\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x35"],
        ["\x34\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB5"],

        ["\xB4\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x36"],
        ["\x34\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB6"],

        ["\xB4\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x37"],
        ["\x34\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB7"],

        ["\xB4\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x38"],
        ["\x34\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB8"],

        ["\xB4\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x39"],
        ["\x34\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],

        ["\xB4\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x3A"],
        ["\x34\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],

        ["\xB4\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x3B"],
        ["\x34\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBB"],

        ["\xB4\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x3C"],
        ["\x34\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBC"],

        ["\xB4\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x3D"],
        ["\x34\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBD"],

        ["\xB4\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x3E"],
        ["\x34\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBE"],

        ["\xB4\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x3F"],
        ["\x34\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBF"],

        ["\xB4\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x40"],
        ["\x34\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC0"],

        ["\xB4\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x41"],
        ["\x34\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC1"],

        ["\xB4\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x42"],
        ["\x34\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC2"],

        ["\xB4\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x75"],
        ["\x5E\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC3"],

        ["\xB4\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x44"],
        ["\x34\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC4"],

        ["\xB4\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x45"],
        ["\x34\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC5"],

        ["\xB4\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x46"],
        ["\x34\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC6"],

        ["\xB4\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x47"],
        ["\x34\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC7"],

        ["\xB4\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x48"],
        ["\x34\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC8"],

        ["\xB4\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x49"],
        ["\x34\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC9"],

        ["\xB4\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x4A"],
        ["\x34\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCA"],

        ["\xB4\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x4B"],
        ["\x34\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCB"],

        ["\xB4\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x4C"],
        ["\x34\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],

        ["\xB4\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x4D"],
        ["\x34\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCD"],

        ["\xB4\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x4E"],
        ["\x34\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCE"],

        ["\xB4\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x4F"],
        ["\x34\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCF"],

        ["\xB4\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x50"],
        ["\x34\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD0"],

        ["\xB4\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x51"],
        ["\x34\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD1"],

        ["\xB4\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x5D"],
        ["\x6B\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD2"],

        ["\xB4\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x53"],
        ["\x34\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD3"],

        ["\xB4\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x54"],
        ["\x34\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD4"],

        ["\xB4\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x55"],
        ["\x34\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD5"],

        ["\xB4\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x56"],
        ["\x34\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD6"],

        ["\xB4\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x57"],
        ["\x34\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD7"],

        ["\xB4\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x58"],
        ["\x34\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD8"],

        ["\xB4\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x59"],
        ["\x34\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD9"],

        ["\xB4\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x5A"],
        ["\x34\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDA"],

        ["\xB4\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x5B"],
        ["\x34\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDB"],

        ["\xB4\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x5C"],
        ["\x34\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDC"],

        ["\xB4\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x5D"],
        ["\x34\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDD"],

        ["\xB4\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x5E"],
        ["\x34\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDE"],

        ["\xB4\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x5F"],
        ["\x34\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xDF"],

        ["\xB4\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x60"],
        ["\x34\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE0"],

        ["\xB4\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x61"],
        ["\x34\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE1"],

        ["\xB4\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x62"],
        ["\x34\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE2"],

        ["\xB4\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x63"],
        ["\x34\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE3"],

        ["\xB4\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x64"],
        ["\x34\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE4"],

        ["\xB4\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x65"],
        ["\x34\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE5"],

        ["\xB4\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x66"],
        ["\x34\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE6"],

        ["\xB4\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x67"],
        ["\x34\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE7"],

        ["\xB4\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x68"],
        ["\x34\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE8"],

        ["\xB4\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x69"],
        ["\x34\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE9"],

        ["\xB4\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x6A"],
        ["\x34\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEA"],

        ["\xB4\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x6B"],
        ["\x34\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEB"],

        ["\xB4\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x6C"],
        ["\x34\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],

        ["\xB4\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x6D"],
        ["\x34\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],

        ["\xB4\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x6E"],
        ["\x34\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEE"],

        ["\xB4\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x6F"],
        ["\x34\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],

        ["\xB4\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x70"],
        ["\x34\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF0"],

        ["\xB4\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x71"],
        ["\x34\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF1"],

        ["\xB4\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x72"],
        ["\x34\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF2"],

        ["\xB4\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x73"],
        ["\x34\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF3"],

        ["\xB4\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x74"],
        ["\x34\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF4"],

        ["\xB4\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x75"],
        ["\x34\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF5"],

        ["\xB4\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x76"],
        ["\x34\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF6"],

        ["\xB4\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x77"],
        ["\x34\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF7"],

        ["\xB4\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x78"],
        ["\x34\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF8"],

        ["\xB4\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x79"],
        ["\x34\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF9"],

        ["\xB4\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x7A"],
        ["\x34\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFA"],

        ["\xB4\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x7B"],
        ["\x34\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFB"],

        ["\xB4\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x7C"],
        ["\x34\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFC"],

        ["\xB4\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x7D"],
        ["\x34\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFD"],

        ["\xB4\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x7E"],
        ["\x34\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xFE"],

        ["\xB5\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x21"],
        ["\x35\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA1"],

        ["\xB5\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x22"],
        ["\x35\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA2"],

        ["\xB5\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x23"],
        ["\x35\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],

        ["\xB5\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x24"],
        ["\x35\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],

        ["\xB5\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x25"],
        ["\x35\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA5"],

        ["\xB5\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x26"],
        ["\x35\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],

        ["\xB5\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x27"],
        ["\x35\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],

        ["\xB5\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x28"],
        ["\x35\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA8"],

        ["\xB5\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x29"],
        ["\x35\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA9"],

        ["\xB5\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x2A"],
        ["\x35\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAA"],

        ["\xB5\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x2B"],
        ["\x35\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAB"],

        ["\xB5\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x2C"],
        ["\x35\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAC"],

        ["\xB5\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x2D"],
        ["\x35\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],

        ["\xB5\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x2E"],
        ["\x35\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAE"],

        ["\xB5\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x2F"],
        ["\x35\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAF"],

        ["\xB5\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x30"],
        ["\x35\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB0"],

        ["\xB5\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x31"],
        ["\x35\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB1"],

        ["\xB5\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x32"],
        ["\x35\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB2"],

        ["\xB5\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x33"],
        ["\x35\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB3"],

        ["\xB5\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x34"],
        ["\x35\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB4"],

        ["\xB5\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x35"],
        ["\x35\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB5"],

        ["\xB5\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x36"],
        ["\x35\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB6"],

        ["\xB5\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x37"],
        ["\x35\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB7"],

        ["\xB5\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x38"],
        ["\x35\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB8"],

        ["\xB5\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x39"],
        ["\x35\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB9"],

        ["\xB5\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x3A"],
        ["\x35\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],

        ["\xB5\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x3B"],
        ["\x35\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],

        ["\xB5\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x3C"],
        ["\x35\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],

        ["\xB5\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x3D"],
        ["\x35\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],

        ["\xB5\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x3E"],
        ["\x35\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],

        ["\xB5\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x3F"],
        ["\x35\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBF"],

        ["\xB5\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x40"],
        ["\x35\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC0"],

        ["\xB5\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x41"],
        ["\x35\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC1"],

        ["\xB5\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x42"],
        ["\x35\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC2"],

        ["\xB5\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x43"],
        ["\x35\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC3"],

        ["\xB5\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x44"],
        ["\x35\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC4"],

        ["\xB5\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x45"],
        ["\x35\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC5"],

        ["\xB5\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x46"],
        ["\x35\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC6"],

        ["\xB5\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x47"],
        ["\x35\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC7"],

        ["\xB5\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x48"],
        ["\x35\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC8"],

        ["\xB5\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x49"],
        ["\x35\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xC9"],

        ["\xB5\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x4A"],
        ["\x35\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],

        ["\xB5\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x4B"],
        ["\x35\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCB"],

        ["\xB5\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x4C"],
        ["\x35\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],

        ["\xB5\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x4D"],
        ["\x35\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCD"],

        ["\xB5\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x4E"],
        ["\x35\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],

        ["\xB5\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x4F"],
        ["\x35\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],

        ["\xB5\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x50"],
        ["\x35\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD0"],

        ["\xB5\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x51"],
        ["\x35\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD1"],

        ["\xB5\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x52"],
        ["\x35\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD2"],

        ["\xB5\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x53"],
        ["\x35\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD3"],

        ["\xB5\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x54"],
        ["\x35\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD4"],

        ["\xB5\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x55"],
        ["\x35\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD5"],

        ["\xB5\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x56"],
        ["\x35\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD6"],

        ["\xB5\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x57"],
        ["\x35\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD7"],

        ["\xB5\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x58"],
        ["\x35\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD8"],

        ["\xB5\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x59"],
        ["\x35\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD9"],

        ["\xB5\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x5A"],
        ["\x35\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],

        ["\xB5\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x5B"],
        ["\x35\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDB"],

        ["\xB5\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x5C"],
        ["\x35\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],

        ["\xB5\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x5D"],
        ["\x35\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDD"],

        ["\xB5\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x5E"],
        ["\x35\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDE"],

        ["\xB5\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x5F"],
        ["\x35\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],

        ["\xB5\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x60"],
        ["\x35\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE0"],

        ["\xB5\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x61"],
        ["\x35\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE1"],

        ["\xB5\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x62"],
        ["\x35\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE2"],

        ["\xB5\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x63"],
        ["\x35\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE3"],

        ["\xB5\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x64"],
        ["\x35\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE4"],

        ["\xB5\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x65"],
        ["\x35\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE5"],

        ["\xB5\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x66"],
        ["\x35\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE6"],

        ["\xB5\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x67"],
        ["\x35\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE7"],

        ["\xB5\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x68"],
        ["\x35\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE8"],

        ["\xB5\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x69"],
        ["\x35\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE9"],

        ["\xB5\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x6A"],
        ["\x35\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],

        ["\xB5\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x6B"],
        ["\x35\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],

        ["\xB5\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x6C"],
        ["\x35\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],

        ["\xB5\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x6D"],
        ["\x35\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xED"],

        ["\xB5\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x6E"],
        ["\x35\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],

        ["\xB5\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x6F"],
        ["\x35\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEF"],

        ["\xB5\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x70"],
        ["\x35\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF0"],

        ["\xB5\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x71"],
        ["\x35\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF1"],

        ["\xB5\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x72"],
        ["\x35\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF2"],

        ["\xB5\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x73"],
        ["\x35\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF3"],

        ["\xB5\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x74"],
        ["\x35\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF4"],

        ["\xB5\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x75"],
        ["\x35\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF5"],

        ["\xB5\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x76"],
        ["\x35\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF6"],

        ["\xB5\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x77"],
        ["\x35\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF7"],

        ["\xB5\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x78"],
        ["\x35\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF8"],

        ["\xB5\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x79"],
        ["\x35\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF9"],

        ["\xB5\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x7A"],
        ["\x35\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],

        ["\xB5\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x7B"],
        ["\x35\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],

        ["\xB5\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x7C"],
        ["\x35\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFC"],

        ["\xB5\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x7D"],
        ["\x35\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFD"],

        ["\xB5\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x35\x7E"],
        ["\x35\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFE"],

        ["\xB6\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x21"],
        ["\x36\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA1"],

        ["\xB6\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x22"],
        ["\x36\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],

        ["\xB6\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x23"],
        ["\x36\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA3"],

        ["\xB6\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x24"],
        ["\x36\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],

        ["\xB6\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x25"],
        ["\x36\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],

        ["\xB6\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x26"],
        ["\x36\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA6"],

        ["\xB6\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x27"],
        ["\x36\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA7"],

        ["\xB6\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x28"],
        ["\x36\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],

        ["\xB6\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x29"],
        ["\x36\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],

        ["\xB6\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x2A"],
        ["\x36\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAA"],

        ["\xB6\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x2B"],
        ["\x36\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAB"],

        ["\xB6\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x2C"],
        ["\x36\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],

        ["\xB6\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x2D"],
        ["\x36\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],

        ["\xB6\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x2E"],
        ["\x36\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],

        ["\xB6\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x2F"],
        ["\x36\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAF"],

        ["\xB6\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x30"],
        ["\x36\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB0"],

        ["\xB6\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x31"],
        ["\x36\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB1"],

        ["\xB6\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x32"],
        ["\x36\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],

        ["\xB6\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x33"],
        ["\x36\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],

        ["\xB6\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x34"],
        ["\x36\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],

        ["\xB6\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x35"],
        ["\x36\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB5"],

        ["\xB6\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x36"],
        ["\x36\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB6"],

        ["\xB6\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x37"],
        ["\x36\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB7"],

        ["\xB6\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x38"],
        ["\x36\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB8"],

        ["\xB6\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x39"],
        ["\x36\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB9"],

        ["\xB6\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x3A"],
        ["\x36\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBA"],

        ["\xB6\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x3B"],
        ["\x36\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],

        ["\xB6\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x3C"],
        ["\x36\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],

        ["\xB6\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x3D"],
        ["\x36\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],

        ["\xB6\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x3E"],
        ["\x36\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],

        ["\xB6\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x3F"],
        ["\x36\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBF"],

        ["\xB6\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x40"],
        ["\x36\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC0"],

        ["\xB6\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x41"],
        ["\x36\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC1"],

        ["\xB6\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x42"],
        ["\x36\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC2"],

        ["\xB6\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x43"],
        ["\x36\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC3"],

        ["\xB6\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x44"],
        ["\x36\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC4"],

        ["\xB6\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x45"],
        ["\x36\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC5"],

        ["\xB6\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],
        ["\xB6\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC6"],

        ["\xB6\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x47"],
        ["\x36\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC7"],

        ["\xB6\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x48"],
        ["\x36\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC8"],

        ["\xB6\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x49"],
        ["\x36\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC9"],

        ["\xB6\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x4A"],
        ["\x36\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCA"],

        ["\xB6\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x4B"],
        ["\x36\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCB"],

        ["\xB6\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x4C"],
        ["\x36\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],

        ["\xB6\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x4D"],
        ["\x36\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCD"],

        ["\xB6\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x4E"],
        ["\x36\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCE"],

        ["\xB6\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x4F"],
        ["\x36\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],

        ["\xB6\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x50"],
        ["\x36\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD0"],

        ["\xB6\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x51"],
        ["\x36\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD1"],

        ["\xB6\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x52"],
        ["\x36\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD2"],

        ["\xB6\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x53"],
        ["\x36\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD3"],

        ["\xB6\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x54"],
        ["\x36\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD4"],

        ["\xB6\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x55"],
        ["\x36\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD5"],

        ["\xB6\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x56"],
        ["\x36\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD6"],

        ["\xB6\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x57"],
        ["\x36\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD7"],

        ["\xB6\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x58"],
        ["\x36\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD8"],

        ["\xB6\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x59"],
        ["\x36\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD9"],

        ["\xB6\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x5A"],
        ["\x36\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],

        ["\xB6\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x5B"],
        ["\x36\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDB"],

        ["\xB6\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x5C"],
        ["\x36\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDC"],

        ["\xB6\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x5D"],
        ["\x36\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDD"],

        ["\xB6\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x5E"],
        ["\x36\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],

        ["\xB6\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x5F"],
        ["\x36\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDF"],

        ["\xB6\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x60"],
        ["\x36\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE0"],

        ["\xB6\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x61"],
        ["\x36\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE1"],

        ["\xB6\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x62"],
        ["\x36\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE2"],

        ["\xB6\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x63"],
        ["\x36\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE3"],

        ["\xB6\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x64"],
        ["\x36\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE4"],

        ["\xB6\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x65"],
        ["\x36\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE5"],

        ["\xB6\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x66"],
        ["\x36\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE6"],

        ["\xB6\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x67"],
        ["\x36\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE7"],

        ["\xB6\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x68"],
        ["\x36\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE8"],

        ["\xB6\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x69"],
        ["\x36\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE9"],

        ["\xB6\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x6A"],
        ["\x36\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEA"],

        ["\xB6\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x6B"],
        ["\x36\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],

        ["\xB6\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x6C"],
        ["\x36\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],

        ["\xB6\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x6D"],
        ["\x36\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],

        ["\xB6\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x6E"],
        ["\x36\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],

        ["\xB6\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x6F"],
        ["\x36\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEF"],

        ["\xB6\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x70"],
        ["\x36\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF0"],

        ["\xB6\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x71"],
        ["\x36\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF1"],

        ["\xB6\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x72"],
        ["\x36\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF2"],

        ["\xB6\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x73"],
        ["\x36\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF3"],

        ["\xB6\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x74"],
        ["\x36\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF4"],

        ["\xB6\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x75"],
        ["\x36\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF5"],

        ["\xB6\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x76"],
        ["\x36\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF6"],

        ["\xB6\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x77"],
        ["\x36\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF7"],

        ["\xB6\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x78"],
        ["\x36\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF8"],

        ["\xB6\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x79"],
        ["\x36\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF9"],

        ["\xB6\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x7A"],
        ["\x36\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],

        ["\xB6\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x7B"],
        ["\x36\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFB"],

        ["\xB6\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x7C"],
        ["\x36\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFC"],

        ["\xB6\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x7D"],
        ["\x36\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],

        ["\xB6\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x7E"],
        ["\x36\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],

        ["\xB7\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x21"],
        ["\x37\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA1"],

        ["\xB7\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x22"],
        ["\x37\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA2"],

        ["\xB7\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x23"],
        ["\x37\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],

        ["\xB7\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x24"],
        ["\x37\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA4"],

        ["\xB7\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x25"],
        ["\x37\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA5"],

        ["\xB7\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x26"],
        ["\x37\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],

        ["\xB7\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x27"],
        ["\x37\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA7"],

        ["\xB7\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x28"],
        ["\x37\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],

        ["\xB7\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x29"],
        ["\x37\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA9"],

        ["\xB7\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x2A"],
        ["\x37\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAA"],

        ["\xB7\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x2B"],
        ["\x37\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAB"],

        ["\xB7\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x2C"],
        ["\x37\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAC"],

        ["\xB7\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x2D"],
        ["\x37\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAD"],

        ["\xB7\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x2E"],
        ["\x37\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],

        ["\xB7\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x2F"],
        ["\x37\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],

        ["\xB7\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x30"],
        ["\x37\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB0"],

        ["\xB7\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x31"],
        ["\x37\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB1"],

        ["\xB7\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x32"],
        ["\x37\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],

        ["\xB7\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x33"],
        ["\x37\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],

        ["\xB7\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x34"],
        ["\x37\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],

        ["\xB7\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x35"],
        ["\x37\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB5"],

        ["\xB7\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x36"],
        ["\x37\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],

        ["\xB7\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x37"],
        ["\x37\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],

        ["\xB7\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x38"],
        ["\x37\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],

        ["\xB7\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x39"],
        ["\x37\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB9"],

        ["\xB7\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x3A"],
        ["\x37\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],

        ["\xB7\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x3B"],
        ["\x37\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBB"],

        ["\xB7\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x3C"],
        ["\x37\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBC"],

        ["\xB7\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x3D"],
        ["\x37\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBD"],

        ["\xB7\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x3E"],
        ["\x37\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBE"],

        ["\xB7\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x3F"],
        ["\x37\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBF"],

        ["\xB7\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x40"],
        ["\x37\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC0"],

        ["\xB7\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x41"],
        ["\x37\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC1"],

        ["\xB7\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x42"],
        ["\x37\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC2"],

        ["\xB7\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x43"],
        ["\x37\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC3"],

        ["\xB7\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x44"],
        ["\x37\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC4"],

        ["\xB7\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x45"],
        ["\x37\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC5"],

        ["\xB7\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x46"],
        ["\x37\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC6"],

        ["\xB7\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x47"],
        ["\x37\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC7"],

        ["\xB7\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x48"],
        ["\x37\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC8"],

        ["\xB7\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x49"],
        ["\x37\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC9"],

        ["\xB7\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x4A"],
        ["\x37\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCA"],

        ["\xB7\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x4B"],
        ["\x37\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],

        ["\xB7\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x4C"],
        ["\x37\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCC"],

        ["\xB7\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x4D"],
        ["\x37\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCD"],

        ["\xB7\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x4E"],
        ["\x37\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],

        ["\xB7\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x4F"],
        ["\x37\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],

        ["\xB7\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x50"],
        ["\x37\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD0"],

        ["\xB7\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x51"],
        ["\x37\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD1"],

        ["\xB7\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x52"],
        ["\x37\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD2"],

        ["\xB7\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x53"],
        ["\x37\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD3"],

        ["\xB7\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x54"],
        ["\x37\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD4"],

        ["\xB7\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x55"],
        ["\x37\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD5"],

        ["\xB7\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x56"],
        ["\x37\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD6"],

        ["\xB7\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x57"],
        ["\x37\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD7"],

        ["\xB7\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x58"],
        ["\x37\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD8"],

        ["\xB7\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x59"],
        ["\x37\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD9"],

        ["\xB7\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x5A"],
        ["\x37\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDA"],

        ["\xB7\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x74"],
        ["\x70\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],

        ["\xB7\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x5C"],
        ["\x37\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],

        ["\xB7\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x5D"],
        ["\x37\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDD"],

        ["\xB7\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x5E"],
        ["\x37\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],

        ["\xB7\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x5F"],
        ["\x37\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],

        ["\xB7\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x60"],
        ["\x37\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE0"],

        ["\xB7\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x61"],
        ["\x37\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE1"],

        ["\xB7\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x62"],
        ["\x37\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE2"],

        ["\xB7\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x63"],
        ["\x37\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE3"],

        ["\xB7\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x64"],
        ["\x37\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE4"],

        ["\xB7\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x65"],
        ["\x37\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE5"],

        ["\xB7\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x66"],
        ["\x37\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE6"],

        ["\xB7\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x67"],
        ["\x37\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE7"],

        ["\xB7\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x68"],
        ["\x37\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE8"],

        ["\xB7\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x69"],
        ["\x37\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE9"],

        ["\xB7\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x6A"],
        ["\x37\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],

        ["\xB7\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x6B"],
        ["\x37\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],

        ["\xB7\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x6C"],
        ["\x37\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],

        ["\xB7\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x6D"],
        ["\x37\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xED"],

        ["\xB7\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x6E"],
        ["\x37\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],

        ["\xB7\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x6F"],
        ["\x37\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],

        ["\xB7\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x70"],
        ["\x37\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF0"],

        ["\xB7\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x71"],
        ["\x37\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF1"],

        ["\xB7\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x72"],
        ["\x37\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF2"],

        ["\xB7\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x73"],
        ["\x37\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF3"],

        ["\xB7\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x74"],
        ["\x37\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF4"],

        ["\xB7\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x75"],
        ["\x37\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF5"],

        ["\xB7\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x76"],
        ["\x37\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF6"],

        ["\xB7\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x77"],
        ["\x37\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF7"],

        ["\xB7\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x78"],
        ["\x37\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF8"],

        ["\xB7\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x79"],
        ["\x37\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF9"],

        ["\xB7\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x7A"],
        ["\x37\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFA"],

        ["\xB7\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x7B"],
        ["\x37\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],

        ["\xB7\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x7C"],
        ["\x37\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFC"],

        ["\xB7\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x7D"],
        ["\x37\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],

        ["\xB7\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x7E"],
        ["\x37\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],

        ["\xB8\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x21"],
        ["\x38\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA1"],

        ["\xB8\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x22"],
        ["\x38\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],

        ["\xB8\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x23"],
        ["\x38\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA3"],

        ["\xB8\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x24"],
        ["\x38\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],

        ["\xB8\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x25"],
        ["\x38\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA5"],

        ["\xB8\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x26"],
        ["\x38\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA6"],

        ["\xB8\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x27"],
        ["\x38\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA7"],

        ["\xB8\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x28"],
        ["\x38\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA8"],

        ["\xB8\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x29"],
        ["\x38\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA9"],

        ["\xB8\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x2A"],
        ["\x38\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAA"],

        ["\xB8\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x2B"],
        ["\x38\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAB"],

        ["\xB8\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x2C"],
        ["\x38\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],

        ["\xB8\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x2D"],
        ["\x38\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],

        ["\xB8\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x2E"],
        ["\x38\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],

        ["\xB8\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x2F"],
        ["\x38\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAF"],

        ["\xB8\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x30"],
        ["\x38\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB0"],

        ["\xB8\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x31"],
        ["\x38\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB1"],

        ["\xB8\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x32"],
        ["\x38\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB2"],

        ["\xB8\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x33"],
        ["\x38\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],

        ["\xB8\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x34"],
        ["\x38\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],

        ["\xB8\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x35"],
        ["\x38\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB5"],

        ["\xB8\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x36"],
        ["\x38\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB6"],

        ["\xB8\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x37"],
        ["\x38\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB7"],

        ["\xB8\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x38"],
        ["\x38\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB8"],

        ["\xB8\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x39"],
        ["\x38\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],

        ["\xB8\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x3A"],
        ["\x38\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBA"],

        ["\xB8\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x3B"],
        ["\x38\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBB"],

        ["\xB8\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x3C"],
        ["\x38\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],

        ["\xB8\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x3D"],
        ["\x38\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],

        ["\xB8\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x3E"],
        ["\x38\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBE"],

        ["\xB8\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x3F"],
        ["\x38\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBF"],

        ["\xB8\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x40"],
        ["\x38\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC0"],

        ["\xB8\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x41"],
        ["\x38\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC1"],

        ["\xB8\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x42"],
        ["\x38\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC2"],

        ["\xB8\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x43"],
        ["\x38\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC3"],

        ["\xB8\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x44"],
        ["\x38\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC4"],

        ["\xB8\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x45"],
        ["\x38\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC5"],

        ["\xB8\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x46"],
        ["\x38\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC6"],

        ["\xB8\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x47"],
        ["\x38\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC7"],

        ["\xB8\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x48"],
        ["\x38\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC8"],

        ["\xB8\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x49"],
        ["\x38\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC9"],

        ["\xB8\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x4A"],
        ["\x38\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],

        ["\xB8\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x4B"],
        ["\x38\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCB"],

        ["\xB8\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x4C"],
        ["\x38\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],

        ["\xB8\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x4D"],
        ["\x38\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],

        ["\xB8\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x4E"],
        ["\x38\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCE"],

        ["\xB8\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x4F"],
        ["\x38\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCF"],

        ["\xB8\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x50"],
        ["\x38\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD0"],

        ["\xB8\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x51"],
        ["\x38\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD1"],

        ["\xB8\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x52"],
        ["\x38\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD2"],

        ["\xB8\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x53"],
        ["\x38\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD3"],

        ["\xB8\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x54"],
        ["\x38\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD4"],

        ["\xB8\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x55"],
        ["\x38\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD5"],

        ["\xB8\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x56"],
        ["\x38\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD6"],

        ["\xB8\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x57"],
        ["\x38\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD7"],

        ["\xB8\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x58"],
        ["\x38\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD8"],

        ["\xB8\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x59"],
        ["\x38\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD9"],

        ["\xB8\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x5A"],
        ["\x38\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDA"],

        ["\xB8\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x5B"],
        ["\x38\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDB"],

        ["\xB8\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x5C"],
        ["\x38\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDC"],

        ["\xB8\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x5D"],
        ["\x38\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDD"],

        ["\xB8\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x5E"],
        ["\x38\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDE"],

        ["\xB8\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x5F"],
        ["\x38\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xDF"],

        ["\xB8\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x60"],
        ["\x38\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE0"],

        ["\xB8\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x61"],
        ["\x38\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE1"],

        ["\xB8\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x62"],
        ["\x38\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE2"],

        ["\xB8\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x63"],
        ["\x38\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE3"],

        ["\xB8\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x64"],
        ["\x38\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE4"],

        ["\xB8\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x65"],
        ["\x38\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE5"],

        ["\xB8\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x66"],
        ["\x38\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE6"],

        ["\xB8\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x67"],
        ["\x38\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE7"],

        ["\xB8\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x68"],
        ["\x38\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE8"],

        ["\xB8\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x69"],
        ["\x38\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE9"],

        ["\xB8\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x6A"],
        ["\x38\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEA"],

        ["\xB8\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x6B"],
        ["\x38\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],

        ["\xB8\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x6C"],
        ["\x38\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],

        ["\xB8\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x6D"],
        ["\x38\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xED"],

        ["\xB8\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x6E"],
        ["\x38\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEE"],

        ["\xB8\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x6F"],
        ["\x38\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEF"],

        ["\xB8\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x70"],
        ["\x38\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF0"],

        ["\xB8\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x71"],
        ["\x38\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF1"],

        ["\xB8\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x72"],
        ["\x38\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF2"],

        ["\xB8\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x73"],
        ["\x38\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF3"],

        ["\xB8\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x74"],
        ["\x38\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF4"],

        ["\xB8\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x75"],
        ["\x38\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF5"],

        ["\xB8\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x76"],
        ["\x38\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF6"],

        ["\xB8\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x77"],
        ["\x38\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF7"],

        ["\xB8\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x78"],
        ["\x38\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF8"],

        ["\xB8\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x79"],
        ["\x38\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF9"],

        ["\xB8\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x7A"],
        ["\x38\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFA"],

        ["\xB8\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x7B"],
        ["\x38\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],

        ["\xB8\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x7C"],
        ["\x38\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFC"],

        ["\xB8\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x7D"],
        ["\x38\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFD"],

        ["\xB8\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x38\x7E"],
        ["\x38\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],

        ["\xB9\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x21"],
        ["\x39\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA1"],

        ["\xB9\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x22"],
        ["\x39\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA2"],

        ["\xB9\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x23"],
        ["\x39\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA3"],

        ["\xB9\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x24"],
        ["\x39\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],

        ["\xB9\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x25"],
        ["\x39\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],

        ["\xB9\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x26"],
        ["\x39\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA6"],

        ["\xB9\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x27"],
        ["\x39\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA7"],

        ["\xB9\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x28"],
        ["\x39\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA8"],

        ["\xB9\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x29"],
        ["\x39\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],

        ["\xB9\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x2A"],
        ["\x39\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAA"],

        ["\xB9\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x2B"],
        ["\x39\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAB"],

        ["\xB9\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x2C"],
        ["\x39\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAC"],

        ["\xB9\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x2D"],
        ["\x39\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAD"],

        ["\xB9\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x2E"],
        ["\x39\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAE"],

        ["\xB9\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x2F"],
        ["\x39\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAF"],

        ["\xB9\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x30"],
        ["\x39\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB0"],

        ["\xB9\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x31"],
        ["\x39\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB1"],

        ["\xB9\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x32"],
        ["\x39\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB2"],

        ["\xB9\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x33"],
        ["\x39\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB3"],

        ["\xB9\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x34"],
        ["\x39\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],

        ["\xB9\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x35"],
        ["\x39\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],

        ["\xB9\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x36"],
        ["\x39\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB6"],

        ["\xB9\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB6"],
        ["\xBD\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB7"],

        ["\xB9\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x38"],
        ["\x39\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB8"],

        ["\xB9\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x39"],
        ["\x39\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB9"],

        ["\xB9\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x3A"],
        ["\x39\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],

        ["\xB9\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x3B"],
        ["\x39\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBB"],

        ["\xB9\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x3C"],
        ["\x39\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBC"],

        ["\xB9\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x3D"],
        ["\x39\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],

        ["\xB9\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x3E"],
        ["\x39\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBE"],

        ["\xB9\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x3F"],
        ["\x39\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBF"],

        ["\xB9\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x40"],
        ["\x39\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC0"],

        ["\xB9\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x41"],
        ["\x39\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC1"],

        ["\xB9\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x42"],
        ["\x39\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC2"],

        ["\xB9\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x43"],
        ["\x39\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC3"],

        ["\xB9\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x44"],
        ["\x39\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC4"],

        ["\xB9\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x45"],
        ["\x39\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC5"],

        ["\xB9\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x46"],
        ["\x39\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC6"],

        ["\xB9\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x47"],
        ["\x39\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC7"],

        ["\xB9\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x48"],
        ["\x39\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC8"],

        ["\xB9\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x49"],
        ["\x39\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC9"],

        ["\xB9\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x4A"],
        ["\x39\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCA"],

        ["\xB9\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x4B"],
        ["\x39\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCB"],

        ["\xB9\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x4C"],
        ["\x39\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCC"],

        ["\xB9\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x4D"],
        ["\x39\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],

        ["\xB9\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x4E"],
        ["\x39\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],

        ["\xB9\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x4F"],
        ["\x39\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCF"],

        ["\xB9\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x50"],
        ["\x39\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD0"],

        ["\xB9\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x51"],
        ["\x39\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD1"],

        ["\xB9\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x52"],
        ["\x39\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD2"],

        ["\xB9\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x53"],
        ["\x39\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD3"],

        ["\xB9\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x54"],
        ["\x39\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD4"],

        ["\xB9\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x55"],
        ["\x39\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD5"],

        ["\xB9\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x56"],
        ["\x39\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD6"],

        ["\xB9\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x57"],
        ["\x39\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD7"],

        ["\xB9\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x58"],
        ["\x39\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD8"],

        ["\xB9\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x59"],
        ["\x39\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD9"],

        ["\xB9\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x5A"],
        ["\x39\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],

        ["\xB9\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x5B"],
        ["\x39\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDB"],

        ["\xB9\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x68"],
        ["\x62\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDC"],

        ["\xB9\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x5D"],
        ["\x39\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],

        ["\xB9\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x5E"],
        ["\x39\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDE"],

        ["\xB9\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x5F"],
        ["\x39\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDF"],

        ["\xB9\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x60"],
        ["\x39\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE0"],

        ["\xB9\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x61"],
        ["\x39\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE1"],

        ["\xB9\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x62"],
        ["\x39\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE2"],

        ["\xB9\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x63"],
        ["\x39\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE3"],

        ["\xB9\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x64"],
        ["\x39\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE4"],

        ["\xB9\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x65"],
        ["\x39\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE5"],

        ["\xB9\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x66"],
        ["\x39\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE6"],

        ["\xB9\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x67"],
        ["\x39\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE7"],

        ["\xB9\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x68"],
        ["\x39\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE8"],

        ["\xB9\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x69"],
        ["\x39\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE9"],

        ["\xB9\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x6A"],
        ["\x39\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEA"],

        ["\xB9\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x6B"],
        ["\x39\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],

        ["\xB9\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x6C"],
        ["\x39\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEC"],

        ["\xB9\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBB"],
        ["\xD6\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xED"],

        ["\xB9\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x6E"],
        ["\x39\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEE"],

        ["\xB9\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x6F"],
        ["\x39\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEF"],

        ["\xB9\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x70"],
        ["\x39\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF0"],

        ["\xB9\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x71"],
        ["\x39\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF1"],

        ["\xB9\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x72"],
        ["\x39\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF2"],

        ["\xB9\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x73"],
        ["\x39\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF3"],

        ["\xB9\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x74"],
        ["\x39\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF4"],

        ["\xB9\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x75"],
        ["\x39\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF5"],

        ["\xB9\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x76"],
        ["\x39\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF6"],

        ["\xB9\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x77"],
        ["\x39\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF7"],

        ["\xB9\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x78"],
        ["\x39\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF8"],

        ["\xB9\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x79"],
        ["\x39\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF9"],

        ["\xB9\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x7A"],
        ["\x39\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],

        ["\xB9\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x7B"],
        ["\x39\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFB"],

        ["\xB9\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x7C"],
        ["\x39\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFC"],

        ["\xB9\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x7D"],
        ["\x39\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFD"],

        ["\xB9\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x7E"],
        ["\x39\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFE"],

        ["\xBA\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x21"],
        ["\x3A\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA1"],

        ["\xBA\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x22"],
        ["\x3A\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA2"],

        ["\xBA\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x23"],
        ["\x3A\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA3"],

        ["\xBA\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x24"],
        ["\x3A\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA4"],

        ["\xBA\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x25"],
        ["\x3A\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA5"],

        ["\xBA\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x26"],
        ["\x3A\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA6"],

        ["\xBA\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x27"],
        ["\x3A\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA7"],

        ["\xBA\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x28"],
        ["\x3A\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA8"],

        ["\xBA\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x29"],
        ["\x3A\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA9"],

        ["\xBA\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x2A"],
        ["\x3A\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAA"],

        ["\xBA\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x2B"],
        ["\x3A\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAB"],

        ["\xBA\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x2C"],
        ["\x3A\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAC"],

        ["\xBA\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x2D"],
        ["\x3A\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAD"],

        ["\xBA\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x2E"],
        ["\x3A\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAE"],

        ["\xBA\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x2F"],
        ["\x3A\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAF"],

        ["\xBA\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x30"],
        ["\x3A\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB0"],

        ["\xBA\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x31"],
        ["\x3A\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB1"],

        ["\xBA\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x32"],
        ["\x3A\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB2"],

        ["\xBA\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x33"],
        ["\x3A\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB3"],

        ["\xBA\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x34"],
        ["\x3A\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB4"],

        ["\xBA\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x35"],
        ["\x3A\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB5"],

        ["\xBA\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x36"],
        ["\x3A\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB6"],

        ["\xBA\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x37"],
        ["\x3A\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB7"],

        ["\xBA\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x38"],
        ["\x3A\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB8"],

        ["\xBA\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x39"],
        ["\x3A\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB9"],

        ["\xBA\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x3A"],
        ["\x3A\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBA"],

        ["\xBA\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x3B"],
        ["\x3A\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBB"],

        ["\xBA\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x3C"],
        ["\x3A\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBC"],

        ["\xBA\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x3D"],
        ["\x3A\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBD"],

        ["\xBA\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x3E"],
        ["\x3A\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBE"],

        ["\xBA\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x3F"],
        ["\x3A\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBF"],

        ["\xBA\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x40"],
        ["\x3A\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC0"],

        ["\xBA\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x41"],
        ["\x3A\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC1"],

        ["\xBA\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x42"],
        ["\x3A\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC2"],

        ["\xBA\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x43"],
        ["\x3A\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC3"],

        ["\xBA\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x44"],
        ["\x3A\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC4"],

        ["\xBA\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x45"],
        ["\x3A\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC5"],

        ["\xBA\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x46"],
        ["\x3A\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC6"],

        ["\xBA\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x47"],
        ["\x3A\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC7"],

        ["\xBA\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x48"],
        ["\x3A\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC8"],

        ["\xBA\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x49"],
        ["\x3A\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC9"],

        ["\xBA\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x4A"],
        ["\x3A\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCA"],

        ["\xBA\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x4B"],
        ["\x3A\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCB"],

        ["\xBA\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x4C"],
        ["\x3A\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCC"],

        ["\xBA\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x4D"],
        ["\x3A\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCD"],

        ["\xBA\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x4E"],
        ["\x3A\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCE"],

        ["\xBA\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x4F"],
        ["\x3A\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCF"],

        ["\xBA\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x50"],
        ["\x3A\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD0"],

        ["\xBA\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x51"],
        ["\x3A\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD1"],

        ["\xBA\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x52"],
        ["\x3A\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD2"],

        ["\xBA\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x53"],
        ["\x3A\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD3"],

        ["\xBA\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x54"],
        ["\x3A\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD4"],

        ["\xBA\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x55"],
        ["\x3A\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD5"],

        ["\xBA\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x56"],
        ["\x3A\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD6"],

        ["\xBA\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x57"],
        ["\x3A\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD7"],

        ["\xBA\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x58"],
        ["\x3A\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD8"],

        ["\xBA\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x59"],
        ["\x3A\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD9"],

        ["\xBA\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x5A"],
        ["\x3A\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDA"],

        ["\xBA\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x5B"],
        ["\x3A\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDB"],

        ["\xBA\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x5C"],
        ["\x3A\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDC"],

        ["\xBA\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x5D"],
        ["\x3A\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDD"],

        ["\xBA\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x5E"],
        ["\x3A\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDE"],

        ["\xBA\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x5F"],
        ["\x3A\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDF"],

        ["\xBA\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x60"],
        ["\x3A\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE0"],

        ["\xBA\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x61"],
        ["\x3A\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE1"],

        ["\xBA\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x62"],
        ["\x3A\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE2"],

        ["\xBA\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x63"],
        ["\x3A\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE3"],

        ["\xBA\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x64"],
        ["\x3A\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE4"],

        ["\xBA\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x65"],
        ["\x3A\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE5"],

        ["\xBA\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x66"],
        ["\x3A\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE6"],

        ["\xBA\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x67"],
        ["\x3A\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE7"],

        ["\xBA\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x68"],
        ["\x3A\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE8"],

        ["\xBA\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x69"],
        ["\x3A\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE9"],

        ["\xBA\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x6A"],
        ["\x3A\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEA"],

        ["\xBA\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x6B"],
        ["\x3A\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEB"],

        ["\xBA\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x6C"],
        ["\x3A\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEC"],

        ["\xBA\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x6D"],
        ["\x3A\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xED"],

        ["\xBA\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x6E"],
        ["\x3A\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEE"],

        ["\xBA\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x6F"],
        ["\x3A\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEF"],

        ["\xBA\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x70"],
        ["\x3A\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF0"],

        ["\xBA\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x71"],
        ["\x3A\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF1"],

        ["\xBA\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x72"],
        ["\x3A\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF2"],

        ["\xBA\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x73"],
        ["\x3A\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF3"],

        ["\xBA\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x74"],
        ["\x3A\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF4"],

        ["\xBA\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x75"],
        ["\x3A\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF5"],

        ["\xBA\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x76"],
        ["\x3A\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF6"],

        ["\xBA\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x77"],
        ["\x3A\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF7"],

        ["\xBA\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x78"],
        ["\x3A\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF8"],

        ["\xBA\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x79"],
        ["\x3A\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF9"],

        ["\xBA\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x7A"],
        ["\x3A\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFA"],

        ["\xBA\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x7B"],
        ["\x3A\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFB"],

        ["\xBA\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x7C"],
        ["\x3A\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFC"],

        ["\xBA\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x7D"],
        ["\x3A\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFD"],

        ["\xBA\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3A\x7E"],
        ["\x3A\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFE"],

        ["\xBB\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x21"],
        ["\x3B\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA1"],

        ["\xBB\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x22"],
        ["\x3B\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA2"],

        ["\xBB\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x23"],
        ["\x3B\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA3"],

        ["\xBB\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x24"],
        ["\x3B\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA4"],

        ["\xBB\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x25"],
        ["\x3B\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA5"],

        ["\xBB\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x26"],
        ["\x3B\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA6"],

        ["\xBB\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x27"],
        ["\x3B\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA7"],

        ["\xBB\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x28"],
        ["\x3B\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA8"],

        ["\xBB\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x29"],
        ["\x3B\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA9"],

        ["\xBB\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x2A"],
        ["\x3B\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAA"],

        ["\xBB\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x2B"],
        ["\x3B\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAB"],

        ["\xBB\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x2C"],
        ["\x3B\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAC"],

        ["\xBB\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x2D"],
        ["\x3B\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAD"],

        ["\xBB\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x2E"],
        ["\x3B\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAE"],

        ["\xBB\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x2F"],
        ["\x3B\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAF"],

        ["\xBB\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x30"],
        ["\x3B\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB0"],

        ["\xBB\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x31"],
        ["\x3B\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB1"],

        ["\xBB\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x32"],
        ["\x3B\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB2"],

        ["\xBB\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x33"],
        ["\x3B\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB3"],

        ["\xBB\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x34"],
        ["\x3B\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB4"],

        ["\xBB\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x35"],
        ["\x3B\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB5"],

        ["\xBB\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x36"],
        ["\x3B\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB6"],

        ["\xBB\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x37"],
        ["\x3B\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB7"],

        ["\xBB\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x38"],
        ["\x3B\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB8"],

        ["\xBB\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x39"],
        ["\x3B\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB9"],

        ["\xBB\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x3A"],
        ["\x3B\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBA"],

        ["\xBB\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x3B"],
        ["\x3B\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBB"],

        ["\xBB\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x3C"],
        ["\x3B\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBC"],

        ["\xBB\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x3D"],
        ["\x3B\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBD"],

        ["\xBB\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x3E"],
        ["\x3B\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBE"],

        ["\xBB\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x3F"],
        ["\x3B\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBF"],

        ["\xBB\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x40"],
        ["\x3B\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC0"],

        ["\xBB\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x41"],
        ["\x3B\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC1"],

        ["\xBB\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x42"],
        ["\x3B\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC2"],

        ["\xBB\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x43"],
        ["\x3B\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC3"],

        ["\xBB\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x44"],
        ["\x3B\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC4"],

        ["\xBB\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x45"],
        ["\x3B\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC5"],

        ["\xBB\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x46"],
        ["\x3B\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC6"],

        ["\xBB\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x47"],
        ["\x3B\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC7"],

        ["\xBB\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x48"],
        ["\x3B\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC8"],

        ["\xBB\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x49"],
        ["\x3B\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC9"],

        ["\xBB\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x4A"],
        ["\x3B\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCA"],

        ["\xBB\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x4B"],
        ["\x3B\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCB"],

        ["\xBB\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x4C"],
        ["\x3B\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCC"],

        ["\xBB\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x4D"],
        ["\x3B\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCD"],

        ["\xBB\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x4E"],
        ["\x3B\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCE"],

        ["\xBB\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x4F"],
        ["\x3B\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCF"],

        ["\xBB\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x50"],
        ["\x3B\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD0"],

        ["\xBB\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x51"],
        ["\x3B\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD1"],

        ["\xBB\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x52"],
        ["\x3B\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD2"],

        ["\xBB\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x53"],
        ["\x3B\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD3"],

        ["\xBB\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x54"],
        ["\x3B\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD4"],

        ["\xBB\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x55"],
        ["\x3B\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD5"],

        ["\xBB\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x56"],
        ["\x3B\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD6"],

        ["\xBB\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x57"],
        ["\x3B\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD7"],

        ["\xBB\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x58"],
        ["\x3B\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD8"],

        ["\xBB\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x59"],
        ["\x3B\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD9"],

        ["\xBB\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x5A"],
        ["\x3B\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDA"],

        ["\xBB\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x5B"],
        ["\x3B\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDB"],

        ["\xBB\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x5C"],
        ["\x3B\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDC"],

        ["\xBB\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x5D"],
        ["\x3B\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDD"],

        ["\xBB\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x5E"],
        ["\x3B\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDE"],

        ["\xBB\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x5F"],
        ["\x3B\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDF"],

        ["\xBB\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x60"],
        ["\x3B\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE0"],

        ["\xBB\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x61"],
        ["\x3B\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE1"],

        ["\xBB\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x62"],
        ["\x3B\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE2"],

        ["\xBB\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x63"],
        ["\x3B\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE3"],

        ["\xBB\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x64"],
        ["\x3B\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE4"],

        ["\xBB\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x65"],
        ["\x3B\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE5"],

        ["\xBB\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x66"],
        ["\x3B\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE6"],

        ["\xBB\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x67"],
        ["\x3B\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE7"],

        ["\xBB\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x68"],
        ["\x3B\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE8"],

        ["\xBB\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x69"],
        ["\x3B\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE9"],

        ["\xBB\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x6A"],
        ["\x3B\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEA"],

        ["\xBB\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x6B"],
        ["\x3B\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEB"],

        ["\xBB\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x6C"],
        ["\x3B\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEC"],

        ["\xBB\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x6D"],
        ["\x3B\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xED"],

        ["\xBB\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x6E"],
        ["\x3B\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEE"],

        ["\xBB\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x6F"],
        ["\x3B\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEF"],

        ["\xBB\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x70"],
        ["\x3B\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF0"],

        ["\xBB\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x71"],
        ["\x3B\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF1"],

        ["\xBB\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x72"],
        ["\x3B\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF2"],

        ["\xBB\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x73"],
        ["\x3B\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF3"],

        ["\xBB\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x74"],
        ["\x3B\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF4"],

        ["\xBB\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x75"],
        ["\x3B\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF5"],

        ["\xBB\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x76"],
        ["\x3B\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF6"],

        ["\xBB\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x77"],
        ["\x3B\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF7"],

        ["\xBB\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x78"],
        ["\x3B\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF8"],

        ["\xBB\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x79"],
        ["\x3B\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF9"],

        ["\xBB\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x7A"],
        ["\x3B\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFA"],

        ["\xBB\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x7B"],
        ["\x3B\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFB"],

        ["\xBB\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x7C"],
        ["\x3B\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFC"],

        ["\xBB\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x7D"],
        ["\x3B\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFD"],

        ["\xBB\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3B\x7E"],
        ["\x3B\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFE"],

        ["\xBC\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x21"],
        ["\x3C\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA1"],

        ["\xBC\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x22"],
        ["\x3C\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA2"],

        ["\xBC\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x23"],
        ["\x3C\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA3"],

        ["\xBC\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x24"],
        ["\x3C\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA4"],

        ["\xBC\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x25"],
        ["\x3C\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA5"],

        ["\xBC\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x26"],
        ["\x3C\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA6"],

        ["\xBC\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x27"],
        ["\x3C\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA7"],

        ["\xBC\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x28"],
        ["\x3C\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA8"],

        ["\xBC\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x29"],
        ["\x3C\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA9"],

        ["\xBC\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x2A"],
        ["\x3C\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAA"],

        ["\xBC\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x2B"],
        ["\x3C\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAB"],

        ["\xBC\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x2C"],
        ["\x3C\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAC"],

        ["\xBC\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x2D"],
        ["\x3C\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAD"],

        ["\xBC\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x2E"],
        ["\x3C\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAE"],

        ["\xBC\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x2F"],
        ["\x3C\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAF"],

        ["\xBC\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x30"],
        ["\x3C\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB0"],

        ["\xBC\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x31"],
        ["\x3C\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB1"],

        ["\xBC\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x32"],
        ["\x3C\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB2"],

        ["\xBC\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x33"],
        ["\x3C\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB3"],

        ["\xBC\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x34"],
        ["\x3C\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB4"],

        ["\xBC\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x35"],
        ["\x3C\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB5"],

        ["\xBC\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x36"],
        ["\x3C\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB6"],

        ["\xBC\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x37"],
        ["\x3C\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB7"],

        ["\xBC\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x38"],
        ["\x3C\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB8"],

        ["\xBC\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x39"],
        ["\x3C\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB9"],

        ["\xBC\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x3A"],
        ["\x3C\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBA"],

        ["\xBC\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x3B"],
        ["\x3C\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBB"],

        ["\xBC\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x3C"],
        ["\x3C\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBC"],

        ["\xBC\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x3D"],
        ["\x3C\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBD"],

        ["\xBC\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x3E"],
        ["\x3C\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBE"],

        ["\xBC\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x3F"],
        ["\x3C\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBF"],

        ["\xBC\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x40"],
        ["\x3C\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC0"],

        ["\xBC\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x41"],
        ["\x3C\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC1"],

        ["\xBC\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x42"],
        ["\x3C\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC2"],

        ["\xBC\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x43"],
        ["\x3C\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC3"],

        ["\xBC\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x44"],
        ["\x3C\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC4"],

        ["\xBC\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x45"],
        ["\x3C\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC5"],

        ["\xBC\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x46"],
        ["\x3C\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC6"],

        ["\xBC\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x47"],
        ["\x3C\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC7"],

        ["\xBC\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x48"],
        ["\x3C\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC8"],

        ["\xBC\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x22"],
        ["\x69\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC9"],

        ["\xBC\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x4A"],
        ["\x3C\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCA"],

        ["\xBC\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x4B"],
        ["\x3C\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCB"],

        ["\xBC\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x4C"],
        ["\x3C\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCC"],

        ["\xBC\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x4D"],
        ["\x3C\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCD"],

        ["\xBC\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x4E"],
        ["\x3C\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCE"],

        ["\xBC\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x4F"],
        ["\x3C\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCF"],

        ["\xBC\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x50"],
        ["\x3C\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD0"],

        ["\xBC\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x51"],
        ["\x3C\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD1"],

        ["\xBC\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x52"],
        ["\x3C\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD2"],

        ["\xBC\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x53"],
        ["\x3C\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD3"],

        ["\xBC\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x54"],
        ["\x3C\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD4"],

        ["\xBC\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x55"],
        ["\x3C\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD5"],

        ["\xBC\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x56"],
        ["\x3C\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD6"],

        ["\xBC\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x57"],
        ["\x3C\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD7"],

        ["\xBC\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x58"],
        ["\x3C\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD8"],

        ["\xBC\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x59"],
        ["\x3C\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD9"],

        ["\xBC\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x5A"],
        ["\x3C\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDA"],

        ["\xBC\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x5B"],
        ["\x3C\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDB"],

        ["\xBC\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x5C"],
        ["\x3C\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDC"],

        ["\xBC\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x5D"],
        ["\x3C\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDD"],

        ["\xBC\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x5E"],
        ["\x3C\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDE"],

        ["\xBC\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x5F"],
        ["\x3C\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDF"],

        ["\xBC\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x60"],
        ["\x3C\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE0"],

        ["\xBC\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x61"],
        ["\x3C\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE1"],

        ["\xBC\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x62"],
        ["\x3C\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE2"],

        ["\xBC\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x63"],
        ["\x3C\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE3"],

        ["\xBC\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x64"],
        ["\x3C\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE4"],

        ["\xBC\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x65"],
        ["\x3C\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE5"],

        ["\xBC\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x66"],
        ["\x3C\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE6"],

        ["\xBC\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x67"],
        ["\x3C\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE7"],

        ["\xBC\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x68"],
        ["\x3C\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE8"],

        ["\xBC\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x69"],
        ["\x3C\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE9"],

        ["\xBC\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x6A"],
        ["\x3C\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEA"],

        ["\xBC\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x6B"],
        ["\x3C\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEB"],

        ["\xBC\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x6C"],
        ["\x3C\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEC"],

        ["\xBC\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x6D"],
        ["\x3C\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xED"],

        ["\xBC\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x6E"],
        ["\x3C\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEE"],

        ["\xBC\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x6F"],
        ["\x3C\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEF"],

        ["\xBC\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x70"],
        ["\x3C\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF0"],

        ["\xBC\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x71"],
        ["\x3C\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF1"],

        ["\xBC\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x72"],
        ["\x3C\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF2"],

        ["\xBC\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x73"],
        ["\x3C\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF3"],

        ["\xBC\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x74"],
        ["\x3C\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF4"],

        ["\xBC\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x75"],
        ["\x3C\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF5"],

        ["\xBC\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x76"],
        ["\x3C\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF6"],

        ["\xBC\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x77"],
        ["\x3C\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF7"],

        ["\xBC\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x78"],
        ["\x3C\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF8"],

        ["\xBC\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x79"],
        ["\x3C\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF9"],

        ["\xBC\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x7A"],
        ["\x3C\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFA"],

        ["\xBC\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x7B"],
        ["\x3C\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFB"],

        ["\xBC\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x7C"],
        ["\x3C\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFC"],

        ["\xBC\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x7D"],
        ["\x3C\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFD"],

        ["\xBC\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x7E"],
        ["\x3C\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xFE"],

        ["\xBD\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x21"],
        ["\x3D\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA1"],

        ["\xBD\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x22"],
        ["\x3D\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA2"],

        ["\xBD\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x23"],
        ["\x3D\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA3"],

        ["\xBD\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x24"],
        ["\x3D\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA4"],

        ["\xBD\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x25"],
        ["\x3D\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA5"],

        ["\xBD\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x26"],
        ["\x3D\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA6"],

        ["\xBD\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x27"],
        ["\x3D\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA7"],

        ["\xBD\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x28"],
        ["\x3D\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA8"],

        ["\xBD\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x29"],
        ["\x3D\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xA9"],

        ["\xBD\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x2A"],
        ["\x3D\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAA"],

        ["\xBD\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x2B"],
        ["\x3D\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAB"],

        ["\xBD\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x2C"],
        ["\x3D\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAC"],

        ["\xBD\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x2D"],
        ["\x3D\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAD"],

        ["\xBD\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x2E"],
        ["\x3D\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAE"],

        ["\xBD\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x2F"],
        ["\x3D\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAF"],

        ["\xBD\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x30"],
        ["\x3D\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB0"],

        ["\xBD\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x31"],
        ["\x3D\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB1"],

        ["\xBD\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x32"],
        ["\x3D\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB2"],

        ["\xBD\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x33"],
        ["\x3D\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB3"],

        ["\xBD\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x34"],
        ["\x3D\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB4"],

        ["\xBD\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x35"],
        ["\x3D\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB5"],

        ["\xBD\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x36"],
        ["\x3D\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB6"],

        ["\xBD\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x37"],
        ["\x3D\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB7"],

        ["\xBD\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x38"],
        ["\x3D\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB8"],

        ["\xBD\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x39"],
        ["\x3D\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB9"],

        ["\xBD\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x3A"],
        ["\x3D\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBA"],

        ["\xBD\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x3B"],
        ["\x3D\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBB"],

        ["\xBD\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x3C"],
        ["\x3D\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBC"],

        ["\xBD\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x3D"],
        ["\x3D\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBD"],

        ["\xBD\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x3E"],
        ["\x3D\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBE"],

        ["\xBD\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x3F"],
        ["\x3D\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBF"],

        ["\xBD\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x40"],
        ["\x3D\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC0"],

        ["\xBD\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x41"],
        ["\x3D\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC1"],

        ["\xBD\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x42"],
        ["\x3D\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC2"],

        ["\xBD\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x43"],
        ["\x3D\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC3"],

        ["\xBD\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x44"],
        ["\x3D\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC4"],

        ["\xBD\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x45"],
        ["\x3D\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC5"],

        ["\xBD\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x46"],
        ["\x3D\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC6"],

        ["\xBD\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x47"],
        ["\x3D\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC7"],

        ["\xBD\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x48"],
        ["\x3D\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC8"],

        ["\xBD\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x49"],
        ["\x3D\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC9"],

        ["\xBD\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x4A"],
        ["\x3D\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCA"],

        ["\xBD\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x4B"],
        ["\x3D\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCB"],

        ["\xBD\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x4C"],
        ["\x3D\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCC"],

        ["\xBD\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x4D"],
        ["\x3D\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCD"],

        ["\xBD\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x4E"],
        ["\x3D\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCE"],

        ["\xBD\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x4F"],
        ["\x3D\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCF"],

        ["\xBD\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x50"],
        ["\x3D\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD0"],

        ["\xBD\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x51"],
        ["\x3D\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD1"],

        ["\xBD\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x52"],
        ["\x3D\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD2"],

        ["\xBD\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x53"],
        ["\x3D\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD3"],

        ["\xBD\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x54"],
        ["\x3D\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD4"],

        ["\xBD\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x55"],
        ["\x3D\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD5"],

        ["\xBD\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x56"],
        ["\x3D\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD6"],

        ["\xBD\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x57"],
        ["\x3D\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD7"],

        ["\xBD\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x58"],
        ["\x3D\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD8"],

        ["\xBD\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x59"],
        ["\x3D\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD9"],

        ["\xBD\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x5A"],
        ["\x3D\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDA"],

        ["\xBD\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x5B"],
        ["\x3D\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDB"],

        ["\xBD\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x5C"],
        ["\x3D\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDC"],

        ["\xBD\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x5D"],
        ["\x3D\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDD"],

        ["\xBD\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x5E"],
        ["\x3D\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDE"],

        ["\xBD\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x5F"],
        ["\x3D\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDF"],

        ["\xBD\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x60"],
        ["\x3D\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE0"],

        ["\xBD\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x61"],
        ["\x3D\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE1"],

        ["\xBD\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x62"],
        ["\x3D\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE2"],

        ["\xBD\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x63"],
        ["\x3D\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE3"],

        ["\xBD\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x64"],
        ["\x3D\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE4"],

        ["\xBD\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x65"],
        ["\x3D\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE5"],

        ["\xBD\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x66"],
        ["\x3D\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE6"],

        ["\xBD\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x67"],
        ["\x3D\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE7"],

        ["\xBD\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x68"],
        ["\x3D\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE8"],

        ["\xBD\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x69"],
        ["\x3D\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE9"],

        ["\xBD\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x6A"],
        ["\x3D\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEA"],

        ["\xBD\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x6B"],
        ["\x3D\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEB"],

        ["\xBD\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x6C"],
        ["\x3D\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEC"],

        ["\xBD\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x6D"],
        ["\x3D\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xED"],

        ["\xBD\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x6E"],
        ["\x3D\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEE"],

        ["\xBD\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x6F"],
        ["\x3D\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEF"],

        ["\xBD\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x70"],
        ["\x3D\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF0"],

        ["\xBD\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x71"],
        ["\x3D\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF1"],

        ["\xBD\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x72"],
        ["\x3D\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF2"],

        ["\xBD\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x73"],
        ["\x3D\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF3"],

        ["\xBD\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x74"],
        ["\x3D\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF4"],

        ["\xBD\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x75"],
        ["\x3D\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF5"],

        ["\xBD\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x76"],
        ["\x3D\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF6"],

        ["\xBD\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x77"],
        ["\x3D\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF7"],

        ["\xBD\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x78"],
        ["\x3D\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF8"],

        ["\xBD\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x79"],
        ["\x3D\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF9"],

        ["\xBD\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x7A"],
        ["\x3D\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFA"],

        ["\xBD\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x7B"],
        ["\x3D\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFB"],

        ["\xBD\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x7C"],
        ["\x3D\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFC"],

        ["\xBD\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x7D"],
        ["\x3D\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFD"],

        ["\xBD\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3D\x7E"],
        ["\x3D\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFE"],

        ["\xBE\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x21"],
        ["\x3E\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA1"],

        ["\xBE\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x22"],
        ["\x3E\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA2"],

        ["\xBE\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x23"],
        ["\x3E\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA3"],

        ["\xBE\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x24"],
        ["\x3E\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA4"],

        ["\xBE\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x25"],
        ["\x3E\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA5"],

        ["\xBE\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x26"],
        ["\x3E\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA6"],

        ["\xBE\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x27"],
        ["\x3E\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA7"],

        ["\xBE\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x28"],
        ["\x3E\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA8"],

        ["\xBE\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x29"],
        ["\x3E\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA9"],

        ["\xBE\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x2A"],
        ["\x3E\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAA"],

        ["\xBE\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x2B"],
        ["\x3E\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAB"],

        ["\xBE\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x2C"],
        ["\x3E\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAC"],

        ["\xBE\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x2D"],
        ["\x3E\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAD"],

        ["\xBE\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x2E"],
        ["\x3E\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAE"],

        ["\xBE\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x2F"],
        ["\x3E\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAF"],

        ["\xBE\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x30"],
        ["\x3E\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB0"],

        ["\xBE\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x31"],
        ["\x3E\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB1"],

        ["\xBE\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x32"],
        ["\x3E\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB2"],

        ["\xBE\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x33"],
        ["\x3E\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB3"],

        ["\xBE\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x34"],
        ["\x3E\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB4"],

        ["\xBE\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x35"],
        ["\x3E\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB5"],

        ["\xBE\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x36"],
        ["\x3E\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB6"],

        ["\xBE\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x37"],
        ["\x3E\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB7"],

        ["\xBE\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x38"],
        ["\x3E\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB8"],

        ["\xBE\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x39"],
        ["\x3E\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB9"],

        ["\xBE\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x3A"],
        ["\x3E\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBA"],

        ["\xBE\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x3B"],
        ["\x3E\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBB"],

        ["\xBE\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x3C"],
        ["\x3E\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBC"],

        ["\xBE\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x3D"],
        ["\x3E\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBD"],

        ["\xBE\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x3E"],
        ["\x3E\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBE"],

        ["\xBE\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x3F"],
        ["\x3E\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBF"],

        ["\xBE\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x40"],
        ["\x3E\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC0"],

        ["\xBE\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x41"],
        ["\x3E\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC1"],

        ["\xBE\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x42"],
        ["\x3E\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC2"],

        ["\xBE\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x43"],
        ["\x3E\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC3"],

        ["\xBE\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x44"],
        ["\x3E\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC4"],

        ["\xBE\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x45"],
        ["\x3E\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC5"],

        ["\xBE\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x46"],
        ["\x3E\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC6"],

        ["\xBE\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x47"],
        ["\x3E\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC7"],

        ["\xBE\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x48"],
        ["\x3E\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC8"],

        ["\xBE\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x49"],
        ["\x3E\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC9"],

        ["\xBE\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x4A"],
        ["\x3E\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCA"],

        ["\xBE\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x4B"],
        ["\x3E\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCB"],

        ["\xBE\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x4C"],
        ["\x3E\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCC"],

        ["\xBE\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x4D"],
        ["\x3E\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCD"],

        ["\xBE\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x4E"],
        ["\x3E\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCE"],

        ["\xBE\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x4F"],
        ["\x3E\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCF"],

        ["\xBE\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x50"],
        ["\x3E\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD0"],

        ["\xBE\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x51"],
        ["\x3E\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD1"],

        ["\xBE\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x52"],
        ["\x3E\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD2"],

        ["\xBE\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x53"],
        ["\x3E\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD3"],

        ["\xBE\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x54"],
        ["\x3E\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD4"],

        ["\xBE\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x55"],
        ["\x3E\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD5"],

        ["\xBE\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x56"],
        ["\x3E\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD6"],

        ["\xBE\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x57"],
        ["\x3E\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD7"],

        ["\xBE\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x58"],
        ["\x3E\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD8"],

        ["\xBE\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x59"],
        ["\x3E\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD9"],

        ["\xBE\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x5A"],
        ["\x3E\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDA"],

        ["\xBE\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x5B"],
        ["\x3E\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDB"],

        ["\xBE\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x5C"],
        ["\x3E\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDC"],

        ["\xBE\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x5D"],
        ["\x3E\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDD"],

        ["\xBE\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x5E"],
        ["\x3E\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDE"],

        ["\xBE\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x5F"],
        ["\x3E\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDF"],

        ["\xBE\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x60"],
        ["\x3E\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE0"],

        ["\xBE\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x61"],
        ["\x3E\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE1"],

        ["\xBE\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x62"],
        ["\x3E\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE2"],

        ["\xBE\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x63"],
        ["\x3E\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE3"],

        ["\xBE\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x64"],
        ["\x3E\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE4"],

        ["\xBE\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x65"],
        ["\x3E\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE5"],

        ["\xBE\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x66"],
        ["\x3E\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE6"],

        ["\xBE\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x67"],
        ["\x3E\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE7"],

        ["\xBE\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x68"],
        ["\x3E\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE8"],

        ["\xBE\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x69"],
        ["\x3E\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE9"],

        ["\xBE\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x6A"],
        ["\x3E\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEA"],

        ["\xBE\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x6B"],
        ["\x3E\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEB"],

        ["\xBE\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x6C"],
        ["\x3E\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEC"],

        ["\xBE\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x6D"],
        ["\x3E\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xED"],

        ["\xBE\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x6E"],
        ["\x3E\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEE"],

        ["\xBE\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x6F"],
        ["\x3E\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEF"],

        ["\xBE\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x70"],
        ["\x3E\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF0"],

        ["\xBE\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x71"],
        ["\x3E\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF1"],

        ["\xBE\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x72"],
        ["\x3E\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF2"],

        ["\xBE\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x73"],
        ["\x3E\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF3"],

        ["\xBE\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x74"],
        ["\x3E\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF4"],

        ["\xBE\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x75"],
        ["\x3E\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF5"],

        ["\xBE\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x76"],
        ["\x3E\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF6"],

        ["\xBE\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x77"],
        ["\x3E\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF7"],

        ["\xBE\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x78"],
        ["\x3E\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF8"],

        ["\xBE\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x79"],
        ["\x3E\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF9"],

        ["\xBE\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x7A"],
        ["\x3E\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFA"],

        ["\xBE\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x7B"],
        ["\x3E\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFB"],

        ["\xBE\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x7C"],
        ["\x3E\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFC"],

        ["\xBE\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x7D"],
        ["\x3E\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFD"],

        ["\xBE\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3E\x7E"],
        ["\x3E\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFE"],

        ["\xBF\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x21"],
        ["\x3F\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA1"],

        ["\xBF\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x22"],
        ["\x3F\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA2"],

        ["\xBF\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x23"],
        ["\x3F\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA3"],

        ["\xBF\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x24"],
        ["\x3F\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA4"],

        ["\xBF\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x25"],
        ["\x3F\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA5"],

        ["\xBF\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x26"],
        ["\x3F\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA6"],

        ["\xBF\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x27"],
        ["\x3F\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA7"],

        ["\xBF\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x28"],
        ["\x3F\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA8"],

        ["\xBF\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x29"],
        ["\x3F\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA9"],

        ["\xBF\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x2A"],
        ["\x3F\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAA"],

        ["\xBF\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x2B"],
        ["\x3F\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAB"],

        ["\xBF\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x2C"],
        ["\x3F\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAC"],

        ["\xBF\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x2D"],
        ["\x3F\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAD"],

        ["\xBF\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x2E"],
        ["\x3F\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAE"],

        ["\xBF\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x2F"],
        ["\x3F\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAF"],

        ["\xBF\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x30"],
        ["\x3F\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB0"],

        ["\xBF\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x31"],
        ["\x3F\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB1"],

        ["\xBF\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x32"],
        ["\x3F\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB2"],

        ["\xBF\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x33"],
        ["\x3F\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB3"],

        ["\xBF\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x34"],
        ["\x3F\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB4"],

        ["\xBF\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x35"],
        ["\x3F\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB5"],

        ["\xBF\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x36"],
        ["\x3F\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB6"],

        ["\xBF\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x37"],
        ["\x3F\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB7"],

        ["\xBF\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x38"],
        ["\x3F\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB8"],

        ["\xBF\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x39"],
        ["\x3F\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB9"],

        ["\xBF\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x3A"],
        ["\x3F\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBA"],

        ["\xBF\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x3B"],
        ["\x3F\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBB"],

        ["\xBF\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x3C"],
        ["\x3F\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBC"],

        ["\xBF\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x3D"],
        ["\x3F\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBD"],

        ["\xBF\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x3E"],
        ["\x3F\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBE"],

        ["\xBF\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x3F"],
        ["\x3F\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBF"],

        ["\xBF\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x40"],
        ["\x3F\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC0"],

        ["\xBF\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x41"],
        ["\x3F\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC1"],

        ["\xBF\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x42"],
        ["\x3F\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC2"],

        ["\xBF\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x43"],
        ["\x3F\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC3"],

        ["\xBF\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x44"],
        ["\x3F\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC4"],

        ["\xBF\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x45"],
        ["\x3F\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC5"],

        ["\xBF\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x46"],
        ["\x3F\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC6"],

        ["\xBF\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x47"],
        ["\x3F\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC7"],

        ["\xBF\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x48"],
        ["\x3F\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC8"],

        ["\xBF\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x49"],
        ["\x3F\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC9"],

        ["\xBF\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x4A"],
        ["\x3F\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCA"],

        ["\xBF\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x4B"],
        ["\x3F\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCB"],

        ["\xBF\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x4C"],
        ["\x3F\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCC"],

        ["\xBF\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x4D"],
        ["\x3F\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCD"],

        ["\xBF\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x4E"],
        ["\x3F\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCE"],

        ["\xBF\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x4F"],
        ["\x3F\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCF"],

        ["\xBF\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x50"],
        ["\x3F\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD0"],

        ["\xBF\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x51"],
        ["\x3F\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD1"],

        ["\xBF\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x52"],
        ["\x3F\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD2"],

        ["\xBF\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x53"],
        ["\x3F\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD3"],

        ["\xBF\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x54"],
        ["\x3F\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD4"],

        ["\xBF\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x55"],
        ["\x3F\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD5"],

        ["\xBF\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x56"],
        ["\x3F\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD6"],

        ["\xBF\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x57"],
        ["\x3F\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD7"],

        ["\xBF\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x58"],
        ["\x3F\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD8"],

        ["\xBF\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x57"],
        ["\x70\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD9"],

        ["\xBF\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x5A"],
        ["\x3F\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDA"],

        ["\xBF\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x5B"],
        ["\x3F\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDB"],

        ["\xBF\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x5C"],
        ["\x3F\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDC"],

        ["\xBF\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x5D"],
        ["\x3F\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDD"],

        ["\xBF\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x5E"],
        ["\x3F\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDE"],

        ["\xBF\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x5F"],
        ["\x3F\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDF"],

        ["\xBF\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x60"],
        ["\x3F\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE0"],

        ["\xBF\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x61"],
        ["\x3F\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE1"],

        ["\xBF\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x62"],
        ["\x3F\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE2"],

        ["\xBF\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x63"],
        ["\x3F\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE3"],

        ["\xBF\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x64"],
        ["\x3F\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE4"],

        ["\xBF\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x65"],
        ["\x3F\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE5"],

        ["\xBF\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x66"],
        ["\x3F\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE6"],

        ["\xBF\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x67"],
        ["\x3F\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE7"],

        ["\xBF\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x68"],
        ["\x3F\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE8"],

        ["\xBF\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x69"],
        ["\x3F\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE9"],

        ["\xBF\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x6A"],
        ["\x3F\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEA"],

        ["\xBF\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x6B"],
        ["\x3F\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEB"],

        ["\xBF\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x6C"],
        ["\x3F\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEC"],

        ["\xBF\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x6D"],
        ["\x3F\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xED"],

        ["\xBF\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x6E"],
        ["\x3F\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEE"],

        ["\xBF\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x6F"],
        ["\x3F\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEF"],

        ["\xBF\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x70"],
        ["\x3F\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF0"],

        ["\xBF\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x71"],
        ["\x3F\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF1"],

        ["\xBF\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x72"],
        ["\x3F\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF2"],

        ["\xBF\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x73"],
        ["\x3F\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF3"],

        ["\xBF\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x74"],
        ["\x3F\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF4"],

        ["\xBF\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x75"],
        ["\x3F\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF5"],

        ["\xBF\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x76"],
        ["\x3F\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF6"],

        ["\xBF\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x77"],
        ["\x3F\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF7"],

        ["\xBF\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x78"],
        ["\x3F\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF8"],

        ["\xBF\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x79"],
        ["\x3F\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF9"],

        ["\xBF\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x7A"],
        ["\x3F\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFA"],

        ["\xBF\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x7B"],
        ["\x3F\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFB"],

        ["\xBF\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x7C"],
        ["\x3F\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFC"],

        ["\xBF\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x7D"],
        ["\x3F\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFD"],

        ["\xBF\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x7E"],
        ["\x3F\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFE"],

        ["\xC0\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x21"],
        ["\x40\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA1"],

        ["\xC0\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x22"],
        ["\x40\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA2"],

        ["\xC0\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x23"],
        ["\x40\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA3"],

        ["\xC0\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x24"],
        ["\x40\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA4"],

        ["\xC0\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x25"],
        ["\x40\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA5"],

        ["\xC0\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x26"],
        ["\x40\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA6"],

        ["\xC0\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x27"],
        ["\x40\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA7"],

        ["\xC0\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x28"],
        ["\x40\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA8"],

        ["\xC0\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x29"],
        ["\x40\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA9"],

        ["\xC0\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x2A"],
        ["\x40\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAA"],

        ["\xC0\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x2B"],
        ["\x40\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],

        ["\xC0\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x2C"],
        ["\x40\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAC"],

        ["\xC0\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x2D"],
        ["\x40\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAD"],

        ["\xC0\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x2E"],
        ["\x40\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAE"],

        ["\xC0\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x2F"],
        ["\x40\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAF"],

        ["\xC0\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x30"],
        ["\x40\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB0"],

        ["\xC0\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x31"],
        ["\x40\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB1"],

        ["\xC0\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x32"],
        ["\x40\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB2"],

        ["\xC0\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x33"],
        ["\x40\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB3"],

        ["\xC0\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x34"],
        ["\x40\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB4"],

        ["\xC0\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x35"],
        ["\x40\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB5"],

        ["\xC0\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x36"],
        ["\x40\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB6"],

        ["\xC0\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x37"],
        ["\x40\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB7"],

        ["\xC0\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x38"],
        ["\x40\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB8"],

        ["\xC0\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x39"],
        ["\x40\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB9"],

        ["\xC0\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x3A"],
        ["\x40\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBA"],

        ["\xC0\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x3B"],
        ["\x40\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBB"],

        ["\xC0\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x3C"],
        ["\x40\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBC"],

        ["\xC0\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x3D"],
        ["\x40\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBD"],

        ["\xC0\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x3E"],
        ["\x40\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBE"],

        ["\xC0\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x3F"],
        ["\x40\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBF"],

        ["\xC0\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x40"],
        ["\x40\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC0"],

        ["\xC0\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x41"],
        ["\x40\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC1"],

        ["\xC0\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x42"],
        ["\x40\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC2"],

        ["\xC0\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x43"],
        ["\x40\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC3"],

        ["\xC0\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x44"],
        ["\x40\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC4"],

        ["\xC0\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x45"],
        ["\x40\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC5"],

        ["\xC0\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x46"],
        ["\x40\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],

        ["\xC0\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x47"],
        ["\x40\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC7"],

        ["\xC0\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x48"],
        ["\x40\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC8"],

        ["\xC0\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x49"],
        ["\x40\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],

        ["\xC0\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x4A"],
        ["\x40\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCA"],

        ["\xC0\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x4B"],
        ["\x40\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCB"],

        ["\xC0\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x4C"],
        ["\x40\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCC"],

        ["\xC0\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x4D"],
        ["\x40\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCD"],

        ["\xC0\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x4E"],
        ["\x40\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCE"],

        ["\xC0\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x4F"],
        ["\x40\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCF"],

        ["\xC0\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x50"],
        ["\x40\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD0"],

        ["\xC0\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x51"],
        ["\x40\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD1"],

        ["\xC0\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x52"],
        ["\x40\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],

        ["\xC0\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x53"],
        ["\x40\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD3"],

        ["\xC0\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x54"],
        ["\x40\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],

        ["\xC0\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x55"],
        ["\x40\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],

        ["\xC0\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x56"],
        ["\x40\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],

        ["\xC0\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x57"],
        ["\x40\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD7"],

        ["\xC0\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x58"],
        ["\x40\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD8"],

        ["\xC0\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x59"],
        ["\x40\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],

        ["\xC0\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x5A"],
        ["\x40\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDA"],

        ["\xC0\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x5B"],
        ["\x40\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDB"],

        ["\xC0\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x5C"],
        ["\x40\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDC"],

        ["\xC0\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x5D"],
        ["\x40\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDD"],

        ["\xC0\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x5E"],
        ["\x40\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDE"],

        ["\xC0\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x5F"],
        ["\x40\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDF"],

        ["\xC0\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x60"],
        ["\x40\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE0"],

        ["\xC0\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x61"],
        ["\x40\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE1"],

        ["\xC0\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x62"],
        ["\x40\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE2"],

        ["\xC0\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x63"],
        ["\x40\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE3"],

        ["\xC0\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x64"],
        ["\x40\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],

        ["\xC0\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x65"],
        ["\x40\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],

        ["\xC0\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x66"],
        ["\x40\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE6"],

        ["\xC0\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x67"],
        ["\x40\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],

        ["\xC0\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x68"],
        ["\x40\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE8"],

        ["\xC0\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x69"],
        ["\x40\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE9"],

        ["\xC0\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x6A"],
        ["\x40\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEA"],

        ["\xC0\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x6B"],
        ["\x40\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEB"],

        ["\xC0\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x6C"],
        ["\x40\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEC"],

        ["\xC0\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x6D"],
        ["\x40\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xED"],

        ["\xC0\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x6E"],
        ["\x40\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEE"],

        ["\xC0\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x6F"],
        ["\x40\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEF"],

        ["\xC0\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x70"],
        ["\x40\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],

        ["\xC0\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x71"],
        ["\x40\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],

        ["\xC0\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x72"],
        ["\x40\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],

        ["\xC0\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x73"],
        ["\x40\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],

        ["\xC0\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x74"],
        ["\x40\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],

        ["\xC0\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x75"],
        ["\x40\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF5"],

        ["\xC0\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x76"],
        ["\x40\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF6"],

        ["\xC0\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x77"],
        ["\x40\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],

        ["\xC0\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x78"],
        ["\x40\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],

        ["\xC0\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x79"],
        ["\x40\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF9"],

        ["\xC0\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x7A"],
        ["\x40\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFA"],

        ["\xC0\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x7B"],
        ["\x40\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFB"],

        ["\xC0\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x7C"],
        ["\x40\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFC"],

        ["\xC0\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x7D"],
        ["\x40\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFD"],

        ["\xC0\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x40\x7E"],
        ["\x40\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFE"],

        ["\xC1\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x21"],
        ["\x41\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA1"],

        ["\xC1\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x22"],
        ["\x41\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA2"],

        ["\xC1\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x23"],
        ["\x41\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA3"],

        ["\xC1\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x24"],
        ["\x41\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA4"],

        ["\xC1\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x25"],
        ["\x41\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA5"],

        ["\xC1\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x26"],
        ["\x41\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA6"],

        ["\xC1\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x27"],
        ["\x41\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA7"],

        ["\xC1\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4D"],
        ["\x6C\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA8"],

        ["\xC1\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x29"],
        ["\x41\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA9"],

        ["\xC1\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x2A"],
        ["\x41\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAA"],

        ["\xC1\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x2B"],
        ["\x41\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],

        ["\xC1\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x2C"],
        ["\x41\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAC"],

        ["\xC1\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x2D"],
        ["\x41\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAD"],

        ["\xC1\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x2E"],
        ["\x41\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAE"],

        ["\xC1\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x2F"],
        ["\x41\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAF"],

        ["\xC1\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x30"],
        ["\x41\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB0"],

        ["\xC1\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x31"],
        ["\x41\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB1"],

        ["\xC1\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x32"],
        ["\x41\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB2"],

        ["\xC1\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x33"],
        ["\x41\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB3"],

        ["\xC1\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x34"],
        ["\x41\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB4"],

        ["\xC1\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x35"],
        ["\x41\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB5"],

        ["\xC1\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x36"],
        ["\x41\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB6"],

        ["\xC1\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x37"],
        ["\x41\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB7"],

        ["\xC1\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x38"],
        ["\x41\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB8"],

        ["\xC1\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x39"],
        ["\x41\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB9"],

        ["\xC1\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x3A"],
        ["\x41\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBA"],

        ["\xC1\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x3B"],
        ["\x41\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBB"],

        ["\xC1\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x3C"],
        ["\x41\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBC"],

        ["\xC1\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x3D"],
        ["\x41\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBD"],

        ["\xC1\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x3E"],
        ["\x41\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBE"],

        ["\xC1\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x3F"],
        ["\x41\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBF"],

        ["\xC1\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x40"],
        ["\x41\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC0"],

        ["\xC1\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x41"],
        ["\x41\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC1"],

        ["\xC1\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x42"],
        ["\x41\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC2"],

        ["\xC1\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x43"],
        ["\x41\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC3"],

        ["\xC1\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x44"],
        ["\x41\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],

        ["\xC1\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x45"],
        ["\x41\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC5"],

        ["\xC1\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x46"],
        ["\x41\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC6"],

        ["\xC1\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x47"],
        ["\x41\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],

        ["\xC1\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x48"],
        ["\x41\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],

        ["\xC1\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x49"],
        ["\x41\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC9"],

        ["\xC1\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x4A"],
        ["\x41\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCA"],

        ["\xC1\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x4B"],
        ["\x41\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCB"],

        ["\xC1\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x4C"],
        ["\x41\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCC"],

        ["\xC1\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x4D"],
        ["\x41\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCD"],

        ["\xC1\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x4E"],
        ["\x41\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCE"],

        ["\xC1\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x4F"],
        ["\x41\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCF"],

        ["\xC1\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x50"],
        ["\x41\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],

        ["\xC1\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x51"],
        ["\x41\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],

        ["\xC1\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x52"],
        ["\x41\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD2"],

        ["\xC1\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x53"],
        ["\x41\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],

        ["\xC1\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x54"],
        ["\x41\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD4"],

        ["\xC1\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x55"],
        ["\x41\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD5"],

        ["\xC1\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x56"],
        ["\x41\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD6"],

        ["\xC1\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x57"],
        ["\x41\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD7"],

        ["\xC1\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x58"],
        ["\x41\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD8"],

        ["\xC1\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x59"],
        ["\x41\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],

        ["\xC1\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x5A"],
        ["\x41\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDA"],

        ["\xC1\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x5B"],
        ["\x41\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDB"],

        ["\xC1\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x5C"],
        ["\x41\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDC"],

        ["\xC1\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x5D"],
        ["\x41\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDD"],

        ["\xC1\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x5E"],
        ["\x41\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDE"],

        ["\xC1\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x5F"],
        ["\x41\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDF"],

        ["\xC1\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x60"],
        ["\x41\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE0"],

        ["\xC1\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x61"],
        ["\x41\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE1"],

        ["\xC1\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x62"],
        ["\x41\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE2"],

        ["\xC1\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x63"],
        ["\x41\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE3"],

        ["\xC1\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x64"],
        ["\x41\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE4"],

        ["\xC1\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x65"],
        ["\x41\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE5"],

        ["\xC1\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x66"],
        ["\x41\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],

        ["\xC1\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x67"],
        ["\x41\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE7"],

        ["\xC1\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x68"],
        ["\x41\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],

        ["\xC1\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x69"],
        ["\x41\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],

        ["\xC1\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x6A"],
        ["\x41\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEA"],

        ["\xC1\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x6B"],
        ["\x41\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEB"],

        ["\xC1\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x6C"],
        ["\x41\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEC"],

        ["\xC1\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x6D"],
        ["\x41\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xED"],

        ["\xC1\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x6E"],
        ["\x41\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEE"],

        ["\xC1\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x6F"],
        ["\x41\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEF"],

        ["\xC1\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x70"],
        ["\x41\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],

        ["\xC1\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x71"],
        ["\x41\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],

        ["\xC1\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x72"],
        ["\x41\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF2"],

        ["\xC1\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x73"],
        ["\x41\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],

        ["\xC1\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x74"],
        ["\x41\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],

        ["\xC1\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x75"],
        ["\x41\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF5"],

        ["\xC1\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x76"],
        ["\x41\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF6"],

        ["\xC1\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x77"],
        ["\x41\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF7"],

        ["\xC1\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x78"],
        ["\x41\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF8"],

        ["\xC1\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x79"],
        ["\x41\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF9"],

        ["\xC1\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x7A"],
        ["\x41\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFA"],

        ["\xC1\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x7B"],
        ["\x41\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFB"],

        ["\xC1\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x7C"],
        ["\x41\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFC"],

        ["\xC1\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x7D"],
        ["\x41\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFD"],

        ["\xC1\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x7E"],
        ["\x41\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFE"],

        ["\xC2\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x21"],
        ["\x42\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],

        ["\xC2\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x22"],
        ["\x42\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA2"],

        ["\xC2\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x23"],
        ["\x42\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA3"],

        ["\xC2\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x24"],
        ["\x42\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA4"],

        ["\xC2\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x25"],
        ["\x42\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA5"],

        ["\xC2\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x26"],
        ["\x42\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA6"],

        ["\xC2\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x27"],
        ["\x42\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA7"],

        ["\xC2\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x28"],
        ["\x42\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],

        ["\xC2\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x29"],
        ["\x42\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA9"],

        ["\xC2\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x2A"],
        ["\x42\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAA"],

        ["\xC2\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x2B"],
        ["\x42\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAB"],

        ["\xC2\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x2C"],
        ["\x42\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAC"],

        ["\xC2\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x2D"],
        ["\x42\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAD"],

        ["\xC2\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x2E"],
        ["\x42\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAE"],

        ["\xC2\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x2F"],
        ["\x42\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAF"],

        ["\xC2\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x30"],
        ["\x42\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],

        ["\xC2\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x31"],
        ["\x42\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB1"],

        ["\xC2\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x32"],
        ["\x42\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB2"],

        ["\xC2\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x33"],
        ["\x42\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB3"],

        ["\xC2\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x34"],
        ["\x42\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],

        ["\xC2\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x35"],
        ["\x42\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB5"],

        ["\xC2\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x36"],
        ["\x42\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],

        ["\xC2\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x37"],
        ["\x42\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB7"],

        ["\xC2\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x38"],
        ["\x42\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB8"],

        ["\xC2\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x39"],
        ["\x42\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB9"],

        ["\xC2\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x3A"],
        ["\x42\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBA"],

        ["\xC2\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x3B"],
        ["\x42\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBB"],

        ["\xC2\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x3C"],
        ["\x42\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBC"],

        ["\xC2\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x3D"],
        ["\x42\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBD"],

        ["\xC2\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x3E"],
        ["\x42\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBE"],

        ["\xC2\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x3F"],
        ["\x42\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBF"],

        ["\xC2\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x40"],
        ["\x42\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC0"],

        ["\xC2\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x41"],
        ["\x42\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC1"],

        ["\xC2\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x42"],
        ["\x42\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC2"],

        ["\xC2\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x43"],
        ["\x42\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],

        ["\xC2\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x44"],
        ["\x42\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],

        ["\xC2\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x45"],
        ["\x42\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC5"],

        ["\xC2\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x46"],
        ["\x42\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC6"],

        ["\xC2\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x47"],
        ["\x42\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],

        ["\xC2\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x48"],
        ["\x42\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],

        ["\xC2\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x49"],
        ["\x42\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],

        ["\xC2\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x4A"],
        ["\x42\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCA"],

        ["\xC2\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x4B"],
        ["\x42\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCB"],

        ["\xC2\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x4C"],
        ["\x42\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCC"],

        ["\xC2\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x4D"],
        ["\x42\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCD"],

        ["\xC2\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x4E"],
        ["\x42\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCE"],

        ["\xC2\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x4F"],
        ["\x42\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCF"],

        ["\xC2\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x50"],
        ["\x42\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],

        ["\xC2\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x51"],
        ["\x42\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],

        ["\xC2\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x52"],
        ["\x42\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD2"],

        ["\xC2\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x53"],
        ["\x42\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD3"],

        ["\xC2\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x54"],
        ["\x42\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],

        ["\xC2\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x55"],
        ["\x42\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD5"],

        ["\xC2\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x56"],
        ["\x42\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD6"],

        ["\xC2\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x57"],
        ["\x42\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD7"],

        ["\xC2\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x58"],
        ["\x42\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD8"],

        ["\xC2\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x59"],
        ["\x42\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD9"],

        ["\xC2\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x5A"],
        ["\x42\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDA"],

        ["\xC2\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x5B"],
        ["\x42\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDB"],

        ["\xC2\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x5C"],
        ["\x42\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDC"],

        ["\xC2\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x5D"],
        ["\x42\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDD"],

        ["\xC2\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x5E"],
        ["\x42\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDE"],

        ["\xC2\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x5F"],
        ["\x42\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDF"],

        ["\xC2\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x60"],
        ["\x42\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],

        ["\xC2\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x61"],
        ["\x42\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE1"],

        ["\xC2\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x62"],
        ["\x42\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE2"],

        ["\xC2\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x63"],
        ["\x42\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE3"],

        ["\xC2\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x64"],
        ["\x42\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],

        ["\xC2\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x65"],
        ["\x42\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],

        ["\xC2\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x66"],
        ["\x42\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE6"],

        ["\xC2\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x67"],
        ["\x42\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE7"],

        ["\xC2\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x68"],
        ["\x42\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],

        ["\xC2\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x69"],
        ["\x42\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE9"],

        ["\xC2\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x6A"],
        ["\x42\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEA"],

        ["\xC2\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x6B"],
        ["\x42\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEB"],

        ["\xC2\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x6C"],
        ["\x42\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEC"],

        ["\xC2\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x6D"],
        ["\x42\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xED"],

        ["\xC2\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x6E"],
        ["\x42\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEE"],

        ["\xC2\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x6F"],
        ["\x42\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEF"],

        ["\xC2\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x70"],
        ["\x42\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF0"],

        ["\xC2\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x71"],
        ["\x42\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],

        ["\xC2\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x72"],
        ["\x42\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF2"],

        ["\xC2\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x73"],
        ["\x42\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF3"],

        ["\xC2\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x74"],
        ["\x42\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],

        ["\xC2\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x75"],
        ["\x42\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],

        ["\xC2\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x76"],
        ["\x42\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],

        ["\xC2\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x77"],
        ["\x42\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],

        ["\xC2\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x78"],
        ["\x42\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],

        ["\xC2\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x79"],
        ["\x42\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF9"],

        ["\xC2\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x7A"],
        ["\x42\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFA"],

        ["\xC2\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x7B"],
        ["\x42\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFB"],

        ["\xC2\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x7C"],
        ["\x42\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFC"],

        ["\xC2\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x7D"],
        ["\x42\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFD"],

        ["\xC2\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x42\x7E"],
        ["\x42\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFE"],

        ["\xC3\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x21"],
        ["\x43\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],

        ["\xC3\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x22"],
        ["\x43\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],

        ["\xC3\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x23"],
        ["\x43\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA3"],

        ["\xC3\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x24"],
        ["\x43\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA4"],

        ["\xC3\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x25"],
        ["\x43\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA5"],

        ["\xC3\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x26"],
        ["\x43\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],

        ["\xC3\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x27"],
        ["\x43\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA7"],

        ["\xC3\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x28"],
        ["\x43\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],

        ["\xC3\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x29"],
        ["\x43\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA9"],

        ["\xC3\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x2A"],
        ["\x43\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAA"],

        ["\xC3\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x2B"],
        ["\x43\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAB"],

        ["\xC3\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x2C"],
        ["\x43\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],

        ["\xC3\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x2D"],
        ["\x43\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAD"],

        ["\xC3\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x2E"],
        ["\x43\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],

        ["\xC3\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x2F"],
        ["\x43\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],

        ["\xC3\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x30"],
        ["\x43\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB0"],

        ["\xC3\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x31"],
        ["\x43\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB1"],

        ["\xC3\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x32"],
        ["\x43\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],

        ["\xC3\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x33"],
        ["\x43\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB3"],

        ["\xC3\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x34"],
        ["\x43\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB4"],

        ["\xC3\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x35"],
        ["\x43\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB5"],

        ["\xC3\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x36"],
        ["\x43\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB6"],

        ["\xC3\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x37"],
        ["\x43\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],

        ["\xC3\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x38"],
        ["\x43\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],

        ["\xC3\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x39"],
        ["\x43\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB9"],

        ["\xC3\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x3A"],
        ["\x43\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],

        ["\xC3\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x3B"],
        ["\x43\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBB"],

        ["\xC3\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x3C"],
        ["\x43\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],

        ["\xC3\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x3D"],
        ["\x43\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBD"],

        ["\xC3\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x3E"],
        ["\x43\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBE"],

        ["\xC3\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x3F"],
        ["\x43\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBF"],

        ["\xC3\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x40"],
        ["\x43\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC0"],

        ["\xC3\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x41"],
        ["\x43\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],

        ["\xC3\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x42"],
        ["\x43\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC2"],

        ["\xC3\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x43"],
        ["\x43\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC3"],

        ["\xC3\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x44"],
        ["\x43\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC4"],

        ["\xC3\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x45"],
        ["\x43\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC5"],

        ["\xC3\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x46"],
        ["\x43\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],

        ["\xC3\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x47"],
        ["\x43\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],

        ["\xC3\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x48"],
        ["\x43\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],

        ["\xC3\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x49"],
        ["\x43\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC9"],

        ["\xC3\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x4A"],
        ["\x43\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCA"],

        ["\xC3\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x4B"],
        ["\x43\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCB"],

        ["\xC3\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x4C"],
        ["\x43\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCC"],

        ["\xC3\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x4D"],
        ["\x43\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCD"],

        ["\xC3\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x4E"],
        ["\x43\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCE"],

        ["\xC3\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x4F"],
        ["\x43\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCF"],

        ["\xC3\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x50"],
        ["\x43\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],

        ["\xC3\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x51"],
        ["\x43\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],

        ["\xC3\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x52"],
        ["\x43\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD2"],

        ["\xC3\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x53"],
        ["\x43\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD3"],

        ["\xC3\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x54"],
        ["\x43\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD4"],

        ["\xC3\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x55"],
        ["\x43\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],

        ["\xC3\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x56"],
        ["\x43\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],

        ["\xC3\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x57"],
        ["\x43\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD7"],

        ["\xC3\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x58"],
        ["\x43\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD8"],

        ["\xC3\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x59"],
        ["\x43\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD9"],

        ["\xC3\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x5A"],
        ["\x43\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDA"],

        ["\xC3\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x5B"],
        ["\x43\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDB"],

        ["\xC3\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x5C"],
        ["\x43\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDC"],

        ["\xC3\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x5D"],
        ["\x43\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDD"],

        ["\xC3\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x5E"],
        ["\x43\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDE"],

        ["\xC3\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x5F"],
        ["\x43\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xDF"],

        ["\xC3\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x60"],
        ["\x43\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],

        ["\xC3\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x61"],
        ["\x43\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE1"],

        ["\xC3\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x62"],
        ["\x43\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE2"],

        ["\xC3\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x63"],
        ["\x43\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],

        ["\xC3\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x64"],
        ["\x43\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],

        ["\xC3\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x65"],
        ["\x43\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],

        ["\xC3\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x66"],
        ["\x43\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],

        ["\xC3\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x67"],
        ["\x43\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],

        ["\xC3\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x68"],
        ["\x43\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],

        ["\xC3\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x69"],
        ["\x43\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE9"],

        ["\xC3\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x6A"],
        ["\x43\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEA"],

        ["\xC3\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x6B"],
        ["\x43\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEB"],

        ["\xC3\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x6C"],
        ["\x43\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEC"],

        ["\xC3\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x6D"],
        ["\x43\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xED"],

        ["\xC3\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x6E"],
        ["\x43\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEE"],

        ["\xC3\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x6F"],
        ["\x43\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEF"],

        ["\xC3\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x70"],
        ["\x43\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],

        ["\xC3\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x71"],
        ["\x43\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF1"],

        ["\xC3\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x72"],
        ["\x43\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF2"],

        ["\xC3\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x73"],
        ["\x43\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],

        ["\xC3\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x74"],
        ["\x43\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF4"],

        ["\xC3\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x75"],
        ["\x43\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF5"],

        ["\xC3\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x76"],
        ["\x43\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF6"],

        ["\xC3\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x77"],
        ["\x43\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF7"],

        ["\xC3\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x78"],
        ["\x43\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],

        ["\xC3\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x79"],
        ["\x43\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],

        ["\xC3\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x7A"],
        ["\x43\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFA"],

        ["\xC3\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x7B"],
        ["\x43\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFB"],

        ["\xC3\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x7C"],
        ["\x43\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFC"],

        ["\xC3\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x7D"],
        ["\x43\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFD"],

        ["\xC3\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x43\x7E"],
        ["\x43\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFE"],

        ["\xC4\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x21"],
        ["\x44\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA1"],

        ["\xC4\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x22"],
        ["\x44\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA2"],

        ["\xC4\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x23"],
        ["\x44\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA3"],

        ["\xC4\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x24"],
        ["\x44\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA4"],

        ["\xC4\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x25"],
        ["\x44\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA5"],

        ["\xC4\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x26"],
        ["\x44\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA6"],

        ["\xC4\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x27"],
        ["\x44\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA7"],

        ["\xC4\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x28"],
        ["\x44\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA8"],

        ["\xC4\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x29"],
        ["\x44\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA9"],

        ["\xC4\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x2A"],
        ["\x44\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAA"],

        ["\xC4\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x2B"],
        ["\x44\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAB"],

        ["\xC4\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x2C"],
        ["\x44\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAC"],

        ["\xC4\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x2D"],
        ["\x44\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAD"],

        ["\xC4\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x2E"],
        ["\x44\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAE"],

        ["\xC4\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x2F"],
        ["\x44\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAF"],

        ["\xC4\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x30"],
        ["\x44\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],

        ["\xC4\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x31"],
        ["\x44\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB1"],

        ["\xC4\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x32"],
        ["\x44\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB2"],

        ["\xC4\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x33"],
        ["\x44\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB3"],

        ["\xC4\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x34"],
        ["\x44\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB4"],

        ["\xC4\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x35"],
        ["\x44\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB5"],

        ["\xC4\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x36"],
        ["\x44\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB6"],

        ["\xC4\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x37"],
        ["\x44\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB7"],

        ["\xC4\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x38"],
        ["\x44\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB8"],

        ["\xC4\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x39"],
        ["\x44\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB9"],

        ["\xC4\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x3A"],
        ["\x44\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],

        ["\xC4\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x3B"],
        ["\x44\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBB"],

        ["\xC4\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x3C"],
        ["\x44\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBC"],

        ["\xC4\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x3D"],
        ["\x44\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],

        ["\xC4\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x3E"],
        ["\x44\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBE"],

        ["\xC4\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x3F"],
        ["\x44\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBF"],

        ["\xC4\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x40"],
        ["\x44\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],

        ["\xC4\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x41"],
        ["\x44\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],

        ["\xC4\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x42"],
        ["\x44\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],

        ["\xC4\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x43"],
        ["\x44\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC3"],

        ["\xC4\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x44"],
        ["\x44\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],

        ["\xC4\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x45"],
        ["\x44\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC5"],

        ["\xC4\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x46"],
        ["\x44\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],

        ["\xC4\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x47"],
        ["\x44\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],

        ["\xC4\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x48"],
        ["\x44\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC8"],

        ["\xC4\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x49"],
        ["\x44\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC9"],

        ["\xC4\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x4A"],
        ["\x44\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCA"],

        ["\xC4\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x4B"],
        ["\x44\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCB"],

        ["\xC4\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x4C"],
        ["\x44\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCC"],

        ["\xC4\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF5"],
        ["\xB6\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCD"],

        ["\xC4\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x4E"],
        ["\x44\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCE"],

        ["\xC4\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x4F"],
        ["\x44\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCF"],

        ["\xC4\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x50"],
        ["\x44\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD0"],

        ["\xC4\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x51"],
        ["\x44\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],

        ["\xC4\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x52"],
        ["\x44\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],

        ["\xC4\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x53"],
        ["\x44\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],

        ["\xC4\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x54"],
        ["\x44\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],

        ["\xC4\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x55"],
        ["\x44\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],

        ["\xC4\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x56"],
        ["\x44\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],

        ["\xC4\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x57"],
        ["\x44\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],

        ["\xC4\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x58"],
        ["\x44\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD8"],

        ["\xC4\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x59"],
        ["\x44\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],

        ["\xC4\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x5A"],
        ["\x44\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDA"],

        ["\xC4\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x64"],
        ["\x54\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDB"],

        ["\xC4\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x5C"],
        ["\x44\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDC"],

        ["\xC4\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x5D"],
        ["\x44\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDD"],

        ["\xC4\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x5E"],
        ["\x44\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDE"],

        ["\xC4\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x5F"],
        ["\x44\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDF"],

        ["\xC4\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x60"],
        ["\x44\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE0"],

        ["\xC4\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x61"],
        ["\x44\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE1"],

        ["\xC4\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x62"],
        ["\x44\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE2"],

        ["\xC4\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x63"],
        ["\x44\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],

        ["\xC4\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x64"],
        ["\x44\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE4"],

        ["\xC4\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x65"],
        ["\x44\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],

        ["\xC4\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x66"],
        ["\x44\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],

        ["\xC4\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x67"],
        ["\x44\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],

        ["\xC4\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x68"],
        ["\x44\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],

        ["\xC4\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x69"],
        ["\x44\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE9"],

        ["\xC4\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x6A"],
        ["\x44\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEA"],

        ["\xC4\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x6B"],
        ["\x44\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEB"],

        ["\xC4\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x6C"],
        ["\x44\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEC"],

        ["\xC4\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x6D"],
        ["\x44\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xED"],

        ["\xC4\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x6E"],
        ["\x44\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEE"],

        ["\xC4\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x6F"],
        ["\x44\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEF"],

        ["\xC4\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x70"],
        ["\x44\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],

        ["\xC4\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x71"],
        ["\x44\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF1"],

        ["\xC4\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x72"],
        ["\x44\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],

        ["\xC4\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x73"],
        ["\x44\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],

        ["\xC4\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x74"],
        ["\x44\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF4"],

        ["\xC4\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x75"],
        ["\x44\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF5"],

        ["\xC4\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x76"],
        ["\x44\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF6"],

        ["\xC4\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x77"],
        ["\x44\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF7"],

        ["\xC4\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x78"],
        ["\x44\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF8"],

        ["\xC4\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x79"],
        ["\x44\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],

        ["\xC4\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x7A"],
        ["\x44\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFA"],

        ["\xC4\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x7B"],
        ["\x44\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFB"],

        ["\xC4\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x7C"],
        ["\x44\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFC"],

        ["\xC4\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x7D"],
        ["\x44\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFD"],

        ["\xC4\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x7E"],
        ["\x44\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFE"],

        ["\xC5\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x21"],
        ["\x45\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],

        ["\xC5\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x22"],
        ["\x45\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA2"],

        ["\xC5\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x23"],
        ["\x45\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA3"],

        ["\xC5\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x24"],
        ["\x45\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA4"],

        ["\xC5\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x25"],
        ["\x45\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA5"],

        ["\xC5\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x26"],
        ["\x45\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA6"],

        ["\xC5\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x27"],
        ["\x45\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA7"],

        ["\xC5\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x28"],
        ["\x45\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA8"],

        ["\xC5\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x29"],
        ["\x45\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA9"],

        ["\xC5\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x2A"],
        ["\x45\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAA"],

        ["\xC5\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x2B"],
        ["\x45\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAB"],

        ["\xC5\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x2C"],
        ["\x45\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],

        ["\xC5\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x2D"],
        ["\x45\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAD"],

        ["\xC5\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x2E"],
        ["\x45\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAE"],

        ["\xC5\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x2F"],
        ["\x45\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],

        ["\xC5\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x30"],
        ["\x45\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],

        ["\xC5\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x31"],
        ["\x45\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB1"],

        ["\xC5\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x32"],
        ["\x45\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB2"],

        ["\xC5\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x33"],
        ["\x45\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB3"],

        ["\xC5\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x34"],
        ["\x45\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB4"],

        ["\xC5\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x35"],
        ["\x45\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB5"],

        ["\xC5\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE6"],
        ["\xD6\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB6"],

        ["\xC5\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x37"],
        ["\x45\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB7"],

        ["\xC5\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x38"],
        ["\x45\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB8"],

        ["\xC5\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x39"],
        ["\x45\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],

        ["\xC5\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x3A"],
        ["\x45\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBA"],

        ["\xC5\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x3B"],
        ["\x45\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBB"],

        ["\xC5\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x3C"],
        ["\x45\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBC"],

        ["\xC5\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x3D"],
        ["\x45\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBD"],

        ["\xC5\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x3E"],
        ["\x45\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBE"],

        ["\xC5\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA3"],
        ["\xD4\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBF"],

        ["\xC5\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x40"],
        ["\x45\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC0"],

        ["\xC5\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x41"],
        ["\x45\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC1"],

        ["\xC5\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x42"],
        ["\x45\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],

        ["\xC5\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x43"],
        ["\x45\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC3"],

        ["\xC5\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x44"],
        ["\x45\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC4"],

        ["\xC5\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x45"],
        ["\x45\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],

        ["\xC5\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x46"],
        ["\x45\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],

        ["\xC5\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x47"],
        ["\x45\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],

        ["\xC5\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x48"],
        ["\x45\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],

        ["\xC5\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x49"],
        ["\x45\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],

        ["\xC5\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x4A"],
        ["\x45\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCA"],

        ["\xC5\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x4B"],
        ["\x45\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCB"],

        ["\xC5\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x4C"],
        ["\x45\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCC"],

        ["\xC5\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x4D"],
        ["\x45\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCD"],

        ["\xC5\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x4E"],
        ["\x45\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCE"],

        ["\xC5\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x4F"],
        ["\x45\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCF"],

        ["\xC5\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x50"],
        ["\x45\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],

        ["\xC5\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x51"],
        ["\x45\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],

        ["\xC5\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x52"],
        ["\x45\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD2"],

        ["\xC5\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x53"],
        ["\x45\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],

        ["\xC5\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x54"],
        ["\x45\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD4"],

        ["\xC5\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x55"],
        ["\x45\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD5"],

        ["\xC5\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x56"],
        ["\x45\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD6"],

        ["\xC5\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6A"],
        ["\x62\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD7"],

        ["\xC5\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x58"],
        ["\x45\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],

        ["\xC5\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x59"],
        ["\x45\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],

        ["\xC5\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x5A"],
        ["\x45\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDA"],

        ["\xC5\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x5B"],
        ["\x45\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDB"],

        ["\xC5\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x5C"],
        ["\x45\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDC"],

        ["\xC5\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x5D"],
        ["\x45\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDD"],

        ["\xC5\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x5E"],
        ["\x45\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDE"],

        ["\xC5\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x5F"],
        ["\x45\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDF"],

        ["\xC5\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x60"],
        ["\x45\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],

        ["\xC5\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x61"],
        ["\x45\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE1"],

        ["\xC5\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x62"],
        ["\x45\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE2"],

        ["\xC5\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x63"],
        ["\x45\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE3"],

        ["\xC5\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x64"],
        ["\x45\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE4"],

        ["\xC5\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x65"],
        ["\x45\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],

        ["\xC5\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x66"],
        ["\x45\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],

        ["\xC5\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x67"],
        ["\x45\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],

        ["\xC5\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x68"],
        ["\x45\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE8"],

        ["\xC5\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x69"],
        ["\x45\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],

        ["\xC5\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x6A"],
        ["\x45\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEA"],

        ["\xC5\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x6B"],
        ["\x45\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEB"],

        ["\xC5\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x6C"],
        ["\x45\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEC"],

        ["\xC5\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x6D"],
        ["\x45\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xED"],

        ["\xC5\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6D"],
        ["\x5B\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEE"],

        ["\xC5\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x6F"],
        ["\x45\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEF"],

        ["\xC5\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x70"],
        ["\x45\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],

        ["\xC5\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x71"],
        ["\x45\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF1"],

        ["\xC5\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x72"],
        ["\x45\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],

        ["\xC5\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x39"],
        ["\x5E\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],

        ["\xC5\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x74"],
        ["\x45\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF4"],

        ["\xC5\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x75"],
        ["\x45\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],

        ["\xC5\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x76"],
        ["\x45\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],

        ["\xC5\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x77"],
        ["\x45\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],

        ["\xC5\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x78"],
        ["\x45\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF8"],

        ["\xC5\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x79"],
        ["\x45\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF9"],

        ["\xC5\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x7A"],
        ["\x45\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFA"],

        ["\xC5\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x7B"],
        ["\x45\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFB"],

        ["\xC5\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x7C"],
        ["\x45\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFC"],

        ["\xC5\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x7D"],
        ["\x45\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFD"],

        ["\xC5\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x7E"],
        ["\x45\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFE"],

        ["\xC6\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x21"],
        ["\x46\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA1"],

        ["\xC6\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x22"],
        ["\x46\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA2"],

        ["\xC6\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x23"],
        ["\x46\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA3"],

        ["\xC6\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x24"],
        ["\x46\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA4"],

        ["\xC6\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x25"],
        ["\x46\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA5"],

        ["\xC6\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x26"],
        ["\x46\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA6"],

        ["\xC6\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x27"],
        ["\x46\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA7"],

        ["\xC6\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x28"],
        ["\x46\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA8"],

        ["\xC6\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x29"],
        ["\x46\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA9"],

        ["\xC6\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x2A"],
        ["\x46\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAA"],

        ["\xC6\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x2B"],
        ["\x46\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],

        ["\xC6\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x2C"],
        ["\x46\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAC"],

        ["\xC6\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x2D"],
        ["\x46\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAD"],

        ["\xC6\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x2E"],
        ["\x46\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAE"],

        ["\xC6\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x2F"],
        ["\x46\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAF"],

        ["\xC6\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x30"],
        ["\x46\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB0"],

        ["\xC6\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x31"],
        ["\x46\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB1"],

        ["\xC6\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x32"],
        ["\x46\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB2"],

        ["\xC6\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x33"],
        ["\x46\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB3"],

        ["\xC6\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x34"],
        ["\x46\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB4"],

        ["\xC6\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x35"],
        ["\x46\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB5"],

        ["\xC6\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x36"],
        ["\x46\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB6"],

        ["\xC6\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x37"],
        ["\x46\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB7"],

        ["\xC6\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x38"],
        ["\x46\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB8"],

        ["\xC6\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x39"],
        ["\x46\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB9"],

        ["\xC6\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x3A"],
        ["\x46\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBA"],

        ["\xC6\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x3B"],
        ["\x46\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBB"],

        ["\xC6\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x3C"],
        ["\x46\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBC"],

        ["\xC6\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x3D"],
        ["\x46\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBD"],

        ["\xC6\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x3E"],
        ["\x46\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBE"],

        ["\xC6\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x3F"],
        ["\x46\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBF"],

        ["\xC6\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x40"],
        ["\x46\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC0"],

        ["\xC6\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x41"],
        ["\x46\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC1"],

        ["\xC6\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x42"],
        ["\x46\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC2"],

        ["\xC6\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x43"],
        ["\x46\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC3"],

        ["\xC6\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x44"],
        ["\x46\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],

        ["\xC6\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x45"],
        ["\x46\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],

        ["\xC6\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x46"],
        ["\x46\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],

        ["\xC6\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x47"],
        ["\x46\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],

        ["\xC6\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x48"],
        ["\x46\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC8"],

        ["\xC6\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x49"],
        ["\x46\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],

        ["\xC6\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x4A"],
        ["\x46\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCA"],

        ["\xC6\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x4B"],
        ["\x46\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCB"],

        ["\xC6\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x4C"],
        ["\x46\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCC"],

        ["\xC6\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x4D"],
        ["\x46\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCD"],

        ["\xC6\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x4E"],
        ["\x46\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCE"],

        ["\xC6\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x4F"],
        ["\x46\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCF"],

        ["\xC6\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x50"],
        ["\x46\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],

        ["\xC6\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x51"],
        ["\x46\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],

        ["\xC6\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x52"],
        ["\x46\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD2"],

        ["\xC6\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x53"],
        ["\x46\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],

        ["\xC6\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x54"],
        ["\x46\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD4"],

        ["\xC6\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x55"],
        ["\x46\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD5"],

        ["\xC6\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x56"],
        ["\x46\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD6"],

        ["\xC6\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x57"],
        ["\x46\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD7"],

        ["\xC6\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x58"],
        ["\x46\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD8"],

        ["\xC6\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x59"],
        ["\x46\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],

        ["\xC6\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x5A"],
        ["\x46\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDA"],

        ["\xC6\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x5B"],
        ["\x46\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDB"],

        ["\xC6\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x5C"],
        ["\x46\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDC"],

        ["\xC6\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x5D"],
        ["\x46\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDD"],

        ["\xC6\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x5E"],
        ["\x46\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDE"],

        ["\xC6\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x5F"],
        ["\x46\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDF"],

        ["\xC6\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x60"],
        ["\x46\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE0"],

        ["\xC6\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x61"],
        ["\x46\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE1"],

        ["\xC6\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x62"],
        ["\x46\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE2"],

        ["\xC6\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x63"],
        ["\x46\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE3"],

        ["\xC6\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x64"],
        ["\x46\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE4"],

        ["\xC6\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x65"],
        ["\x46\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE5"],

        ["\xC6\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x66"],
        ["\x46\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE6"],

        ["\xC6\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x67"],
        ["\x46\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],

        ["\xC6\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x68"],
        ["\x46\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],

        ["\xC6\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x69"],
        ["\x46\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE9"],

        ["\xC6\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x6A"],
        ["\x46\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEA"],

        ["\xC6\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x6B"],
        ["\x46\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEB"],

        ["\xC6\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x6C"],
        ["\x46\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEC"],

        ["\xC6\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x6D"],
        ["\x46\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xED"],

        ["\xC6\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x6E"],
        ["\x46\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEE"],

        ["\xC6\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x6F"],
        ["\x46\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEF"],

        ["\xC6\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x70"],
        ["\x46\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF0"],

        ["\xC6\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x71"],
        ["\x46\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF1"],

        ["\xC6\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x72"],
        ["\x46\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF2"],

        ["\xC6\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x73"],
        ["\x46\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF3"],

        ["\xC6\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x74"],
        ["\x46\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF4"],

        ["\xC6\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x75"],
        ["\x46\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF5"],

        ["\xC6\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6E"],
        ["\x6D\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF6"],

        ["\xC6\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x77"],
        ["\x46\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],

        ["\xC6\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x78"],
        ["\x46\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],

        ["\xC6\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x79"],
        ["\x46\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF9"],

        ["\xC6\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x7A"],
        ["\x46\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFA"],

        ["\xC6\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x7B"],
        ["\x46\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFB"],

        ["\xC6\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x7C"],
        ["\x46\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFC"],

        ["\xC6\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x7D"],
        ["\x46\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFD"],

        ["\xC6\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x7E"],
        ["\x46\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFE"],

        ["\xC7\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x21"],
        ["\x47\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA1"],

        ["\xC7\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x22"],
        ["\x47\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA2"],

        ["\xC7\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x23"],
        ["\x47\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA3"],

        ["\xC7\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x24"],
        ["\x47\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA4"],

        ["\xC7\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x25"],
        ["\x47\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA5"],

        ["\xC7\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x26"],
        ["\x47\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA6"],

        ["\xC7\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x27"],
        ["\x47\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA7"],

        ["\xC7\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x28"],
        ["\x47\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA8"],

        ["\xC7\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x29"],
        ["\x47\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA9"],

        ["\xC7\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x2A"],
        ["\x47\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAA"],

        ["\xC7\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x2B"],
        ["\x47\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAB"],

        ["\xC7\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x2C"],
        ["\x47\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAC"],

        ["\xC7\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x2D"],
        ["\x47\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAD"],

        ["\xC7\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x2E"],
        ["\x47\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAE"],

        ["\xC7\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x2F"],
        ["\x47\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAF"],

        ["\xC7\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x30"],
        ["\x47\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB0"],

        ["\xC7\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x31"],
        ["\x47\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB1"],

        ["\xC7\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x32"],
        ["\x47\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB2"],

        ["\xC7\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x33"],
        ["\x47\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB3"],

        ["\xC7\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x34"],
        ["\x47\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB4"],

        ["\xC7\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x35"],
        ["\x47\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB5"],

        ["\xC7\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x36"],
        ["\x47\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB6"],

        ["\xC7\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x37"],
        ["\x47\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB7"],

        ["\xC7\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x38"],
        ["\x47\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB8"],

        ["\xC7\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x39"],
        ["\x47\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB9"],

        ["\xC7\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x3A"],
        ["\x47\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBA"],

        ["\xC7\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x3B"],
        ["\x47\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBB"],

        ["\xC7\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x3C"],
        ["\x47\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBC"],

        ["\xC7\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x3D"],
        ["\x47\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBD"],

        ["\xC7\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x3E"],
        ["\x47\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBE"],

        ["\xC7\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x3F"],
        ["\x47\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBF"],

        ["\xC7\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x40"],
        ["\x47\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC0"],

        ["\xC7\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x41"],
        ["\x47\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC1"],

        ["\xC7\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x42"],
        ["\x47\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC2"],

        ["\xC7\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x43"],
        ["\x47\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC3"],

        ["\xC7\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x44"],
        ["\x47\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],

        ["\xC7\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x45"],
        ["\x47\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC5"],

        ["\xC7\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x46"],
        ["\x47\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC6"],

        ["\xC7\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x47"],
        ["\x47\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],

        ["\xC7\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x48"],
        ["\x47\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC8"],

        ["\xC7\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x49"],
        ["\x47\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],

        ["\xC7\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x4A"],
        ["\x47\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCA"],

        ["\xC7\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x4B"],
        ["\x47\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCB"],

        ["\xC7\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x4C"],
        ["\x47\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCC"],

        ["\xC7\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x4D"],
        ["\x47\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCD"],

        ["\xC7\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x4E"],
        ["\x47\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCE"],

        ["\xC7\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x4F"],
        ["\x47\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCF"],

        ["\xC7\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x50"],
        ["\x47\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD0"],

        ["\xC7\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x51"],
        ["\x47\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],

        ["\xC7\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x52"],
        ["\x47\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],

        ["\xC7\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x53"],
        ["\x47\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD3"],

        ["\xC7\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x54"],
        ["\x47\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD4"],

        ["\xC7\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x55"],
        ["\x47\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD5"],

        ["\xC7\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x56"],
        ["\x47\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],

        ["\xC7\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x57"],
        ["\x47\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],

        ["\xC7\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x58"],
        ["\x47\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD8"],

        ["\xC7\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x59"],
        ["\x47\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD9"],

        ["\xC7\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x5A"],
        ["\x47\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDA"],

        ["\xC7\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x5B"],
        ["\x47\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDB"],

        ["\xC7\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x5C"],
        ["\x47\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDC"],

        ["\xC7\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x5D"],
        ["\x47\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDD"],

        ["\xC7\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x5E"],
        ["\x47\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDE"],

        ["\xC7\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x5F"],
        ["\x47\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDF"],

        ["\xC7\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x60"],
        ["\x47\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],

        ["\xC7\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x61"],
        ["\x47\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE1"],

        ["\xC7\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x62"],
        ["\x47\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE2"],

        ["\xC7\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x63"],
        ["\x47\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE3"],

        ["\xC7\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x64"],
        ["\x47\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE4"],

        ["\xC7\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x65"],
        ["\x47\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],

        ["\xC7\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x66"],
        ["\x47\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE6"],

        ["\xC7\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x67"],
        ["\x47\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE7"],

        ["\xC7\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x24"],
        ["\x6A\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],

        ["\xC7\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x69"],
        ["\x47\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE9"],

        ["\xC7\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x6A"],
        ["\x47\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEA"],

        ["\xC7\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x6B"],
        ["\x47\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEB"],

        ["\xC7\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x6C"],
        ["\x47\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEC"],

        ["\xC7\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x6D"],
        ["\x47\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xED"],

        ["\xC7\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x6E"],
        ["\x47\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEE"],

        ["\xC7\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x6F"],
        ["\x47\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEF"],

        ["\xC7\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x70"],
        ["\x47\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF0"],

        ["\xC7\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x71"],
        ["\x47\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],

        ["\xC7\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x72"],
        ["\x47\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],

        ["\xC7\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x73"],
        ["\x47\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF3"],

        ["\xC7\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x74"],
        ["\x47\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF4"],

        ["\xC7\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x75"],
        ["\x47\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],

        ["\xC7\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x76"],
        ["\x47\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF6"],

        ["\xC7\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x77"],
        ["\x47\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],

        ["\xC7\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x78"],
        ["\x47\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],

        ["\xC7\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x79"],
        ["\x47\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF9"],

        ["\xC7\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x7A"],
        ["\x47\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFA"],

        ["\xC7\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x7B"],
        ["\x47\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFB"],

        ["\xC7\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x7C"],
        ["\x47\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFC"],

        ["\xC7\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x7D"],
        ["\x47\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFD"],

        ["\xC7\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x7E"],
        ["\x47\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFE"],

        ["\xC8\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x21"],
        ["\x48\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA1"],

        ["\xC8\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x22"],
        ["\x48\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA2"],

        ["\xC8\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x23"],
        ["\x48\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA3"],

        ["\xC8\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x24"],
        ["\x48\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA4"],

        ["\xC8\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x25"],
        ["\x48\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA5"],

        ["\xC8\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x26"],
        ["\x48\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA6"],

        ["\xC8\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x27"],
        ["\x48\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA7"],

        ["\xC8\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x28"],
        ["\x48\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA8"],

        ["\xC8\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x29"],
        ["\x48\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA9"],

        ["\xC8\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x2A"],
        ["\x48\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAA"],

        ["\xC8\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x2B"],
        ["\x48\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAB"],

        ["\xC8\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x2C"],
        ["\x48\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAC"],

        ["\xC8\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x2D"],
        ["\x48\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAD"],

        ["\xC8\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x2E"],
        ["\x48\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAE"],

        ["\xC8\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x2F"],
        ["\x48\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAF"],

        ["\xC8\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x30"],
        ["\x48\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],

        ["\xC8\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x31"],
        ["\x48\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB1"],

        ["\xC8\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x32"],
        ["\x48\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB2"],

        ["\xC8\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x33"],
        ["\x48\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB3"],

        ["\xC8\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x34"],
        ["\x48\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB4"],

        ["\xC8\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x35"],
        ["\x48\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB5"],

        ["\xC8\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x36"],
        ["\x48\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB6"],

        ["\xC8\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x37"],
        ["\x48\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB7"],

        ["\xC8\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x38"],
        ["\x48\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB8"],

        ["\xC8\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x39"],
        ["\x48\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB9"],

        ["\xC8\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x3A"],
        ["\x48\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBA"],

        ["\xC8\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x3B"],
        ["\x48\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBB"],

        ["\xC8\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x3C"],
        ["\x48\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBC"],

        ["\xC8\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x3D"],
        ["\x48\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBD"],

        ["\xC8\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x3E"],
        ["\x48\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBE"],

        ["\xC8\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x3F"],
        ["\x48\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBF"],

        ["\xC8\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x40"],
        ["\x48\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC0"],

        ["\xC8\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x41"],
        ["\x48\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC1"],

        ["\xC8\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x42"],
        ["\x48\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC2"],

        ["\xC8\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x43"],
        ["\x48\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC3"],

        ["\xC8\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x44"],
        ["\x48\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC4"],

        ["\xC8\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x45"],
        ["\x48\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC5"],

        ["\xC8\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x46"],
        ["\x48\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],

        ["\xC8\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x47"],
        ["\x48\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC7"],

        ["\xC8\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x48"],
        ["\x48\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],

        ["\xC8\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x49"],
        ["\x48\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],

        ["\xC8\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x4A"],
        ["\x48\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCA"],

        ["\xC8\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x4B"],
        ["\x48\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCB"],

        ["\xC8\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x4C"],
        ["\x48\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCC"],

        ["\xC8\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x4D"],
        ["\x48\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCD"],

        ["\xC8\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x4E"],
        ["\x48\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCE"],

        ["\xC8\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x4F"],
        ["\x48\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCF"],

        ["\xC8\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x50"],
        ["\x48\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD0"],

        ["\xC8\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x51"],
        ["\x48\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD1"],

        ["\xC8\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x52"],
        ["\x48\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD2"],

        ["\xC8\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x53"],
        ["\x48\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD3"],

        ["\xC8\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x54"],
        ["\x48\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],

        ["\xC8\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x55"],
        ["\x48\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD5"],

        ["\xC8\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x56"],
        ["\x48\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD6"],

        ["\xC8\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x57"],
        ["\x48\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD7"],

        ["\xC8\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x58"],
        ["\x48\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD8"],

        ["\xC8\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x59"],
        ["\x48\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],

        ["\xC8\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x5A"],
        ["\x48\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDA"],

        ["\xC8\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x5B"],
        ["\x48\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDB"],

        ["\xC8\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x5C"],
        ["\x48\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDC"],

        ["\xC8\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x5D"],
        ["\x48\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDD"],

        ["\xC8\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x5E"],
        ["\x48\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDE"],

        ["\xC8\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x5F"],
        ["\x48\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDF"],

        ["\xC8\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x60"],
        ["\x48\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],

        ["\xC8\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x61"],
        ["\x48\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE1"],

        ["\xC8\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x62"],
        ["\x48\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE2"],

        ["\xC8\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x63"],
        ["\x48\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE3"],

        ["\xC8\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x64"],
        ["\x48\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE4"],

        ["\xC8\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x65"],
        ["\x48\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],

        ["\xC8\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x66"],
        ["\x48\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE6"],

        ["\xC8\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x67"],
        ["\x48\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE7"],

        ["\xC8\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x68"],
        ["\x48\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],

        ["\xC8\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x69"],
        ["\x48\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],

        ["\xC8\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x6A"],
        ["\x48\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEA"],

        ["\xC8\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x6B"],
        ["\x48\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEB"],

        ["\xC8\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x6C"],
        ["\x48\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEC"],

        ["\xC8\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x6D"],
        ["\x48\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xED"],

        ["\xC8\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x6E"],
        ["\x48\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEE"],

        ["\xC8\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x6F"],
        ["\x48\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEF"],

        ["\xC8\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x70"],
        ["\x48\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],

        ["\xC8\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x71"],
        ["\x48\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],

        ["\xC8\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x72"],
        ["\x48\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF2"],

        ["\xC8\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x73"],
        ["\x48\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF3"],

        ["\xC8\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x74"],
        ["\x48\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF4"],

        ["\xC8\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x75"],
        ["\x48\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF5"],

        ["\xC8\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x76"],
        ["\x48\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],

        ["\xC8\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x77"],
        ["\x48\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],

        ["\xC8\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x78"],
        ["\x48\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],

        ["\xC8\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x79"],
        ["\x48\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],

        ["\xC8\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x7A"],
        ["\x48\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFA"],

        ["\xC8\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x7B"],
        ["\x48\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFB"],

        ["\xC8\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x7C"],
        ["\x48\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFC"],

        ["\xC8\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x7D"],
        ["\x48\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFD"],

        ["\xC8\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x48\x7E"],
        ["\x48\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFE"],

        ["\xC9\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x21"],
        ["\x49\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA1"],

        ["\xC9\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x22"],
        ["\x49\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA2"],

        ["\xC9\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x23"],
        ["\x49\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA3"],

        ["\xC9\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x24"],
        ["\x49\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA4"],

        ["\xC9\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x25"],
        ["\x49\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],

        ["\xC9\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x26"],
        ["\x49\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],

        ["\xC9\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x27"],
        ["\x49\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA7"],

        ["\xC9\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x28"],
        ["\x49\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA8"],

        ["\xC9\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x29"],
        ["\x49\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA9"],

        ["\xC9\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x2A"],
        ["\x49\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAA"],

        ["\xC9\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x2B"],
        ["\x49\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],

        ["\xC9\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x2C"],
        ["\x49\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],

        ["\xC9\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x2D"],
        ["\x49\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAD"],

        ["\xC9\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x2E"],
        ["\x49\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAE"],

        ["\xC9\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x2F"],
        ["\x49\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAF"],

        ["\xC9\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x58"],
        ["\x5B\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],

        ["\xC9\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x31"],
        ["\x49\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB1"],

        ["\xC9\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x32"],
        ["\x49\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],

        ["\xC9\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x33"],
        ["\x49\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB3"],

        ["\xC9\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x34"],
        ["\x49\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB4"],

        ["\xC9\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x35"],
        ["\x49\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB5"],

        ["\xC9\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x36"],
        ["\x49\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB6"],

        ["\xC9\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x37"],
        ["\x49\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB7"],

        ["\xC9\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x38"],
        ["\x49\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB8"],

        ["\xC9\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x39"],
        ["\x49\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],

        ["\xC9\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x3A"],
        ["\x49\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBA"],

        ["\xC9\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x3B"],
        ["\x49\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBB"],

        ["\xC9\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x3C"],
        ["\x49\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBC"],

        ["\xC9\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x3D"],
        ["\x49\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBD"],

        ["\xC9\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x3E"],
        ["\x49\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBE"],

        ["\xC9\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x3F"],
        ["\x49\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBF"],

        ["\xC9\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x40"],
        ["\x49\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],

        ["\xC9\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x41"],
        ["\x49\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC1"],

        ["\xC9\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x42"],
        ["\x49\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],

        ["\xC9\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x43"],
        ["\x49\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],

        ["\xC9\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x44"],
        ["\x49\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],

        ["\xC9\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x45"],
        ["\x49\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],

        ["\xC9\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x46"],
        ["\x49\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],

        ["\xC9\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x47"],
        ["\x49\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC7"],

        ["\xC9\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x48"],
        ["\x49\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],

        ["\xC9\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x49"],
        ["\x49\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC9"],

        ["\xC9\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x4A"],
        ["\x49\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCA"],

        ["\xC9\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x4B"],
        ["\x49\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCB"],

        ["\xC9\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x4C"],
        ["\x49\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCC"],

        ["\xC9\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x4D"],
        ["\x49\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCD"],

        ["\xC9\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x4E"],
        ["\x49\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCE"],

        ["\xC9\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x4F"],
        ["\x49\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCF"],

        ["\xC9\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x50"],
        ["\x49\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD0"],

        ["\xC9\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x51"],
        ["\x49\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],

        ["\xC9\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x52"],
        ["\x49\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD2"],

        ["\xC9\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x53"],
        ["\x49\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD3"],

        ["\xC9\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x54"],
        ["\x49\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD4"],

        ["\xC9\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x55"],
        ["\x49\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],

        ["\xC9\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x56"],
        ["\x49\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD6"],

        ["\xC9\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x57"],
        ["\x49\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],

        ["\xC9\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x58"],
        ["\x49\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],

        ["\xC9\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x59"],
        ["\x49\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],

        ["\xC9\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x5A"],
        ["\x49\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDA"],

        ["\xC9\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x5B"],
        ["\x49\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDB"],

        ["\xC9\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x5C"],
        ["\x49\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDC"],

        ["\xC9\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x5D"],
        ["\x49\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDD"],

        ["\xC9\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x5E"],
        ["\x49\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDE"],

        ["\xC9\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x5F"],
        ["\x49\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDF"],

        ["\xC9\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x60"],
        ["\x49\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE0"],

        ["\xC9\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x61"],
        ["\x49\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE1"],

        ["\xC9\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x62"],
        ["\x49\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE2"],

        ["\xC9\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x63"],
        ["\x49\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],

        ["\xC9\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x64"],
        ["\x49\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE4"],

        ["\xC9\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x65"],
        ["\x49\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE5"],

        ["\xC9\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x66"],
        ["\x49\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE6"],

        ["\xC9\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x67"],
        ["\x49\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],

        ["\xC9\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x68"],
        ["\x49\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],

        ["\xC9\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x69"],
        ["\x49\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE9"],

        ["\xC9\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x6A"],
        ["\x49\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEA"],

        ["\xC9\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x6B"],
        ["\x49\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEB"],

        ["\xC9\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x6C"],
        ["\x49\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEC"],

        ["\xC9\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x6D"],
        ["\x49\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xED"],

        ["\xC9\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x6E"],
        ["\x49\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEE"],

        ["\xC9\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x6F"],
        ["\x49\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEF"],

        ["\xC9\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x70"],
        ["\x49\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],

        ["\xC9\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x71"],
        ["\x49\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF1"],

        ["\xC9\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x72"],
        ["\x49\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],

        ["\xC9\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x73"],
        ["\x49\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF3"],

        ["\xC9\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x74"],
        ["\x49\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],

        ["\xC9\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x75"],
        ["\x49\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF5"],

        ["\xC9\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x76"],
        ["\x49\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],

        ["\xC9\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x77"],
        ["\x49\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],

        ["\xC9\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x78"],
        ["\x49\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],

        ["\xC9\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x79"],
        ["\x49\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],

        ["\xC9\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x7A"],
        ["\x49\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFA"],

        ["\xC9\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x7B"],
        ["\x49\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFB"],

        ["\xC9\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x7C"],
        ["\x49\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFC"],

        ["\xC9\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x7D"],
        ["\x49\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFD"],

        ["\xC9\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x7E"],
        ["\x49\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFE"],

        ["\xCA\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x21"],
        ["\x4A\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],

        ["\xCA\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x22"],
        ["\x4A\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],

        ["\xCA\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x23"],
        ["\x4A\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA3"],

        ["\xCA\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x24"],
        ["\x4A\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA4"],

        ["\xCA\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x25"],
        ["\x4A\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],

        ["\xCA\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x26"],
        ["\x4A\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],

        ["\xCA\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x27"],
        ["\x4A\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA7"],

        ["\xCA\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x28"],
        ["\x4A\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],

        ["\xCA\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x29"],
        ["\x4A\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA9"],

        ["\xCA\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x2A"],
        ["\x4A\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],

        ["\xCA\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x2B"],
        ["\x4A\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAB"],

        ["\xCA\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x2C"],
        ["\x4A\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAC"],

        ["\xCA\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x2D"],
        ["\x4A\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAD"],

        ["\xCA\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x2E"],
        ["\x4A\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAE"],

        ["\xCA\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x2F"],
        ["\x4A\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAF"],

        ["\xCA\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x30"],
        ["\x4A\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB0"],

        ["\xCA\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x31"],
        ["\x4A\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB1"],

        ["\xCA\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x32"],
        ["\x4A\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB2"],

        ["\xCA\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x33"],
        ["\x4A\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB3"],

        ["\xCA\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x34"],
        ["\x4A\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB4"],

        ["\xCA\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x35"],
        ["\x4A\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],

        ["\xCA\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x36"],
        ["\x4A\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB6"],

        ["\xCA\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x37"],
        ["\x4A\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],

        ["\xCA\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x38"],
        ["\x4A\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB8"],

        ["\xCA\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x39"],
        ["\x4A\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB9"],

        ["\xCA\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x3A"],
        ["\x4A\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBA"],

        ["\xCA\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x3B"],
        ["\x4A\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBB"],

        ["\xCA\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x3C"],
        ["\x4A\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBC"],

        ["\xCA\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x3D"],
        ["\x4A\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBD"],

        ["\xCA\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x3E"],
        ["\x4A\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBE"],

        ["\xCA\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x3F"],
        ["\x4A\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],

        ["\xCA\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x40"],
        ["\x4A\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC0"],

        ["\xCA\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x41"],
        ["\x4A\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC1"],

        ["\xCA\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x42"],
        ["\x4A\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC2"],

        ["\xCA\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x43"],
        ["\x4A\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC3"],

        ["\xCA\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x44"],
        ["\x4A\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC4"],

        ["\xCA\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x45"],
        ["\x4A\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC5"],

        ["\xCA\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x46"],
        ["\x4A\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC6"],

        ["\xCA\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x47"],
        ["\x4A\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC7"],

        ["\xCA\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x48"],
        ["\x4A\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC8"],

        ["\xCA\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x49"],
        ["\x4A\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC9"],

        ["\xCA\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4A"],
        ["\x4A\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCA"],

        ["\xCA\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4B"],
        ["\x4A\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCB"],

        ["\xCA\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4C"],
        ["\x4A\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCC"],

        ["\xCA\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4D"],
        ["\x4A\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCD"],

        ["\xCA\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4E"],
        ["\x4A\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],

        ["\xCA\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x4F"],
        ["\x4A\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCF"],

        ["\xCA\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x50"],
        ["\x4A\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD0"],

        ["\xCA\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x51"],
        ["\x4A\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD1"],

        ["\xCA\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x52"],
        ["\x4A\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD2"],

        ["\xCA\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x53"],
        ["\x4A\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD3"],

        ["\xCA\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x54"],
        ["\x4A\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD4"],

        ["\xCA\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x55"],
        ["\x4A\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD5"],

        ["\xCA\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x56"],
        ["\x4A\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD6"],

        ["\xCA\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x57"],
        ["\x4A\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD7"],

        ["\xCA\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x58"],
        ["\x4A\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD8"],

        ["\xCA\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x59"],
        ["\x4A\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xD9"],

        ["\xCA\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5A"],
        ["\x4A\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],

        ["\xCA\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5B"],
        ["\x4A\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],

        ["\xCA\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5C"],
        ["\x4A\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDC"],

        ["\xCA\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5D"],
        ["\x4A\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],

        ["\xCA\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5E"],
        ["\x4A\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDE"],

        ["\xCA\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x5F"],
        ["\x4A\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],

        ["\xCA\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x60"],
        ["\x4A\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE0"],

        ["\xCA\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x61"],
        ["\x4A\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE1"],

        ["\xCA\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x62"],
        ["\x4A\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE2"],

        ["\xCA\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x63"],
        ["\x4A\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE3"],

        ["\xCA\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x64"],
        ["\x4A\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE4"],

        ["\xCA\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x65"],
        ["\x4A\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE5"],

        ["\xCA\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x66"],
        ["\x4A\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE6"],

        ["\xCA\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x67"],
        ["\x4A\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE7"],

        ["\xCA\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x68"],
        ["\x4A\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE8"],

        ["\xCA\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x69"],
        ["\x4A\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE9"],

        ["\xCA\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6A"],
        ["\x4A\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEA"],

        ["\xCA\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6B"],
        ["\x4A\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEB"],

        ["\xCA\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6C"],
        ["\x4A\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEC"],

        ["\xCA\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6D"],
        ["\x4A\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xED"],

        ["\xCA\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6E"],
        ["\x4A\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],

        ["\xCA\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x6F"],
        ["\x4A\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEF"],

        ["\xCA\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x70"],
        ["\x4A\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF0"],

        ["\xCA\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x71"],
        ["\x4A\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF1"],

        ["\xCA\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x72"],
        ["\x4A\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF2"],

        ["\xCA\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x73"],
        ["\x4A\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF3"],

        ["\xCA\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x74"],
        ["\x4A\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF4"],

        ["\xCA\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x75"],
        ["\x4A\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF5"],

        ["\xCA\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x76"],
        ["\x4A\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF6"],

        ["\xCA\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x77"],
        ["\x4A\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF7"],

        ["\xCA\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x78"],
        ["\x4A\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF8"],

        ["\xCA\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x79"],
        ["\x4A\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xF9"],

        ["\xCA\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7A"],
        ["\x4A\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFA"],

        ["\xCA\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7B"],
        ["\x4A\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFB"],

        ["\xCA\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7C"],
        ["\x4A\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFC"],

        ["\xCA\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7D"],
        ["\x4A\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFD"],

        ["\xCA\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4A\x7E"],
        ["\x4A\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xFE"],

        ["\xCB\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x21"],
        ["\x4B\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA1"],

        ["\xCB\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x22"],
        ["\x4B\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA2"],

        ["\xCB\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x23"],
        ["\x4B\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA3"],

        ["\xCB\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x24"],
        ["\x4B\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA4"],

        ["\xCB\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x25"],
        ["\x4B\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],

        ["\xCB\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x26"],
        ["\x4B\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],

        ["\xCB\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x27"],
        ["\x4B\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA7"],

        ["\xCB\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x28"],
        ["\x4B\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],

        ["\xCB\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x29"],
        ["\x4B\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9"],

        ["\xCB\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x2A"],
        ["\x4B\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAA"],

        ["\xCB\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x2B"],
        ["\x4B\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAB"],

        ["\xCB\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x2C"],
        ["\x4B\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAC"],

        ["\xCB\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x2D"],
        ["\x4B\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAD"],

        ["\xCB\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x2E"],
        ["\x4B\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAE"],

        ["\xCB\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x2F"],
        ["\x4B\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xAF"],

        ["\xCB\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x30"],
        ["\x4B\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB0"],

        ["\xCB\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x31"],
        ["\x4B\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB1"],

        ["\xCB\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x32"],
        ["\x4B\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB2"],

        ["\xCB\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x33"],
        ["\x4B\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB3"],

        ["\xCB\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x34"],
        ["\x4B\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],

        ["\xCB\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x35"],
        ["\x4B\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],

        ["\xCB\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x36"],
        ["\x4B\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB6"],

        ["\xCB\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x37"],
        ["\x4B\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB7"],

        ["\xCB\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x38"],
        ["\x4B\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB8"],

        ["\xCB\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x39"],
        ["\x4B\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB9"],

        ["\xCB\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x3A"],
        ["\x4B\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBA"],

        ["\xCB\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x3B"],
        ["\x4B\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBB"],

        ["\xCB\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x3C"],
        ["\x4B\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBC"],

        ["\xCB\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x3D"],
        ["\x4B\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBD"],

        ["\xCB\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x3E"],
        ["\x4B\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBE"],

        ["\xCB\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x3F"],
        ["\x4B\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xBF"],

        ["\xCB\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x40"],
        ["\x4B\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC0"],

        ["\xCB\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x41"],
        ["\x4B\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC1"],

        ["\xCB\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x42"],
        ["\x4B\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC2"],

        ["\xCB\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x43"],
        ["\x4B\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC3"],

        ["\xCB\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x44"],
        ["\x4B\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC4"],

        ["\xCB\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x45"],
        ["\x4B\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC5"],

        ["\xCB\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x46"],
        ["\x4B\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC6"],

        ["\xCB\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x47"],
        ["\x4B\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC7"],

        ["\xCB\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x48"],
        ["\x4B\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC8"],

        ["\xCB\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x49"],
        ["\x4B\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xC9"],

        ["\xCB\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x4A"],
        ["\x4B\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCA"],

        ["\xCB\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x4B"],
        ["\x4B\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCB"],

        ["\xCB\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x4C"],
        ["\x4B\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCC"],

        ["\xCB\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x4D"],
        ["\x4B\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCD"],

        ["\xCB\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x4E"],
        ["\x4B\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],

        ["\xCB\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x4F"],
        ["\x4B\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCF"],

        ["\xCB\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x50"],
        ["\x4B\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD0"],

        ["\xCB\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x51"],
        ["\x4B\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD1"],

        ["\xCB\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x52"],
        ["\x4B\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD2"],

        ["\xCB\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x53"],
        ["\x4B\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD3"],

        ["\xCB\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x54"],
        ["\x4B\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD4"],

        ["\xCB\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x55"],
        ["\x4B\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD5"],

        ["\xCB\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x56"],
        ["\x4B\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD6"],

        ["\xCB\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x57"],
        ["\x4B\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD7"],

        ["\xCB\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x58"],
        ["\x4B\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD8"],

        ["\xCB\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x59"],
        ["\x4B\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD9"],

        ["\xCB\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x5A"],
        ["\x4B\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDA"],

        ["\xCB\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x5B"],
        ["\x4B\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDB"],

        ["\xCB\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x5C"],
        ["\x4B\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDC"],

        ["\xCB\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x5D"],
        ["\x4B\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDD"],

        ["\xCB\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x5E"],
        ["\x4B\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDE"],

        ["\xCB\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x5F"],
        ["\x4B\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xDF"],

        ["\xCB\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x60"],
        ["\x4B\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE0"],

        ["\xCB\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x61"],
        ["\x4B\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE1"],

        ["\xCB\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x62"],
        ["\x4B\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE2"],

        ["\xCB\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x63"],
        ["\x4B\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE3"],

        ["\xCB\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x64"],
        ["\x4B\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE4"],

        ["\xCB\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x65"],
        ["\x4B\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE5"],

        ["\xCB\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x66"],
        ["\x4B\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE6"],

        ["\xCB\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x67"],
        ["\x4B\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE7"],

        ["\xCB\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x68"],
        ["\x4B\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE8"],

        ["\xCB\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x69"],
        ["\x4B\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE9"],

        ["\xCB\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCE"],
        ["\xBF\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEA"],

        ["\xCB\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x6B"],
        ["\x4B\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEB"],

        ["\xCB\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x6C"],
        ["\x4B\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEC"],

        ["\xCB\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x6D"],
        ["\x4B\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xED"],

        ["\xCB\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x6E"],
        ["\x4B\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEE"],

        ["\xCB\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x6F"],
        ["\x4B\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xEF"],

        ["\xCB\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x70"],
        ["\x4B\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF0"],

        ["\xCB\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x71"],
        ["\x4B\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF1"],

        ["\xCB\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x72"],
        ["\x4B\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF2"],

        ["\xCB\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x73"],
        ["\x4B\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF3"],

        ["\xCB\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x74"],
        ["\x4B\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF4"],

        ["\xCB\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x75"],
        ["\x4B\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF5"],

        ["\xCB\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x76"],
        ["\x4B\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF6"],

        ["\xCB\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x77"],
        ["\x4B\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF7"],

        ["\xCB\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x78"],
        ["\x4B\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF8"],

        ["\xCB\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x56"],
        ["\x50\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF9"],

        ["\xCB\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x7A"],
        ["\x4B\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFA"],

        ["\xCB\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x7B"],
        ["\x4B\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],

        ["\xCB\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x7C"],
        ["\x4B\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],

        ["\xCB\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x7D"],
        ["\x4B\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFD"],

        ["\xCB\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x7E"],
        ["\x4B\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFE"],

        ["\xCC\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x21"],
        ["\x4C\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA1"],

        ["\xCC\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x22"],
        ["\x4C\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA2"],

        ["\xCC\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x23"],
        ["\x4C\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA3"],

        ["\xCC\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x24"],
        ["\x4C\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA4"],

        ["\xCC\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x25"],
        ["\x4C\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA5"],

        ["\xCC\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x26"],
        ["\x4C\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA6"],

        ["\xCC\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x27"],
        ["\x4C\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA7"],

        ["\xCC\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x28"],
        ["\x4C\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA8"],

        ["\xCC\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x29"],
        ["\x4C\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA9"],

        ["\xCC\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x2A"],
        ["\x4C\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAA"],

        ["\xCC\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x2B"],
        ["\x4C\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAB"],

        ["\xCC\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x2C"],
        ["\x4C\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAC"],

        ["\xCC\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x2D"],
        ["\x4C\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAD"],

        ["\xCC\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x2E"],
        ["\x4C\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAE"],

        ["\xCC\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x2F"],
        ["\x4C\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAF"],

        ["\xCC\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x30"],
        ["\x4C\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB0"],

        ["\xCC\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x31"],
        ["\x4C\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB1"],

        ["\xCC\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x32"],
        ["\x4C\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],

        ["\xCC\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x33"],
        ["\x4C\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB3"],

        ["\xCC\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x34"],
        ["\x4C\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],

        ["\xCC\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x35"],
        ["\x4C\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB5"],

        ["\xCC\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x36"],
        ["\x4C\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],

        ["\xCC\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x37"],
        ["\x4C\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],

        ["\xCC\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x38"],
        ["\x4C\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB8"],

        ["\xCC\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x39"],
        ["\x4C\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB9"],

        ["\xCC\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x3A"],
        ["\x4C\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBA"],

        ["\xCC\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x3B"],
        ["\x4C\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBB"],

        ["\xCC\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x3C"],
        ["\x4C\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBC"],

        ["\xCC\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x3D"],
        ["\x4C\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBD"],

        ["\xCC\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x3E"],
        ["\x4C\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBE"],

        ["\xCC\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x3F"],
        ["\x4C\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBF"],

        ["\xCC\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x40"],
        ["\x4C\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC0"],

        ["\xCC\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x41"],
        ["\x4C\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC1"],

        ["\xCC\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x42"],
        ["\x4C\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC2"],

        ["\xCC\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x43"],
        ["\x4C\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC3"],

        ["\xCC\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x44"],
        ["\x4C\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC4"],

        ["\xCC\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x45"],
        ["\x4C\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC5"],

        ["\xCC\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x46"],
        ["\x4C\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC6"],

        ["\xCC\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x47"],
        ["\x4C\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC7"],

        ["\xCC\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x48"],
        ["\x4C\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC8"],

        ["\xCC\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x49"],
        ["\x4C\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC9"],

        ["\xCC\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4A"],
        ["\x4C\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],

        ["\xCC\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4B"],
        ["\x4C\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCB"],

        ["\xCC\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4C"],
        ["\x4C\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCC"],

        ["\xCC\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4D"],
        ["\x4C\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCD"],

        ["\xCC\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4E"],
        ["\x4C\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCE"],

        ["\xCC\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x4F"],
        ["\x4C\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCF"],

        ["\xCC\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x50"],
        ["\x4C\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD0"],

        ["\xCC\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x51"],
        ["\x4C\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD1"],

        ["\xCC\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x52"],
        ["\x4C\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD2"],

        ["\xCC\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x53"],
        ["\x4C\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD3"],

        ["\xCC\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x54"],
        ["\x4C\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD4"],

        ["\xCC\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x55"],
        ["\x4C\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD5"],

        ["\xCC\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x56"],
        ["\x4C\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD6"],

        ["\xCC\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x57"],
        ["\x4C\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD7"],

        ["\xCC\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x58"],
        ["\x4C\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD8"],

        ["\xCC\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x59"],
        ["\x4C\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD9"],

        ["\xCC\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5A"],
        ["\x4C\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDA"],

        ["\xCC\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5B"],
        ["\x4C\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDB"],

        ["\xCC\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5C"],
        ["\x4C\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDC"],

        ["\xCC\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5D"],
        ["\x4C\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDD"],

        ["\xCC\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5E"],
        ["\x4C\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDE"],

        ["\xCC\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x5F"],
        ["\x4C\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xDF"],

        ["\xCC\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x60"],
        ["\x4C\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE0"],

        ["\xCC\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x61"],
        ["\x4C\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE1"],

        ["\xCC\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x62"],
        ["\x4C\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE2"],

        ["\xCC\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x63"],
        ["\x4C\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE3"],

        ["\xCC\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x64"],
        ["\x4C\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE4"],

        ["\xCC\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x65"],
        ["\x4C\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE5"],

        ["\xCC\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x66"],
        ["\x4C\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE6"],

        ["\xCC\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x67"],
        ["\x4C\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE7"],

        ["\xCC\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x68"],
        ["\x4C\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE8"],

        ["\xCC\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x69"],
        ["\x4C\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE9"],

        ["\xCC\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6A"],
        ["\x4C\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],

        ["\xCC\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6B"],
        ["\x4C\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEB"],

        ["\xCC\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6C"],
        ["\x4C\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEC"],

        ["\xCC\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6D"],
        ["\x4C\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],

        ["\xCC\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6E"],
        ["\x4C\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],

        ["\xCC\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x6F"],
        ["\x4C\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEF"],

        ["\xCC\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x70"],
        ["\x4C\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF0"],

        ["\xCC\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x71"],
        ["\x4C\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF1"],

        ["\xCC\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x72"],
        ["\x4C\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF2"],

        ["\xCC\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x73"],
        ["\x4C\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF3"],

        ["\xCC\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x74"],
        ["\x4C\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF4"],

        ["\xCC\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x75"],
        ["\x4C\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF5"],

        ["\xCC\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x76"],
        ["\x4C\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF6"],

        ["\xCC\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x77"],
        ["\x4C\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF7"],

        ["\xCC\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x78"],
        ["\x4C\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF8"],

        ["\xCC\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x2E"],
        ["\x69\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xF9"],

        ["\xCC\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7A"],
        ["\x4C\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFA"],

        ["\xCC\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7B"],
        ["\x4C\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFB"],

        ["\xCC\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7C"],
        ["\x4C\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFC"],

        ["\xCC\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7D"],
        ["\x4C\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],

        ["\xCC\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x7E"],
        ["\x4C\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],

        ["\xCD\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x21"],
        ["\x4D\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA1"],

        ["\xCD\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x22"],
        ["\x4D\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA2"],

        ["\xCD\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x23"],
        ["\x4D\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA3"],

        ["\xCD\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x24"],
        ["\x4D\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA4"],

        ["\xCD\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x25"],
        ["\x4D\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA5"],

        ["\xCD\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x26"],
        ["\x4D\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA6"],

        ["\xCD\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x27"],
        ["\x4D\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA7"],

        ["\xCD\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x28"],
        ["\x4D\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA8"],

        ["\xCD\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x29"],
        ["\x4D\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],

        ["\xCD\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x2A"],
        ["\x4D\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],

        ["\xCD\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x2B"],
        ["\x4D\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAB"],

        ["\xCD\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x2C"],
        ["\x4D\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAC"],

        ["\xCD\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x2D"],
        ["\x4D\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAD"],

        ["\xCD\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x2E"],
        ["\x4D\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAE"],

        ["\xCD\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x2F"],
        ["\x4D\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAF"],

        ["\xCD\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x30"],
        ["\x4D\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB0"],

        ["\xCD\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x31"],
        ["\x4D\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB1"],

        ["\xCD\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x32"],
        ["\x4D\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB2"],

        ["\xCD\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x33"],
        ["\x4D\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB3"],

        ["\xCD\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x34"],
        ["\x4D\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB4"],

        ["\xCD\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x35"],
        ["\x4D\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB5"],

        ["\xCD\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x36"],
        ["\x4D\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB6"],

        ["\xCD\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x37"],
        ["\x4D\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB7"],

        ["\xCD\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x38"],
        ["\x4D\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB8"],

        ["\xCD\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x39"],
        ["\x4D\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],

        ["\xCD\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x3A"],
        ["\x4D\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],

        ["\xCD\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x3B"],
        ["\x4D\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBB"],

        ["\xCD\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x3C"],
        ["\x4D\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],

        ["\xCD\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x3D"],
        ["\x4D\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBD"],

        ["\xCD\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x3E"],
        ["\x4D\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBE"],

        ["\xCD\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x3F"],
        ["\x4D\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],

        ["\xCD\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x40"],
        ["\x4D\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC0"],

        ["\xCD\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x41"],
        ["\x4D\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC1"],

        ["\xCD\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x42"],
        ["\x4D\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC2"],

        ["\xCD\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x43"],
        ["\x4D\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC3"],

        ["\xCD\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x44"],
        ["\x4D\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC4"],

        ["\xCD\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x45"],
        ["\x4D\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC5"],

        ["\xCD\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x46"],
        ["\x4D\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC6"],

        ["\xCD\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x47"],
        ["\x4D\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC7"],

        ["\xCD\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x48"],
        ["\x4D\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC8"],

        ["\xCD\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x49"],
        ["\x4D\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC9"],

        ["\xCD\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x4A"],
        ["\x4D\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCA"],

        ["\xCD\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x4B"],
        ["\x4D\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCB"],

        ["\xCD\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x4C"],
        ["\x4D\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],

        ["\xCD\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x4D"],
        ["\x4D\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],

        ["\xCD\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x4E"],
        ["\x4D\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],

        ["\xCD\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x4F"],
        ["\x4D\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCF"],

        ["\xCD\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x50"],
        ["\x4D\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD0"],

        ["\xCD\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x51"],
        ["\x4D\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD1"],

        ["\xCD\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x52"],
        ["\x4D\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD2"],

        ["\xCD\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x53"],
        ["\x4D\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD3"],

        ["\xCD\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x54"],
        ["\x4D\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD4"],

        ["\xCD\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x55"],
        ["\x4D\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD5"],

        ["\xCD\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x56"],
        ["\x4D\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD6"],

        ["\xCD\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x57"],
        ["\x4D\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD7"],

        ["\xCD\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x58"],
        ["\x4D\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD8"],

        ["\xCD\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x59"],
        ["\x4D\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD9"],

        ["\xCD\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],
        ["\xD0\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],

        ["\xCD\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x5B"],
        ["\x4D\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDB"],

        ["\xCD\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x5C"],
        ["\x4D\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDC"],

        ["\xCD\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x5D"],
        ["\x4D\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],

        ["\xCD\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x5E"],
        ["\x4D\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],

        ["\xCD\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x5F"],
        ["\x4D\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDF"],

        ["\xCD\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x60"],
        ["\x4D\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE0"],

        ["\xCD\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x61"],
        ["\x4D\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE1"],

        ["\xCD\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x62"],
        ["\x4D\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE2"],

        ["\xCD\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x63"],
        ["\x4D\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE3"],

        ["\xCD\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x64"],
        ["\x4D\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE4"],

        ["\xCD\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x65"],
        ["\x4D\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE5"],

        ["\xCD\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x66"],
        ["\x4D\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE6"],

        ["\xCD\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x67"],
        ["\x4D\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE7"],

        ["\xCD\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x68"],
        ["\x4D\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE8"],

        ["\xCD\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x69"],
        ["\x4D\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE9"],

        ["\xCD\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x6A"],
        ["\x4D\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEA"],

        ["\xCD\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x6B"],
        ["\x4D\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEB"],

        ["\xCD\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x6C"],
        ["\x4D\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],

        ["\xCD\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x6D"],
        ["\x4D\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xED"],

        ["\xCD\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x6E"],
        ["\x4D\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEE"],

        ["\xCD\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x6F"],
        ["\x4D\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEF"],

        ["\xCD\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x70"],
        ["\x4D\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF0"],

        ["\xCD\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x71"],
        ["\x4D\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF1"],

        ["\xCD\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x72"],
        ["\x4D\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF2"],

        ["\xCD\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x73"],
        ["\x4D\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF3"],

        ["\xCD\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x74"],
        ["\x4D\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF4"],

        ["\xCD\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x75"],
        ["\x4D\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF5"],

        ["\xCD\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x76"],
        ["\x4D\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF6"],

        ["\xCD\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x77"],
        ["\x4D\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF7"],

        ["\xCD\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x78"],
        ["\x4D\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF8"],

        ["\xCD\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x79"],
        ["\x4D\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF9"],

        ["\xCD\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x7A"],
        ["\x4D\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFA"],

        ["\xCD\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x7B"],
        ["\x4D\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFB"],

        ["\xCD\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x7C"],
        ["\x4D\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],

        ["\xCD\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x7D"],
        ["\x4D\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFD"],

        ["\xCD\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x7E"],
        ["\x4D\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],

        ["\xCE\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x21"],
        ["\x4E\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA1"],

        ["\xCE\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x22"],
        ["\x4E\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA2"],

        ["\xCE\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x23"],
        ["\x4E\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],

        ["\xCE\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x24"],
        ["\x4E\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],

        ["\xCE\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x25"],
        ["\x4E\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA5"],

        ["\xCE\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x26"],
        ["\x4E\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],

        ["\xCE\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x27"],
        ["\x4E\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA7"],

        ["\xCE\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x28"],
        ["\x4E\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA8"],

        ["\xCE\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x29"],
        ["\x4E\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],

        ["\xCE\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x2A"],
        ["\x4E\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAA"],

        ["\xCE\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x2B"],
        ["\x4E\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAB"],

        ["\xCE\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x2C"],
        ["\x4E\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],

        ["\xCE\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x2D"],
        ["\x4E\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],

        ["\xCE\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x2E"],
        ["\x4E\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAE"],

        ["\xCE\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x2F"],
        ["\x4E\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAF"],

        ["\xCE\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x30"],
        ["\x4E\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB0"],

        ["\xCE\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x31"],
        ["\x4E\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB1"],

        ["\xCE\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x32"],
        ["\x4E\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB2"],

        ["\xCE\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x33"],
        ["\x4E\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB3"],

        ["\xCE\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x34"],
        ["\x4E\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB4"],

        ["\xCE\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x35"],
        ["\x4E\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB5"],

        ["\xCE\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x36"],
        ["\x4E\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB6"],

        ["\xCE\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x37"],
        ["\x4E\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB7"],

        ["\xCE\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x38"],
        ["\x4E\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],

        ["\xCE\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x39"],
        ["\x4E\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB9"],

        ["\xCE\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x3A"],
        ["\x4E\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBA"],

        ["\xCE\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x3B"],
        ["\x4E\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBB"],

        ["\xCE\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x3C"],
        ["\x4E\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],

        ["\xCE\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x3D"],
        ["\x4E\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBD"],

        ["\xCE\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x3E"],
        ["\x4E\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBE"],

        ["\xCE\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x3F"],
        ["\x4E\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],

        ["\xCE\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x40"],
        ["\x4E\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC0"],

        ["\xCE\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x41"],
        ["\x4E\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC1"],

        ["\xCE\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x42"],
        ["\x4E\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC2"],

        ["\xCE\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x43"],
        ["\x4E\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC3"],

        ["\xCE\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x44"],
        ["\x4E\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC4"],

        ["\xCE\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x45"],
        ["\x4E\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC5"],

        ["\xCE\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x46"],
        ["\x4E\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC6"],

        ["\xCE\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x47"],
        ["\x4E\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC7"],

        ["\xCE\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x48"],
        ["\x4E\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC8"],

        ["\xCE\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x49"],
        ["\x4E\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC9"],

        ["\xCE\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x4A"],
        ["\x4E\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],

        ["\xCE\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x4B"],
        ["\x4E\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],

        ["\xCE\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x4C"],
        ["\x4E\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCC"],

        ["\xCE\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x4D"],
        ["\x4E\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCD"],

        ["\xCE\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x4E"],
        ["\x4E\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],

        ["\xCE\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x4F"],
        ["\x4E\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCF"],

        ["\xCE\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x50"],
        ["\x4E\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD0"],

        ["\xCE\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x51"],
        ["\x4E\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD1"],

        ["\xCE\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x52"],
        ["\x4E\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD2"],

        ["\xCE\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x53"],
        ["\x4E\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD3"],

        ["\xCE\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x54"],
        ["\x4E\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD4"],

        ["\xCE\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x55"],
        ["\x4E\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD5"],

        ["\xCE\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x56"],
        ["\x4E\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD6"],

        ["\xCE\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x57"],
        ["\x4E\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD7"],

        ["\xCE\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x58"],
        ["\x4E\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD8"],

        ["\xCE\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x59"],
        ["\x4E\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD9"],

        ["\xCE\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x5A"],
        ["\x4E\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],

        ["\xCE\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x5B"],
        ["\x4E\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],

        ["\xCE\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x5C"],
        ["\x4E\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDC"],

        ["\xCE\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x5D"],
        ["\x4E\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],

        ["\xCE\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x5E"],
        ["\x4E\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],

        ["\xCE\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x5F"],
        ["\x4E\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],

        ["\xCE\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x60"],
        ["\x4E\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE0"],

        ["\xCE\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x61"],
        ["\x4E\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE1"],

        ["\xCE\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x62"],
        ["\x4E\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE2"],

        ["\xCE\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x63"],
        ["\x4E\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE3"],

        ["\xCE\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x64"],
        ["\x4E\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE4"],

        ["\xCE\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x65"],
        ["\x4E\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE5"],

        ["\xCE\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x66"],
        ["\x4E\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE6"],

        ["\xCE\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x67"],
        ["\x4E\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE7"],

        ["\xCE\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x68"],
        ["\x4E\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE8"],

        ["\xCE\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x69"],
        ["\x4E\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE9"],

        ["\xCE\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x6A"],
        ["\x4E\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],

        ["\xCE\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x6B"],
        ["\x4E\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],

        ["\xCE\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x6C"],
        ["\x4E\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],

        ["\xCE\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x6D"],
        ["\x4E\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],

        ["\xCE\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x6E"],
        ["\x4E\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEE"],

        ["\xCE\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x6F"],
        ["\x4E\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEF"],

        ["\xCE\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x70"],
        ["\x4E\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF0"],

        ["\xCE\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x71"],
        ["\x4E\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF1"],

        ["\xCE\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x72"],
        ["\x4E\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF2"],

        ["\xCE\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x73"],
        ["\x4E\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF3"],

        ["\xCE\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x74"],
        ["\x4E\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF4"],

        ["\xCE\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x75"],
        ["\x4E\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF5"],

        ["\xCE\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x76"],
        ["\x4E\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF6"],

        ["\xCE\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x77"],
        ["\x4E\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF7"],

        ["\xCE\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x78"],
        ["\x4E\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF8"],

        ["\xCE\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x79"],
        ["\x4E\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF9"],

        ["\xCE\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x7A"],
        ["\x4E\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFA"],

        ["\xCE\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x7B"],
        ["\x4E\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFB"],

        ["\xCE\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x7C"],
        ["\x4E\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFC"],

        ["\xCE\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x7D"],
        ["\x4E\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFD"],

        ["\xCE\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4E\x7E"],
        ["\x4E\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],

        ["\xCF\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x21"],
        ["\x4F\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA1"],

        ["\xCF\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x22"],
        ["\x4F\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA2"],

        ["\xCF\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x23"],
        ["\x4F\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],

        ["\xCF\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x24"],
        ["\x4F\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA4"],

        ["\xCF\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x25"],
        ["\x4F\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],

        ["\xCF\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x26"],
        ["\x4F\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],

        ["\xCF\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x27"],
        ["\x4F\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],

        ["\xCF\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x28"],
        ["\x4F\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA8"],

        ["\xCF\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x29"],
        ["\x4F\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA9"],

        ["\xCF\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x2A"],
        ["\x4F\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAA"],

        ["\xCF\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x2B"],
        ["\x4F\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAB"],

        ["\xCF\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x2C"],
        ["\x4F\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAC"],

        ["\xCF\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x2D"],
        ["\x4F\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAD"],

        ["\xCF\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x2E"],
        ["\x4F\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAE"],

        ["\xCF\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x2F"],
        ["\x4F\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xAF"],

        ["\xCF\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x30"],
        ["\x4F\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB0"],

        ["\xCF\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x31"],
        ["\x4F\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB1"],

        ["\xCF\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x32"],
        ["\x4F\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB2"],

        ["\xCF\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x33"],
        ["\x4F\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB3"],

        ["\xCF\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x34"],
        ["\x4F\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB4"],

        ["\xCF\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x35"],
        ["\x4F\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],

        ["\xCF\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x46"],
        ["\x64\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB6"],

        ["\xCF\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x37"],
        ["\x4F\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB7"],

        ["\xCF\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x38"],
        ["\x4F\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],

        ["\xCF\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x39"],
        ["\x4F\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],

        ["\xCF\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x3A"],
        ["\x4F\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBA"],

        ["\xCF\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x3B"],
        ["\x4F\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],

        ["\xCF\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x3C"],
        ["\x4F\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],

        ["\xCF\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x3D"],
        ["\x4F\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBD"],

        ["\xCF\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x3E"],
        ["\x4F\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],

        ["\xCF\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x3F"],
        ["\x4F\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBF"],

        ["\xCF\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x40"],
        ["\x4F\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC0"],

        ["\xCF\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x41"],
        ["\x4F\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC1"],

        ["\xCF\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x42"],
        ["\x4F\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC2"],

        ["\xCF\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x43"],
        ["\x4F\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC3"],

        ["\xCF\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x44"],
        ["\x4F\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC4"],

        ["\xCF\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x45"],
        ["\x4F\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC5"],

        ["\xCF\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x46"],
        ["\x4F\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC6"],

        ["\xCF\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x47"],
        ["\x4F\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC7"],

        ["\xCF\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x48"],
        ["\x4F\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC8"],

        ["\xCF\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x49"],
        ["\x4F\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC9"],

        ["\xCF\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4A"],
        ["\x4F\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCA"],

        ["\xCF\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4B"],
        ["\x4F\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCB"],

        ["\xCF\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4C"],
        ["\x4F\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCC"],

        ["\xCF\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4D"],
        ["\x4F\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCD"],

        ["\xCF\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4E"],
        ["\x4F\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCE"],

        ["\xCF\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x4F"],
        ["\x4F\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xCF"],

        ["\xCF\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x50"],
        ["\x4F\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD0"],

        ["\xCF\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x51"],
        ["\x4F\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD1"],

        ["\xCF\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x52"],
        ["\x4F\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD2"],

        ["\xCF\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x53"],
        ["\x4F\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD3"],

        ["\xD0\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x21"],
        ["\x50\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],

        ["\xD0\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x22"],
        ["\x50\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA2"],

        ["\xD0\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x23"],
        ["\x50\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA3"],

        ["\xD0\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x24"],
        ["\x50\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA4"],

        ["\xD0\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x25"],
        ["\x50\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA5"],

        ["\xD0\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x26"],
        ["\x50\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA6"],

        ["\xD0\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x27"],
        ["\x50\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA7"],

        ["\xD0\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x28"],
        ["\x50\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA8"],

        ["\xD0\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x29"],
        ["\x50\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA9"],

        ["\xD0\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x2A"],
        ["\x50\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAA"],

        ["\xD0\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x2B"],
        ["\x50\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAB"],

        ["\xD0\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x2C"],
        ["\x50\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAC"],

        ["\xD0\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x2D"],
        ["\x50\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAD"],

        ["\xD0\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x2E"],
        ["\x50\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAE"],

        ["\xD0\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x2F"],
        ["\x50\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAF"],

        ["\xD0\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x30"],
        ["\x50\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB0"],

        ["\xD0\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x31"],
        ["\x50\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB1"],

        ["\xD0\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x32"],
        ["\x50\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB2"],

        ["\xD0\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x33"],
        ["\x50\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB3"],

        ["\xD0\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x34"],
        ["\x50\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB4"],

        ["\xD0\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x35"],
        ["\x50\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB5"],

        ["\xD0\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x36"],
        ["\x50\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB6"],

        ["\xD0\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x37"],
        ["\x50\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB7"],

        ["\xD0\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x38"],
        ["\x50\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB8"],

        ["\xD0\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x39"],
        ["\x50\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB9"],

        ["\xD0\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x3A"],
        ["\x50\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBA"],

        ["\xD0\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x3B"],
        ["\x50\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBB"],

        ["\xD0\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x3C"],
        ["\x50\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBC"],

        ["\xD0\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x3D"],
        ["\x50\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBD"],

        ["\xD0\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x3E"],
        ["\x50\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBE"],

        ["\xD0\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x3F"],
        ["\x50\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBF"],

        ["\xD0\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x40"],
        ["\x50\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC0"],

        ["\xD0\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x41"],
        ["\x50\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],

        ["\xD0\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x42"],
        ["\x50\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],

        ["\xD0\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x43"],
        ["\x50\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC3"],

        ["\xD0\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x44"],
        ["\x50\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],

        ["\xD0\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x45"],
        ["\x50\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC5"],

        ["\xD0\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x46"],
        ["\x50\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC6"],

        ["\xD0\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x47"],
        ["\x50\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC7"],

        ["\xD0\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x48"],
        ["\x50\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC8"],

        ["\xD0\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x49"],
        ["\x50\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC9"],

        ["\xD0\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4A"],
        ["\x50\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCA"],

        ["\xD0\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4B"],
        ["\x50\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCB"],

        ["\xD0\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4C"],
        ["\x50\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCC"],

        ["\xD0\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4D"],
        ["\x50\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCD"],

        ["\xD0\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4E"],
        ["\x50\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCE"],

        ["\xD0\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x4F"],
        ["\x50\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCF"],

        ["\xD0\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x50"],
        ["\x50\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD0"],

        ["\xD0\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x51"],
        ["\x50\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD1"],

        ["\xD0\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x52"],
        ["\x50\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD2"],

        ["\xD0\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x53"],
        ["\x50\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD3"],

        ["\xD0\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x54"],
        ["\x50\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],

        ["\xD0\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x55"],
        ["\x50\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD5"],

        ["\xD0\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x79"],
        ["\x4B\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD6"],

        ["\xD0\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x57"],
        ["\x50\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD7"],

        ["\xD0\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x58"],
        ["\x50\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],

        ["\xD0\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x59"],
        ["\x50\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD9"],

        ["\xD0\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x5A"],
        ["\x50\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDA"],

        ["\xD0\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x5B"],
        ["\x50\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDB"],

        ["\xD0\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x5C"],
        ["\x50\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDC"],

        ["\xD0\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x5D"],
        ["\x50\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDD"],

        ["\xD0\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x5E"],
        ["\x50\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDE"],

        ["\xD0\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x5F"],
        ["\x50\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xDF"],

        ["\xD0\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x60"],
        ["\x50\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE0"],

        ["\xD0\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x61"],
        ["\x50\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE1"],

        ["\xD0\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x62"],
        ["\x50\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],

        ["\xD0\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x63"],
        ["\x50\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE3"],

        ["\xD0\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x64"],
        ["\x50\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE4"],

        ["\xD0\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x65"],
        ["\x50\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE5"],

        ["\xD0\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x66"],
        ["\x50\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE6"],

        ["\xD0\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x67"],
        ["\x50\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE7"],

        ["\xD0\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x68"],
        ["\x50\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],

        ["\xD0\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x69"],
        ["\x50\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],

        ["\xD0\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x6A"],
        ["\x50\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEA"],

        ["\xD0\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x6B"],
        ["\x50\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEB"],

        ["\xD0\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x6C"],
        ["\x50\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEC"],

        ["\xD0\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x6D"],
        ["\x50\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xED"],

        ["\xD0\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x6E"],
        ["\x50\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEE"],

        ["\xD0\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x6F"],
        ["\x50\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEF"],

        ["\xD0\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x70"],
        ["\x50\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],

        ["\xD0\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x71"],
        ["\x50\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF1"],

        ["\xD0\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x72"],
        ["\x50\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],

        ["\xD0\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x73"],
        ["\x50\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],

        ["\xD0\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x74"],
        ["\x50\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],

        ["\xD0\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x75"],
        ["\x50\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF5"],

        ["\xD0\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x76"],
        ["\x50\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF6"],

        ["\xD0\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x77"],
        ["\x50\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF7"],

        ["\xD0\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x78"],
        ["\x50\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],

        ["\xD0\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x79"],
        ["\x50\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],

        ["\xD0\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x7A"],
        ["\x50\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFA"],

        ["\xD0\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x7B"],
        ["\x50\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFB"],

        ["\xD0\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x7C"],
        ["\x50\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFC"],

        ["\xD0\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x7D"],
        ["\x50\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFD"],

        ["\xD0\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x50\x7E"],
        ["\x50\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFE"],

        ["\xD1\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x21"],
        ["\x51\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA1"],

        ["\xD1\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x22"],
        ["\x51\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA2"],

        ["\xD1\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x23"],
        ["\x51\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA3"],

        ["\xD1\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x24"],
        ["\x51\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA4"],

        ["\xD1\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x25"],
        ["\x51\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA5"],

        ["\xD1\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x26"],
        ["\x51\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA6"],

        ["\xD1\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x27"],
        ["\x51\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA7"],

        ["\xD1\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x28"],
        ["\x51\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA8"],

        ["\xD1\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x29"],
        ["\x51\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xA9"],

        ["\xD1\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x2A"],
        ["\x51\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAA"],

        ["\xD1\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x2B"],
        ["\x51\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAB"],

        ["\xD1\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x2C"],
        ["\x51\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAC"],

        ["\xD1\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x2D"],
        ["\x51\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAD"],

        ["\xD1\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x2E"],
        ["\x51\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAE"],

        ["\xD1\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x2F"],
        ["\x51\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAF"],

        ["\xD1\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x30"],
        ["\x51\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],

        ["\xD1\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x31"],
        ["\x51\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB1"],

        ["\xD1\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x32"],
        ["\x51\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB2"],

        ["\xD1\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x33"],
        ["\x51\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB3"],

        ["\xD1\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x34"],
        ["\x51\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB4"],

        ["\xD1\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x35"],
        ["\x51\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB5"],

        ["\xD1\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x36"],
        ["\x51\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB6"],

        ["\xD1\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x37"],
        ["\x51\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB7"],

        ["\xD1\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x38"],
        ["\x51\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB8"],

        ["\xD1\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x39"],
        ["\x51\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB9"],

        ["\xD1\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x3A"],
        ["\x51\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBA"],

        ["\xD1\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x3B"],
        ["\x51\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBB"],

        ["\xD1\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x3C"],
        ["\x51\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBC"],

        ["\xD1\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x3D"],
        ["\x51\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBD"],

        ["\xD1\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x3E"],
        ["\x51\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBE"],

        ["\xD1\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x3F"],
        ["\x51\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBF"],

        ["\xD1\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x40"],
        ["\x51\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC0"],

        ["\xD1\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x41"],
        ["\x51\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],

        ["\xD1\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x42"],
        ["\x51\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC2"],

        ["\xD1\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x43"],
        ["\x51\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],

        ["\xD1\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x44"],
        ["\x51\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],

        ["\xD1\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x45"],
        ["\x51\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],

        ["\xD1\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x46"],
        ["\x51\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],

        ["\xD1\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x47"],
        ["\x51\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC7"],

        ["\xD1\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x48"],
        ["\x51\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC8"],

        ["\xD1\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x49"],
        ["\x51\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC9"],

        ["\xD1\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x4A"],
        ["\x51\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCA"],

        ["\xD1\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x4B"],
        ["\x51\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCB"],

        ["\xD1\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x4C"],
        ["\x51\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCC"],

        ["\xD1\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x4D"],
        ["\x51\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCD"],

        ["\xD1\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x4E"],
        ["\x51\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCE"],

        ["\xD1\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x4F"],
        ["\x51\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCF"],

        ["\xD1\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x50"],
        ["\x51\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD0"],

        ["\xD1\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x51"],
        ["\x51\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],

        ["\xD1\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x52"],
        ["\x51\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],

        ["\xD1\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x53"],
        ["\x51\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],

        ["\xD1\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x54"],
        ["\x51\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],

        ["\xD1\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x55"],
        ["\x51\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],

        ["\xD1\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x56"],
        ["\x51\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],

        ["\xD1\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x57"],
        ["\x51\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD7"],

        ["\xD1\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x58"],
        ["\x51\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD8"],

        ["\xD1\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x59"],
        ["\x51\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],

        ["\xD1\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x5A"],
        ["\x51\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDA"],

        ["\xD1\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x5B"],
        ["\x51\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDB"],

        ["\xD1\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x5C"],
        ["\x51\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDC"],

        ["\xD1\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x5D"],
        ["\x51\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDD"],

        ["\xD1\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x5E"],
        ["\x51\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDE"],

        ["\xD1\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x5F"],
        ["\x51\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDF"],

        ["\xD1\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x60"],
        ["\x51\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE0"],

        ["\xD1\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x61"],
        ["\x51\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE1"],

        ["\xD1\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x62"],
        ["\x51\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],

        ["\xD1\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x63"],
        ["\x51\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE3"],

        ["\xD1\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x64"],
        ["\x51\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],

        ["\xD1\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x65"],
        ["\x51\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE5"],

        ["\xD1\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x66"],
        ["\x51\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],

        ["\xD1\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x67"],
        ["\x51\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE7"],

        ["\xD1\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x68"],
        ["\x51\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE8"],

        ["\xD1\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x69"],
        ["\x51\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE9"],

        ["\xD1\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x6A"],
        ["\x51\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEA"],

        ["\xD1\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x6B"],
        ["\x51\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEB"],

        ["\xD1\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x6C"],
        ["\x51\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEC"],

        ["\xD1\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x6D"],
        ["\x51\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xED"],

        ["\xD1\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x6E"],
        ["\x51\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEE"],

        ["\xD1\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x6F"],
        ["\x51\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEF"],

        ["\xD1\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x70"],
        ["\x51\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],

        ["\xD1\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x71"],
        ["\x51\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF1"],

        ["\xD1\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x72"],
        ["\x51\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF2"],

        ["\xD1\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x73"],
        ["\x51\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF3"],

        ["\xD1\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x74"],
        ["\x51\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],

        ["\xD1\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x75"],
        ["\x51\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF5"],

        ["\xD1\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x76"],
        ["\x51\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF6"],

        ["\xD1\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x77"],
        ["\x51\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],

        ["\xD1\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x78"],
        ["\x51\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF8"],

        ["\xD1\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x79"],
        ["\x51\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],

        ["\xD1\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x7A"],
        ["\x51\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFA"],

        ["\xD1\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x7B"],
        ["\x51\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFB"],

        ["\xD1\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x7C"],
        ["\x51\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFC"],

        ["\xD1\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x7D"],
        ["\x51\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFD"],

        ["\xD1\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x51\x7E"],
        ["\x51\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFE"],

        ["\xD2\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x21"],
        ["\x52\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA1"],

        ["\xD2\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x22"],
        ["\x52\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA2"],

        ["\xD2\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x23"],
        ["\x52\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA3"],

        ["\xD2\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x24"],
        ["\x52\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA4"],

        ["\xD2\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x25"],
        ["\x52\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA5"],

        ["\xD2\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x26"],
        ["\x52\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA6"],

        ["\xD2\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x27"],
        ["\x52\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA7"],

        ["\xD2\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x28"],
        ["\x52\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA8"],

        ["\xD2\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x29"],
        ["\x52\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA9"],

        ["\xD2\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x2A"],
        ["\x52\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAA"],

        ["\xD2\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x2B"],
        ["\x52\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],

        ["\xD2\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x2C"],
        ["\x52\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAC"],

        ["\xD2\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x2D"],
        ["\x52\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAD"],

        ["\xD2\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x2E"],
        ["\x52\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAE"],

        ["\xD2\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x2F"],
        ["\x52\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAF"],

        ["\xD2\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x30"],
        ["\x52\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB0"],

        ["\xD2\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x31"],
        ["\x52\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB1"],

        ["\xD2\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x32"],
        ["\x52\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB2"],

        ["\xD2\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x33"],
        ["\x52\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB3"],

        ["\xD2\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x34"],
        ["\x52\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB4"],

        ["\xD2\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x35"],
        ["\x52\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB5"],

        ["\xD2\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x36"],
        ["\x52\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB6"],

        ["\xD2\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x37"],
        ["\x52\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB7"],

        ["\xD2\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x38"],
        ["\x52\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB8"],

        ["\xD2\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x39"],
        ["\x52\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB9"],

        ["\xD2\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x3A"],
        ["\x52\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBA"],

        ["\xD2\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x3B"],
        ["\x52\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBB"],

        ["\xD2\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x3C"],
        ["\x52\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBC"],

        ["\xD2\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x3D"],
        ["\x52\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBD"],

        ["\xD2\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x3E"],
        ["\x52\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBE"],

        ["\xD2\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x3F"],
        ["\x52\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBF"],

        ["\xD2\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x40"],
        ["\x52\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC0"],

        ["\xD2\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x41"],
        ["\x52\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC1"],

        ["\xD2\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x42"],
        ["\x52\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC2"],

        ["\xD2\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x43"],
        ["\x52\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],

        ["\xD2\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x44"],
        ["\x52\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC4"],

        ["\xD2\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x45"],
        ["\x52\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],

        ["\xD2\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x46"],
        ["\x52\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC6"],

        ["\xD2\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x47"],
        ["\x52\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC7"],

        ["\xD2\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x48"],
        ["\x52\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC8"],

        ["\xD2\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x49"],
        ["\x52\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC9"],

        ["\xD2\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x4A"],
        ["\x52\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCA"],

        ["\xD2\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x4B"],
        ["\x52\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCB"],

        ["\xD2\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x4C"],
        ["\x52\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCC"],

        ["\xD2\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x4D"],
        ["\x52\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCD"],

        ["\xD2\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x4E"],
        ["\x52\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCE"],

        ["\xD2\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x4F"],
        ["\x52\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xCF"],

        ["\xD2\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x50"],
        ["\x52\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD0"],

        ["\xD2\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x51"],
        ["\x52\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],

        ["\xD2\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x52"],
        ["\x52\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD2"],

        ["\xD2\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x53"],
        ["\x52\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],

        ["\xD2\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x54"],
        ["\x52\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD4"],

        ["\xD2\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x55"],
        ["\x52\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD5"],

        ["\xD2\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x56"],
        ["\x52\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD6"],

        ["\xD2\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x57"],
        ["\x52\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD7"],

        ["\xD2\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x58"],
        ["\x52\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],

        ["\xD2\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x59"],
        ["\x52\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD9"],

        ["\xD2\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x5A"],
        ["\x52\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDA"],

        ["\xD2\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x5B"],
        ["\x52\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDB"],

        ["\xD2\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x5C"],
        ["\x52\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDC"],

        ["\xD2\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x5D"],
        ["\x52\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDD"],

        ["\xD2\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x5E"],
        ["\x52\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDE"],

        ["\xD2\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x5F"],
        ["\x52\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDF"],

        ["\xD2\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x60"],
        ["\x52\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE0"],

        ["\xD2\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x61"],
        ["\x52\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE1"],

        ["\xD2\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x62"],
        ["\x52\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE2"],

        ["\xD2\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x63"],
        ["\x52\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE3"],

        ["\xD2\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x64"],
        ["\x52\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE4"],

        ["\xD2\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x65"],
        ["\x52\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE5"],

        ["\xD2\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x66"],
        ["\x52\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE6"],

        ["\xD2\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x67"],
        ["\x52\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],

        ["\xD2\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x68"],
        ["\x52\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],

        ["\xD2\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x69"],
        ["\x52\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE9"],

        ["\xD2\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x6A"],
        ["\x52\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEA"],

        ["\xD2\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x6B"],
        ["\x52\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEB"],

        ["\xD2\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x6C"],
        ["\x52\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEC"],

        ["\xD2\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x6D"],
        ["\x52\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xED"],

        ["\xD2\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x6E"],
        ["\x52\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEE"],

        ["\xD2\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x6F"],
        ["\x52\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEF"],

        ["\xD2\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x70"],
        ["\x52\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF0"],

        ["\xD2\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x71"],
        ["\x52\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF1"],

        ["\xD2\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x72"],
        ["\x52\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],

        ["\xD2\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x73"],
        ["\x52\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],

        ["\xD2\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x74"],
        ["\x52\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],

        ["\xD2\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x75"],
        ["\x52\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF5"],

        ["\xD2\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x76"],
        ["\x52\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF6"],

        ["\xD2\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x77"],
        ["\x52\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],

        ["\xD2\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x78"],
        ["\x52\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],

        ["\xD2\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x79"],
        ["\x52\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF9"],

        ["\xD2\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x7A"],
        ["\x52\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFA"],

        ["\xD2\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x7B"],
        ["\x52\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFB"],

        ["\xD2\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x7C"],
        ["\x52\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFC"],

        ["\xD2\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x7D"],
        ["\x52\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFD"],

        ["\xD2\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x52\x7E"],
        ["\x52\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFE"],

        ["\xD3\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x21"],
        ["\x53\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],

        ["\xD3\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x22"],
        ["\x53\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA2"],

        ["\xD3\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x23"],
        ["\x53\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA3"],

        ["\xD3\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x24"],
        ["\x53\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA4"],

        ["\xD3\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x25"],
        ["\x53\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA5"],

        ["\xD3\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x26"],
        ["\x53\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA6"],

        ["\xD3\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x27"],
        ["\x53\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA7"],

        ["\xD3\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x28"],
        ["\x53\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA8"],

        ["\xD3\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x29"],
        ["\x53\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA9"],

        ["\xD3\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x2A"],
        ["\x53\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAA"],

        ["\xD3\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x2B"],
        ["\x53\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAB"],

        ["\xD3\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x2C"],
        ["\x53\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAC"],

        ["\xD3\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x2D"],
        ["\x53\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAD"],

        ["\xD3\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x2E"],
        ["\x53\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAE"],

        ["\xD3\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x2F"],
        ["\x53\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAF"],

        ["\xD3\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x30"],
        ["\x53\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],

        ["\xD3\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x31"],
        ["\x53\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB1"],

        ["\xD3\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x32"],
        ["\x53\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB2"],

        ["\xD3\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x33"],
        ["\x53\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB3"],

        ["\xD3\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x34"],
        ["\x53\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB4"],

        ["\xD3\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x35"],
        ["\x53\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB5"],

        ["\xD3\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x36"],
        ["\x53\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB6"],

        ["\xD3\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x37"],
        ["\x53\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB7"],

        ["\xD3\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x38"],
        ["\x53\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB8"],

        ["\xD3\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x39"],
        ["\x53\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB9"],

        ["\xD3\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x3A"],
        ["\x53\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBA"],

        ["\xD3\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x3B"],
        ["\x53\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBB"],

        ["\xD3\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x3C"],
        ["\x53\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBC"],

        ["\xD3\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x3D"],
        ["\x53\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBD"],

        ["\xD3\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x3E"],
        ["\x53\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBE"],

        ["\xD3\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x3F"],
        ["\x53\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xBF"],

        ["\xD3\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x40"],
        ["\x53\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],

        ["\xD3\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x41"],
        ["\x53\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],

        ["\xD3\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x42"],
        ["\x53\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],

        ["\xD3\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x43"],
        ["\x53\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC3"],

        ["\xD3\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x44"],
        ["\x53\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],

        ["\xD3\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x45"],
        ["\x53\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC5"],

        ["\xD3\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x46"],
        ["\x53\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC6"],

        ["\xD3\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x47"],
        ["\x53\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC7"],

        ["\xD3\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x48"],
        ["\x53\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC8"],

        ["\xD3\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x49"],
        ["\x53\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],

        ["\xD3\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x4A"],
        ["\x53\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCA"],

        ["\xD3\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x4B"],
        ["\x53\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCB"],

        ["\xD3\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x4C"],
        ["\x53\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCC"],

        ["\xD3\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x4D"],
        ["\x53\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCD"],

        ["\xD3\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x4E"],
        ["\x53\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCE"],

        ["\xD3\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x4F"],
        ["\x53\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCF"],

        ["\xD3\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x50"],
        ["\x53\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD0"],

        ["\xD3\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x51"],
        ["\x53\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD1"],

        ["\xD3\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x52"],
        ["\x53\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD2"],

        ["\xD3\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x53"],
        ["\x53\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD3"],

        ["\xD3\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x54"],
        ["\x53\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],

        ["\xD3\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x55"],
        ["\x53\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],

        ["\xD3\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x56"],
        ["\x53\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD6"],

        ["\xD3\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x57"],
        ["\x53\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],

        ["\xD3\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x58"],
        ["\x53\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],

        ["\xD3\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x59"],
        ["\x53\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],

        ["\xD3\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x5A"],
        ["\x53\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDA"],

        ["\xD3\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x5B"],
        ["\x53\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDB"],

        ["\xD3\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x5C"],
        ["\x53\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDC"],

        ["\xD3\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x5D"],
        ["\x53\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDD"],

        ["\xD3\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x5E"],
        ["\x53\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDE"],

        ["\xD3\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x5F"],
        ["\x53\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDF"],

        ["\xD3\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x60"],
        ["\x53\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE0"],

        ["\xD3\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x61"],
        ["\x53\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE1"],

        ["\xD3\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x62"],
        ["\x53\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],

        ["\xD3\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x63"],
        ["\x53\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],

        ["\xD3\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x64"],
        ["\x53\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE4"],

        ["\xD3\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x65"],
        ["\x53\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE5"],

        ["\xD3\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x66"],
        ["\x53\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE6"],

        ["\xD3\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x67"],
        ["\x53\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],

        ["\xD3\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x68"],
        ["\x53\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE8"],

        ["\xD3\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x69"],
        ["\x53\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE9"],

        ["\xD3\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x6A"],
        ["\x53\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEA"],

        ["\xD3\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x6B"],
        ["\x53\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEB"],

        ["\xD3\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x6C"],
        ["\x53\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEC"],

        ["\xD3\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x6D"],
        ["\x53\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xED"],

        ["\xD3\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x6E"],
        ["\x53\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEE"],

        ["\xD3\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x6F"],
        ["\x53\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEF"],

        ["\xD3\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x70"],
        ["\x53\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF0"],

        ["\xD3\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x71"],
        ["\x53\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF1"],

        ["\xD3\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x72"],
        ["\x53\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],

        ["\xD3\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x73"],
        ["\x53\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],

        ["\xD3\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x74"],
        ["\x53\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF4"],

        ["\xD3\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x75"],
        ["\x53\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],

        ["\xD3\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x76"],
        ["\x53\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],

        ["\xD3\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x77"],
        ["\x53\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF7"],

        ["\xD3\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x78"],
        ["\x53\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF8"],

        ["\xD3\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x79"],
        ["\x53\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF9"],

        ["\xD3\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x7A"],
        ["\x53\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFA"],

        ["\xD3\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x7B"],
        ["\x53\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFB"],

        ["\xD3\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x7C"],
        ["\x53\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFC"],

        ["\xD3\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x7D"],
        ["\x53\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFD"],

        ["\xD3\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x53\x7E"],
        ["\x53\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFE"],

        ["\xD4\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x21"],
        ["\x54\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],

        ["\xD4\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x22"],
        ["\x54\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA2"],

        ["\xD4\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x23"],
        ["\x54\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA3"],

        ["\xD4\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x24"],
        ["\x54\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA4"],

        ["\xD4\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x25"],
        ["\x54\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA5"],

        ["\xD4\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x26"],
        ["\x54\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA6"],

        ["\xD4\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x27"],
        ["\x54\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA7"],

        ["\xD4\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x28"],
        ["\x54\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA8"],

        ["\xD4\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x29"],
        ["\x54\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA9"],

        ["\xD4\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x2A"],
        ["\x54\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAA"],

        ["\xD4\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x2B"],
        ["\x54\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],

        ["\xD4\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x2C"],
        ["\x54\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAC"],

        ["\xD4\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x2D"],
        ["\x54\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAD"],

        ["\xD4\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x2E"],
        ["\x54\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAE"],

        ["\xD4\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x2F"],
        ["\x54\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAF"],

        ["\xD4\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x30"],
        ["\x54\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB0"],

        ["\xD4\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x31"],
        ["\x54\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB1"],

        ["\xD4\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x32"],
        ["\x54\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB2"],

        ["\xD4\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x33"],
        ["\x54\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB3"],

        ["\xD4\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x34"],
        ["\x54\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB4"],

        ["\xD4\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x35"],
        ["\x54\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB5"],

        ["\xD4\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x36"],
        ["\x54\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB6"],

        ["\xD4\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x37"],
        ["\x54\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB7"],

        ["\xD4\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x38"],
        ["\x54\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB8"],

        ["\xD4\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x39"],
        ["\x54\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB9"],

        ["\xD4\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x3A"],
        ["\x54\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBA"],

        ["\xD4\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x3B"],
        ["\x54\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBB"],

        ["\xD4\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x3C"],
        ["\x54\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBC"],

        ["\xD4\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x3D"],
        ["\x54\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBD"],

        ["\xD4\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x3E"],
        ["\x54\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBE"],

        ["\xD4\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x3F"],
        ["\x54\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBF"],

        ["\xD4\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x40"],
        ["\x54\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC0"],

        ["\xD4\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x41"],
        ["\x54\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC1"],

        ["\xD4\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x42"],
        ["\x54\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC2"],

        ["\xD4\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x43"],
        ["\x54\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],

        ["\xD4\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x44"],
        ["\x54\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC4"],

        ["\xD4\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x45"],
        ["\x54\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC5"],

        ["\xD4\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x46"],
        ["\x54\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC6"],

        ["\xD4\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x47"],
        ["\x54\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC7"],

        ["\xD4\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x48"],
        ["\x54\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC8"],

        ["\xD4\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x49"],
        ["\x54\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC9"],

        ["\xD4\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x4A"],
        ["\x54\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCA"],

        ["\xD4\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x4B"],
        ["\x54\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCB"],

        ["\xD4\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x4C"],
        ["\x54\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCC"],

        ["\xD4\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x4D"],
        ["\x54\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCD"],

        ["\xD4\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x4E"],
        ["\x54\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCE"],

        ["\xD4\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x4F"],
        ["\x54\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCF"],

        ["\xD4\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x50"],
        ["\x54\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD0"],

        ["\xD4\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x51"],
        ["\x54\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD1"],

        ["\xD4\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x52"],
        ["\x54\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],

        ["\xD4\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x53"],
        ["\x54\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],

        ["\xD4\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x54"],
        ["\x54\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],

        ["\xD4\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x55"],
        ["\x54\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD5"],

        ["\xD4\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x56"],
        ["\x54\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD6"],

        ["\xD4\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x57"],
        ["\x54\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],

        ["\xD4\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x58"],
        ["\x54\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD8"],

        ["\xD4\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x59"],
        ["\x54\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD9"],

        ["\xD4\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x5A"],
        ["\x54\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDA"],

        ["\xD4\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x5B"],
        ["\x54\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDB"],

        ["\xD4\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x5C"],
        ["\x54\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDC"],

        ["\xD4\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x5D"],
        ["\x54\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDD"],

        ["\xD4\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x5E"],
        ["\x54\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDE"],

        ["\xD4\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x5F"],
        ["\x54\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDF"],

        ["\xD4\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x60"],
        ["\x54\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE0"],

        ["\xD4\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x61"],
        ["\x54\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE1"],

        ["\xD4\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x62"],
        ["\x54\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE2"],

        ["\xD4\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x63"],
        ["\x54\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],

        ["\xD4\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x5B"],
        ["\x44\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],

        ["\xD4\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x65"],
        ["\x54\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],

        ["\xD4\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x66"],
        ["\x54\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE6"],

        ["\xD4\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x67"],
        ["\x54\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE7"],

        ["\xD4\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x68"],
        ["\x54\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE8"],

        ["\xD4\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x69"],
        ["\x54\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE9"],

        ["\xD4\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x6A"],
        ["\x54\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEA"],

        ["\xD4\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x6B"],
        ["\x54\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEB"],

        ["\xD4\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x6C"],
        ["\x54\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEC"],

        ["\xD4\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x6D"],
        ["\x54\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xED"],

        ["\xD4\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x6E"],
        ["\x54\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEE"],

        ["\xD4\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x6F"],
        ["\x54\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEF"],

        ["\xD4\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x70"],
        ["\x54\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],

        ["\xD4\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x71"],
        ["\x54\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],

        ["\xD4\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x72"],
        ["\x54\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],

        ["\xD4\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x73"],
        ["\x54\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],

        ["\xD4\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x74"],
        ["\x54\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF4"],

        ["\xD4\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x75"],
        ["\x54\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF5"],

        ["\xD4\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x76"],
        ["\x54\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF6"],

        ["\xD4\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x77"],
        ["\x54\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF7"],

        ["\xD4\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x78"],
        ["\x54\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],

        ["\xD4\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x79"],
        ["\x54\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF9"],

        ["\xD4\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x7A"],
        ["\x54\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFA"],

        ["\xD4\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x7B"],
        ["\x54\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFB"],

        ["\xD4\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x7C"],
        ["\x54\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFC"],

        ["\xD4\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x7D"],
        ["\x54\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFD"],

        ["\xD4\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x54\x7E"],
        ["\x54\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFE"],

        ["\xD5\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x21"],
        ["\x55\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],

        ["\xD5\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x22"],
        ["\x55\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA2"],

        ["\xD5\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x23"],
        ["\x55\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA3"],

        ["\xD5\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x24"],
        ["\x55\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA4"],

        ["\xD5\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x25"],
        ["\x55\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA5"],

        ["\xD5\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x26"],
        ["\x55\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA6"],

        ["\xD5\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x27"],
        ["\x55\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA7"],

        ["\xD5\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x28"],
        ["\x55\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA8"],

        ["\xD5\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x29"],
        ["\x55\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA9"],

        ["\xD5\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x2A"],
        ["\x55\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAA"],

        ["\xD5\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x2B"],
        ["\x55\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAB"],

        ["\xD5\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x2C"],
        ["\x55\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAC"],

        ["\xD5\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x2D"],
        ["\x55\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAD"],

        ["\xD5\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x2E"],
        ["\x55\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAE"],

        ["\xD5\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x2F"],
        ["\x55\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAF"],

        ["\xD5\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x30"],
        ["\x55\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB0"],

        ["\xD5\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x31"],
        ["\x55\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB1"],

        ["\xD5\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x32"],
        ["\x55\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB2"],

        ["\xD5\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x33"],
        ["\x55\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB3"],

        ["\xD5\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x34"],
        ["\x55\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB4"],

        ["\xD5\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x35"],
        ["\x55\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB5"],

        ["\xD5\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x36"],
        ["\x55\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB6"],

        ["\xD5\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x37"],
        ["\x55\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB7"],

        ["\xD5\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x38"],
        ["\x55\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB8"],

        ["\xD5\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x39"],
        ["\x55\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB9"],

        ["\xD5\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x3A"],
        ["\x55\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBA"],

        ["\xD5\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x3B"],
        ["\x55\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBB"],

        ["\xD5\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x3C"],
        ["\x55\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBC"],

        ["\xD5\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x3D"],
        ["\x55\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBD"],

        ["\xD5\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x3E"],
        ["\x55\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBE"],

        ["\xD5\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x3F"],
        ["\x55\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBF"],

        ["\xD5\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x40"],
        ["\x55\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC0"],

        ["\xD5\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x41"],
        ["\x55\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC1"],

        ["\xD5\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x42"],
        ["\x55\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],

        ["\xD5\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x43"],
        ["\x55\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC3"],

        ["\xD5\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x44"],
        ["\x55\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],

        ["\xD5\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x45"],
        ["\x55\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],

        ["\xD5\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x46"],
        ["\x55\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC6"],

        ["\xD5\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x47"],
        ["\x55\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],

        ["\xD5\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x48"],
        ["\x55\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC8"],

        ["\xD5\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x49"],
        ["\x55\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC9"],

        ["\xD5\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x4A"],
        ["\x55\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCA"],

        ["\xD5\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x4B"],
        ["\x55\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCB"],

        ["\xD5\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x4C"],
        ["\x55\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCC"],

        ["\xD5\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x4D"],
        ["\x55\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCD"],

        ["\xD5\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x4E"],
        ["\x55\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCE"],

        ["\xD5\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x4F"],
        ["\x55\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCF"],

        ["\xD5\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x50"],
        ["\x55\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD0"],

        ["\xD5\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x51"],
        ["\x55\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],

        ["\xD5\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x52"],
        ["\x55\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],

        ["\xD5\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x53"],
        ["\x55\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],

        ["\xD5\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x54"],
        ["\x55\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],

        ["\xD5\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x55"],
        ["\x55\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD5"],

        ["\xD5\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x56"],
        ["\x55\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],

        ["\xD5\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x57"],
        ["\x55\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],

        ["\xD5\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x58"],
        ["\x55\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],

        ["\xD5\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x59"],
        ["\x55\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD9"],

        ["\xD5\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x5A"],
        ["\x55\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDA"],

        ["\xD5\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x5B"],
        ["\x55\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDB"],

        ["\xD5\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x5C"],
        ["\x55\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDC"],

        ["\xD5\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x5D"],
        ["\x55\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDD"],

        ["\xD5\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x5E"],
        ["\x55\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDE"],

        ["\xD5\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x5F"],
        ["\x55\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDF"],

        ["\xD5\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x60"],
        ["\x55\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE0"],

        ["\xD5\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x61"],
        ["\x55\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE1"],

        ["\xD5\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x62"],
        ["\x55\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE2"],

        ["\xD5\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x63"],
        ["\x55\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE3"],

        ["\xD5\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x64"],
        ["\x55\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],

        ["\xD5\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x65"],
        ["\x55\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],

        ["\xD5\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x66"],
        ["\x55\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE6"],

        ["\xD5\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x67"],
        ["\x55\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE7"],

        ["\xD5\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x68"],
        ["\x55\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE8"],

        ["\xD5\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x69"],
        ["\x55\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE9"],

        ["\xD5\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x6A"],
        ["\x55\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEA"],

        ["\xD5\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x6B"],
        ["\x55\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEB"],

        ["\xD5\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x6C"],
        ["\x55\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEC"],

        ["\xD5\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x6D"],
        ["\x55\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xED"],

        ["\xD5\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x6E"],
        ["\x55\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEE"],

        ["\xD5\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x6F"],
        ["\x55\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEF"],

        ["\xD5\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x70"],
        ["\x55\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],

        ["\xD5\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x71"],
        ["\x55\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],

        ["\xD5\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x72"],
        ["\x55\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],

        ["\xD5\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x73"],
        ["\x55\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],

        ["\xD5\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x74"],
        ["\x55\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF4"],

        ["\xD5\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x75"],
        ["\x55\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],

        ["\xD5\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x76"],
        ["\x55\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],

        ["\xD5\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x77"],
        ["\x55\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF7"],

        ["\xD5\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x78"],
        ["\x55\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF8"],

        ["\xD5\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x79"],
        ["\x55\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],

        ["\xD5\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x7A"],
        ["\x55\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFA"],

        ["\xD5\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x7B"],
        ["\x55\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFB"],

        ["\xD5\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x7C"],
        ["\x55\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFC"],

        ["\xD5\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x7D"],
        ["\x55\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFD"],

        ["\xD5\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x55\x7E"],
        ["\x55\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xFE"],

        ["\xD6\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x21"],
        ["\x56\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA1"],

        ["\xD6\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x22"],
        ["\x56\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA2"],

        ["\xD6\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x23"],
        ["\x56\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA3"],

        ["\xD6\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x24"],
        ["\x56\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA4"],

        ["\xD6\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x25"],
        ["\x56\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA5"],

        ["\xD6\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x26"],
        ["\x56\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA6"],

        ["\xD6\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x27"],
        ["\x56\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA7"],

        ["\xD6\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x28"],
        ["\x56\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA8"],

        ["\xD6\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x29"],
        ["\x56\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xA9"],

        ["\xD6\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x2A"],
        ["\x56\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAA"],

        ["\xD6\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x2B"],
        ["\x56\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAB"],

        ["\xD6\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x2C"],
        ["\x56\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAC"],

        ["\xD6\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x2D"],
        ["\x56\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAD"],

        ["\xD6\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x2E"],
        ["\x56\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAE"],

        ["\xD6\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x2F"],
        ["\x56\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xAF"],

        ["\xD6\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x30"],
        ["\x56\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB0"],

        ["\xD6\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x31"],
        ["\x56\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB1"],

        ["\xD6\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x32"],
        ["\x56\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB2"],

        ["\xD6\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x33"],
        ["\x56\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB3"],

        ["\xD6\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x34"],
        ["\x56\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB4"],

        ["\xD6\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x35"],
        ["\x56\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB5"],

        ["\xD6\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x36"],
        ["\x56\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB6"],

        ["\xD6\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x37"],
        ["\x56\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB7"],

        ["\xD6\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x38"],
        ["\x56\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB8"],

        ["\xD6\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x39"],
        ["\x56\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xB9"],

        ["\xD6\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x3A"],
        ["\x56\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBA"],

        ["\xD6\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x3B"],
        ["\x56\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBB"],

        ["\xD6\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x3C"],
        ["\x56\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBC"],

        ["\xD6\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x3D"],
        ["\x56\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBD"],

        ["\xD6\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x3E"],
        ["\x56\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBE"],

        ["\xD6\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x3F"],
        ["\x56\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xBF"],

        ["\xD6\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x40"],
        ["\x56\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC0"],

        ["\xD6\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x41"],
        ["\x56\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC1"],

        ["\xD6\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x42"],
        ["\x56\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC2"],

        ["\xD6\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x43"],
        ["\x56\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC3"],

        ["\xD6\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x44"],
        ["\x56\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC4"],

        ["\xD6\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x45"],
        ["\x56\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC5"],

        ["\xD6\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x46"],
        ["\x56\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC6"],

        ["\xD6\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x47"],
        ["\x56\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC7"],

        ["\xD6\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x48"],
        ["\x56\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC8"],

        ["\xD6\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x49"],
        ["\x56\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xC9"],

        ["\xD6\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x4A"],
        ["\x56\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCA"],

        ["\xD6\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x4B"],
        ["\x56\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCB"],

        ["\xD6\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x4C"],
        ["\x56\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCC"],

        ["\xD6\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x4D"],
        ["\x56\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCD"],

        ["\xD6\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x4E"],
        ["\x56\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCE"],

        ["\xD6\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x4F"],
        ["\x56\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xCF"],

        ["\xD6\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x50"],
        ["\x56\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD0"],

        ["\xD6\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x51"],
        ["\x56\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD1"],

        ["\xD6\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x52"],
        ["\x56\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD2"],

        ["\xD6\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x53"],
        ["\x56\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD3"],

        ["\xD6\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x54"],
        ["\x56\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD4"],

        ["\xD6\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x55"],
        ["\x56\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD5"],

        ["\xD6\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x56"],
        ["\x56\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD6"],

        ["\xD6\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x57"],
        ["\x56\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD7"],

        ["\xD6\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x58"],
        ["\x56\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD8"],

        ["\xD6\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x59"],
        ["\x56\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xD9"],

        ["\xD6\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x5A"],
        ["\x56\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDA"],

        ["\xD6\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x5B"],
        ["\x56\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDB"],

        ["\xD6\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x5C"],
        ["\x56\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDC"],

        ["\xD6\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x5D"],
        ["\x56\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDD"],

        ["\xD6\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x5E"],
        ["\x56\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDE"],

        ["\xD6\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x5F"],
        ["\x56\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xDF"],

        ["\xD6\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x60"],
        ["\x56\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE0"],

        ["\xD6\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x61"],
        ["\x56\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE1"],

        ["\xD6\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x62"],
        ["\x56\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE2"],

        ["\xD6\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x63"],
        ["\x56\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE3"],

        ["\xD6\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x64"],
        ["\x56\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE4"],

        ["\xD6\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x65"],
        ["\x56\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE5"],

        ["\xD6\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x66"],
        ["\x56\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE6"],

        ["\xD6\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x67"],
        ["\x56\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE7"],

        ["\xD6\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x68"],
        ["\x56\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE8"],

        ["\xD6\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x69"],
        ["\x56\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xE9"],

        ["\xD6\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x6A"],
        ["\x56\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEA"],

        ["\xD6\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x6B"],
        ["\x56\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEB"],

        ["\xD6\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x6C"],
        ["\x56\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEC"],

        ["\xD6\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x6D"],
        ["\x56\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xED"],

        ["\xD6\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x6E"],
        ["\x56\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEE"],

        ["\xD6\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x6F"],
        ["\x56\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xEF"],

        ["\xD6\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x70"],
        ["\x56\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF0"],

        ["\xD6\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x71"],
        ["\x56\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF1"],

        ["\xD6\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x72"],
        ["\x56\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF2"],

        ["\xD6\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x73"],
        ["\x56\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF3"],

        ["\xD6\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x74"],
        ["\x56\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF4"],

        ["\xD6\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x75"],
        ["\x56\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF5"],

        ["\xD6\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x76"],
        ["\x56\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF6"],

        ["\xD6\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x77"],
        ["\x56\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF7"],

        ["\xD6\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x78"],
        ["\x56\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF8"],

        ["\xD6\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x79"],
        ["\x56\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xF9"],

        ["\xD6\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x7A"],
        ["\x56\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFA"],

        ["\xD6\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x7B"],
        ["\x56\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFB"],

        ["\xD6\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x7C"],
        ["\x56\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFC"],

        ["\xD6\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x7D"],
        ["\x56\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFD"],

        ["\xD6\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x56\x7E"],
        ["\x56\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\xFE"],

        ["\xD7\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x21"],
        ["\x57\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA1"],

        ["\xD7\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x22"],
        ["\x57\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA2"],

        ["\xD7\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x23"],
        ["\x57\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA3"],

        ["\xD7\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x24"],
        ["\x57\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA4"],

        ["\xD7\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x25"],
        ["\x57\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA5"],

        ["\xD7\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x26"],
        ["\x57\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA6"],

        ["\xD7\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x27"],
        ["\x57\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA7"],

        ["\xD7\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x28"],
        ["\x57\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA8"],

        ["\xD7\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x29"],
        ["\x57\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xA9"],

        ["\xD7\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x2A"],
        ["\x57\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAA"],

        ["\xD7\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x2B"],
        ["\x57\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAB"],

        ["\xD7\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x2C"],
        ["\x57\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAC"],

        ["\xD7\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x2D"],
        ["\x57\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAD"],

        ["\xD7\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x2E"],
        ["\x57\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAE"],

        ["\xD7\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x2F"],
        ["\x57\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xAF"],

        ["\xD7\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x30"],
        ["\x57\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB0"],

        ["\xD7\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x31"],
        ["\x57\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB1"],

        ["\xD7\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x32"],
        ["\x57\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB2"],

        ["\xD7\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x33"],
        ["\x57\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB3"],

        ["\xD7\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x34"],
        ["\x57\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB4"],

        ["\xD7\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x35"],
        ["\x57\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB5"],

        ["\xD7\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x36"],
        ["\x57\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB6"],

        ["\xD7\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x37"],
        ["\x57\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB7"],

        ["\xD7\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x38"],
        ["\x57\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB8"],

        ["\xD7\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x39"],
        ["\x57\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xB9"],

        ["\xD7\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x3A"],
        ["\x57\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBA"],

        ["\xD7\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x3C"],
        ["\x57\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBC"],

        ["\xD7\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x3D"],
        ["\x57\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBD"],

        ["\xD7\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x3E"],
        ["\x57\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBE"],

        ["\xD7\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x3F"],
        ["\x57\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBF"],

        ["\xD7\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x40"],
        ["\x57\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC0"],

        ["\xD7\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x41"],
        ["\x57\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC1"],

        ["\xD7\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x42"],
        ["\x57\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC2"],

        ["\xD7\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x43"],
        ["\x57\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC3"],

        ["\xD7\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x44"],
        ["\x57\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC4"],

        ["\xD7\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x45"],
        ["\x57\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC5"],

        ["\xD7\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x46"],
        ["\x57\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC6"],

        ["\xD7\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x47"],
        ["\x57\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC7"],

        ["\xD7\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x48"],
        ["\x57\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC8"],

        ["\xD7\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x49"],
        ["\x57\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xC9"],

        ["\xD7\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4A"],
        ["\x57\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCA"],

        ["\xD7\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4B"],
        ["\x57\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCB"],

        ["\xD7\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4C"],
        ["\x57\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCC"],

        ["\xD7\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4D"],
        ["\x57\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCD"],

        ["\xD7\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4E"],
        ["\x57\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCE"],

        ["\xD7\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x4F"],
        ["\x57\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xCF"],

        ["\xD7\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x50"],
        ["\x57\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD0"],

        ["\xD7\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x51"],
        ["\x57\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD1"],

        ["\xD7\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x52"],
        ["\x57\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD2"],

        ["\xD7\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x53"],
        ["\x57\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD3"],

        ["\xD7\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x54"],
        ["\x57\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD4"],

        ["\xD7\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x55"],
        ["\x57\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD5"],

        ["\xD7\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x56"],
        ["\x57\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD6"],

        ["\xD7\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x57"],
        ["\x57\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD7"],

        ["\xD7\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x58"],
        ["\x57\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD8"],

        ["\xD7\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x59"],
        ["\x57\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xD9"],

        ["\xD7\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5A"],
        ["\x57\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDA"],

        ["\xD7\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5B"],
        ["\x57\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDB"],

        ["\xD7\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5C"],
        ["\x57\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDC"],

        ["\xD7\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5D"],
        ["\x57\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDD"],

        ["\xD7\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5E"],
        ["\x57\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDE"],

        ["\xD7\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x5F"],
        ["\x57\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xDF"],

        ["\xD7\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x60"],
        ["\x57\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE0"],

        ["\xD7\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x61"],
        ["\x57\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE1"],

        ["\xD7\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x62"],
        ["\x57\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE2"],

        ["\xD7\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x63"],
        ["\x57\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE3"],

        ["\xD7\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x64"],
        ["\x57\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE4"],

        ["\xD7\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x65"],
        ["\x57\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE5"],

        ["\xD7\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x66"],
        ["\x57\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE6"],

        ["\xD7\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x67"],
        ["\x57\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE7"],

        ["\xD7\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x68"],
        ["\x57\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE8"],

        ["\xD7\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x69"],
        ["\x57\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xE9"],

        ["\xD7\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6A"],
        ["\x57\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEA"],

        ["\xD7\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6B"],
        ["\x57\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEB"],

        ["\xD7\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6C"],
        ["\x57\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEC"],

        ["\xD7\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6D"],
        ["\x57\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xED"],

        ["\xD7\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6E"],
        ["\x57\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEE"],

        ["\xD7\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x6F"],
        ["\x57\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xEF"],

        ["\xD7\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x70"],
        ["\x57\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF0"],

        ["\xD7\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x71"],
        ["\x57\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF1"],

        ["\xD7\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x72"],
        ["\x57\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF2"],

        ["\xD7\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x73"],
        ["\x57\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF3"],

        ["\xD7\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x74"],
        ["\x57\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF4"],

        ["\xD7\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x75"],
        ["\x57\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF5"],

        ["\xD7\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x76"],
        ["\x57\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF6"],

        ["\xD7\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x77"],
        ["\x57\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF7"],

        ["\xD7\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x78"],
        ["\x57\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF8"],

        ["\xD7\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x79"],
        ["\x57\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xF9"],

        ["\xD7\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7A"],
        ["\x57\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFA"],

        ["\xD7\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7B"],
        ["\x57\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFB"],

        ["\xD7\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7C"],
        ["\x57\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFC"],

        ["\xD7\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7D"],
        ["\x57\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFD"],

        ["\xD7\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x7E"],
        ["\x57\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xFE"],

        ["\xD8\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x21"],
        ["\x58\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA1"],

        ["\xD8\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x22"],
        ["\x58\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA2"],

        ["\xD8\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x23"],
        ["\x58\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA3"],

        ["\xD8\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x24"],
        ["\x58\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA4"],

        ["\xD8\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x25"],
        ["\x58\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA5"],

        ["\xD8\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x26"],
        ["\x58\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA6"],

        ["\xD8\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x27"],
        ["\x58\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA7"],

        ["\xD8\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x28"],
        ["\x58\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA8"],

        ["\xD8\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x29"],
        ["\x58\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xA9"],

        ["\xD8\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x2A"],
        ["\x58\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAA"],

        ["\xD8\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x2B"],
        ["\x58\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAB"],

        ["\xD8\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x2C"],
        ["\x58\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAC"],

        ["\xD8\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x2D"],
        ["\x58\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAD"],

        ["\xD8\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x2E"],
        ["\x58\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAE"],

        ["\xD8\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x2F"],
        ["\x58\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xAF"],

        ["\xD8\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x30"],
        ["\x58\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB0"],

        ["\xD8\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x31"],
        ["\x58\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB1"],

        ["\xD8\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x32"],
        ["\x58\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB2"],

        ["\xD8\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x33"],
        ["\x58\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB3"],

        ["\xD8\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x34"],
        ["\x58\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB4"],

        ["\xD8\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x35"],
        ["\x58\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB5"],

        ["\xD8\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x36"],
        ["\x58\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB6"],

        ["\xD8\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x37"],
        ["\x58\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB7"],

        ["\xD8\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x38"],
        ["\x58\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB8"],

        ["\xD8\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x39"],
        ["\x58\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xB9"],

        ["\xD8\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x3A"],
        ["\x58\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBA"],

        ["\xD8\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x3B"],
        ["\x58\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBB"],

        ["\xD8\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x3C"],
        ["\x58\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBC"],

        ["\xD8\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x3D"],
        ["\x58\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBD"],

        ["\xD8\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x3E"],
        ["\x58\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBE"],

        ["\xD8\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x3F"],
        ["\x58\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xBF"],

        ["\xD8\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x40"],
        ["\x58\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC0"],

        ["\xD8\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x41"],
        ["\x58\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC1"],

        ["\xD8\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x42"],
        ["\x58\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC2"],

        ["\xD8\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x43"],
        ["\x58\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC3"],

        ["\xD8\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x44"],
        ["\x58\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC4"],

        ["\xD8\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x45"],
        ["\x58\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC5"],

        ["\xD8\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x46"],
        ["\x58\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC6"],

        ["\xD8\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x47"],
        ["\x58\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC7"],

        ["\xD8\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x48"],
        ["\x58\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC8"],

        ["\xD8\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x49"],
        ["\x58\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xC9"],

        ["\xD8\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x4A"],
        ["\x58\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCA"],

        ["\xD8\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x4B"],
        ["\x58\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCB"],

        ["\xD8\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x4C"],
        ["\x58\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCC"],

        ["\xD8\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x4D"],
        ["\x58\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCD"],

        ["\xD8\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x4E"],
        ["\x58\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCE"],

        ["\xD8\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x4F"],
        ["\x58\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xCF"],

        ["\xD8\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x50"],
        ["\x58\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD0"],

        ["\xD8\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x51"],
        ["\x58\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD1"],

        ["\xD8\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x52"],
        ["\x58\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD2"],

        ["\xD8\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x53"],
        ["\x58\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD3"],

        ["\xD8\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x54"],
        ["\x58\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD4"],

        ["\xD8\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x55"],
        ["\x58\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD5"],

        ["\xD8\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x56"],
        ["\x58\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD6"],

        ["\xD8\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x57"],
        ["\x58\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD7"],

        ["\xD8\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x58"],
        ["\x58\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD8"],

        ["\xD8\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x59"],
        ["\x58\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xD9"],

        ["\xD8\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x5A"],
        ["\x58\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDA"],

        ["\xD8\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x5B"],
        ["\x58\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDB"],

        ["\xD8\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x5C"],
        ["\x58\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDC"],

        ["\xD8\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x5D"],
        ["\x58\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDD"],

        ["\xD8\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x5E"],
        ["\x58\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDE"],

        ["\xD8\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x5F"],
        ["\x58\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xDF"],

        ["\xD8\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x60"],
        ["\x58\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE0"],

        ["\xD8\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x61"],
        ["\x58\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE1"],

        ["\xD8\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x62"],
        ["\x58\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE2"],

        ["\xD8\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x63"],
        ["\x58\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE3"],

        ["\xD8\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x64"],
        ["\x58\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE4"],

        ["\xD8\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x65"],
        ["\x58\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE5"],

        ["\xD8\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x66"],
        ["\x58\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE6"],

        ["\xD8\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x67"],
        ["\x58\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE7"],

        ["\xD8\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x68"],
        ["\x58\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE8"],

        ["\xD8\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x69"],
        ["\x58\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xE9"],

        ["\xD8\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x6A"],
        ["\x58\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEA"],

        ["\xD8\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x6B"],
        ["\x58\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEB"],

        ["\xD8\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x6C"],
        ["\x58\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEC"],

        ["\xD8\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x6D"],
        ["\x58\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xED"],

        ["\xD8\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x6E"],
        ["\x58\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEE"],

        ["\xD8\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x6F"],
        ["\x58\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xEF"],

        ["\xD8\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x70"],
        ["\x58\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF0"],

        ["\xD8\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x71"],
        ["\x58\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF1"],

        ["\xD8\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x72"],
        ["\x58\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF2"],

        ["\xD8\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x73"],
        ["\x58\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF3"],

        ["\xD8\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x74"],
        ["\x58\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF4"],

        ["\xD8\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x75"],
        ["\x58\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF5"],

        ["\xD8\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x76"],
        ["\x58\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF6"],

        ["\xD8\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x77"],
        ["\x58\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF7"],

        ["\xD8\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x78"],
        ["\x58\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF8"],

        ["\xD8\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x79"],
        ["\x58\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xF9"],

        ["\xD8\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x7A"],
        ["\x58\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFA"],

        ["\xD8\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x7B"],
        ["\x58\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFB"],

        ["\xD8\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x7C"],
        ["\x58\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFC"],

        ["\xD8\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x7D"],
        ["\x58\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFD"],

        ["\xD8\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x58\x7E"],
        ["\x58\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\xFE"],

        ["\xD9\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x21"],
        ["\x59\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA1"],

        ["\xD9\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x22"],
        ["\x59\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA2"],

        ["\xD9\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x23"],
        ["\x59\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA3"],

        ["\xD9\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x24"],
        ["\x59\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA4"],

        ["\xD9\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x25"],
        ["\x59\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA5"],

        ["\xD9\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x26"],
        ["\x59\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA6"],

        ["\xD9\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x27"],
        ["\x59\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA7"],

        ["\xD9\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x28"],
        ["\x59\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA8"],

        ["\xD9\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x29"],
        ["\x59\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xA9"],

        ["\xD9\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x2A"],
        ["\x59\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAA"],

        ["\xD9\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x2B"],
        ["\x59\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAB"],

        ["\xD9\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x2C"],
        ["\x59\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAC"],

        ["\xD9\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x2D"],
        ["\x59\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAD"],

        ["\xD9\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x2E"],
        ["\x59\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAE"],

        ["\xD9\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x2F"],
        ["\x59\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xAF"],

        ["\xD9\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x30"],
        ["\x59\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB0"],

        ["\xD9\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x31"],
        ["\x59\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB1"],

        ["\xD9\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x32"],
        ["\x59\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB2"],

        ["\xD9\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x33"],
        ["\x59\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB3"],

        ["\xD9\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x34"],
        ["\x59\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB4"],

        ["\xD9\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x35"],
        ["\x59\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB5"],

        ["\xD9\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x36"],
        ["\x59\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB6"],

        ["\xD9\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x37"],
        ["\x59\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB7"],

        ["\xD9\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x38"],
        ["\x59\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB8"],

        ["\xD9\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x39"],
        ["\x59\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xB9"],

        ["\xD9\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x3A"],
        ["\x59\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBA"],

        ["\xD9\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x3B"],
        ["\x59\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBB"],

        ["\xD9\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x3C"],
        ["\x59\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBC"],

        ["\xD9\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x3D"],
        ["\x59\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBD"],

        ["\xD9\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x3E"],
        ["\x59\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBE"],

        ["\xD9\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x3F"],
        ["\x59\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xBF"],

        ["\xD9\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x40"],
        ["\x59\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC0"],

        ["\xD9\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x41"],
        ["\x59\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC1"],

        ["\xD9\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x42"],
        ["\x59\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC2"],

        ["\xD9\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x43"],
        ["\x59\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC3"],

        ["\xD9\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x44"],
        ["\x59\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC4"],

        ["\xD9\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x45"],
        ["\x59\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC5"],

        ["\xD9\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x46"],
        ["\x59\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC6"],

        ["\xD9\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x47"],
        ["\x59\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC7"],

        ["\xD9\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x48"],
        ["\x59\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC8"],

        ["\xD9\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x49"],
        ["\x59\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xC9"],

        ["\xD9\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4A"],
        ["\x59\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCA"],

        ["\xD9\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4B"],
        ["\x59\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCB"],

        ["\xD9\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4C"],
        ["\x59\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCC"],

        ["\xD9\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4D"],
        ["\x59\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCD"],

        ["\xD9\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4E"],
        ["\x59\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCE"],

        ["\xD9\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x4F"],
        ["\x59\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xCF"],

        ["\xD9\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x50"],
        ["\x59\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD0"],

        ["\xD9\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x51"],
        ["\x59\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD1"],

        ["\xD9\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x52"],
        ["\x59\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD2"],

        ["\xD9\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x53"],
        ["\x59\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD3"],

        ["\xD9\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x54"],
        ["\x59\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD4"],

        ["\xD9\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x55"],
        ["\x59\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD5"],

        ["\xD9\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x56"],
        ["\x59\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD6"],

        ["\xD9\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x57"],
        ["\x59\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD7"],

        ["\xD9\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x58"],
        ["\x59\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD8"],

        ["\xD9\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x59"],
        ["\x59\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xD9"],

        ["\xD9\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5A"],
        ["\x59\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDA"],

        ["\xD9\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5B"],
        ["\x59\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDB"],

        ["\xD9\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5C"],
        ["\x59\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDC"],

        ["\xD9\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5D"],
        ["\x59\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDD"],

        ["\xD9\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5E"],
        ["\x59\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDE"],

        ["\xD9\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x5F"],
        ["\x59\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xDF"],

        ["\xD9\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x60"],
        ["\x59\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE0"],

        ["\xD9\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x61"],
        ["\x59\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE1"],

        ["\xD9\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x62"],
        ["\x59\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE2"],

        ["\xD9\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x63"],
        ["\x59\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE3"],

        ["\xD9\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x64"],
        ["\x59\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE4"],

        ["\xD9\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x65"],
        ["\x59\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE5"],

        ["\xD9\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x66"],
        ["\x59\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE6"],

        ["\xD9\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x67"],
        ["\x59\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE7"],

        ["\xD9\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x68"],
        ["\x59\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE8"],

        ["\xD9\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x69"],
        ["\x59\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xE9"],

        ["\xD9\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6A"],
        ["\x59\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEA"],

        ["\xD9\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6B"],
        ["\x59\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEB"],

        ["\xD9\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6C"],
        ["\x59\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEC"],

        ["\xD9\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6D"],
        ["\x59\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xED"],

        ["\xD9\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6E"],
        ["\x59\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEE"],

        ["\xD9\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x6F"],
        ["\x59\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xEF"],

        ["\xD9\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x70"],
        ["\x59\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF0"],

        ["\xD9\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x71"],
        ["\x59\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF1"],

        ["\xD9\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x72"],
        ["\x59\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF2"],

        ["\xD9\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x73"],
        ["\x59\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF3"],

        ["\xD9\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x74"],
        ["\x59\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF4"],

        ["\xD9\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x75"],
        ["\x59\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF5"],

        ["\xD9\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x76"],
        ["\x59\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF6"],

        ["\xD9\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x77"],
        ["\x59\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF7"],

        ["\xD9\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x49"],
        ["\x33\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF8"],

        ["\xD9\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x79"],
        ["\x59\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xF9"],

        ["\xD9\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7A"],
        ["\x59\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFA"],

        ["\xD9\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7B"],
        ["\x59\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFB"],

        ["\xD9\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7C"],
        ["\x59\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFC"],

        ["\xD9\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7D"],
        ["\x59\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFD"],

        ["\xD9\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x59\x7E"],
        ["\x59\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\xFE"],

        ["\xDA\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x21"],
        ["\x5A\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA1"],

        ["\xDA\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x22"],
        ["\x5A\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA2"],

        ["\xDA\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x23"],
        ["\x5A\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA3"],

        ["\xDA\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x24"],
        ["\x5A\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA4"],

        ["\xDA\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x25"],
        ["\x5A\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA5"],

        ["\xDA\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x26"],
        ["\x5A\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA6"],

        ["\xDA\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x27"],
        ["\x5A\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA7"],

        ["\xDA\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x28"],
        ["\x5A\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA8"],

        ["\xDA\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x29"],
        ["\x5A\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xA9"],

        ["\xDA\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x2A"],
        ["\x5A\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAA"],

        ["\xDA\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x2B"],
        ["\x5A\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAB"],

        ["\xDA\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x2C"],
        ["\x5A\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAC"],

        ["\xDA\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x2D"],
        ["\x5A\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAD"],

        ["\xDA\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x2E"],
        ["\x5A\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAE"],

        ["\xDA\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x2F"],
        ["\x5A\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xAF"],

        ["\xDA\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x30"],
        ["\x5A\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB0"],

        ["\xDA\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x31"],
        ["\x5A\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB1"],

        ["\xDA\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x32"],
        ["\x5A\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB2"],

        ["\xDA\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x33"],
        ["\x5A\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB3"],

        ["\xDA\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x34"],
        ["\x5A\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB4"],

        ["\xDA\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x35"],
        ["\x5A\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB5"],

        ["\xDA\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x36"],
        ["\x5A\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB6"],

        ["\xDA\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x37"],
        ["\x5A\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB7"],

        ["\xDA\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x38"],
        ["\x5A\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB8"],

        ["\xDA\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x39"],
        ["\x5A\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xB9"],

        ["\xDA\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x3A"],
        ["\x5A\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBA"],

        ["\xDA\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x3B"],
        ["\x5A\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBB"],

        ["\xDA\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x3C"],
        ["\x5A\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBC"],

        ["\xDA\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x3D"],
        ["\x5A\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBD"],

        ["\xDA\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x3E"],
        ["\x5A\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBE"],

        ["\xDA\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x3F"],
        ["\x5A\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xBF"],

        ["\xDA\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x40"],
        ["\x5A\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC0"],

        ["\xDA\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x41"],
        ["\x5A\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC1"],

        ["\xDA\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x42"],
        ["\x5A\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC2"],

        ["\xDA\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x43"],
        ["\x5A\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC3"],

        ["\xDA\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x44"],
        ["\x5A\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC4"],

        ["\xDA\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x45"],
        ["\x5A\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC5"],

        ["\xDA\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x46"],
        ["\x5A\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC6"],

        ["\xDA\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x47"],
        ["\x5A\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC7"],

        ["\xDA\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x48"],
        ["\x5A\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC8"],

        ["\xDA\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x49"],
        ["\x5A\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xC9"],

        ["\xDA\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4A"],
        ["\x5A\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCA"],

        ["\xDA\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4B"],
        ["\x5A\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCB"],

        ["\xDA\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4C"],
        ["\x5A\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCC"],

        ["\xDA\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4D"],
        ["\x5A\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCD"],

        ["\xDA\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4E"],
        ["\x5A\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCE"],

        ["\xDA\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x4F"],
        ["\x5A\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xCF"],

        ["\xDA\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x50"],
        ["\x5A\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD0"],

        ["\xDA\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x51"],
        ["\x5A\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD1"],

        ["\xDA\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x52"],
        ["\x5A\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD2"],

        ["\xDA\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x53"],
        ["\x5A\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD3"],

        ["\xDA\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x54"],
        ["\x5A\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD4"],

        ["\xDA\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x55"],
        ["\x5A\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD5"],

        ["\xDA\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x56"],
        ["\x5A\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD6"],

        ["\xDA\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x57"],
        ["\x5A\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD7"],

        ["\xDA\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x58"],
        ["\x5A\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD8"],

        ["\xDA\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x59"],
        ["\x5A\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xD9"],

        ["\xDA\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5A"],
        ["\x5A\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDA"],

        ["\xDA\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5B"],
        ["\x5A\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDB"],

        ["\xDA\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5C"],
        ["\x5A\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDC"],

        ["\xDA\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5D"],
        ["\x5A\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDD"],

        ["\xDA\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5E"],
        ["\x5A\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDE"],

        ["\xDA\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x5F"],
        ["\x5A\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xDF"],

        ["\xDA\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x60"],
        ["\x5A\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE0"],

        ["\xDA\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x61"],
        ["\x5A\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE1"],

        ["\xDA\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x62"],
        ["\x5A\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE2"],

        ["\xDA\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x63"],
        ["\x5A\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE3"],

        ["\xDA\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x64"],
        ["\x5A\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE4"],

        ["\xDA\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x65"],
        ["\x5A\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE5"],

        ["\xDA\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x66"],
        ["\x5A\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE6"],

        ["\xDA\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x67"],
        ["\x5A\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE7"],

        ["\xDA\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x68"],
        ["\x5A\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE8"],

        ["\xDA\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x69"],
        ["\x5A\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xE9"],

        ["\xDA\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6A"],
        ["\x5A\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEA"],

        ["\xDA\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6B"],
        ["\x5A\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEB"],

        ["\xDA\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6C"],
        ["\x5A\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEC"],

        ["\xDA\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6D"],
        ["\x5A\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xED"],

        ["\xDA\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6E"],
        ["\x5A\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEE"],

        ["\xDA\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x6F"],
        ["\x5A\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xEF"],

        ["\xDA\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x70"],
        ["\x5A\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF0"],

        ["\xDA\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x71"],
        ["\x5A\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF1"],

        ["\xDA\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x72"],
        ["\x5A\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF2"],

        ["\xDA\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x73"],
        ["\x5A\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF3"],

        ["\xDA\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x74"],
        ["\x5A\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF4"],

        ["\xDA\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x75"],
        ["\x5A\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF5"],

        ["\xDA\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x76"],
        ["\x5A\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF6"],

        ["\xDA\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x77"],
        ["\x5A\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF7"],

        ["\xDA\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x78"],
        ["\x5A\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF8"],

        ["\xDA\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x79"],
        ["\x5A\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xF9"],

        ["\xDA\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7A"],
        ["\x5A\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFA"],

        ["\xDA\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7B"],
        ["\x5A\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFB"],

        ["\xDA\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7C"],
        ["\x5A\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFC"],

        ["\xDA\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7D"],
        ["\x5A\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFD"],

        ["\xDA\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5A\x7E"],
        ["\x5A\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\xFE"],

        ["\xDB\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x21"],
        ["\x5B\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA1"],

        ["\xDB\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x22"],
        ["\x5B\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA2"],

        ["\xDB\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x23"],
        ["\x5B\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA3"],

        ["\xDB\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x24"],
        ["\x5B\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA4"],

        ["\xDB\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x25"],
        ["\x5B\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA5"],

        ["\xDB\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x26"],
        ["\x5B\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA6"],

        ["\xDB\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x27"],
        ["\x5B\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA7"],

        ["\xDB\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x28"],
        ["\x5B\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA8"],

        ["\xDB\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x29"],
        ["\x5B\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xA9"],

        ["\xDB\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x2A"],
        ["\x5B\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAA"],

        ["\xDB\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x2B"],
        ["\x5B\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAB"],

        ["\xDB\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x2C"],
        ["\x5B\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAC"],

        ["\xDB\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x2D"],
        ["\x5B\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAD"],

        ["\xDB\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x2E"],
        ["\x5B\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAE"],

        ["\xDB\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x2F"],
        ["\x5B\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xAF"],

        ["\xDB\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x30"],
        ["\x5B\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB0"],

        ["\xDB\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x31"],
        ["\x5B\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB1"],

        ["\xDB\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x32"],
        ["\x5B\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB2"],

        ["\xDB\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x33"],
        ["\x5B\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB3"],

        ["\xDB\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x34"],
        ["\x5B\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB4"],

        ["\xDB\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x35"],
        ["\x5B\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB5"],

        ["\xDB\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x36"],
        ["\x5B\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB6"],

        ["\xDB\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x37"],
        ["\x5B\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB7"],

        ["\xDB\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x38"],
        ["\x5B\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB8"],

        ["\xDB\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x39"],
        ["\x5B\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xB9"],

        ["\xDB\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x3A"],
        ["\x5B\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBA"],

        ["\xDB\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x3B"],
        ["\x5B\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBB"],

        ["\xDB\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x3C"],
        ["\x5B\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBC"],

        ["\xDB\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x3D"],
        ["\x5B\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBD"],

        ["\xDB\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x3E"],
        ["\x5B\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBE"],

        ["\xDB\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x3F"],
        ["\x5B\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xBF"],

        ["\xDB\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x40"],
        ["\x5B\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC0"],

        ["\xDB\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x41"],
        ["\x5B\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC1"],

        ["\xDB\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x42"],
        ["\x5B\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC2"],

        ["\xDB\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x43"],
        ["\x5B\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC3"],

        ["\xDB\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x44"],
        ["\x5B\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC4"],

        ["\xDB\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x45"],
        ["\x5B\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC5"],

        ["\xDB\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x46"],
        ["\x5B\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC6"],

        ["\xDB\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x47"],
        ["\x5B\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC7"],

        ["\xDB\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x48"],
        ["\x5B\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC8"],

        ["\xDB\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x49"],
        ["\x5B\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xC9"],

        ["\xDB\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4A"],
        ["\x5B\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCA"],

        ["\xDB\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4B"],
        ["\x5B\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCB"],

        ["\xDB\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4C"],
        ["\x5B\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCC"],

        ["\xDB\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4D"],
        ["\x5B\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCD"],

        ["\xDB\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4E"],
        ["\x5B\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCE"],

        ["\xDB\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x4F"],
        ["\x5B\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xCF"],

        ["\xDB\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x50"],
        ["\x5B\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD0"],

        ["\xDB\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x51"],
        ["\x5B\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD1"],

        ["\xDB\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x52"],
        ["\x5B\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD2"],

        ["\xDB\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x53"],
        ["\x5B\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD3"],

        ["\xDB\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x54"],
        ["\x5B\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD4"],

        ["\xDB\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x55"],
        ["\x5B\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD5"],

        ["\xDB\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x56"],
        ["\x5B\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD6"],

        ["\xDB\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x57"],
        ["\x5B\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD7"],

        ["\xDB\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x49\x30"],
        ["\x49\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD8"],

        ["\xDB\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x59"],
        ["\x5B\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xD9"],

        ["\xDB\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5A"],
        ["\x5B\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDA"],

        ["\xDB\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5B"],
        ["\x5B\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDB"],

        ["\xDB\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5C"],
        ["\x5B\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDC"],

        ["\xDB\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5D"],
        ["\x5B\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDD"],

        ["\xDB\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5E"],
        ["\x5B\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDE"],

        ["\xDB\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x5F"],
        ["\x5B\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xDF"],

        ["\xDB\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x60"],
        ["\x5B\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE0"],

        ["\xDB\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x61"],
        ["\x5B\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE1"],

        ["\xDB\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x62"],
        ["\x5B\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE2"],

        ["\xDB\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x63"],
        ["\x5B\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE3"],

        ["\xDB\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x64"],
        ["\x5B\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE4"],

        ["\xDB\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x65"],
        ["\x5B\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE5"],

        ["\xDB\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x66"],
        ["\x5B\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE6"],

        ["\xDB\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x67"],
        ["\x5B\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE7"],

        ["\xDB\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x68"],
        ["\x5B\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE8"],

        ["\xDB\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x69"],
        ["\x5B\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xE9"],

        ["\xDB\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6A"],
        ["\x5B\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEA"],

        ["\xDB\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6B"],
        ["\x5B\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEB"],

        ["\xDB\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6C"],
        ["\x5B\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEC"],

        ["\xDB\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x6E"],
        ["\x45\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xED"],

        ["\xDB\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6E"],
        ["\x5B\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEE"],

        ["\xDB\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x6F"],
        ["\x5B\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xEF"],

        ["\xDB\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x70"],
        ["\x5B\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF0"],

        ["\xDB\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x71"],
        ["\x5B\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF1"],

        ["\xDB\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x72"],
        ["\x5B\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF2"],

        ["\xDB\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x73"],
        ["\x5B\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF3"],

        ["\xDB\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x74"],
        ["\x5B\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF4"],

        ["\xDB\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x75"],
        ["\x5B\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF5"],

        ["\xDB\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x76"],
        ["\x5B\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF6"],

        ["\xDB\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x77"],
        ["\x5B\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF7"],

        ["\xDB\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x78"],
        ["\x5B\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF8"],

        ["\xDB\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x79"],
        ["\x5B\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xF9"],

        ["\xDB\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7A"],
        ["\x5B\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFA"],

        ["\xDB\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7B"],
        ["\x5B\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFB"],

        ["\xDB\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7C"],
        ["\x5B\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFC"],

        ["\xDB\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7D"],
        ["\x5B\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFD"],

        ["\xDB\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5B\x7E"],
        ["\x5B\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\xFE"],

        ["\xDC\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x21"],
        ["\x5C\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA1"],

        ["\xDC\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x22"],
        ["\x5C\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA2"],

        ["\xDC\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x23"],
        ["\x5C\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA3"],

        ["\xDC\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x24"],
        ["\x5C\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA4"],

        ["\xDC\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x25"],
        ["\x5C\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA5"],

        ["\xDC\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x26"],
        ["\x5C\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA6"],

        ["\xDC\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x27"],
        ["\x5C\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA7"],

        ["\xDC\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x28"],
        ["\x5C\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA8"],

        ["\xDC\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x29"],
        ["\x5C\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xA9"],

        ["\xDC\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x2A"],
        ["\x5C\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAA"],

        ["\xDC\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x2B"],
        ["\x5C\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAB"],

        ["\xDC\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x2C"],
        ["\x5C\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAC"],

        ["\xDC\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x2D"],
        ["\x5C\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAD"],

        ["\xDC\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x2E"],
        ["\x5C\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAE"],

        ["\xDC\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x2F"],
        ["\x5C\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xAF"],

        ["\xDC\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x30"],
        ["\x5C\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB0"],

        ["\xDC\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x31"],
        ["\x5C\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB1"],

        ["\xDC\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x32"],
        ["\x5C\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB2"],

        ["\xDC\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x33"],
        ["\x5C\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB3"],

        ["\xDC\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x34"],
        ["\x5C\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB4"],

        ["\xDC\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x35"],
        ["\x5C\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB5"],

        ["\xDC\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x36"],
        ["\x5C\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB6"],

        ["\xDC\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x37"],
        ["\x5C\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB7"],

        ["\xDC\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x38"],
        ["\x5C\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB8"],

        ["\xDC\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x39"],
        ["\x5C\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xB9"],

        ["\xDC\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x3A"],
        ["\x5C\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBA"],

        ["\xDC\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x3B"],
        ["\x5C\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBB"],

        ["\xDC\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x3C"],
        ["\x5C\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBC"],

        ["\xDC\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x3D"],
        ["\x5C\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBD"],

        ["\xDC\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x3E"],
        ["\x5C\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBE"],

        ["\xDC\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x3F"],
        ["\x5C\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xBF"],

        ["\xDC\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x40"],
        ["\x5C\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC0"],

        ["\xDC\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x41"],
        ["\x5C\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC1"],

        ["\xDC\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x42"],
        ["\x5C\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC2"],

        ["\xDC\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x43"],
        ["\x5C\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC3"],

        ["\xDC\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x44"],
        ["\x5C\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC4"],

        ["\xDC\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x45"],
        ["\x5C\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC5"],

        ["\xDC\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x46"],
        ["\x5C\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC6"],

        ["\xDC\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x47"],
        ["\x5C\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC7"],

        ["\xDC\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x48"],
        ["\x5C\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC8"],

        ["\xDC\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x49"],
        ["\x5C\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xC9"],

        ["\xDC\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x4A"],
        ["\x5C\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCA"],

        ["\xDC\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x4B"],
        ["\x5C\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCB"],

        ["\xDC\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x4C"],
        ["\x5C\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCC"],

        ["\xDC\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x4D"],
        ["\x5C\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCD"],

        ["\xDC\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x4E"],
        ["\x5C\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCE"],

        ["\xDC\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x4F"],
        ["\x5C\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xCF"],

        ["\xDC\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x50"],
        ["\x5C\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD0"],

        ["\xDC\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x51"],
        ["\x5C\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD1"],

        ["\xDC\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x52"],
        ["\x5C\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD2"],

        ["\xDC\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x53"],
        ["\x5C\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD3"],

        ["\xDC\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x54"],
        ["\x5C\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD4"],

        ["\xDC\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x55"],
        ["\x5C\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD5"],

        ["\xDC\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x56"],
        ["\x5C\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD6"],

        ["\xDC\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x57"],
        ["\x5C\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD7"],

        ["\xDC\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x58"],
        ["\x5C\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD8"],

        ["\xDC\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x59"],
        ["\x5C\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xD9"],

        ["\xDC\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x5A"],
        ["\x5C\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDA"],

        ["\xDC\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x5B"],
        ["\x5C\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDB"],

        ["\xDC\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x5C"],
        ["\x5C\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDC"],

        ["\xDC\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x5D"],
        ["\x5C\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDD"],

        ["\xDC\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x5E"],
        ["\x5C\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDE"],

        ["\xDC\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x5F"],
        ["\x5C\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xDF"],

        ["\xDC\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x60"],
        ["\x5C\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE0"],

        ["\xDC\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x61"],
        ["\x5C\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE1"],

        ["\xDC\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x62"],
        ["\x5C\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE2"],

        ["\xDC\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x63"],
        ["\x5C\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE3"],

        ["\xDC\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x64"],
        ["\x5C\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE4"],

        ["\xDC\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x65"],
        ["\x5C\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE5"],

        ["\xDC\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x66"],
        ["\x5C\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE6"],

        ["\xDC\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x67"],
        ["\x5C\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE7"],

        ["\xDC\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x68"],
        ["\x5C\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE8"],

        ["\xDC\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x69"],
        ["\x5C\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xE9"],

        ["\xDC\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x6A"],
        ["\x5C\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEA"],

        ["\xDC\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x6B"],
        ["\x5C\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEB"],

        ["\xDC\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x6C"],
        ["\x5C\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEC"],

        ["\xDC\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x6D"],
        ["\x5C\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xED"],

        ["\xDC\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x6E"],
        ["\x5C\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEE"],

        ["\xDC\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x6F"],
        ["\x5C\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xEF"],

        ["\xDC\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x70"],
        ["\x5C\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF0"],

        ["\xDC\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x71"],
        ["\x5C\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF1"],

        ["\xDC\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x72"],
        ["\x5C\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF2"],

        ["\xDC\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x73"],
        ["\x5C\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF3"],

        ["\xDC\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x74"],
        ["\x5C\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF4"],

        ["\xDC\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x75"],
        ["\x5C\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF5"],

        ["\xDC\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x76"],
        ["\x5C\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF6"],

        ["\xDC\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x77"],
        ["\x5C\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF7"],

        ["\xDC\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x78"],
        ["\x5C\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF8"],

        ["\xDC\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x79"],
        ["\x5C\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xF9"],

        ["\xDC\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x7A"],
        ["\x5C\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFA"],

        ["\xDC\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x7B"],
        ["\x5C\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFB"],

        ["\xDC\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x7C"],
        ["\x5C\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFC"],

        ["\xDC\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x7D"],
        ["\x5C\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFD"],

        ["\xDC\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5C\x7E"],
        ["\x5C\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\xFE"],

        ["\xDD\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x21"],
        ["\x5D\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA1"],

        ["\xDD\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x22"],
        ["\x5D\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA2"],

        ["\xDD\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x23"],
        ["\x5D\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA3"],

        ["\xDD\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x24"],
        ["\x5D\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA4"],

        ["\xDD\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x25"],
        ["\x5D\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA5"],

        ["\xDD\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x26"],
        ["\x5D\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA6"],

        ["\xDD\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x27"],
        ["\x5D\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA7"],

        ["\xDD\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x28"],
        ["\x5D\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA8"],

        ["\xDD\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x29"],
        ["\x5D\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xA9"],

        ["\xDD\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x2A"],
        ["\x5D\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAA"],

        ["\xDD\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x2B"],
        ["\x5D\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAB"],

        ["\xDD\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x2C"],
        ["\x5D\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAC"],

        ["\xDD\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x2D"],
        ["\x5D\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAD"],

        ["\xDD\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x2E"],
        ["\x5D\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAE"],

        ["\xDD\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x2F"],
        ["\x5D\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xAF"],

        ["\xDD\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x30"],
        ["\x5D\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB0"],

        ["\xDD\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x31"],
        ["\x5D\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB1"],

        ["\xDD\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x32"],
        ["\x5D\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB2"],

        ["\xDD\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x33"],
        ["\x5D\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB3"],

        ["\xDD\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x34"],
        ["\x5D\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB4"],

        ["\xDD\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x35"],
        ["\x5D\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB5"],

        ["\xDD\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x36"],
        ["\x5D\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB6"],

        ["\xDD\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x37"],
        ["\x5D\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB7"],

        ["\xDD\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x38"],
        ["\x5D\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB8"],

        ["\xDD\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x39"],
        ["\x5D\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xB9"],

        ["\xDD\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x3A"],
        ["\x5D\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBA"],

        ["\xDD\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x3B"],
        ["\x5D\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBB"],

        ["\xDD\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x3C"],
        ["\x5D\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBC"],

        ["\xDD\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x3D"],
        ["\x5D\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBD"],

        ["\xDD\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x3E"],
        ["\x5D\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBE"],

        ["\xDD\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x3F"],
        ["\x5D\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xBF"],

        ["\xDD\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x40"],
        ["\x5D\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC0"],

        ["\xDD\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x41"],
        ["\x5D\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC1"],

        ["\xDD\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x42"],
        ["\x5D\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC2"],

        ["\xDD\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x43"],
        ["\x5D\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC3"],

        ["\xDD\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x44"],
        ["\x5D\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC4"],

        ["\xDD\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x45"],
        ["\x5D\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC5"],

        ["\xDD\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x46"],
        ["\x5D\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC6"],

        ["\xDD\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x47"],
        ["\x5D\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC7"],

        ["\xDD\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x48"],
        ["\x5D\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC8"],

        ["\xDD\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x49"],
        ["\x5D\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xC9"],

        ["\xDD\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x4A"],
        ["\x5D\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCA"],

        ["\xDD\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x4B"],
        ["\x5D\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCB"],

        ["\xDD\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x4C"],
        ["\x5D\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCC"],

        ["\xDD\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x4D"],
        ["\x5D\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCD"],

        ["\xDD\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x4E"],
        ["\x5D\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCE"],

        ["\xDD\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x4F"],
        ["\x5D\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xCF"],

        ["\xDD\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x50"],
        ["\x5D\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD0"],

        ["\xDD\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x51"],
        ["\x5D\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD1"],

        ["\xDD\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x52"],
        ["\x5D\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD2"],

        ["\xDD\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x53"],
        ["\x5D\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD3"],

        ["\xDD\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x54"],
        ["\x5D\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD4"],

        ["\xDD\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x55"],
        ["\x5D\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD5"],

        ["\xDD\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x56"],
        ["\x5D\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD6"],

        ["\xDD\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x57"],
        ["\x5D\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD7"],

        ["\xDD\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x58"],
        ["\x5D\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD8"],

        ["\xDD\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x59"],
        ["\x5D\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xD9"],

        ["\xDD\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x5A"],
        ["\x5D\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDA"],

        ["\xDD\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x5B"],
        ["\x5D\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDB"],

        ["\xDD\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x5C"],
        ["\x5D\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDC"],

        ["\xDD\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x5D"],
        ["\x5D\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDD"],

        ["\xDD\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x5E"],
        ["\x5D\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDE"],

        ["\xDD\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x5F"],
        ["\x5D\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xDF"],

        ["\xDD\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x60"],
        ["\x5D\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE0"],

        ["\xDD\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x61"],
        ["\x5D\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE1"],

        ["\xDD\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x62"],
        ["\x5D\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE2"],

        ["\xDD\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x63"],
        ["\x5D\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE3"],

        ["\xDD\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x64"],
        ["\x5D\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE4"],

        ["\xDD\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x65"],
        ["\x5D\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE5"],

        ["\xDD\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x66"],
        ["\x5D\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE6"],

        ["\xDD\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x67"],
        ["\x5D\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE7"],

        ["\xDD\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x68"],
        ["\x5D\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE8"],

        ["\xDD\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x69"],
        ["\x5D\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xE9"],

        ["\xDD\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x6A"],
        ["\x5D\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEA"],

        ["\xDD\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x6B"],
        ["\x5D\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEB"],

        ["\xDD\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x6C"],
        ["\x5D\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEC"],

        ["\xDD\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x6D"],
        ["\x5D\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xED"],

        ["\xDD\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x6E"],
        ["\x5D\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEE"],

        ["\xDD\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x6F"],
        ["\x5D\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xEF"],

        ["\xDD\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x70"],
        ["\x5D\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF0"],

        ["\xDD\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x71"],
        ["\x5D\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF1"],

        ["\xDD\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x72"],
        ["\x5D\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF2"],

        ["\xDD\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x73"],
        ["\x5D\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF3"],

        ["\xDD\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x74"],
        ["\x5D\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF4"],

        ["\xDD\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x75"],
        ["\x5D\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF5"],

        ["\xDD\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x76"],
        ["\x5D\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF6"],

        ["\xDD\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x77"],
        ["\x5D\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF7"],

        ["\xDD\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x78"],
        ["\x5D\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF8"],

        ["\xDD\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x79"],
        ["\x5D\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xF9"],

        ["\xDD\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x7A"],
        ["\x5D\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFA"],

        ["\xDD\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x7B"],
        ["\x5D\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFB"],

        ["\xDD\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x7C"],
        ["\x5D\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFC"],

        ["\xDD\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x7D"],
        ["\x5D\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFD"],

        ["\xDD\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5D\x7E"],
        ["\x5D\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\xFE"],

        ["\xDE\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x21"],
        ["\x5E\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA1"],

        ["\xDE\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x22"],
        ["\x5E\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA2"],

        ["\xDE\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x23"],
        ["\x5E\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA3"],

        ["\xDE\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x24"],
        ["\x5E\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA4"],

        ["\xDE\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x25"],
        ["\x5E\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA5"],

        ["\xDE\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x26"],
        ["\x5E\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA6"],

        ["\xDE\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x27"],
        ["\x5E\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA7"],

        ["\xDE\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x28"],
        ["\x5E\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA8"],

        ["\xDE\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x29"],
        ["\x5E\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xA9"],

        ["\xDE\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x2A"],
        ["\x5E\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAA"],

        ["\xDE\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x2B"],
        ["\x5E\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAB"],

        ["\xDE\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x2C"],
        ["\x5E\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAC"],

        ["\xDE\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x2D"],
        ["\x5E\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAD"],

        ["\xDE\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x2E"],
        ["\x5E\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAE"],

        ["\xDE\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x2F"],
        ["\x5E\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xAF"],

        ["\xDE\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x30"],
        ["\x5E\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB0"],

        ["\xDE\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x31"],
        ["\x5E\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB1"],

        ["\xDE\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x32"],
        ["\x5E\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB2"],

        ["\xDE\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x33"],
        ["\x5E\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB3"],

        ["\xDE\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x34"],
        ["\x5E\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB4"],

        ["\xDE\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x35"],
        ["\x5E\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB5"],

        ["\xDE\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x36"],
        ["\x5E\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB6"],

        ["\xDE\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x37"],
        ["\x5E\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB7"],

        ["\xDE\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x38"],
        ["\x5E\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB8"],

        ["\xDE\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x73"],
        ["\x45\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xB9"],

        ["\xDE\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x3A"],
        ["\x5E\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBA"],

        ["\xDE\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x3B"],
        ["\x5E\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBB"],

        ["\xDE\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x3C"],
        ["\x5E\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBC"],

        ["\xDE\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x3D"],
        ["\x5E\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBD"],

        ["\xDE\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x3E"],
        ["\x5E\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBE"],

        ["\xDE\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x3F"],
        ["\x5E\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xBF"],

        ["\xDE\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x40"],
        ["\x5E\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC0"],

        ["\xDE\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x41"],
        ["\x5E\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC1"],

        ["\xDE\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x42"],
        ["\x5E\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC2"],

        ["\xDE\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x43"],
        ["\x5E\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC3"],

        ["\xDE\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x44"],
        ["\x5E\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC4"],

        ["\xDE\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x45"],
        ["\x5E\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC5"],

        ["\xDE\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x46"],
        ["\x5E\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC6"],

        ["\xDE\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x47"],
        ["\x5E\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC7"],

        ["\xDE\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x48"],
        ["\x5E\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC8"],

        ["\xDE\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x49"],
        ["\x5E\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xC9"],

        ["\xDE\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4A"],
        ["\x5E\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCA"],

        ["\xDE\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4B"],
        ["\x5E\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCB"],

        ["\xDE\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4C"],
        ["\x5E\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCC"],

        ["\xDE\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4D"],
        ["\x5E\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCD"],

        ["\xDE\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4E"],
        ["\x5E\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCE"],

        ["\xDE\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x4F"],
        ["\x5E\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xCF"],

        ["\xDE\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x50"],
        ["\x5E\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD0"],

        ["\xDE\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x51"],
        ["\x5E\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD1"],

        ["\xDE\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x52"],
        ["\x5E\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD2"],

        ["\xDE\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x53"],
        ["\x5E\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD3"],

        ["\xDE\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x54"],
        ["\x5E\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD4"],

        ["\xDE\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x55"],
        ["\x5E\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD5"],

        ["\xDE\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x56"],
        ["\x5E\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD6"],

        ["\xDE\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x57"],
        ["\x5E\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD7"],

        ["\xDE\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x58"],
        ["\x5E\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD8"],

        ["\xDE\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x59"],
        ["\x5E\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xD9"],

        ["\xDE\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5A"],
        ["\x5E\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDA"],

        ["\xDE\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5B"],
        ["\x5E\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDB"],

        ["\xDE\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5C"],
        ["\x5E\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDC"],

        ["\xDE\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5D"],
        ["\x5E\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDD"],

        ["\xDE\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5E"],
        ["\x5E\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDE"],

        ["\xDE\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x5F"],
        ["\x5E\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xDF"],

        ["\xDE\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x60"],
        ["\x5E\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE0"],

        ["\xDE\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x61"],
        ["\x5E\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE1"],

        ["\xDE\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x62"],
        ["\x5E\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE2"],

        ["\xDE\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x63"],
        ["\x5E\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE3"],

        ["\xDE\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x64"],
        ["\x5E\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE4"],

        ["\xDE\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x65"],
        ["\x5E\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE5"],

        ["\xDE\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x66"],
        ["\x5E\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE6"],

        ["\xDE\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x67"],
        ["\x5E\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE7"],

        ["\xDE\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x68"],
        ["\x5E\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE8"],

        ["\xDE\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x69"],
        ["\x5E\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xE9"],

        ["\xDE\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6A"],
        ["\x5E\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEA"],

        ["\xDE\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6B"],
        ["\x5E\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEB"],

        ["\xDE\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6C"],
        ["\x5E\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEC"],

        ["\xDE\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6D"],
        ["\x5E\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xED"],

        ["\xDE\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6E"],
        ["\x5E\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEE"],

        ["\xDE\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x6F"],
        ["\x5E\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xEF"],

        ["\xDE\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x70"],
        ["\x5E\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF0"],

        ["\xDE\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x71"],
        ["\x5E\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF1"],

        ["\xDE\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x72"],
        ["\x5E\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF2"],

        ["\xDE\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x73"],
        ["\x5E\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF3"],

        ["\xDE\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x74"],
        ["\x5E\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF4"],

        ["\xDE\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x43"],
        ["\x34\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF5"],

        ["\xDE\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x76"],
        ["\x5E\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF6"],

        ["\xDE\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x77"],
        ["\x5E\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF7"],

        ["\xDE\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x78"],
        ["\x5E\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF8"],

        ["\xDE\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x79"],
        ["\x5E\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xF9"],

        ["\xDE\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7A"],
        ["\x5E\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFA"],

        ["\xDE\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7B"],
        ["\x5E\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFB"],

        ["\xDE\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7C"],
        ["\x5E\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFC"],

        ["\xDE\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7D"],
        ["\x5E\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFD"],

        ["\xDE\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5E\x7E"],
        ["\x5E\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\xFE"],

        ["\xDF\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x21"],
        ["\x5F\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA1"],

        ["\xDF\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x22"],
        ["\x5F\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA2"],

        ["\xDF\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x23"],
        ["\x5F\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA3"],

        ["\xDF\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x24"],
        ["\x5F\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA4"],

        ["\xDF\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x25"],
        ["\x5F\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA5"],

        ["\xDF\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x26"],
        ["\x5F\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA6"],

        ["\xDF\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x27"],
        ["\x5F\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA7"],

        ["\xDF\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x28"],
        ["\x5F\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA8"],

        ["\xDF\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x29"],
        ["\x5F\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xA9"],

        ["\xDF\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x2A"],
        ["\x5F\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAA"],

        ["\xDF\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x2B"],
        ["\x5F\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAB"],

        ["\xDF\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x2C"],
        ["\x5F\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAC"],

        ["\xDF\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x2D"],
        ["\x5F\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAD"],

        ["\xDF\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x2E"],
        ["\x5F\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAE"],

        ["\xDF\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x2F"],
        ["\x5F\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xAF"],

        ["\xDF\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x30"],
        ["\x5F\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB0"],

        ["\xDF\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x31"],
        ["\x5F\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB1"],

        ["\xDF\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x32"],
        ["\x5F\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB2"],

        ["\xDF\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x33"],
        ["\x5F\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB3"],

        ["\xDF\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x34"],
        ["\x5F\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB4"],

        ["\xDF\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x35"],
        ["\x5F\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB5"],

        ["\xDF\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x36"],
        ["\x5F\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB6"],

        ["\xDF\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x37"],
        ["\x5F\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB7"],

        ["\xDF\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x38"],
        ["\x5F\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB8"],

        ["\xDF\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x39"],
        ["\x5F\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xB9"],

        ["\xDF\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x3A"],
        ["\x5F\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBA"],

        ["\xDF\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x3B"],
        ["\x5F\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBB"],

        ["\xDF\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x3C"],
        ["\x5F\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBC"],

        ["\xDF\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x3D"],
        ["\x5F\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBD"],

        ["\xDF\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x3E"],
        ["\x5F\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBE"],

        ["\xDF\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x3F"],
        ["\x5F\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xBF"],

        ["\xDF\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x40"],
        ["\x5F\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC0"],

        ["\xDF\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x41"],
        ["\x5F\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC1"],

        ["\xDF\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x42"],
        ["\x5F\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC2"],

        ["\xDF\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x43"],
        ["\x5F\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC3"],

        ["\xDF\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x44"],
        ["\x5F\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC4"],

        ["\xDF\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x45"],
        ["\x5F\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC5"],

        ["\xDF\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x46"],
        ["\x5F\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC6"],

        ["\xDF\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x47"],
        ["\x5F\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC7"],

        ["\xDF\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x48"],
        ["\x5F\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC8"],

        ["\xDF\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x49"],
        ["\x5F\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xC9"],

        ["\xDF\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4A"],
        ["\x5F\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCA"],

        ["\xDF\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4B"],
        ["\x5F\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCB"],

        ["\xDF\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4C"],
        ["\x5F\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCC"],

        ["\xDF\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4D"],
        ["\x5F\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCD"],

        ["\xDF\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4E"],
        ["\x5F\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCE"],

        ["\xDF\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x4F"],
        ["\x5F\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xCF"],

        ["\xDF\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x50"],
        ["\x5F\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD0"],

        ["\xDF\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x51"],
        ["\x5F\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD1"],

        ["\xDF\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x52"],
        ["\x5F\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD2"],

        ["\xDF\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x53"],
        ["\x5F\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD3"],

        ["\xDF\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x54"],
        ["\x5F\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD4"],

        ["\xDF\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x55"],
        ["\x5F\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD5"],

        ["\xDF\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x56"],
        ["\x5F\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD6"],

        ["\xDF\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x57"],
        ["\x5F\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD7"],

        ["\xDF\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x58"],
        ["\x5F\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD8"],

        ["\xDF\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x59"],
        ["\x5F\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xD9"],

        ["\xDF\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5A"],
        ["\x5F\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDA"],

        ["\xDF\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5B"],
        ["\x5F\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDB"],

        ["\xDF\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5C"],
        ["\x5F\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDC"],

        ["\xDF\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5D"],
        ["\x5F\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDD"],

        ["\xDF\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5E"],
        ["\x5F\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDE"],

        ["\xDF\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x5F"],
        ["\x5F\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xDF"],

        ["\xDF\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x60"],
        ["\x5F\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE0"],

        ["\xDF\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x61"],
        ["\x5F\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE1"],

        ["\xDF\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x62"],
        ["\x5F\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE2"],

        ["\xDF\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x63"],
        ["\x5F\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE3"],

        ["\xDF\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x64"],
        ["\x5F\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE4"],

        ["\xDF\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x65"],
        ["\x5F\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE5"],

        ["\xDF\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x66"],
        ["\x5F\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE6"],

        ["\xDF\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x67"],
        ["\x5F\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE7"],

        ["\xDF\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x68"],
        ["\x5F\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE8"],

        ["\xDF\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x69"],
        ["\x5F\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xE9"],

        ["\xDF\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6A"],
        ["\x5F\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEA"],

        ["\xDF\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6B"],
        ["\x5F\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEB"],

        ["\xDF\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6C"],
        ["\x5F\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEC"],

        ["\xDF\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6D"],
        ["\x5F\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xED"],

        ["\xDF\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6E"],
        ["\x5F\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEE"],

        ["\xDF\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x6F"],
        ["\x5F\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xEF"],

        ["\xDF\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x70"],
        ["\x5F\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF0"],

        ["\xDF\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x71"],
        ["\x5F\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF1"],

        ["\xDF\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x72"],
        ["\x5F\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF2"],

        ["\xDF\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x73"],
        ["\x5F\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF3"],

        ["\xDF\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x74"],
        ["\x5F\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF4"],

        ["\xDF\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x75"],
        ["\x5F\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF5"],

        ["\xDF\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x76"],
        ["\x5F\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF6"],

        ["\xDF\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x77"],
        ["\x5F\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF7"],

        ["\xDF\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x78"],
        ["\x5F\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF8"],

        ["\xDF\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x79"],
        ["\x5F\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xF9"],

        ["\xDF\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7A"],
        ["\x5F\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFA"],

        ["\xDF\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7B"],
        ["\x5F\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFB"],

        ["\xDF\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7C"],
        ["\x5F\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFC"],

        ["\xDF\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7D"],
        ["\x5F\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFD"],

        ["\xDF\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x5F\x7E"],
        ["\x5F\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\xFE"],

        ["\xE0\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x21"],
        ["\x60\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA1"],

        ["\xE0\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x22"],
        ["\x60\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA2"],

        ["\xE0\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x23"],
        ["\x60\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA3"],

        ["\xE0\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x24"],
        ["\x60\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA4"],

        ["\xE0\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x25"],
        ["\x60\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA5"],

        ["\xE0\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x26"],
        ["\x60\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA6"],

        ["\xE0\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x27"],
        ["\x60\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA7"],

        ["\xE0\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x28"],
        ["\x60\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA8"],

        ["\xE0\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x29"],
        ["\x60\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA9"],

        ["\xE0\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x2A"],
        ["\x60\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAA"],

        ["\xE0\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x2B"],
        ["\x60\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAB"],

        ["\xE0\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x2C"],
        ["\x60\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],

        ["\xE0\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x2D"],
        ["\x60\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAD"],

        ["\xE0\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x2E"],
        ["\x60\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAE"],

        ["\xE0\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x2F"],
        ["\x60\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAF"],

        ["\xE0\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x30"],
        ["\x60\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB0"],

        ["\xE0\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x31"],
        ["\x60\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB1"],

        ["\xE0\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x32"],
        ["\x60\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB2"],

        ["\xE0\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x33"],
        ["\x60\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB3"],

        ["\xE0\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x34"],
        ["\x60\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB4"],

        ["\xE0\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x35"],
        ["\x60\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB5"],

        ["\xE0\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x36"],
        ["\x60\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB6"],

        ["\xE0\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x37"],
        ["\x60\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB7"],

        ["\xE0\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x38"],
        ["\x60\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB8"],

        ["\xE0\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x39"],
        ["\x60\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB9"],

        ["\xE0\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x3A"],
        ["\x60\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBA"],

        ["\xE0\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x3B"],
        ["\x60\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBB"],

        ["\xE0\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x3C"],
        ["\x60\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBC"],

        ["\xE0\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x3D"],
        ["\x60\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBD"],

        ["\xE0\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x3E"],
        ["\x60\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBE"],

        ["\xE0\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x3F"],
        ["\x60\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBF"],

        ["\xE0\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x40"],
        ["\x60\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC0"],

        ["\xE0\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x41"],
        ["\x60\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],

        ["\xE0\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x42"],
        ["\x60\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],

        ["\xE0\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x43"],
        ["\x60\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],

        ["\xE0\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x44"],
        ["\x60\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],

        ["\xE0\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x45"],
        ["\x60\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],

        ["\xE0\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x46"],
        ["\x60\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],

        ["\xE0\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x47"],
        ["\x60\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],

        ["\xE0\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x48"],
        ["\x60\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],

        ["\xE0\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x49"],
        ["\x60\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],

        ["\xE0\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4A"],
        ["\x60\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCA"],

        ["\xE0\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4B"],
        ["\x60\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCB"],

        ["\xE0\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4C"],
        ["\x60\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCC"],

        ["\xE0\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4D"],
        ["\x60\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCD"],

        ["\xE0\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4E"],
        ["\x60\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCE"],

        ["\xE0\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x4F"],
        ["\x60\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCF"],

        ["\xE0\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x50"],
        ["\x60\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD0"],

        ["\xE0\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x51"],
        ["\x60\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],

        ["\xE0\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x52"],
        ["\x60\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],

        ["\xE0\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x53"],
        ["\x60\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],

        ["\xE0\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x54"],
        ["\x60\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],

        ["\xE0\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x55"],
        ["\x60\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],

        ["\xE0\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x56"],
        ["\x60\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],

        ["\xE0\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x57"],
        ["\x60\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],

        ["\xE0\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x58"],
        ["\x60\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],

        ["\xE0\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x59"],
        ["\x60\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],

        ["\xE0\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x5A"],
        ["\x60\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDA"],

        ["\xE0\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x5B"],
        ["\x60\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDB"],

        ["\xE0\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x5C"],
        ["\x60\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDC"],

        ["\xE0\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x5D"],
        ["\x60\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDD"],

        ["\xE0\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x5E"],
        ["\x60\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDE"],

        ["\xE0\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x5F"],
        ["\x60\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDF"],

        ["\xE0\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x60"],
        ["\x60\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],

        ["\xE0\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x61"],
        ["\x60\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE1"],

        ["\xE0\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x62"],
        ["\x60\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],

        ["\xE0\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x63"],
        ["\x60\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],

        ["\xE0\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x64"],
        ["\x60\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],

        ["\xE0\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x65"],
        ["\x60\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],

        ["\xE0\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x66"],
        ["\x60\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],

        ["\xE0\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x67"],
        ["\x60\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],

        ["\xE0\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x68"],
        ["\x60\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],

        ["\xE0\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x69"],
        ["\x60\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],

        ["\xE0\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6A"],
        ["\x60\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEA"],

        ["\xE0\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6B"],
        ["\x60\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEB"],

        ["\xE0\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6C"],
        ["\x60\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEC"],

        ["\xE0\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6D"],
        ["\x60\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xED"],

        ["\xE0\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6E"],
        ["\x60\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],

        ["\xE0\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x6F"],
        ["\x60\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],

        ["\xE0\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x70"],
        ["\x60\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],

        ["\xE0\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x71"],
        ["\x60\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],

        ["\xE0\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x72"],
        ["\x60\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],

        ["\xE0\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x73"],
        ["\x60\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],

        ["\xE0\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x74"],
        ["\x60\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],

        ["\xE0\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x75"],
        ["\x60\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],

        ["\xE0\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],
        ["\xC4\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],

        ["\xE0\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x77"],
        ["\x60\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],

        ["\xE0\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x78"],
        ["\x60\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],

        ["\xE0\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x79"],
        ["\x60\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],

        ["\xE0\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7A"],
        ["\x60\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],

        ["\xE0\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7B"],
        ["\x60\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],

        ["\xE0\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7C"],
        ["\x60\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],

        ["\xE0\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7D"],
        ["\x60\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFD"],

        ["\xE0\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x7E"],
        ["\x60\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFE"],

        ["\xE1\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x21"],
        ["\x61\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA1"],

        ["\xE1\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x22"],
        ["\x61\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA2"],

        ["\xE1\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x23"],
        ["\x61\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA3"],

        ["\xE1\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x24"],
        ["\x61\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA4"],

        ["\xE1\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x25"],
        ["\x61\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA5"],

        ["\xE1\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x26"],
        ["\x61\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA6"],

        ["\xE1\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x27"],
        ["\x61\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA7"],

        ["\xE1\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x28"],
        ["\x61\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA8"],

        ["\xE1\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x29"],
        ["\x61\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA9"],

        ["\xE1\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x2A"],
        ["\x61\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAA"],

        ["\xE1\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x2B"],
        ["\x61\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAB"],

        ["\xE1\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x2C"],
        ["\x61\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAC"],

        ["\xE1\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x2D"],
        ["\x61\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAD"],

        ["\xE1\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x2E"],
        ["\x61\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAE"],

        ["\xE1\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x2F"],
        ["\x61\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAF"],

        ["\xE1\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x30"],
        ["\x61\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB0"],

        ["\xE1\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x31"],
        ["\x61\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB1"],

        ["\xE1\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x32"],
        ["\x61\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB2"],

        ["\xE1\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x33"],
        ["\x61\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB3"],

        ["\xE1\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x34"],
        ["\x61\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB4"],

        ["\xE1\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x35"],
        ["\x61\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB5"],

        ["\xE1\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x36"],
        ["\x61\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB6"],

        ["\xE1\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x37"],
        ["\x61\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB7"],

        ["\xE1\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x38"],
        ["\x61\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8"],

        ["\xE1\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x39"],
        ["\x61\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB9"],

        ["\xE1\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x3A"],
        ["\x61\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBA"],

        ["\xE1\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x3B"],
        ["\x61\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBB"],

        ["\xE1\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x3C"],
        ["\x61\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBC"],

        ["\xE1\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x3D"],
        ["\x61\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD"],

        ["\xE1\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x3E"],
        ["\x61\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBE"],

        ["\xE1\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x3F"],
        ["\x61\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBF"],

        ["\xE1\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x40"],
        ["\x61\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC0"],

        ["\xE1\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x41"],
        ["\x61\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC1"],

        ["\xE1\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x42"],
        ["\x61\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC2"],

        ["\xE1\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x43"],
        ["\x61\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC3"],

        ["\xE1\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x44"],
        ["\x61\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC4"],

        ["\xE1\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x45"],
        ["\x61\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC5"],

        ["\xE1\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x46"],
        ["\x61\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC6"],

        ["\xE1\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x47"],
        ["\x61\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC7"],

        ["\xE1\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x48"],
        ["\x61\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC8"],

        ["\xE1\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x49"],
        ["\x61\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC9"],

        ["\xE1\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x4A"],
        ["\x61\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCA"],

        ["\xE1\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x4B"],
        ["\x61\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCB"],

        ["\xE1\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x4C"],
        ["\x61\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCC"],

        ["\xE1\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x4D"],
        ["\x61\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCD"],

        ["\xE1\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x4E"],
        ["\x61\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCE"],

        ["\xE1\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x4F"],
        ["\x61\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCF"],

        ["\xE1\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x50"],
        ["\x61\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD0"],

        ["\xE1\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x51"],
        ["\x61\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD1"],

        ["\xE1\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x52"],
        ["\x61\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD2"],

        ["\xE1\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x53"],
        ["\x61\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD3"],

        ["\xE1\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x54"],
        ["\x61\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD4"],

        ["\xE1\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x55"],
        ["\x61\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD5"],

        ["\xE1\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x56"],
        ["\x61\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD6"],

        ["\xE1\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x57"],
        ["\x61\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD7"],

        ["\xE1\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x58"],
        ["\x61\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD8"],

        ["\xE1\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x59"],
        ["\x61\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD9"],

        ["\xE1\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x5A"],
        ["\x61\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDA"],

        ["\xE1\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x5B"],
        ["\x61\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDB"],

        ["\xE1\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x5C"],
        ["\x61\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDC"],

        ["\xE1\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x5D"],
        ["\x61\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDD"],

        ["\xE1\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x5E"],
        ["\x61\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDE"],

        ["\xE1\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x5F"],
        ["\x61\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDF"],

        ["\xE1\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x60"],
        ["\x61\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE0"],

        ["\xE1\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x61"],
        ["\x61\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE1"],

        ["\xE1\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x62"],
        ["\x61\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE2"],

        ["\xE1\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x63"],
        ["\x61\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE3"],

        ["\xE1\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x64"],
        ["\x61\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE4"],

        ["\xE1\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x65"],
        ["\x61\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE5"],

        ["\xE1\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x66"],
        ["\x61\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE6"],

        ["\xE1\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x67"],
        ["\x61\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE7"],

        ["\xE1\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x68"],
        ["\x61\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE8"],

        ["\xE1\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x69"],
        ["\x61\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE9"],

        ["\xE1\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x6A"],
        ["\x61\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEA"],

        ["\xE1\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x6B"],
        ["\x61\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEB"],

        ["\xE1\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x6C"],
        ["\x61\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEC"],

        ["\xE1\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x6D"],
        ["\x61\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xED"],

        ["\xE1\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x6E"],
        ["\x61\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEE"],

        ["\xE1\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x6F"],
        ["\x61\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEF"],

        ["\xE1\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x70"],
        ["\x61\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF0"],

        ["\xE1\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x71"],
        ["\x61\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF1"],

        ["\xE1\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x72"],
        ["\x61\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF2"],

        ["\xE1\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x73"],
        ["\x61\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF3"],

        ["\xE1\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x74"],
        ["\x61\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF4"],

        ["\xE1\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x75"],
        ["\x61\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF5"],

        ["\xE1\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x76"],
        ["\x61\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF6"],

        ["\xE1\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x77"],
        ["\x61\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF7"],

        ["\xE1\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x78"],
        ["\x61\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF8"],

        ["\xE1\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x79"],
        ["\x61\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF9"],

        ["\xE1\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x7A"],
        ["\x61\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFA"],

        ["\xE1\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x7B"],
        ["\x61\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFB"],

        ["\xE1\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x7C"],
        ["\x61\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFC"],

        ["\xE1\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x7D"],
        ["\x61\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFD"],

        ["\xE1\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x61\x7E"],
        ["\x61\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFE"],

        ["\xE2\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x21"],
        ["\x62\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],

        ["\xE2\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x22"],
        ["\x62\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA2"],

        ["\xE2\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x23"],
        ["\x62\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA3"],

        ["\xE2\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x24"],
        ["\x62\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4"],

        ["\xE2\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x25"],
        ["\x62\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA5"],

        ["\xE2\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x26"],
        ["\x62\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6"],

        ["\xE2\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x27"],
        ["\x62\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7"],

        ["\xE2\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x28"],
        ["\x62\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA8"],

        ["\xE2\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x29"],
        ["\x62\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA9"],

        ["\xE2\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x2A"],
        ["\x62\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAA"],

        ["\xE2\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x2B"],
        ["\x62\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],

        ["\xE2\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x2C"],
        ["\x62\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAC"],

        ["\xE2\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x2D"],
        ["\x62\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAD"],

        ["\xE2\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x2E"],
        ["\x62\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAE"],

        ["\xE2\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x2F"],
        ["\x62\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAF"],

        ["\xE2\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x30"],
        ["\x62\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],

        ["\xE2\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x31"],
        ["\x62\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB1"],

        ["\xE2\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x32"],
        ["\x62\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB2"],

        ["\xE2\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x33"],
        ["\x62\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB3"],

        ["\xE2\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x34"],
        ["\x62\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB4"],

        ["\xE2\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x35"],
        ["\x62\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB5"],

        ["\xE2\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x36"],
        ["\x62\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB6"],

        ["\xE2\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x37"],
        ["\x62\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB7"],

        ["\xE2\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x38"],
        ["\x62\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB8"],

        ["\xE2\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x39"],
        ["\x62\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB9"],

        ["\xE2\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x3A"],
        ["\x62\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBA"],

        ["\xE2\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x3B"],
        ["\x62\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBB"],

        ["\xE2\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x3C"],
        ["\x62\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBC"],

        ["\xE2\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x3D"],
        ["\x62\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBD"],

        ["\xE2\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x3E"],
        ["\x62\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBE"],

        ["\xE2\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x3F"],
        ["\x62\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBF"],

        ["\xE2\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x40"],
        ["\x62\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],

        ["\xE2\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x41"],
        ["\x62\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],

        ["\xE2\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x42"],
        ["\x62\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],

        ["\xE2\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x43"],
        ["\x62\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],

        ["\xE2\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x44"],
        ["\x62\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],

        ["\xE2\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x45"],
        ["\x62\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],

        ["\xE2\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x46"],
        ["\x62\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],

        ["\xE2\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x47"],
        ["\x62\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],

        ["\xE2\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x48"],
        ["\x62\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],

        ["\xE2\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x49"],
        ["\x62\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],

        ["\xE2\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4A"],
        ["\x62\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCA"],

        ["\xE2\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4B"],
        ["\x62\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCB"],

        ["\xE2\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4C"],
        ["\x62\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCC"],

        ["\xE2\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4D"],
        ["\x62\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCD"],

        ["\xE2\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4E"],
        ["\x62\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCE"],

        ["\xE2\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x4F"],
        ["\x62\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCF"],

        ["\xE2\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x50"],
        ["\x62\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],

        ["\xE2\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x51"],
        ["\x62\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],

        ["\xE2\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x52"],
        ["\x62\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],

        ["\xE2\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x53"],
        ["\x62\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],

        ["\xE2\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x54"],
        ["\x62\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],

        ["\xE2\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x55"],
        ["\x62\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],

        ["\xE2\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x56"],
        ["\x62\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],

        ["\xE2\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x57"],
        ["\x62\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],

        ["\xE2\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x58"],
        ["\x62\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],

        ["\xE2\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x59"],
        ["\x62\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],

        ["\xE2\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5A"],
        ["\x62\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDA"],

        ["\xE2\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5B"],
        ["\x62\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDB"],

        ["\xE2\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5C"],
        ["\x62\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDC"],

        ["\xE2\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5D"],
        ["\x62\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDD"],

        ["\xE2\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5E"],
        ["\x62\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDE"],

        ["\xE2\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x5F"],
        ["\x62\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDF"],

        ["\xE2\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x60"],
        ["\x62\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],

        ["\xE2\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x61"],
        ["\x62\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],

        ["\xE2\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x62"],
        ["\x62\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],

        ["\xE2\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x63"],
        ["\x62\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],

        ["\xE2\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x64"],
        ["\x62\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],

        ["\xE2\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x65"],
        ["\x62\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],

        ["\xE2\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x66"],
        ["\x62\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],

        ["\xE2\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x67"],
        ["\x62\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],

        ["\xE2\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x5C"],
        ["\x39\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],

        ["\xE2\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x69"],
        ["\x62\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],

        ["\xE2\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x57"],
        ["\x45\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],

        ["\xE2\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6B"],
        ["\x62\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],

        ["\xE2\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6C"],
        ["\x62\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],

        ["\xE2\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6D"],
        ["\x62\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],

        ["\xE2\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6E"],
        ["\x62\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],

        ["\xE2\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x6F"],
        ["\x62\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],

        ["\xE2\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x70"],
        ["\x62\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],

        ["\xE2\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x71"],
        ["\x62\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],

        ["\xE2\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x72"],
        ["\x62\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],

        ["\xE2\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x73"],
        ["\x62\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],

        ["\xE2\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x74"],
        ["\x62\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],

        ["\xE2\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x75"],
        ["\x62\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],

        ["\xE2\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x76"],
        ["\x62\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],

        ["\xE2\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x77"],
        ["\x62\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],

        ["\xE2\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x78"],
        ["\x62\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],

        ["\xE2\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x79"],
        ["\x62\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],

        ["\xE2\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7A"],
        ["\x62\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFA"],

        ["\xE2\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7B"],
        ["\x62\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],

        ["\xE2\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7C"],
        ["\x62\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],

        ["\xE2\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7D"],
        ["\x62\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFD"],

        ["\xE2\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x62\x7E"],
        ["\x62\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFE"],

        ["\xE3\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x21"],
        ["\x63\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],

        ["\xE3\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x22"],
        ["\x63\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA2"],

        ["\xE3\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x23"],
        ["\x63\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3"],

        ["\xE3\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x24"],
        ["\x63\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4"],

        ["\xE3\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x25"],
        ["\x63\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5"],

        ["\xE3\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x26"],
        ["\x63\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA6"],

        ["\xE3\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x27"],
        ["\x63\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA7"],

        ["\xE3\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x28"],
        ["\x63\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA8"],

        ["\xE3\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x29"],
        ["\x63\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9"],

        ["\xE3\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x2A"],
        ["\x63\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAA"],

        ["\xE3\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x2B"],
        ["\x63\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],

        ["\xE3\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x2C"],
        ["\x63\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC"],

        ["\xE3\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x2D"],
        ["\x63\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD"],

        ["\xE3\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x2E"],
        ["\x63\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE"],

        ["\xE3\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x2F"],
        ["\x63\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF"],

        ["\xE3\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x30"],
        ["\x63\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],

        ["\xE3\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x31"],
        ["\x63\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB1"],

        ["\xE3\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x32"],
        ["\x63\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB2"],

        ["\xE3\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x33"],
        ["\x63\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3"],

        ["\xE3\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x34"],
        ["\x63\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4"],

        ["\xE3\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x35"],
        ["\x63\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5"],

        ["\xE3\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x36"],
        ["\x63\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6"],

        ["\xE3\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x37"],
        ["\x63\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7"],

        ["\xE3\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x38"],
        ["\x63\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8"],

        ["\xE3\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x39"],
        ["\x63\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9"],

        ["\xE3\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x3A"],
        ["\x63\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA"],

        ["\xE3\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x3B"],
        ["\x63\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBB"],

        ["\xE3\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x3C"],
        ["\x63\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBC"],

        ["\xE3\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x3D"],
        ["\x63\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD"],

        ["\xE3\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x3E"],
        ["\x63\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE"],

        ["\xE3\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x3F"],
        ["\x63\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF"],

        ["\xE3\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x40"],
        ["\x63\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],

        ["\xE3\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x41"],
        ["\x63\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],

        ["\xE3\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x42"],
        ["\x63\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],

        ["\xE3\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x43"],
        ["\x63\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],

        ["\xE3\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x44"],
        ["\x63\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],

        ["\xE3\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x45"],
        ["\x63\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],

        ["\xE3\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x46"],
        ["\x63\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],

        ["\xE3\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x47"],
        ["\x63\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],

        ["\xE3\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x48"],
        ["\x63\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],

        ["\xE3\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x49"],
        ["\x63\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],

        ["\xE3\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4A"],
        ["\x63\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCA"],

        ["\xE3\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4B"],
        ["\x63\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCB"],

        ["\xE3\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4C"],
        ["\x63\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCC"],

        ["\xE3\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4D"],
        ["\x63\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCD"],

        ["\xE3\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4E"],
        ["\x63\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCE"],

        ["\xE3\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x4F"],
        ["\x63\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCF"],

        ["\xE3\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x50"],
        ["\x63\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],

        ["\xE3\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x51"],
        ["\x63\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],

        ["\xE3\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x52"],
        ["\x63\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],

        ["\xE3\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x53"],
        ["\x63\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],

        ["\xE3\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x54"],
        ["\x63\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],

        ["\xE3\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x55"],
        ["\x63\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],

        ["\xE3\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x56"],
        ["\x63\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],

        ["\xE3\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x57"],
        ["\x63\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],

        ["\xE3\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x58"],
        ["\x63\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],

        ["\xE3\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x59"],
        ["\x63\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],

        ["\xE3\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5A"],
        ["\x63\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDA"],

        ["\xE3\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5B"],
        ["\x63\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDB"],

        ["\xE3\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5C"],
        ["\x63\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDC"],

        ["\xE3\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5D"],
        ["\x63\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDD"],

        ["\xE3\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x76"],
        ["\x33\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDE"],

        ["\xE3\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x5F"],
        ["\x63\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDF"],

        ["\xE3\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x60"],
        ["\x63\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],

        ["\xE3\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x61"],
        ["\x63\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],

        ["\xE3\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x62"],
        ["\x63\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],

        ["\xE3\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x63"],
        ["\x63\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],

        ["\xE3\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x64"],
        ["\x63\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],

        ["\xE3\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x65"],
        ["\x63\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],

        ["\xE3\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x66"],
        ["\x63\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],

        ["\xE3\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x67"],
        ["\x63\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],

        ["\xE3\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x68"],
        ["\x63\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],

        ["\xE3\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x69"],
        ["\x63\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],

        ["\xE3\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6A"],
        ["\x63\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEA"],

        ["\xE3\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6B"],
        ["\x63\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEB"],

        ["\xE3\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6C"],
        ["\x63\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],

        ["\xE3\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6D"],
        ["\x63\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],

        ["\xE3\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6E"],
        ["\x63\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEE"],

        ["\xE3\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x6F"],
        ["\x63\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEF"],

        ["\xE3\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x70"],
        ["\x63\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],

        ["\xE3\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x71"],
        ["\x63\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],

        ["\xE3\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x72"],
        ["\x63\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],

        ["\xE3\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x73"],
        ["\x63\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],

        ["\xE3\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x74"],
        ["\x63\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],

        ["\xE3\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x75"],
        ["\x63\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],

        ["\xE3\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x76"],
        ["\x63\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],

        ["\xE3\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x77"],
        ["\x63\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],

        ["\xE3\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x78"],
        ["\x63\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],

        ["\xE3\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x79"],
        ["\x63\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],

        ["\xE3\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7A"],
        ["\x63\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],

        ["\xE3\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7B"],
        ["\x63\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFB"],

        ["\xE3\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7C"],
        ["\x63\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFC"],

        ["\xE3\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7D"],
        ["\x63\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFD"],

        ["\xE3\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x63\x7E"],
        ["\x63\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFE"],

        ["\xE4\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x21"],
        ["\x64\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],

        ["\xE4\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x22"],
        ["\x64\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2"],

        ["\xE4\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x23"],
        ["\x64\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA3"],

        ["\xE4\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x24"],
        ["\x64\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA4"],

        ["\xE4\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x25"],
        ["\x64\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA5"],

        ["\xE4\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x26"],
        ["\x64\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6"],

        ["\xE4\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x27"],
        ["\x64\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7"],

        ["\xE4\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x28"],
        ["\x64\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8"],

        ["\xE4\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x29"],
        ["\x64\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA9"],

        ["\xE4\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x2A"],
        ["\x64\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA"],

        ["\xE4\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x2B"],
        ["\x64\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],

        ["\xE4\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x2C"],
        ["\x64\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC"],

        ["\xE4\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x2D"],
        ["\x64\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAD"],

        ["\xE4\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x2E"],
        ["\x64\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAE"],

        ["\xE4\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x2F"],
        ["\x64\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF"],

        ["\xE4\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x30"],
        ["\x64\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],

        ["\xE4\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x31"],
        ["\x64\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB1"],

        ["\xE4\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x32"],
        ["\x64\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB2"],

        ["\xE4\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x33"],
        ["\x64\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3"],

        ["\xE4\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x34"],
        ["\x64\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4"],

        ["\xE4\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x35"],
        ["\x64\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5"],

        ["\xE4\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x36"],
        ["\x64\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB6"],

        ["\xE4\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x37"],
        ["\x64\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB7"],

        ["\xE4\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x38"],
        ["\x64\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8"],

        ["\xE4\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x39"],
        ["\x64\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9"],

        ["\xE4\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x3A"],
        ["\x64\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA"],

        ["\xE4\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x3B"],
        ["\x64\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB"],

        ["\xE4\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x3C"],
        ["\x64\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC"],

        ["\xE4\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x3D"],
        ["\x64\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD"],

        ["\xE4\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x3E"],
        ["\x64\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],

        ["\xE4\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x3F"],
        ["\x64\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],

        ["\xE4\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x40"],
        ["\x64\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],

        ["\xE4\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x41"],
        ["\x64\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],

        ["\xE4\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x42"],
        ["\x64\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],

        ["\xE4\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x43"],
        ["\x64\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],

        ["\xE4\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x44"],
        ["\x64\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],

        ["\xE4\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x45"],
        ["\x64\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],

        ["\xE4\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4F\x36"],
        ["\x4F\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],

        ["\xE4\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x47"],
        ["\x64\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],

        ["\xE4\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x48"],
        ["\x64\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],

        ["\xE4\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x49"],
        ["\x64\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],

        ["\xE4\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4A"],
        ["\x64\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],

        ["\xE4\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4B"],
        ["\x64\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],

        ["\xE4\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4C"],
        ["\x64\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],

        ["\xE4\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4D"],
        ["\x64\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCD"],

        ["\xE4\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4E"],
        ["\x64\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCE"],

        ["\xE4\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x4F"],
        ["\x64\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCF"],

        ["\xE4\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x50"],
        ["\x64\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],

        ["\xE4\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x51"],
        ["\x64\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],

        ["\xE4\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x52"],
        ["\x64\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],

        ["\xE4\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x53"],
        ["\x64\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],

        ["\xE4\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x54"],
        ["\x64\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],

        ["\xE4\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x55"],
        ["\x64\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],

        ["\xE4\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x56"],
        ["\x64\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],

        ["\xE4\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x57"],
        ["\x64\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],

        ["\xE4\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x58"],
        ["\x64\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],

        ["\xE4\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x59"],
        ["\x64\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],

        ["\xE4\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5A"],
        ["\x64\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDA"],

        ["\xE4\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5B"],
        ["\x64\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDB"],

        ["\xE4\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5C"],
        ["\x64\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDC"],

        ["\xE4\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5D"],
        ["\x64\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDD"],

        ["\xE4\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5E"],
        ["\x64\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDE"],

        ["\xE4\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x5F"],
        ["\x64\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDF"],

        ["\xE4\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x60"],
        ["\x64\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],

        ["\xE4\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x61"],
        ["\x64\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE1"],

        ["\xE4\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x62"],
        ["\x64\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],

        ["\xE4\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x63"],
        ["\x64\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],

        ["\xE4\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x64"],
        ["\x64\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],

        ["\xE4\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x65"],
        ["\x64\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],

        ["\xE4\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x66"],
        ["\x64\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],

        ["\xE4\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x67"],
        ["\x64\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],

        ["\xE4\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x68"],
        ["\x64\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],

        ["\xE4\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x69"],
        ["\x64\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],

        ["\xE4\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6A"],
        ["\x64\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEA"],

        ["\xE4\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6B"],
        ["\x64\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEB"],

        ["\xE4\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6C"],
        ["\x64\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEC"],

        ["\xE4\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6D"],
        ["\x64\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xED"],

        ["\xE4\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6E"],
        ["\x64\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEE"],

        ["\xE4\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x6F"],
        ["\x64\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEF"],

        ["\xE4\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x70"],
        ["\x64\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],

        ["\xE4\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x71"],
        ["\x64\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],

        ["\xE4\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x72"],
        ["\x64\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],

        ["\xE4\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x73"],
        ["\x64\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],

        ["\xE4\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x74"],
        ["\x64\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],

        ["\xE4\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x75"],
        ["\x64\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],

        ["\xE4\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x76"],
        ["\x64\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],

        ["\xE4\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x77"],
        ["\x64\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],

        ["\xE4\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x78"],
        ["\x64\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],

        ["\xE4\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x79"],
        ["\x64\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],

        ["\xE4\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7A"],
        ["\x64\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFA"],

        ["\xE4\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7B"],
        ["\x64\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFB"],

        ["\xE4\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7C"],
        ["\x64\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFC"],

        ["\xE4\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7D"],
        ["\x64\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFD"],

        ["\xE4\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x64\x7E"],
        ["\x64\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFE"],

        ["\xE5\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x21"],
        ["\x65\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],

        ["\xE5\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x22"],
        ["\x65\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2"],

        ["\xE5\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x23"],
        ["\x65\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3"],

        ["\xE5\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x24"],
        ["\x65\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4"],

        ["\xE5\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x25"],
        ["\x65\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5"],

        ["\xE5\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x26"],
        ["\x65\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6"],

        ["\xE5\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x27"],
        ["\x65\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7"],

        ["\xE5\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x28"],
        ["\x65\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8"],

        ["\xE5\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x29"],
        ["\x65\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9"],

        ["\xE5\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x2A"],
        ["\x65\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA"],

        ["\xE5\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x2B"],
        ["\x65\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],

        ["\xE5\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x2C"],
        ["\x65\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC"],

        ["\xE5\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x2D"],
        ["\x65\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD"],

        ["\xE5\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x2E"],
        ["\x65\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE"],

        ["\xE5\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x2F"],
        ["\x65\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF"],

        ["\xE5\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x30"],
        ["\x65\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],

        ["\xE5\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x31"],
        ["\x65\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1"],

        ["\xE5\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x32"],
        ["\x65\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],

        ["\xE5\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x33"],
        ["\x65\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3"],

        ["\xE5\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x34"],
        ["\x65\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4"],

        ["\xE5\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x35"],
        ["\x65\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5"],

        ["\xE5\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x36"],
        ["\x65\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6"],

        ["\xE5\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x37"],
        ["\x65\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7"],

        ["\xE5\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x38"],
        ["\x65\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8"],

        ["\xE5\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x39"],
        ["\x65\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9"],

        ["\xE5\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x3A"],
        ["\x65\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA"],

        ["\xE5\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x3B"],
        ["\x65\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB"],

        ["\xE5\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x3C"],
        ["\x65\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC"],

        ["\xE5\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x3D"],
        ["\x65\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD"],

        ["\xE5\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x3E"],
        ["\x65\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE"],

        ["\xE5\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x3F"],
        ["\x65\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF"],

        ["\xE5\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x40"],
        ["\x65\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],

        ["\xE5\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x41"],
        ["\x65\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],

        ["\xE5\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x42"],
        ["\x65\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],

        ["\xE5\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x43"],
        ["\x65\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],

        ["\xE5\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x44"],
        ["\x65\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],

        ["\xE5\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x45"],
        ["\x65\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],

        ["\xE5\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x46"],
        ["\x65\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],

        ["\xE5\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x47"],
        ["\x65\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],

        ["\xE5\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x48"],
        ["\x65\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],

        ["\xE5\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x49"],
        ["\x65\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],

        ["\xE5\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4A"],
        ["\x65\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCA"],

        ["\xE5\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4B"],
        ["\x65\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCB"],

        ["\xE5\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4C"],
        ["\x65\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCC"],

        ["\xE5\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4D"],
        ["\x65\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCD"],

        ["\xE5\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4E"],
        ["\x65\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCE"],

        ["\xE5\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x4F"],
        ["\x65\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCF"],

        ["\xE5\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x50"],
        ["\x65\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],

        ["\xE5\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x51"],
        ["\x65\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],

        ["\xE5\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x52"],
        ["\x65\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],

        ["\xE5\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x53"],
        ["\x65\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],

        ["\xE5\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x54"],
        ["\x65\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],

        ["\xE5\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x55"],
        ["\x65\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],

        ["\xE5\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x56"],
        ["\x65\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],

        ["\xE5\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x57"],
        ["\x65\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],

        ["\xE5\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x58"],
        ["\x65\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],

        ["\xE5\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x59"],
        ["\x65\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],

        ["\xE5\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5A"],
        ["\x65\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDA"],

        ["\xE5\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5B"],
        ["\x65\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDB"],

        ["\xE5\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5C"],
        ["\x65\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDC"],

        ["\xE5\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5D"],
        ["\x65\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDD"],

        ["\xE5\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5E"],
        ["\x65\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDE"],

        ["\xE5\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x5F"],
        ["\x65\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDF"],

        ["\xE5\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x60"],
        ["\x65\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],

        ["\xE5\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x61"],
        ["\x65\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE1"],

        ["\xE5\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x62"],
        ["\x65\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],

        ["\xE5\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x63"],
        ["\x65\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],

        ["\xE5\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x64"],
        ["\x65\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],

        ["\xE5\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x65"],
        ["\x65\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],

        ["\xE5\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x66"],
        ["\x65\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],

        ["\xE5\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x67"],
        ["\x65\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],

        ["\xE5\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x68"],
        ["\x65\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],

        ["\xE5\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x69"],
        ["\x65\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],

        ["\xE5\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6A"],
        ["\x65\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEA"],

        ["\xE5\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6B"],
        ["\x65\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEB"],

        ["\xE5\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6C"],
        ["\x65\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEC"],

        ["\xE5\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6D"],
        ["\x65\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xED"],

        ["\xE5\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6E"],
        ["\x65\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEE"],

        ["\xE5\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x6F"],
        ["\x65\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],

        ["\xE5\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x70"],
        ["\x65\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],

        ["\xE5\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x71"],
        ["\x65\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],

        ["\xE5\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x72"],
        ["\x65\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],

        ["\xE5\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x73"],
        ["\x65\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],

        ["\xE5\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x74"],
        ["\x65\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],

        ["\xE5\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x75"],
        ["\x65\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],

        ["\xE5\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x76"],
        ["\x65\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],

        ["\xE5\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x77"],
        ["\x65\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],

        ["\xE5\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x78"],
        ["\x65\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],

        ["\xE5\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x79"],
        ["\x65\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],

        ["\xE5\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7A"],
        ["\x65\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFA"],

        ["\xE5\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7B"],
        ["\x65\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFB"],

        ["\xE5\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7C"],
        ["\x65\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFC"],

        ["\xE5\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7D"],
        ["\x65\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFD"],

        ["\xE5\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x65\x7E"],
        ["\x65\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFE"],

        ["\xE6\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x21"],
        ["\x66\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],

        ["\xE6\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x22"],
        ["\x66\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2"],

        ["\xE6\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x23"],
        ["\x66\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3"],

        ["\xE6\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x24"],
        ["\x66\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4"],

        ["\xE6\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x25"],
        ["\x66\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5"],

        ["\xE6\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x26"],
        ["\x66\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],

        ["\xE6\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x27"],
        ["\x66\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],

        ["\xE6\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x28"],
        ["\x66\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],

        ["\xE6\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x29"],
        ["\x66\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],

        ["\xE6\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x2A"],
        ["\x66\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA"],

        ["\xE6\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x2B"],
        ["\x66\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],

        ["\xE6\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x2C"],
        ["\x66\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],

        ["\xE6\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x2D"],
        ["\x66\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD"],

        ["\xE6\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x2E"],
        ["\x66\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],

        ["\xE6\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x2F"],
        ["\x66\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],

        ["\xE6\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x30"],
        ["\x66\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],

        ["\xE6\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x31"],
        ["\x66\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1"],

        ["\xE6\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x32"],
        ["\x66\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2"],

        ["\xE6\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x33"],
        ["\x66\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],

        ["\xE6\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x34"],
        ["\x66\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],

        ["\xE6\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x35"],
        ["\x66\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],

        ["\xE6\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x36"],
        ["\x66\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6"],

        ["\xE6\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x37"],
        ["\x66\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7"],

        ["\xE6\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x38"],
        ["\x66\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],

        ["\xE6\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x39"],
        ["\x66\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],

        ["\xE6\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x3A"],
        ["\x66\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],

        ["\xE6\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x3B"],
        ["\x66\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB"],

        ["\xE6\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x3C"],
        ["\x66\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC"],

        ["\xE6\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x3D"],
        ["\x66\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD"],

        ["\xE6\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x3E"],
        ["\x66\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE"],

        ["\xE6\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x3F"],
        ["\x66\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF"],

        ["\xE6\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x40"],
        ["\x66\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],

        ["\xE6\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x41"],
        ["\x66\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],

        ["\xE6\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x42"],
        ["\x66\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],

        ["\xE6\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x43"],
        ["\x66\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],

        ["\xE6\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x44"],
        ["\x66\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],

        ["\xE6\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x45"],
        ["\x66\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],

        ["\xE6\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x46"],
        ["\x66\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],

        ["\xE6\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x47"],
        ["\x66\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],

        ["\xE6\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x48"],
        ["\x66\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],

        ["\xE6\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x49"],
        ["\x66\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],

        ["\xE6\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4A"],
        ["\x66\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCA"],

        ["\xE6\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4B"],
        ["\x66\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCB"],

        ["\xE6\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4C"],
        ["\x66\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCC"],

        ["\xE6\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4D"],
        ["\x66\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCD"],

        ["\xE6\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4E"],
        ["\x66\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCE"],

        ["\xE6\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x4F"],
        ["\x66\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],

        ["\xE6\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x50"],
        ["\x66\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],

        ["\xE6\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x51"],
        ["\x66\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],

        ["\xE6\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x52"],
        ["\x66\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],

        ["\xE6\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x53"],
        ["\x66\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],

        ["\xE6\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x54"],
        ["\x66\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],

        ["\xE6\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x55"],
        ["\x66\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],

        ["\xE6\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x56"],
        ["\x66\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],

        ["\xE6\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x57"],
        ["\x66\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],

        ["\xE6\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x58"],
        ["\x66\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],

        ["\xE6\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x59"],
        ["\x66\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],

        ["\xE6\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5A"],
        ["\x66\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],

        ["\xE6\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5B"],
        ["\x66\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],

        ["\xE6\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5C"],
        ["\x66\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],

        ["\xE6\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5D"],
        ["\x66\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],

        ["\xE6\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5E"],
        ["\x66\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDE"],

        ["\xE6\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x5F"],
        ["\x66\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDF"],

        ["\xE6\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x60"],
        ["\x66\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],

        ["\xE6\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x61"],
        ["\x66\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE1"],

        ["\xE6\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x62"],
        ["\x66\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],

        ["\xE6\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x63"],
        ["\x66\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],

        ["\xE6\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x64"],
        ["\x66\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],

        ["\xE6\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x65"],
        ["\x66\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],

        ["\xE6\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x66"],
        ["\x66\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],

        ["\xE6\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x67"],
        ["\x66\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],

        ["\xE6\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x68"],
        ["\x66\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],

        ["\xE6\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x69"],
        ["\x66\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],

        ["\xE6\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6A"],
        ["\x66\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEA"],

        ["\xE6\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6B"],
        ["\x66\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEB"],

        ["\xE6\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6C"],
        ["\x66\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEC"],

        ["\xE6\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6D"],
        ["\x66\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xED"],

        ["\xE6\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6E"],
        ["\x66\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEE"],

        ["\xE6\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x6F"],
        ["\x66\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],

        ["\xE6\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x70"],
        ["\x66\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],

        ["\xE6\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x71"],
        ["\x66\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],

        ["\xE6\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x72"],
        ["\x66\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],

        ["\xE6\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x73"],
        ["\x66\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],

        ["\xE6\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x74"],
        ["\x66\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],

        ["\xE6\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x75"],
        ["\x66\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],

        ["\xE6\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x76"],
        ["\x66\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],

        ["\xE6\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x77"],
        ["\x66\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],

        ["\xE6\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x78"],
        ["\x66\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],

        ["\xE6\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x79"],
        ["\x66\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],

        ["\xE6\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7A"],
        ["\x66\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFA"],

        ["\xE6\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7B"],
        ["\x66\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFB"],

        ["\xE6\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7C"],
        ["\x66\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFC"],

        ["\xE6\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7D"],
        ["\x66\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFD"],

        ["\xE6\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x66\x7E"],
        ["\x66\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFE"],

        ["\xE7\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x21"],
        ["\x67\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],

        ["\xE7\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x22"],
        ["\x67\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2"],

        ["\xE7\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x23"],
        ["\x67\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3"],

        ["\xE7\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x24"],
        ["\x67\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4"],

        ["\xE7\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x25"],
        ["\x67\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5"],

        ["\xE7\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x26"],
        ["\x67\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6"],

        ["\xE7\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x27"],
        ["\x67\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7"],

        ["\xE7\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x28"],
        ["\x67\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8"],

        ["\xE7\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x29"],
        ["\x67\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9"],

        ["\xE7\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x2A"],
        ["\x67\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],

        ["\xE7\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x2B"],
        ["\x67\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],

        ["\xE7\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x2C"],
        ["\x67\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC"],

        ["\xE7\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x2D"],
        ["\x67\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD"],

        ["\xE7\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x2E"],
        ["\x67\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE"],

        ["\xE7\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x2F"],
        ["\x67\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],

        ["\xE7\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x30"],
        ["\x67\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],

        ["\xE7\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x31"],
        ["\x67\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],

        ["\xE7\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x32"],
        ["\x67\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],

        ["\xE7\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x33"],
        ["\x67\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],

        ["\xE7\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x34"],
        ["\x67\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],

        ["\xE7\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x35"],
        ["\x67\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],

        ["\xE7\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x36"],
        ["\x67\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],

        ["\xE7\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x37"],
        ["\x67\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],

        ["\xE7\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x38"],
        ["\x67\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],

        ["\xE7\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x39"],
        ["\x67\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],

        ["\xE7\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x3A"],
        ["\x67\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],

        ["\xE7\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x3B"],
        ["\x67\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],

        ["\xE7\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x3C"],
        ["\x67\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],

        ["\xE7\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x3D"],
        ["\x67\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],

        ["\xE7\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x3E"],
        ["\x67\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],

        ["\xE7\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x3F"],
        ["\x67\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],

        ["\xE7\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x40"],
        ["\x67\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],

        ["\xE7\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x41"],
        ["\x67\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],

        ["\xE7\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x42"],
        ["\x67\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],

        ["\xE7\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x43"],
        ["\x67\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],

        ["\xE7\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x44"],
        ["\x67\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],

        ["\xE7\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x45"],
        ["\x67\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],

        ["\xE7\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x46"],
        ["\x67\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],

        ["\xE7\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x47"],
        ["\x67\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],

        ["\xE7\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x48"],
        ["\x67\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],

        ["\xE7\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x49"],
        ["\x67\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],

        ["\xE7\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4A"],
        ["\x67\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],

        ["\xE7\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4B"],
        ["\x67\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],

        ["\xE7\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4C"],
        ["\x67\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],

        ["\xE7\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4D"],
        ["\x67\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCD"],

        ["\xE7\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4E"],
        ["\x67\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCE"],

        ["\xE7\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x4F"],
        ["\x67\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCF"],

        ["\xE7\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x50"],
        ["\x67\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],

        ["\xE7\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x51"],
        ["\x67\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],

        ["\xE7\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x52"],
        ["\x67\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],

        ["\xE7\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x53"],
        ["\x67\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],

        ["\xE7\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x54"],
        ["\x67\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],

        ["\xE7\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x55"],
        ["\x67\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],

        ["\xE7\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x56"],
        ["\x67\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],

        ["\xE7\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x57"],
        ["\x67\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],

        ["\xE7\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x58"],
        ["\x67\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],

        ["\xE7\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x59"],
        ["\x67\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],

        ["\xE7\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5A"],
        ["\x67\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDA"],

        ["\xE7\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5B"],
        ["\x67\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDB"],

        ["\xE7\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5C"],
        ["\x67\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDC"],

        ["\xE7\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5D"],
        ["\x67\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDD"],

        ["\xE7\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5E"],
        ["\x67\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDE"],

        ["\xE7\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x5F"],
        ["\x67\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDF"],

        ["\xE7\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x60"],
        ["\x67\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],

        ["\xE7\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x61"],
        ["\x67\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE1"],

        ["\xE7\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x62"],
        ["\x67\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],

        ["\xE7\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x63"],
        ["\x67\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],

        ["\xE7\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x64"],
        ["\x67\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],

        ["\xE7\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x65"],
        ["\x67\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],

        ["\xE7\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x66"],
        ["\x67\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],

        ["\xE7\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x67"],
        ["\x67\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],

        ["\xE7\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x68"],
        ["\x67\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],

        ["\xE7\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x69"],
        ["\x67\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],

        ["\xE7\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6A"],
        ["\x67\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEA"],

        ["\xE7\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6B"],
        ["\x67\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEB"],

        ["\xE7\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6C"],
        ["\x67\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEC"],

        ["\xE7\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6D"],
        ["\x67\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xED"],

        ["\xE7\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6E"],
        ["\x67\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEE"],

        ["\xE7\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x6F"],
        ["\x67\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEF"],

        ["\xE7\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x70"],
        ["\x67\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],

        ["\xE7\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x71"],
        ["\x67\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],

        ["\xE7\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x72"],
        ["\x67\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],

        ["\xE7\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x73"],
        ["\x67\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],

        ["\xE7\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x74"],
        ["\x67\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],

        ["\xE7\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x75"],
        ["\x67\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],

        ["\xE7\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x76"],
        ["\x67\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],

        ["\xE7\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x77"],
        ["\x67\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],

        ["\xE7\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x78"],
        ["\x67\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],

        ["\xE7\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x79"],
        ["\x67\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],

        ["\xE7\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7A"],
        ["\x67\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFA"],

        ["\xE7\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7B"],
        ["\x67\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFB"],

        ["\xE7\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7C"],
        ["\x67\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFC"],

        ["\xE7\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7D"],
        ["\x67\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFD"],

        ["\xE7\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x67\x7E"],
        ["\x67\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFE"],

        ["\xE8\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x21"],
        ["\x68\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],

        ["\xE8\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x22"],
        ["\x68\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2"],

        ["\xE8\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x23"],
        ["\x68\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3"],

        ["\xE8\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x24"],
        ["\x68\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4"],

        ["\xE8\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x25"],
        ["\x68\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5"],

        ["\xE8\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x26"],
        ["\x68\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6"],

        ["\xE8\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x27"],
        ["\x68\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7"],

        ["\xE8\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x28"],
        ["\x68\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8"],

        ["\xE8\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x29"],
        ["\x68\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9"],

        ["\xE8\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x2A"],
        ["\x68\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],

        ["\xE8\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x2B"],
        ["\x68\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],

        ["\xE8\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x2C"],
        ["\x68\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC"],

        ["\xE8\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x2D"],
        ["\x68\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD"],

        ["\xE8\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x2E"],
        ["\x68\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],

        ["\xE8\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x2F"],
        ["\x68\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAF"],

        ["\xE8\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x30"],
        ["\x68\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],

        ["\xE8\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x31"],
        ["\x68\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1"],

        ["\xE8\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x32"],
        ["\x68\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],

        ["\xE8\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x33"],
        ["\x68\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3"],

        ["\xE8\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x34"],
        ["\x68\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4"],

        ["\xE8\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x35"],
        ["\x68\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5"],

        ["\xE8\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x36"],
        ["\x68\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6"],

        ["\xE8\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x37"],
        ["\x68\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7"],

        ["\xE8\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x38"],
        ["\x68\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],

        ["\xE8\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x39"],
        ["\x68\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9"],

        ["\xE8\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x3A"],
        ["\x68\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA"],

        ["\xE8\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x3B"],
        ["\x68\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB"],

        ["\xE8\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x3C"],
        ["\x68\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC"],

        ["\xE8\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x3D"],
        ["\x68\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD"],

        ["\xE8\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x3E"],
        ["\x68\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE"],

        ["\xE8\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x3F"],
        ["\x68\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF"],

        ["\xE8\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x40"],
        ["\x68\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],

        ["\xE8\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x41"],
        ["\x68\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],

        ["\xE8\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x42"],
        ["\x68\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],

        ["\xE8\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x43"],
        ["\x68\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],

        ["\xE8\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x44"],
        ["\x68\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],

        ["\xE8\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x45"],
        ["\x68\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],

        ["\xE8\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x46"],
        ["\x68\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],

        ["\xE8\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x47"],
        ["\x68\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],

        ["\xE8\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x48"],
        ["\x68\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],

        ["\xE8\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x49"],
        ["\x68\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],

        ["\xE8\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4A"],
        ["\x68\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCA"],

        ["\xE8\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4B"],
        ["\x68\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCB"],

        ["\xE8\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4C"],
        ["\x68\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCC"],

        ["\xE8\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4D"],
        ["\x68\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCD"],

        ["\xE8\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4E"],
        ["\x68\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCE"],

        ["\xE8\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x4F"],
        ["\x68\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCF"],

        ["\xE8\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x50"],
        ["\x68\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],

        ["\xE8\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x51"],
        ["\x68\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],

        ["\xE8\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x52"],
        ["\x68\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],

        ["\xE8\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x53"],
        ["\x68\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],

        ["\xE8\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x54"],
        ["\x68\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],

        ["\xE8\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x55"],
        ["\x68\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],

        ["\xE8\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x56"],
        ["\x68\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],

        ["\xE8\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x57"],
        ["\x68\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],

        ["\xE8\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x58"],
        ["\x68\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],

        ["\xE8\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x59"],
        ["\x68\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],

        ["\xE8\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5A"],
        ["\x68\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],

        ["\xE8\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5B"],
        ["\x68\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],

        ["\xE8\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5C"],
        ["\x68\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDC"],

        ["\xE8\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5D"],
        ["\x68\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDD"],

        ["\xE8\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5E"],
        ["\x68\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDE"],

        ["\xE8\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x5F"],
        ["\x68\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDF"],

        ["\xE8\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x60"],
        ["\x68\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],

        ["\xE8\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x61"],
        ["\x68\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE1"],

        ["\xE8\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x62"],
        ["\x68\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],

        ["\xE8\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x63"],
        ["\x68\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],

        ["\xE8\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x64"],
        ["\x68\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],

        ["\xE8\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x65"],
        ["\x68\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],

        ["\xE8\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x66"],
        ["\x68\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],

        ["\xE8\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x67"],
        ["\x68\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],

        ["\xE8\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x68"],
        ["\x68\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],

        ["\xE8\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x69"],
        ["\x68\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],

        ["\xE8\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6A"],
        ["\x68\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEA"],

        ["\xE8\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6B"],
        ["\x68\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],

        ["\xE8\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6C"],
        ["\x68\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],

        ["\xE8\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6D"],
        ["\x68\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xED"],

        ["\xE8\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6E"],
        ["\x68\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEE"],

        ["\xE8\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x6F"],
        ["\x68\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEF"],

        ["\xE8\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x70"],
        ["\x68\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],

        ["\xE8\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x71"],
        ["\x68\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],

        ["\xE8\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x72"],
        ["\x68\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],

        ["\xE8\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x73"],
        ["\x68\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],

        ["\xE8\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x74"],
        ["\x68\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],

        ["\xE8\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x75"],
        ["\x68\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],

        ["\xE8\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x76"],
        ["\x68\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],

        ["\xE8\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x77"],
        ["\x68\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],

        ["\xE8\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x78"],
        ["\x68\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],

        ["\xE8\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x79"],
        ["\x68\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],

        ["\xE8\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7A"],
        ["\x68\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],

        ["\xE8\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7B"],
        ["\x68\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],

        ["\xE8\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7C"],
        ["\x68\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFC"],

        ["\xE8\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7D"],
        ["\x68\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFD"],

        ["\xE8\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x68\x7E"],
        ["\x68\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFE"],

        ["\xE9\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x21"],
        ["\x69\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],

        ["\xE9\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3C\x49"],
        ["\x3C\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2"],

        ["\xE9\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x23"],
        ["\x69\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3"],

        ["\xE9\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x24"],
        ["\x69\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4"],

        ["\xE9\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x25"],
        ["\x69\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5"],

        ["\xE9\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x26"],
        ["\x69\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6"],

        ["\xE9\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x27"],
        ["\x69\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7"],

        ["\xE9\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x28"],
        ["\x69\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8"],

        ["\xE9\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x29"],
        ["\x69\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9"],

        ["\xE9\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x2A"],
        ["\x69\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA"],

        ["\xE9\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x2B"],
        ["\x69\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],

        ["\xE9\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x2C"],
        ["\x69\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC"],

        ["\xE9\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x2D"],
        ["\x69\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD"],

        ["\xE9\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4C\x79"],
        ["\x4C\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE"],

        ["\xE9\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x2F"],
        ["\x69\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF"],

        ["\xE9\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x30"],
        ["\x69\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],

        ["\xE9\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x31"],
        ["\x69\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1"],

        ["\xE9\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x32"],
        ["\x69\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB2"],

        ["\xE9\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x33"],
        ["\x69\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3"],

        ["\xE9\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x34"],
        ["\x69\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4"],

        ["\xE9\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x35"],
        ["\x69\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5"],

        ["\xE9\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x36"],
        ["\x69\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6"],

        ["\xE9\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x37"],
        ["\x69\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7"],

        ["\xE9\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x38"],
        ["\x69\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8"],

        ["\xE9\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x39"],
        ["\x69\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9"],

        ["\xE9\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x3A"],
        ["\x69\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA"],

        ["\xE9\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x3B"],
        ["\x69\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB"],

        ["\xE9\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x3C"],
        ["\x69\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC"],

        ["\xE9\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x3D"],
        ["\x69\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD"],

        ["\xE9\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x3E"],
        ["\x69\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE"],

        ["\xE9\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x3F"],
        ["\x69\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBF"],

        ["\xE9\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x40"],
        ["\x69\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],

        ["\xE9\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x41"],
        ["\x69\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],

        ["\xE9\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x42"],
        ["\x69\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],

        ["\xE9\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x43"],
        ["\x69\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],

        ["\xE9\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x44"],
        ["\x69\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],

        ["\xE9\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x45"],
        ["\x69\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],

        ["\xE9\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x46"],
        ["\x69\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],

        ["\xE9\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x47"],
        ["\x69\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],

        ["\xE9\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x48"],
        ["\x69\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],

        ["\xE9\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x49"],
        ["\x69\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],

        ["\xE9\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4A"],
        ["\x69\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCA"],

        ["\xE9\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4B"],
        ["\x69\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCB"],

        ["\xE9\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4C"],
        ["\x69\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCC"],

        ["\xE9\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4D"],
        ["\x69\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCD"],

        ["\xE9\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4E"],
        ["\x69\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCE"],

        ["\xE9\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x4F"],
        ["\x69\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCF"],

        ["\xE9\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x50"],
        ["\x69\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],

        ["\xE9\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x51"],
        ["\x69\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],

        ["\xE9\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x52"],
        ["\x69\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],

        ["\xE9\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x53"],
        ["\x69\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],

        ["\xE9\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x54"],
        ["\x69\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],

        ["\xE9\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x55"],
        ["\x69\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],

        ["\xE9\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x56"],
        ["\x69\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],

        ["\xE9\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x57"],
        ["\x69\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],

        ["\xE9\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x58"],
        ["\x69\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],

        ["\xE9\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x59"],
        ["\x69\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],

        ["\xE9\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x33\x42"],
        ["\x33\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDA"],

        ["\xE9\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5B"],
        ["\x69\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDB"],

        ["\xE9\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5C"],
        ["\x69\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDC"],

        ["\xE9\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5D"],
        ["\x69\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDD"],

        ["\xE9\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5E"],
        ["\x69\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDE"],

        ["\xE9\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x5F"],
        ["\x69\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDF"],

        ["\xE9\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x60"],
        ["\x69\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],

        ["\xE9\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x61"],
        ["\x69\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE1"],

        ["\xE9\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x62"],
        ["\x69\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],

        ["\xE9\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x63"],
        ["\x69\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],

        ["\xE9\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x64"],
        ["\x69\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],

        ["\xE9\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x65"],
        ["\x69\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],

        ["\xE9\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x66"],
        ["\x69\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],

        ["\xE9\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x67"],
        ["\x69\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],

        ["\xE9\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x68"],
        ["\x69\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],

        ["\xE9\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x69"],
        ["\x69\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],

        ["\xE9\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6A"],
        ["\x69\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEA"],

        ["\xE9\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6B"],
        ["\x69\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEB"],

        ["\xE9\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6C"],
        ["\x69\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEC"],

        ["\xE9\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6D"],
        ["\x69\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xED"],

        ["\xE9\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6E"],
        ["\x69\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEE"],

        ["\xE9\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x6F"],
        ["\x69\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEF"],

        ["\xE9\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x70"],
        ["\x69\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],

        ["\xE9\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x71"],
        ["\x69\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],

        ["\xE9\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x72"],
        ["\x69\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],

        ["\xE9\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x73"],
        ["\x69\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],

        ["\xE9\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x74"],
        ["\x69\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],

        ["\xE9\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x75"],
        ["\x69\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],

        ["\xE9\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x76"],
        ["\x69\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],

        ["\xE9\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x77"],
        ["\x69\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],

        ["\xE9\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x78"],
        ["\x69\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],

        ["\xE9\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x79"],
        ["\x69\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],

        ["\xE9\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7A"],
        ["\x69\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFA"],

        ["\xE9\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7B"],
        ["\x69\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFB"],

        ["\xE9\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7C"],
        ["\x69\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFC"],

        ["\xE9\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7D"],
        ["\x69\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFD"],

        ["\xE9\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x69\x7E"],
        ["\x69\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFE"],

        ["\xEA\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x21"],
        ["\x6A\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA1"],

        ["\xEA\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x22"],
        ["\x6A\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA2"],

        ["\xEA\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x23"],
        ["\x6A\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA3"],

        ["\xEA\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x47\x68"],
        ["\x47\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA4"],

        ["\xEA\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x25"],
        ["\x6A\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA5"],

        ["\xEA\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x26"],
        ["\x6A\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA6"],

        ["\xEA\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x27"],
        ["\x6A\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA7"],

        ["\xEA\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x28"],
        ["\x6A\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA8"],

        ["\xEA\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x29"],
        ["\x6A\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA9"],

        ["\xEA\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x2A"],
        ["\x6A\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAA"],

        ["\xEA\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x2B"],
        ["\x6A\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAB"],

        ["\xEA\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x2C"],
        ["\x6A\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAC"],

        ["\xEA\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x2D"],
        ["\x6A\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAD"],

        ["\xEA\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x2E"],
        ["\x6A\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAE"],

        ["\xEA\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x2F"],
        ["\x6A\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAF"],

        ["\xEA\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x30"],
        ["\x6A\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB0"],

        ["\xEA\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x31"],
        ["\x6A\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB1"],

        ["\xEA\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x32"],
        ["\x6A\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB2"],

        ["\xEA\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x33"],
        ["\x6A\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB3"],

        ["\xEA\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x34"],
        ["\x6A\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB4"],

        ["\xEA\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x35"],
        ["\x6A\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB5"],

        ["\xEA\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x36"],
        ["\x6A\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB6"],

        ["\xEA\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x37"],
        ["\x6A\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB7"],

        ["\xEA\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x38"],
        ["\x6A\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB8"],

        ["\xEA\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x39"],
        ["\x6A\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB9"],

        ["\xEA\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x3A"],
        ["\x6A\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBA"],

        ["\xEA\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x3B"],
        ["\x6A\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBB"],

        ["\xEA\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x3C"],
        ["\x6A\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBC"],

        ["\xEA\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x3D"],
        ["\x6A\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBD"],

        ["\xEA\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x3E"],
        ["\x6A\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBE"],

        ["\xEA\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x3F"],
        ["\x6A\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBF"],

        ["\xEA\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x40"],
        ["\x6A\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC0"],

        ["\xEA\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x41"],
        ["\x6A\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC1"],

        ["\xEA\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x42"],
        ["\x6A\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC2"],

        ["\xEA\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x43"],
        ["\x6A\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC3"],

        ["\xEA\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x44"],
        ["\x6A\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC4"],

        ["\xEA\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x45"],
        ["\x6A\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC5"],

        ["\xEA\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x46"],
        ["\x6A\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC6"],

        ["\xEA\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x47"],
        ["\x6A\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC7"],

        ["\xEA\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x48"],
        ["\x6A\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC8"],

        ["\xEA\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x49"],
        ["\x6A\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC9"],

        ["\xEA\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4A"],
        ["\x6A\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCA"],

        ["\xEA\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4B"],
        ["\x6A\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCB"],

        ["\xEA\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4C"],
        ["\x6A\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCC"],

        ["\xEA\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4D"],
        ["\x6A\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCD"],

        ["\xEA\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4E"],
        ["\x6A\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCE"],

        ["\xEA\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x4F"],
        ["\x6A\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCF"],

        ["\xEA\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x50"],
        ["\x6A\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD0"],

        ["\xEA\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x51"],
        ["\x6A\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD1"],

        ["\xEA\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x52"],
        ["\x6A\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD2"],

        ["\xEA\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x53"],
        ["\x6A\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD3"],

        ["\xEA\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x54"],
        ["\x6A\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD4"],

        ["\xEA\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x55"],
        ["\x6A\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD5"],

        ["\xEA\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x56"],
        ["\x6A\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD6"],

        ["\xEA\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x57"],
        ["\x6A\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD7"],

        ["\xEA\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x58"],
        ["\x6A\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD8"],

        ["\xEA\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x59"],
        ["\x6A\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD9"],

        ["\xEA\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5A"],
        ["\x6A\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDA"],

        ["\xEA\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5B"],
        ["\x6A\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDB"],

        ["\xEA\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5C"],
        ["\x6A\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDC"],

        ["\xEA\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5D"],
        ["\x6A\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDD"],

        ["\xEA\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5E"],
        ["\x6A\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDE"],

        ["\xEA\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x5F"],
        ["\x6A\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDF"],

        ["\xEA\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x60"],
        ["\x6A\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE0"],

        ["\xEA\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x61"],
        ["\x6A\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE1"],

        ["\xEA\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x62"],
        ["\x6A\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE2"],

        ["\xEA\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x63"],
        ["\x6A\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE3"],

        ["\xEA\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x64"],
        ["\x6A\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE4"],

        ["\xEA\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x65"],
        ["\x6A\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE5"],

        ["\xEA\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x66"],
        ["\x6A\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE6"],

        ["\xEA\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x67"],
        ["\x6A\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE7"],

        ["\xEA\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x68"],
        ["\x6A\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE8"],

        ["\xEA\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x69"],
        ["\x6A\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE9"],

        ["\xEA\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6A"],
        ["\x6A\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEA"],

        ["\xEA\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6B"],
        ["\x6A\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEB"],

        ["\xEA\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6C"],
        ["\x6A\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEC"],

        ["\xEA\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6D"],
        ["\x6A\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xED"],

        ["\xEA\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6E"],
        ["\x6A\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEE"],

        ["\xEA\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x6F"],
        ["\x6A\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEF"],

        ["\xEA\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x70"],
        ["\x6A\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF0"],

        ["\xEA\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x71"],
        ["\x6A\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF1"],

        ["\xEA\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x72"],
        ["\x6A\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF2"],

        ["\xEA\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x73"],
        ["\x6A\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF3"],

        ["\xEA\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x74"],
        ["\x6A\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF4"],

        ["\xEA\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x75"],
        ["\x6A\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF5"],

        ["\xEA\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x76"],
        ["\x6A\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF6"],

        ["\xEA\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x77"],
        ["\x6A\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF7"],

        ["\xEA\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x78"],
        ["\x6A\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF8"],

        ["\xEA\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x79"],
        ["\x6A\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF9"],

        ["\xEA\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7A"],
        ["\x6A\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFA"],

        ["\xEA\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7B"],
        ["\x6A\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFB"],

        ["\xEA\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7C"],
        ["\x6A\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFC"],

        ["\xEA\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7D"],
        ["\x6A\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFD"],

        ["\xEA\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6A\x7E"],
        ["\x6A\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFE"],

        ["\xEB\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x21"],
        ["\x6B\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA1"],

        ["\xEB\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x22"],
        ["\x6B\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA2"],

        ["\xEB\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x23"],
        ["\x6B\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA3"],

        ["\xEB\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x24"],
        ["\x6B\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA4"],

        ["\xEB\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x25"],
        ["\x6B\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA5"],

        ["\xEB\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x26"],
        ["\x6B\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA6"],

        ["\xEB\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x27"],
        ["\x6B\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA7"],

        ["\xEB\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x28"],
        ["\x6B\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA8"],

        ["\xEB\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x29"],
        ["\x6B\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA9"],

        ["\xEB\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x2A"],
        ["\x6B\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAA"],

        ["\xEB\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x2B"],
        ["\x6B\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAB"],

        ["\xEB\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x2C"],
        ["\x6B\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAC"],

        ["\xEB\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x2D"],
        ["\x6B\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAD"],

        ["\xEB\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x2E"],
        ["\x6B\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAE"],

        ["\xEB\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x2F"],
        ["\x6B\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAF"],

        ["\xEB\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x30"],
        ["\x6B\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB0"],

        ["\xEB\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x31"],
        ["\x6B\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB1"],

        ["\xEB\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x32"],
        ["\x6B\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB2"],

        ["\xEB\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x33"],
        ["\x6B\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB3"],

        ["\xEB\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x34"],
        ["\x6B\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB4"],

        ["\xEB\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x35"],
        ["\x6B\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB5"],

        ["\xEB\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x36"],
        ["\x6B\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB6"],

        ["\xEB\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x37"],
        ["\x6B\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB7"],

        ["\xEB\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x38"],
        ["\x6B\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB8"],

        ["\xEB\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x39"],
        ["\x6B\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB9"],

        ["\xEB\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x3A"],
        ["\x6B\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBA"],

        ["\xEB\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x3B"],
        ["\x6B\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBB"],

        ["\xEB\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x3C"],
        ["\x6B\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBC"],

        ["\xEB\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x3D"],
        ["\x6B\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBD"],

        ["\xEB\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x3E"],
        ["\x6B\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBE"],

        ["\xEB\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x3F"],
        ["\x6B\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBF"],

        ["\xEB\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x40"],
        ["\x6B\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC0"],

        ["\xEB\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x41"],
        ["\x6B\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC1"],

        ["\xEB\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x42"],
        ["\x6B\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC2"],

        ["\xEB\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x43"],
        ["\x6B\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC3"],

        ["\xEB\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x44"],
        ["\x6B\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC4"],

        ["\xEB\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x45"],
        ["\x6B\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC5"],

        ["\xEB\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x46"],
        ["\x6B\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC6"],

        ["\xEB\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x47"],
        ["\x6B\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC7"],

        ["\xEB\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x48"],
        ["\x6B\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC8"],

        ["\xEB\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x49"],
        ["\x6B\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC9"],

        ["\xEB\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x4A"],
        ["\x6B\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCA"],

        ["\xEB\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x4B"],
        ["\x6B\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCB"],

        ["\xEB\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x4C"],
        ["\x6B\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCC"],

        ["\xEB\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x4D"],
        ["\x6B\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCD"],

        ["\xEB\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x4E"],
        ["\x6B\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCE"],

        ["\xEB\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x4F"],
        ["\x6B\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCF"],

        ["\xEB\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x50"],
        ["\x6B\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD0"],

        ["\xEB\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x51"],
        ["\x6B\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD1"],

        ["\xEB\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x52"],
        ["\x6B\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD2"],

        ["\xEB\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x53"],
        ["\x6B\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD3"],

        ["\xEB\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x54"],
        ["\x6B\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD4"],

        ["\xEB\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x55"],
        ["\x6B\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD5"],

        ["\xEB\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x56"],
        ["\x6B\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD6"],

        ["\xEB\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x57"],
        ["\x6B\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD7"],

        ["\xEB\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x58"],
        ["\x6B\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD8"],

        ["\xEB\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x59"],
        ["\x6B\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD9"],

        ["\xEB\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x5A"],
        ["\x6B\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDA"],

        ["\xEB\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x5B"],
        ["\x6B\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDB"],

        ["\xEB\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x5C"],
        ["\x6B\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDC"],

        ["\xEB\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x34\x52"],
        ["\x34\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDD"],

        ["\xEB\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x5E"],
        ["\x6B\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDE"],

        ["\xEB\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x5F"],
        ["\x6B\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDF"],

        ["\xEB\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x60"],
        ["\x6B\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE0"],

        ["\xEB\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x61"],
        ["\x6B\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE1"],

        ["\xEB\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x62"],
        ["\x6B\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE2"],

        ["\xEB\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x63"],
        ["\x6B\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE3"],

        ["\xEB\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x64"],
        ["\x6B\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE4"],

        ["\xEB\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x65"],
        ["\x6B\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE5"],

        ["\xEB\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x66"],
        ["\x6B\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE6"],

        ["\xEB\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x67"],
        ["\x6B\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE7"],

        ["\xEB\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x68"],
        ["\x6B\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE8"],

        ["\xEB\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x69"],
        ["\x6B\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE9"],

        ["\xEB\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x6A"],
        ["\x6B\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEA"],

        ["\xEB\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x6B"],
        ["\x6B\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEB"],

        ["\xEB\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x6C"],
        ["\x6B\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEC"],

        ["\xEB\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x6D"],
        ["\x6B\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xED"],

        ["\xEB\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x6E"],
        ["\x6B\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEE"],

        ["\xEB\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x6F"],
        ["\x6B\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEF"],

        ["\xEB\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x70"],
        ["\x6B\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF0"],

        ["\xEB\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x71"],
        ["\x6B\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF1"],

        ["\xEB\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x72"],
        ["\x6B\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF2"],

        ["\xEB\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x73"],
        ["\x6B\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF3"],

        ["\xEB\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x74"],
        ["\x6B\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF4"],

        ["\xEB\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x75"],
        ["\x6B\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF5"],

        ["\xEB\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x76"],
        ["\x6B\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF6"],

        ["\xEB\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x77"],
        ["\x6B\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF7"],

        ["\xEB\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x78"],
        ["\x6B\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF8"],

        ["\xEB\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x79"],
        ["\x6B\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF9"],

        ["\xEB\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x7A"],
        ["\x6B\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFA"],

        ["\xEB\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x7B"],
        ["\x6B\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFB"],

        ["\xEB\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x7C"],
        ["\x6B\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFC"],

        ["\xEB\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x7D"],
        ["\x6B\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFD"],

        ["\xEB\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6B\x7E"],
        ["\x6B\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFE"],

        ["\xEC\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x21"],
        ["\x6C\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA1"],

        ["\xEC\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x22"],
        ["\x6C\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA2"],

        ["\xEC\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x23"],
        ["\x6C\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA3"],

        ["\xEC\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x24"],
        ["\x6C\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA4"],

        ["\xEC\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x25"],
        ["\x6C\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA5"],

        ["\xEC\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x26"],
        ["\x6C\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA6"],

        ["\xEC\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x27"],
        ["\x6C\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA7"],

        ["\xEC\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x28"],
        ["\x6C\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA8"],

        ["\xEC\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x29"],
        ["\x6C\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA9"],

        ["\xEC\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x2A"],
        ["\x6C\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAA"],

        ["\xEC\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x2B"],
        ["\x6C\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAB"],

        ["\xEC\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x2C"],
        ["\x6C\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAC"],

        ["\xEC\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x2D"],
        ["\x6C\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAD"],

        ["\xEC\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x2E"],
        ["\x6C\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAE"],

        ["\xEC\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x2F"],
        ["\x6C\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAF"],

        ["\xEC\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x30"],
        ["\x6C\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB0"],

        ["\xEC\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x31"],
        ["\x6C\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB1"],

        ["\xEC\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x32"],
        ["\x6C\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB2"],

        ["\xEC\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x33"],
        ["\x6C\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB3"],

        ["\xEC\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x34"],
        ["\x6C\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB4"],

        ["\xEC\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x35"],
        ["\x6C\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB5"],

        ["\xEC\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x36"],
        ["\x6C\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB6"],

        ["\xEC\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x37"],
        ["\x6C\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB7"],

        ["\xEC\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x38"],
        ["\x6C\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB8"],

        ["\xEC\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x39"],
        ["\x6C\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB9"],

        ["\xEC\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x3A"],
        ["\x6C\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBA"],

        ["\xEC\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x3B"],
        ["\x6C\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBB"],

        ["\xEC\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x3C"],
        ["\x6C\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBC"],

        ["\xEC\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x3D"],
        ["\x6C\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBD"],

        ["\xEC\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x3E"],
        ["\x6C\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBE"],

        ["\xEC\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x3F"],
        ["\x6C\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBF"],

        ["\xEC\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x40"],
        ["\x6C\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC0"],

        ["\xEC\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x41"],
        ["\x6C\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC1"],

        ["\xEC\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x42"],
        ["\x6C\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC2"],

        ["\xEC\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x43"],
        ["\x6C\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC3"],

        ["\xEC\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x44"],
        ["\x6C\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC4"],

        ["\xEC\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x45"],
        ["\x6C\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC5"],

        ["\xEC\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x46"],
        ["\x6C\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC6"],

        ["\xEC\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x47"],
        ["\x6C\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC7"],

        ["\xEC\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x48"],
        ["\x6C\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC8"],

        ["\xEC\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x49"],
        ["\x6C\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC9"],

        ["\xEC\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4A"],
        ["\x6C\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCA"],

        ["\xEC\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4B"],
        ["\x6C\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCB"],

        ["\xEC\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4C"],
        ["\x6C\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCC"],

        ["\xEC\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x41\x28"],
        ["\x41\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCD"],

        ["\xEC\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4E"],
        ["\x6C\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCE"],

        ["\xEC\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x4F"],
        ["\x6C\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCF"],

        ["\xEC\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x50"],
        ["\x6C\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD0"],

        ["\xEC\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x51"],
        ["\x6C\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD1"],

        ["\xEC\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x52"],
        ["\x6C\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD2"],

        ["\xEC\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x53"],
        ["\x6C\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD3"],

        ["\xEC\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x54"],
        ["\x6C\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD4"],

        ["\xEC\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x55"],
        ["\x6C\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD5"],

        ["\xEC\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x56"],
        ["\x6C\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD6"],

        ["\xEC\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x57"],
        ["\x6C\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD7"],

        ["\xEC\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x58"],
        ["\x6C\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD8"],

        ["\xEC\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x59"],
        ["\x6C\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD9"],

        ["\xEC\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5A"],
        ["\x6C\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDA"],

        ["\xEC\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5B"],
        ["\x6C\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDB"],

        ["\xEC\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5C"],
        ["\x6C\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDC"],

        ["\xEC\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5D"],
        ["\x6C\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDD"],

        ["\xEC\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5E"],
        ["\x6C\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDE"],

        ["\xEC\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x5F"],
        ["\x6C\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDF"],

        ["\xEC\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x60"],
        ["\x6C\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE0"],

        ["\xEC\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x61"],
        ["\x6C\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE1"],

        ["\xEC\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x62"],
        ["\x6C\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE2"],

        ["\xEC\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x63"],
        ["\x6C\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE3"],

        ["\xEC\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x64"],
        ["\x6C\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE4"],

        ["\xEC\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x65"],
        ["\x6C\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE5"],

        ["\xEC\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x66"],
        ["\x6C\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE6"],

        ["\xEC\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x67"],
        ["\x6C\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE7"],

        ["\xEC\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x68"],
        ["\x6C\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE8"],

        ["\xEC\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x69"],
        ["\x6C\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE9"],

        ["\xEC\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6A"],
        ["\x6C\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEA"],

        ["\xEC\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6B"],
        ["\x6C\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEB"],

        ["\xEC\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6C"],
        ["\x6C\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEC"],

        ["\xEC\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6D"],
        ["\x6C\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xED"],

        ["\xEC\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6E"],
        ["\x6C\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEE"],

        ["\xEC\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x6F"],
        ["\x6C\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEF"],

        ["\xEC\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x70"],
        ["\x6C\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF0"],

        ["\xEC\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x71"],
        ["\x6C\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF1"],

        ["\xEC\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x72"],
        ["\x6C\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF2"],

        ["\xEC\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x73"],
        ["\x6C\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF3"],

        ["\xEC\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x74"],
        ["\x6C\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF4"],

        ["\xEC\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x75"],
        ["\x6C\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF5"],

        ["\xEC\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x76"],
        ["\x6C\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF6"],

        ["\xEC\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x77"],
        ["\x6C\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF7"],

        ["\xEC\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x78"],
        ["\x6C\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF8"],

        ["\xEC\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x79"],
        ["\x6C\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF9"],

        ["\xEC\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7A"],
        ["\x6C\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFA"],

        ["\xEC\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7B"],
        ["\x6C\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFB"],

        ["\xEC\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7C"],
        ["\x6C\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFC"],

        ["\xEC\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7D"],
        ["\x6C\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFD"],

        ["\xEC\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6C\x7E"],
        ["\x6C\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFE"],

        ["\xED\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x21"],
        ["\x6D\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA1"],

        ["\xED\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x22"],
        ["\x6D\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA2"],

        ["\xED\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x23"],
        ["\x6D\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA3"],

        ["\xED\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x24"],
        ["\x6D\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA4"],

        ["\xED\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x25"],
        ["\x6D\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA5"],

        ["\xED\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x26"],
        ["\x6D\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA6"],

        ["\xED\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x27"],
        ["\x6D\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA7"],

        ["\xED\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x28"],
        ["\x6D\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA8"],

        ["\xED\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x29"],
        ["\x6D\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA9"],

        ["\xED\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x2A"],
        ["\x6D\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAA"],

        ["\xED\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x2B"],
        ["\x6D\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAB"],

        ["\xED\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x2C"],
        ["\x6D\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAC"],

        ["\xED\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x2D"],
        ["\x6D\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAD"],

        ["\xED\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x2E"],
        ["\x6D\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAE"],

        ["\xED\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x2F"],
        ["\x6D\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAF"],

        ["\xED\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x30"],
        ["\x6D\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB0"],

        ["\xED\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x31"],
        ["\x6D\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB1"],

        ["\xED\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x32"],
        ["\x6D\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB2"],

        ["\xED\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x33"],
        ["\x6D\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB3"],

        ["\xED\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x34"],
        ["\x6D\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB4"],

        ["\xED\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x35"],
        ["\x6D\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB5"],

        ["\xED\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x36"],
        ["\x6D\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB6"],

        ["\xED\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x37"],
        ["\x6D\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB7"],

        ["\xED\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x38"],
        ["\x6D\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB8"],

        ["\xED\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x39"],
        ["\x6D\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB9"],

        ["\xED\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x3A"],
        ["\x6D\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBA"],

        ["\xED\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x3B"],
        ["\x6D\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBB"],

        ["\xED\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x3C"],
        ["\x6D\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBC"],

        ["\xED\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x3D"],
        ["\x6D\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBD"],

        ["\xED\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x3E"],
        ["\x6D\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBE"],

        ["\xED\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x3F"],
        ["\x6D\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBF"],

        ["\xED\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x40"],
        ["\x6D\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC0"],

        ["\xED\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x41"],
        ["\x6D\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC1"],

        ["\xED\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x42"],
        ["\x6D\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC2"],

        ["\xED\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x43"],
        ["\x6D\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC3"],

        ["\xED\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x44"],
        ["\x6D\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC4"],

        ["\xED\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x45"],
        ["\x6D\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC5"],

        ["\xED\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x46"],
        ["\x6D\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC6"],

        ["\xED\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x47"],
        ["\x6D\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC7"],

        ["\xED\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x48"],
        ["\x6D\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC8"],

        ["\xED\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x49"],
        ["\x6D\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC9"],

        ["\xED\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4A"],
        ["\x6D\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCA"],

        ["\xED\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4B"],
        ["\x6D\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCB"],

        ["\xED\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4C"],
        ["\x6D\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCC"],

        ["\xED\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4D"],
        ["\x6D\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCD"],

        ["\xED\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4E"],
        ["\x6D\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCE"],

        ["\xED\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x4F"],
        ["\x6D\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCF"],

        ["\xED\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x50"],
        ["\x6D\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD0"],

        ["\xED\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x51"],
        ["\x6D\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD1"],

        ["\xED\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x52"],
        ["\x6D\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD2"],

        ["\xED\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x53"],
        ["\x6D\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD3"],

        ["\xED\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x54"],
        ["\x6D\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD4"],

        ["\xED\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x55"],
        ["\x6D\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD5"],

        ["\xED\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x56"],
        ["\x6D\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD6"],

        ["\xED\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x57"],
        ["\x6D\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD7"],

        ["\xED\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x58"],
        ["\x6D\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD8"],

        ["\xED\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x59"],
        ["\x6D\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD9"],

        ["\xED\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5A"],
        ["\x6D\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDA"],

        ["\xED\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5B"],
        ["\x6D\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDB"],

        ["\xED\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5C"],
        ["\x6D\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDC"],

        ["\xED\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5D"],
        ["\x6D\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDD"],

        ["\xED\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5E"],
        ["\x6D\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDE"],

        ["\xED\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x5F"],
        ["\x6D\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDF"],

        ["\xED\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x60"],
        ["\x6D\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE0"],

        ["\xED\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x61"],
        ["\x6D\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE1"],

        ["\xED\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x62"],
        ["\x6D\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE2"],

        ["\xED\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x63"],
        ["\x6D\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE3"],

        ["\xED\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x64"],
        ["\x6D\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE4"],

        ["\xED\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x65"],
        ["\x6D\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE5"],

        ["\xED\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x66"],
        ["\x6D\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE6"],

        ["\xED\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x67"],
        ["\x6D\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE7"],

        ["\xED\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x68"],
        ["\x6D\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE8"],

        ["\xED\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x69"],
        ["\x6D\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE9"],

        ["\xED\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6A"],
        ["\x6D\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEA"],

        ["\xED\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6B"],
        ["\x6D\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEB"],

        ["\xED\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6C"],
        ["\x6D\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEC"],

        ["\xED\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6D"],
        ["\x6D\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xED"],

        ["\xED\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x46\x76"],
        ["\x46\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEE"],

        ["\xED\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x6F"],
        ["\x6D\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEF"],

        ["\xED\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x70"],
        ["\x6D\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF0"],

        ["\xED\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x71"],
        ["\x6D\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF1"],

        ["\xED\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x72"],
        ["\x6D\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF2"],

        ["\xED\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x73"],
        ["\x6D\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF3"],

        ["\xED\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x74"],
        ["\x6D\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF4"],

        ["\xED\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x75"],
        ["\x6D\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF5"],

        ["\xED\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x76"],
        ["\x6D\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF6"],

        ["\xED\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x77"],
        ["\x6D\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF7"],

        ["\xED\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x78"],
        ["\x6D\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF8"],

        ["\xED\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x79"],
        ["\x6D\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF9"],

        ["\xED\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7A"],
        ["\x6D\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFA"],

        ["\xED\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7B"],
        ["\x6D\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFB"],

        ["\xED\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7C"],
        ["\x6D\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFC"],

        ["\xED\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7D"],
        ["\x6D\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFD"],

        ["\xED\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6D\x7E"],
        ["\x6D\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFE"],

        ["\xEE\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x21"],
        ["\x6E\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA1"],

        ["\xEE\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x22"],
        ["\x6E\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA2"],

        ["\xEE\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x23"],
        ["\x6E\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA3"],

        ["\xEE\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x24"],
        ["\x6E\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA4"],

        ["\xEE\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x25"],
        ["\x6E\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA5"],

        ["\xEE\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x26"],
        ["\x6E\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA6"],

        ["\xEE\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x27"],
        ["\x6E\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA7"],

        ["\xEE\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x28"],
        ["\x6E\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA8"],

        ["\xEE\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x29"],
        ["\x6E\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA9"],

        ["\xEE\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x2A"],
        ["\x6E\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAA"],

        ["\xEE\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x2B"],
        ["\x6E\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAB"],

        ["\xEE\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x2C"],
        ["\x6E\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAC"],

        ["\xEE\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x2D"],
        ["\x6E\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAD"],

        ["\xEE\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x2E"],
        ["\x6E\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAE"],

        ["\xEE\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x2F"],
        ["\x6E\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAF"],

        ["\xEE\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x30"],
        ["\x6E\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB0"],

        ["\xEE\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x31"],
        ["\x6E\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB1"],

        ["\xEE\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x32"],
        ["\x6E\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB2"],

        ["\xEE\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x33"],
        ["\x6E\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB3"],

        ["\xEE\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x34"],
        ["\x6E\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB4"],

        ["\xEE\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x35"],
        ["\x6E\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB5"],

        ["\xEE\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x36"],
        ["\x6E\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB6"],

        ["\xEE\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x37"],
        ["\x6E\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB7"],

        ["\xEE\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x38"],
        ["\x6E\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB8"],

        ["\xEE\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x39"],
        ["\x6E\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB9"],

        ["\xEE\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x3A"],
        ["\x6E\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBA"],

        ["\xEE\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x3B"],
        ["\x6E\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBB"],

        ["\xEE\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x3C"],
        ["\x6E\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBC"],

        ["\xEE\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x3D"],
        ["\x6E\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBD"],

        ["\xEE\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x3E"],
        ["\x6E\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBE"],

        ["\xEE\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x3F"],
        ["\x6E\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBF"],

        ["\xEE\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x40"],
        ["\x6E\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC0"],

        ["\xEE\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x41"],
        ["\x6E\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC1"],

        ["\xEE\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x42"],
        ["\x6E\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC2"],

        ["\xEE\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x43"],
        ["\x6E\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC3"],

        ["\xEE\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x44"],
        ["\x6E\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC4"],

        ["\xEE\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x45"],
        ["\x6E\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC5"],

        ["\xEE\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x46"],
        ["\x6E\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC6"],

        ["\xEE\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x47"],
        ["\x6E\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC7"],

        ["\xEE\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x48"],
        ["\x6E\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC8"],

        ["\xEE\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x49"],
        ["\x6E\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC9"],

        ["\xEE\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4A"],
        ["\x6E\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCA"],

        ["\xEE\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4B"],
        ["\x6E\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCB"],

        ["\xEE\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4C"],
        ["\x6E\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCC"],

        ["\xEE\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4D"],
        ["\x6E\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCD"],

        ["\xEE\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4E"],
        ["\x6E\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCE"],

        ["\xEE\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x4F"],
        ["\x6E\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCF"],

        ["\xEE\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x50"],
        ["\x6E\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD0"],

        ["\xEE\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x51"],
        ["\x6E\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD1"],

        ["\xEE\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x52"],
        ["\x6E\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD2"],

        ["\xEE\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x53"],
        ["\x6E\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD3"],

        ["\xEE\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x54"],
        ["\x6E\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD4"],

        ["\xEE\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x55"],
        ["\x6E\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD5"],

        ["\xEE\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x56"],
        ["\x6E\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD6"],

        ["\xEE\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x57"],
        ["\x6E\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD7"],

        ["\xEE\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x58"],
        ["\x6E\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD8"],

        ["\xEE\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x59"],
        ["\x6E\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD9"],

        ["\xEE\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5A"],
        ["\x6E\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDA"],

        ["\xEE\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5B"],
        ["\x6E\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDB"],

        ["\xEE\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5C"],
        ["\x6E\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDC"],

        ["\xEE\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5D"],
        ["\x6E\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDD"],

        ["\xEE\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5E"],
        ["\x6E\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDE"],

        ["\xEE\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x5F"],
        ["\x6E\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDF"],

        ["\xEE\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x60"],
        ["\x6E\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE0"],

        ["\xEE\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x61"],
        ["\x6E\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE1"],

        ["\xEE\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x62"],
        ["\x6E\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE2"],

        ["\xEE\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x63"],
        ["\x6E\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE3"],

        ["\xEE\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x64"],
        ["\x6E\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE4"],

        ["\xEE\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x65"],
        ["\x6E\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE5"],

        ["\xEE\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x66"],
        ["\x6E\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE6"],

        ["\xEE\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x67"],
        ["\x6E\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE7"],

        ["\xEE\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x68"],
        ["\x6E\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE8"],

        ["\xEE\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x69"],
        ["\x6E\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE9"],

        ["\xEE\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6A"],
        ["\x6E\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEA"],

        ["\xEE\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6B"],
        ["\x6E\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEB"],

        ["\xEE\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6C"],
        ["\x6E\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEC"],

        ["\xEE\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6D"],
        ["\x6E\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xED"],

        ["\xEE\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6E"],
        ["\x6E\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEE"],

        ["\xEE\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x6F"],
        ["\x6E\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEF"],

        ["\xEE\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x70"],
        ["\x6E\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF0"],

        ["\xEE\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x71"],
        ["\x6E\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF1"],

        ["\xEE\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x72"],
        ["\x6E\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF2"],

        ["\xEE\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x73"],
        ["\x6E\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF3"],

        ["\xEE\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x74"],
        ["\x6E\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF4"],

        ["\xEE\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x75"],
        ["\x6E\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF5"],

        ["\xEE\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x76"],
        ["\x6E\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF6"],

        ["\xEE\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x77"],
        ["\x6E\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF7"],

        ["\xEE\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x78"],
        ["\x6E\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF8"],

        ["\xEE\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x79"],
        ["\x6E\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF9"],

        ["\xEE\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7A"],
        ["\x6E\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFA"],

        ["\xEE\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7B"],
        ["\x6E\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFB"],

        ["\xEE\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7C"],
        ["\x6E\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFC"],

        ["\xEE\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7D"],
        ["\x6E\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFD"],

        ["\xEE\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6E\x7E"],
        ["\x6E\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFE"],

        ["\xEF\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x21"],
        ["\x6F\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA1"],

        ["\xEF\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x22"],
        ["\x6F\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA2"],

        ["\xEF\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x23"],
        ["\x6F\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA3"],

        ["\xEF\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x24"],
        ["\x6F\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4"],

        ["\xEF\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x25"],
        ["\x6F\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA5"],

        ["\xEF\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x26"],
        ["\x6F\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA6"],

        ["\xEF\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x27"],
        ["\x6F\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7"],

        ["\xEF\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x28"],
        ["\x6F\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8"],

        ["\xEF\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x29"],
        ["\x6F\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9"],

        ["\xEF\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x2A"],
        ["\x6F\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAA"],

        ["\xEF\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x2B"],
        ["\x6F\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAB"],

        ["\xEF\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x2C"],
        ["\x6F\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAC"],

        ["\xEF\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x2D"],
        ["\x6F\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAD"],

        ["\xEF\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x2E"],
        ["\x6F\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAE"],

        ["\xEF\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x2F"],
        ["\x6F\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAF"],

        ["\xEF\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x30"],
        ["\x6F\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB0"],

        ["\xEF\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x31"],
        ["\x6F\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB1"],

        ["\xEF\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x32"],
        ["\x6F\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB2"],

        ["\xEF\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x33"],
        ["\x6F\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB3"],

        ["\xEF\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x34"],
        ["\x6F\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB4"],

        ["\xEF\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x35"],
        ["\x6F\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB5"],

        ["\xEF\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x36"],
        ["\x6F\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB6"],

        ["\xEF\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x37"],
        ["\x6F\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB7"],

        ["\xEF\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x38"],
        ["\x6F\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB8"],

        ["\xEF\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x39"],
        ["\x6F\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9"],

        ["\xEF\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x3A"],
        ["\x6F\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBA"],

        ["\xEF\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x3B"],
        ["\x6F\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBB"],

        ["\xEF\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x3C"],
        ["\x6F\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC"],

        ["\xEF\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x3D"],
        ["\x6F\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD"],

        ["\xEF\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x3E"],
        ["\x6F\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBE"],

        ["\xEF\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x3F"],
        ["\x6F\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF"],

        ["\xEF\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x40"],
        ["\x6F\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC0"],

        ["\xEF\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x41"],
        ["\x6F\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC1"],

        ["\xEF\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x42"],
        ["\x6F\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC2"],

        ["\xEF\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x43"],
        ["\x6F\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC3"],

        ["\xEF\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x44"],
        ["\x6F\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC4"],

        ["\xEF\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x45"],
        ["\x6F\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC5"],

        ["\xEF\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x46"],
        ["\x6F\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC6"],

        ["\xEF\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x47"],
        ["\x6F\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC7"],

        ["\xEF\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x48"],
        ["\x6F\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC8"],

        ["\xEF\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x49"],
        ["\x6F\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC9"],

        ["\xEF\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4A"],
        ["\x6F\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCA"],

        ["\xEF\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4B"],
        ["\x6F\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCB"],

        ["\xEF\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4C"],
        ["\x6F\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCC"],

        ["\xEF\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4D"],
        ["\x6F\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCD"],

        ["\xEF\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4E"],
        ["\x6F\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCE"],

        ["\xEF\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x4F"],
        ["\x6F\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCF"],

        ["\xEF\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x50"],
        ["\x6F\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD0"],

        ["\xEF\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x51"],
        ["\x6F\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD1"],

        ["\xEF\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x52"],
        ["\x6F\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD2"],

        ["\xEF\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x53"],
        ["\x6F\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD3"],

        ["\xEF\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x54"],
        ["\x6F\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD4"],

        ["\xEF\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x55"],
        ["\x6F\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD5"],

        ["\xEF\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x56"],
        ["\x6F\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD6"],

        ["\xEF\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x57"],
        ["\x6F\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD7"],

        ["\xEF\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x58"],
        ["\x6F\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD8"],

        ["\xEF\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x59"],
        ["\x6F\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD9"],

        ["\xEF\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5A"],
        ["\x6F\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDA"],

        ["\xEF\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5B"],
        ["\x6F\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDB"],

        ["\xEF\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5C"],
        ["\x6F\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDC"],

        ["\xEF\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5D"],
        ["\x6F\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDD"],

        ["\xEF\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5E"],
        ["\x6F\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDE"],

        ["\xEF\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x5F"],
        ["\x6F\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDF"],

        ["\xEF\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x60"],
        ["\x6F\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE0"],

        ["\xEF\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x61"],
        ["\x6F\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE1"],

        ["\xEF\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x62"],
        ["\x6F\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE2"],

        ["\xEF\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x63"],
        ["\x6F\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE3"],

        ["\xEF\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x64"],
        ["\x6F\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE4"],

        ["\xEF\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x65"],
        ["\x6F\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE5"],

        ["\xEF\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x66"],
        ["\x6F\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE6"],

        ["\xEF\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x67"],
        ["\x6F\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE7"],

        ["\xEF\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x68"],
        ["\x6F\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE8"],

        ["\xEF\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x69"],
        ["\x6F\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE9"],

        ["\xEF\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6A"],
        ["\x6F\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEA"],

        ["\xEF\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6B"],
        ["\x6F\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEB"],

        ["\xEF\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6C"],
        ["\x6F\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEC"],

        ["\xEF\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6D"],
        ["\x6F\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xED"],

        ["\xEF\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6E"],
        ["\x6F\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEE"],

        ["\xEF\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x6F"],
        ["\x6F\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEF"],

        ["\xEF\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x70"],
        ["\x6F\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF0"],

        ["\xEF\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x71"],
        ["\x6F\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF1"],

        ["\xEF\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x72"],
        ["\x6F\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF2"],

        ["\xEF\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x73"],
        ["\x6F\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF3"],

        ["\xEF\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x74"],
        ["\x6F\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF4"],

        ["\xEF\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x75"],
        ["\x6F\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF5"],

        ["\xEF\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x76"],
        ["\x6F\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF6"],

        ["\xEF\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x77"],
        ["\x6F\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF7"],

        ["\xEF\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x78"],
        ["\x6F\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF8"],

        ["\xEF\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x79"],
        ["\x6F\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF9"],

        ["\xEF\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7A"],
        ["\x6F\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFA"],

        ["\xEF\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7B"],
        ["\x6F\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFB"],

        ["\xEF\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7C"],
        ["\x6F\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFC"],

        ["\xEF\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7D"],
        ["\x6F\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFD"],

        ["\xEF\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x6F\x7E"],
        ["\x6F\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFE"],

        ["\xF0\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x21"],
        ["\x70\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],

        ["\xF0\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x22"],
        ["\x70\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2"],

        ["\xF0\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x23"],
        ["\x70\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3"],

        ["\xF0\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x24"],
        ["\x70\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4"],

        ["\xF0\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x25"],
        ["\x70\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5"],

        ["\xF0\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x26"],
        ["\x70\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6"],

        ["\xF0\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x27"],
        ["\x70\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7"],

        ["\xF0\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x28"],
        ["\x70\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8"],

        ["\xF0\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x29"],
        ["\x70\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9"],

        ["\xF0\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x2A"],
        ["\x70\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA"],

        ["\xF0\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x2B"],
        ["\x70\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],

        ["\xF0\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x2C"],
        ["\x70\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAC"],

        ["\xF0\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x2D"],
        ["\x70\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAD"],

        ["\xF0\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x2E"],
        ["\x70\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAE"],

        ["\xF0\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x2F"],
        ["\x70\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAF"],

        ["\xF0\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x30"],
        ["\x70\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],

        ["\xF0\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x31"],
        ["\x70\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB1"],

        ["\xF0\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x32"],
        ["\x70\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB2"],

        ["\xF0\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x33"],
        ["\x70\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB3"],

        ["\xF0\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x34"],
        ["\x70\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB4"],

        ["\xF0\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x35"],
        ["\x70\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB5"],

        ["\xF0\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x36"],
        ["\x70\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB6"],

        ["\xF0\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x37"],
        ["\x70\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB7"],

        ["\xF0\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x38"],
        ["\x70\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB8"],

        ["\xF0\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x39"],
        ["\x70\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB9"],

        ["\xF0\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x3A"],
        ["\x70\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBA"],

        ["\xF0\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x3B"],
        ["\x70\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBB"],

        ["\xF0\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x3C"],
        ["\x70\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBC"],

        ["\xF0\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x3D"],
        ["\x70\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBD"],

        ["\xF0\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x3E"],
        ["\x70\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBE"],

        ["\xF0\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x3F"],
        ["\x70\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBF"],

        ["\xF0\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x40"],
        ["\x70\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],

        ["\xF0\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x41"],
        ["\x70\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],

        ["\xF0\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x42"],
        ["\x70\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],

        ["\xF0\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x43"],
        ["\x70\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],

        ["\xF0\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x44"],
        ["\x70\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],

        ["\xF0\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x45"],
        ["\x70\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],

        ["\xF0\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x46"],
        ["\x70\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],

        ["\xF0\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x47"],
        ["\x70\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],

        ["\xF0\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x48"],
        ["\x70\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],

        ["\xF0\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x49"],
        ["\x70\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],

        ["\xF0\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4A"],
        ["\x70\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCA"],

        ["\xF0\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4B"],
        ["\x70\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCB"],

        ["\xF0\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4C"],
        ["\x70\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCC"],

        ["\xF0\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4D"],
        ["\x70\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCD"],

        ["\xF0\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4E"],
        ["\x70\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCE"],

        ["\xF0\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x4F"],
        ["\x70\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCF"],

        ["\xF0\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x50"],
        ["\x70\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],

        ["\xF0\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x51"],
        ["\x70\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],

        ["\xF0\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x52"],
        ["\x70\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],

        ["\xF0\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x53"],
        ["\x70\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],

        ["\xF0\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x54"],
        ["\x70\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],

        ["\xF0\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x55"],
        ["\x70\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],

        ["\xF0\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x56"],
        ["\x70\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],

        ["\xF0\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x3F\x59"],
        ["\x3F\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],

        ["\xF0\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x58"],
        ["\x70\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],

        ["\xF0\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x59"],
        ["\x70\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],

        ["\xF0\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5A"],
        ["\x70\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDA"],

        ["\xF0\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5B"],
        ["\x70\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDB"],

        ["\xF0\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5C"],
        ["\x70\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDC"],

        ["\xF0\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5D"],
        ["\x70\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDD"],

        ["\xF0\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5E"],
        ["\x70\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDE"],

        ["\xF0\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x5F"],
        ["\x70\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDF"],

        ["\xF0\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x60"],
        ["\x70\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],

        ["\xF0\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x61"],
        ["\x70\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE1"],

        ["\xF0\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x62"],
        ["\x70\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],

        ["\xF0\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x63"],
        ["\x70\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],

        ["\xF0\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x64"],
        ["\x70\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],

        ["\xF0\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x65"],
        ["\x70\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],

        ["\xF0\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x66"],
        ["\x70\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],

        ["\xF0\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x67"],
        ["\x70\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],

        ["\xF0\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x68"],
        ["\x70\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],

        ["\xF0\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x69"],
        ["\x70\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],

        ["\xF0\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6A"],
        ["\x70\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEA"],

        ["\xF0\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6B"],
        ["\x70\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEB"],

        ["\xF0\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6C"],
        ["\x70\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEC"],

        ["\xF0\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6D"],
        ["\x70\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xED"],

        ["\xF0\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6E"],
        ["\x70\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEE"],

        ["\xF0\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x6F"],
        ["\x70\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEF"],

        ["\xF0\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x70"],
        ["\x70\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],

        ["\xF0\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x71"],
        ["\x70\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],

        ["\xF0\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x72"],
        ["\x70\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],

        ["\xF0\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x73"],
        ["\x70\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],

        ["\xF0\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x37\x5B"],
        ["\x37\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],

        ["\xF0\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x75"],
        ["\x70\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],

        ["\xF0\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x76"],
        ["\x70\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],

        ["\xF0\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x77"],
        ["\x70\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],

        ["\xF0\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x78"],
        ["\x70\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],

        ["\xF0\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x79"],
        ["\x70\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],

        ["\xF0\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7A"],
        ["\x70\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFA"],

        ["\xF0\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7B"],
        ["\x70\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFB"],

        ["\xF0\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7C"],
        ["\x70\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFC"],

        ["\xF0\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7D"],
        ["\x70\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFD"],

        ["\xF0\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x70\x7E"],
        ["\x70\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFE"],

        ["\xF1\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x21"],
        ["\x71\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],

        ["\xF1\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x22"],
        ["\x71\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA2"],

        ["\xF1\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x23"],
        ["\x71\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA3"],

        ["\xF1\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x24"],
        ["\x71\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA4"],

        ["\xF1\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x25"],
        ["\x71\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA5"],

        ["\xF1\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x26"],
        ["\x71\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA6"],

        ["\xF1\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x27"],
        ["\x71\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA7"],

        ["\xF1\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x28"],
        ["\x71\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA8"],

        ["\xF1\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x29"],
        ["\x71\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA9"],

        ["\xF1\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x2A"],
        ["\x71\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAA"],

        ["\xF1\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x2B"],
        ["\x71\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],

        ["\xF1\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x2C"],
        ["\x71\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAC"],

        ["\xF1\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x2D"],
        ["\x71\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAD"],

        ["\xF1\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x2E"],
        ["\x71\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAE"],

        ["\xF1\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x2F"],
        ["\x71\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAF"],

        ["\xF1\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x30"],
        ["\x71\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],

        ["\xF1\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x31"],
        ["\x71\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB1"],

        ["\xF1\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x32"],
        ["\x71\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB2"],

        ["\xF1\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x33"],
        ["\x71\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB3"],

        ["\xF1\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x34"],
        ["\x71\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB4"],

        ["\xF1\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x35"],
        ["\x71\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB5"],

        ["\xF1\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x36"],
        ["\x71\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB6"],

        ["\xF1\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x37"],
        ["\x71\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB7"],

        ["\xF1\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x38"],
        ["\x71\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB8"],

        ["\xF1\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x39"],
        ["\x71\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB9"],

        ["\xF1\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x3A"],
        ["\x71\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBA"],

        ["\xF1\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x3B"],
        ["\x71\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBB"],

        ["\xF1\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x3C"],
        ["\x71\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBC"],

        ["\xF1\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x3D"],
        ["\x71\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBD"],

        ["\xF1\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x3E"],
        ["\x71\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBE"],

        ["\xF1\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x3F"],
        ["\x71\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xBF"],

        ["\xF1\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x40"],
        ["\x71\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC0"],

        ["\xF1\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x41"],
        ["\x71\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC1"],

        ["\xF1\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x42"],
        ["\x71\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC2"],

        ["\xF1\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x43"],
        ["\x71\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC3"],

        ["\xF1\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x44"],
        ["\x71\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC4"],

        ["\xF1\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x45"],
        ["\x71\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC5"],

        ["\xF1\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x46"],
        ["\x71\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC6"],

        ["\xF1\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x47"],
        ["\x71\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC7"],

        ["\xF1\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x48"],
        ["\x71\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC8"],

        ["\xF1\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x49"],
        ["\x71\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xC9"],

        ["\xF1\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4A"],
        ["\x71\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCA"],

        ["\xF1\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4B"],
        ["\x71\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCB"],

        ["\xF1\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4C"],
        ["\x71\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCC"],

        ["\xF1\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4D"],
        ["\x71\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCD"],

        ["\xF1\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4E"],
        ["\x71\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCE"],

        ["\xF1\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x4F"],
        ["\x71\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xCF"],

        ["\xF1\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x50"],
        ["\x71\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD0"],

        ["\xF1\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x51"],
        ["\x71\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD1"],

        ["\xF1\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x52"],
        ["\x71\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD2"],

        ["\xF1\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x53"],
        ["\x71\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD3"],

        ["\xF1\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x54"],
        ["\x71\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD4"],

        ["\xF1\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x55"],
        ["\x71\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD5"],

        ["\xF1\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x56"],
        ["\x71\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD6"],

        ["\xF1\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x57"],
        ["\x71\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD7"],

        ["\xF1\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x58"],
        ["\x71\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD8"],

        ["\xF1\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x59"],
        ["\x71\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xD9"],

        ["\xF1\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5A"],
        ["\x71\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDA"],

        ["\xF1\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5B"],
        ["\x71\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDB"],

        ["\xF1\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5C"],
        ["\x71\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDC"],

        ["\xF1\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5D"],
        ["\x71\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDD"],

        ["\xF1\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5E"],
        ["\x71\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDE"],

        ["\xF1\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x5F"],
        ["\x71\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xDF"],

        ["\xF1\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x60"],
        ["\x71\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE0"],

        ["\xF1\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x61"],
        ["\x71\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE1"],

        ["\xF1\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x62"],
        ["\x71\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE2"],

        ["\xF1\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x63"],
        ["\x71\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE3"],

        ["\xF1\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x64"],
        ["\x71\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE4"],

        ["\xF1\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x65"],
        ["\x71\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE5"],

        ["\xF1\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x66"],
        ["\x71\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE6"],

        ["\xF1\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x67"],
        ["\x71\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE7"],

        ["\xF1\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x68"],
        ["\x71\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE8"],

        ["\xF1\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x69"],
        ["\x71\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xE9"],

        ["\xF1\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6A"],
        ["\x71\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEA"],

        ["\xF1\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6B"],
        ["\x71\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEB"],

        ["\xF1\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6C"],
        ["\x71\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEC"],

        ["\xF1\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6D"],
        ["\x71\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xED"],

        ["\xF1\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6E"],
        ["\x71\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEE"],

        ["\xF1\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x6F"],
        ["\x71\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xEF"],

        ["\xF1\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x70"],
        ["\x71\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF0"],

        ["\xF1\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x71"],
        ["\x71\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF1"],

        ["\xF1\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x72"],
        ["\x71\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF2"],

        ["\xF1\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x73"],
        ["\x71\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF3"],

        ["\xF1\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x74"],
        ["\x71\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF4"],

        ["\xF1\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x75"],
        ["\x71\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF5"],

        ["\xF1\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x76"],
        ["\x71\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF6"],

        ["\xF1\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x77"],
        ["\x71\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF7"],

        ["\xF1\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x78"],
        ["\x71\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF8"],

        ["\xF1\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x79"],
        ["\x71\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xF9"],

        ["\xF1\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7A"],
        ["\x71\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFA"],

        ["\xF1\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7B"],
        ["\x71\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFB"],

        ["\xF1\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7C"],
        ["\x71\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFC"],

        ["\xF1\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7D"],
        ["\x71\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFD"],

        ["\xF1\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x71\x7E"],
        ["\x71\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xFE"],

        ["\xF2\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x21"],
        ["\x72\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA1"],

        ["\xF2\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x22"],
        ["\x72\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA2"],

        ["\xF2\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x23"],
        ["\x72\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA3"],

        ["\xF2\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x24"],
        ["\x72\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA4"],

        ["\xF2\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x25"],
        ["\x72\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA5"],

        ["\xF2\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x26"],
        ["\x72\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA6"],

        ["\xF2\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x27"],
        ["\x72\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA7"],

        ["\xF2\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x28"],
        ["\x72\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA8"],

        ["\xF2\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x29"],
        ["\x72\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xA9"],

        ["\xF2\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x2A"],
        ["\x72\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAA"],

        ["\xF2\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x2B"],
        ["\x72\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAB"],

        ["\xF2\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x2C"],
        ["\x72\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAC"],

        ["\xF2\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x2D"],
        ["\x72\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAD"],

        ["\xF2\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x2E"],
        ["\x72\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAE"],

        ["\xF2\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x2F"],
        ["\x72\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xAF"],

        ["\xF2\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x30"],
        ["\x72\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB0"],

        ["\xF2\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x31"],
        ["\x72\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB1"],

        ["\xF2\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x32"],
        ["\x72\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB2"],

        ["\xF2\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x33"],
        ["\x72\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB3"],

        ["\xF2\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x34"],
        ["\x72\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB4"],

        ["\xF2\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x35"],
        ["\x72\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB5"],

        ["\xF2\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x36"],
        ["\x72\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB6"],

        ["\xF2\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x37"],
        ["\x72\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB7"],

        ["\xF2\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x38"],
        ["\x72\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB8"],

        ["\xF2\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x39"],
        ["\x72\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xB9"],

        ["\xF2\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x3A"],
        ["\x72\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBA"],

        ["\xF2\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x3B"],
        ["\x72\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBB"],

        ["\xF2\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x3C"],
        ["\x72\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBC"],

        ["\xF2\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x3D"],
        ["\x72\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBD"],

        ["\xF2\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x3E"],
        ["\x72\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBE"],

        ["\xF2\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x3F"],
        ["\x72\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xBF"],

        ["\xF2\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x40"],
        ["\x72\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC0"],

        ["\xF2\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x41"],
        ["\x72\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC1"],

        ["\xF2\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x42"],
        ["\x72\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC2"],

        ["\xF2\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x43"],
        ["\x72\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC3"],

        ["\xF2\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x44"],
        ["\x72\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC4"],

        ["\xF2\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x45"],
        ["\x72\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC5"],

        ["\xF2\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x46"],
        ["\x72\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC6"],

        ["\xF2\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x47"],
        ["\x72\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC7"],

        ["\xF2\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x48"],
        ["\x72\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC8"],

        ["\xF2\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x49"],
        ["\x72\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xC9"],

        ["\xF2\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4A"],
        ["\x72\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCA"],

        ["\xF2\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4B"],
        ["\x72\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCB"],

        ["\xF2\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4C"],
        ["\x72\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCC"],

        ["\xF2\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x30\x33"],
        ["\x30\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCD"],

        ["\xF2\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4E"],
        ["\x72\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCE"],

        ["\xF2\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x4F"],
        ["\x72\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xCF"],

        ["\xF2\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x50"],
        ["\x72\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD0"],

        ["\xF2\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x51"],
        ["\x72\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD1"],

        ["\xF2\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x52"],
        ["\x72\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD2"],

        ["\xF2\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x53"],
        ["\x72\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD3"],

        ["\xF2\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x54"],
        ["\x72\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD4"],

        ["\xF2\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x55"],
        ["\x72\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD5"],

        ["\xF2\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x56"],
        ["\x72\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD6"],

        ["\xF2\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x57"],
        ["\x72\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD7"],

        ["\xF2\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x58"],
        ["\x72\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD8"],

        ["\xF2\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x59"],
        ["\x72\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xD9"],

        ["\xF2\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5A"],
        ["\x72\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDA"],

        ["\xF2\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5B"],
        ["\x72\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDB"],

        ["\xF2\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5C"],
        ["\x72\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDC"],

        ["\xF2\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5D"],
        ["\x72\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDD"],

        ["\xF2\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5E"],
        ["\x72\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDE"],

        ["\xF2\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x5F"],
        ["\x72\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xDF"],

        ["\xF2\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x60"],
        ["\x72\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE0"],

        ["\xF2\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x61"],
        ["\x72\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE1"],

        ["\xF2\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x62"],
        ["\x72\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE2"],

        ["\xF2\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x63"],
        ["\x72\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE3"],

        ["\xF2\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x64"],
        ["\x72\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE4"],

        ["\xF2\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x65"],
        ["\x72\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE5"],

        ["\xF2\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x66"],
        ["\x72\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE6"],

        ["\xF2\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x67"],
        ["\x72\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE7"],

        ["\xF2\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x68"],
        ["\x72\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE8"],

        ["\xF2\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x69"],
        ["\x72\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xE9"],

        ["\xF2\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6A"],
        ["\x72\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEA"],

        ["\xF2\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6B"],
        ["\x72\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEB"],

        ["\xF2\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6C"],
        ["\x72\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEC"],

        ["\xF2\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6D"],
        ["\x72\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xED"],

        ["\xF2\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6E"],
        ["\x72\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEE"],

        ["\xF2\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x6F"],
        ["\x72\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xEF"],

        ["\xF2\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x70"],
        ["\x72\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF0"],

        ["\xF2\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x71"],
        ["\x72\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF1"],

        ["\xF2\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x72"],
        ["\x72\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF2"],

        ["\xF2\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x73"],
        ["\x72\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF3"],

        ["\xF2\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x32\x29"],
        ["\x32\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF4"],

        ["\xF2\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x75"],
        ["\x72\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF5"],

        ["\xF2\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x76"],
        ["\x72\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF6"],

        ["\xF2\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x77"],
        ["\x72\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF7"],

        ["\xF2\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x78"],
        ["\x72\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF8"],

        ["\xF2\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x79"],
        ["\x72\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xF9"],

        ["\xF2\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7A"],
        ["\x72\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFA"],

        ["\xF2\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7B"],
        ["\x72\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFB"],

        ["\xF2\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7C"],
        ["\x72\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFC"],

        ["\xF2\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7D"],
        ["\x72\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFD"],

        ["\xF2\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x72\x7E"],
        ["\x72\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF2\xFE"],

        ["\xF3\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x21"],
        ["\x73\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA1"],

        ["\xF3\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x22"],
        ["\x73\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA2"],

        ["\xF3\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x23"],
        ["\x73\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA3"],

        ["\xF3\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x24"],
        ["\x73\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA4"],

        ["\xF3\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x25"],
        ["\x73\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA5"],

        ["\xF3\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x26"],
        ["\x73\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA6"],

        ["\xF3\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x27"],
        ["\x73\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA7"],

        ["\xF3\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x28"],
        ["\x73\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA8"],

        ["\xF3\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x29"],
        ["\x73\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xA9"],

        ["\xF3\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x2A"],
        ["\x73\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAA"],

        ["\xF3\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x2B"],
        ["\x73\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAB"],

        ["\xF3\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x2C"],
        ["\x73\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAC"],

        ["\xF3\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x2D"],
        ["\x73\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAD"],

        ["\xF3\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x2E"],
        ["\x73\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAE"],

        ["\xF3\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x2F"],
        ["\x73\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xAF"],

        ["\xF3\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x30"],
        ["\x73\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0"],

        ["\xF3\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x31"],
        ["\x73\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1"],

        ["\xF3\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x32"],
        ["\x73\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2"],

        ["\xF3\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x33"],
        ["\x73\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3"],

        ["\xF3\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x34"],
        ["\x73\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4"],

        ["\xF3\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x35"],
        ["\x73\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5"],

        ["\xF3\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x36"],
        ["\x73\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB6"],

        ["\xF3\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x37"],
        ["\x73\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB7"],

        ["\xF3\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x38"],
        ["\x73\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB8"],

        ["\xF3\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x39"],
        ["\x73\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB9"],

        ["\xF3\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x3A"],
        ["\x73\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBA"],

        ["\xF3\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x3B"],
        ["\x73\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBB"],

        ["\xF3\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x3C"],
        ["\x73\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBC"],

        ["\xF3\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x3D"],
        ["\x73\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBD"],

        ["\xF3\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x3E"],
        ["\x73\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBE"],

        ["\xF3\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x3F"],
        ["\x73\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xBF"],

        ["\xF3\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x40"],
        ["\x73\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC0"],

        ["\xF3\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x41"],
        ["\x73\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC1"],

        ["\xF3\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x42"],
        ["\x73\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC2"],

        ["\xF3\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x43"],
        ["\x73\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC3"],

        ["\xF3\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x44"],
        ["\x73\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC4"],

        ["\xF3\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x45"],
        ["\x73\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC5"],

        ["\xF3\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x46"],
        ["\x73\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC6"],

        ["\xF3\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x47"],
        ["\x73\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC7"],

        ["\xF3\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x48"],
        ["\x73\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC8"],

        ["\xF3\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x49"],
        ["\x73\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xC9"],

        ["\xF3\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4A"],
        ["\x73\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCA"],

        ["\xF3\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4B"],
        ["\x73\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCB"],

        ["\xF3\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4C"],
        ["\x73\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCC"],

        ["\xF3\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4D"],
        ["\x73\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCD"],

        ["\xF3\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4E"],
        ["\x73\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCE"],

        ["\xF3\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x4F"],
        ["\x73\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xCF"],

        ["\xF3\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x50"],
        ["\x73\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD0"],

        ["\xF3\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x51"],
        ["\x73\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD1"],

        ["\xF3\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x52"],
        ["\x73\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD2"],

        ["\xF3\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x53"],
        ["\x73\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD3"],

        ["\xF3\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x54"],
        ["\x73\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD4"],

        ["\xF3\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x55"],
        ["\x73\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD5"],

        ["\xF3\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x56"],
        ["\x73\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD6"],

        ["\xF3\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x57"],
        ["\x73\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD7"],

        ["\xF3\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x58"],
        ["\x73\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD8"],

        ["\xF3\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x59"],
        ["\x73\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xD9"],

        ["\xF3\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5A"],
        ["\x73\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDA"],

        ["\xF3\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5B"],
        ["\x73\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDB"],

        ["\xF3\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5C"],
        ["\x73\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDC"],

        ["\xF3\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5D"],
        ["\x73\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDD"],

        ["\xF3\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5E"],
        ["\x73\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDE"],

        ["\xF3\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x5F"],
        ["\x73\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xDF"],

        ["\xF3\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x60"],
        ["\x73\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE0"],

        ["\xF3\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x61"],
        ["\x73\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE1"],

        ["\xF3\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x62"],
        ["\x73\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE2"],

        ["\xF3\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x63"],
        ["\x73\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE3"],

        ["\xF3\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x64"],
        ["\x73\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE4"],

        ["\xF3\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x65"],
        ["\x73\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE5"],

        ["\xF3\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x66"],
        ["\x73\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE6"],

        ["\xF3\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x67"],
        ["\x73\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE7"],

        ["\xF3\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x68"],
        ["\x73\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE8"],

        ["\xF3\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x69"],
        ["\x73\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xE9"],

        ["\xF3\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6A"],
        ["\x73\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEA"],

        ["\xF3\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6B"],
        ["\x73\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEB"],

        ["\xF3\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6C"],
        ["\x73\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEC"],

        ["\xF3\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6D"],
        ["\x73\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xED"],

        ["\xF3\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6E"],
        ["\x73\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEE"],

        ["\xF3\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x6F"],
        ["\x73\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xEF"],

        ["\xF3\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x70"],
        ["\x73\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF0"],

        ["\xF3\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x71"],
        ["\x73\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF1"],

        ["\xF3\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x72"],
        ["\x73\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF2"],

        ["\xF3\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x73"],
        ["\x73\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF3"],

        ["\xF3\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x74"],
        ["\x73\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF4"],

        ["\xF3\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x75"],
        ["\x73\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF5"],

        ["\xF3\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x76"],
        ["\x73\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF6"],

        ["\xF3\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x77"],
        ["\x73\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF7"],

        ["\xF3\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x78"],
        ["\x73\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF8"],

        ["\xF3\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x79"],
        ["\x73\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xF9"],

        ["\xF3\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7A"],
        ["\x73\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFA"],

        ["\xF3\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7B"],
        ["\x73\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFB"],

        ["\xF3\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7C"],
        ["\x73\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFC"],

        ["\xF3\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7D"],
        ["\x73\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFD"],

        ["\xF3\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x73\x7E"],
        ["\x73\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xFE"],

        ["\xF4\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x36\x46"],
        ["\x36\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xA1"],

        ["\xF4\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4B\x6A"],
        ["\x4B\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xA2"],

        ["\xF4\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x4D\x5A"],
        ["\x4D\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xA3"],

        ["\xF4\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x60\x76"],
        ["\x60\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xA4"],

        ["\xF4\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],
        ["\xB4\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xA5"],

        ["\xF4\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],
        ["\xC3\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF4\xA6"],

        ["\x31\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBD"],
        ["\xA2\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF0"],

        ["\x31\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBE"],
        ["\xA2\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF1"],

        ["\x31\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xBF"],
        ["\xA2\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF2"],

        ["\x31\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xC0"],
        ["\xA2\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF3"],

        ["\x31\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xC1"],
        ["\xA2\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF4"],

        ["\x31\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xC2"],
        ["\xA2\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF5"],

        ["\x31\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xC3"],
        ["\xA2\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF6"],

        ["\x31\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xC4"],
        ["\xA2\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF7"],

        ["\x31\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xC5"],
        ["\xA2\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF8"],

        ["\x31\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xC6"],
        ["\xA2\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xF9"],

        ["\x31\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xFB"],
        ["\xA5\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xFA"],

        ["\x31\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF9"],
        ["\xA3\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xFB"],

        ["\x31\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xFA"],
        ["\xA3\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xFC"],

        ["\xD4\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],
        ["\xC9\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x63"],

        ["\xDC\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],
        ["\xCE\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x5F"],

        ["\xE4\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB9"],
        ["\xD2\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x69"],

        ["\xE3\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xED"],
        ["\xD1\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x78"],

        ["\xD9\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],
        ["\xCC\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x21"],

        ["\xB1\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF6"],
        ["\xB2\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x3B"],

        ["\x31\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFE"],
        ["\xC2\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xFD"],

        ["\xC2\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBF"],
        ["\xBD\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x2D"],

        ["\xC3\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB7"],
        ["\xBF\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7C"],

        ["\xE4\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB6"],
        ["\xD2\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x50"],

        ["\xC2\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD5"],
        ["\xBD\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x3F"],

        ["\xBC\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC7"],
        ["\xBA\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x74"],

        ["\xB0\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAB"],
        ["\xB2\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x29"],

        ["\xB0\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC2"],
        ["\xB2\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x48"],

        ["\x31\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD3"],
        ["\xB2\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x31\xFE"],

        ["\xB0\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],
        ["\xB2\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x52"],

        ["\xB0\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],
        ["\xB2\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x54"],

        ["\xB0\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],
        ["\xB2\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x63"],

        ["\xB0\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD6"],
        ["\xB2\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x6E"],

        ["\xB1\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],
        ["\xB2\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x27"],

        ["\xB1\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE7"],
        ["\xB2\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x23"],

        ["\xB1\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDA"],
        ["\xBA\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x2C"],

        ["\xB1\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE1"],
        ["\xB2\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x29"],

        ["\xB1\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF5"],
        ["\xB2\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x3E"],

        ["\xB1\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],
        ["\xB3\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x5F"],

        ["\xB1\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA1"],
        ["\xB3\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x58"],

        ["\xB1\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],
        ["\xB3\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x48"],

        ["\xB1\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],
        ["\xB3\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x57"],

        ["\xB1\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC0"],
        ["\xB3\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x63"],

        ["\xB1\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC3"],
        ["\xB3\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x74"],

        ["\xB1\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC4"],
        ["\xB3\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x61"],

        ["\xB2\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xC6"],
        ["\xB3\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x23"],

        ["\x32\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD2"],
        ["\xB3\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xA1"],

        ["\xB2\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD5"],
        ["\xB3\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x3B"],

        ["\xB2\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE8"],
        ["\xB3\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x66"],

        ["\xB2\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF0"],
        ["\xB3\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x6D"],

        ["\xB2\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xF7"],
        ["\xB3\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x75"],

        ["\xB2\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],
        ["\xB4\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x7C"],

        ["\x32\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA8"],
        ["\xD4\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xA2"],

        ["\xB3\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],
        ["\xB4\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x35"],

        ["\xB3\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC1"],
        ["\xB4\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x58"],

        ["\xB3\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC3"],
        ["\xB4\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x5B"],

        ["\xB3\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD0"],
        ["\xB4\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x65"],

        ["\xB3\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD8"],
        ["\xB4\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x6E"],

        ["\xB3\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE8"],
        ["\xB4\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x7B"],

        ["\x32\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],
        ["\xB4\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xA3"],

        ["\x32\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],
        ["\xB4\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xA4"],

        ["\xB4\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],
        ["\xB5\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x40"],

        ["\xB4\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],
        ["\xB5\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x47"],

        ["\xB4\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB1"],
        ["\xB5\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x50"],

        ["\xB4\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],
        ["\xB5\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x5E"],

        ["\x32\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],
        ["\xB5\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xA5"],

        ["\xB5\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD3"],
        ["\xB5\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x2A"],

        ["\x32\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],
        ["\xB5\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xA6"],

        ["\xB5\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],
        ["\xB5\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x2F"],

        ["\xB5\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE0"],
        ["\xB5\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x44"],

        ["\xB5\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],
        ["\xB5\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x68"],

        ["\x32\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD6"],
        ["\xB6\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xA7"],

        ["\xB7\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],
        ["\xB6\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x42"],

        ["\xB7\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE3"],
        ["\xB6\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x64"],

        ["\xB7\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE5"],
        ["\xB6\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x68"],

        ["\xB7\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE6"],
        ["\xB6\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x67"],

        ["\x32\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE7"],
        ["\xB6\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xA8"],

        ["\x32\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x44\x4D"],
        ["\x44\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xA9"],

        ["\x32\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],
        ["\xB7\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xAA"],

        ["\xB8\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],
        ["\xB7\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x4E"],

        ["\xB8\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],
        ["\xB7\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x61"],

        ["\xB8\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],
        ["\xB7\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x75"],

        ["\xB8\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],
        ["\xB7\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x77"],

        ["\xB8\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],
        ["\xB7\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x78"],

        ["\xB8\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD3"],
        ["\xB7\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x7C"],

        ["\xB9\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],
        ["\xB7\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x2F"],

        ["\xB9\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE4"],
        ["\xB7\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x37"],

        ["\xBA\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],
        ["\xB8\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x3E"],

        ["\xBA\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],
        ["\xB8\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x5B"],

        ["\xCD\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],
        ["\xB8\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x2A"],

        ["\xBA\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],
        ["\xB8\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x61"],

        ["\x32\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xD4"],
        ["\xB8\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xAB"],

        ["\xBA\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE3"],
        ["\xB8\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x6B"],

        ["\xBB\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],
        ["\xB8\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x33"],

        ["\xBB\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF9"],
        ["\xB8\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x38"],

        ["\x32\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],
        ["\xB9\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xAC"],

        ["\xBB\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB1"],
        ["\xB9\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x4A"],

        ["\x32\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB7"],
        ["\xC6\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xAD"],

        ["\x32\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],
        ["\xB9\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xAE"],

        ["\xBB\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],
        ["\xB9\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x50"],

        ["\xBB\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC0"],
        ["\xB9\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x5E"],

        ["\xBB\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD3"],
        ["\xB9\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x74"],

        ["\xBB\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD5"],
        ["\xB9\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x75"],

        ["\xBB\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],
        ["\xB9\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x79"],

        ["\xBC\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBF"],
        ["\xBA\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x64"],

        ["\xBC\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC1"],
        ["\xBA\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x6D"],

        ["\xBC\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD1"],
        ["\xBA\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x7E"],

        ["\x32\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEC"],
        ["\xBA\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xAF"],

        ["\xBD\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xFE"],
        ["\xBA\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x42"],

        ["\xBD\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA9"],
        ["\xBB\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x67"],

        ["\x32\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB1"],
        ["\xBB\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB0"],

        ["\xBD\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE5"],
        ["\xB5\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x70"],

        ["\xBE\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC4"],
        ["\xBB\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x30"],

        ["\xBE\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBD"],
        ["\xBB\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x2C"],

        ["\x32\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC9"],
        ["\xBB\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB1"],

        ["\xBE\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCE"],
        ["\xBB\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x33"],

        ["\xBE\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD4"],
        ["\xBB\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x3D"],

        ["\xBE\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD6"],
        ["\xBB\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x4D"],

        ["\xBE\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xD8"],
        ["\xBB\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x49"],

        ["\xBE\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],
        ["\xB6\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x64"],

        ["\xBF\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF9"],
        ["\xBB\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x28"],

        ["\xBF\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB1"],
        ["\xBC\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x49"],

        ["\xC0\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCC"],
        ["\xBC\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x44"],

        ["\xC0\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD9"],
        ["\xBC\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x64"],

        ["\xC0\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDB"],
        ["\xBC\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x74"],

        ["\xC1\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDC"],
        ["\xBC\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x26"],

        ["\x32\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF0"],
        ["\xBC\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB2"],

        ["\xC1\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBD"],
        ["\xBD\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x75"],

        ["\xC1\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB5"],
        ["\xBD\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x7C"],

        ["\x32\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x37"],
        ["\x39\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB3"],

        ["\xC1\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB7"],
        ["\xBD\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x78"],

        ["\xC2\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC2"],
        ["\xBD\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x2B"],

        ["\xC2\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC4"],
        ["\xBD\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x21"],

        ["\xC2\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC7"],
        ["\xBD\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x25"],

        ["\x32\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD6"],
        ["\xBD\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB4"],

        ["\xC2\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE0"],
        ["\xBD\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x38"],

        ["\xC2\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDE"],
        ["\xBD\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x3A"],

        ["\x32\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE4"],
        ["\xBD\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB5"],

        ["\xC2\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE6"],
        ["\xBD\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x44"],

        ["\xC2\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF7"],
        ["\xBD\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x52"],

        ["\xC2\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],
        ["\xC5\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x57"],

        ["\xC2\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA5"],
        ["\xBE\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5B"],

        ["\xC2\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAC"],
        ["\xBE\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5E"],

        ["\xC2\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD1"],
        ["\xBD\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x6D"],

        ["\xC2\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBC"],
        ["\xBE\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x70"],

        ["\x32\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBE"],
        ["\xBE\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB6"],

        ["\xC3\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC8"],
        ["\xBE\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x21"],

        ["\xC3\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD9"],
        ["\xBE\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x35"],

        ["\xC3\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE5"],
        ["\xBE\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x49"],

        ["\xC3\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE8"],
        ["\xBE\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x39"],

        ["\x32\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE2"],
        ["\xBE\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB7"],

        ["\xC3\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF0"],
        ["\xBE\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x58"],

        ["\xC3\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBA"],
        ["\xBF\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7E"],

        ["\x32\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBC"],
        ["\xBF\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB8"],

        ["\xC4\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC0"],
        ["\xBF\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x4C"],

        ["\x32\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD7"],
        ["\xBF\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xB9"],

        ["\xC4\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAA"],
        ["\xC6\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x59"],

        ["\xC4\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE4"],
        ["\xBF\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6A"],

        ["\xC4\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE5"],
        ["\xBF\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x7D"],

        ["\x32\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE6"],
        ["\xBF\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xBA"],

        ["\xC5\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEC"],
        ["\xBF\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x27"],

        ["\xC5\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF0"],
        ["\xBF\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x35"],

        ["\xC5\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF8"],
        ["\xBF\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x36"],

        ["\x32\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA8"],
        ["\xC0\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xBB"],

        ["\xC5\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA5"],
        ["\xC0\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x55"],

        ["\xC6\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCF"],
        ["\xC0\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x38"],

        ["\xC6\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],
        ["\xC0\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x57"],

        ["\xC6\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDE"],
        ["\xC0\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x60"],

        ["\xC6\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],
        ["\xC0\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6A"],

        ["\xC6\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEB"],
        ["\xC0\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x63"],

        ["\xC7\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],
        ["\xC0\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x21"],

        ["\xC7\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA7"],
        ["\xC1\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x2B"],

        ["\xC7\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB6"],
        ["\xC1\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x47"],

        ["\xC7\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],
        ["\xC1\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x43"],

        ["\xC7\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBF"],
        ["\xC1\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4B"],

        ["\xC7\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCA"],
        ["\xC1\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4F"],

        ["\xC7\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],
        ["\xC1\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x59"],

        ["\x32\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCD"],
        ["\xC1\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xBC"],

        ["\x32\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDF"],
        ["\xC1\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xBD"],

        ["\xC7\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],
        ["\xC1\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x66"],

        ["\xC7\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFB"],
        ["\xC1\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6E"],

        ["\xC7\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],
        ["\xC1\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7C"],

        ["\xC7\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],
        ["\xC1\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6B"],

        ["\xC7\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],
        ["\xC1\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x70"],

        ["\xC8\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],
        ["\xC2\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x31"],

        ["\xC8\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCE"],
        ["\xC2\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x65"],

        ["\xC8\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDF"],
        ["\xC2\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x78"],

        ["\xC9\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],
        ["\xC2\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x26"],

        ["\xC9\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEF"],
        ["\xC2\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x2B"],

        ["\xC9\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEE"],
        ["\xC2\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x2D"],

        ["\x32\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],
        ["\xC2\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xBE"],

        ["\xC9\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFB"],
        ["\xC2\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4A"],

        ["\xC9\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFC"],
        ["\xC2\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x53"],

        ["\xC9\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],
        ["\xC3\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x69"],

        ["\xC9\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],
        ["\xC3\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x63"],

        ["\xC9\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],
        ["\xC3\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x7C"],

        ["\xC9\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB9"],
        ["\xC3\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x74"],

        ["\xC9\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],
        ["\xC3\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x75"],

        ["\x32\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCE"],
        ["\xC3\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xBF"],

        ["\xCA\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],
        ["\xC3\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x33"],

        ["\xCA\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],
        ["\xC3\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x3D"],

        ["\xCA\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEB"],
        ["\xC3\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x6F"],

        ["\xCA\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEE"],
        ["\xC3\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x71"],

        ["\xCB\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFB"],
        ["\xC3\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x2E"],

        ["\x32\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],
        ["\xC3\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC0"],

        ["\xCB\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA5"],
        ["\xC4\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x4A"],

        ["\xCB\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],
        ["\xC4\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x66"],

        ["\xCB\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB8"],
        ["\xC4\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x6A"],

        ["\xCB\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],
        ["\xC4\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x70"],

        ["\xCB\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],
        ["\xC4\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x74"],

        ["\xCB\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],
        ["\xC4\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x6E"],

        ["\xCC\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],
        ["\xC4\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x25"],

        ["\xCB\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCB"],
        ["\xC4\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x79"],

        ["\xCC\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],
        ["\xC4\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x2B"],

        ["\xCC\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],
        ["\xC4\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x2E"],

        ["\xCC\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDB"],
        ["\xC4\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x2D"],

        ["\xCC\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],
        ["\xC4\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x32"],

        ["\xCC\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xED"],
        ["\xC4\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x42"],

        ["\xCC\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],
        ["\xC4\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x50"],

        ["\xCC\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFB"],
        ["\xC4\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x59"],

        ["\x32\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],
        ["\xC5\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC1"],

        ["\xCD\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB4"],
        ["\xC5\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x3B"],

        ["\x32\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],
        ["\xC5\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC2"],

        ["\xCE\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],
        ["\xC5\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x3B"],

        ["\x32\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDA"],
        ["\xC5\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC3"],

        ["\xCE\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDB"],
        ["\xC5\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x3A"],

        ["\xCE\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xDF"],
        ["\xC5\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x43"],

        ["\x32\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],
        ["\xC5\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC4"],

        ["\xCE\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],
        ["\xC5\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x72"],

        ["\xB3\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xC7"],
        ["\xB4\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x5D"],

        ["\xCF\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB1"],
        ["\xC6\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x55"],

        ["\xCF\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB5"],
        ["\xC6\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x62"],

        ["\xCF\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBD"],
        ["\xC6\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x69"],

        ["\xCF\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],
        ["\xC6\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x6D"],

        ["\x32\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDA"],
        ["\xC6\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC5"],

        ["\x32\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDD"],
        ["\xC6\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC6"],

        ["\x32\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xEB"],
        ["\xC6\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC7"],

        ["\x32\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],
        ["\xC6\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC8"],

        ["\xD0\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA3"],
        ["\xC7\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x65"],

        ["\x32\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA6"],
        ["\xC7\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xC9"],

        ["\xD0\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xAA"],
        ["\xC7\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x69"],

        ["\xD1\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],
        ["\xC7\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x68"],

        ["\x32\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],
        ["\xC7\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xCA"],

        ["\x32\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],
        ["\xC7\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xCB"],

        ["\xD1\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],
        ["\xC7\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x6C"],

        ["\xD2\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBB"],
        ["\xC8\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x3B"],

        ["\x32\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],
        ["\xC8\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xCC"],

        ["\xD3\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA7"],
        ["\xC9\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x61"],

        ["\xD3\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],
        ["\xC9\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x68"],

        ["\xD4\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],
        ["\xC9\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x27"],

        ["\x32\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB6"],
        ["\xC9\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xCD"],

        ["\x32\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBD"],
        ["\xC9\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xCE"],

        ["\xD4\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],
        ["\xC9\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x54"],

        ["\xD4\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFB"],
        ["\xBF\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x72"],

        ["\xD5\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],
        ["\xC9\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x2E"],

        ["\x32\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],
        ["\xC9\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xCF"],

        ["\xD7\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],
        ["\xCB\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5E"],

        ["\x32\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD3"],
        ["\xCB\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD0"],

        ["\xD8\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xD4"],
        ["\xCB\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x22"],

        ["\xD8\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA1"],
        ["\xCC\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x37"],

        ["\xD8\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF7"],
        ["\xCB\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x41"],

        ["\xD8\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],
        ["\xCC\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x51"],

        ["\xD8\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC3"],
        ["\xCC\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x74"],

        ["\xD9\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],
        ["\xCC\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x46"],

        ["\xD9\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],
        ["\xCC\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x48"],

        ["\xD9\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],
        ["\xCC\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x51"],

        ["\x32\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],
        ["\xCC\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD1"],

        ["\x32\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],
        ["\xCD\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD2"],

        ["\x32\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC2"],
        ["\xCD\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD3"],

        ["\x32\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD3"],
        ["\xCD\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD4"],

        ["\x32\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE2"],
        ["\xCD\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD5"],

        ["\xDC\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],
        ["\xCE\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x53"],

        ["\xDD\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],
        ["\xCE\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x48"],

        ["\xDD\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],
        ["\xCE\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x54"],

        ["\xDD\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],
        ["\xCE\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x6A"],

        ["\xDD\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE2"],
        ["\xCE\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x7A"],

        ["\xDE\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE3"],
        ["\xCE\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x24"],

        ["\xDE\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],
        ["\xCE\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x30"],

        ["\x32\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],
        ["\xCE\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD6"],

        ["\xDE\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],
        ["\xCE\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x35"],

        ["\xDE\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF8"],
        ["\xCE\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x4B"],

        ["\x32\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],
        ["\xCE\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD7"],

        ["\xDF\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],
        ["\xCF\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x39"],

        ["\x32\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],
        ["\xCF\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD8"],

        ["\xDF\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC2"],
        ["\xCF\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x43"],

        ["\x32\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC5"],
        ["\xCF\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xD9"],

        ["\x32\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC7"],
        ["\xCF\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xDA"],

        ["\xE0\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xDE"],
        ["\xCF\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x59"],

        ["\x32\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xFD"],
        ["\xCF\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xDB"],

        ["\x32\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],
        ["\xD0\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xDC"],

        ["\xE1\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xCD"],
        ["\xD0\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x62"],

        ["\x32\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEC"],
        ["\xD0\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xDD"],

        ["\x32\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],
        ["\xD0\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xDE"],

        ["\x32\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],
        ["\xD0\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xDF"],

        ["\xE2\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],
        ["\xD0\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x47"],

        ["\xE3\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB8"],
        ["\xD1\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x28"],

        ["\xE3\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB7"],
        ["\xD1\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x26"],

        ["\xE3\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB9"],
        ["\xD1\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x29"],

        ["\xE3\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBB"],
        ["\xD1\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x2F"],

        ["\xE3\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],
        ["\xD1\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x30"],

        ["\xE3\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBE"],
        ["\xD1\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x2A"],

        ["\xE3\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBD"],
        ["\xD1\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x2B"],

        ["\xE3\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],
        ["\xD1\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x3C"],

        ["\xE3\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],
        ["\xD1\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x41"],

        ["\xE3\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xCB"],
        ["\xD1\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x3F"],

        ["\xE3\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDC"],
        ["\xD1\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x55"],

        ["\xE3\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],
        ["\xD1\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x58"],

        ["\xE3\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],
        ["\xD1\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x56"],

        ["\xE3\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDD"],
        ["\xD1\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x5F"],

        ["\xE3\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xDB"],
        ["\xD1\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x63"],

        ["\xE3\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],
        ["\xD1\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x61"],

        ["\xE3\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],
        ["\xD1\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x54"],

        ["\xE3\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],
        ["\xD1\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x69"],

        ["\xE4\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEE"],
        ["\xD1\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x26"],

        ["\xE3\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEF"],
        ["\xD1\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x71"],

        ["\xE3\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],
        ["\xD1\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x72"],

        ["\xE4\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],
        ["\xD1\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x4B"],

        ["\xE4\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],
        ["\xD1\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x41"],

        ["\xE4\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],
        ["\xD1\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x43"],

        ["\xE4\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA4"],
        ["\xD2\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x3E"],

        ["\x32\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA6"],
        ["\xD2\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE0"],

        ["\xE4\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA3"],
        ["\xD2\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x40"],

        ["\xE4\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xFE"],
        ["\xD1\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x47"],

        ["\xE4\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],
        ["\xD1\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x3F"],

        ["\xE4\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB4"],
        ["\xD2\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x60"],

        ["\xE4\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA9"],
        ["\xD2\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5E"],

        ["\xE4\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAF"],
        ["\xD2\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x51"],

        ["\x32\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB7"],
        ["\xD2\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE1"],

        ["\xE4\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],
        ["\xD2\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5C"],

        ["\xE4\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB5"],
        ["\xD2\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x52"],

        ["\xE4\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB3"],
        ["\xD2\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5B"],

        ["\xE4\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB2"],
        ["\xD2\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x54"],

        ["\xE4\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBB"],
        ["\xD2\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x7A"],

        ["\xE4\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],
        ["\xD2\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x6F"],

        ["\xE5\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],
        ["\xD2\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x33"],

        ["\xE5\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDF"],
        ["\xD2\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x3F"],

        ["\xE5\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xDA"],
        ["\xD2\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x49"],

        ["\xE5\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],
        ["\xD2\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x50"],

        ["\xE5\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],
        ["\xD2\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x62"],

        ["\xE5\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],
        ["\xD2\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x6A"],

        ["\xE5\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],
        ["\xD2\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x6B"],

        ["\x32\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFC"],
        ["\xD2\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE2"],

        ["\x32\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB9"],
        ["\xD3\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE3"],

        ["\x32\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],
        ["\xD3\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE4"],

        ["\xE6\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],
        ["\xD3\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x68"],

        ["\xE6\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],
        ["\xD3\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x6F"],

        ["\xE7\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],
        ["\xD3\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x2C"],

        ["\x32\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],
        ["\xD3\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE5"],

        ["\xE7\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],
        ["\xD3\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x2E"],

        ["\x32\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],
        ["\xD3\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE6"],

        ["\xE7\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDB"],
        ["\xD3\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x31"],

        ["\x32\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDC"],
        ["\xD3\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE7"],

        ["\xE7\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xDE"],
        ["\xD3\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x32"],

        ["\xE8\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],
        ["\xD4\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x31"],

        ["\xE8\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA4"],
        ["\xD4\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x36"],

        ["\x32\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB3"],
        ["\xD4\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE8"],

        ["\x32\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB4"],
        ["\xD4\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xE9"],

        ["\xE8\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB7"],
        ["\xD4\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x5D"],

        ["\x32\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xB8"],
        ["\xD4\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xEA"],

        ["\x32\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],
        ["\xD4\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xEB"],

        ["\xE9\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],
        ["\xD4\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x51"],

        ["\x32\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDC"],
        ["\xD4\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xEC"],

        ["\xE9\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDE"],
        ["\xD4\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x6D"],

        ["\xEA\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],
        ["\xD4\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x4D"],

        ["\x32\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEF"],
        ["\xD4\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xED"],

        ["\xEA\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],
        ["\xD4\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x5B"],

        ["\xEA\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFB"],
        ["\xD4\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x66"],

        ["\xEA\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA8"],
        ["\xD5\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x6A"],

        ["\xEB\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAF"],
        ["\xD5\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x25"],

        ["\xEB\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],
        ["\xD3\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x7B"],

        ["\xEB\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],
        ["\xD5\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x7A"],

        ["\x32\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDA"],
        ["\xD5\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xEE"],

        ["\xEC\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDC"],
        ["\xD5\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x56"],

        ["\x32\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEB"],
        ["\xD5\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xEF"],

        ["\x32\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x22"],
        ["\x74\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF0"],

        ["\xA1\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x23"],
        ["\x74\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xC2"],

        ["\xA1\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x24"],
        ["\x74\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xDD"],

        ["\xA1\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x25"],
        ["\x74\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],

        ["\xA1\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x26"],
        ["\x74\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],

        ["\x32\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x27"],
        ["\x74\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF1"],

        ["\x32\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x28"],
        ["\x74\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF2"],

        ["\x32\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x29"],
        ["\x74\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF3"],

        ["\x32\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x2A"],
        ["\x74\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF4"],

        ["\x32\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x2B"],
        ["\x74\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF5"],

        ["\x32\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x2C"],
        ["\x74\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF6"],

        ["\x32\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x2D"],
        ["\x74\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF7"],

        ["\x32\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x2E"],
        ["\x74\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF8"],

        ["\x32\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x2F"],
        ["\x74\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xF9"],

        ["\x32\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x30"],
        ["\x74\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xFA"],

        ["\x32\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x31"],
        ["\x74\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xFB"],

        ["\x32\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x32"],
        ["\x74\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xFC"],

        ["\x32\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x33"],
        ["\x74\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xFD"],

        ["\x32\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x34"],
        ["\x74\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x32\xFE"],

        ["\x33\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x35"],
        ["\x74\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xA1"],

        ["\xA2\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x36"],
        ["\x74\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xCC"],

        ["\x33\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE9"],
        ["\xA5\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xA2"],

        ["\x33\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],
        ["\xA5\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xA3"],

        ["\x33\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xEB"],
        ["\xA5\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xA4"],

        ["\x33\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x37"],
        ["\x74\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xA5"],

        ["\x33\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x38"],
        ["\x74\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xA6"],

        ["\x33\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x39"],
        ["\x74\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xA7"],

        ["\x33\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x3A"],
        ["\x74\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xA8"],

        ["\x33\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x3B"],
        ["\x74\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xA9"],

        ["\x33\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x3C"],
        ["\x74\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xAA"],

        ["\x33\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x3D"],
        ["\x74\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xAB"],

        ["\x33\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE0"],
        ["\xA5\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xAC"],

        ["\x33\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD7"],
        ["\xA5\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xAD"],

        ["\x33\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x3E"],
        ["\x74\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xAE"],

        ["\x33\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x3F"],
        ["\x74\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xAF"],

        ["\x33\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE4"],
        ["\xA5\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB0"],

        ["\x33\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xE3"],
        ["\xA5\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB1"],

        ["\x33\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xDE"],
        ["\xA3\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB2"],

        ["\x33\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x40"],
        ["\x74\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB3"],

        ["\x33\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x41"],
        ["\x74\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB4"],

        ["\x33\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x42"],
        ["\x74\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB5"],

        ["\x33\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x43"],
        ["\x74\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB6"],

        ["\x33\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],
        ["\xA3\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB7"],

        ["\x33\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],
        ["\xA3\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB8"],

        ["\x33\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],
        ["\xA3\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xB9"],

        ["\x33\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],
        ["\xA3\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xBA"],

        ["\x33\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE1"],
        ["\xA3\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xBB"],

        ["\x33\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE4"],
        ["\xA3\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xBC"],

        ["\x33\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE2"],
        ["\xA3\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xBD"],

        ["\x33\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xE3"],
        ["\xA3\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xBE"],

        ["\x33\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xDD"],
        ["\xA3\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xBF"],

        ["\x33\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x44"],
        ["\x74\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC0"],

        ["\x33\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x45"],
        ["\x74\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC1"],

        ["\x33\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x46"],
        ["\x74\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC2"],

        ["\x33\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x47"],
        ["\x74\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC3"],

        ["\x33\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x48"],
        ["\x74\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC4"],

        ["\x33\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x49"],
        ["\x74\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC5"],

        ["\x33\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4A"],
        ["\x74\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC6"],

        ["\x33\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4B"],
        ["\x74\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC7"],

        ["\x33\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4C"],
        ["\x74\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC8"],

        ["\x33\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4D"],
        ["\x74\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xC9"],

        ["\x33\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4E"],
        ["\x74\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xCA"],

        ["\x33\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x4F"],
        ["\x74\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xCB"],

        ["\x33\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x50"],
        ["\x74\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xCC"],

        ["\x33\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xD6"],
        ["\xA5\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xCD"],

        ["\x33\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x51"],
        ["\x74\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xCE"],

        ["\x33\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x52"],
        ["\x74\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xCF"],

        ["\x33\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xF7"],
        ["\xA4\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD0"],

        ["\x33\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x53"],
        ["\x74\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD1"],

        ["\x33\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x54"],
        ["\x74\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD2"],

        ["\x33\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x55"],
        ["\x74\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD3"],

        ["\x33\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x56"],
        ["\x74\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD4"],

        ["\x33\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x57"],
        ["\x74\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD5"],

        ["\x33\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x58"],
        ["\x74\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD6"],

        ["\x33\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x59"],
        ["\x74\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD7"],

        ["\x33\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5A"],
        ["\x74\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD8"],

        ["\x33\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5B"],
        ["\x74\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xD9"],

        ["\x33\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5C"],
        ["\x74\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xDA"],

        ["\x33\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5D"],
        ["\x74\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xDB"],

        ["\x33\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5E"],
        ["\x74\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xDC"],

        ["\x33\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x5F"],
        ["\x74\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xDD"],

        ["\x33\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x60"],
        ["\x74\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xDE"],

        ["\x33\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x61"],
        ["\x74\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xDF"],

        ["\x33\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x62"],
        ["\x74\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE0"],

        ["\x33\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x63"],
        ["\x74\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE1"],

        ["\x33\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x64"],
        ["\x74\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE2"],

        ["\x33\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x65"],
        ["\x74\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE3"],

        ["\x33\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x66"],
        ["\x74\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE4"],

        ["\x33\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x67"],
        ["\x74\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE5"],

        ["\x33\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x68"],
        ["\x74\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE6"],

        ["\x33\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x69"],
        ["\x74\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE7"],

        ["\x33\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF5"],
        ["\xA5\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE8"],

        ["\x33\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6A"],
        ["\x74\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xE9"],

        ["\x33\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF3"],
        ["\xA5\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xEA"],

        ["\x33\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6B"],
        ["\x74\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xEB"],

        ["\x33\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF4"],
        ["\xA5\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xEC"],

        ["\x33\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6C"],
        ["\x74\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xED"],

        ["\x33\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xF2"],
        ["\xA5\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xEE"],

        ["\xA6\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6D"],
        ["\x74\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA6\x78"],

        ["\x33\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6E"],
        ["\x74\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xEF"],

        ["\x33\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x6F"],
        ["\x74\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF0"],

        ["\x33\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x70"],
        ["\x74\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF1"],

        ["\x33\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x71"],
        ["\x74\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF2"],

        ["\x33\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x72"],
        ["\x74\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF3"],

        ["\x33\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x73"],
        ["\x74\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF4"],

        ["\x33\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x74"],
        ["\x74\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF5"],

        ["\x33\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x75"],
        ["\x74\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF6"],

        ["\x33\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x76"],
        ["\x74\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF7"],

        ["\x33\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x77"],
        ["\x74\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF8"],

        ["\x33\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x78"],
        ["\x74\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xF9"],

        ["\x33\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x79"],
        ["\x74\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xFA"],

        ["\x33\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7A"],
        ["\x74\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xFB"],

        ["\x33\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7B"],
        ["\x74\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xFC"],

        ["\x33\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7C"],
        ["\x74\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xFD"],

        ["\x33\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7D"],
        ["\x74\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x33\xFE"],

        ["\x34\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x74\x7E"],
        ["\x74\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xA1"],

        ["\x34\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x21"],
        ["\x75\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xA2"],

        ["\x34\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x22"],
        ["\x75\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xA3"],

        ["\x34\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x23"],
        ["\x75\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xA4"],

        ["\x34\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x24"],
        ["\x75\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xA5"],

        ["\x34\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x25"],
        ["\x75\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xA6"],

        ["\x34\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x26"],
        ["\x75\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xA7"],

        ["\x34\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x27"],
        ["\x75\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xA8"],

        ["\x34\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x28"],
        ["\x75\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xA9"],

        ["\x34\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x29"],
        ["\x75\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xAA"],

        ["\x34\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x2A"],
        ["\x75\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xAB"],

        ["\x34\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x2B"],
        ["\x75\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xAC"],

        ["\x34\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x2C"],
        ["\x75\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xAD"],

        ["\x34\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x2D"],
        ["\x75\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xAE"],

        ["\x34\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x2E"],
        ["\x75\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xAF"],

        ["\x34\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x2F"],
        ["\x75\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB0"],

        ["\x34\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x30"],
        ["\x75\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB1"],

        ["\x34\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x31"],
        ["\x75\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB2"],

        ["\x34\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x32"],
        ["\x75\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB3"],

        ["\x34\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x33"],
        ["\x75\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB4"],

        ["\x34\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x34"],
        ["\x75\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB5"],

        ["\x34\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x35"],
        ["\x75\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB6"],

        ["\x34\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x36"],
        ["\x75\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB7"],

        ["\x34\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x37"],
        ["\x75\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB8"],

        ["\x34\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x38"],
        ["\x75\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xB9"],

        ["\x34\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x39"],
        ["\x75\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xBA"],

        ["\x34\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x3A"],
        ["\x75\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xBB"],

        ["\x34\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x3B"],
        ["\x75\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xBC"],

        ["\x34\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x3C"],
        ["\x75\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xBD"],

        ["\x34\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x3D"],
        ["\x75\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xBE"],

        ["\x34\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x3E"],
        ["\x75\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xBF"],

        ["\x34\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x3F"],
        ["\x75\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC0"],

        ["\x34\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x40"],
        ["\x75\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC1"],

        ["\x34\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x41"],
        ["\x75\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC2"],

        ["\x34\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x42"],
        ["\x75\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC3"],

        ["\x34\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x43"],
        ["\x75\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC4"],

        ["\x34\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x44"],
        ["\x75\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC5"],

        ["\x34\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x45"],
        ["\x75\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC6"],

        ["\x34\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x46"],
        ["\x75\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC7"],

        ["\x34\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x47"],
        ["\x75\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC8"],

        ["\x34\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x48"],
        ["\x75\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xC9"],

        ["\x34\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x49"],
        ["\x75\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xCA"],

        ["\x34\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xFA"],
        ["\xA2\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xCB"],

        ["\x34\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xFB"],
        ["\xA2\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xCC"],

        ["\x34\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4A"],
        ["\x75\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xCD"],

        ["\x34\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4B"],
        ["\x75\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xCE"],

        ["\x34\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4C"],
        ["\x75\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xCF"],

        ["\x34\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4D"],
        ["\x75\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD0"],

        ["\x34\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4E"],
        ["\x75\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD1"],

        ["\x34\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x4F"],
        ["\x75\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD2"],

        ["\x34\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x50"],
        ["\x75\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD3"],

        ["\x34\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x51"],
        ["\x75\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD4"],

        ["\x34\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x52"],
        ["\x75\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD5"],

        ["\x34\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x53"],
        ["\x75\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD6"],

        ["\x34\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x54"],
        ["\x75\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD7"],

        ["\x34\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x55"],
        ["\x75\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD8"],

        ["\x34\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x56"],
        ["\x75\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xD9"],

        ["\x34\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x57"],
        ["\x75\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xDA"],

        ["\x34\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x58"],
        ["\x75\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xDB"],

        ["\x34\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x59"],
        ["\x75\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xDC"],

        ["\x34\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5A"],
        ["\x75\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xDD"],

        ["\x34\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5B"],
        ["\x75\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xDE"],

        ["\x34\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5C"],
        ["\x75\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xDF"],

        ["\x34\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5D"],
        ["\x75\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE0"],

        ["\x34\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5E"],
        ["\x75\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE1"],

        ["\x34\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x5F"],
        ["\x75\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE2"],

        ["\x34\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x60"],
        ["\x75\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE3"],

        ["\x34\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x61"],
        ["\x75\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE4"],

        ["\x34\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x62"],
        ["\x75\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE5"],

        ["\x34\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x63"],
        ["\x75\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE6"],

        ["\x34\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x64"],
        ["\x75\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE7"],

        ["\x34\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x65"],
        ["\x75\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE8"],

        ["\x34\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x66"],
        ["\x75\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xE9"],

        ["\x34\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x67"],
        ["\x75\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xEA"],

        ["\x34\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x68"],
        ["\x75\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xEB"],

        ["\x34\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x69"],
        ["\x75\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xEC"],

        ["\x34\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6A"],
        ["\x75\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xED"],

        ["\x34\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6B"],
        ["\x75\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xEE"],

        ["\x34\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6C"],
        ["\x75\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xEF"],

        ["\x34\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6D"],
        ["\x75\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF0"],

        ["\x34\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6E"],
        ["\x75\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF1"],

        ["\x34\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x6F"],
        ["\x75\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF2"],

        ["\x34\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x70"],
        ["\x75\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF3"],

        ["\x34\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x71"],
        ["\x75\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF4"],

        ["\x34\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x72"],
        ["\x75\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF5"],

        ["\x34\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x73"],
        ["\x75\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF6"],

        ["\x34\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x74"],
        ["\x75\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF7"],

        ["\xAA\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x75"],
        ["\x75\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x26"],

        ["\xAB\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x76"],
        ["\x75\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x26"],

        ["\xAB\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x77"],
        ["\x75\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x43"],

        ["\x34\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x78"],
        ["\x75\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF8"],

        ["\x34\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x79"],
        ["\x75\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xF9"],

        ["\x34\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7A"],
        ["\x75\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xFA"],

        ["\x34\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7B"],
        ["\x75\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xFB"],

        ["\xAA\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7C"],
        ["\x75\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x55"],

        ["\xAB\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7D"],
        ["\x75\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x55"],

        ["\xAB\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x75\x7E"],
        ["\x75\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x67"],

        ["\xAB\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x21"],
        ["\x76\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x70"],

        ["\xAB\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x22"],
        ["\x76\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6D"],

        ["\xAB\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x23"],
        ["\x76\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6F"],

        ["\xAB\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x24"],
        ["\x76\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6E"],

        ["\x34\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x25"],
        ["\x76\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xFC"],

        ["\x34\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x26"],
        ["\x76\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xFD"],

        ["\xA2\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x27"],
        ["\x76\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x42"],

        ["\xA2\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x28"],
        ["\x76\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x70"],

        ["\xA2\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x29"],
        ["\x76\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x43"],

        ["\xA2\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x2A"],
        ["\x76\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x6D"],

        ["\xA2\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x2B"],
        ["\x76\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x6C"],

        ["\x34\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x2C"],
        ["\x76\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x34\xFE"],

        ["\x35\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x2D"],
        ["\x76\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xA1"],

        ["\xA2\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x2E"],
        ["\x76\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x6E"],

        ["\xA2\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x2F"],
        ["\x76\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x34"],

        ["\x35\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x30"],
        ["\x76\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xA2"],

        ["\x35\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x31"],
        ["\x76\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xA3"],

        ["\x35\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x32"],
        ["\x76\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xA4"],

        ["\xA2\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x33"],
        ["\x76\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x31"],

        ["\x35\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x34"],
        ["\x76\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xA5"],

        ["\xA2\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x35"],
        ["\x76\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x6B"],

        ["\x35\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x36"],
        ["\x76\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xA6"],

        ["\x35\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x37"],
        ["\x76\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xA7"],

        ["\x35\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x38"],
        ["\x76\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xA8"],

        ["\x35\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x39"],
        ["\x76\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xA9"],

        ["\xA2\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x3A"],
        ["\x76\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x44"],

        ["\xAA\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x3B"],
        ["\x76\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x22"],

        ["\xAA\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA1"],
        ["\xA5\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x21"],

        ["\xAA\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],
        ["\xA5\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x24"],

        ["\xAA\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x3C"],
        ["\x76\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x2A"],

        ["\xAA\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x3D"],
        ["\x76\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x23"],

        ["\xAA\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x3E"],
        ["\x76\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x29"],

        ["\xA9\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x3F"],
        ["\x76\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x21"],

        ["\xAA\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA4"],
        ["\xA5\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x2E"],

        ["\xAA\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x40"],
        ["\x76\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x32"],

        ["\xAA\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA5"],
        ["\xA5\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x31"],

        ["\xAA\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA6"],
        ["\xA5\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x34"],

        ["\xAA\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x41"],
        ["\x76\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x33"],

        ["\xAA\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x42"],
        ["\x76\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x40"],

        ["\xAA\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA7"],
        ["\xA5\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x3F"],

        ["\xAA\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA8"],
        ["\xA5\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x42"],

        ["\xAA\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBD"],
        ["\xA5\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x41"],

        ["\x35\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x43"],
        ["\x76\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xAA"],

        ["\xAA\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],
        ["\xA5\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x50"],

        ["\xAA\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x44"],
        ["\x76\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x52"],

        ["\xAA\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAA"],
        ["\xA5\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x51"],

        ["\xAA\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAB"],
        ["\xA5\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x54"],

        ["\xAA\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x45"],
        ["\x76\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x58"],

        ["\xAA\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAC"],
        ["\xA5\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x53"],

        ["\xA9\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x46"],
        ["\x76\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x2C"],

        ["\xAA\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x47"],
        ["\x76\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x63"],

        ["\xAA\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],
        ["\xA5\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x62"],

        ["\xAA\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAF"],
        ["\xA5\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x65"],

        ["\xAA\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB0"],
        ["\xA5\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x64"],

        ["\xAA\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB1"],
        ["\xA5\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x72"],

        ["\xA9\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x48"],
        ["\x76\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x30"],

        ["\xA9\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x49"],
        ["\x76\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x4E"],

        ["\xAB\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB3"],
        ["\xA5\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x22"],

        ["\xAB\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB2"],
        ["\xA5\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x21"],

        ["\xAB\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],
        ["\xA5\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x24"],

        ["\xAB\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4A"],
        ["\x76\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x2A"],

        ["\xAB\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB5"],
        ["\xA5\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x23"],

        ["\xAB\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4B"],
        ["\x76\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x29"],

        ["\xA9\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4C"],
        ["\x76\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x41"],

        ["\xAB\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB6"],
        ["\xA5\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x2E"],

        ["\xAB\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB8"],
        ["\xA5\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x32"],

        ["\xAB\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB7"],
        ["\xA5\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x31"],

        ["\xAB\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xB9"],
        ["\xA5\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x34"],

        ["\xAB\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBA"],
        ["\xA5\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x33"],

        ["\xAB\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4D"],
        ["\x76\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x40"],

        ["\xAB\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBB"],
        ["\xA5\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x3F"],

        ["\xAB\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBC"],
        ["\xA5\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x42"],

        ["\xAB\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4E"],
        ["\x76\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x41"],

        ["\xA9\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x4F"],
        ["\x76\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x43"],

        ["\xAB\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBE"],
        ["\xA5\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x50"],

        ["\xAB\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x50"],
        ["\x76\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x52"],

        ["\xAB\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xBF"],
        ["\xA5\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x51"],

        ["\xAB\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC0"],
        ["\xA5\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x54"],

        ["\xAB\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x51"],
        ["\x76\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x58"],

        ["\xAB\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC1"],
        ["\xA5\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x53"],

        ["\xA9\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x52"],
        ["\x76\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x4C"],

        ["\xAB\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC5"],
        ["\xA5\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x63"],

        ["\xAB\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC4"],
        ["\xA5\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x62"],

        ["\xAB\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC6"],
        ["\xA5\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x65"],

        ["\xAB\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC7"],
        ["\xA5\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x64"],

        ["\xAB\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x53"],
        ["\x76\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x72"],

        ["\xA9\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x54"],
        ["\x76\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x50"],

        ["\xAB\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC8"],
        ["\xA5\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x73"],

        ["\xAA\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x55"],
        ["\x76\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x27"],

        ["\xAA\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x56"],
        ["\x76\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x45"],

        ["\xAA\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x57"],
        ["\x76\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x69"],

        ["\xAA\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x58"],
        ["\x76\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x37"],

        ["\xAA\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x59"],
        ["\x76\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x57"],

        ["\xAB\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5A"],
        ["\x76\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x27"],

        ["\xAB\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5B"],
        ["\x76\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x45"],

        ["\xAB\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5C"],
        ["\x76\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x69"],

        ["\xAB\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5D"],
        ["\x76\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x37"],

        ["\xAB\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5E"],
        ["\x76\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x57"],

        ["\xAA\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x5F"],
        ["\x76\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x28"],

        ["\xA2\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x60"],
        ["\x76\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x2F"],

        ["\xA9\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x61"],
        ["\x76\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x28"],

        ["\xAA\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x62"],
        ["\x76\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x4B"],

        ["\xAA\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x63"],
        ["\x76\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x5C"],

        ["\xAA\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x64"],
        ["\x76\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x5E"],

        ["\xAA\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x65"],
        ["\x76\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x5F"],

        ["\xAA\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x66"],
        ["\x76\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x60"],

        ["\xAA\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x67"],
        ["\x76\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x75"],

        ["\xAA\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x68"],
        ["\x76\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x76"],

        ["\xAA\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x69"],
        ["\x76\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x77"],

        ["\xAB\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6A"],
        ["\x76\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x28"],

        ["\xA2\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6B"],
        ["\x76\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x35"],

        ["\xA9\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6C"],
        ["\x76\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x48"],

        ["\xAB\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6D"],
        ["\x76\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4B"],

        ["\xAB\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6E"],
        ["\x76\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5C"],

        ["\xA2\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x6F"],
        ["\x76\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x30"],

        ["\xAB\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x70"],
        ["\x76\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5E"],

        ["\xAB\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x71"],
        ["\x76\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5F"],

        ["\xAB\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x72"],
        ["\x76\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x60"],

        ["\xAB\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x73"],
        ["\x76\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x75"],

        ["\xA2\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x74"],
        ["\x76\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x33"],

        ["\xAB\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x75"],
        ["\x76\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x76"],

        ["\xAB\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x76"],
        ["\x76\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x77"],

        ["\xAA\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x77"],
        ["\x76\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x59"],

        ["\xAA\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x78"],
        ["\x76\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x25"],

        ["\xAA\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x79"],
        ["\x76\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x4A"],

        ["\xAA\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7A"],
        ["\x76\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x2B"],

        ["\xAA\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7B"],
        ["\x76\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x2D"],

        ["\xAA\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7C"],
        ["\x76\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x38"],

        ["\xAA\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7D"],
        ["\x76\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x35"],

        ["\xAA\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x76\x7E"],
        ["\x76\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x30"],

        ["\xAA\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x21"],
        ["\x77\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x4D"],

        ["\xAA\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x22"],
        ["\x77\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x4E"],

        ["\xAA\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x23"],
        ["\x77\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x56"],

        ["\xAA\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x24"],
        ["\x77\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x5A"],

        ["\xAA\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x25"],
        ["\x77\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x6B"],

        ["\xAA\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x26"],
        ["\x77\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x68"],

        ["\xAA\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x27"],
        ["\x77\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x61"],

        ["\xAB\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x28"],
        ["\x77\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x59"],

        ["\xAB\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x29"],
        ["\x77\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x25"],

        ["\xAB\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x2A"],
        ["\x77\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4A"],

        ["\xAB\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x2B"],
        ["\x77\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x2B"],

        ["\xAB\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x2C"],
        ["\x77\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x2D"],

        ["\xAB\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x2D"],
        ["\x77\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x38"],

        ["\xAB\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x2E"],
        ["\x77\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x35"],

        ["\xAB\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x2F"],
        ["\x77\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x30"],

        ["\xA9\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x30"],
        ["\x77\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x42"],

        ["\xAB\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x31"],
        ["\x77\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4D"],

        ["\xAB\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x32"],
        ["\x77\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x4E"],

        ["\xAB\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x33"],
        ["\x77\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x56"],

        ["\xAB\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x34"],
        ["\x77\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5A"],

        ["\xAB\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x35"],
        ["\x77\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x6B"],

        ["\xAB\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x36"],
        ["\x77\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x68"],

        ["\xAB\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x37"],
        ["\x77\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x61"],

        ["\xA2\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x38"],
        ["\x77\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA2\x32"],

        ["\xAA\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x39"],
        ["\x77\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x2C"],

        ["\xAA\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x3A"],
        ["\x77\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x3A"],

        ["\xAA\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x3B"],
        ["\x77\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x3E"],

        ["\xAA\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x3C"],
        ["\x77\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x48"],

        ["\xAA\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x3D"],
        ["\x77\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x5D"],

        ["\xAA\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x3E"],
        ["\x77\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAA\x66"],

        ["\xAB\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x3F"],
        ["\x77\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x2C"],

        ["\xAB\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x40"],
        ["\x77\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x3A"],

        ["\xAB\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x41"],
        ["\x77\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x3E"],

        ["\xAB\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x42"],
        ["\x77\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x48"],

        ["\xAB\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x43"],
        ["\x77\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x5D"],

        ["\xAB\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x44"],
        ["\x77\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xAB\x66"],

        ["\x35\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x45"],
        ["\x77\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xAB"],

        ["\x35\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x46"],
        ["\x77\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xAC"],

        ["\x35\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x47"],
        ["\x77\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xAD"],

        ["\x35\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x48"],
        ["\x77\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xAE"],

        ["\x35\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x49"],
        ["\x77\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xAF"],

        ["\x35\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4A"],
        ["\x77\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB0"],

        ["\x35\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4B"],
        ["\x77\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB1"],

        ["\x35\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4C"],
        ["\x77\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB2"],

        ["\x35\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4D"],
        ["\x77\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB3"],

        ["\x35\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4E"],
        ["\x77\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB4"],

        ["\x35\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x4F"],
        ["\x77\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB5"],

        ["\x35\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x50"],
        ["\x77\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB6"],

        ["\x35\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x51"],
        ["\x77\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB7"],

        ["\x35\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x52"],
        ["\x77\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB8"],

        ["\x35\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x53"],
        ["\x77\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xB9"],

        ["\x35\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x54"],
        ["\x77\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xBA"],

        ["\x35\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x55"],
        ["\x77\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xBB"],

        ["\x35\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x56"],
        ["\x77\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xBC"],

        ["\x35\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x57"],
        ["\x77\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xBD"],

        ["\x35\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x58"],
        ["\x77\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xBE"],

        ["\x35\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x59"],
        ["\x77\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xBF"],

        ["\xA9\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5A"],
        ["\x77\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x4B"],

        ["\x35\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5B"],
        ["\x77\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC0"],

        ["\x35\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5C"],
        ["\x77\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC1"],

        ["\xA9\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5D"],
        ["\x77\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x44"],

        ["\x35\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5E"],
        ["\x77\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC2"],

        ["\x35\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x5F"],
        ["\x77\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC3"],

        ["\x35\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x60"],
        ["\x77\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC4"],

        ["\x35\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x61"],
        ["\x77\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC5"],

        ["\x35\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x62"],
        ["\x77\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC6"],

        ["\x35\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x63"],
        ["\x77\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC7"],

        ["\x35\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x64"],
        ["\x77\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC8"],

        ["\x35\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x65"],
        ["\x77\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xC9"],

        ["\x35\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x66"],
        ["\x77\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xCA"],

        ["\x35\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x67"],
        ["\x77\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xCB"],

        ["\xA9\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xC2"],
        ["\xA5\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x4D"],

        ["\xA9\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA5\xAD"],
        ["\xA5\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xA9\x2D"],

        ["\x35\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x68"],
        ["\x77\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xCC"],

        ["\x35\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x69"],
        ["\x77\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xCD"],

        ["\x35\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6A"],
        ["\x77\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xCE"],

        ["\x35\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6B"],
        ["\x77\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xCF"],

        ["\x35\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6C"],
        ["\x77\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD0"],

        ["\x35\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6D"],
        ["\x77\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD1"],

        ["\x35\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6E"],
        ["\x77\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD2"],

        ["\x35\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x6F"],
        ["\x77\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD3"],

        ["\x35\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x70"],
        ["\x77\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD4"],

        ["\x35\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x71"],
        ["\x77\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD5"],

        ["\x35\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x72"],
        ["\x77\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD6"],

        ["\x35\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x73"],
        ["\x77\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD7"],

        ["\x35\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x74"],
        ["\x77\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD8"],

        ["\x35\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x75"],
        ["\x77\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xD9"],

        ["\x35\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x76"],
        ["\x77\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xDA"],

        ["\x35\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x77"],
        ["\x77\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xDB"],

        ["\x35\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x78"],
        ["\x77\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xDC"],

        ["\x35\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x79"],
        ["\x77\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xDD"],

        ["\x35\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7A"],
        ["\x77\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xDE"],

        ["\x35\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7B"],
        ["\x77\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xDF"],

        ["\x35\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7C"],
        ["\x77\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE0"],

        ["\x35\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7D"],
        ["\x77\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE1"],

        ["\x35\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x77\x7E"],
        ["\x77\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE2"],

        ["\x35\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x21"],
        ["\x78\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE3"],

        ["\x35\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x22"],
        ["\x78\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE4"],

        ["\x35\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x23"],
        ["\x78\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE5"],

        ["\x35\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x24"],
        ["\x78\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE6"],

        ["\x35\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x25"],
        ["\x78\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE7"],

        ["\x35\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x26"],
        ["\x78\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE8"],

        ["\x35\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x27"],
        ["\x78\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xE9"],

        ["\x35\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x28"],
        ["\x78\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xEA"],

        ["\x35\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x29"],
        ["\x78\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xEB"],

        ["\x35\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x2A"],
        ["\x78\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xEC"],

        ["\x35\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x2B"],
        ["\x78\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xED"],

        ["\x35\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x2C"],
        ["\x78\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xEE"],

        ["\x35\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x2D"],
        ["\x78\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xEF"],

        ["\x35\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x2E"],
        ["\x78\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF0"],

        ["\x35\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x2F"],
        ["\x78\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF1"],

        ["\x35\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x30"],
        ["\x78\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF2"],

        ["\x35\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x31"],
        ["\x78\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF3"],

        ["\x35\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x32"],
        ["\x78\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF4"],

        ["\x35\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x33"],
        ["\x78\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF5"],

        ["\x35\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x34"],
        ["\x78\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF6"],

        ["\x35\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x35"],
        ["\x78\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF7"],

        ["\x35\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x36"],
        ["\x78\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF8"],

        ["\x35\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x37"],
        ["\x78\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xF9"],

        ["\x35\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x38"],
        ["\x78\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xFA"],

        ["\x35\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x39"],
        ["\x78\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xFB"],

        ["\x35\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x3A"],
        ["\x78\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xFC"],

        ["\x35\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x3B"],
        ["\x78\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xFD"],

        ["\x35\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x3C"],
        ["\x78\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x35\xFE"],

        ["\x36\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x3D"],
        ["\x78\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xA1"],

        ["\x36\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x3E"],
        ["\x78\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xA2"],

        ["\x36\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x3F"],
        ["\x78\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xA3"],

        ["\x36\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x40"],
        ["\x78\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xA4"],

        ["\x36\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x41"],
        ["\x78\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xA5"],

        ["\x36\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x42"],
        ["\x78\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xA6"],

        ["\x36\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x43"],
        ["\x78\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xA7"],

        ["\x36\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x44"],
        ["\x78\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xA8"],

        ["\x36\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x45"],
        ["\x78\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xA9"],

        ["\x36\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x46"],
        ["\x78\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xAA"],

        ["\x36\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x47"],
        ["\x78\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xAB"],

        ["\x36\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x48"],
        ["\x78\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xAC"],

        ["\x36\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x49"],
        ["\x78\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xAD"],

        ["\x36\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4A"],
        ["\x78\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xAE"],

        ["\x36\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4B"],
        ["\x78\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xAF"],

        ["\x36\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4C"],
        ["\x78\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB0"],

        ["\x36\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4D"],
        ["\x78\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB1"],

        ["\x36\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4E"],
        ["\x78\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB2"],

        ["\x36\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x4F"],
        ["\x78\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB3"],

        ["\x36\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x50"],
        ["\x78\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB4"],

        ["\x36\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x51"],
        ["\x78\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB5"],

        ["\x36\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x52"],
        ["\x78\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB6"],

        ["\x36\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x53"],
        ["\x78\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB7"],

        ["\x36\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x54"],
        ["\x78\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB8"],

        ["\x36\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x55"],
        ["\x78\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xB9"],

        ["\x36\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x56"],
        ["\x78\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xBA"],

        ["\x36\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x57"],
        ["\x78\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xBB"],

        ["\x36\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x58"],
        ["\x78\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xBC"],

        ["\x36\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x59"],
        ["\x78\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xBD"],

        ["\x36\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5A"],
        ["\x78\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xBE"],

        ["\x36\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5B"],
        ["\x78\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xBF"],

        ["\x36\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5C"],
        ["\x78\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC0"],

        ["\x36\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xEF"],
        ["\xA3\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC1"],

        ["\x36\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF0"],
        ["\xA3\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC2"],

        ["\x36\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF1"],
        ["\xA3\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC3"],

        ["\x36\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF2"],
        ["\xA3\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC4"],

        ["\x36\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF3"],
        ["\xA3\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC5"],

        ["\x36\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF4"],
        ["\xA3\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC6"],

        ["\x36\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF5"],
        ["\xA3\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC7"],

        ["\x36\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF6"],
        ["\xA3\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC8"],

        ["\x36\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF7"],
        ["\xA3\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xC9"],

        ["\x36\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA3\xF8"],
        ["\xA3\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xCA"],

        ["\x36\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5D"],
        ["\x78\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xCB"],

        ["\x36\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5E"],
        ["\x78\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xCC"],

        ["\x36\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x5F"],
        ["\x78\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xCD"],

        ["\x36\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x60"],
        ["\x78\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xCE"],

        ["\x36\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x61"],
        ["\x78\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xCF"],

        ["\x36\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x62"],
        ["\x78\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD0"],

        ["\x36\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x63"],
        ["\x78\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD1"],

        ["\x36\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x64"],
        ["\x78\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD2"],

        ["\x36\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x65"],
        ["\x78\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD3"],

        ["\x36\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x66"],
        ["\x78\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD4"],

        ["\x36\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xDB"],
        ["\xA2\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD5"],

        ["\x36\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xDC"],
        ["\xA2\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD6"],

        ["\x36\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],
        ["\xA1\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD7"],

        ["\x36\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],
        ["\xA1\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD8"],

        ["\x36\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEA"],
        ["\xA1\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xD9"],

        ["\x36\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEB"],
        ["\xA1\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xDA"],

        ["\x36\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEC"],
        ["\xA1\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xDB"],

        ["\x36\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xED"],
        ["\xA1\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xDC"],

        ["\x36\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEE"],
        ["\xA1\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xDD"],

        ["\x36\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xEF"],
        ["\xA1\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xDE"],

        ["\x36\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],
        ["\xA1\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xDF"],

        ["\x36\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],
        ["\xA1\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE0"],

        ["\x36\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],
        ["\xA1\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE1"],

        ["\x36\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],
        ["\xA4\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE2"],

        ["\x36\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBC"],
        ["\xA4\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE3"],

        ["\x36\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBD"],
        ["\xA4\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE4"],

        ["\x36\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],
        ["\xA4\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE5"],

        ["\x36\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xBF"],
        ["\xA4\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE6"],

        ["\x36\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC0"],
        ["\xA4\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE7"],

        ["\x36\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC1"],
        ["\xA4\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE8"],

        ["\x36\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC2"],
        ["\xA4\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xE9"],

        ["\x36\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC3"],
        ["\xA4\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xEA"],

        ["\x36\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC4"],
        ["\xA4\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xEB"],

        ["\x36\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC5"],
        ["\xA4\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xEC"],

        ["\x36\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC6"],
        ["\xA4\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xED"],

        ["\x36\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC7"],
        ["\xA4\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xEE"],

        ["\x36\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC8"],
        ["\xA4\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xEF"],

        ["\x36\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA4\xC9"],
        ["\xA4\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF0"],

        ["\x36\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFD"],
        ["\xA1\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF1"],

        ["\x36\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],
        ["\xA1\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF2"],

        ["\x36\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFE"],
        ["\xA1\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF3"],

        ["\x36\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA1"],
        ["\xA2\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF4"],

        ["\x36\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],
        ["\xA2\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF5"],

        ["\x36\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],
        ["\xA2\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF6"],

        ["\x36\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA4"],
        ["\xA2\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF7"],

        ["\x36\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA5"],
        ["\xA2\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF8"],

        ["\x36\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA6"],
        ["\xA2\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xF9"],

        ["\x36\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],
        ["\xA2\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xFA"],

        ["\x36\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x67"],
        ["\x78\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xFB"],

        ["\x36\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x68"],
        ["\x78\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xFC"],

        ["\x36\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x69"],
        ["\x78\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xFD"],

        ["\x36\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6A"],
        ["\x78\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x36\xFE"],

        ["\x37\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6B"],
        ["\x78\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xA1"],

        ["\x37\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6C"],
        ["\x78\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xA2"],

        ["\x37\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xFA"],
        ["\xA1\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xA3"],

        ["\x37\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6D"],
        ["\x78\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xA4"],

        ["\x37\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6E"],
        ["\x78\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xA5"],

        ["\x37\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],
        ["\xA1\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xA6"],

        ["\x37\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],
        ["\xA1\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xA7"],

        ["\x37\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],
        ["\xA1\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xA8"],

        ["\x37\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],
        ["\xA1\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xA9"],

        ["\x37\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],
        ["\xA1\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xAA"],

        ["\x37\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],
        ["\xA1\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xAB"],

        ["\x37\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x6F"],
        ["\x78\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xAC"],

        ["\x37\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x70"],
        ["\x78\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xAD"],

        ["\x37\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xD1"],
        ["\xA2\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xAE"],

        ["\x37\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xA2\xD2"],
        ["\xA2\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xAF"],

        ["\x37\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x71"],
        ["\x78\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB0"],

        ["\x37\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x72"],
        ["\x78\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB1"],

        ["\x37\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x73"],
        ["\x78\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB2"],

        ["\x37\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x74"],
        ["\x78\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB3"],

        ["\x37\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x75"],
        ["\x78\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB4"],

        ["\xB0\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x76"],
        ["\x78\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x2C"],

        ["\xB0\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],
        ["\xB2\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x2D"],

        ["\xB0\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],
        ["\xB2\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x3D"],

        ["\xB0\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD0"],
        ["\xB2\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x4F"],

        ["\xB0\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC8"],
        ["\xB2\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x51"],

        ["\xB0\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xC6"],
        ["\xB2\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x56"],

        ["\xB0\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x77"],
        ["\x78\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x5F"],

        ["\xB0\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD7"],
        ["\xB2\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x68"],

        ["\xB0\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x78"],
        ["\x78\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x69"],

        ["\xB0\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x79"],
        ["\x78\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x70"],

        ["\xB0\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],
        ["\xB2\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x72"],

        ["\xB0\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7A"],
        ["\x78\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x73"],

        ["\xB0\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],
        ["\xB2\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x7B"],

        ["\xB1\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE0"],
        ["\xB2\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x2A"],

        ["\x37\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7B"],
        ["\x78\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB5"],

        ["\xB1\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7C"],
        ["\x78\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x42"],

        ["\xB1\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7D"],
        ["\x78\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x4A"],

        ["\x37\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x78\x7E"],
        ["\x78\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB6"],

        ["\xB1\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],
        ["\xB3\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x4F"],

        ["\xB1\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],
        ["\xB2\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x53"],

        ["\xB1\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xAB"],
        ["\xB3\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x59"],

        ["\xB1\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],
        ["\xB3\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x5A"],

        ["\xB1\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x21"],
        ["\x79\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x76"],

        ["\xB1\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x22"],
        ["\x79\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x60"],

        ["\xB2\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],
        ["\xB3\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x36"],

        ["\xB2\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD7"],
        ["\xB3\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x51"],

        ["\xB2\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD8"],
        ["\xB3\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x38"],

        ["\xB2\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD3"],
        ["\xB3\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x41"],

        ["\x37\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x23"],
        ["\x79\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB7"],

        ["\xB2\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],
        ["\xB3\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x4A"],

        ["\xB2\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE1"],
        ["\xB3\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x49"],

        ["\xB2\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x24"],
        ["\x79\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x4D"],

        ["\xB2\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xE3"],
        ["\xB3\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x58"],

        ["\xB2\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x25"],
        ["\x79\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x62"],

        ["\x37\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x26"],
        ["\x79\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB8"],

        ["\xB2\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],
        ["\xB3\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x69"],

        ["\xB2\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x27"],
        ["\x79\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x6A"],

        ["\x37\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x28"],
        ["\x79\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xB9"],

        ["\x37\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x29"],
        ["\x79\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xBA"],

        ["\x37\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x2A"],
        ["\x79\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xBB"],

        ["\xB3\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],
        ["\xB4\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x28"],

        ["\xB3\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x2B"],
        ["\x79\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x29"],

        ["\xB3\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAB"],
        ["\xB4\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x2B"],

        ["\xB3\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],
        ["\xB4\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x30"],

        ["\x37\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x2C"],
        ["\x79\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xBC"],

        ["\xB3\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x2D"],
        ["\x79\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x34"],

        ["\xB3\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],
        ["\xB4\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x3F"],

        ["\xB3\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],
        ["\xB4\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x41"],

        ["\xB3\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x2E"],
        ["\x79\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x47"],

        ["\xB3\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x2F"],
        ["\x79\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x52"],

        ["\xB3\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],
        ["\xB4\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x68"],

        ["\x37\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x30"],
        ["\x79\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xBD"],

        ["\xB3\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x31"],
        ["\x79\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x69"],

        ["\x37\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x32"],
        ["\x79\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xBE"],

        ["\xB3\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x33"],
        ["\x79\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x6D"],

        ["\x37\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x34"],
        ["\x79\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xBF"],

        ["\xB3\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x35"],
        ["\x79\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x76"],

        ["\x37\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x36"],
        ["\x79\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC0"],

        ["\xB4\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x37"],
        ["\x79\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x26"],

        ["\x37\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x38"],
        ["\x79\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC1"],

        ["\xB4\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],
        ["\xB5\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x3B"],

        ["\xB4\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],
        ["\xB5\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x3C"],

        ["\x37\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x39"],
        ["\x79\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC2"],

        ["\xB4\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xB0"],
        ["\xB5\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x4A"],

        ["\x37\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x3A"],
        ["\x79\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC3"],

        ["\xB4\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x3B"],
        ["\x79\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x68"],

        ["\xB4\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],
        ["\xB5\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x72"],

        ["\xB4\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x3C"],
        ["\x79\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x7A"],

        ["\xB4\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x3D"],
        ["\x79\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x7D"],

        ["\xB4\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],
        ["\xB5\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x7E"],

        ["\xB5\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x3E"],
        ["\x79\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x24"],

        ["\xB5\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD2"],
        ["\xB5\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x29"],

        ["\xB5\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],
        ["\xB5\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x2C"],

        ["\xB5\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD9"],
        ["\xB5\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x39"],

        ["\xB5\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE3"],
        ["\xB5\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x4C"],

        ["\xB5\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x3F"],
        ["\x79\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x4F"],

        ["\xB5\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x40"],
        ["\x79\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x51"],

        ["\xB5\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],
        ["\xB5\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x5B"],

        ["\xB5\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x41"],
        ["\x79\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x60"],

        ["\xB5\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x42"],
        ["\x79\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x66"],

        ["\xB5\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x43"],
        ["\x79\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x6A"],

        ["\x37\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x44"],
        ["\x79\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC4"],

        ["\xB5\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF0"],
        ["\xB5\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x73"],

        ["\xB5\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],
        ["\xB5\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x7C"],

        ["\x37\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x45"],
        ["\x79\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC5"],

        ["\xB6\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],
        ["\xB6\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x2B"],

        ["\xB6\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],
        ["\xB6\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x2E"],

        ["\xB6\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],
        ["\xB6\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x3A"],

        ["\xB6\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],
        ["\xB6\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x43"],

        ["\x37\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x46"],
        ["\x79\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC6"],

        ["\xB6\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],
        ["\xB6\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x4D"],

        ["\x37\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x47"],
        ["\x79\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC7"],

        ["\xB6\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],
        ["\xB6\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x50"],

        ["\xB6\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x48"],
        ["\x79\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x51"],

        ["\xB6\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],
        ["\xB6\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x52"],

        ["\xB6\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x49"],
        ["\x79\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x5A"],

        ["\xB6\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],
        ["\xB6\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x5D"],

        ["\xB6\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4A"],
        ["\x79\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x62"],

        ["\xB6\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],
        ["\xB6\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x64"],

        ["\xB6\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4B"],
        ["\x79\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x67"],

        ["\xB6\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4C"],
        ["\x79\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x6B"],

        ["\xB6\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4D"],
        ["\x79\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x6C"],

        ["\xB7\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC6"],
        ["\xB6\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x26"],

        ["\x37\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4E"],
        ["\x79\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC8"],

        ["\x37\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x4F"],
        ["\x79\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xC9"],

        ["\xB7\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],
        ["\xB6\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x36"],

        ["\xB7\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],
        ["\xB6\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x37"],

        ["\xB7\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD0"],
        ["\xB6\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x38"],

        ["\xB7\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x50"],
        ["\x79\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x49"],

        ["\xB7\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x51"],
        ["\x79\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x4E"],

        ["\xB7\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x52"],
        ["\x79\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x52"],

        ["\xB7\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x53"],
        ["\x79\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x5B"],

        ["\x37\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x54"],
        ["\x79\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xCA"],

        ["\xB7\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x55"],
        ["\x79\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x65"],

        ["\xB7\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x56"],
        ["\x79\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x6A"],

        ["\xB7\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],
        ["\xB6\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x6E"],

        ["\xB7\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x57"],
        ["\x79\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x72"],

        ["\xB7\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],
        ["\xB6\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x74"],

        ["\xB7\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x58"],
        ["\x79\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x75"],

        ["\xB7\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],
        ["\xC1\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x79"],

        ["\xB7\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],
        ["\xB6\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x7D"],

        ["\xB8\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x36"],
        ["\x45\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x34"],

        ["\xB8\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],
        ["\xB6\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x35"],

        ["\x37\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x59"],
        ["\x79\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xCB"],

        ["\xB8\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],
        ["\xB6\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x39"],

        ["\xB8\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],
        ["\xB7\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x3F"],

        ["\x37\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5A"],
        ["\x79\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xCC"],

        ["\xB8\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAB"],
        ["\xB7\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x4C"],

        ["\x37\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5B"],
        ["\x79\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xCD"],

        ["\xB8\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5C"],
        ["\x79\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x56"],

        ["\xB8\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],
        ["\xB7\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x54"],

        ["\xB8\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],
        ["\xB7\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x57"],

        ["\xB8\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],
        ["\xB7\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x59"],

        ["\x37\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5D"],
        ["\x79\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xCE"],

        ["\xB8\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],
        ["\xB7\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x5D"],

        ["\xB8\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],
        ["\xB7\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x62"],

        ["\xB8\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5E"],
        ["\x79\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x66"],

        ["\xB8\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD7"],
        ["\xB7\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x7E"],

        ["\xB9\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],
        ["\xB7\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x28"],

        ["\xB9\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],
        ["\xB7\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x2B"],

        ["\xB9\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE5"],
        ["\xB7\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x3A"],

        ["\xB9\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE3"],
        ["\xB7\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x3F"],

        ["\xB9\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],
        ["\xB7\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x40"],

        ["\xB9\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],
        ["\xB7\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x52"],

        ["\xB9\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],
        ["\xB7\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x54"],

        ["\xB9\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x5F"],
        ["\x79\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x65"],

        ["\xB9\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF1"],
        ["\xB7\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x66"],

        ["\xB9\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],
        ["\xB7\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x67"],

        ["\xB9\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF8"],
        ["\xB7\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x6A"],

        ["\x37\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x60"],
        ["\x79\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xCF"],

        ["\xB9\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],
        ["\xB7\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x71"],

        ["\xB9\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x61"],
        ["\x79\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x75"],

        ["\xBA\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],
        ["\xB8\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x21"],

        ["\x37\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x62"],
        ["\x79\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD0"],

        ["\xBA\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB0"],
        ["\xB8\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x33"],

        ["\xBA\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x63"],
        ["\x79\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x37"],

        ["\x37\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x64"],
        ["\x79\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD1"],

        ["\x37\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x65"],
        ["\x79\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD2"],

        ["\xBA\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x66"],
        ["\x79\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x3A"],

        ["\xBA\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],
        ["\xB8\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x44"],

        ["\xBA\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xC0"],
        ["\xB8\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x4E"],

        ["\x37\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x67"],
        ["\x79\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD3"],

        ["\xBA\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x68"],
        ["\x79\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x6D"],

        ["\xBA\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x69"],
        ["\x79\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x70"],

        ["\x37\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6A"],
        ["\x79\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD4"],

        ["\xBA\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6B"],
        ["\x79\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x7A"],

        ["\x37\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6C"],
        ["\x79\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD5"],

        ["\x37\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6D"],
        ["\x79\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD6"],

        ["\x37\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6E"],
        ["\x79\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD7"],

        ["\xBB\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],
        ["\xB8\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x25"],

        ["\xBB\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF2"],
        ["\xB8\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x2C"],

        ["\xBB\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],
        ["\xB8\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x2F"],

        ["\xBB\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x6F"],
        ["\x79\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x32"],

        ["\xBB\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF7"],
        ["\xB8\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x34"],

        ["\xBB\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x70"],
        ["\x79\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x3A"],

        ["\x37\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x71"],
        ["\x79\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD8"],

        ["\xBB\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],
        ["\xB9\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x3B"],

        ["\xBB\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xAB"],
        ["\xB9\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x41"],

        ["\x37\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x72"],
        ["\x79\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xD9"],

        ["\x37\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x73"],
        ["\x79\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xDA"],

        ["\xBB\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x74"],
        ["\x79\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x44"],

        ["\xBB\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x75"],
        ["\x79\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x52"],

        ["\x37\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x76"],
        ["\x79\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xDB"],

        ["\xBB\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x77"],
        ["\x79\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x57"],

        ["\xBB\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x78"],
        ["\x79\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x64"],

        ["\xBB\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],
        ["\xB9\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x6F"],

        ["\x37\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x79"],
        ["\x79\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xDC"],

        ["\xBB\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD2"],
        ["\xB9\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x70"],

        ["\xBB\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7A"],
        ["\x79\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x78"],

        ["\x37\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7B"],
        ["\x79\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xDD"],

        ["\xD7\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x57\x3B"],
        ["\x57\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\xBB"],

        ["\x37\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7C"],
        ["\x79\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xDE"],

        ["\x37\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7D"],
        ["\x79\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xDF"],

        ["\xBC\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x79\x7E"],
        ["\x79\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x28"],

        ["\xBC\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE8"],
        ["\xB9\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x2A"],

        ["\xBC\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF0"],
        ["\xB9\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x37"],

        ["\xBC\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF1"],
        ["\xB9\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x3A"],

        ["\xBC\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xA7"],
        ["\xBA\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x4E"],

        ["\x37\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x21"],
        ["\x7A\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE0"],

        ["\xBC\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xAA"],
        ["\xBA\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x52"],

        ["\x37\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x22"],
        ["\x7A\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE1"],

        ["\x37\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x23"],
        ["\x7A\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE2"],

        ["\xBC\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x24"],
        ["\x7A\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x5C"],

        ["\xBC\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBA"],
        ["\xBA\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x5E"],

        ["\xBC\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x25"],
        ["\x7A\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x63"],

        ["\xBC\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x26"],
        ["\x7A\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x66"],

        ["\xBC\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC2"],
        ["\xBA\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x6E"],

        ["\xBC\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC5"],
        ["\xBA\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x70"],

        ["\xBC\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xC6"],
        ["\xBA\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x72"],

        ["\xBC\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x27"],
        ["\x7A\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x78"],

        ["\xBC\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x28"],
        ["\x7A\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x79"],

        ["\xBC\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xCD"],
        ["\xBA\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x7D"],

        ["\xBD\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xD9"],
        ["\xBA\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x27"],

        ["\xBD\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDC"],
        ["\xBA\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x29"],

        ["\xBD\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xDE"],
        ["\xBA\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x2D"],

        ["\xBD\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],
        ["\xD0\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x30"],

        ["\xBD\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xE8"],
        ["\xBA\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x34"],

        ["\x37\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x29"],
        ["\x7A\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE3"],

        ["\xBD\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF0"],
        ["\xBA\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x3B"],

        ["\xBD\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF5"],
        ["\xBA\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x43"],

        ["\xBD\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA1"],
        ["\xBB\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x46"],

        ["\xBD\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA3"],
        ["\xBB\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x53"],

        ["\xBD\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA6"],
        ["\xBB\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x55"],

        ["\xBD\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x2A"],
        ["\x7A\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x57"],

        ["\xBD\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA2"],
        ["\xBB\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x5C"],

        ["\xBD\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x2B"],
        ["\x7A\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x5D"],

        ["\xBD\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xAA"],
        ["\xBB\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x5F"],

        ["\x37\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x2C"],
        ["\x7A\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE4"],

        ["\xBD\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB2"],
        ["\xBB\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x76"],

        ["\xBD\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xB3"],
        ["\xBB\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x77"],

        ["\xBE\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x2D"],
        ["\x7A\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x28"],

        ["\xBE\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x2E"],
        ["\x7A\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x2B"],

        ["\xBE\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x2F"],
        ["\x7A\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x2F"],

        ["\xBE\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x30"],
        ["\x7A\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x35"],

        ["\xBE\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCA"],
        ["\xBB\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x44"],

        ["\xBE\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDA"],
        ["\xBB\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x48"],

        ["\x37\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x31"],
        ["\x7A\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE5"],

        ["\xBE\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEA"],
        ["\xBB\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x60"],

        ["\x37\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x32"],
        ["\x7A\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE6"],

        ["\xBE\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xEE"],
        ["\xBB\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x6F"],

        ["\xBE\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x33"],
        ["\x7A\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x6E"],

        ["\x37\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x34"],
        ["\x7A\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE7"],

        ["\xBF\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFB"],
        ["\xBB\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x2C"],

        ["\x37\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x35"],
        ["\x7A\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE8"],

        ["\xBF\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA3"],
        ["\xBC\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x34"],

        ["\xBF\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA8"],
        ["\xBC\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x3C"],

        ["\xBF\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAA"],
        ["\xBC\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x3D"],

        ["\xBF\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x36"],
        ["\x7A\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x41"],

        ["\x37\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x37"],
        ["\x7A\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xE9"],

        ["\xBF\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAE"],
        ["\xBC\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x51"],

        ["\xBF\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAD"],
        ["\xBC\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x54"],

        ["\xBF\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB8"],
        ["\xBC\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x59"],

        ["\xBF\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB8"],
        ["\xBA\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x5D"],

        ["\xBF\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB4"],
        ["\xBC\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x63"],

        ["\xBF\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBE"],
        ["\xBC\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x69"],

        ["\xBF\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBA"],
        ["\xBC\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x6D"],

        ["\xBF\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC8"],
        ["\xBC\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x78"],

        ["\xC0\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x38"],
        ["\x7A\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x22"],

        ["\xC0\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xCE"],
        ["\xBC\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x3F"],

        ["\x37\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x39"],
        ["\x7A\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xEA"],

        ["\xC0\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x3A"],
        ["\x7A\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x49"],

        ["\xC0\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x3B"],
        ["\x7A\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x4B"],

        ["\xC0\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x3C"],
        ["\x7A\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x4F"],

        ["\x37\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x3D"],
        ["\x7A\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xEB"],

        ["\xC0\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x3E"],
        ["\x7A\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x5B"],

        ["\xC0\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x3F"],
        ["\x7A\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x67"],

        ["\xC0\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE0"],
        ["\xBC\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x7D"],

        ["\xC0\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE2"],
        ["\xBC\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x7E"],

        ["\xC1\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x40"],
        ["\x7A\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x21"],

        ["\xC1\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDE"],
        ["\xBC\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x23"],

        ["\xC1\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xDF"],
        ["\xBC\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x27"],

        ["\xC1\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x41"],
        ["\x7A\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x32"],

        ["\xC1\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x42"],
        ["\x7A\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x33"],

        ["\xC1\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x43"],
        ["\x7A\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x42"],

        ["\xC1\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEB"],
        ["\xBC\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x44"],

        ["\x37\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x44"],
        ["\x7A\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xEC"],

        ["\xC1\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF4"],
        ["\xBC\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x52"],

        ["\xC1\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x45"],
        ["\x7A\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x5C"],

        ["\x37\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x46"],
        ["\x7A\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xED"],

        ["\x37\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x47"],
        ["\x7A\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xEE"],

        ["\xC2\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC8"],
        ["\xBD\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x23"],

        ["\xC2\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC9"],
        ["\xBD\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x29"],

        ["\xC2\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC3"],
        ["\xBD\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x2C"],

        ["\xC2\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x48"],
        ["\x7A\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x2E"],

        ["\x37\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x49"],
        ["\x7A\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xEF"],

        ["\xC2\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCA"],
        ["\xBD\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x35"],

        ["\x37\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4A"],
        ["\x7A\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF0"],

        ["\x37\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4B"],
        ["\x7A\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF1"],

        ["\xC2\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xD9"],
        ["\xBD\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x3E"],

        ["\xC2\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE3"],
        ["\xBD\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x47"],

        ["\xC2\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEF"],
        ["\xBD\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x48"],

        ["\xC2\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF2"],
        ["\xBD\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x4F"],

        ["\x37\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4C"],
        ["\x7A\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF2"],

        ["\xC2\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAB"],
        ["\xBE\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5D"],

        ["\x37\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4D"],
        ["\x7A\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF3"],

        ["\xC2\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xAA"],
        ["\xBE\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x62"],

        ["\x37\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4E"],
        ["\x7A\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF4"],

        ["\xC2\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x4F"],
        ["\x7A\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x67"],

        ["\xC2\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB3"],
        ["\xBE\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x69"],

        ["\xC2\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xBD"],
        ["\xBE\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x71"],

        ["\xC2\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC0"],
        ["\xBE\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x76"],

        ["\xC2\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC2"],
        ["\xBE\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x79"],

        ["\xC2\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x50"],
        ["\x7A\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7A"],

        ["\xC3\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCD"],
        ["\xBE\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x26"],

        ["\xC3\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x51"],
        ["\x7A\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x27"],

        ["\xC3\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCC"],
        ["\xBE\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x2C"],

        ["\xC3\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xCF"],
        ["\xBE\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x2E"],

        ["\xC3\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD4"],
        ["\xBE\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x30"],

        ["\xC3\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDD"],
        ["\xBE\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x38"],

        ["\xC3\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD8"],
        ["\xBE\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x40"],

        ["\x37\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x52"],
        ["\x7A\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF5"],

        ["\xC3\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEA"],
        ["\xBE\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x4C"],

        ["\xC3\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x53"],
        ["\x7A\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x50"],

        ["\xC3\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF1"],
        ["\xBE\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x54"],

        ["\xC3\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x54"],
        ["\x7A\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5F"],

        ["\xC3\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x55"],
        ["\x7A\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x65"],

        ["\xC3\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x56"],
        ["\x7A\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x66"],

        ["\x37\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x57"],
        ["\x7A\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF6"],

        ["\xC3\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x58"],
        ["\x7A\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x74"],

        ["\xC3\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x59"],
        ["\x7A\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x75"],

        ["\xC3\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xF9"],
        ["\xBE\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x79"],

        ["\xC4\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAD"],
        ["\xBF\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x21"],

        ["\xC4\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA9"],
        ["\xBF\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x29"],

        ["\xC4\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB3"],
        ["\xBF\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x2D"],

        ["\xC4\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAB"],
        ["\xBF\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x2E"],

        ["\xC4\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB0"],
        ["\xBF\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x2F"],

        ["\xC4\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAE"],
        ["\xBF\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x33"],

        ["\xC4\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBB"],
        ["\xBF\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x37"],

        ["\xC4\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5A"],
        ["\x7A\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x44"],

        ["\x37\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5B"],
        ["\x7A\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF7"],

        ["\xC4\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC3"],
        ["\xBF\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x3F"],

        ["\xC4\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xBF"],
        ["\xBF\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x42"],

        ["\xC4\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5C"],
        ["\x7A\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x46"],

        ["\xC4\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC1"],
        ["\xBF\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x48"],

        ["\xC4\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5D"],
        ["\x7A\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x49"],

        ["\xC4\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC4"],
        ["\xBF\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x55"],

        ["\xC4\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5E"],
        ["\x7A\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x5B"],

        ["\xC4\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x5F"],
        ["\x7A\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x5F"],

        ["\x37\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x60"],
        ["\x7A\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF8"],

        ["\x37\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x61"],
        ["\x7A\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xF9"],

        ["\x37\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x62"],
        ["\x7A\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xFA"],

        ["\x37\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x63"],
        ["\x7A\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xFB"],

        ["\x37\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x64"],
        ["\x7A\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xFC"],

        ["\xC4\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x65"],
        ["\x7A\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x70"],

        ["\x37\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x66"],
        ["\x7A\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xFD"],

        ["\xC4\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE0"],
        ["\xBF\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x75"],

        ["\xC4\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x67"],
        ["\x7A\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x77"],

        ["\x37\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x68"],
        ["\x7A\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x37\xFE"],

        ["\xC5\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x69"],
        ["\x7A\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x23"],

        ["\xC5\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6A"],
        ["\x7A\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x24"],

        ["\xC5\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEF"],
        ["\xBF\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x26"],

        ["\xC5\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xEA"],
        ["\xBF\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x2B"],

        ["\xC5\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6B"],
        ["\x7A\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x2F"],

        ["\xC5\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE7"],
        ["\xBF\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x30"],

        ["\x38\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6C"],
        ["\x7A\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xA1"],

        ["\xC5\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF4"],
        ["\xBF\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x3B"],

        ["\x38\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6D"],
        ["\x7A\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xA2"],

        ["\xC5\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6E"],
        ["\x7A\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x3F"],

        ["\xC5\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x6F"],
        ["\x7A\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x40"],

        ["\xC5\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x70"],
        ["\x7A\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x42"],

        ["\xC5\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAA"],
        ["\xC0\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x56"],

        ["\x38\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x71"],
        ["\x7A\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xA3"],

        ["\x38\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x72"],
        ["\x7A\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xA4"],

        ["\xC5\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB3"],
        ["\xC0\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x66"],

        ["\xC5\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x73"],
        ["\x7A\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x67"],

        ["\xC5\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x74"],
        ["\x7A\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x6B"],

        ["\xC5\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB6"],
        ["\xC0\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x6D"],

        ["\xC5\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBA"],
        ["\xC0\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x71"],

        ["\xC5\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBF"],
        ["\xC0\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x75"],

        ["\xC5\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x75"],
        ["\x7A\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x78"],

        ["\x38\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x76"],
        ["\x7A\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xA5"],

        ["\xC5\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x77"],
        ["\x7A\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x79"],

        ["\x38\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x78"],
        ["\x7A\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xA6"],

        ["\xC6\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],
        ["\xC0\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x22"],

        ["\xC6\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x79"],
        ["\x7A\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x2B"],

        ["\xC6\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],
        ["\xC0\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x2D"],

        ["\x38\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7A"],
        ["\x7A\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xA7"],

        ["\x38\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xCD"],
        ["\xC0\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xA8"],

        ["\x38\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7B"],
        ["\x7A\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xA9"],

        ["\xC6\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7C"],
        ["\x7A\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x42"],

        ["\xC6\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7D"],
        ["\x7A\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x45"],

        ["\xC6\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],
        ["\xC0\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x49"],

        ["\xC6\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],
        ["\xC0\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x52"],

        ["\xC6\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDC"],
        ["\xC0\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x5E"],

        ["\x38\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7A\x7E"],
        ["\x7A\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xAA"],

        ["\xC6\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x21"],
        ["\x7B\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x64"],

        ["\xC6\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x22"],
        ["\x7B\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x65"],

        ["\xC6\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],
        ["\xC0\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x69"],

        ["\xC6\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x23"],
        ["\x7B\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x70"],

        ["\xC6\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xED"],
        ["\xC0\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x71"],

        ["\x38\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x24"],
        ["\x7B\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xAB"],

        ["\xC6\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],
        ["\xC0\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x77"],

        ["\xC6\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],
        ["\xC0\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x7D"],

        ["\xC7\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],
        ["\xC0\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x23"],

        ["\xC7\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],
        ["\xC0\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x26"],

        ["\xC7\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],
        ["\xC0\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x28"],

        ["\x38\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x25"],
        ["\x7B\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xAC"],

        ["\xC7\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA8"],
        ["\xC1\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x2E"],

        ["\xC7\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAA"],
        ["\xC1\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x37"],

        ["\xC7\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x26"],
        ["\x7B\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x39"],

        ["\xC7\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAD"],
        ["\xC1\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x3A"],

        ["\xC7\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x27"],
        ["\x7B\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x3C"],

        ["\x38\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x28"],
        ["\x7B\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xAD"],

        ["\xC7\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBD"],
        ["\xC1\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x41"],

        ["\x38\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x29"],
        ["\x7B\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xAE"],

        ["\xC7\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xBA"],
        ["\xC1\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x46"],

        ["\x38\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x2A"],
        ["\x7B\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xAF"],

        ["\xC7\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB7"],
        ["\xC1\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4A"],

        ["\xC7\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x2B"],
        ["\x7B\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4E"],

        ["\xC7\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCE"],
        ["\xC1\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x54"],

        ["\xC7\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCC"],
        ["\xC1\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x55"],

        ["\xC7\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],
        ["\xC1\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5A"],

        ["\x38\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x2C"],
        ["\x7B\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB0"],

        ["\xC7\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x2D"],
        ["\x7B\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5B"],

        ["\xC7\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x2E"],
        ["\x7B\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5C"],

        ["\x38\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x2F"],
        ["\x7B\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB1"],

        ["\x38\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x30"],
        ["\x7B\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB2"],

        ["\xC7\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],
        ["\xC1\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x71"],

        ["\xC7\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],
        ["\xC1\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7E"],

        ["\x38\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x31"],
        ["\x7B\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB3"],

        ["\xC8\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],
        ["\xC2\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x2E"],

        ["\xC8\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x32"],
        ["\x7B\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x33"],

        ["\xC8\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA2"],
        ["\xC2\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x35"],

        ["\xC8\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x33"],
        ["\x7B\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x39"],

        ["\x38\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x34"],
        ["\x7B\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB4"],

        ["\xC8\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],
        ["\xC2\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x48"],

        ["\x38\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x35"],
        ["\x7B\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB5"],

        ["\xC8\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB3"],
        ["\xC2\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x4C"],

        ["\xC8\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x36"],
        ["\x7B\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x4D"],

        ["\xC8\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBB"],
        ["\xC2\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x4F"],

        ["\xC8\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x37"],
        ["\x7B\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x55"],

        ["\xC8\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],
        ["\xC2\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x59"],

        ["\xC8\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE1"],
        ["\xC2\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5C"],

        ["\xC8\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x38"],
        ["\x7B\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5D"],

        ["\xC8\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],
        ["\xC2\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5E"],

        ["\xC8\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xCF"],
        ["\xC2\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x62"],

        ["\xC8\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],
        ["\xC2\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x67"],

        ["\xC8\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],
        ["\xC2\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x68"],

        ["\xC8\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],
        ["\xC2\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x6C"],

        ["\xC8\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x39"],
        ["\x7B\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x70"],

        ["\xC8\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xDB"],
        ["\xC2\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x73"],

        ["\xC8\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x3A"],
        ["\x7B\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x79"],

        ["\xC8\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x3B"],
        ["\x7B\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7A"],

        ["\xC8\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x3C"],
        ["\x7B\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7C"],

        ["\xC8\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x3D"],
        ["\x7B\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7E"],

        ["\xC9\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xEA"],
        ["\xC2\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x27"],

        ["\xC9\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],
        ["\xC2\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x25"],

        ["\xC9\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x3E"],
        ["\x7B\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x2C"],

        ["\xC9\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x3F"],
        ["\x7B\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x3B"],

        ["\xC9\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],
        ["\xC2\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x3F"],

        ["\xC9\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x40"],
        ["\x7B\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x40"],

        ["\xC9\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x41"],
        ["\x7B\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x41"],

        ["\xC9\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],
        ["\xC2\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x42"],

        ["\xC9\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x42"],
        ["\x7B\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x46"],

        ["\xC9\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC0"],
        ["\xBD\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x52"],

        ["\xC9\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFD"],
        ["\xC2\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x57"],

        ["\xC9\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA4"],
        ["\xC3\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5B"],

        ["\xC9\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],
        ["\xC3\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5E"],

        ["\xC9\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA5"],
        ["\xC3\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x60"],

        ["\xC9\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x43"],
        ["\x7B\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6C"],

        ["\xC9\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],
        ["\xC3\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6A"],

        ["\xC9\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x44"],
        ["\x7B\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6B"],

        ["\x38\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x45"],
        ["\x7B\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB6"],

        ["\xC9\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x46"],
        ["\x7B\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6F"],

        ["\x38\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x47"],
        ["\x7B\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB7"],

        ["\x38\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x48"],
        ["\x7B\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB8"],

        ["\xC9\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],
        ["\xC3\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x79"],

        ["\xC9\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],
        ["\xC3\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x7E"],

        ["\xCA\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x49"],
        ["\x7B\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x21"],

        ["\xCA\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],
        ["\xC3\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x24"],

        ["\xCA\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x4A"],
        ["\x7B\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x25"],

        ["\xCA\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],
        ["\xC3\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x27"],

        ["\xCA\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x4B"],
        ["\x7B\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x30"],

        ["\xCA\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],
        ["\xC3\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x34"],

        ["\xCA\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],
        ["\xC3\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x3E"],

        ["\x38\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x4C"],
        ["\x7B\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xB9"],

        ["\xCA\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x4D"],
        ["\x7B\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x55"],

        ["\xCA\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],
        ["\xC3\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x56"],

        ["\x38\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x4E"],
        ["\x7B\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xBA"],

        ["\xCA\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x4F"],
        ["\x7B\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x68"],

        ["\xCA\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],
        ["\xC3\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x6B"],

        ["\x38\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x50"],
        ["\x7B\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xBB"],

        ["\xCA\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],
        ["\xC3\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x7E"],

        ["\x38\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x51"],
        ["\x7B\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xBC"],

        ["\xCB\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x52"],
        ["\x7B\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x2F"],

        ["\xCB\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFA"],
        ["\xC3\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x30"],

        ["\xCB\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x53"],
        ["\x7B\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x3A"],

        ["\xCB\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x54"],
        ["\x7B\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x42"],

        ["\xCB\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA6"],
        ["\xC4\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x4C"],

        ["\xCB\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAE"],
        ["\xC4\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x55"],

        ["\xCB\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x55"],
        ["\x7B\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x5A"],

        ["\xCB\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x56"],
        ["\x7B\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x5B"],

        ["\xCB\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x57"],
        ["\x7B\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x5C"],

        ["\xCB\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x58"],
        ["\x7B\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x5E"],

        ["\xCB\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x59"],
        ["\x7B\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x60"],

        ["\xCB\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBC"],
        ["\xC4\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x6D"],

        ["\xCB\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBF"],
        ["\xC4\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x71"],

        ["\xCB\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],
        ["\xC4\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x77"],

        ["\xCC\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x5A"],
        ["\x7B\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x26"],

        ["\xCC\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDD"],
        ["\xC4\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x28"],

        ["\xCC\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],
        ["\xC4\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x29"],

        ["\x38\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x5B"],
        ["\x7B\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xBD"],

        ["\xCC\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],
        ["\xC4\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x2C"],

        ["\xCC\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xDC"],
        ["\xC4\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x2F"],

        ["\xCC\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x5C"],
        ["\x7B\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x30"],

        ["\xCC\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],
        ["\xC4\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x33"],

        ["\xCC\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x5D"],
        ["\x7B\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x34"],

        ["\xCC\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x5E"],
        ["\x7B\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x39"],

        ["\xCC\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],
        ["\xC4\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x3A"],

        ["\xCC\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x5F"],
        ["\x7B\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x3B"],

        ["\xCC\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],
        ["\xC4\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x3C"],

        ["\xCC\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],
        ["\xC4\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x40"],

        ["\xCC\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x60"],
        ["\x7B\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x46"],

        ["\xCC\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x61"],
        ["\x7B\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x47"],

        ["\xCC\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],
        ["\xC4\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x4E"],

        ["\xCC\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],
        ["\xC4\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x4F"],

        ["\xCC\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x62"],
        ["\x7B\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x55"],

        ["\xCC\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],
        ["\xC4\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x58"],

        ["\xCC\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x63"],
        ["\x7B\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x5C"],

        ["\xCC\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA2"],
        ["\xC5\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x52"],

        ["\xCC\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],
        ["\xC5\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x5D"],

        ["\xCC\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFC"],
        ["\xC4\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x5E"],

        ["\xCC\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x64"],
        ["\x7B\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x5F"],

        ["\xCC\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x65"],
        ["\x7B\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x66"],

        ["\xCC\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA4"],
        ["\xC5\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x69"],

        ["\xCC\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA8"],
        ["\xC5\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x6A"],

        ["\xCC\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA6"],
        ["\xC5\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x6B"],

        ["\xCC\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA9"],
        ["\xC5\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x70"],

        ["\xCC\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x66"],
        ["\x7B\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x7D"],

        ["\xCD\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x67"],
        ["\x7B\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x23"],

        ["\xCD\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB7"],
        ["\xC5\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x3D"],

        ["\xCD\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBD"],
        ["\xC5\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x46"],

        ["\x38\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x68"],
        ["\x7B\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xBE"],

        ["\xCD\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x69"],
        ["\x7B\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x55"],

        ["\xCD\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],
        ["\xC5\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x5C"],

        ["\xCD\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],
        ["\xC5\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x63"],

        ["\xCD\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x6A"],
        ["\x7B\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x64"],

        ["\xCD\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x6B"],
        ["\x7B\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x68"],

        ["\xCD\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x6C"],
        ["\x7B\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x6E"],

        ["\xCD\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],
        ["\xC5\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x6F"],

        ["\xCD\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCA"],
        ["\xC5\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x70"],

        ["\xCD\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x6D"],
        ["\x7B\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x74"],

        ["\xCD\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCC"],
        ["\xC5\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x79"],

        ["\xCD\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x6E"],
        ["\x7B\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x7C"],

        ["\xCE\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x6F"],
        ["\x7B\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x26"],

        ["\xCE\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x70"],
        ["\x7B\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x2A"],

        ["\xCE\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x71"],
        ["\x7B\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x2E"],

        ["\xCE\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCF"],
        ["\xC5\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x2F"],

        ["\xCE\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],
        ["\xC5\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x30"],

        ["\xCE\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x72"],
        ["\x7B\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x32"],

        ["\xCE\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],
        ["\xC5\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x33"],

        ["\xCE\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x73"],
        ["\x7B\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x35"],

        ["\xCE\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x74"],
        ["\x7B\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x3C"],

        ["\xCE\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE1"],
        ["\xC5\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x46"],

        ["\x38\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x75"],
        ["\x7B\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xBF"],

        ["\xCE\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x76"],
        ["\x7B\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x4A"],

        ["\xCE\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],
        ["\xC5\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x4D"],

        ["\xCE\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],
        ["\xC5\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x4E"],

        ["\xCE\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x77"],
        ["\x7B\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x4F"],

        ["\xCE\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x78"],
        ["\x7B\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x52"],

        ["\xCE\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEB"],
        ["\xC5\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x56"],

        ["\xCE\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x79"],
        ["\x7B\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x59"],

        ["\xCE\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x7A"],
        ["\x7B\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x5C"],

        ["\xCE\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEE"],
        ["\xC5\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x62"],

        ["\xCE\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x7B"],
        ["\x7B\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x6A"],

        ["\xCE\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],
        ["\xC5\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x6C"],

        ["\xCE\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],
        ["\xC5\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x74"],

        ["\xCE\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x7C"],
        ["\x7B\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x75"],

        ["\xCE\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],
        ["\xC5\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x7A"],

        ["\xCE\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],
        ["\xC5\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x7C"],

        ["\xCE\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x7D"],
        ["\x7B\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x7E"],

        ["\xCF\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7B\x7E"],
        ["\x7B\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x29"],

        ["\xCF\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x21"],
        ["\x7C\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x2B"],

        ["\xCF\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x22"],
        ["\x7C\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x2F"],

        ["\xCF\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA2"],
        ["\xC6\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x36"],

        ["\xCF\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x23"],
        ["\x7C\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x44"],

        ["\xCF\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAF"],
        ["\xC6\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x58"],

        ["\x38\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x24"],
        ["\x7C\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC0"],

        ["\xCF\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB4"],
        ["\xC6\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x5D"],

        ["\x38\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x25"],
        ["\x7C\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC1"],

        ["\x38\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x26"],
        ["\x7C\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC2"],

        ["\xCF\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xBA"],
        ["\xC6\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x6A"],

        ["\xCF\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xB8"],
        ["\xC6\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x6C"],

        ["\x38\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x27"],
        ["\x7C\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC3"],

        ["\xCF\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x28"],
        ["\x7C\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x7B"],

        ["\x38\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x29"],
        ["\x7C\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC4"],

        ["\xCF\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],
        ["\xC6\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x7A"],

        ["\xD0\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x2A"],
        ["\x7C\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x2D"],

        ["\xD0\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x2B"],
        ["\x7C\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x34"],

        ["\xD0\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],
        ["\xC6\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x36"],

        ["\xD0\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],
        ["\xC6\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x38"],

        ["\xD0\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x2C"],
        ["\x7C\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x40"],

        ["\x38\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x2D"],
        ["\x7C\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC5"],

        ["\xD0\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],
        ["\xC6\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x48"],

        ["\xD0\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDB"],
        ["\xC6\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x49"],

        ["\x38\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x2E"],
        ["\x7C\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC6"],

        ["\x38\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x2F"],
        ["\x7C\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC7"],

        ["\xD0\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x30"],
        ["\x7C\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x4F"],

        ["\xD0\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x31"],
        ["\x7C\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x50"],

        ["\x38\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x32"],
        ["\x7C\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC8"],

        ["\x38\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x33"],
        ["\x7C\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xC9"],

        ["\x38\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x34"],
        ["\x7C\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xCA"],

        ["\xD0\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],
        ["\xC6\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x58"],

        ["\x38\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x35"],
        ["\x7C\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xCB"],

        ["\xD0\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x36"],
        ["\x7C\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x5D"],

        ["\x38\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x37"],
        ["\x7C\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xCC"],

        ["\x38\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x38"],
        ["\x7C\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xCD"],

        ["\xD0\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x39"],
        ["\x7C\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x68"],

        ["\xD0\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x3A"],
        ["\x7C\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x70"],

        ["\xD0\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB2"],
        ["\xC7\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x72"],

        ["\xD0\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB6"],
        ["\xC7\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x77"],

        ["\xD0\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xF8"],
        ["\xB9\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x78"],

        ["\x38\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x3B"],
        ["\x7C\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xCE"],

        ["\xD0\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDE"],
        ["\xC8\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x7A"],

        ["\xD0\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x3C"],
        ["\x7C\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x7E"],

        ["\xD1\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBB"],
        ["\xC7\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x25"],

        ["\xD1\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x3D"],
        ["\x7C\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x26"],

        ["\xD1\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],
        ["\xC7\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x2B"],

        ["\x38\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x3E"],
        ["\x7C\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xCF"],

        ["\xD1\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],
        ["\xC7\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x3D"],

        ["\xD1\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],
        ["\xC7\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x48"],

        ["\xD1\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x3F"],
        ["\x7C\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4E"],

        ["\x38\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x40"],
        ["\x7C\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD0"],

        ["\xD1\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xED"],
        ["\xC5\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x54"],

        ["\xD1\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],
        ["\xC7\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5C"],

        ["\x38\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x41"],
        ["\x7C\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD1"],

        ["\xD1\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x42"],
        ["\x7C\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5F"],

        ["\xD1\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x43"],
        ["\x7C\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x62"],

        ["\xD1\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],
        ["\xC7\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x67"],

        ["\xD1\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xFE"],
        ["\xC7\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x71"],

        ["\x38\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x44"],
        ["\x7C\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD2"],

        ["\xD1\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA6"],
        ["\xC8\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x7B"],

        ["\x38\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x45"],
        ["\x7C\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD3"],

        ["\xD2\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAA"],
        ["\xC8\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x27"],

        ["\xD2\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x46"],
        ["\x7C\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x28"],

        ["\xD2\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAE"],
        ["\xC8\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x2A"],

        ["\xD2\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],
        ["\xC8\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x2F"],

        ["\xD2\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB7"],
        ["\xC8\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x30"],

        ["\xD2\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x47"],
        ["\x7C\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x31"],

        ["\x38\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x48"],
        ["\x7C\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD4"],

        ["\xD2\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCB"],
        ["\xC8\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4E"],

        ["\xD2\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],
        ["\xC8\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4F"],

        ["\xD2\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x49"],
        ["\x7C\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x5C"],

        ["\xD2\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],
        ["\xC8\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x6D"],

        ["\x38\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4A"],
        ["\x7C\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD5"],

        ["\xD2\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xEA"],
        ["\xC5\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x68"],

        ["\xD2\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4B"],
        ["\x7C\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x6E"],

        ["\xD2\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4C"],
        ["\x7C\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x70"],

        ["\x38\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4D"],
        ["\x7C\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD6"],

        ["\x38\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4E"],
        ["\x7C\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD7"],

        ["\xD2\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],
        ["\xC8\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x79"],

        ["\xD3\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDC"],
        ["\xC8\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x25"],

        ["\xD3\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDF"],
        ["\xC8\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x29"],

        ["\xD3\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x4F"],
        ["\x7C\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x2E"],

        ["\xD3\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],
        ["\xC8\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x2F"],

        ["\xD3\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],
        ["\xC8\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x31"],

        ["\xD3\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x50"],
        ["\x7C\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x38"],

        ["\xD3\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x51"],
        ["\x7C\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x42"],

        ["\xD3\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],
        ["\xC8\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x44"],

        ["\xD3\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],
        ["\xC8\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x46"],

        ["\xD3\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x52"],
        ["\x7C\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4C"],

        ["\xD3\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],
        ["\xC8\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4D"],

        ["\xD3\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFB"],
        ["\xC8\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x52"],

        ["\xD3\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],
        ["\xC8\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x54"],

        ["\xD3\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xFC"],
        ["\xC8\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x56"],

        ["\xD3\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],
        ["\xC9\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5A"],

        ["\xD3\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA4"],
        ["\xC9\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5F"],

        ["\xD3\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],
        ["\xC9\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x64"],

        ["\xD3\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x53"],
        ["\x7C\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x6F"],

        ["\xD3\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x54"],
        ["\x7C\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x74"],

        ["\xD3\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB1"],
        ["\xC9\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x78"],

        ["\xD4\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],
        ["\xC9\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x22"],

        ["\xD4\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB5"],
        ["\xC9\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x29"],

        ["\xD4\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x55"],
        ["\x7C\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x2E"],

        ["\x38\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x56"],
        ["\x7C\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD8"],

        ["\x38\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x57"],
        ["\x7C\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xD9"],

        ["\xD4\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x58"],
        ["\x7C\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x48"],

        ["\xD4\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],
        ["\xC9\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x3F"],

        ["\xD4\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],
        ["\xC9\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x41"],

        ["\xD4\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],
        ["\xC9\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x42"],

        ["\x38\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x59"],
        ["\x7C\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xDA"],

        ["\xD4\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],
        ["\xC9\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x51"],

        ["\xD4\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5A"],
        ["\x7C\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x57"],

        ["\xD4\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5B"],
        ["\x7C\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x64"],

        ["\x38\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5C"],
        ["\x7C\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xDB"],

        ["\xD5\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xED"],
        ["\xC9\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x2A"],

        ["\xD5\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEF"],
        ["\xC9\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x2C"],

        ["\xD5\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],
        ["\xC9\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x35"],

        ["\xD5\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],
        ["\xC9\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x39"],

        ["\xD5\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5D"],
        ["\x7C\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x3B"],

        ["\xD5\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFB"],
        ["\xC9\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x3C"],

        ["\xD5\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFD"],
        ["\xC9\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x40"],

        ["\xD5\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5E"],
        ["\x7C\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x41"],

        ["\xD5\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],
        ["\xCA\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x44"],

        ["\x38\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x5F"],
        ["\x7C\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xDC"],

        ["\xD5\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],
        ["\xCA\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x50"],

        ["\xD5\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],
        ["\xCA\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x57"],

        ["\xD5\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x60"],
        ["\x7C\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x5C"],

        ["\xD5\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x61"],
        ["\x7C\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x5D"],

        ["\xD5\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x62"],
        ["\x7C\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x60"],

        ["\x38\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x63"],
        ["\x7C\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xDD"],

        ["\xD5\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x64"],
        ["\x7C\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x7A"],

        ["\xD5\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],
        ["\xCA\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x7C"],

        ["\xD6\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x65"],
        ["\x7C\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x23"],

        ["\xD6\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],
        ["\xCA\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x2C"],

        ["\xD6\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC3"],
        ["\xCA\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x39"],

        ["\xD6\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x66"],
        ["\x7C\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x3D"],

        ["\xD6\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x67"],
        ["\x7C\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x3F"],

        ["\xD6\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x68"],
        ["\x7C\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x40"],

        ["\xD6\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],
        ["\xD5\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x42"],

        ["\xD6\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x69"],
        ["\x7C\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x54"],

        ["\xD6\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6A"],
        ["\x7C\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x58"],

        ["\xD6\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6B"],
        ["\x7C\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x5A"],

        ["\xD6\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6C"],
        ["\x7C\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x5C"],

        ["\x38\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6D"],
        ["\x7C\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xDE"],

        ["\x38\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6E"],
        ["\x7C\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xDF"],

        ["\x38\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x6F"],
        ["\x7C\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE0"],

        ["\xD7\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x70"],
        ["\x7C\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x27"],

        ["\xD7\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE4"],
        ["\xCA\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x2B"],

        ["\x38\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x71"],
        ["\x7C\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE1"],

        ["\xD7\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],
        ["\xCA\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x36"],

        ["\xD7\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x72"],
        ["\x7C\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x3E"],

        ["\xD7\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x73"],
        ["\x7C\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x3F"],

        ["\xD7\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x74"],
        ["\x7C\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x40"],

        ["\xD7\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],
        ["\xCB\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x43"],

        ["\xD7\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x75"],
        ["\x7C\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x45"],

        ["\xD7\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],
        ["\xCB\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x49"],

        ["\xD7\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x76"],
        ["\x7C\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4C"],

        ["\xD7\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x77"],
        ["\x7C\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4D"],

        ["\xD7\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x78"],
        ["\x7C\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4E"],

        ["\xD7\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x79"],
        ["\x7C\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x50"],

        ["\xD7\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7A"],
        ["\x7C\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5B"],

        ["\xD7\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],
        ["\xCB\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5C"],

        ["\xD7\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7B"],
        ["\x7C\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5D"],

        ["\xD7\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7C"],
        ["\x7C\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x69"],

        ["\xD7\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7D"],
        ["\x7C\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x6B"],

        ["\xD7\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7C\x7E"],
        ["\x7C\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x70"],

        ["\xD7\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x21"],
        ["\x7D\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x74"],

        ["\xD7\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x22"],
        ["\x7D\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x76"],

        ["\xD7\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x23"],
        ["\x7D\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x79"],

        ["\xD7\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],
        ["\xCB\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x7A"],

        ["\xD8\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x24"],
        ["\x7D\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x21"],

        ["\xD8\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x25"],
        ["\x7D\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x26"],

        ["\xD8\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x26"],
        ["\x7D\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x28"],

        ["\xD8\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x27"],
        ["\x7D\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x2B"],

        ["\xD8\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE1"],
        ["\xCB\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x31"],

        ["\xD8\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x28"],
        ["\x7D\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x32"],

        ["\xD8\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],
        ["\xCB\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x35"],

        ["\xD8\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF8"],
        ["\xCB\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x36"],

        ["\xD8\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x29"],
        ["\x7D\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x39"],

        ["\xD8\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x2A"],
        ["\x7D\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x3B"],

        ["\x38\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x2B"],
        ["\x7D\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE2"],

        ["\xD8\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],
        ["\xCB\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x40"],

        ["\xD8\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x2C"],
        ["\x7D\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x45"],

        ["\xD8\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x2D"],
        ["\x7D\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x46"],

        ["\xD8\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x2E"],
        ["\x7D\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x47"],

        ["\x38\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x2F"],
        ["\x7D\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE3"],

        ["\x38\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x30"],
        ["\x7D\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE4"],

        ["\xD8\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x31"],
        ["\x7D\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x61"],

        ["\xD8\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x32"],
        ["\x7D\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x62"],

        ["\xD8\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x33"],
        ["\x7D\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x69"],

        ["\xD8\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x34"],
        ["\x7D\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x6D"],

        ["\xD8\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC2"],
        ["\xCC\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x72"],

        ["\xD8\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x35"],
        ["\x7D\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x75"],

        ["\xD8\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x36"],
        ["\x7D\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x78"],

        ["\xD8\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x37"],
        ["\x7D\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x79"],

        ["\x38\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x38"],
        ["\x7D\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE5"],

        ["\xD9\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x39"],
        ["\x7D\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x29"],

        ["\xD9\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x3A"],
        ["\x7D\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x34"],

        ["\xD9\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x3B"],
        ["\x7D\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x36"],

        ["\xD9\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x3C"],
        ["\x7D\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x3C"],

        ["\xD9\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x3D"],
        ["\x7D\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x50"],

        ["\xD9\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x3E"],
        ["\x7D\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x74"],

        ["\xD9\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x3F"],
        ["\x7D\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x54"],

        ["\xD9\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x40"],
        ["\x7D\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5D"],

        ["\xD9\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],
        ["\xCC\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5E"],

        ["\xD9\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x41"],
        ["\x7D\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x64"],

        ["\xD9\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x42"],
        ["\x7D\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x72"],

        ["\xD9\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],
        ["\xCD\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x73"],

        ["\xD9\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x43"],
        ["\x7D\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x7B"],

        ["\xDA\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],
        ["\xCD\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x29"],

        ["\xDA\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x44"],
        ["\x7D\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x21"],

        ["\xDA\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x45"],
        ["\x7D\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x23"],

        ["\xDA\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x46"],
        ["\x7D\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x24"],

        ["\xDA\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],
        ["\xCD\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x27"],

        ["\x38\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x47"],
        ["\x7D\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE6"],

        ["\xDA\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x48"],
        ["\x7D\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x2A"],

        ["\xDA\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],
        ["\xCD\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x30"],

        ["\xDA\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],
        ["\xCD\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x32"],

        ["\xDA\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC7"],
        ["\xCD\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x3C"],

        ["\x38\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x49"],
        ["\x7D\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE7"],

        ["\x38\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4A"],
        ["\x7D\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE8"],

        ["\xDA\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4B"],
        ["\x7D\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x42"],

        ["\x38\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4C"],
        ["\x7D\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xE9"],

        ["\xDA\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],
        ["\xCD\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x46"],

        ["\xDA\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4D"],
        ["\x7D\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x48"],

        ["\xDA\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4E"],
        ["\x7D\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x4F"],

        ["\xDA\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x4F"],
        ["\x7D\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x5C"],

        ["\xDA\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x50"],
        ["\x7D\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x6E"],

        ["\xDA\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD5"],
        ["\xCD\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x6F"],

        ["\xDA\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD6"],
        ["\xCD\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x70"],

        ["\xDA\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x51"],
        ["\x7D\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x74"],

        ["\xDB\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x52"],
        ["\x7D\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x35"],

        ["\xDB\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x53"],
        ["\x7D\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x3C"],

        ["\xDB\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],
        ["\xCD\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x3D"],

        ["\xDB\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x54"],
        ["\x7D\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x4B"],

        ["\xDB\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x55"],
        ["\x7D\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x4C"],

        ["\xDB\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x56"],
        ["\x7D\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x4F"],

        ["\x38\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x57"],
        ["\x7D\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xEA"],

        ["\xDB\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE0"],
        ["\xCD\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x58"],

        ["\x38\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x58"],
        ["\x7D\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xEB"],

        ["\xDB\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x59"],
        ["\x7D\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x6A"],

        ["\xDB\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5A"],
        ["\x7D\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x6C"],

        ["\xDB\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5B"],
        ["\x7D\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x6E"],

        ["\xDB\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5C"],
        ["\x7D\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x72"],

        ["\xDB\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5D"],
        ["\x7D\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x78"],

        ["\xDC\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF2"],
        ["\xCD\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x39"],

        ["\xDC\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF4"],
        ["\xCD\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x40"],

        ["\xDC\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],
        ["\xCD\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x45"],

        ["\xDC\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],
        ["\xCD\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x49"],

        ["\x38\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5E"],
        ["\x7D\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xEC"],

        ["\x38\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x5F"],
        ["\x7D\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xED"],

        ["\xDC\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x60"],
        ["\x7D\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x5C"],

        ["\xDC\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x61"],
        ["\x7D\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x5D"],

        ["\xDC\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],
        ["\xCE\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x5E"],

        ["\xDC\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],
        ["\xCE\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x62"],

        ["\xDC\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],
        ["\xCE\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x64"],

        ["\xDC\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x62"],
        ["\x7D\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x66"],

        ["\xDC\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x63"],
        ["\x7D\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x68"],

        ["\xDC\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x64"],
        ["\x7D\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x6B"],

        ["\xDD\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],
        ["\xCE\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x27"],

        ["\x38\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x65"],
        ["\x7D\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xEE"],

        ["\xDD\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x66"],
        ["\x7D\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x34"],

        ["\xDD\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC1"],
        ["\xCE\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x39"],

        ["\xDD\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x67"],
        ["\x7D\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x3F"],

        ["\xDD\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xC9"],
        ["\xCE\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x4A"],

        ["\xDD\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],
        ["\xCE\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x4D"],

        ["\xDD\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],
        ["\xCE\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x5A"],

        ["\xDD\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD2"],
        ["\xCE\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x5D"],

        ["\xDD\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD9"],
        ["\xCE\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x63"],

        ["\xDD\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],
        ["\xCE\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x64"],

        ["\xDD\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],
        ["\xCE\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x67"],

        ["\x38\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x68"],
        ["\x7D\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xEF"],

        ["\xDE\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x69"],
        ["\x7D\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x33"],

        ["\x38\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6A"],
        ["\x7D\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF0"],

        ["\x38\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6B"],
        ["\x7D\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF1"],

        ["\xDE\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],
        ["\xB6\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x48"],

        ["\xDE\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF7"],
        ["\xCE\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x4C"],

        ["\xDE\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF6"],
        ["\xCE\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x4D"],

        ["\x38\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6C"],
        ["\x7D\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF2"],

        ["\x38\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6D"],
        ["\x7D\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF3"],

        ["\xDE\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],
        ["\xCF\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x68"],

        ["\xDE\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6E"],
        ["\x7D\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x76"],

        ["\x38\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x6F"],
        ["\x7D\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF4"],

        ["\xDF\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],
        ["\xCF\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x35"],

        ["\xDF\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x70"],
        ["\x7D\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x3D"],

        ["\xDF\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],
        ["\xCF\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x3E"],

        ["\x38\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x71"],
        ["\x7D\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF5"],

        ["\xDF\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x72"],
        ["\x7D\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x45"],

        ["\xDF\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x73"],
        ["\x7D\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x58"],

        ["\xDF\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD2"],
        ["\xCF\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x64"],

        ["\xDF\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD1"],
        ["\xCF\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x65"],

        ["\xDF\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD0"],
        ["\xCF\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x68"],

        ["\xDF\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xD6"],
        ["\xCF\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x7C"],

        ["\xE0\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x74"],
        ["\x7D\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x21"],

        ["\xE0\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x75"],
        ["\x7D\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x2A"],

        ["\xE0\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x76"],
        ["\x7D\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x3C"],

        ["\xE0\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xDB"],
        ["\xCF\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x40"],

        ["\x38\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x77"],
        ["\x7D\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF6"],

        ["\xE0\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x78"],
        ["\x7D\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x54"],

        ["\x38\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x79"],
        ["\x7D\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF7"],

        ["\xE0\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xE3"],
        ["\xCF\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x63"],

        ["\xE0\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xE6"],
        ["\xCF\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x6E"],

        ["\xE0\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xE8"],
        ["\xCF\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x76"],

        ["\xE0\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7A"],
        ["\x7D\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE0\x7A"],

        ["\xE1\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xEC"],
        ["\xCF\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x27"],

        ["\x38\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7B"],
        ["\x7D\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF8"],

        ["\xE1\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xE2"],
        ["\xB4\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x32"],

        ["\xE1\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xF1"],
        ["\xCF\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x33"],

        ["\xE1\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xFE"],
        ["\xCF\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x43"],

        ["\xE1\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA2"],
        ["\xD0\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x44"],

        ["\xE1\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],
        ["\xD0\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x45"],

        ["\xE1\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7C"],
        ["\x7D\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x4D"],

        ["\xE1\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB4"],
        ["\xD0\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x56"],

        ["\x38\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7D"],
        ["\x7D\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xF9"],

        ["\xE1\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],
        ["\xD0\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x68"],

        ["\xE1\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7D\x7E"],
        ["\x7D\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x6D"],

        ["\xE1\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x21"],
        ["\x7E\x21",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x6E"],

        ["\xE1\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x22"],
        ["\x7E\x22",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x70"],

        ["\xE1\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x23"],
        ["\x7E\x23",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x71"],

        ["\xE1\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],
        ["\xD0\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x74"],

        ["\xE1\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],
        ["\xD0\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x78"],

        ["\xE1\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x24"],
        ["\x7E\x24",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x7D"],

        ["\xE2\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x25"],
        ["\x7E\x25",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x21"],

        ["\xE2\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],
        ["\xD0\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x22"],

        ["\xE2\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEA"],
        ["\xD0\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x23"],

        ["\xE2\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x26"],
        ["\x7E\x26",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x26"],

        ["\xE2\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xED"],
        ["\xD0\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x2A"],

        ["\xE2\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xEF"],
        ["\xD0\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x30"],

        ["\xE2\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],
        ["\xD0\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x32"],

        ["\xE2\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x27"],
        ["\x7E\x27",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x3C"],

        ["\xE2\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],
        ["\xD0\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x3D"],

        ["\xE2\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x28"],
        ["\x7E\x28",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x45"],

        ["\xE2\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x29"],
        ["\x7E\x29",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x46"],

        ["\xE2\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],
        ["\xD0\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x4A"],

        ["\xE2\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFA"],
        ["\xD0\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x4B"],

        ["\xE2\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFB"],
        ["\xD0\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x4C"],

        ["\xE2\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x2A"],
        ["\x7E\x2A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x52"],

        ["\xE2\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x2B"],
        ["\x7E\x2B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x55"],

        ["\xE2\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xFE"],
        ["\xD0\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x5B"],

        ["\xE2\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x2C"],
        ["\x7E\x2C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x65"],

        ["\xE2\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xAD"],
        ["\xD1\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x6F"],

        ["\xE2\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x2D"],
        ["\x7E\x2D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x73"],

        ["\xE2\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x2E"],
        ["\x7E\x2E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x77"],

        ["\xE2\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA1"],
        ["\xCF\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x7C"],

        ["\xE3\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],
        ["\xD1\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x36"],

        ["\xE3\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xBC"],
        ["\xD1\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x33"],

        ["\xE3\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],
        ["\xD1\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x3D"],

        ["\xE3\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],
        ["\xD1\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x53"],

        ["\xE3\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],
        ["\xD1\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x5A"],

        ["\xE3\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],
        ["\xD1\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x60"],

        ["\xE4\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x2F"],
        ["\x7E\x2F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x34"],

        ["\xE4\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x30"],
        ["\x7E\x30",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x3A"],

        ["\xE4\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x31"],
        ["\x7E\x31",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x3B"],

        ["\x38\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x32"],
        ["\x7E\x32",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xFA"],

        ["\xE4\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xA7"],
        ["\xD2\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x5D"],

        ["\xE4\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],
        ["\xD2\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x6A"],

        ["\x38\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x33"],
        ["\x7E\x33",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xFB"],

        ["\xE4\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xBD"],
        ["\xD2\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x73"],

        ["\xE4\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x34"],
        ["\x7E\x34",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x74"],

        ["\xE4\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x35"],
        ["\x7E\x35",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x77"],

        ["\xE5\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x36"],
        ["\x7E\x36",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x2F"],

        ["\xE5\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x37"],
        ["\x7E\x37",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x32"],

        ["\xE5\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],
        ["\xD2\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x3A"],

        ["\xE5\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],
        ["\xD2\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x4A"],

        ["\xE5\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],
        ["\xD2\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x56"],

        ["\xE5\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEA"],
        ["\xD2\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x53"],

        ["\xE5\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xEE"],
        ["\xD2\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x64"],

        ["\xE5\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xED"],
        ["\xD2\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x6C"],

        ["\xE5\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x38"],
        ["\x7E\x38",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x73"],

        ["\xE5\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],
        ["\xD2\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x75"],

        ["\xE5\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],
        ["\xD2\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x79"],

        ["\xE5\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x39"],
        ["\x7E\x39",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x7A"],

        ["\xE6\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xFD"],
        ["\xD2\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x26"],

        ["\xE6\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x3A"],
        ["\x7E\x3A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x29"],

        ["\xE6\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x3B"],
        ["\x7E\x3B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x2B"],

        ["\xE6\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD8"],
        ["\xCD\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x2C"],

        ["\xE6\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x3C"],
        ["\x7E\x3C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x2E"],

        ["\xE6\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x3D"],
        ["\x7E\x3D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x30"],

        ["\xE6\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA6"],
        ["\xD3\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x32"],

        ["\xE6\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA7"],
        ["\xD3\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x37"],

        ["\xE6\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xAA"],
        ["\xD3\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x38"],

        ["\xE6\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x3E"],
        ["\x7E\x3E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x3B"],

        ["\x38\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x3F"],
        ["\x7E\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xFC"],

        ["\xE6\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x40"],
        ["\x7E\x40",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x3D"],

        ["\xE6\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x41"],
        ["\x7E\x41",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x3F"],

        ["\xE6\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],
        ["\xD3\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x58"],

        ["\xE6\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF4"],
        ["\xB6\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x63"],

        ["\xE6\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x42"],
        ["\x7E\x42",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x6A"],

        ["\xE6\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],
        ["\xD3\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x6B"],

        ["\xE6\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x43"],
        ["\x7E\x43",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x73"],

        ["\xE6\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCD"],
        ["\xD5\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x78"],

        ["\x38\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x44"],
        ["\x7E\x44",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xFD"],

        ["\xE6\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCD"],
        ["\xD3\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x7A"],

        ["\xE6\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x45"],
        ["\x7E\x45",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x7B"],

        ["\xE7\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],
        ["\xD3\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x30"],

        ["\xE7\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],
        ["\xCE\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x35"],

        ["\xE7\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x46"],
        ["\x7E\x46",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x3A"],

        ["\xE7\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],
        ["\xD3\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x3B"],

        ["\xE7\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x47"],
        ["\x7E\x47",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x44"],

        ["\xE7\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x48"],
        ["\x7E\x48",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x4D"],

        ["\xE7\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],
        ["\xD5\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x54"],

        ["\xE7\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],
        ["\xD3\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x58"],

        ["\xE7\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x49"],
        ["\x7E\x49",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x5C"],

        ["\xE7\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xEB"],
        ["\xD3\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x68"],

        ["\xE7\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4A"],
        ["\x7E\x4A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x6A"],

        ["\xE7\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4B"],
        ["\x7E\x4B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x6F"],

        ["\x38\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4C"],
        ["\x7E\x4C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x38\xFE"],

        ["\xE7\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],
        ["\xD3\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x74"],

        ["\xE7\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],
        ["\xD3\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x7B"],

        ["\xE8\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],
        ["\xD3\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x21"],

        ["\xE8\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4D"],
        ["\x7E\x4D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x24"],

        ["\x39\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4E"],
        ["\x7E\x4E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xA1"],

        ["\xE8\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFC"],
        ["\xD3\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x2E"],

        ["\xE8\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xFD"],
        ["\xD3\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x2F"],

        ["\xE8\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x4F"],
        ["\x7E\x4F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x30"],

        ["\xE8\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA2"],
        ["\xD4\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x32"],

        ["\xE8\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x45\x3F"],
        ["\x45\x3F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x33"],

        ["\x39\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x50"],
        ["\x7E\x50",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xA2"],

        ["\xE8\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xA6"],
        ["\xD4\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x39"],

        ["\xE8\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],
        ["\xD4\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x41"],

        ["\xE8\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xAD"],
        ["\xD4\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x46"],

        ["\xE8\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x51"],
        ["\x7E\x51",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x4C"],

        ["\xE8\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x52"],
        ["\x7E\x52",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x70"],

        ["\xE9\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCD"],
        ["\xD4\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x37"],

        ["\xE9\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xCC"],
        ["\xD4\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x38"],

        ["\xE9\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x53"],
        ["\x7E\x53",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x43"],

        ["\xE9\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x54"],
        ["\x7E\x54",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x45"],

        ["\xE9\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],
        ["\xD4\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x46"],

        ["\xE9\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],
        ["\xD4\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x4A"],

        ["\xE9\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],
        ["\xD4\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x4E"],

        ["\x39\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x55"],
        ["\x7E\x55",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xA3"],

        ["\xE9\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x56"],
        ["\x7E\x56",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x5D"],

        ["\xE9\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x57"],
        ["\x7E\x57",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x62"],

        ["\xE9\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x58"],
        ["\x7E\x58",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x63"],

        ["\xE9\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x59"],
        ["\x7E\x59",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x66"],

        ["\xE9\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5A"],
        ["\x7E\x5A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x6A"],

        ["\xE9\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5B"],
        ["\x7E\x5B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x77"],

        ["\xE9\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],
        ["\xD4\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x7D"],

        ["\xEA\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],
        ["\xD4\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x23"],

        ["\xEA\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5C"],
        ["\x7E\x5C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x2F"],

        ["\x39\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5D"],
        ["\x7E\x5D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xA4"],

        ["\xEA\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5E"],
        ["\x7E\x5E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x32"],

        ["\xEA\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEB"],
        ["\xD4\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x41"],

        ["\xEA\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],
        ["\xD4\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x50"],

        ["\xEA\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],
        ["\xD4\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x45"],

        ["\xEA\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],
        ["\xD4\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x53"],

        ["\xEA\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x5F"],
        ["\x7E\x5F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x58"],

        ["\xEA\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFA"],
        ["\xD4\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x60"],

        ["\xEA\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x60"],
        ["\x7E\x60",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x62"],

        ["\xEA\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x61"],
        ["\x7E\x61",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x6E"],

        ["\xEA\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA5"],
        ["\xD5\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x71"],

        ["\xEA\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAA"],
        ["\xD5\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x77"],

        ["\xEA\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x62"],
        ["\x7E\x62",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x7E"],

        ["\xEB\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x63"],
        ["\x7E\x63",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x23"],

        ["\xEB\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB3"],
        ["\xD5\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x31"],

        ["\xEB\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x64"],
        ["\x7E\x64",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x3C"],

        ["\xEB\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x65"],
        ["\x7E\x65",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x43"],

        ["\xEB\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x66"],
        ["\x7E\x66",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x44"],

        ["\xEB\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB9"],
        ["\xD5\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x45"],

        ["\xEB\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBB"],
        ["\xD5\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x4D"],

        ["\x39\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x67"],
        ["\x7E\x67",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xA5"],

        ["\xEB\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBF"],
        ["\xD5\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x57"],

        ["\xEB\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],
        ["\xD5\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x63"],

        ["\xEB\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],
        ["\xD5\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x64"],

        ["\xEB\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCC"],
        ["\xD5\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x6F"],

        ["\xEB\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCA"],
        ["\xD5\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x70"],

        ["\x39\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x68"],
        ["\x7E\x68",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xA6"],

        ["\xEB\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x69"],
        ["\x7E\x69",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x75"],

        ["\xEC\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],
        ["\xD5\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x21"],

        ["\xEC\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6A"],
        ["\x7E\x6A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x26"],

        ["\xEC\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],
        ["\xD5\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x2C"],

        ["\x39\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6B"],
        ["\x7E\x6B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xA7"],

        ["\xEC\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6C"],
        ["\x7E\x6C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x31"],

        ["\xEC\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6D"],
        ["\x7E\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x36"],

        ["\xEC\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6E"],
        ["\x7E\x6E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x3F"],

        ["\x39\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x6F"],
        ["\x7E\x6F",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xA8"],

        ["\xEC\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x70"],
        ["\x7E\x70",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x45"],

        ["\xEC\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x71"],
        ["\x7E\x71",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x4F"],

        ["\xEC\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x72"],
        ["\x7E\x72",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x54"],

        ["\xEC\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x73"],
        ["\x7E\x73",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x5B"],

        ["\xEC\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x74"],
        ["\x7E\x74",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x67"],

        ["\xEC\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],
        ["\xD5\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x68"],

        ["\xEC\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],
        ["\xD5\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x6A"],

        ["\xEC\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x75"],
        ["\x7E\x75",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x6C"],

        ["\xEC\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x39\x6D"],
        ["\x39\x6D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x6F"],

        ["\xEC\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x76"],
        ["\x7E\x76",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x70"],

        ["\x39\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x77"],
        ["\x7E\x77",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xA9"],

        ["\xED\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xEF"],
        ["\xD5\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x27"],

        ["\xED\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],
        ["\xD5\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x3A"],

        ["\xED\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x78"],
        ["\x7E\x78",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x48"],

        ["\xED\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB1"],
        ["\xBA\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x59"],

        ["\xED\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],
        ["\xD5\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x5C"],

        ["\xED\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x79"],
        ["\x7E\x79",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x5E"],

        ["\xED\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC0"],
        ["\xB6\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x61"],

        ["\x39\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7A"],
        ["\x7E\x7A",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xAA"],

        ["\x39\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7B"],
        ["\x7E\x7B",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xAB"],

        ["\x39\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7C"],
        ["\x7E\x7C",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xAC"],

        ["\xCD\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7D"],
        ["\x7E\x7D",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x77"],

        ["\xD4\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\x7E\x7E"],
        ["\x7E\x7E",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x5A"],

        ["\x39\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA1"],
        ["\xE0\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xAD"],

        ["\xB0\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA1"],
        ["\xB2\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x21"],

        ["\x39\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA2"],
        ["\xE0\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xAE"],

        ["\xB0\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA3"],
        ["\xE0\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x25"],

        ["\x39\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA4"],
        ["\xE0\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xAF"],

        ["\xB0\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],
        ["\xB2\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x2A"],

        ["\xB0\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],
        ["\xB2\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x2B"],

        ["\xB0\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA5"],
        ["\xE0\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x2F"],

        ["\xB0\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA6"],
        ["\xE0\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x32"],

        ["\x39\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA7"],
        ["\xE0\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB0"],

        ["\x39\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA8"],
        ["\xE0\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB1"],

        ["\xB0\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xA9"],
        ["\xE0\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x33"],

        ["\x39\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAA"],
        ["\xE0\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB2"],

        ["\x39\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAB"],
        ["\xE0\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB3"],

        ["\xB0\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],
        ["\xE0\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x34"],

        ["\xB0\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAD"],
        ["\xE0\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x38"],

        ["\xB0\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAE"],
        ["\xE0\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x40"],

        ["\x39\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xAF"],
        ["\xE0\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB4"],

        ["\x39\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB0"],
        ["\xE0\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB5"],

        ["\xB0\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],
        ["\xB2\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x42"],

        ["\x39\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB1"],
        ["\xE0\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB6"],

        ["\x39\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB2"],
        ["\xE0\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB7"],

        ["\x39\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB3"],
        ["\xE0\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB8"],

        ["\xB0\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB4"],
        ["\xE0\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x43"],

        ["\x39\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB5"],
        ["\xE0\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xB9"],

        ["\xB0\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],
        ["\xB2\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x44"],

        ["\x39\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB6"],
        ["\xE0\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xBA"],

        ["\xB0\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB7"],
        ["\xE0\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x45"],

        ["\xB0\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],
        ["\xB2\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x4C"],

        ["\xB0\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD2"],
        ["\xB2\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x4E"],

        ["\xB0\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB8"],
        ["\xE0\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x5A"],

        ["\x39\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xB9"],
        ["\xE0\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xBB"],

        ["\xB0\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBA"],
        ["\xE0\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x62"],

        ["\xB0\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD5"],
        ["\xB2\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x65"],

        ["\xB0\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xD4"],
        ["\xB2\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x6D"],

        ["\xB0\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBB"],
        ["\xE0\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x6F"],

        ["\x39\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBC"],
        ["\xE0\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xBC"],

        ["\xB0\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBD"],
        ["\xE0\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x76"],

        ["\xB0\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xE9"],
        ["\xB2\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x77"],

        ["\xB0\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBE"],
        ["\xE0\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x79"],

        ["\xB0\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xBF"],
        ["\xE0\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x7A"],

        ["\xB0\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC0"],
        ["\xE0\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB0\x7D"],

        ["\xB1\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],
        ["\xE0\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x21"],

        ["\x39\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],
        ["\xE0\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xBD"],

        ["\xB1\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF9"],
        ["\xB2\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x2F"],

        ["\xB1\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF4"],
        ["\xB2\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x35"],

        ["\xB1\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],
        ["\xB2\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x38"],

        ["\xB1\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF2"],
        ["\xB2\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x3C"],

        ["\xB1\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF1"],
        ["\xB2\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x3F"],

        ["\xB1\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],
        ["\xE0\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x40"],

        ["\x39\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],
        ["\xE0\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xBE"],

        ["\xB1\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],
        ["\xB3\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x45"],

        ["\xB1\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],
        ["\xB3\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x49"],

        ["\xB1\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],
        ["\xE0\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x50"],

        ["\xB1\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],
        ["\xB3\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x51"],

        ["\xB1\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],
        ["\xB3\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x55"],

        ["\x39\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],
        ["\xE0\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xBF"],

        ["\xB1\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],
        ["\xE0\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x66"],

        ["\xB1\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],
        ["\xE0\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x69"],

        ["\xB1\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],
        ["\xB3\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x6A"],

        ["\xB1\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],
        ["\xB3\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x6F"],

        ["\xB1\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],
        ["\xB3\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x70"],

        ["\xB1\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],
        ["\xB3\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB1\x72"],

        ["\x39\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],
        ["\xE0\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC0"],

        ["\x39\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCA"],
        ["\xE0\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC1"],

        ["\xB2\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCB"],
        ["\xE0\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x21"],

        ["\xB2\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCC"],
        ["\xE0\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x22"],

        ["\x39\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCD"],
        ["\xE0\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC2"],

        ["\xB2\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCE"],
        ["\xE0\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x24"],

        ["\xB2\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xCF"],
        ["\xE0\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x26"],

        ["\xB2\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD0"],
        ["\xE0\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x2C"],

        ["\x39\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],
        ["\xE0\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC3"],

        ["\x39\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],
        ["\xE0\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC4"],

        ["\xB2\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],
        ["\xE0\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x30"],

        ["\x39\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],
        ["\xE0\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC5"],

        ["\xB2\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],
        ["\xB3\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x34"],

        ["\xB2\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],
        ["\xE0\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x35"],

        ["\x39\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],
        ["\xE0\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC6"],

        ["\x39\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],
        ["\xE0\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC7"],

        ["\xB2\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],
        ["\xE0\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x37"],

        ["\x39\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],
        ["\xE0\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC8"],

        ["\xB2\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDA"],
        ["\xE0\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x3A"],

        ["\x39\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDB"],
        ["\xE0\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xC9"],

        ["\x39\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDC"],
        ["\xE0\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xCA"],

        ["\xB2\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xD1"],
        ["\xB3\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x43"],

        ["\x39\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDD"],
        ["\xE0\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xCB"],

        ["\xBA\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDE"],
        ["\xE0\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x50"],

        ["\xBA\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xDF"],
        ["\xE0\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x53"],

        ["\x39\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],
        ["\xE0\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xCC"],

        ["\x39\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE1"],
        ["\xE0\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xCD"],

        ["\x39\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],
        ["\xE0\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xCE"],

        ["\xBA\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],
        ["\xE0\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x5F"],

        ["\x39\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],
        ["\xE0\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xCF"],

        ["\x39\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],
        ["\xE0\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD0"],

        ["\xBA\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],
        ["\xE0\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x66"],

        ["\xBA\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],
        ["\xE0\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x68"],

        ["\x39\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],
        ["\xE0\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD1"],

        ["\x39\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],
        ["\xE0\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD2"],

        ["\xBA\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xE5"],
        ["\xB8\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x6F"],

        ["\xBA\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEA"],
        ["\xE0\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x73"],

        ["\x39\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEB"],
        ["\xE0\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD3"],

        ["\x39\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEC"],
        ["\xE0\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD4"],

        ["\xBA\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xED"],
        ["\xE0\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x7B"],

        ["\xBA\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],
        ["\xE0\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x7C"],

        ["\xBA\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],
        ["\xE0\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x7D"],

        ["\xBA\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],
        ["\xE0\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x7E"],

        ["\xBB\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],
        ["\xB8\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x22"],

        ["\x39\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],
        ["\xE0\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD5"],

        ["\x39\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],
        ["\xE0\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD6"],

        ["\xBB\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],
        ["\xE0\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x27"],

        ["\x39\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],
        ["\xE0\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD7"],

        ["\x39\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],
        ["\xE0\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD8"],

        ["\xBB\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],
        ["\xE0\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x2A"],

        ["\xBB\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],
        ["\xE0\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x2B"],

        ["\x39\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],
        ["\xE0\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xD9"],

        ["\x39\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],
        ["\xE0\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xDA"],

        ["\x39\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],
        ["\xE0\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xDB"],

        ["\xBB\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],
        ["\xE0\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x30"],

        ["\xBB\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],
        ["\xE0\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x31"],

        ["\x39\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFD"],
        ["\xE0\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xDC"],

        ["\x39\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE0\xFE"],
        ["\xE0\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xDD"],

        ["\x39\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA1"],
        ["\xE1\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xDE"],

        ["\xBB\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xF5"],
        ["\xB8\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x37"],

        ["\x39\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA2"],
        ["\xE1\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xDF"],

        ["\xBB\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],
        ["\xB9\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x39"],

        ["\x39\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA3"],
        ["\xE1\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE0"],

        ["\x39\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA4"],
        ["\xE1\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE1"],

        ["\xBB\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],
        ["\xB9\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x43"],

        ["\x39\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA5"],
        ["\xE1\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE2"],

        ["\xBB\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],
        ["\xB9\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x46"],

        ["\x39\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA6"],
        ["\xE1\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE3"],

        ["\x39\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA7"],
        ["\xE1\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE4"],

        ["\xBB\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA8"],
        ["\xE1\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x48"],

        ["\xBB\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xA9"],
        ["\xE1\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x49"],

        ["\xBB\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAA"],
        ["\xE1\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x4B"],

        ["\xBB\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAB"],
        ["\xE1\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x4D"],

        ["\x39\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAC"],
        ["\xE1\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE5"],

        ["\xBB\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC1"],
        ["\xB9\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x5A"],

        ["\xBB\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAD"],
        ["\xE1\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x5D"],

        ["\x39\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAE"],
        ["\xE1\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE6"],

        ["\xBB\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xAF"],
        ["\xE1\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x5F"],

        ["\x39\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB0"],
        ["\xE1\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE7"],

        ["\x39\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB1"],
        ["\xE1\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE8"],

        ["\xBB\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xC6"],
        ["\xB9\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x66"],

        ["\x39\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB2"],
        ["\xE1\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xE9"],

        ["\xBB\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xD0"],
        ["\xB9\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x68"],

        ["\xBB\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],
        ["\xB9\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x6A"],

        ["\x39\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB3"],
        ["\xE1\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xEA"],

        ["\xBB\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB4"],
        ["\xE1\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x6C"],

        ["\xBB\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB5"],
        ["\xE1\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x72"],

        ["\xE6\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB6"],
        ["\xE1\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x74"],

        ["\xBB\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB7"],
        ["\xE1\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x73"],

        ["\x39\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8"],
        ["\xE1\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xEB"],

        ["\x39\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB9"],
        ["\xE1\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xEC"],

        ["\x39\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBA"],
        ["\xE1\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xED"],

        ["\xBB\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBB"],
        ["\xE1\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x7B"],

        ["\xBB\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],
        ["\xB9\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x7D"],

        ["\x39\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBC"],
        ["\xE1\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xEE"],

        ["\xBB\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD"],
        ["\xE1\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBB\x7E"],

        ["\xBC\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBE"],
        ["\xE1\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x21"],

        ["\x39\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBF"],
        ["\xE1\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xEF"],

        ["\xBC\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE3"],
        ["\xB9\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x24"],

        ["\x39\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC0"],
        ["\xE1\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF0"],

        ["\xBC\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE9"],
        ["\xB9\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x27"],

        ["\xBC\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xE7"],
        ["\xB9\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x29"],

        ["\x39\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC1"],
        ["\xE1\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF1"],

        ["\xBC\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC2"],
        ["\xE1\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x2B"],

        ["\xBC\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],
        ["\xB9\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x2D"],

        ["\xBC\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC3"],
        ["\xE1\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x31"],

        ["\xBC\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC4"],
        ["\xE1\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x34"],

        ["\x39\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC5"],
        ["\xE1\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF2"],

        ["\xBC\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC6"],
        ["\xE1\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x36"],

        ["\x39\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC7"],
        ["\xE1\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF3"],

        ["\xBC\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC8"],
        ["\xE1\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x3D"],

        ["\xBC\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xC9"],
        ["\xE1\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x3E"],

        ["\xBC\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCA"],
        ["\xE1\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x3F"],

        ["\xB2\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCB"],
        ["\xE1\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x4C"],

        ["\x39\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCC"],
        ["\xE1\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF4"],

        ["\xB2\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCD"],
        ["\xE1\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x53"],

        ["\xB2\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCE"],
        ["\xE1\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x55"],

        ["\x39\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xCF"],
        ["\xE1\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF5"],

        ["\x39\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD0"],
        ["\xE1\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF6"],

        ["\x39\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD1"],
        ["\xE1\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF7"],

        ["\x39\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD2"],
        ["\xE1\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF8"],

        ["\xB2\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD3"],
        ["\xE1\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x70"],

        ["\xB2\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD4"],
        ["\xE1\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x72"],

        ["\x39\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD5"],
        ["\xE1\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xF9"],

        ["\xB2\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD6"],
        ["\xE1\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x74"],

        ["\xB2\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],
        ["\xB5\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x77"],

        ["\xB2\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD7"],
        ["\xE1\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x78"],

        ["\x39\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD8"],
        ["\xE1\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xFA"],

        ["\xB2\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xA1"],
        ["\xB4\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB2\x7B"],

        ["\x39\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xD9"],
        ["\xE1\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xFB"],

        ["\x39\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDA"],
        ["\xE1\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xFC"],

        ["\xB3\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDB"],
        ["\xE1\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x2D"],

        ["\xB3\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],
        ["\xB4\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x2E"],

        ["\xB3\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],
        ["\xB4\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x31"],

        ["\xB3\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDC"],
        ["\xE1\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x33"],

        ["\xB3\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],
        ["\xB4\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x36"],

        ["\x39\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDD"],
        ["\xE1\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xFD"],

        ["\xB3\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDE"],
        ["\xE1\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x40"],

        ["\xB3\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xDF"],
        ["\xE1\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x44"],

        ["\x39\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE0"],
        ["\xE1\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x39\xFE"],

        ["\xB3\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE1"],
        ["\xE1\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x4A"],

        ["\x3A\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE2"],
        ["\xE1\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xA1"],

        ["\xB3\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE3"],
        ["\xE1\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x4E"],

        ["\x3A\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE4"],
        ["\xE1\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xA2"],

        ["\xB3\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE5"],
        ["\xE1\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x56"],

        ["\x3A\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE6"],
        ["\xE1\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xA3"],

        ["\xB3\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE7"],
        ["\xE1\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x59"],

        ["\xB3\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE8"],
        ["\xE1\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x62"],

        ["\xB3\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xE9"],
        ["\xE1\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x63"],

        ["\x3A\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEA"],
        ["\xE1\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xA4"],

        ["\x3A\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEB"],
        ["\xE1\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xA5"],

        ["\xB3\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD1"],
        ["\xB4\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x6B"],

        ["\x3A\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEC"],
        ["\xE1\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xA6"],

        ["\xB3\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xED"],
        ["\xE1\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x7A"],

        ["\xB3\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],
        ["\xB4\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x7D"],

        ["\xB3\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDC"],
        ["\xC9\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB3\x7E"],

        ["\xB4\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEE"],
        ["\xE1\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x32"],

        ["\xB4\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xEF"],
        ["\xE1\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x35"],

        ["\xB4\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF3"],
        ["\xB4\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x36"],

        ["\x3A\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF0"],
        ["\xE1\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xA7"],

        ["\x3A\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF1"],
        ["\xE1\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xA8"],

        ["\x3A\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF2"],
        ["\xE1\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xA9"],

        ["\xB4\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],
        ["\xB5\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x3E"],

        ["\x3A\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF3"],
        ["\xE1\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xAA"],

        ["\xB4\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF4"],
        ["\xE1\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x4C"],

        ["\xB4\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF5"],
        ["\xE1\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x51"],

        ["\x3A\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF6"],
        ["\xE1\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xAB"],

        ["\xB4\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF7"],
        ["\xE1\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x53"],

        ["\xB4\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF8"],
        ["\xE1\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x57"],

        ["\x3A\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xF9"],
        ["\xE1\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xAC"],

        ["\x3A\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFA"],
        ["\xE1\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xAD"],

        ["\x3A\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFB"],
        ["\xE1\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xAE"],

        ["\xB4\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],
        ["\xB5\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x5C"],

        ["\xB4\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],
        ["\xB5\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x5D"],

        ["\x3A\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFC"],
        ["\xE1\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xAF"],

        ["\x3A\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFD"],
        ["\xE1\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB0"],

        ["\xB4\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xFE"],
        ["\xE1\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x63"],

        ["\x3A\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],
        ["\xE2\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB1"],

        ["\x3A\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA2"],
        ["\xE2\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB2"],

        ["\xB4\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA3"],
        ["\xE2\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x69"],

        ["\x3A\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4"],
        ["\xE2\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB3"],

        ["\xB4\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA5"],
        ["\xE2\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x6F"],

        ["\xB4\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6"],
        ["\xE2\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x75"],

        ["\xB4\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],
        ["\xB5\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB4\x77"],

        ["\x3A\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7"],
        ["\xE2\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB4"],

        ["\xB5\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA8"],
        ["\xE2\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x26"],

        ["\xB5\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA9"],
        ["\xE2\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x28"],

        ["\x3A\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAA"],
        ["\xE2\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB5"],

        ["\xB5\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],
        ["\xE2\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x2D"],

        ["\xB5\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAC"],
        ["\xE2\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x31"],

        ["\xB5\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAD"],
        ["\xE2\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x32"],

        ["\xB5\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAE"],
        ["\xE2\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x34"],

        ["\xB5\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xAF"],
        ["\xE2\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x36"],

        ["\xB5\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xD8"],
        ["\xB5\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x38"],

        ["\x3A\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],
        ["\xE2\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB6"],

        ["\x3A\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB1"],
        ["\xE2\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB7"],

        ["\xB5\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB2"],
        ["\xE2\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x3F"],

        ["\xB5\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB3"],
        ["\xE2\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x40"],

        ["\x3A\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB4"],
        ["\xE2\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB8"],

        ["\x3A\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB5"],
        ["\xE2\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xB9"],

        ["\xB5\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB6"],
        ["\xE2\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x45"],

        ["\xB5\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE1"],
        ["\xB5\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x46"],

        ["\xB5\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],
        ["\xB5\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x49"],

        ["\xB5\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB7"],
        ["\xE2\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x54"],

        ["\xB5\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB8"],
        ["\xE2\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x56"],

        ["\x3A\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xB9"],
        ["\xE2\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xBA"],

        ["\xB5\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE8"],
        ["\xB5\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x57"],

        ["\xB5\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],
        ["\xB5\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x59"],

        ["\x3A\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBA"],
        ["\xE2\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xBB"],

        ["\xB5\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xE9"],
        ["\xB5\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x61"],

        ["\xB5\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],
        ["\xB5\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x62"],

        ["\xB5\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBB"],
        ["\xE2\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x63"],

        ["\x3A\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBC"],
        ["\xE2\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xBC"],

        ["\x3A\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBD"],
        ["\xE2\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xBD"],

        ["\xB5\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBE"],
        ["\xE2\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x67"],

        ["\xB5\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xBF"],
        ["\xE2\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x69"],

        ["\xB5\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xF2"],
        ["\xB5\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x6C"],

        ["\x3A\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],
        ["\xE2\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xBE"],

        ["\xB5\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],
        ["\xE2\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x7E"],

        ["\x3A\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],
        ["\xE2\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xBF"],

        ["\x3A\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],
        ["\xE2\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC0"],

        ["\xB5\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],
        ["\xE2\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x75"],

        ["\xB5\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],
        ["\xE2\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x79"],

        ["\xB5\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],
        ["\xE2\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x7B"],

        ["\xB5\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],
        ["\xE2\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB5\x7D"],

        ["\x3A\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],
        ["\xE2\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC1"],

        ["\x3A\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],
        ["\xE2\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC2"],

        ["\xB6\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCA"],
        ["\xE2\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x26"],

        ["\x3A\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCB"],
        ["\xE2\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC3"],

        ["\xB6\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],
        ["\xB5\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x27"],

        ["\x3A\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCC"],
        ["\xE2\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC4"],

        ["\x3A\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCD"],
        ["\xE2\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC5"],

        ["\x3A\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCE"],
        ["\xE2\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC6"],

        ["\xB6\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],
        ["\xB6\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x30"],

        ["\xB6\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xCF"],
        ["\xE2\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x35"],

        ["\xB6\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],
        ["\xE2\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x38"],

        ["\x3A\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],
        ["\xE2\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC7"],

        ["\xB6\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],
        ["\xB6\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x3C"],

        ["\xB6\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],
        ["\xB6\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x3D"],

        ["\xB6\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],
        ["\xE2\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x3E"],

        ["\x3A\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],
        ["\xE2\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC8"],

        ["\xB6\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],
        ["\xE2\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x48"],

        ["\xB6\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],
        ["\xE2\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x49"],

        ["\xB6\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],
        ["\xE2\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x4F"],

        ["\x3A\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],
        ["\xE2\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xC9"],

        ["\xB6\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],
        ["\xE2\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x56"],

        ["\xB6\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],
        ["\xE2\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x58"],

        ["\xB6\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDA"],
        ["\xE2\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x59"],

        ["\xB6\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDB"],
        ["\xE2\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x5B"],

        ["\xB6\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDC"],
        ["\xE2\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x5C"],

        ["\xB6\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDD"],
        ["\xE2\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x61"],

        ["\xB6\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],
        ["\xB6\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x65"],

        ["\x3A\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDE"],
        ["\xE2\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xCA"],

        ["\xB6\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xDF"],
        ["\xE2\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x6A"],

        ["\xB6\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xC1"],
        ["\xB6\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x71"],

        ["\xB6\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],
        ["\xE2\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x75"],

        ["\xB6\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],
        ["\xE2\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB6\x7B"],

        ["\xB7\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],
        ["\xE2\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x21"],

        ["\xB7\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],
        ["\xE2\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x22"],

        ["\x3A\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],
        ["\xE2\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xCB"],

        ["\xB7\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],
        ["\xE2\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x29"],

        ["\xB7\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],
        ["\xE2\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x2F"],

        ["\x3A\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],
        ["\xE2\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xCC"],

        ["\xB7\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],
        ["\xE2\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x32"],

        ["\x3A\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],
        ["\xE2\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xCD"],

        ["\xB7\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],
        ["\xE2\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x3C"],

        ["\xB7\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],
        ["\xE2\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x3D"],

        ["\xB7\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD3"],
        ["\xB6\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x3E"],

        ["\xB7\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],
        ["\xE2\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x3F"],

        ["\x3A\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],
        ["\xE2\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xCE"],

        ["\xB7\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],
        ["\xE2\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x44"],

        ["\xB7\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],
        ["\xE2\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x48"],

        ["\xB7\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],
        ["\xE2\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x4B"],

        ["\xB7\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],
        ["\xE2\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x4C"],

        ["\xB7\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],
        ["\xE2\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x4D"],

        ["\xB7\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD9"],
        ["\xB6\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x51"],

        ["\x3A\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],
        ["\xE2\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xCF"],

        ["\x3A\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],
        ["\xE2\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD0"],

        ["\xB7\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE0"],
        ["\xB6\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x5A"],

        ["\xB7\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],
        ["\xE2\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x5C"],

        ["\xB7\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],
        ["\xE2\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x5D"],

        ["\xB7\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],
        ["\xE2\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x62"],

        ["\x3A\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],
        ["\xE2\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD1"],

        ["\x3A\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],
        ["\xE2\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD2"],

        ["\xB7\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFA"],
        ["\xE2\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x69"],

        ["\x3A\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],
        ["\xE2\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD3"],

        ["\x3A\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],
        ["\xE2\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD4"],

        ["\xB7\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],
        ["\xB6\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x6D"],

        ["\xB7\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFD"],
        ["\xE2\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x6F"],

        ["\xB7\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xFE"],
        ["\xE2\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x73"],

        ["\x3A\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],
        ["\xE3\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD5"],

        ["\xB7\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xE9"],
        ["\xB6\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x76"],

        ["\x3A\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA2"],
        ["\xE3\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD6"],

        ["\xB7\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3"],
        ["\xE3\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x77"],

        ["\xB7\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4"],
        ["\xE3\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB7\x7B"],

        ["\xB8\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF3"],
        ["\xB6\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x24"],

        ["\xB8\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF2"],
        ["\xB6\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x26"],

        ["\xB8\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5"],
        ["\xE3\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x28"],

        ["\xB8\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA6"],
        ["\xE3\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x2A"],

        ["\xB8\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xF8"],
        ["\xB6\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x2B"],

        ["\x3A\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA7"],
        ["\xE3\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD7"],

        ["\xB8\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA8"],
        ["\xE3\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x2D"],

        ["\xB8\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9"],
        ["\xE3\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x2E"],

        ["\xB8\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAA"],
        ["\xE3\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x36"],

        ["\xB8\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],
        ["\xE3\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x40"],

        ["\x3A\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC"],
        ["\xE3\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD8"],

        ["\xB8\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD"],
        ["\xE3\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x42"],

        ["\xB8\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],
        ["\xB7\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x43"],

        ["\xB8\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],
        ["\xB6\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x44"],

        ["\xB8\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE"],
        ["\xE3\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x45"],

        ["\xB8\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF"],
        ["\xE3\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x47"],

        ["\x3A\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],
        ["\xE3\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xD9"],

        ["\xB8\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],
        ["\xB7\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x4D"],

        ["\x3A\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB1"],
        ["\xE3\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xDA"],

        ["\x3A\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB2"],
        ["\xE3\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xDB"],

        ["\xB8\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3"],
        ["\xE3\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x53"],

        ["\xB8\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4"],
        ["\xE3\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x5C"],

        ["\xB8\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5"],
        ["\xE3\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x5E"],

        ["\x3A\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6"],
        ["\xE3\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xDC"],

        ["\xB8\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7"],
        ["\xE3\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x5F"],

        ["\xB8\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],
        ["\xB7\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x60"],

        ["\x3A\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8"],
        ["\xE3\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xDD"],

        ["\xB8\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9"],
        ["\xE3\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x65"],

        ["\xB8\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xC4"],
        ["\xB7\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x6A"],

        ["\x3A\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA"],
        ["\xE3\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xDE"],

        ["\x3A\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBB"],
        ["\xE3\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xDF"],

        ["\x3A\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBC"],
        ["\xE3\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE0"],

        ["\x3A\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD"],
        ["\xE3\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE1"],

        ["\xB8\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE"],
        ["\xE3\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x73"],

        ["\x3A\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF"],
        ["\xE3\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE2"],

        ["\x3A\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],
        ["\xE3\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE3"],

        ["\xB8\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],
        ["\xE3\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB8\x7A"],

        ["\x3A\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],
        ["\xE3\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE4"],

        ["\xB9\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xD8"],
        ["\xB7\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x23"],

        ["\xB9\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],
        ["\xE3\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x24"],

        ["\xB9\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],
        ["\xE3\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x27"],

        ["\xB9\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],
        ["\xB7\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x2E"],

        ["\xB9\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],
        ["\xE3\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x32"],

        ["\xB9\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],
        ["\xE3\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x38"],

        ["\xB9\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE6"],
        ["\xB7\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x3C"],

        ["\xB9\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],
        ["\xE3\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x3E"],

        ["\xB9\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],
        ["\xB7\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x41"],

        ["\xB9\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],
        ["\xE3\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x43"],

        ["\xB9\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xE9"],
        ["\xB7\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x44"],

        ["\xB9\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],
        ["\xE3\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x45"],

        ["\xB9\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],
        ["\xB7\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x46"],

        ["\x3A\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCA"],
        ["\xE3\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE5"],

        ["\x3A\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCB"],
        ["\xE3\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE6"],

        ["\x3A\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCC"],
        ["\xE3\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE7"],

        ["\xB9\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCD"],
        ["\xE3\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x4E"],

        ["\xB9\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCE"],
        ["\xE3\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x4F"],

        ["\x3A\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xCF"],
        ["\xE3\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE8"],

        ["\xB9\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],
        ["\xE3\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x56"],

        ["\xB9\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],
        ["\xE3\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x59"],

        ["\xB9\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF3"],
        ["\xB7\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x61"],

        ["\xB9\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF2"],
        ["\xB7\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x64"],

        ["\xB9\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],
        ["\xE3\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x68"],

        ["\xB9\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],
        ["\xE3\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x6B"],

        ["\xB9\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],
        ["\xB7\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x70"],

        ["\xB9\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB7\xF7"],
        ["\xB7\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x72"],

        ["\xB9\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],
        ["\xE3\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x73"],

        ["\xB9\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],
        ["\xE3\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x74"],

        ["\xB9\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],
        ["\xE3\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x77"],

        ["\xB9\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],
        ["\xE3\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x79"],

        ["\xB9\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],
        ["\xE3\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x7A"],

        ["\xB9\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],
        ["\xB8\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x7C"],

        ["\xB9\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],
        ["\xE3\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xB9\x7E"],

        ["\xBA\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDA"],
        ["\xE3\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x25"],

        ["\xBA\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDB"],
        ["\xE3\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x26"],

        ["\xBA\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDC"],
        ["\xE3\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x27"],

        ["\xBA\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDD"],
        ["\xE3\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x28"],

        ["\x3A\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDE"],
        ["\xE3\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xE9"],

        ["\xBA\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xDF"],
        ["\xE3\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x2A"],

        ["\xBA\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],
        ["\xB8\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x2B"],

        ["\xBA\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],
        ["\xE3\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x2E"],

        ["\xBA\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],
        ["\xB8\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x30"],

        ["\xBA\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],
        ["\xE3\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x31"],

        ["\xBA\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],
        ["\xB8\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x32"],

        ["\xBA\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],
        ["\xE3\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x38"],

        ["\xBA\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],
        ["\xB8\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x3C"],

        ["\xBA\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],
        ["\xE3\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x3D"],

        ["\xBA\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],
        ["\xE3\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x40"],

        ["\xBA\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],
        ["\xE3\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x42"],

        ["\xBA\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],
        ["\xE3\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x43"],

        ["\xBA\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],
        ["\xB8\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x46"],

        ["\xBA\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],
        ["\xB8\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x47"],

        ["\xBA\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],
        ["\xE3\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBA\x48"],

        ["\x3A\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],
        ["\xE3\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xEA"],

        ["\xBC\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],
        ["\xE3\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x40"],

        ["\x3A\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEA"],
        ["\xE3\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xEB"],

        ["\xBC\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEB"],
        ["\xE3\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x47"],

        ["\xBC\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],
        ["\xE3\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x49"],

        ["\xBC\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],
        ["\xE3\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x4A"],

        ["\x3A\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEE"],
        ["\xE3\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xEC"],

        ["\xBC\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xEF"],
        ["\xE3\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x4F"],

        ["\xBC\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],
        ["\xE3\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x50"],

        ["\xBC\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],
        ["\xE3\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x55"],

        ["\x3A\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],
        ["\xE3\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xED"],

        ["\x3A\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],
        ["\xE3\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xEE"],

        ["\x3A\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],
        ["\xE3\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xEF"],

        ["\xBC\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xB9"],
        ["\xBA\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x5F"],

        ["\xBC\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],
        ["\xB2\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x60"],

        ["\xBC\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBE"],
        ["\xBA\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x62"],

        ["\x3A\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],
        ["\xE3\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF0"],

        ["\x3A\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],
        ["\xE3\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF1"],

        ["\xBC\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],
        ["\xE3\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x75"],

        ["\xBC\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],
        ["\xE3\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBC\x7C"],

        ["\xBD\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],
        ["\xE3\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x22"],

        ["\xBD\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],
        ["\xE3\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x28"],

        ["\xBD\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFB"],
        ["\xE3\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x2B"],

        ["\xBD\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFC"],
        ["\xE3\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x2F"],

        ["\xBD\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFD"],
        ["\xE3\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x32"],

        ["\xBD\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xFE"],
        ["\xE3\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x37"],

        ["\xBD\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xEE"],
        ["\xBA\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x38"],

        ["\x3A\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],
        ["\xE4\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF2"],

        ["\xBD\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2"],
        ["\xE4\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x39"],

        ["\xBD\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA3"],
        ["\xE4\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x3C"],

        ["\xBD\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF3"],
        ["\xBA\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x3F"],

        ["\xBD\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA4"],
        ["\xE4\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x40"],

        ["\xBD\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF1"],
        ["\xBA\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x41"],

        ["\xBD\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF8"],
        ["\xBA\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x44"],

        ["\xBD\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF4"],
        ["\xBA\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x4A"],

        ["\xBD\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xF7"],
        ["\xBA\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x4B"],

        ["\xBD\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA5"],
        ["\xE4\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x4D"],

        ["\xBD\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6"],
        ["\xE4\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x50"],

        ["\x3A\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7"],
        ["\xE4\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF3"],

        ["\xBD\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xA4"],
        ["\xBB\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x56"],

        ["\x3A\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8"],
        ["\xE4\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF4"],

        ["\xBD\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA9"],
        ["\xE4\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x5A"],

        ["\x3A\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA"],
        ["\xE4\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF5"],

        ["\xBD\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],
        ["\xE4\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x62"],

        ["\xBD\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xD5"],
        ["\xB4\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x6C"],

        ["\xBD\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC"],
        ["\xE4\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x74"],

        ["\xBD\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAD"],
        ["\xE4\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x7B"],

        ["\x3A\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAE"],
        ["\xE4\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF6"],

        ["\xBD\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xC2"],
        ["\xBB\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x7C"],

        ["\xBD\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xBE"],
        ["\xBB\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBD\x7D"],

        ["\xBE\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF"],
        ["\xE4\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x22"],

        ["\xBE\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],
        ["\xE4\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x25"],

        ["\xBE\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB1"],
        ["\xE4\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x2D"],

        ["\xBE\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB2"],
        ["\xE4\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x2E"],

        ["\x3A\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3"],
        ["\xE4\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF7"],

        ["\xBE\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4"],
        ["\xE4\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x34"],

        ["\xBE\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5"],
        ["\xE4\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x3C"],

        ["\xBE\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCB"],
        ["\xBB\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x3E"],

        ["\xBE\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCC"],
        ["\xBB\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x3F"],

        ["\xBE\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB6"],
        ["\xE4\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x43"],

        ["\xBE\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xCD"],
        ["\xBB\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x45"],

        ["\x3A\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB7"],
        ["\xE4\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF8"],

        ["\x3A\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8"],
        ["\xE4\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xF9"],

        ["\xBE\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9"],
        ["\xE4\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x4F"],

        ["\xBE\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA"],
        ["\xE4\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x51"],

        ["\xBE\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB"],
        ["\xE4\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x54"],

        ["\xBE\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xDF"],
        ["\xBB\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x59"],

        ["\x3A\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC"],
        ["\xE4\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xFA"],

        ["\xBE\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD"],
        ["\xE4\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x61"],

        ["\xBE\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE9"],
        ["\xBB\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x62"],

        ["\xBE\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE7"],
        ["\xBB\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x63"],

        ["\xBE\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],
        ["\xE4\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x69"],

        ["\xBE\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE6"],
        ["\xBB\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x6A"],

        ["\xBE\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xE8"],
        ["\xBB\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x6C"],

        ["\x3A\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],
        ["\xE4\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xFB"],

        ["\xBE\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF0"],
        ["\xBB\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x75"],

        ["\xBE\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],
        ["\xE4\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x77"],

        ["\xBE\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xF1"],
        ["\xBB\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBE\x79"],

        ["\x3A\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],
        ["\xE4\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xFC"],

        ["\x3A\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],
        ["\xE4\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xFD"],

        ["\xBF\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],
        ["\xE4\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x29"],

        ["\xBF\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],
        ["\xE4\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x2D"],

        ["\xBF\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBB\xFD"],
        ["\xBB\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x2F"],

        ["\xBF\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],
        ["\xE4\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x36"],

        ["\xBF\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA5"],
        ["\xBC\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x37"],

        ["\xBF\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xA6"],
        ["\xBC\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x39"],

        ["\xBF\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],
        ["\xE4\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x3A"],

        ["\x3A\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],
        ["\xE4\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3A\xFE"],

        ["\xBF\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],
        ["\xE4\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x3F"],

        ["\x3B\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],
        ["\xE4\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xA1"],

        ["\xBF\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],
        ["\xE4\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x40"],

        ["\xBF\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],
        ["\xE4\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x42"],

        ["\x3B\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],
        ["\xE4\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xA2"],

        ["\xBF\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xAC"],
        ["\xBC\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x53"],

        ["\x3B\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCD"],
        ["\xE4\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xA3"],

        ["\xBF\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB7"],
        ["\xBE\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x5A"],

        ["\xBF\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCE"],
        ["\xE4\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x5B"],

        ["\xBF\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xCF"],
        ["\xE4\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x5F"],

        ["\xBF\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],
        ["\xE4\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x60"],

        ["\x3B\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],
        ["\xE4\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xA4"],

        ["\x3B\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],
        ["\xE4\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xA5"],

        ["\x3B\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],
        ["\xE4\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xA6"],

        ["\xBF\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBB"],
        ["\xBA\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x67"],

        ["\x3B\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],
        ["\xE4\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xA7"],

        ["\xBF\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],
        ["\xE4\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x6A"],

        ["\xBF\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],
        ["\xE4\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x6B"],

        ["\xBF\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xB9"],
        ["\xBC\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x6E"],

        ["\xBF\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xBD"],
        ["\xBC\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x72"],

        ["\x3B\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],
        ["\xE4\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xA8"],

        ["\x3B\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],
        ["\xE4\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xA9"],

        ["\x3B\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],
        ["\xE4\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xAA"],

        ["\x3B\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDA"],
        ["\xE4\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xAB"],

        ["\xBF\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDB"],
        ["\xE4\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xBF\x7A"],

        ["\xC0\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC4"],
        ["\xBC\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x26"],

        ["\xC0\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDC"],
        ["\xE4\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x2C"],

        ["\x3B\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDD"],
        ["\xE4\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xAC"],

        ["\xC0\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDE"],
        ["\xE4\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x2A"],

        ["\xC0\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xDF"],
        ["\xE4\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x34"],

        ["\x3B\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],
        ["\xE4\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xAD"],

        ["\xC0\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE1"],
        ["\xE4\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x3B"],

        ["\xC0\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],
        ["\xE4\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x3C"],

        ["\xC0\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBA\xBC"],
        ["\xBA\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x3D"],

        ["\xC0\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],
        ["\xE4\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x3E"],

        ["\x3B\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],
        ["\xE4\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xAE"],

        ["\xC0\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],
        ["\xE4\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x41"],

        ["\xC0\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],
        ["\xE4\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x42"],

        ["\xC0\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD3"],
        ["\xBC\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x47"],

        ["\xC0\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],
        ["\xE4\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x4D"],

        ["\xC0\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD5"],
        ["\xBC\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x51"],

        ["\xC0\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],
        ["\xE4\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x52"],

        ["\xC0\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],
        ["\xE4\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x54"],

        ["\xC0\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEA"],
        ["\xE4\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x5F"],

        ["\xC0\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEB"],
        ["\xE4\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x60"],

        ["\xC0\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEC"],
        ["\xE4\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x62"],

        ["\xC0\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xD8"],
        ["\xBC\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x68"],

        ["\xC0\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xED"],
        ["\xE4\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x6B"],

        ["\xC0\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEE"],
        ["\xE4\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x6D"],

        ["\xC0\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xEF"],
        ["\xE4\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x70"],

        ["\xC0\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],
        ["\xE4\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC0\x75"],

        ["\xC1\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],
        ["\xE4\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x24"],

        ["\xC1\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],
        ["\xE4\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x25"],

        ["\xC1\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],
        ["\xE4\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x29"],

        ["\xC1\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE1"],
        ["\xBC\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x2A"],

        ["\x3B\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],
        ["\xE4\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xAF"],

        ["\xC1\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],
        ["\xE4\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x2B"],

        ["\xC1\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],
        ["\xE4\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x2C"],

        ["\xC1\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],
        ["\xE4\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x34"],

        ["\xC1\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xE8"],
        ["\xBC\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x36"],

        ["\x3B\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],
        ["\xE4\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB0"],

        ["\xC1\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],
        ["\xE4\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x3A"],

        ["\xC1\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xEA"],
        ["\xBC\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x3C"],

        ["\xC1\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFA"],
        ["\xE4\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x3D"],

        ["\x3B\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFB"],
        ["\xE4\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB1"],

        ["\xC1\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFC"],
        ["\xE4\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x40"],

        ["\x3B\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFD"],
        ["\xE4\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB2"],

        ["\x3B\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xFE"],
        ["\xE4\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB3"],

        ["\xC1\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],
        ["\xE5\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x4F"],

        ["\xC1\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2"],
        ["\xE5\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x53"],

        ["\xC1\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3"],
        ["\xE5\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x54"],

        ["\xC1\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xF9"],
        ["\xBC\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x56"],

        ["\x3B\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4"],
        ["\xE5\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB4"],

        ["\xC1\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5"],
        ["\xE5\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x57"],

        ["\xC1\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6"],
        ["\xE5\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x58"],

        ["\xC1\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7"],
        ["\xE5\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x61"],

        ["\x3B\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8"],
        ["\xE5\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB5"],

        ["\x3B\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9"],
        ["\xE5\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB6"],

        ["\xC1\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAA"],
        ["\xBD\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x64"],

        ["\xC1\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xAC"],
        ["\xBD\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x65"],

        ["\xC1\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA"],
        ["\xE5\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x67"],

        ["\xC1\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],
        ["\xE5\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x6A"],

        ["\x3B\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC"],
        ["\xE5\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB7"],

        ["\xC1\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB3"],
        ["\xBD\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x6F"],

        ["\xC1\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB8"],
        ["\xBD\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x72"],

        ["\x3B\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD"],
        ["\xE5\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB8"],

        ["\xC1\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xB9"],
        ["\xBD\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x76"],

        ["\xC1\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xBB"],
        ["\xBD\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC1\x77"],

        ["\xC2\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xC6"],
        ["\xBD\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x22"],

        ["\xC2\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE"],
        ["\xE5\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x28"],

        ["\xC2\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCD"],
        ["\xBD\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x32"],

        ["\xC2\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xCE"],
        ["\xBD\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x36"],

        ["\xC2\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF"],
        ["\xE5\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x37"],

        ["\x3B\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],
        ["\xE5\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xB9"],

        ["\x3B\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1"],
        ["\xE5\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xBA"],

        ["\xC2\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xDD"],
        ["\xBD\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x3B"],

        ["\x3B\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],
        ["\xE5\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xBB"],

        ["\x3B\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3"],
        ["\xE5\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xBC"],

        ["\x3B\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4"],
        ["\xE5\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xBD"],

        ["\xC2\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xE9"],
        ["\xBD\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x40"],

        ["\xC2\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xEA"],
        ["\xBD\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x41"],

        ["\xC2\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5"],
        ["\xE5\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x42"],

        ["\x3B\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6"],
        ["\xE5\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xBE"],

        ["\xC2\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7"],
        ["\xE5\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x4A"],

        ["\xC2\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8"],
        ["\xE5\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x4B"],

        ["\xC2\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9"],
        ["\xE5\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x50"],

        ["\xC2\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF1"],
        ["\xBD\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x51"],

        ["\x3B\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA"],
        ["\xE5\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xBF"],

        ["\xC2\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB"],
        ["\xE5\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x59"],

        ["\xC2\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xFE"],
        ["\xBD\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5A"],

        ["\xC2\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xA3"],
        ["\xBE\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x5C"],

        ["\x3B\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC"],
        ["\xE5\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC0"],

        ["\x3B\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD"],
        ["\xE5\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC1"],

        ["\xC2\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE"],
        ["\xE5\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x6B"],

        ["\x3B\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF"],
        ["\xE5\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC2"],

        ["\x3B\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],
        ["\xE5\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC3"],

        ["\xC2\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xB9"],
        ["\xBE\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x6E"],

        ["\x3B\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],
        ["\xE5\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC4"],

        ["\x3B\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],
        ["\xE5\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC5"],

        ["\xC2\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],
        ["\xE5\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x72"],

        ["\x3B\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],
        ["\xE5\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC6"],

        ["\x3B\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],
        ["\xE5\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC7"],

        ["\xC2\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC3"],
        ["\xBE\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7B"],

        ["\x3B\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],
        ["\xE5\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC8"],

        ["\xC2\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],
        ["\xE5\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7C"],

        ["\xC2\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xC7"],
        ["\xBE\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC2\x7E"],

        ["\x3B\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],
        ["\xE5\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xC9"],

        ["\x3B\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],
        ["\xE5\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xCA"],

        ["\x3B\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCA"],
        ["\xE5\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xCB"],

        ["\xC3\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCB"],
        ["\xE5\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x24"],

        ["\xC3\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xD7"],
        ["\xBE\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x25"],

        ["\x3B\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCC"],
        ["\xE5\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xCC"],

        ["\x3B\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCD"],
        ["\xE5\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xCD"],

        ["\x3B\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCE"],
        ["\xE5\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xCE"],

        ["\x3B\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xCF"],
        ["\xE5\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xCF"],

        ["\x3B\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],
        ["\xE5\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD0"],

        ["\xC3\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],
        ["\xE5\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x31"],

        ["\xC3\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],
        ["\xE5\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x33"],

        ["\xC3\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],
        ["\xE5\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x3B"],

        ["\xC3\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],
        ["\xE5\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x3D"],

        ["\xC3\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],
        ["\xE5\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x3F"],

        ["\xC3\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xDB"],
        ["\xBE\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x41"],

        ["\x3B\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],
        ["\xE5\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD1"],

        ["\xC3\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],
        ["\xE5\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x45"],

        ["\xC3\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xE0"],
        ["\xBE\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x48"],

        ["\x3B\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],
        ["\xE5\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD2"],

        ["\x3B\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],
        ["\xE5\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD3"],

        ["\x3B\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDA"],
        ["\xE5\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD4"],

        ["\x3B\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDB"],
        ["\xE5\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD5"],

        ["\xC3\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDC"],
        ["\xE5\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x4D"],

        ["\xC3\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDD"],
        ["\xE5\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x51"],

        ["\x3B\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDE"],
        ["\xE5\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD6"],

        ["\xC3\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xDF"],
        ["\xE5\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x55"],

        ["\xC3\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xED"],
        ["\xBE\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x56"],

        ["\x3B\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],
        ["\xE5\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD7"],

        ["\xC3\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE1"],
        ["\xE5\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x59"],

        ["\x3B\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],
        ["\xE5\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD8"],

        ["\xC3\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB4\xF9"],
        ["\xB4\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5B"],

        ["\xC3\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],
        ["\xE5\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5C"],

        ["\xC3\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],
        ["\xE5\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x5D"],

        ["\x3B\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],
        ["\xE5\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xD9"],

        ["\xC3\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],
        ["\xE5\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x60"],

        ["\xC3\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],
        ["\xE5\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x61"],

        ["\xC3\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],
        ["\xE5\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x68"],

        ["\xC3\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],
        ["\xE5\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x6A"],

        ["\xC3\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEA"],
        ["\xE5\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x6B"],

        ["\x3B\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEB"],
        ["\xE5\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xDA"],

        ["\xC3\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xFB"],
        ["\xBE\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x6F"],

        ["\x3B\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEC"],
        ["\xE5\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xDB"],

        ["\xC3\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xED"],
        ["\xE5\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x70"],

        ["\x3B\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEE"],
        ["\xE5\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xDC"],

        ["\xC3\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA5"],
        ["\xBF\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x71"],

        ["\xC3\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],
        ["\xE5\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x72"],

        ["\xC3\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xA3"],
        ["\xBF\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x77"],

        ["\x3B\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],
        ["\xE5\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xDD"],

        ["\x3B\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],
        ["\xE5\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xDE"],

        ["\xC3\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],
        ["\xE5\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7A"],

        ["\xC4\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],
        ["\xE5\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x32"],

        ["\x3B\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],
        ["\xE5\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xDF"],

        ["\x3B\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],
        ["\xE5\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE0"],

        ["\x3B\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],
        ["\xE5\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE1"],

        ["\xC3\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],
        ["\xE5\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7B"],

        ["\xC3\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],
        ["\xE5\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x7D"],

        ["\xC4\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAC"],
        ["\xBF\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x24"],

        ["\xC4\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xB1"],
        ["\xBF\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x25"],

        ["\x3B\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],
        ["\xE5\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE2"],

        ["\xC4\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFA"],
        ["\xE5\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x28"],

        ["\xC4\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xAA"],
        ["\xBF\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x2C"],

        ["\x3B\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFB"],
        ["\xE5\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE3"],

        ["\x3B\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFC"],
        ["\xE5\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE4"],

        ["\x3B\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFD"],
        ["\xE5\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE5"],

        ["\x3B\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xFE"],
        ["\xE5\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE6"],

        ["\x3B\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],
        ["\xE6\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE7"],

        ["\x3B\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2"],
        ["\xE6\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE8"],

        ["\xC4\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xC5"],
        ["\xBF\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x41"],

        ["\x3B\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3"],
        ["\xE6\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xE9"],

        ["\x3B\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4"],
        ["\xE6\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xEA"],

        ["\xC4\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5"],
        ["\xE6\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x4D"],

        ["\xC4\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],
        ["\xE6\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x4E"],

        ["\xC4\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],
        ["\xE6\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x51"],

        ["\xC4\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],
        ["\xE6\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x52"],

        ["\xC4\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],
        ["\xE6\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x54"],

        ["\xC4\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA"],
        ["\xE6\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x57"],

        ["\x3B\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],
        ["\xE6\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xEB"],

        ["\xC4\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCC"],
        ["\xBF\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x58"],

        ["\xC4\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],
        ["\xB9\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x5C"],

        ["\x3B\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],
        ["\xE6\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xEC"],

        ["\xC4\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xCA"],
        ["\xBF\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x61"],

        ["\xC4\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD"],
        ["\xE6\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x63"],

        ["\xC4\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],
        ["\xE6\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x64"],

        ["\x3B\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],
        ["\xE6\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xED"],

        ["\xC4\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],
        ["\xE6\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x67"],

        ["\xC4\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xD2"],
        ["\xBF\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x68"],

        ["\x3B\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1"],
        ["\xE6\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xEE"],

        ["\x3B\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2"],
        ["\xE6\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xEF"],

        ["\x3B\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],
        ["\xE6\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF0"],

        ["\x3B\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],
        ["\xE6\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF1"],

        ["\x3B\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],
        ["\xE6\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF2"],

        ["\xC4\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6"],
        ["\xE6\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6C"],

        ["\xC4\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7"],
        ["\xE6\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6D"],

        ["\xC4\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDB"],
        ["\xBF\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x6F"],

        ["\x3B\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],
        ["\xE6\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF3"],

        ["\x3B\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],
        ["\xE6\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF4"],

        ["\xC4\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],
        ["\xE6\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x71"],

        ["\xC4\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xDF"],
        ["\xBF\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x76"],

        ["\xC4\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB"],
        ["\xE6\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x78"],

        ["\xC4\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC"],
        ["\xE6\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x79"],

        ["\x3B\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD"],
        ["\xE6\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF5"],

        ["\xC4\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE8"],
        ["\xBF\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x7E"],

        ["\x3B\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE"],
        ["\xE6\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF6"],

        ["\xC5\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF"],
        ["\xE6\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x21"],

        ["\xC5\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],
        ["\xE6\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x25"],

        ["\xC5\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],
        ["\xE6\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x28"],

        ["\x3B\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],
        ["\xE6\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF7"],

        ["\xC5\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],
        ["\xE6\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x2A"],

        ["\xC5\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],
        ["\xE6\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x2D"],

        ["\xC5\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xE9"],
        ["\xBF\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x31"],

        ["\x3B\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],
        ["\xE6\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF8"],

        ["\xC5\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],
        ["\xE6\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x38"],

        ["\xC5\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],
        ["\xE6\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x3C"],

        ["\x3B\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],
        ["\xE6\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xF9"],

        ["\xC5\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xFA"],
        ["\xBF\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x3D"],

        ["\xC5\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBF\xF2"],
        ["\xBF\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x41"],

        ["\x3B\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],
        ["\xE6\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xFA"],

        ["\x3B\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCA"],
        ["\xE6\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xFB"],

        ["\xC5\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCB"],
        ["\xE6\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x43"],

        ["\xC5\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCC"],
        ["\xE6\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x48"],

        ["\xC5\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCD"],
        ["\xE6\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x4B"],

        ["\xC5\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCE"],
        ["\xE6\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x50"],

        ["\xC5\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA7"],
        ["\xC0\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x4F"],

        ["\xC5\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],
        ["\xE6\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x53"],

        ["\xC5\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],
        ["\xE6\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x54"],

        ["\x3B\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],
        ["\xE6\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xFC"],

        ["\x3B\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],
        ["\xE6\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xFD"],

        ["\xC5\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],
        ["\xC0\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x57"],

        ["\xC5\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xA9"],
        ["\xC0\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x59"],

        ["\xC5\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],
        ["\xE6\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x5A"],

        ["\x3B\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],
        ["\xE6\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3B\xFE"],

        ["\xC5\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],
        ["\xE6\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x5C"],

        ["\x3C\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],
        ["\xE6\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xA1"],

        ["\x3C\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],
        ["\xE6\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xA2"],

        ["\xC5\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],
        ["\xE6\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x62"],

        ["\xC5\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB2"],
        ["\xC0\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x63"],

        ["\xC5\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB1"],
        ["\xC0\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x64"],

        ["\x3C\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],
        ["\xE6\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xA3"],

        ["\xC5\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],
        ["\xE6\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x65"],

        ["\x3C\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],
        ["\xE6\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xA4"],

        ["\xC5\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xB5"],
        ["\xC0\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x6C"],

        ["\xC5\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBB"],
        ["\xC0\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x72"],

        ["\xC5\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xBE"],
        ["\xC0\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x76"],

        ["\x3C\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],
        ["\xE6\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xA5"],

        ["\xC5\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],
        ["\xE6\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x7D"],

        ["\x3C\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDE"],
        ["\xE6\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xA6"],

        ["\x3C\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xDF"],
        ["\xE6\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xA7"],

        ["\xC6\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],
        ["\xE6\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x25"],

        ["\xC6\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE1"],
        ["\xE6\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x2E"],

        ["\x3C\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],
        ["\xE6\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xA8"],

        ["\xC6\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],
        ["\xE6\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x32"],

        ["\xC6\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],
        ["\xE6\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x33"],

        ["\x3C\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],
        ["\xE6\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xA9"],

        ["\x3C\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],
        ["\xE6\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xAA"],

        ["\xC6\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],
        ["\xD1\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x36"],

        ["\xC6\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],
        ["\xE6\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x39"],

        ["\xC6\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],
        ["\xE6\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x3C"],

        ["\xC6\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],
        ["\xC0\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x3D"],

        ["\xC6\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBC\xC9"],
        ["\xBC\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x3E"],

        ["\xC6\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],
        ["\xD3\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x3F"],

        ["\xC6\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],
        ["\xE6\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x43"],

        ["\x3C\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEA"],
        ["\xE6\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xAB"],

        ["\xC6\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEB"],
        ["\xE6\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x48"],

        ["\xC6\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],
        ["\xC0\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x53"],

        ["\xC6\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEC"],
        ["\xE6\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x54"],

        ["\xC6\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xED"],
        ["\xE6\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x55"],

        ["\x3C\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEE"],
        ["\xE6\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xAC"],

        ["\xC6\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xDD"],
        ["\xC0\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x5A"],

        ["\xC6\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],
        ["\xE6\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x5F"],

        ["\xC6\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],
        ["\xE6\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x62"],

        ["\x3C\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],
        ["\xE6\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xAD"],

        ["\xC6\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],
        ["\xC0\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6C"],

        ["\x3C\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],
        ["\xE6\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xAE"],

        ["\xC6\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xEA"],
        ["\xC0\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6D"],

        ["\xC6\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],
        ["\xE6\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6E"],

        ["\xC6\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],
        ["\xC0\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x6F"],

        ["\x3C\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],
        ["\xE6\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xAF"],

        ["\xC6\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],
        ["\xE6\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x76"],

        ["\xC6\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],
        ["\xE6\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x7A"],

        ["\x3C\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],
        ["\xE6\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB0"],

        ["\xC6\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFB"],
        ["\xC0\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x7E"],

        ["\xC7\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],
        ["\xE6\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x22"],

        ["\xC7\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC0\xFA"],
        ["\xC0\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x25"],

        ["\xC7\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA2"],
        ["\xC1\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x27"],

        ["\x3C\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],
        ["\xE6\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB1"],

        ["\x3C\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFA"],
        ["\xE6\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB2"],

        ["\x3C\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xB2"],
        ["\xC1\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB3"],

        ["\xC7\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xA9"],
        ["\xC1\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x2D"],

        ["\x3C\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFB"],
        ["\xE6\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB4"],

        ["\xC7\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFC"],
        ["\xE6\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x33"],

        ["\xC7\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAE"],
        ["\xC1\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x34"],

        ["\xC7\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFD"],
        ["\xE6\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x36"],

        ["\xC7\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xFE"],
        ["\xE6\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x38"],

        ["\xC7\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],
        ["\xC1\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x3B"],

        ["\x3C\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],
        ["\xE7\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB5"],

        ["\xC7\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2"],
        ["\xE7\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x3E"],

        ["\x3C\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3"],
        ["\xE7\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB6"],

        ["\xC7\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],
        ["\xC1\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x44"],

        ["\x3C\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4"],
        ["\xE7\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB7"],

        ["\x3C\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5"],
        ["\xE7\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB8"],

        ["\x3C\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6"],
        ["\xE7\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xB9"],

        ["\x3C\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7"],
        ["\xE7\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xBA"],

        ["\xC7\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8"],
        ["\xE7\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x48"],

        ["\xC7\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9"],
        ["\xE7\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x4D"],

        ["\x3C\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],
        ["\xE7\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xBB"],

        ["\x3C\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],
        ["\xE7\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xBC"],

        ["\x3C\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC"],
        ["\xE7\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xBD"],

        ["\x3C\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD"],
        ["\xE7\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xBE"],

        ["\x3C\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE"],
        ["\xE7\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xBF"],

        ["\x3C\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],
        ["\xE7\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC0"],

        ["\x3C\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],
        ["\xE7\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC1"],

        ["\xC7\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],
        ["\xE7\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x50"],

        ["\x3C\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],
        ["\xE7\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC2"],

        ["\x3C\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],
        ["\xE7\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC3"],

        ["\xC7\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCB"],
        ["\xC1\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x56"],

        ["\xC7\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xDB"],
        ["\xC1\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x58"],

        ["\x3C\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],
        ["\xE7\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC4"],

        ["\xC7\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xCF"],
        ["\xC1\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x5D"],

        ["\xC7\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],
        ["\xC1\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x61"],

        ["\xC7\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],
        ["\xE7\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x65"],

        ["\xC7\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE1"],
        ["\xC1\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6D"],

        ["\xC7\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],
        ["\xE7\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x69"],

        ["\xC7\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],
        ["\xE7\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6A"],

        ["\x3C\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],
        ["\xE7\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC5"],

        ["\xC7\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],
        ["\xE7\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x6C"],

        ["\xC7\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],
        ["\xE7\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x73"],

        ["\xC7\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],
        ["\xE7\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x74"],

        ["\xC7\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],
        ["\xE7\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x75"],

        ["\x3C\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],
        ["\xE7\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC6"],

        ["\xC7\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],
        ["\xE7\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x76"],

        ["\xC7\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],
        ["\xC1\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x77"],

        ["\xC7\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEA"],
        ["\xC1\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x79"],

        ["\xC7\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],
        ["\xE7\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7A"],

        ["\xC7\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xEF"],
        ["\xC1\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x7B"],

        ["\xC8\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],
        ["\xC1\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x22"],

        ["\x3C\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],
        ["\xE7\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC7"],

        ["\xC8\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],
        ["\xE7\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x28"],

        ["\xC8\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],
        ["\xE7\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x2B"],

        ["\x3C\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],
        ["\xE7\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC8"],

        ["\xC8\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC1\xFE"],
        ["\xC1\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x34"],

        ["\xC8\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],
        ["\xE7\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x37"],

        ["\x3C\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],
        ["\xE7\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xC9"],

        ["\x3C\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],
        ["\xE7\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xCA"],

        ["\xC8\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],
        ["\xE7\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x3B"],

        ["\xC8\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],
        ["\xC2\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x3E"],

        ["\xC8\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],
        ["\xE7\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x3F"],

        ["\xC8\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],
        ["\xE7\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x43"],

        ["\xC8\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],
        ["\xE7\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x44"],

        ["\xC8\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],
        ["\xE7\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x47"],

        ["\x3C\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],
        ["\xE7\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xCB"],

        ["\xC8\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCD"],
        ["\xE7\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x50"],

        ["\xC8\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB7"],
        ["\xC2\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x52"],

        ["\x3C\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCE"],
        ["\xE7\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xCC"],

        ["\xC8\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xCF"],
        ["\xE7\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x56"],

        ["\xC8\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],
        ["\xE7\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x58"],

        ["\xC8\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],
        ["\xE7\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5A"],

        ["\x3C\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],
        ["\xE7\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xCD"],

        ["\xC8\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],
        ["\xE7\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x5F"],

        ["\x3C\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],
        ["\xE7\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xCE"],

        ["\xC8\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],
        ["\xC2\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x61"],

        ["\xC8\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],
        ["\xC2\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x69"],

        ["\xC8\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],
        ["\xC2\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x6D"],

        ["\x3C\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],
        ["\xE7\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xCF"],

        ["\xC8\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],
        ["\xE7\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x6F"],

        ["\xC8\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],
        ["\xE7\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x71"],

        ["\xC8\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],
        ["\xC2\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x76"],

        ["\x3C\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],
        ["\xE7\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD0"],

        ["\xC8\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],
        ["\xE7\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC8\x7D"],

        ["\x3C\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDA"],
        ["\xE7\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD1"],

        ["\xC9\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],
        ["\xC2\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x21"],

        ["\xC9\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDB"],
        ["\xE7\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x22"],

        ["\xC9\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDC"],
        ["\xE7\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x24"],

        ["\x3C\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDD"],
        ["\xE7\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD2"],

        ["\xC9\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDE"],
        ["\xE7\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x28"],

        ["\xC9\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xDF"],
        ["\xE7\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x2A"],

        ["\x3C\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],
        ["\xE7\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD3"],

        ["\xC9\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE1"],
        ["\xE7\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x31"],

        ["\x3C\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],
        ["\xE7\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD4"],

        ["\xC9\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],
        ["\xE7\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x35"],

        ["\x3C\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],
        ["\xE7\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD5"],

        ["\xC9\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],
        ["\xC2\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x36"],

        ["\xC9\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],
        ["\xE7\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x37"],

        ["\x3C\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],
        ["\xE7\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD6"],

        ["\xC9\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],
        ["\xE7\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x3C"],

        ["\x3C\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],
        ["\xE7\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD7"],

        ["\xC9\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],
        ["\xE7\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x3D"],

        ["\xC9\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEA"],
        ["\xE7\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x43"],

        ["\x3C\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEB"],
        ["\xE7\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD8"],

        ["\xC9\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],
        ["\xC2\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x44"],

        ["\xC9\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],
        ["\xC2\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x45"],

        ["\xC9\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],
        ["\xC7\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x47"],

        ["\xC9\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEC"],
        ["\xE7\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x48"],

        ["\xC9\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xED"],
        ["\xE7\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x49"],

        ["\xC9\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEE"],
        ["\xE7\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4B"],

        ["\xC9\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xFA"],
        ["\xC2\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4D"],

        ["\xC9\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],
        ["\xB3\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x4F"],

        ["\x3C\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xEF"],
        ["\xE7\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xD9"],

        ["\x3C\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],
        ["\xE7\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xDA"],

        ["\xC9\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],
        ["\xE7\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x55"],

        ["\x3C\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],
        ["\xE7\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xDB"],

        ["\x3C\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],
        ["\xE7\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xDC"],

        ["\xC9\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],
        ["\xE7\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x58"],

        ["\xC9\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],
        ["\xE7\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x59"],

        ["\xC9\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA3"],
        ["\xC3\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5A"],

        ["\xC9\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],
        ["\xC3\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x5F"],

        ["\xC9\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],
        ["\xE7\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x62"],

        ["\xC9\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],
        ["\xE7\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x65"],

        ["\xC9\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],
        ["\xC3\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x66"],

        ["\x3C\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],
        ["\xE7\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xDD"],

        ["\xC9\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],
        ["\xE7\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x68"],

        ["\x3C\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFA"],
        ["\xE7\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xDE"],

        ["\xC9\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],
        ["\xC3\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x6E"],

        ["\xC9\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],
        ["\xC3\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x70"],

        ["\xC9\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFB"],
        ["\xE7\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x78"],

        ["\xC9\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBD\xF3"],
        ["\xBD\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x76"],

        ["\x3C\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFC"],
        ["\xE7\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xDF"],

        ["\xC9\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFD"],
        ["\xE7\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x7D"],

        ["\x3C\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xFE"],
        ["\xE7\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE0"],

        ["\x3C\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],
        ["\xE8\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE1"],

        ["\xCA\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],
        ["\xC3\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x23"],

        ["\xCA\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2"],
        ["\xE8\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x29"],

        ["\xCA\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xCA"],
        ["\xC3\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x2A"],

        ["\xCA\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3"],
        ["\xE8\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x2B"],

        ["\x3C\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4"],
        ["\xE8\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE2"],

        ["\xCA\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5"],
        ["\xE8\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x2C"],

        ["\xCA\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6"],
        ["\xE8\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x2F"],

        ["\x3C\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7"],
        ["\xE8\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE3"],

        ["\xCA\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8"],
        ["\xE8\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x35"],

        ["\xCA\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9"],
        ["\xE8\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x37"],

        ["\xCA\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],
        ["\xE8\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x39"],

        ["\xCA\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],
        ["\xE8\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x3B"],

        ["\xCA\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC"],
        ["\xE8\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x3F"],

        ["\x3C\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD"],
        ["\xE8\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE4"],

        ["\x3C\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],
        ["\xE8\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE5"],

        ["\xCA\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAF"],
        ["\xE8\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x48"],

        ["\xCA\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],
        ["\xE8\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x4A"],

        ["\xCA\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1"],
        ["\xE8\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x4B"],

        ["\xCA\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],
        ["\xE8\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x4C"],

        ["\x3C\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3"],
        ["\xE8\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE6"],

        ["\xCA\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],
        ["\xC9\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x4E"],

        ["\xCA\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4"],
        ["\xE8\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x54"],

        ["\x3C\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5"],
        ["\xE8\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE7"],

        ["\xCA\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],
        ["\xC3\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x5B"],

        ["\x3C\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6"],
        ["\xE8\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE8"],

        ["\xCA\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7"],
        ["\xE8\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x5E"],

        ["\xCA\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],
        ["\xE8\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x5F"],

        ["\xCA\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],
        ["\xC3\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x62"],

        ["\xCA\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],
        ["\xC3\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x65"],

        ["\xCA\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9"],
        ["\xE8\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x69"],

        ["\x3C\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA"],
        ["\xE8\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xE9"],

        ["\xCA\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],
        ["\xC3\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x6D"],

        ["\xCA\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],
        ["\xC3\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x6E"],

        ["\x3C\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB"],
        ["\xE8\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xEA"],

        ["\xCA\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC"],
        ["\xE8\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x72"],

        ["\x3C\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD"],
        ["\xE8\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xEB"],

        ["\xCA\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xEF"],
        ["\xC3\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x75"],

        ["\x3C\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE"],
        ["\xE8\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xEC"],

        ["\x3C\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF"],
        ["\xE8\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xED"],

        ["\xCA\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],
        ["\xE8\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x7B"],

        ["\xCA\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],
        ["\xE8\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x7D"],

        ["\xCB\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],
        ["\xE8\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x25"],

        ["\xCB\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],
        ["\xE8\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x28"],

        ["\xCB\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],
        ["\xE8\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x2A"],

        ["\xCB\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],
        ["\xC3\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x2B"],

        ["\x3C\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],
        ["\xE8\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xEE"],

        ["\x3C\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],
        ["\xE8\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xEF"],

        ["\xCB\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD4"],
        ["\xCD\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x31"],

        ["\xCB\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],
        ["\xC3\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x32"],

        ["\x3C\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],
        ["\xE8\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF0"],

        ["\xCB\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xFC"],
        ["\xC3\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x37"],

        ["\xCB\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],
        ["\xE8\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x3B"],

        ["\x3C\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],
        ["\xE8\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF1"],

        ["\xCB\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA4"],
        ["\xC4\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x45"],

        ["\xCB\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCA"],
        ["\xE8\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x46"],

        ["\x3C\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCB"],
        ["\xE8\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF2"],

        ["\xCB\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCC"],
        ["\xE8\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x47"],

        ["\xCB\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCD"],
        ["\xE8\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x48"],

        ["\xCB\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCE"],
        ["\xE8\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x49"],

        ["\xCB\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA7"],
        ["\xC4\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x4E"],

        ["\xCB\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA8"],
        ["\xC4\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x50"],

        ["\x3C\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xCF"],
        ["\xE8\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF3"],

        ["\x3C\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],
        ["\xE8\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF4"],

        ["\xCB\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],
        ["\xC4\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x57"],

        ["\xCB\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB3"],
        ["\xC4\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x58"],

        ["\xCB\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB2"],
        ["\xC4\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x59"],

        ["\xCB\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],
        ["\xE8\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x5D"],

        ["\x3C\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],
        ["\xE8\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF5"],

        ["\xCB\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],
        ["\xE8\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x62"],

        ["\xCB\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],
        ["\xE8\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x63"],

        ["\xCB\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBB"],
        ["\xC4\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x64"],

        ["\xCB\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],
        ["\xE8\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x65"],

        ["\xCB\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],
        ["\xE8\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x67"],

        ["\xCB\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],
        ["\xC4\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x68"],

        ["\xCB\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB9"],
        ["\xC4\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x6B"],

        ["\xCB\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],
        ["\xE8\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x73"],

        ["\xCB\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],
        ["\xE8\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x76"],

        ["\xCB\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],
        ["\xC4\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x7B"],

        ["\x3C\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],
        ["\xE8\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF6"],

        ["\xCB\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCA"],
        ["\xC4\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x7C"],

        ["\xCC\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xCD"],
        ["\xC4\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x23"],

        ["\xCC\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],
        ["\xC4\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x2A"],

        ["\xCC\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],
        ["\xE8\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x35"],

        ["\xCC\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],
        ["\xC4\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x36"],

        ["\x3C\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],
        ["\xE8\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF7"],

        ["\xCC\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDC"],
        ["\xE8\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x37"],

        ["\xCC\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDD"],
        ["\xE8\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x38"],

        ["\xCC\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDE"],
        ["\xE8\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x3D"],

        ["\xCC\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],
        ["\xC4\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x3F"],

        ["\xCC\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xDF"],
        ["\xE8\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x41"],

        ["\xCC\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xEB"],
        ["\xC4\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x49"],

        ["\xCC\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],
        ["\xE8\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x4C"],

        ["\xCC\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE1"],
        ["\xE8\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x4D"],

        ["\x3C\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],
        ["\xE8\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF8"],

        ["\x3C\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],
        ["\xE8\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xF9"],

        ["\xCC\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],
        ["\xE8\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x54"],

        ["\x3C\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],
        ["\xE8\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xFA"],

        ["\xCC\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFA"],
        ["\xC4\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x56"],

        ["\xCC\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],
        ["\xE8\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x5A"],

        ["\xCC\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],
        ["\xE8\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x5B"],

        ["\x3C\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],
        ["\xE8\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xFB"],

        ["\xCC\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],
        ["\xE8\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x60"],

        ["\xCC\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xFD"],
        ["\xC4\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x61"],

        ["\xCC\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA5"],
        ["\xC5\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x67"],

        ["\xCC\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEA"],
        ["\xE8\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x68"],

        ["\x3C\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],
        ["\xE8\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xFC"],

        ["\x3C\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],
        ["\xE8\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xFD"],

        ["\xCC\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xED"],
        ["\xE8\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x6F"],

        ["\xCC\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEE"],
        ["\xE8\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x72"],

        ["\xCC\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xEF"],
        ["\xE8\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x78"],

        ["\xCC\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],
        ["\xE8\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x77"],

        ["\x3C\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],
        ["\xE8\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3C\xFE"],

        ["\xCC\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],
        ["\xE8\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x7A"],

        ["\x3D\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],
        ["\xE8\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xA1"],

        ["\xCD\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],
        ["\xE8\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x24"],

        ["\xCD\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],
        ["\xE8\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x26"],

        ["\xCD\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],
        ["\xE8\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x29"],

        ["\x3D\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],
        ["\xE8\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xA2"],

        ["\x3D\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],
        ["\xE8\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xA3"],

        ["\xCD\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],
        ["\xE8\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x2D"],

        ["\xCD\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],
        ["\xE8\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x2E"],

        ["\xCD\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],
        ["\xC5\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x30"],

        ["\xCD\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],
        ["\xE8\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x33"],

        ["\xCD\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFC"],
        ["\xE8\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x34"],

        ["\xCD\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],
        ["\xC5\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x35"],

        ["\xCD\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFD"],
        ["\xE8\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x36"],

        ["\x3D\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xFE"],
        ["\xE8\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xA4"],

        ["\x3D\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],
        ["\xE9\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xA5"],

        ["\xCD\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB3"],
        ["\xC5\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x3C"],

        ["\xCD\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2"],
        ["\xE9\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x3E"],

        ["\xCD\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3"],
        ["\xE9\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x41"],

        ["\xCD\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB8"],
        ["\xC5\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x42"],

        ["\xCD\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],
        ["\xC5\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x43"],

        ["\x3D\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4"],
        ["\xE9\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xA6"],

        ["\x3D\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5"],
        ["\xE9\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xA7"],

        ["\x3D\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6"],
        ["\xE9\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xA8"],

        ["\xCD\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7"],
        ["\xE9\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x4B"],

        ["\x3D\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8"],
        ["\xE9\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xA9"],

        ["\x3D\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9"],
        ["\xE9\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xAA"],

        ["\x3D\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA"],
        ["\xE9\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xAB"],

        ["\xCD\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],
        ["\xE9\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x4F"],

        ["\xCD\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBF"],
        ["\xC5\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x50"],

        ["\xCD\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC"],
        ["\xE9\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x53"],

        ["\xCD\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD"],
        ["\xE9\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x56"],

        ["\x3D\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE"],
        ["\xE9\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xAC"],

        ["\x3D\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF"],
        ["\xE9\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xAD"],

        ["\xCD\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],
        ["\xE9\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x59"],

        ["\xCD\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1"],
        ["\xE9\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x5A"],

        ["\xCD\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB2"],
        ["\xE9\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x5D"],

        ["\xCD\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3"],
        ["\xE9\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x5E"],

        ["\xCD\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4"],
        ["\xE9\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x5F"],

        ["\xCD\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5"],
        ["\xE9\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x61"],

        ["\xCD\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],
        ["\xC5\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x62"],

        ["\xCD\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6"],
        ["\xE9\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x65"],

        ["\x3D\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7"],
        ["\xE9\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xAE"],

        ["\xCD\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8"],
        ["\xE9\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x67"],

        ["\xCD\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9"],
        ["\xE9\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x6B"],

        ["\x3D\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA"],
        ["\xE9\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xAF"],

        ["\x3D\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB"],
        ["\xE9\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB0"],

        ["\xCD\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],
        ["\xC5\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x6D"],

        ["\xCD\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC"],
        ["\xE9\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x71"],

        ["\xCD\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD"],
        ["\xE9\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x72"],

        ["\x3D\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE"],
        ["\xE9\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB1"],

        ["\xCD\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],
        ["\xC5\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x76"],

        ["\x3D\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBF"],
        ["\xE9\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB2"],

        ["\xCE\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],
        ["\xE9\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x22"],

        ["\xCD\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xCB"],
        ["\xC5\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCD\x7B"],

        ["\x3D\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],
        ["\xE9\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB3"],

        ["\x3D\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],
        ["\xE9\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB4"],

        ["\xCE\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],
        ["\xE9\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x25"],

        ["\x3D\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],
        ["\xE9\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB5"],

        ["\xCE\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],
        ["\xE9\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x29"],

        ["\xCE\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],
        ["\xE9\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x2B"],

        ["\x3D\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],
        ["\xE9\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB6"],

        ["\xCE\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],
        ["\xE9\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x31"],

        ["\xCE\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],
        ["\xE9\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x39"],

        ["\x3D\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCA"],
        ["\xE9\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB7"],

        ["\xCE\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCB"],
        ["\xE9\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x3E"],

        ["\xCE\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],
        ["\xC5\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x44"],

        ["\xCE\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCC"],
        ["\xE9\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x45"],

        ["\x3D\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCD"],
        ["\xE9\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB8"],

        ["\x3D\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCE"],
        ["\xE9\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xB9"],

        ["\xCE\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xCF"],
        ["\xE9\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x4B"],

        ["\x3D\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],
        ["\xE9\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xBA"],

        ["\xCE\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],
        ["\xE9\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x53"],

        ["\xCE\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],
        ["\xE9\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x54"],

        ["\x3D\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],
        ["\xE9\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xBB"],

        ["\xCE\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],
        ["\xE9\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x61"],

        ["\xCE\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],
        ["\xE9\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x63"],

        ["\xCE\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],
        ["\xE9\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x67"],

        ["\xCE\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],
        ["\xE9\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x6B"],

        ["\x3D\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],
        ["\xE9\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xBC"],

        ["\x3D\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],
        ["\xE9\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xBD"],

        ["\x3D\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDA"],
        ["\xE9\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xBE"],

        ["\x3D\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDB"],
        ["\xE9\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xBF"],

        ["\x3D\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDC"],
        ["\xE9\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC0"],

        ["\xCE\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDD"],
        ["\xE9\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x7D"],

        ["\xCF\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],
        ["\xC5\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x23"],

        ["\x3D\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDE"],
        ["\xE9\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC1"],

        ["\xCF\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFB"],
        ["\xC5\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x26"],

        ["\x3D\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xDF"],
        ["\xE9\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC2"],

        ["\xCF\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],
        ["\xE9\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x2A"],

        ["\x3D\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE1"],
        ["\xE9\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC3"],

        ["\x3D\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],
        ["\xE9\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC4"],

        ["\xCF\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFE"],
        ["\xC5\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x32"],

        ["\xCF\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],
        ["\xE9\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x33"],

        ["\xCF\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xFD"],
        ["\xC5\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x34"],

        ["\x3D\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],
        ["\xE9\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC5"],

        ["\x3D\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],
        ["\xE9\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC6"],

        ["\xCF\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA5"],
        ["\xC6\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x42"],

        ["\xCF\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],
        ["\xE9\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x43"],

        ["\xCF\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xA7"],
        ["\xC6\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x45"],

        ["\xCF\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB2\xF0"],
        ["\xB2\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x46"],

        ["\xCF\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],
        ["\xE9\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x47"],

        ["\xCF\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],
        ["\xE9\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x48"],

        ["\x3D\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],
        ["\xE9\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC7"],

        ["\xCF\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEA"],
        ["\xE9\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x49"],

        ["\xCF\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],
        ["\xC6\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x4B"],

        ["\xCF\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAC"],
        ["\xC6\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x4D"],

        ["\x3D\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEB"],
        ["\xE9\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC8"],

        ["\xCF\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEC"],
        ["\xE9\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x4E"],

        ["\xCF\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xAE"],
        ["\xC6\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x4F"],

        ["\xCF\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xED"],
        ["\xE9\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x50"],

        ["\xCF\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEE"],
        ["\xE9\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x51"],

        ["\x3D\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xEF"],
        ["\xE9\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xC9"],

        ["\x3D\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],
        ["\xE9\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xCA"],

        ["\xCF\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],
        ["\xE9\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x5F"],

        ["\xCF\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],
        ["\xE9\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x6B"],

        ["\x3D\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],
        ["\xE9\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xCB"],

        ["\xCF\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],
        ["\xE9\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x6F"],

        ["\xCF\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],
        ["\xE9\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x71"],

        ["\xCF\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],
        ["\xC6\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x77"],

        ["\xCF\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],
        ["\xE9\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x74"],

        ["\xCF\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],
        ["\xC6\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x75"],

        ["\xCF\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],
        ["\xE9\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x76"],

        ["\xD0\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],
        ["\xE9\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x21"],

        ["\xD0\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],
        ["\xC6\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x25"],

        ["\xD0\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],
        ["\xE9\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x27"],

        ["\xD0\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFA"],
        ["\xE9\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x28"],

        ["\xD0\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFB"],
        ["\xE9\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x2B"],

        ["\xD0\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCF"],
        ["\xC6\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x30"],

        ["\xD0\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xCC"],
        ["\xC6\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x31"],

        ["\xD0\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFC"],
        ["\xE9\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x32"],

        ["\x3D\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFD"],
        ["\xE9\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xCC"],

        ["\xD0\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD2\xB8"],
        ["\xD2\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x39"],

        ["\xD0\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],
        ["\xC6\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x3A"],

        ["\x3D\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xFE"],
        ["\xE9\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xCD"],

        ["\x3D\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA1"],
        ["\xEA\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xCE"],

        ["\xD0\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA2"],
        ["\xEA\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x3E"],

        ["\x3D\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA3"],
        ["\xEA\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xCF"],

        ["\xD0\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA4"],
        ["\xEA\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x44"],

        ["\xD0\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xDC"],
        ["\xC6\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x4B"],

        ["\xD0\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA5"],
        ["\xEA\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x51"],

        ["\xD0\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA6"],
        ["\xEA\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x56"],

        ["\xD0\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],
        ["\xC6\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x57"],

        ["\x3D\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA7"],
        ["\xEA\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD0"],

        ["\xD0\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],
        ["\xC6\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x59"],

        ["\xD0\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\xFA"],
        ["\xC6\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x5C"],

        ["\xD0\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA8"],
        ["\xEA\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x66"],

        ["\xD0\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xA5"],
        ["\xC7\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x67"],

        ["\xD0\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xA9"],
        ["\xEA\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x6B"],

        ["\xD0\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAA"],
        ["\xEA\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x6D"],

        ["\xD0\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAB"],
        ["\xEA\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x71"],

        ["\xD0\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAC"],
        ["\xEA\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x73"],

        ["\xD0\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB3"],
        ["\xC7\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x74"],

        ["\xD0\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAD"],
        ["\xEA\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x76"],

        ["\x3D\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAE"],
        ["\xEA\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD1"],

        ["\x3D\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xAF"],
        ["\xEA\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD2"],

        ["\xD0\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBA"],
        ["\xC7\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x7B"],

        ["\x3D\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB0"],
        ["\xEA\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD3"],

        ["\x3D\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB1"],
        ["\xEA\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD4"],

        ["\x3D\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB2"],
        ["\xEA\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD5"],

        ["\x3D\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB3"],
        ["\xEA\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD6"],

        ["\xD1\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],
        ["\xC7\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x2E"],

        ["\xD1\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCA"],
        ["\xC7\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x30"],

        ["\xD1\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB4"],
        ["\xEA\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x31"],

        ["\xD1\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],
        ["\xC7\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x32"],

        ["\xD1\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xCB"],
        ["\xC7\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x33"],

        ["\x3D\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB5"],
        ["\xEA\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD7"],

        ["\xD1\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB6"],
        ["\xEA\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x37"],

        ["\xD1\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],
        ["\xC7\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x3C"],

        ["\xD1\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB7"],
        ["\xEA\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x41"],

        ["\xD1\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],
        ["\xC7\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x43"],

        ["\xD1\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB8"],
        ["\xEA\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x45"],

        ["\xD1\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xB9"],
        ["\xEA\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x46"],

        ["\xD1\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBA"],
        ["\xEA\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x47"],

        ["\xD1\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDB"],
        ["\xC7\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x49"],

        ["\xD1\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBB"],
        ["\xEA\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4A"],

        ["\xD1\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBC"],
        ["\xEA\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4C"],

        ["\xD1\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xDE"],
        ["\xC7\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4D"],

        ["\xD1\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBD"],
        ["\xEA\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x4F"],

        ["\xD1\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBE"],
        ["\xEA\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x50"],

        ["\xD1\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xBF"],
        ["\xEA\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x53"],

        ["\xD1\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC0"],
        ["\xEA\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x56"],

        ["\xD1\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC1"],
        ["\xEA\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x58"],

        ["\xD1\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC2"],
        ["\xEA\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5D"],

        ["\xD1\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],
        ["\xC7\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x5E"],

        ["\x3D\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC3"],
        ["\xEA\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD8"],

        ["\x3D\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC4"],
        ["\xEA\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xD9"],

        ["\xD1\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC5"],
        ["\xEA\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x61"],

        ["\xD1\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xEE"],
        ["\xC7\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x63"],

        ["\x3D\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC6"],
        ["\xEA\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xDA"],

        ["\x3D\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC7"],
        ["\xEA\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xDB"],

        ["\xD1\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC8"],
        ["\xEA\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x66"],

        ["\xD1\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xC9"],
        ["\xEA\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x6A"],

        ["\xD1\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCA"],
        ["\xEA\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x6F"],

        ["\x3D\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCB"],
        ["\xEA\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xDC"],

        ["\x3D\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCC"],
        ["\xEA\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xDD"],

        ["\xD1\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCD"],
        ["\xEA\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x73"],

        ["\x3D\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCE"],
        ["\xEA\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xDE"],

        ["\xD2\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA9"],
        ["\xC8\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x23"],

        ["\xD1\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xCF"],
        ["\xEA\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x77"],

        ["\xD1\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD0"],
        ["\xEA\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x79"],

        ["\xD1\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA5"],
        ["\xC8\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x7C"],

        ["\xD1\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD1"],
        ["\xEA\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x7D"],

        ["\xD2\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xA4"],
        ["\xC8\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x21"],

        ["\x3D\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD2"],
        ["\xEA\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xDF"],

        ["\x3D\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD3"],
        ["\xEA\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE0"],

        ["\x3D\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD4"],
        ["\xEA\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE1"],

        ["\xD2\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD5"],
        ["\xEA\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x26"],

        ["\x3D\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD6"],
        ["\xEA\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE2"],

        ["\xD2\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD7"],
        ["\xEA\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x29"],

        ["\x3D\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD8"],
        ["\xEA\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE3"],

        ["\xD2\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB4"],
        ["\xC8\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x2B"],

        ["\xD2\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB5"],
        ["\xC8\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x2C"],

        ["\xD2\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xAF"],
        ["\xC8\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x2D"],

        ["\xD2\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xD9"],
        ["\xEA\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x32"],

        ["\x3D\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDA"],
        ["\xEA\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE4"],

        ["\x3D\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDB"],
        ["\xEA\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE5"],

        ["\xD2\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDC"],
        ["\xEA\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x37"],

        ["\xD2\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xB9"],
        ["\xC8\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x38"],

        ["\xD2\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xBC"],
        ["\xC8\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x3A"],

        ["\x3D\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDD"],
        ["\xEA\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE6"],

        ["\xD2\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDE"],
        ["\xEA\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x3F"],

        ["\xD2\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xDF"],
        ["\xEA\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x42"],

        ["\xD2\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],
        ["\xC8\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x46"],

        ["\xD2\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE0"],
        ["\xEA\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x49"],

        ["\xD2\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE1"],
        ["\xEA\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4B"],

        ["\x3D\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE2"],
        ["\xEA\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE7"],

        ["\x3D\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE3"],
        ["\xEA\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE8"],

        ["\xD2\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCD"],
        ["\xC8\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4C"],

        ["\xD2\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE4"],
        ["\xEA\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x4D"],

        ["\xD2\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],
        ["\xC8\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x50"],

        ["\xD2\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE5"],
        ["\xEA\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x53"],

        ["\x3D\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE6"],
        ["\xEA\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xE9"],

        ["\xD2\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE7"],
        ["\xEA\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x5E"],

        ["\xD2\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],
        ["\xC5\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x62"],

        ["\xD2\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE8"],
        ["\xEA\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x64"],

        ["\xD2\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xCF"],
        ["\xC8\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x65"],

        ["\xD2\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xE9"],
        ["\xEA\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x6A"],

        ["\x3D\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEA"],
        ["\xEA\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xEA"],

        ["\xD2\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEB"],
        ["\xEA\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x74"],

        ["\xD2\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEC"],
        ["\xEA\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x76"],

        ["\x3D\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xED"],
        ["\xEA\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xEB"],

        ["\xD2\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEE"],
        ["\xEA\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD2\x7E"],

        ["\xD3\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xEF"],
        ["\xEA\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x21"],

        ["\xD3\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF0"],
        ["\xEA\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x24"],

        ["\xD3\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xDD"],
        ["\xC8\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x26"],

        ["\x3D\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF1"],
        ["\xEA\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xEC"],

        ["\xD3\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF2"],
        ["\xEA\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x27"],

        ["\x3D\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF3"],
        ["\xEA\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xED"],

        ["\x3D\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF4"],
        ["\xEA\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xEE"],

        ["\x3D\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF5"],
        ["\xEA\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xEF"],

        ["\xD3\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF6"],
        ["\xEA\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x32"],

        ["\x3D\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF7"],
        ["\xEA\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF0"],

        ["\xD3\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF8"],
        ["\xEA\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x34"],

        ["\xD3\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],
        ["\xC8\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x35"],

        ["\xD3\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xF9"],
        ["\xEA\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x39"],

        ["\x3D\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFA"],
        ["\xEA\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF1"],

        ["\xD3\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFB"],
        ["\xEA\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x3A"],

        ["\x3D\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFC"],
        ["\xEA\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF2"],

        ["\xD3\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xEC"],
        ["\xC8\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x3C"],

        ["\xD3\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFD"],
        ["\xEA\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x3E"],

        ["\x3D\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEA\xFE"],
        ["\xEA\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF3"],

        ["\xD3\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA1"],
        ["\xEB\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x43"],

        ["\x3D\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA2"],
        ["\xEB\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF4"],

        ["\xD3\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xBA"],
        ["\xD4\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x47"],

        ["\xD3\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA3"],
        ["\xEB\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x49"],

        ["\x3D\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA4"],
        ["\xEB\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF5"],

        ["\xD3\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA5"],
        ["\xEB\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4A"],

        ["\xD3\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],
        ["\xC8\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4B"],

        ["\xD3\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],
        ["\xC8\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x4E"],

        ["\x3D\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA6"],
        ["\xEB\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF6"],

        ["\xD3\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA7"],
        ["\xEB\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x51"],

        ["\xD3\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA8"],
        ["\xEB\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x55"],

        ["\x3D\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xA9"],
        ["\xEB\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF7"],

        ["\x3D\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAA"],
        ["\xEB\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF8"],

        ["\xD3\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAB"],
        ["\xEB\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5C"],

        ["\xD3\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],
        ["\xC9\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5D"],

        ["\xD3\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAC"],
        ["\xEB\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x5E"],

        ["\xD3\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA3"],
        ["\xC9\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x60"],

        ["\x3D\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAD"],
        ["\xEB\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xF9"],

        ["\x3D\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAE"],
        ["\xEB\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xFA"],

        ["\x3D\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xAF"],
        ["\xEB\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xFB"],

        ["\xD3\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB0"],
        ["\xEB\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x66"],

        ["\xD3\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB1"],
        ["\xEB\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x67"],

        ["\xD3\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAA"],
        ["\xC9\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x6C"],

        ["\xD3\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB2"],
        ["\xEB\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x6D"],

        ["\x3D\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB3"],
        ["\xEB\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xFC"],

        ["\xD3\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB4"],
        ["\xEB\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x71"],

        ["\x3D\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB5"],
        ["\xEB\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xFD"],

        ["\xD3\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB6"],
        ["\xEB\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x76"],

        ["\xD3\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],
        ["\xC9\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x77"],

        ["\xD3\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAE"],
        ["\xC9\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x79"],

        ["\xD3\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB7"],
        ["\xEB\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x7D"],

        ["\x3D\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB8"],
        ["\xEB\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3D\xFE"],

        ["\xD3\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xB9"],
        ["\xEB\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD3\x7E"],

        ["\xD4\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBA"],
        ["\xEB\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x23"],

        ["\xD4\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBB"],
        ["\xEB\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x24"],

        ["\xD4\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBC"],
        ["\xEB\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x26"],

        ["\x3E\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBD"],
        ["\xEB\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xA1"],

        ["\xD4\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],
        ["\xC9\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x31"],

        ["\xD4\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBE"],
        ["\xEB\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x32"],

        ["\xD4\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xBF"],
        ["\xEB\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x36"],

        ["\xD4\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],
        ["\xC9\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x3A"],

        ["\xD4\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC0"],
        ["\xEB\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x3D"],

        ["\x3E\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC1"],
        ["\xEB\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xA2"],

        ["\x3E\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC2"],
        ["\xEB\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xA3"],

        ["\x3E\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC3"],
        ["\xEB\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xA4"],

        ["\xD4\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC4"],
        ["\xEB\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x40"],

        ["\xD4\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC5"],
        ["\xEB\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x43"],

        ["\xD4\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],
        ["\xC9\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x45"],

        ["\xD4\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],
        ["\xC9\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x46"],

        ["\xD4\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xCD"],
        ["\xC9\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x47"],

        ["\xD4\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC6"],
        ["\xEB\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x49"],

        ["\xD4\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC7"],
        ["\xEB\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x50"],

        ["\xD4\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC8"],
        ["\xEB\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x5D"],

        ["\x3E\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xC9"],
        ["\xEB\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xA5"],

        ["\xD4\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],
        ["\xC9\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x5F"],

        ["\xD4\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],
        ["\xC9\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x61"],

        ["\xD4\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCA"],
        ["\xEB\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x62"],

        ["\x3E\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCB"],
        ["\xEB\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xA6"],

        ["\xD4\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDB"],
        ["\xC9\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x65"],

        ["\xD4\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCC"],
        ["\xEB\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x67"],

        ["\xD4\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCD"],
        ["\xEB\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x68"],

        ["\x3E\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCE"],
        ["\xEB\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xA7"],

        ["\xD4\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xCF"],
        ["\xEB\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x6B"],

        ["\xD4\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD0"],
        ["\xEB\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x6C"],

        ["\xD4\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD1"],
        ["\xEB\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x6E"],

        ["\xD4\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDE"],
        ["\xC9\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x70"],

        ["\xD4\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xDF"],
        ["\xC9\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x71"],

        ["\xD4\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD2"],
        ["\xEB\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x73"],

        ["\x3E\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD3"],
        ["\xEB\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xA8"],

        ["\x3E\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD4"],
        ["\xEB\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xA9"],

        ["\xD4\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],
        ["\xC9\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x74"],

        ["\x3E\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD5"],
        ["\xEB\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xAA"],

        ["\xD4\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],
        ["\xC9\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x79"],

        ["\xD4\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],
        ["\xC9\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x7A"],

        ["\xD4\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD6"],
        ["\xEB\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x7B"],

        ["\xD4\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD7"],
        ["\xEB\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD4\x7E"],

        ["\xD5\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD8"],
        ["\xEB\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x22"],

        ["\xD5\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xD9"],
        ["\xEB\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x23"],

        ["\x3E\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDA"],
        ["\xEB\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xAB"],

        ["\xD5\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDB"],
        ["\xEB\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x29"],

        ["\x3E\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDC"],
        ["\xEB\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xAC"],

        ["\x3E\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDD"],
        ["\xEB\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xAD"],

        ["\xD5\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDE"],
        ["\xEB\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x2B"],

        ["\xD5\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xDF"],
        ["\xEB\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x2D"],

        ["\xD5\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],
        ["\xC9\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x32"],

        ["\x3E\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE0"],
        ["\xEB\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xAE"],

        ["\xD5\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE1"],
        ["\xEB\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x37"],

        ["\xD5\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],
        ["\xC9\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x3A"],

        ["\xD5\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE2"],
        ["\xEB\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x3D"],

        ["\xD5\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xFE"],
        ["\xC9\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x3E"],

        ["\xD5\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],
        ["\xCA\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x42"],

        ["\xD5\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE3"],
        ["\xEB\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x43"],

        ["\x3E\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE4"],
        ["\xEB\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xAF"],

        ["\xD5\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],
        ["\xCA\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x4A"],

        ["\xD5\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE5"],
        ["\xEB\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x49"],

        ["\xD5\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE6"],
        ["\xEB\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x4C"],

        ["\xD5\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE7"],
        ["\xEB\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x4E"],

        ["\xD5\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE8"],
        ["\xEB\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x51"],

        ["\xD5\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],
        ["\xCA\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x56"],

        ["\xD5\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xE9"],
        ["\xEB\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x58"],

        ["\xD5\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xAB"],
        ["\xCA\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x5A"],

        ["\x3E\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEA"],
        ["\xEB\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB0"],

        ["\xD5\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEB"],
        ["\xEB\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x66"],

        ["\xD5\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEC"],
        ["\xEB\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x68"],

        ["\xD5\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB0"],
        ["\xCA\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x69"],

        ["\x3E\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xED"],
        ["\xEB\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB1"],

        ["\x3E\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEE"],
        ["\xEB\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB2"],

        ["\xD5\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xEF"],
        ["\xEB\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x6D"],

        ["\x3E\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF0"],
        ["\xEB\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB3"],

        ["\xD5\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF1"],
        ["\xEB\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x70"],

        ["\xD5\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF2"],
        ["\xEB\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x72"],

        ["\x3E\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF3"],
        ["\xEB\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB4"],

        ["\x3E\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF4"],
        ["\xEB\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB5"],

        ["\xD5\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF5"],
        ["\xEB\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x79"],

        ["\xD5\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],
        ["\xCA\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD5\x7B"],

        ["\x3E\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF6"],
        ["\xEB\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB6"],

        ["\x3E\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF7"],
        ["\xEB\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB7"],

        ["\x3E\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF8"],
        ["\xEB\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB8"],

        ["\x3E\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xF9"],
        ["\xEB\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xB9"],

        ["\x3E\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFA"],
        ["\xEB\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xBA"],

        ["\x3E\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFB"],
        ["\xEB\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xBB"],

        ["\xD6\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFC"],
        ["\xEB\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x34"],

        ["\xD6\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xC0"],
        ["\xCA\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x2A"],

        ["\xD6\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFD"],
        ["\xEB\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x2E"],

        ["\x3E\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEB\xFE"],
        ["\xEB\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xBC"],

        ["\xD6\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA1"],
        ["\xEC\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x30"],

        ["\xD6\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA2"],
        ["\xEC\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x31"],

        ["\xD6\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA3"],
        ["\xEC\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x32"],

        ["\x3E\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA4"],
        ["\xEC\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xBD"],

        ["\x3E\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA5"],
        ["\xEC\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xBE"],

        ["\x3E\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA6"],
        ["\xEC\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xBF"],

        ["\xD6\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA7"],
        ["\xEC\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x41"],

        ["\x3E\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA8"],
        ["\xEC\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC0"],

        ["\xD6\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xA9"],
        ["\xEC\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x45"],

        ["\x3E\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAA"],
        ["\xEC\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC1"],

        ["\xD6\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAB"],
        ["\xEC\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x47"],

        ["\xD6\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAC"],
        ["\xEC\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x48"],

        ["\x3E\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAD"],
        ["\xEC\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC2"],

        ["\xD6\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAE"],
        ["\xEC\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x4D"],

        ["\xD6\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xAF"],
        ["\xEC\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x52"],

        ["\x3E\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB0"],
        ["\xEC\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC3"],

        ["\xD6\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB1"],
        ["\xEC\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x56"],

        ["\x3E\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB2"],
        ["\xEC\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC4"],

        ["\xD6\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB3"],
        ["\xEC\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x5D"],

        ["\x3E\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB4"],
        ["\xEC\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC5"],

        ["\xD6\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],
        ["\xCA\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x61"],

        ["\x3E\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB5"],
        ["\xEC\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC6"],

        ["\xD6\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xBE\xEB"],
        ["\xBE\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x63"],

        ["\x3E\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB6"],
        ["\xEC\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC7"],

        ["\xD6\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB7"],
        ["\xEC\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x6B"],

        ["\xD6\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB8"],
        ["\xEC\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x6C"],

        ["\x3E\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xB9"],
        ["\xEC\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC8"],

        ["\x3E\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBA"],
        ["\xEC\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xC9"],

        ["\x3E\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBB"],
        ["\xEC\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xCA"],

        ["\xD6\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBC"],
        ["\xEC\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x72"],

        ["\xD6\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],
        ["\xCA\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x75"],

        ["\xD6\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],
        ["\xCA\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x76"],

        ["\x3E\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBD"],
        ["\xEC\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xCB"],

        ["\xD6\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBE"],
        ["\xEC\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x78"],

        ["\xD6\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],
        ["\xCA\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x79"],

        ["\x3E\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xBF"],
        ["\xEC\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xCC"],

        ["\xD6\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],
        ["\xCA\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x7E"],

        ["\x3E\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC0"],
        ["\xEC\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xCD"],

        ["\xD6\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC1"],
        ["\xEC\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD6\x7D"],

        ["\x3E\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC2"],
        ["\xEC\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xCE"],

        ["\xD7\x21",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC3"],
        ["\xEC\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x21"],

        ["\x3E\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC4"],
        ["\xEC\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xCF"],

        ["\xD7\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC5"],
        ["\xEC\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x23"],

        ["\x3E\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC6"],
        ["\xEC\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD0"],

        ["\x3E\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC7"],
        ["\xEC\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD1"],

        ["\x3E\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC8"],
        ["\xEC\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD2"],

        ["\xD7\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xC9"],
        ["\xEC\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x26"],

        ["\xD7\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCA"],
        ["\xEC\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x28"],

        ["\x3E\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCB"],
        ["\xEC\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD3"],

        ["\x3E\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCC"],
        ["\xEC\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD4"],

        ["\x3E\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCD"],
        ["\xEC\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD5"],

        ["\x3E\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE6"],
        ["\xCA\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD6"],

        ["\x3E\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCE"],
        ["\xEC\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD7"],

        ["\xD7\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xCF"],
        ["\xEC\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x2D"],

        ["\xD7\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD0"],
        ["\xEC\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x2E"],

        ["\xD7\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD1"],
        ["\xEC\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x31"],

        ["\xD7\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD2"],
        ["\xEC\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x35"],

        ["\x3E\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD3"],
        ["\xEC\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD8"],

        ["\xD7\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD4"],
        ["\xEC\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x41"],

        ["\xD7\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD5"],
        ["\xEC\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x42"],

        ["\xD7\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD6"],
        ["\xEC\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x47"],

        ["\xD7\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD7"],
        ["\xEC\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x48"],

        ["\xD7\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],
        ["\xCB\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4A"],

        ["\xD7\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD8"],
        ["\xEC\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x4B"],

        ["\xD7\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xD9"],
        ["\xEC\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x53"],

        ["\xD7\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDA"],
        ["\xEC\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x55"],

        ["\xD7\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDB"],
        ["\xEC\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5A"],

        ["\xD7\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDC"],
        ["\xEC\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x5F"],

        ["\xD7\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDD"],
        ["\xEC\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x60"],

        ["\x3E\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDE"],
        ["\xEC\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xD9"],

        ["\xD7\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xDF"],
        ["\xEC\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x63"],

        ["\xD7\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE0"],
        ["\xEC\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x64"],

        ["\xD7\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE1"],
        ["\xEC\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x65"],

        ["\xD7\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE2"],
        ["\xEC\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x6D"],

        ["\xD7\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE3"],
        ["\xEC\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x71"],

        ["\xD7\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE4"],
        ["\xEC\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x75"],

        ["\xD7\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE5"],
        ["\xEC\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD7\x7C"],

        ["\x3E\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE6"],
        ["\xEC\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xDA"],

        ["\x3E\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE7"],
        ["\xEC\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xDB"],

        ["\x3E\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE8"],
        ["\xEC\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xDC"],

        ["\xD8\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xE4"],
        ["\xCB\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x27"],

        ["\xD8\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xE9"],
        ["\xEC\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x29"],

        ["\xD8\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEA"],
        ["\xEC\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x2A"],

        ["\xD8\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEB"],
        ["\xEC\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x2D"],

        ["\xD8\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEC"],
        ["\xEC\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x2F"],

        ["\xD8\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xED"],
        ["\xEC\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x38"],

        ["\xD8\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEE"],
        ["\xEC\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x3A"],

        ["\xD8\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xEF"],
        ["\xEC\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x3C"],

        ["\xD8\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF0"],
        ["\xEC\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x3D"],

        ["\x3E\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF1"],
        ["\xEC\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xDD"],

        ["\xD8\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF2"],
        ["\xEC\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x43"],

        ["\xD8\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF3"],
        ["\xEC\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x48"],

        ["\xD8\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xF9"],
        ["\xCB\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x49"],

        ["\xD8\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF4"],
        ["\xEC\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x4A"],

        ["\x3E\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF5"],
        ["\xEC\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xDE"],

        ["\x3E\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF6"],
        ["\xEC\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xDF"],

        ["\xD8\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF7"],
        ["\xEC\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x4E"],

        ["\xD8\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],
        ["\xCC\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x52"],

        ["\xD8\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],
        ["\xCC\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x54"],

        ["\xD8\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF8"],
        ["\xEC\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x55"],

        ["\xD8\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xF9"],
        ["\xEC\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x56"],

        ["\xD8\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFA"],
        ["\xEC\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x59"],

        ["\xD8\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],
        ["\xCC\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x5A"],

        ["\xD8\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFB"],
        ["\xEC\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x5B"],

        ["\x3E\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFC"],
        ["\xEC\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE0"],

        ["\xD8\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFD"],
        ["\xEC\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x5E"],

        ["\xD8\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEC\xFE"],
        ["\xEC\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x64"],

        ["\xD8\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA1"],
        ["\xED\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x65"],

        ["\xD8\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA2"],
        ["\xED\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x66"],

        ["\xD8\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA3"],
        ["\xED\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x68"],

        ["\x3E\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA4"],
        ["\xED\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE1"],

        ["\x3E\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA5"],
        ["\xED\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE2"],

        ["\xD8\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xC9"],
        ["\xCC\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x6E"],

        ["\xD8\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA6"],
        ["\xED\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x77"],

        ["\x3E\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA7"],
        ["\xED\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE3"],

        ["\x3E\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA8"],
        ["\xED\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE4"],

        ["\xD8\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xA9"],
        ["\xED\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x7D"],

        ["\xD8\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAA"],
        ["\xED\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD8\x7E"],

        ["\x3E\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAB"],
        ["\xED\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE5"],

        ["\xD9\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAC"],
        ["\xED\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x22"],

        ["\xD9\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAD"],
        ["\xED\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x23"],

        ["\xD9\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAE"],
        ["\xED\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x24"],

        ["\xD9\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xD9"],
        ["\xCC\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x25"],

        ["\xD9\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xAF"],
        ["\xED\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x26"],

        ["\xD9\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB0"],
        ["\xED\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x2A"],

        ["\xD9\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB1"],
        ["\xED\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x2C"],

        ["\xD9\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB2"],
        ["\xED\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x30"],

        ["\x3E\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB3"],
        ["\xED\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE6"],

        ["\xD9\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB4"],
        ["\xED\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x37"],

        ["\xD9\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB5"],
        ["\xED\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x38"],

        ["\xD9\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB6"],
        ["\xED\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x3B"],

        ["\xD9\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB7"],
        ["\xED\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x3E"],

        ["\xD9\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB8"],
        ["\xED\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x42"],

        ["\xD9\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xB9"],
        ["\xED\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x52"],

        ["\x3E\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBA"],
        ["\xED\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE7"],

        ["\x3E\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBB"],
        ["\xED\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE8"],

        ["\x3E\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBC"],
        ["\xED\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xE9"],

        ["\xD9\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBD"],
        ["\xED\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x44"],

        ["\xD9\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBE"],
        ["\xED\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x4B"],

        ["\xD9\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xBF"],
        ["\xED\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x4E"],

        ["\xD9\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xE9"],
        ["\xCC\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x4F"],

        ["\x3E\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC0"],
        ["\xED\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xEA"],

        ["\xD9\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC1"],
        ["\xED\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x55"],

        ["\xD9\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC2"],
        ["\xED\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x56"],

        ["\xD9\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC3"],
        ["\xED\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x57"],

        ["\xD9\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC4"],
        ["\xED\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x58"],

        ["\xD9\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC5"],
        ["\xED\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5A"],

        ["\xD9\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC6"],
        ["\xED\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x5F"],

        ["\xD9\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC7"],
        ["\xED\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x61"],

        ["\xD9\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC8"],
        ["\xED\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x62"],

        ["\x3E\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xC9"],
        ["\xED\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xEB"],

        ["\x3E\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCA"],
        ["\xED\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xEC"],

        ["\x3E\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCB"],
        ["\xED\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xED"],

        ["\xD9\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCC"],
        ["\xED\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x69"],

        ["\xD9\x6B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCD"],
        ["\xED\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x6B"],

        ["\xD9\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCE"],
        ["\xED\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x70"],

        ["\xD9\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xCF"],
        ["\xED\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x71"],

        ["\xD9\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD0"],
        ["\xED\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x75"],

        ["\x3E\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD1"],
        ["\xED\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xEE"],

        ["\xD9\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD2"],
        ["\xED\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x77"],

        ["\x3E\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD3"],
        ["\xED\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xEF"],

        ["\xD9\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD4"],
        ["\xED\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x79"],

        ["\xD9\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD5"],
        ["\xED\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xD9\x7D"],

        ["\xDA\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD6"],
        ["\xED\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x22"],

        ["\xDA\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD7"],
        ["\xED\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x28"],

        ["\xDA\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD8"],
        ["\xED\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x2D"],

        ["\xDA\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xD9"],
        ["\xED\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x2E"],

        ["\x3E\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDA"],
        ["\xED\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF0"],

        ["\xDA\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDB"],
        ["\xED\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x2F"],

        ["\x3E\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDC"],
        ["\xED\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF1"],

        ["\x3E\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDD"],
        ["\xED\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF2"],

        ["\xDA\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDE"],
        ["\xED\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x34"],

        ["\x3E\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xDF"],
        ["\xED\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF3"],

        ["\xDA\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE0"],
        ["\xED\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x36"],

        ["\xDA\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE1"],
        ["\xED\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x3A"],

        ["\xDA\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xC8"],
        ["\xCD\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x3B"],

        ["\xDA\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE2"],
        ["\xED\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x47"],

        ["\xDA\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],
        ["\xCD\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x4A"],

        ["\xDA\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],
        ["\xCD\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x4B"],

        ["\x3E\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE3"],
        ["\xED\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF4"],

        ["\x3E\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE4"],
        ["\xED\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF5"],

        ["\xDA\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE5"],
        ["\xED\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x4C"],

        ["\xDA\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE6"],
        ["\xED\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x4D"],

        ["\xDA\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE7"],
        ["\xED\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x51"],

        ["\x3E\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE8"],
        ["\xED\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF6"],

        ["\xDA\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xE9"],
        ["\xED\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x55"],

        ["\xDA\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD2"],
        ["\xCD\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x57"],

        ["\xDA\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEA"],
        ["\xED\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x58"],

        ["\xDA\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEB"],
        ["\xED\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x60"],

        ["\xDA\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEC"],
        ["\xED\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x61"],

        ["\xDA\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xED"],
        ["\xED\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x63"],

        ["\xDA\x65",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEE"],
        ["\xED\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x65"],

        ["\xDA\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xEF"],
        ["\xED\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x66"],

        ["\xDA\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF0"],
        ["\xED\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x6A"],

        ["\x3E\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF1"],
        ["\xED\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF7"],

        ["\x3E\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF2"],
        ["\xED\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF8"],

        ["\xDA\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF3"],
        ["\xED\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x72"],

        ["\xDA\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF4"],
        ["\xED\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x73"],

        ["\xDA\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF5"],
        ["\xED\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x75"],

        ["\xDA\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF6"],
        ["\xED\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x77"],

        ["\xDA\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF7"],
        ["\xED\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x78"],

        ["\xDA\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xD9"],
        ["\xCD\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x7A"],

        ["\xDA\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF8"],
        ["\xED\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x7C"],

        ["\xDA\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xF9"],
        ["\xED\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x7D"],

        ["\xDA\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFA"],
        ["\xED\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDA\x7E"],

        ["\xDB\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFB"],
        ["\xED\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x24"],

        ["\xDB\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFC"],
        ["\xED\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x27"],

        ["\xDB\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFD"],
        ["\xED\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x2A"],

        ["\xDB\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xED\xFE"],
        ["\xED\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x2B"],

        ["\xDB\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA1"],
        ["\xEE\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x2C"],

        ["\x3E\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA2"],
        ["\xEE\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xF9"],

        ["\xDB\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],
        ["\xCD\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x2F"],

        ["\xDB\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA3"],
        ["\xEE\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x32"],

        ["\xDB\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA4"],
        ["\xEE\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x33"],

        ["\xDB\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA5"],
        ["\xEE\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x36"],

        ["\x3E\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA6"],
        ["\xEE\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xFA"],

        ["\x3E\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA7"],
        ["\xEE\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xFB"],

        ["\x3E\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA8"],
        ["\xEE\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xFC"],

        ["\xDB\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xA9"],
        ["\xEE\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x4A"],

        ["\xDB\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAA"],
        ["\xEE\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x3E"],

        ["\xDB\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAB"],
        ["\xEE\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x3F"],

        ["\xDB\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAC"],
        ["\xEE\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x42"],

        ["\xDB\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],
        ["\xCD\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x48"],

        ["\x3E\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAD"],
        ["\xEE\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xFD"],

        ["\x3E\xFE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAE"],
        ["\xEE\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3E\xFE"],

        ["\xDB\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xAF"],
        ["\xEE\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x50"],

        ["\x3F\xA1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB0"],
        ["\xEE\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xA1"],

        ["\xDB\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB1"],
        ["\xEE\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x52"],

        ["\xDB\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB2"],
        ["\xEE\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x56"],

        ["\x3F\xA2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB3"],
        ["\xEE\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xA2"],

        ["\xDB\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB4"],
        ["\xEE\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x5C"],

        ["\x3F\xA3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB5"],
        ["\xEE\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xA3"],

        ["\xDB\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB6"],
        ["\xEE\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x5E"],

        ["\x3F\xA4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB7"],
        ["\xEE\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xA4"],

        ["\x3F\xA5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB8"],
        ["\xEE\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xA5"],

        ["\xDB\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xB9"],
        ["\xEE\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x60"],

        ["\xDB\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBA"],
        ["\xEE\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x61"],

        ["\xDB\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBB"],
        ["\xEE\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x62"],

        ["\xDB\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE5"],
        ["\xCD\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x68"],

        ["\xDB\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBC"],
        ["\xEE\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x69"],

        ["\xDB\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE3"],
        ["\xCD\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x6D"],

        ["\xDB\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBD"],
        ["\xEE\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x71"],

        ["\xDB\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE6"],
        ["\xCD\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x79"],

        ["\xDB\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBE"],
        ["\xEE\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x7B"],

        ["\xDB\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xE7"],
        ["\xCD\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDB\x7D"],

        ["\xDC\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xBF"],
        ["\xEE\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x22"],

        ["\x3F\xA6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC0"],
        ["\xEE\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xA6"],

        ["\xDC\x28",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC1"],
        ["\xEE\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x28"],

        ["\xDC\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC2"],
        ["\xEE\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x2E"],

        ["\xDC\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],
        ["\xD0\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x31"],

        ["\xDC\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],
        ["\xCD\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x33"],

        ["\x3F\xA7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC3"],
        ["\xEE\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xA7"],

        ["\x3F\xA8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC4"],
        ["\xEE\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xA8"],

        ["\xDC\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC5"],
        ["\xEE\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x34"],

        ["\x3F\xA9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC6"],
        ["\xEE\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xA9"],

        ["\x3F\xAA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC7"],
        ["\xEE\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xAA"],

        ["\xDC\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC8"],
        ["\xEE\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x3E"],

        ["\x3F\xAB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xC9"],
        ["\xEE\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xAB"],

        ["\xDC\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCA"],
        ["\xEE\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x42"],

        ["\xDC\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCB"],
        ["\xEE\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x43"],

        ["\xDC\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xF8"],
        ["\xCD\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x44"],

        ["\xDC\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCC"],
        ["\xEE\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x4B"],

        ["\x3F\xAC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCD"],
        ["\xEE\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xAC"],

        ["\xDC\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCE"],
        ["\xEE\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x4A"],

        ["\xDC\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xCF"],
        ["\xEE\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x4C"],

        ["\xDC\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA1"],
        ["\xCE\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x4D"],

        ["\xDC\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD0"],
        ["\xEE\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x51"],

        ["\xDC\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],
        ["\xCE\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x52"],

        ["\x3F\xAD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD1"],
        ["\xEE\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xAD"],

        ["\xDC\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD2"],
        ["\xEE\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x55"],

        ["\x3F\xAE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD3"],
        ["\xEE\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xAE"],

        ["\x3F\xAF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD4"],
        ["\xEE\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xAF"],

        ["\x3F\xB0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD5"],
        ["\xEE\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB0"],

        ["\xDC\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD6"],
        ["\xEE\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x6C"],

        ["\xDC\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD7"],
        ["\xEE\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x6D"],

        ["\xDC\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD8"],
        ["\xEE\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x6F"],

        ["\x3F\xB1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xD9"],
        ["\xEE\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB1"],

        ["\x3F\xB2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDA"],
        ["\xEE\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB2"],

        ["\xDC\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDB"],
        ["\xEE\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDC\x77"],

        ["\x3F\xB3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDC"],
        ["\xEE\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB3"],

        ["\xDD\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xEB"],
        ["\xC9\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x24"],

        ["\xDD\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDD"],
        ["\xEE\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x26"],

        ["\xDD\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDE"],
        ["\xEE\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x2B"],

        ["\xDD\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],
        ["\xCE\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x2E"],

        ["\xDD\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xDF"],
        ["\xEE\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x32"],

        ["\xDD\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE0"],
        ["\xEE\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x36"],

        ["\xDD\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE1"],
        ["\xEE\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x38"],

        ["\xDD\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE2"],
        ["\xEE\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x3B"],

        ["\x3F\xB4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE3"],
        ["\xEE\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB4"],

        ["\xDD\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE4"],
        ["\xEE\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x3D"],

        ["\xDD\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE5"],
        ["\xEE\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x3E"],

        ["\xDD\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE6"],
        ["\xEE\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x41"],

        ["\xDD\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE7"],
        ["\xEE\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x42"],

        ["\x3F\xB5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE8"],
        ["\xEE\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB5"],

        ["\xDD\x47",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],
        ["\xCE\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x47"],

        ["\xDD\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xE9"],
        ["\xEE\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x49"],

        ["\x3F\xB6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEA"],
        ["\xEE\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB6"],

        ["\x3F\xB7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEB"],
        ["\xEE\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB7"],

        ["\xDD\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEC"],
        ["\xEE\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x53"],

        ["\xDD\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xED"],
        ["\xEE\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x56"],

        ["\xDD\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD7"],
        ["\xCE\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x59"],

        ["\xDD\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD1"],
        ["\xCE\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x5C"],

        ["\xDD\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xD3"],
        ["\xCE\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x61"],

        ["\xDD\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEE"],
        ["\xEE\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x7C"],

        ["\xDD\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xEF"],
        ["\xEE\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDD\x74"],

        ["\xDE\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF0"],
        ["\xEE\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x22"],

        ["\xDE\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xE4"],
        ["\xCE\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x2E"],

        ["\xDE\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],
        ["\xCE\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x36"],

        ["\x3F\xB8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF1"],
        ["\xEE\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB8"],

        ["\xDE\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF2"],
        ["\xEE\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x3F"],

        ["\xDE\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF3"],
        ["\xEE\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x38"],

        ["\x3F\xB9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF4"],
        ["\xEE\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xB9"],

        ["\xDE\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF5"],
        ["\xEE\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x3C"],

        ["\xDE\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF6"],
        ["\xEE\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x3E"],

        ["\xDE\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF7"],
        ["\xEE\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x40"],

        ["\xDE\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xF5"],
        ["\xCE\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x45"],

        ["\x3F\xBA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF8"],
        ["\xEE\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xBA"],

        ["\x3F\xBB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xF9"],
        ["\xEE\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xBB"],

        ["\xDE\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFA"],
        ["\xEE\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x4F"],

        ["\xDE\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFB"],
        ["\xEE\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x52"],

        ["\xDE\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFC"],
        ["\xEE\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x57"],

        ["\xDE\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFD"],
        ["\xEE\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x5A"],

        ["\xDE\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEE\xFE"],
        ["\xEE\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x5D"],

        ["\xDE\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA1"],
        ["\xEF\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x5E"],

        ["\xDE\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA2"],
        ["\xEF\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x5F"],

        ["\xDE\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA3"],
        ["\xEF\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x60"],

        ["\xDE\x63",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],
        ["\xCF\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x63"],

        ["\x3F\xBC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4"],
        ["\xEF\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xBC"],

        ["\xDE\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA5"],
        ["\xEF\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x64"],

        ["\x3F\xBD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA6"],
        ["\xEF\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xBD"],

        ["\x3F\xBE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7"],
        ["\xEF\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xBE"],

        ["\xDE\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],
        ["\xCF\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x66"],

        ["\xDE\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],
        ["\xCF\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x67"],

        ["\xDE\x6A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8"],
        ["\xEF\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x6A"],

        ["\xDE\x6D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xE5"],
        ["\xCA\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDE\x6D"],

        ["\xDF\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9"],
        ["\xEF\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x29"],

        ["\xDF\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],
        ["\xCF\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x31"],

        ["\xDF\x32",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAA"],
        ["\xEF\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x32"],

        ["\xDF\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],
        ["\xCF\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x33"],

        ["\x3F\xBF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAB"],
        ["\xEF\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xBF"],

        ["\x3F\xC0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAC"],
        ["\xEF\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC0"],

        ["\x3F\xC1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAD"],
        ["\xEF\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC1"],

        ["\xDF\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAE"],
        ["\xEF\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x42"],

        ["\x3F\xC2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xAF"],
        ["\xEF\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC2"],

        ["\xDF\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB0"],
        ["\xEF\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x48"],

        ["\xDF\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xC8"],
        ["\xCF\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x4C"],

        ["\xDF\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB1"],
        ["\xEF\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x51"],

        ["\xDF\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB2"],
        ["\xEF\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x55"],

        ["\x3F\xC3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB3"],
        ["\xEF\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC3"],

        ["\xDF\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB4"],
        ["\xEF\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x60"],

        ["\xDF\x62",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB5"],
        ["\xEF\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x62"],

        ["\xDF\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB6"],
        ["\xEF\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x69"],

        ["\x3F\xC4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB7"],
        ["\xEF\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC4"],

        ["\xDF\x73",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB8"],
        ["\xEF\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x73"],

        ["\xDF\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9"],
        ["\xEF\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xDF\x7E"],

        ["\x3F\xC5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBA"],
        ["\xEF\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC5"],

        ["\x3F\xC6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBB"],
        ["\xEF\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC6"],

        ["\xE1\x3C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\xFB"],
        ["\xCF\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x3C"],

        ["\xE1\x5B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC"],
        ["\xEF\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x5B"],

        ["\xE1\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBE"],
        ["\xD0\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE1\x5C"],

        ["\x3F\xC7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD"],
        ["\xEF\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC7"],

        ["\xE2\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBE"],
        ["\xEF\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x2F"],

        ["\xE3\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF"],
        ["\xEF\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x5C"],

        ["\xE3\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],
        ["\xD1\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x68"],

        ["\xE3\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\xEB"],
        ["\xD1\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x79"],

        ["\xE3\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC0"],
        ["\xEF\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x7E"],

        ["\xE5\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC1"],
        ["\xEF\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x29"],

        ["\x3F\xC8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC2"],
        ["\xEF\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC8"],

        ["\xE6\x25",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],
        ["\xD3\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x25"],

        ["\xE6\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xB6\xD2"],
        ["\xB6\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x4A"],

        ["\xE6\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC3"],
        ["\xEF\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x4C"],

        ["\x3F\xC9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC4"],
        ["\xEF\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xC9"],

        ["\xE6\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC5"],
        ["\xEF\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x51"],

        ["\xE6\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xB8"],
        ["\xD3\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x61"],

        ["\x3F\xCA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC6"],
        ["\xEF\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xCA"],

        ["\x3F\xCB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC7"],
        ["\xEF\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xCB"],

        ["\xE6\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC8"],
        ["\xEF\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x75"],

        ["\x3F\xCC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xC9"],
        ["\xEF\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xCC"],

        ["\x3F\xCD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCA"],
        ["\xEF\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xCD"],

        ["\xE7\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCB"],
        ["\xEF\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x33"],

        ["\xE7\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCC"],
        ["\xEF\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x39"],

        ["\xE7\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xE1"],
        ["\xD3\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x5E"],

        ["\xE7\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],
        ["\xD3\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x76"],

        ["\xE7\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCD"],
        ["\xEF\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x78"],

        ["\xE7\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],
        ["\xC2\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x79"],

        ["\x3F\xCE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCE"],
        ["\xEF\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xCE"],

        ["\xE7\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xCF"],
        ["\xEF\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x7D"],

        ["\x3F\xCF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD0"],
        ["\xEF\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xCF"],

        ["\xE8\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD1"],
        ["\xEF\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x59"],

        ["\xE8\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD2"],
        ["\xEF\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x76"],

        ["\x3F\xD0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD3"],
        ["\xEF\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD0"],

        ["\xE9\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD4"],
        ["\xEF\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x34"],

        ["\x3F\xD1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD5"],
        ["\xEF\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD1"],

        ["\xE9\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD6"],
        ["\xEF\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x3D"],

        ["\x3F\xD2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD7"],
        ["\xEF\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD2"],

        ["\xE9\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD8"],
        ["\xEF\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x40"],

        ["\x3F\xD3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xD9"],
        ["\xEF\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD3"],

        ["\xE9\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDA"],
        ["\xEF\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x49"],

        ["\xE9\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDB"],
        ["\xEF\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x4D"],

        ["\xE9\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDC"],
        ["\xEF\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x50"],

        ["\x3F\xD4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDD"],
        ["\xEF\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD4"],

        ["\x3F\xD5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDE"],
        ["\xEF\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD5"],

        ["\xE9\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xDA"],
        ["\xD4\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x59"],

        ["\x3F\xD6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xDF"],
        ["\xEF\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD6"],

        ["\x3F\xD7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE0"],
        ["\xEF\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD7"],

        ["\x3F\xD8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE1"],
        ["\xEF\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD8"],

        ["\xE9\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE2"],
        ["\xEF\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x5E"],

        ["\xE9\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE3"],
        ["\xEF\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x64"],

        ["\xE9\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE4"],
        ["\xEF\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x67"],

        ["\xE9\x68",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE5"],
        ["\xEF\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x68"],

        ["\xE9\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE6"],
        ["\xEF\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x69"],

        ["\x3F\xD9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE7"],
        ["\xEF\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xD9"],

        ["\xE9\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE8"],
        ["\xEF\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x6E"],

        ["\xE9\x70",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xE9"],
        ["\xEF\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x70"],

        ["\xE9\x72",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE1"],
        ["\xD4\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x72"],

        ["\xE9\x7E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEA"],
        ["\xEF\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x7E"],

        ["\xEA\x26",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEB"],
        ["\xEF\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x26"],

        ["\xEA\x29",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEC"],
        ["\xEF\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x29"],

        ["\xEA\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],
        ["\xD4\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x2A"],

        ["\xEA\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xED"],
        ["\xEF\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x2B"],

        ["\xEA\x2E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEE"],
        ["\xEF\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x2E"],

        ["\xEA\x31",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xEF"],
        ["\xEF\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x31"],

        ["\xEA\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF0"],
        ["\xEF\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x33"],

        ["\xEA\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF1"],
        ["\xEF\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x39"],

        ["\x3F\xDA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF2"],
        ["\xEF\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xDA"],

        ["\xEA\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF3"],
        ["\xEF\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x3B"],

        ["\xEA\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF4"],
        ["\xEF\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x43"],

        ["\xEA\x44",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF5"],
        ["\xEF\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x44"],

        ["\xEA\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF6"],
        ["\xEF\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x48"],

        ["\xEA\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF7"],
        ["\xEF\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x49"],

        ["\xEA\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xEE"],
        ["\xD4\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x4C"],

        ["\x3F\xDB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF8"],
        ["\xEF\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xDB"],

        ["\xEA\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xF9"],
        ["\xEF\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x4E"],

        ["\xEA\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFA"],
        ["\xEF\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x61"],

        ["\xEA\x64",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFB"],
        ["\xEF\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x64"],

        ["\x3F\xDC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFC"],
        ["\xEF\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xDC"],

        ["\x3F\xDD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFD"],
        ["\xEF\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xDD"],

        ["\xEA\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD4\xFC"],
        ["\xD4\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x67"],

        ["\xEA\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xFE"],
        ["\xEF\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x69"],

        ["\xEA\x6C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],
        ["\xF0\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x6C"],

        ["\xEA\x6F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],
        ["\xD5\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x6F"],

        ["\xEA\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2"],
        ["\xF0\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x7C"],

        ["\xEA\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3"],
        ["\xF0\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x74"],

        ["\xEA\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4"],
        ["\xF0\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x75"],

        ["\xEA\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5"],
        ["\xF0\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x78"],

        ["\xEA\x79",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xAD"],
        ["\xD5\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x79"],

        ["\xEA\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xA9"],
        ["\xD5\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x7A"],

        ["\xEA\x7B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6"],
        ["\xF0\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x7B"],

        ["\x3F\xDE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7"],
        ["\xF0\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xDE"],

        ["\x3F\xDF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8"],
        ["\xF0\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xDF"],

        ["\xEB\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB1"],
        ["\xD5\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x22"],

        ["\x3F\xE0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9"],
        ["\xF0\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE0"],

        ["\xEA\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA"],
        ["\xF0\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEA\x7D"],

        ["\x3F\xE1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],
        ["\xF0\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE1"],

        ["\xEB\x2A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAC"],
        ["\xF0\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x2A"],

        ["\xEB\x2B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAD"],
        ["\xF0\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x2B"],

        ["\xEB\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAE"],
        ["\xF0\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x2C"],

        ["\xEB\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAF"],
        ["\xF0\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x2D"],

        ["\x3F\xE2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],
        ["\xF0\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE2"],

        ["\xEB\x30",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB1"],
        ["\xF0\xB1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x30"],

        ["\xEB\x33",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB2"],
        ["\xF0\xB2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x33"],

        ["\xEB\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB4"],
        ["\xD5\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x35"],

        ["\xEB\x36",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB6"],
        ["\xD5\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x36"],

        ["\x3F\xE3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB3"],
        ["\xF0\xB3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE3"],

        ["\xEB\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xB7"],
        ["\xD5\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x37"],

        ["\xEB\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB4"],
        ["\xF0\xB4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x39"],

        ["\xEB\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB5"],
        ["\xF0\xB5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x3A"],

        ["\xEB\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB6"],
        ["\xF0\xB6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x3F"],

        ["\xEB\x50",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB7"],
        ["\xF0\xB7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x50"],

        ["\x3F\xE4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB8"],
        ["\xF0\xB8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE4"],

        ["\xEB\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xB9"],
        ["\xF0\xB9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x40"],

        ["\xEB\x41",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBA"],
        ["\xF0\xBA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x41"],

        ["\x3F\xE5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBB"],
        ["\xF0\xBB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE5"],

        ["\xEB\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBC"],
        ["\xF0\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x46"],

        ["\xEB\x48",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBD"],
        ["\xF0\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x48"],

        ["\xEB\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBE"],
        ["\xF0\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x49"],

        ["\xEB\x4A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xBF"],
        ["\xF0\xBF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x4A"],

        ["\xEB\x4C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],
        ["\xF0\xC0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x4C"],

        ["\xEB\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBC"],
        ["\xD5\xBC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x4E"],

        ["\xEB\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],
        ["\xF0\xC1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x4F"],

        ["\xEB\x51",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],
        ["\xF0\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x51"],

        ["\x3F\xE6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],
        ["\xF0\xC3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE6"],

        ["\xEB\x53",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBD"],
        ["\xD5\xBD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x53"],

        ["\xEB\x54",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xBE"],
        ["\xD5\xBE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x54"],

        ["\xEB\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],
        ["\xF0\xC4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x55"],

        ["\xEB\x56",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],
        ["\xF0\xC5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x56"],

        ["\x3F\xE7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],
        ["\xF0\xC6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE7"],

        ["\xEB\x59",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],
        ["\xF0\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x59"],

        ["\xEB\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],
        ["\xF0\xC8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x5A"],

        ["\xEB\x5D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],
        ["\xD5\xC2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x5D"],

        ["\xEB\x5E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],
        ["\xF0\xC9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x5E"],

        ["\x3F\xE8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCA"],
        ["\xF0\xCA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE8"],

        ["\xEB\x5F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCB"],
        ["\xF0\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x5F"],

        ["\xEB\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCC"],
        ["\xF0\xCC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x60"],

        ["\xEB\x61",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],
        ["\xD5\xC7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x61"],

        ["\x3F\xE9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCD"],
        ["\xF0\xCD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xE9"],

        ["\x3F\xEA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCE"],
        ["\xF0\xCE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xEA"],

        ["\x3F\xEB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xCF"],
        ["\xF0\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xEB"],

        ["\xEB\x67",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],
        ["\xF0\xD0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x67"],

        ["\x3F\xEC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],
        ["\xF0\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xEC"],

        ["\xEB\x6E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],
        ["\xF0\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x6E"],

        ["\xEB\x71",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],
        ["\xF0\xD3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x71"],

        ["\xEB\x74",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],
        ["\xF0\xD4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x74"],

        ["\xEB\x76",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xCF"],
        ["\xD5\xCF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x76"],

        ["\x3F\xED",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],
        ["\xF0\xD5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xED"],

        ["\xEB\x78",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],
        ["\xF0\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x78"],

        ["\x3F\xEE",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],
        ["\xF0\xD7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xEE"],

        ["\x3F\xEF",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],
        ["\xF0\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xEF"],

        ["\xEB\x7C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],
        ["\xF0\xD9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x7C"],

        ["\xEB\x7D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],
        ["\xD5\xD1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEB\x7D"],

        ["\xEC\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDA"],
        ["\xF0\xDA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x22"],

        ["\xEC\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDB"],
        ["\xF0\xDB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x24"],

        ["\xEC\x27",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],
        ["\xD5\xD2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x27"],

        ["\x3F\xF0",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDC"],
        ["\xF0\xDC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF0"],

        ["\xEC\x2F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],
        ["\xD5\xD6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x2F"],

        ["\xEC\x37",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDD"],
        ["\xF0\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x37"],

        ["\xEC\x34",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD3\xCB"],
        ["\xD3\xCB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x34"],

        ["\xEC\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDE"],
        ["\xF0\xDE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x35"],

        ["\x3F\xF1",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xDF"],
        ["\xF0\xDF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF1"],

        ["\xEC\x38",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],
        ["\xD5\xD8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x38"],

        ["\xEC\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],
        ["\xF0\xE0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x39"],

        ["\xEC\x3A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE1"],
        ["\xF0\xE1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x3A"],

        ["\xEC\x3E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],
        ["\xF0\xE2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x3E"],

        ["\xEC\x40",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],
        ["\xF0\xE3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x40"],

        ["\xEC\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],
        ["\xF0\xE4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x42"],

        ["\xEC\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],
        ["\xF0\xE5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x43"],

        ["\x3F\xF2",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],
        ["\xF0\xE6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF2"],

        ["\xEC\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],
        ["\xF0\xE7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x4B"],

        ["\x3F\xF3",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],
        ["\xF0\xE8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF3"],

        ["\xEC\x4D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],
        ["\xF0\xE9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x4D"],

        ["\xEC\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEA"],
        ["\xF0\xEA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x4E"],

        ["\x3F\xF4",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEB"],
        ["\xF0\xEB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF4"],

        ["\xEC\x57",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xDD"],
        ["\xD5\xDD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x57"],

        ["\xEC\x58",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEC"],
        ["\xF0\xEC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x58"],

        ["\xEC\x5A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xED"],
        ["\xF0\xED",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x5A"],

        ["\x3F\xF5",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEE"],
        ["\xF0\xEE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF5"],

        ["\xEC\x5C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xEF"],
        ["\xF0\xEF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x5C"],

        ["\xEC\x60",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],
        ["\xF0\xF0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x60"],

        ["\xEC\x66",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],
        ["\xF0\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x66"],

        ["\xEC\x69",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],
        ["\xF0\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x69"],

        ["\x3F\xF6",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],
        ["\xF0\xF3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF6"],

        ["\x3F\xF7",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],
        ["\xF0\xF4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF7"],

        ["\x3F\xF8",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],
        ["\xF0\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF8"],

        ["\xEC\x75",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],
        ["\xF0\xF6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x75"],

        ["\xEC\x77",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],
        ["\xF0\xF7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x77"],

        ["\xEC\x7A",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],
        ["\xF0\xF8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xEC\x7A"],

        ["\xED\x22",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],
        ["\xF0\xF9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x22"],

        ["\xED\x23",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFA"],
        ["\xF0\xFA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x23"],

        ["\x3F\xF9",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFB"],
        ["\xF0\xFB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xF9"],

        ["\xED\x24",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFC"],
        ["\xF0\xFC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x24"],

        ["\xED\x2C",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFD"],
        ["\xF0\xFD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x2C"],

        ["\xED\x2D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],
        ["\xD5\xF1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x2D"],

        ["\xED\x35",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xFE"],
        ["\xF0\xFE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x35"],

        ["\xED\x39",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],
        ["\xD5\xF2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x39"],

        ["\xED\x3B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],
        ["\xF1\xA1",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x3B"],

        ["\xED\x3D",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA2"],
        ["\xF1\xA2",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x3D"],

        ["\xED\x3F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],
        ["\xD5\xF5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x3F"],

        ["\xED\x42",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA3"],
        ["\xF1\xA3",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x42"],

        ["\xED\x43",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA4"],
        ["\xF1\xA4",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x43"],

        ["\xED\x45",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA5"],
        ["\xF1\xA5",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x45"],

        ["\xED\x46",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA6"],
        ["\xF1\xA6",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x46"],

        ["\xED\x49",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA7"],
        ["\xF1\xA7",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x49"],

        ["\x3F\xFA",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA8"],
        ["\xF1\xA8",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xFA"],

        ["\xED\x4B",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xA9"],
        ["\xF1\xA9",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x4B"],

        ["\x3F\xFB",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAA"],
        ["\xF1\xAA",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xFB"],

        ["\xED\x4E",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],
        ["\xF1\xAB",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x4E"],

        ["\x3F\xFC",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAC"],
        ["\xF1\xAC",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xFC"],

        ["\xED\x4F",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAD"],
        ["\xF1\xAD",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x4F"],

        ["\xED\x52",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAE"],
        ["\xF1\xAE",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x52"],

        ["\xED\x55",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xAF"],
        ["\xF1\xAF",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\xED\x55"],

        ["\x3F\xFD",'jipsj','letsj',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],
        ["\xF1\xB0",'letsj','jipsj',{'INPUT_LAYOUT'=>'D'},"\x3F\xFD"],

    );
    $|=1; print "1..",scalar(@test),"\n"; my $testno=1; sub ok { print $_[0]?'ok ':'not ok ',$testno++,$_[1]?" - $_[1]\n":"\n" }
}

use Jacode4e::RoundTrip;

for my $test (@test) {
    my($give,$OUTPUT_encoding,$INPUT_encoding,$option,$want) = @{$test};
    my $got = $give;
    my $return = Jacode4e::RoundTrip::convert(\$got,$OUTPUT_encoding,$INPUT_encoding,$option);

    my $option_content = '';
    if (defined $option) {
        $option_content .= qq{INPUT_LAYOUT=>$option->{'INPUT_LAYOUT'}}        if exists $option->{'INPUT_LAYOUT'};
        $option_content .= qq{OUTPUT_SHIFTING=>$option->{'OUTPUT_SHIFTING'}}  if exists $option->{'OUTPUT_SHIFTING'};
        $option_content .= qq{SPACE=>@{[uc unpack('H*',$option->{'SPACE'})]}} if exists $option->{'SPACE'};
        $option_content .= qq{GETA=>@{[uc unpack('H*',$option->{'GETA'})]}}   if exists $option->{'GETA'};
        $option_content = "{$option_content}";
    }

    ok(($return > 0) and ($got eq $want),
        sprintf(qq{$INPUT_encoding(%s) to $OUTPUT_encoding(%s), $option_content => return=$return,got=(%s)},
            uc unpack('H*',$give),
            uc unpack('H*',$want),
            uc unpack('H*',$got),
        )
    );
}

__END__
